/*/////////////////////////////////////////////////////////////////////////////
//
//     spiral_rfft_float.c
//
//     This library was generated by Spiral 6.0, developed at Carnegie Mellon
//     University, http://www.spiral.net. This code is distributed under the
//     GNU general purpose software license version 2.0.
//
//     Commercial licenses and support are available through SpiralGen, Inc.
//     fft@spiralgen.com
//
*/

#include "spiral_fft.h"
#include "spiral_private.h"

/*************************************************
 * Main dispatch  
 *************************************************/

SPIRAL_API(spiral_status_t, spiral_rfftfwd_float)(int n, const float *pSrc, float *pDst ) {
    switch(n) {
        case 2: return spiral_rfftfwd_float_2(pSrc, pDst );
        case 4: return spiral_rfftfwd_float_4(pSrc, pDst );
        case 8: return spiral_rfftfwd_float_8(pSrc, pDst );
        case 16: return spiral_rfftfwd_float_16(pSrc, pDst );
        case 32: return spiral_rfftfwd_float_32(pSrc, pDst );
        case 64: return spiral_rfftfwd_float_64(pSrc, pDst );
        case 128: return spiral_rfftfwd_float_128(pSrc, pDst );
        case 256: return spiral_rfftfwd_float_256(pSrc, pDst );
        case 512: return spiral_rfftfwd_float_512(pSrc, pDst );
        case 1024: return spiral_rfftfwd_float_1024(pSrc, pDst );
        case 2048: return spiral_rfftfwd_float_2048(pSrc, pDst );
        case 4096: return spiral_rfftfwd_float_4096(pSrc, pDst );
        case 8192: return spiral_rfftfwd_float_8192(pSrc, pDst );
        default: return SPIRAL_SIZE_NOT_SUPPORTED;
    }
}

SPIRAL_API(spiral_status_t, spiral_rfftinv_float)(int n, const float *pSrc, float *pDst ) {
    switch(n) {
        case 2: return spiral_rfftinv_float_2(pSrc, pDst );
        case 4: return spiral_rfftinv_float_4(pSrc, pDst );
        case 8: return spiral_rfftinv_float_8(pSrc, pDst );
        case 16: return spiral_rfftinv_float_16(pSrc, pDst );
        case 32: return spiral_rfftinv_float_32(pSrc, pDst );
        case 64: return spiral_rfftinv_float_64(pSrc, pDst );
        case 128: return spiral_rfftinv_float_128(pSrc, pDst );
        case 256: return spiral_rfftinv_float_256(pSrc, pDst );
        case 512: return spiral_rfftinv_float_512(pSrc, pDst );
        case 1024: return spiral_rfftinv_float_1024(pSrc, pDst );
        case 2048: return spiral_rfftinv_float_2048(pSrc, pDst );
        case 4096: return spiral_rfftinv_float_4096(pSrc, pDst );
        case 8192: return spiral_rfftinv_float_8192(pSrc, pDst );
        default: return SPIRAL_SIZE_NOT_SUPPORTED;
    }
}


/*************************************************
 * Individual transform sizes  
 *************************************************/

SPIRAL_API(spiral_status_t, spiral_rfftfwd_float_2)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {float s, s2, s3, s4;
    s4 = *(src);
    s = *((src + 1));
    s2 = (s4 + s);
    *(dst) = s2;
    s3 = (s4 - s);
    *((dst + 1)) = s3;
    }
    
    return SPIRAL_OK;
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftfwd_float_4_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {__m128 a11, a2, a21, a3, a6, a61, a7, a71;
    __m128 a, a01, a5, a51, b, b2, s;
    const float  *a31, *a4, *a41, *a8, *a81, *a9, *a91;
    a4 = ((const float  *) src);
    a3 = _mm_load_ss(a4);
    a2 = _mm_shuffle_ps(a3, a3, _MM_SHUFFLE(0, 0, 0, 0));
    a = _mm_mul_ps(_mm_set_ps(0.0f, 1.0f, 1.0f, 1.0f), a2);
    a9 = (src + 1);
    a8 = ((const float  *) a9);
    a7 = _mm_load_ss(a8);
    a6 = _mm_shuffle_ps(a7, a7, _MM_SHUFFLE(0, 0, 0, 0));
    a5 = _mm_mul_ps(_mm_set_ps((-1.0f), 0.0f, (-1.0f), 1.0f), a6);
    a41 = (src + 2);
    a31 = ((const float  *) a41);
    a21 = _mm_load_ss(a31);
    a11 = _mm_shuffle_ps(a21, a21, _MM_SHUFFLE(0, 0, 0, 0));
    a01 = _mm_mul_ps(_mm_set_ps(0.0f, (-1.0f), 1.0f, 1.0f), a11);
    a91 = (src + 3);
    a81 = ((const float  *) a91);
    a71 = _mm_load_ss(a81);
    a61 = _mm_shuffle_ps(a71, a71, _MM_SHUFFLE(0, 0, 0, 0));
    a51 = _mm_mul_ps(_mm_set_ps(1.0f, 0.0f, (-1.0f), 1.0f), a61);
    b = _mm_add_ps(a, a5);
    b2 = _mm_add_ps(b, a01);
    s = _mm_add_ps(b2, a51);
    _mm_storeu_ps(((float  *) dst), s);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftfwd_float_4)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftfwd_float_4_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {__m128 a2, a21, a3, a31, a71, a8, a81, a9;
    __m128 a, a11, a61, a7, b, b2, s;
    __m128  *a6;
    const float  *a01, *a02, *a4, *a41, *a5, *a51, *a91;
    a01 = ((const float  *) src);
    a9 = _mm_load_ss(a01);
    a8 = _mm_shuffle_ps(a9, a9, _MM_SHUFFLE(0, 0, 0, 0));
    a7 = _mm_mul_ps(_mm_set_ps(0.0f, 1.0f, 1.0f, 1.0f), a8);
    a51 = (src + 1);
    a41 = ((const float  *) a51);
    a31 = _mm_load_ss(a41);
    a21 = _mm_shuffle_ps(a31, a31, _MM_SHUFFLE(0, 0, 0, 0));
    a11 = _mm_mul_ps(_mm_set_ps((-1.0f), 0.0f, (-1.0f), 1.0f), a21);
    a02 = (src + 2);
    a91 = ((const float  *) a02);
    a81 = _mm_load_ss(a91);
    a71 = _mm_shuffle_ps(a81, a81, _MM_SHUFFLE(0, 0, 0, 0));
    a61 = _mm_mul_ps(_mm_set_ps(0.0f, (-1.0f), 1.0f, 1.0f), a71);
    a5 = (src + 3);
    a4 = ((const float  *) a5);
    a3 = _mm_load_ss(a4);
    a2 = _mm_shuffle_ps(a3, a3, _MM_SHUFFLE(0, 0, 0, 0));
    a = _mm_mul_ps(_mm_set_ps(1.0f, 0.0f, (-1.0f), 1.0f), a2);
    b = _mm_add_ps(a7, a11);
    b2 = _mm_add_ps(b, a61);
    s = _mm_add_ps(b2, a);
    a6 = ((__m128  *) dst);
    *(a6) = s;
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_API(spiral_status_t, spiral_rfftfwd_float_8)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {float a, a2, s, s01, s11, s2, s21, s3, s31, s4, s41, s5, s51, s6, s61, s7, s71, s8, s81, s9, t, t2
            , t3, t4, t5, t6, t7, t8;
    s = *(src);
    s2 = *((src + 4));
    t = (s + s2);
    t2 = (s - s2);
    s3 = *((src + 2));
    s4 = *((src + 6));
    t3 = (s3 + s4);
    t4 = (s3 - s4);
    s5 = *((src + 1));
    s6 = *((src + 5));
    t5 = (s5 + s6);
    s7 = *((src + 3));
    s8 = *((src + 7));
    t6 = (s7 + s8);
    t7 = (t + t3);
    t8 = (t5 + t6);
    s9 = (t7 + t8);
    *(dst) = s9;
    s01 = (t7 - t8);
    *((dst + 1)) = s01;
    s11 = (t - t3);
    *((dst + 4)) = s11;
    s21 = (t6 - t5);
    *((dst + 5)) = s21;
    a = (0.70710678118654757f*(s5 - s6));
    a2 = (0.70710678118654757f*(s7 - s8));
    s31 = (a - a2);
    s41 = (a + a2);
    s51 = (t2 + s31);
    *((dst + 2)) = s51;
    s61 = -((t4 + s41));
    *((dst + 3)) = s61;
    s71 = (t2 - s31);
    *((dst + 6)) = s71;
    s81 = (t4 - s41);
    *((dst + 7)) = s81;
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftfwd_float_16)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {float a, a2, a3, a4, s, s01, s02, s03, s04, s11, s12, s13, s2, s21, s22, s23, s3, s31, s32, s33, s4, s41
            , s42, s43, s5, s51, s52, s53, s6, s61, s62, s63, s7, s71, s72, s73, s8, s81, s82, s83, s9, s91, s92, s93
            , t, t01, t02, t03, t11, t12, t2, t21, t22, t3, t31, t32, t4, t41, t42, t5, t51, t52, t6, t61, t62, t7
            , t71, t72, t8, t81, t82, t9, t91, t92;
    s = *(src);
    s2 = *((src + 8));
    t = (s + s2);
    t2 = (s - s2);
    s3 = *((src + 4));
    s4 = *((src + 12));
    t3 = (s3 + s4);
    t4 = (s3 - s4);
    s5 = *((src + 1));
    s6 = *((src + 9));
    t5 = (s5 + s6);
    t6 = (s5 - s6);
    s7 = *((src + 5));
    s8 = *((src + 13));
    t7 = (s7 + s8);
    t8 = (s7 - s8);
    s9 = *((src + 2));
    s01 = *((src + 10));
    t9 = (s9 + s01);
    s11 = *((src + 6));
    s21 = *((src + 14));
    t01 = (s11 + s21);
    s31 = *((src + 3));
    s41 = *((src + 11));
    t11 = (s31 + s41);
    t21 = (s31 - s41);
    s51 = *((src + 7));
    s61 = *((src + 15));
    t31 = (s51 + s61);
    t41 = (s51 - s61);
    t51 = (t + t3);
    t61 = (t - t3);
    t71 = (t9 + t01);
    t81 = (t9 - t01);
    t91 = (t5 + t7);
    t02 = (t11 + t31);
    t12 = (t51 + t71);
    t22 = (t91 + t02);
    s71 = (t12 + t22);
    *(dst) = s71;
    s81 = (t12 - t22);
    *((dst + 1)) = s81;
    s91 = (t51 - t71);
    *((dst + 8)) = s91;
    s02 = (t02 - t91);
    *((dst + 9)) = s02;
    a = (0.70710678118654757f*(t5 - t7));
    a2 = (0.70710678118654757f*(t11 - t31));
    s12 = (a - a2);
    s22 = (a + a2);
    s32 = (t61 + s12);
    *((dst + 4)) = s32;
    s42 = -((t81 + s22));
    *((dst + 5)) = s42;
    s52 = (t61 - s12);
    *((dst + 12)) = s52;
    s62 = (t81 - s22);
    *((dst + 13)) = s62;
    s72 = ((0.92387953251128674f*t6) - (0.38268343236508978f*t8));
    s82 = ((0.38268343236508978f*t6) + (0.92387953251128674f*t8));
    a3 = (0.70710678118654757f*(s9 - s01));
    a4 = (0.70710678118654757f*(s11 - s21));
    s92 = (a3 - a4);
    s03 = (a3 + a4);
    s13 = ((0.38268343236508978f*t21) - (0.92387953251128674f*t41));
    s23 = ((0.92387953251128674f*t21) + (0.38268343236508978f*t41));
    t32 = (t2 + s92);
    t42 = (t4 + s03);
    t52 = (t2 - s92);
    t62 = (s03 - t4);
    t72 = (s72 + s13);
    t82 = (s82 + s23);
    t92 = (s72 - s13);
    t03 = (s23 - s82);
    s33 = (t32 + t72);
    *((dst + 2)) = s33;
    s43 = -((t42 + t82));
    *((dst + 3)) = s43;
    s53 = (t32 - t72);
    *((dst + 14)) = s53;
    s63 = (t42 - t82);
    *((dst + 15)) = s63;
    s73 = (t52 + t03);
    *((dst + 10)) = s73;
    s83 = (t62 - t92);
    *((dst + 11)) = s83;
    s93 = (t52 - t03);
    *((dst + 6)) = s93;
    s04 = -((t62 + t92));
    *((dst + 7)) = s04;
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftfwd_float_32)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {float a, a01, a11, a2, a21, a3, a4, a5, a6, a7, a8, a9, s, s01, s02, s03, s04, s05, s06, s07, s08, s09
            , s11, s12, s13, s14, s15, s16, s17, s18, s19, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s3, s31, s32
            , s33, s34, s35, s36, s37, s38, s4, s41, s42, s43, s44, s45, s46, s47, s48, s5, s51, s52, s53, s54, s55, s56
            , s57, s58, s6, s61, s62, s63, s64, s65, s66, s67, s68, s7, s71, s72, s73, s74, s75, s76, s77, s78, s8, s81
            , s82, s83, s84, s85, s86, s87, s88, s9, s91, s92, s93, s94, s95, s96, s97, s98, t, t01, t02, t03, t04, t05
            , t06, t07, t08, t11, t12, t13, t14, t15, t16, t17, t18, t2, t21, t22, t23, t24, t25, t26, t27, t28, t3, t31
            , t32, t33, t34, t35, t36, t37, t38, t4, t41, t42, t43, t44, t45, t46, t47, t48, t5, t51, t52, t53, t54, t55
            , t56, t57, t58, t6, t61, t62, t63, t64, t65, t66, t67, t68, t7, t71, t72, t73, t74, t75, t76, t77, t8, t81
            , t82, t83, t84, t85, t86, t87, t9, t91, t92, t93, t94, t95, t96, t97;
    s = *(src);
    s2 = *((src + 16));
    t = (s + s2);
    t2 = (s - s2);
    s3 = *((src + 8));
    s4 = *((src + 24));
    t3 = (s3 + s4);
    t4 = (s3 - s4);
    s5 = *((src + 4));
    s6 = *((src + 20));
    t5 = (s5 + s6);
    s7 = *((src + 12));
    s8 = *((src + 28));
    t6 = (s7 + s8);
    t7 = (t + t3);
    t8 = (t - t3);
    t9 = (t5 + t6);
    t01 = (t5 - t6);
    a = (0.70710678118654757f*(s5 - s6));
    a2 = (0.70710678118654757f*(s7 - s8));
    s9 = (a - a2);
    s01 = (a + a2);
    t11 = (t2 + s9);
    t21 = (t4 + s01);
    t31 = (t2 - s9);
    t41 = (s01 - t4);
    s11 = *((src + 1));
    s21 = *((src + 17));
    t51 = (s11 + s21);
    t61 = (s11 - s21);
    s31 = *((src + 9));
    s41 = *((src + 25));
    t71 = (s31 + s41);
    t81 = (s31 - s41);
    s51 = *((src + 5));
    s61 = *((src + 21));
    t91 = (s51 + s61);
    s71 = *((src + 13));
    s81 = *((src + 29));
    t02 = (s71 + s81);
    t12 = (t51 + t71);
    t22 = (t51 - t71);
    t32 = (t91 + t02);
    t42 = (t91 - t02);
    a3 = (0.70710678118654757f*(s51 - s61));
    a4 = (0.70710678118654757f*(s71 - s81));
    s91 = (a3 - a4);
    s02 = (a3 + a4);
    t52 = (t61 + s91);
    t62 = (t81 + s02);
    t72 = (t61 - s91);
    t82 = (s02 - t81);
    s12 = *((src + 2));
    s22 = *((src + 18));
    t92 = (s12 + s22);
    t03 = (s12 - s22);
    s32 = *((src + 10));
    s42 = *((src + 26));
    t13 = (s32 + s42);
    t23 = (s32 - s42);
    s52 = *((src + 6));
    s62 = *((src + 22));
    t33 = (s52 + s62);
    s72 = *((src + 14));
    s82 = *((src + 30));
    t43 = (s72 + s82);
    t53 = (t92 + t13);
    t63 = (t33 + t43);
    a5 = (0.70710678118654757f*(s52 - s62));
    a6 = (0.70710678118654757f*(s72 - s82));
    s92 = (a5 - a6);
    s03 = (a5 + a6);
    t73 = (t03 + s92);
    t83 = (t23 + s03);
    t93 = (t03 - s92);
    t04 = (s03 - t23);
    s13 = *((src + 3));
    s23 = *((src + 19));
    t14 = (s13 + s23);
    t24 = (s13 - s23);
    s33 = *((src + 11));
    s43 = *((src + 27));
    t34 = (s33 + s43);
    t44 = (s33 - s43);
    s53 = *((src + 7));
    s63 = *((src + 23));
    t54 = (s53 + s63);
    s73 = *((src + 15));
    s83 = *((src + 31));
    t64 = (s73 + s83);
    t74 = (t14 + t34);
    t84 = (t14 - t34);
    t94 = (t54 + t64);
    t05 = (t54 - t64);
    a7 = (0.70710678118654757f*(s53 - s63));
    a8 = (0.70710678118654757f*(s73 - s83));
    s93 = (a7 - a8);
    s04 = (a7 + a8);
    t15 = (t24 + s93);
    t25 = (t44 + s04);
    t35 = (t24 - s93);
    t45 = (s04 - t44);
    t55 = (t7 + t9);
    t65 = (t7 - t9);
    t75 = (t53 + t63);
    t85 = (t53 - t63);
    t95 = (t12 + t32);
    t06 = (t74 + t94);
    t16 = (t55 + t75);
    t26 = (t95 + t06);
    s14 = (t16 + t26);
    *(dst) = s14;
    s24 = (t16 - t26);
    *((dst + 1)) = s24;
    s34 = (t55 - t75);
    *((dst + 16)) = s34;
    s44 = (t06 - t95);
    *((dst + 17)) = s44;
    a9 = (0.70710678118654757f*(t12 - t32));
    a01 = (0.70710678118654757f*(t74 - t94));
    s54 = (a9 - a01);
    s64 = (a9 + a01);
    s74 = (t65 + s54);
    *((dst + 8)) = s74;
    s84 = -((t85 + s64));
    *((dst + 9)) = s84;
    s94 = (t65 - s54);
    *((dst + 24)) = s94;
    s05 = (t85 - s64);
    *((dst + 25)) = s05;
    s15 = ((0.98078528040323043f*t52) - (0.19509032201612828f*t62));
    s25 = ((0.19509032201612828f*t52) + (0.98078528040323043f*t62));
    s35 = ((0.92387953251128674f*t73) - (0.38268343236508978f*t83));
    s45 = ((0.38268343236508978f*t73) + (0.92387953251128674f*t83));
    s55 = ((0.83146961230254524f*t15) - (0.55557023301960218f*t25));
    s65 = ((0.55557023301960218f*t15) + (0.83146961230254524f*t25));
    t36 = (t11 + s35);
    t46 = (t21 + s45);
    t56 = (t11 - s35);
    t66 = (s45 - t21);
    t76 = (s15 + s55);
    t86 = (s25 + s65);
    t96 = (s15 - s55);
    t07 = (s65 - s25);
    s75 = (t36 + t76);
    *((dst + 2)) = s75;
    s85 = -((t46 + t86));
    *((dst + 3)) = s85;
    s95 = (t36 - t76);
    *((dst + 30)) = s95;
    s06 = (t46 - t86);
    *((dst + 31)) = s06;
    s16 = (t56 + t07);
    *((dst + 18)) = s16;
    s26 = (t66 - t96);
    *((dst + 19)) = s26;
    s36 = (t56 - t07);
    *((dst + 14)) = s36;
    s46 = -((t66 + t96));
    *((dst + 15)) = s46;
    s56 = ((0.92387953251128674f*t22) - (0.38268343236508978f*t42));
    s66 = ((0.38268343236508978f*t22) + (0.92387953251128674f*t42));
    a11 = (0.70710678118654757f*(t92 - t13));
    a21 = (0.70710678118654757f*(t33 - t43));
    s76 = (a11 - a21);
    s86 = (a11 + a21);
    s96 = ((0.38268343236508978f*t84) - (0.92387953251128674f*t05));
    s07 = ((0.92387953251128674f*t84) + (0.38268343236508978f*t05));
    t17 = (t8 + s76);
    t27 = (t01 + s86);
    t37 = (t8 - s76);
    t47 = (s86 - t01);
    t57 = (s56 + s96);
    t67 = (s66 + s07);
    t77 = (s56 - s96);
    t87 = (s07 - s66);
    s17 = (t17 + t57);
    *((dst + 4)) = s17;
    s27 = -((t27 + t67));
    *((dst + 5)) = s27;
    s37 = (t17 - t57);
    *((dst + 28)) = s37;
    s47 = (t27 - t67);
    *((dst + 29)) = s47;
    s57 = (t37 + t87);
    *((dst + 20)) = s57;
    s67 = (t47 - t77);
    *((dst + 21)) = s67;
    s77 = (t37 - t87);
    *((dst + 12)) = s77;
    s87 = -((t47 + t77));
    *((dst + 13)) = s87;
    s97 = ((0.83146961230254524f*t72) - (0.55557023301960218f*t82));
    s08 = ((0.55557023301960218f*t72) + (0.83146961230254524f*t82));
    s18 = ((0.38268343236508978f*t93) - (0.92387953251128674f*t04));
    s28 = ((0.92387953251128674f*t93) + (0.38268343236508978f*t04));
    s38 = ((0.19509032201612828f*t35) + (0.98078528040323043f*t45));
    s48 = ((0.19509032201612828f*t45) - (0.98078528040323043f*t35));
    t97 = (t31 + s18);
    t08 = (t41 + s28);
    t18 = (t31 - s18);
    t28 = (s28 - t41);
    t38 = (s97 - s38);
    t48 = (s48 - s08);
    t58 = (s97 + s38);
    t68 = (s08 + s48);
    s58 = (t97 + t38);
    *((dst + 6)) = s58;
    s68 = (t48 - t08);
    *((dst + 7)) = s68;
    s78 = (t97 - t38);
    *((dst + 26)) = s78;
    s88 = (t08 + t48);
    *((dst + 27)) = s88;
    s98 = (t18 - t68);
    *((dst + 22)) = s98;
    s09 = (t28 - t58);
    *((dst + 23)) = s09;
    s19 = (t18 + t68);
    *((dst + 10)) = s19;
    s29 = -((t28 + t58));
    *((dst + 11)) = s29;
    }
    
    return SPIRAL_OK;
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftfwd_float_64_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {__m128 a03, a06, a07, a08, a0d, a0e, a13, a14, a15, a16, a17, a18, a1d, a1e, a24, a25, a27, a28, a35, a36, a37, a46
            , a54, a55, a56, a57, a63, a64, a65, a67, a73, a74, a75, a76, a77, a83, a84, a85, a86, a92, a94, a95, a96, a97
            , b, b4, b6, b8;
    __m128 a, a01, a02, a04, a05, a0a, a0b, a0c, a11, a12, a1a, a1b, a1c, a2, a21, a22, a23, a26, a2a, a2b, a2c, a3
            , a31, a32, a33, a34, a3a, a3b, a3c, a4, a41, a42, a43, a44, a45, a47, a4a, a4b, a4c, a5, a51, a52, a53, a5a
            , a5b, a5c, a6, a61, a62, a66, a6a, a6b, a7, a71, a72, a7a, a7b, a8, a81, a82, a87, a89, a8a, a8b, a9, a91
            , a93, a99, a9a, a9b, b2, b3, b5, b7, b9, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s11, s12
            , s13, s14, s15, s16, s17, s18, s19, s1a, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s3, s31, s32
            , s33, s34, s35, s36, s37, s38, s39, s3a, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s5, s51, s52
            , s53, s54, s55, s56, s57, s58, s59, s5a, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s7, s71, s72
            , s73, s74, s75, s76, s77, s78, s79, s7a, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a, s9, s91, s92
            , s93, s94, s95, s96, s97, s98, s99, t, t01, t02, t03, t04, t05, t06, t07, t08, t11, t12, t13, t14, t15, t16
            , t17, t2, t21, t22, t23, t24, t25, t26, t27, t3, t31, t32, t33, t34, t35, t36, t37, t4, t41, t42, t43, t44
            , t45, t46, t47, t5, t51, t52, t53, t54, t55, t56, t57, t6, t61, t62, t63, t64, t65, t66, t67, t7, t71, t72
            , t73, t74, t75, t76, t77, t8, t81, t82, t83, t84, t85, t86, t87, t9, t91, t92, t93, t94, t95, t96, t97;
    float  *a09, *a19, *a29, *a2d, *a2e, *a38, *a39, *a3d, *a3e, *a48, *a49, *a4d, *a4e, *a58, *a59, *a5d, *a5e, *a68, *a69, *a6c, *a6d, *a78
            , *a79, *a7c, *a7d, *a88, *a8c, *a8d, *a98, *a9c, *a9d;
    const float  *a0f, *a0g, *a0h, *a1f, *a1g, *a1h, *a2f, *a2g, *a2h, *a3f, *a3g, *a3h, *a4f, *a4g, *a4h, *a5f, *a5g, *a5h, *a6e, *a6f, *a6g, *a6h
            , *a7e, *a7f, *a7g, *a8e, *a8f, *a8g, *a9e, *a9f, *a9g;
    a6e = ((const float  *) src);
    s78 = _mm_loadu_ps(a6e);
    a8e = (src + 32);
    a7e = ((const float  *) a8e);
    s88 = _mm_loadu_ps(a7e);
    t = _mm_add_ps(s78, s88);
    t2 = _mm_sub_ps(s78, s88);
    a0f = (src + 16);
    a9e = ((const float  *) a0f);
    s98 = _mm_loadu_ps(a9e);
    a2f = (src + 48);
    a1f = ((const float  *) a2f);
    s09 = _mm_loadu_ps(a1f);
    t3 = _mm_add_ps(s98, s09);
    t4 = _mm_sub_ps(s98, s09);
    a4f = (src + 4);
    a3f = ((const float  *) a4f);
    s19 = _mm_loadu_ps(a3f);
    a6f = (src + 36);
    a5f = ((const float  *) a6f);
    s29 = _mm_loadu_ps(a5f);
    t5 = _mm_add_ps(s19, s29);
    t6 = _mm_sub_ps(s19, s29);
    a8f = (src + 20);
    a7f = ((const float  *) a8f);
    s39 = _mm_loadu_ps(a7f);
    a0g = (src + 52);
    a9f = ((const float  *) a0g);
    s49 = _mm_loadu_ps(a9f);
    t7 = _mm_add_ps(s39, s49);
    t8 = _mm_sub_ps(s39, s49);
    a2g = (src + 8);
    a1g = ((const float  *) a2g);
    s59 = _mm_loadu_ps(a1g);
    a4g = (src + 40);
    a3g = ((const float  *) a4g);
    s69 = _mm_loadu_ps(a3g);
    t9 = _mm_add_ps(s59, s69);
    t01 = _mm_sub_ps(s59, s69);
    a6g = (src + 24);
    a5g = ((const float  *) a6g);
    s79 = _mm_loadu_ps(a5g);
    a8g = (src + 56);
    a7g = ((const float  *) a8g);
    s89 = _mm_loadu_ps(a7g);
    t11 = _mm_add_ps(s79, s89);
    t21 = _mm_sub_ps(s79, s89);
    a0h = (src + 12);
    a9g = ((const float  *) a0h);
    s99 = _mm_loadu_ps(a9g);
    a2h = (src + 44);
    a1h = ((const float  *) a2h);
    s0a = _mm_loadu_ps(a1h);
    t31 = _mm_add_ps(s99, s0a);
    t41 = _mm_sub_ps(s99, s0a);
    a4h = (src + 28);
    a3h = ((const float  *) a4h);
    s1a = _mm_loadu_ps(a3h);
    a6h = (src + 60);
    a5h = ((const float  *) a6h);
    s2a = _mm_loadu_ps(a5h);
    t51 = _mm_add_ps(s1a, s2a);
    t61 = _mm_sub_ps(s1a, s2a);
    s3a = _mm_shuffle_ps(t, t5, _MM_SHUFFLE(2, 0, 2, 0));
    s4a = _mm_shuffle_ps(t, t5, _MM_SHUFFLE(3, 1, 3, 1));
    s5a = _mm_shuffle_ps(t3, t7, _MM_SHUFFLE(2, 0, 2, 0));
    s6a = _mm_shuffle_ps(t3, t7, _MM_SHUFFLE(3, 1, 3, 1));
    t71 = _mm_add_ps(s3a, s5a);
    t81 = _mm_add_ps(s4a, s6a);
    t91 = _mm_sub_ps(s3a, s5a);
    t02 = _mm_sub_ps(s4a, s6a);
    s7a = _mm_shuffle_ps(t9, t31, _MM_SHUFFLE(2, 0, 2, 0));
    s8a = _mm_shuffle_ps(t9, t31, _MM_SHUFFLE(3, 1, 3, 1));
    s = _mm_shuffle_ps(t11, t51, _MM_SHUFFLE(2, 0, 2, 0));
    s2 = _mm_shuffle_ps(t11, t51, _MM_SHUFFLE(3, 1, 3, 1));
    t12 = _mm_add_ps(s7a, s);
    t22 = _mm_add_ps(s8a, s2);
    t32 = _mm_sub_ps(s7a, s);
    t42 = _mm_sub_ps(s8a, s2);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    t92 = _mm_add_ps(t91, t42);
    t03 = _mm_sub_ps(t02, t32);
    t13 = _mm_sub_ps(t91, t42);
    t23 = _mm_add_ps(t02, t32);
    s3 = _mm_unpacklo_ps(t52, t92);
    s4 = _mm_unpackhi_ps(t52, t92);
    s5 = _mm_unpacklo_ps(t62, t03);
    s6 = _mm_unpackhi_ps(t62, t03);
    s7 = _mm_unpacklo_ps(t72, t13);
    s8 = _mm_unpackhi_ps(t72, t13);
    s9 = _mm_unpacklo_ps(t82, t23);
    s01 = _mm_unpackhi_ps(t82, t23);
    s11 = _mm_shuffle_ps(s3, s7, _MM_SHUFFLE(1, 0, 1, 0));
    s21 = _mm_shuffle_ps(s3, s7, _MM_SHUFFLE(3, 2, 3, 2));
    s31 = _mm_shuffle_ps(s4, s8, _MM_SHUFFLE(1, 0, 1, 0));
    s41 = _mm_shuffle_ps(s4, s8, _MM_SHUFFLE(3, 2, 3, 2));
    s51 = _mm_shuffle_ps(s5, s9, _MM_SHUFFLE(1, 0, 1, 0));
    s61 = _mm_shuffle_ps(s5, s9, _MM_SHUFFLE(3, 2, 3, 2));
    s71 = _mm_shuffle_ps(s6, s01, _MM_SHUFFLE(1, 0, 1, 0));
    s81 = _mm_shuffle_ps(s6, s01, _MM_SHUFFLE(3, 2, 3, 2));
    a = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s31);
    a2 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s71);
    s91 = _mm_sub_ps(a, a2);
    a3 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s31);
    a4 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s71);
    s02 = _mm_add_ps(a3, a4);
    t33 = _mm_add_ps(s11, s91);
    t43 = _mm_add_ps(s51, s02);
    t53 = _mm_sub_ps(s11, s91);
    t63 = _mm_sub_ps(s51, s02);
    a5 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s21);
    a6 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s61);
    s12 = _mm_sub_ps(a5, a6);
    a7 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s21);
    a8 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s61);
    s22 = _mm_add_ps(a7, a8);
    a9 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s41);
    a01 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s81);
    s32 = _mm_sub_ps(a9, a01);
    a11 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s41);
    a21 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s81);
    s42 = _mm_add_ps(a11, a21);
    t73 = _mm_add_ps(s12, s32);
    t83 = _mm_add_ps(s22, s42);
    t93 = _mm_sub_ps(s12, s32);
    t04 = _mm_sub_ps(s22, s42);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_add_ps(t53, t04);
    t64 = _mm_sub_ps(t63, t93);
    t74 = _mm_sub_ps(t53, t04);
    t84 = _mm_add_ps(t63, t93);
    a31 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t14);
    a41 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t24);
    s52 = _mm_sub_ps(a31, a41);
    a51 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t14);
    a61 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t24);
    s62 = _mm_add_ps(a51, a61);
    a71 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t54);
    a81 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t64);
    s72 = _mm_sub_ps(a71, a81);
    a91 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t54);
    a02 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t64);
    s82 = _mm_add_ps(a91, a02);
    a12 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t34);
    a22 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t44);
    s92 = _mm_sub_ps(a12, a22);
    a32 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t34);
    a42 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t44);
    s03 = _mm_add_ps(a32, a42);
    a52 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t74);
    a62 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t84);
    s13 = _mm_sub_ps(a52, a62);
    a72 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t74);
    a82 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t84);
    s23 = _mm_add_ps(a72, a82);
    a13 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t74, _MM_SHUFFLE(3, 2, 1, 0));
    a03 = _mm_shuffle_ps(a13, t74, _MM_SHUFFLE(1, 2, 3, 0));
    a43 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s52);
    a53 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s62);
    a33 = _mm_add_ps(a43, a53);
    a73 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s13, _MM_SHUFFLE(3, 2, 1, 0));
    a63 = _mm_shuffle_ps(a73, s13, _MM_SHUFFLE(1, 2, 3, 0));
    a23 = _mm_sub_ps(a33, a63);
    b = _mm_add_ps(t14, a03);
    a92 = _mm_add_ps(b, a23);
    s33 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a92);
    a04 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t24);
    a24 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t84, _MM_SHUFFLE(3, 2, 1, 0));
    a14 = _mm_shuffle_ps(a24, t84, _MM_SHUFFLE(1, 2, 3, 0));
    a93 = _mm_sub_ps(a04, a14);
    a34 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s52);
    a44 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s62);
    a64 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s23, _MM_SHUFFLE(3, 2, 1, 0));
    a54 = _mm_shuffle_ps(a64, s23, _MM_SHUFFLE(1, 2, 3, 0));
    b2 = _mm_add_ps(a93, a34);
    b3 = _mm_add_ps(b2, a44);
    a83 = _mm_add_ps(b3, a54);
    s43 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a83);
    a94 = _mm_shuffle_ps(t74, t34, _MM_SHUFFLE(3, 2, 1, 0));
    a84 = _mm_shuffle_ps(a94, t34, _MM_SHUFFLE(1, 2, 3, 0));
    a25 = _mm_shuffle_ps(s13, s92, _MM_SHUFFLE(3, 2, 1, 0));
    a15 = _mm_shuffle_ps(a25, s92, _MM_SHUFFLE(1, 2, 3, 0));
    a05 = _mm_sub_ps(s72, a15);
    b4 = _mm_add_ps(t54, a84);
    a74 = _mm_add_ps(b4, a05);
    s53 = _mm_mul_ps(_mm_set1_ps(0.5f), a74);
    a65 = _mm_shuffle_ps(t84, t44, _MM_SHUFFLE(3, 2, 1, 0));
    a55 = _mm_shuffle_ps(a65, t44, _MM_SHUFFLE(1, 2, 3, 0));
    a45 = _mm_sub_ps(t64, a55);
    a85 = _mm_shuffle_ps(s23, s03, _MM_SHUFFLE(3, 2, 1, 0));
    a75 = _mm_shuffle_ps(a85, s03, _MM_SHUFFLE(1, 2, 3, 0));
    b5 = _mm_add_ps(a45, s82);
    a35 = _mm_add_ps(b5, a75);
    s63 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a16 = _mm_shuffle_ps(t34, t54, _MM_SHUFFLE(3, 2, 1, 0));
    a06 = _mm_shuffle_ps(a16, t54, _MM_SHUFFLE(1, 2, 3, 0));
    a46 = _mm_shuffle_ps(s92, s72, _MM_SHUFFLE(3, 2, 1, 0));
    a36 = _mm_shuffle_ps(a46, s72, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_sub_ps(s92, a36);
    b6 = _mm_add_ps(t34, a06);
    a95 = _mm_add_ps(b6, a26);
    s73 = _mm_mul_ps(_mm_set1_ps(0.5f), a95);
    a86 = _mm_shuffle_ps(t44, t64, _MM_SHUFFLE(3, 2, 1, 0));
    a76 = _mm_shuffle_ps(a86, t64, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_sub_ps(t44, a76);
    a07 = _mm_shuffle_ps(s03, s82, _MM_SHUFFLE(3, 2, 1, 0));
    a96 = _mm_shuffle_ps(a07, s82, _MM_SHUFFLE(1, 2, 3, 0));
    b7 = _mm_add_ps(a66, s03);
    a56 = _mm_add_ps(b7, a96);
    s83 = _mm_mul_ps(_mm_set1_ps(0.5f), a56);
    a37 = _mm_shuffle_ps(t54, t14, _MM_SHUFFLE(3, 2, 1, 0));
    a27 = _mm_shuffle_ps(a37, t14, _MM_SHUFFLE(1, 2, 3, 0));
    a67 = _mm_shuffle_ps(s72, s52, _MM_SHUFFLE(3, 2, 1, 0));
    a57 = _mm_shuffle_ps(a67, s52, _MM_SHUFFLE(1, 2, 3, 0));
    a47 = _mm_sub_ps(s13, a57);
    b8 = _mm_add_ps(t74, a27);
    a17 = _mm_add_ps(b8, a47);
    s93 = _mm_mul_ps(_mm_set1_ps(0.5f), a17);
    a08 = _mm_shuffle_ps(t64, t24, _MM_SHUFFLE(3, 2, 1, 0));
    a97 = _mm_shuffle_ps(a08, t24, _MM_SHUFFLE(1, 2, 3, 0));
    a87 = _mm_sub_ps(t84, a97);
    a28 = _mm_shuffle_ps(s82, s62, _MM_SHUFFLE(3, 2, 1, 0));
    a18 = _mm_shuffle_ps(a28, s62, _MM_SHUFFLE(1, 2, 3, 0));
    b9 = _mm_add_ps(a87, s23);
    a77 = _mm_add_ps(b9, a18);
    s04 = _mm_mul_ps(_mm_set1_ps(0.5f), a77);
    s14 = _mm_unpacklo_ps(s33, s43);
    s24 = _mm_unpackhi_ps(s33, s43);
    _mm_storel_pi(((__m64  *) dst), s14);
    a38 = (dst + 4);
    _mm_storeh_pi(((__m64  *) a38), s14);
    a48 = (dst + 8);
    _mm_storel_pi(((__m64  *) a48), s24);
    a58 = (dst + 12);
    _mm_storeh_pi(((__m64  *) a58), s24);
    s34 = _mm_unpacklo_ps(s53, s63);
    s44 = _mm_unpackhi_ps(s53, s63);
    a68 = (dst + 16);
    _mm_storel_pi(((__m64  *) a68), s34);
    a78 = (dst + 20);
    _mm_storeh_pi(((__m64  *) a78), s34);
    a88 = (dst + 24);
    _mm_storel_pi(((__m64  *) a88), s44);
    a98 = (dst + 28);
    _mm_storeh_pi(((__m64  *) a98), s44);
    s54 = _mm_unpacklo_ps(s73, s83);
    s64 = _mm_unpackhi_ps(s73, s83);
    a09 = (dst + 32);
    _mm_storel_pi(((__m64  *) a09), s54);
    a19 = (dst + 36);
    _mm_storeh_pi(((__m64  *) a19), s54);
    a29 = (dst + 40);
    _mm_storel_pi(((__m64  *) a29), s64);
    a39 = (dst + 44);
    _mm_storeh_pi(((__m64  *) a39), s64);
    s74 = _mm_unpacklo_ps(s93, s04);
    s84 = _mm_unpackhi_ps(s93, s04);
    a49 = (dst + 48);
    _mm_storel_pi(((__m64  *) a49), s74);
    a59 = (dst + 52);
    _mm_storeh_pi(((__m64  *) a59), s74);
    a69 = (dst + 56);
    _mm_storel_pi(((__m64  *) a69), s84);
    a79 = (dst + 60);
    _mm_storeh_pi(((__m64  *) a79), s84);
    a89 = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t2);
    a99 = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t4);
    s94 = _mm_add_ps(a89, a99);
    a0a = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t2);
    a1a = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t4);
    s05 = _mm_sub_ps(a0a, a1a);
    a2a = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t01);
    a3a = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t21);
    s15 = _mm_add_ps(a2a, a3a);
    a4a = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t01);
    a5a = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t21);
    s25 = _mm_sub_ps(a4a, a5a);
    t94 = _mm_add_ps(s94, s15);
    t05 = _mm_add_ps(s05, s25);
    t15 = _mm_sub_ps(s94, s15);
    t25 = _mm_sub_ps(s05, s25);
    a6a = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t6);
    a7a = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t8);
    s35 = _mm_add_ps(a6a, a7a);
    a8a = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t6);
    a9a = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t8);
    s45 = _mm_sub_ps(a8a, a9a);
    a0b = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t41);
    a1b = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t61);
    s55 = _mm_add_ps(a0b, a1b);
    a2b = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t41);
    a3b = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t61);
    s65 = _mm_sub_ps(a2b, a3b);
    t35 = _mm_add_ps(s35, s55);
    t45 = _mm_add_ps(s45, s65);
    t55 = _mm_sub_ps(s35, s55);
    t65 = _mm_sub_ps(s45, s65);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    t16 = _mm_add_ps(t15, t65);
    t26 = _mm_sub_ps(t25, t55);
    t36 = _mm_sub_ps(t15, t65);
    t46 = _mm_add_ps(t25, t55);
    s75 = _mm_unpacklo_ps(t75, t16);
    s85 = _mm_unpackhi_ps(t75, t16);
    s95 = _mm_unpacklo_ps(t85, t26);
    s06 = _mm_unpackhi_ps(t85, t26);
    s16 = _mm_unpacklo_ps(t95, t36);
    s26 = _mm_unpackhi_ps(t95, t36);
    s36 = _mm_unpacklo_ps(t06, t46);
    s46 = _mm_unpackhi_ps(t06, t46);
    s56 = _mm_shuffle_ps(s75, s16, _MM_SHUFFLE(1, 0, 1, 0));
    s66 = _mm_shuffle_ps(s75, s16, _MM_SHUFFLE(3, 2, 3, 2));
    s76 = _mm_shuffle_ps(s85, s26, _MM_SHUFFLE(1, 0, 1, 0));
    s86 = _mm_shuffle_ps(s85, s26, _MM_SHUFFLE(3, 2, 3, 2));
    s96 = _mm_shuffle_ps(s95, s36, _MM_SHUFFLE(1, 0, 1, 0));
    s07 = _mm_shuffle_ps(s95, s36, _MM_SHUFFLE(3, 2, 3, 2));
    s17 = _mm_shuffle_ps(s06, s46, _MM_SHUFFLE(1, 0, 1, 0));
    s27 = _mm_shuffle_ps(s06, s46, _MM_SHUFFLE(3, 2, 3, 2));
    a4b = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s76);
    a5b = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s17);
    s37 = _mm_sub_ps(a4b, a5b);
    a6b = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s76);
    a7b = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s17);
    s47 = _mm_add_ps(a6b, a7b);
    t56 = _mm_add_ps(s56, s37);
    t66 = _mm_add_ps(s96, s47);
    t76 = _mm_sub_ps(s56, s37);
    t86 = _mm_sub_ps(s96, s47);
    a8b = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s66);
    a9b = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s07);
    s57 = _mm_sub_ps(a8b, a9b);
    a0c = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s66);
    a1c = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s07);
    s67 = _mm_add_ps(a0c, a1c);
    a2c = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s86);
    a3c = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s27);
    s77 = _mm_sub_ps(a2c, a3c);
    a4c = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s86);
    a5c = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s27);
    s87 = _mm_add_ps(a4c, a5c);
    t96 = _mm_add_ps(s57, s77);
    t07 = _mm_add_ps(s67, s87);
    t17 = _mm_sub_ps(s57, s77);
    t27 = _mm_sub_ps(s67, s87);
    t37 = _mm_add_ps(t56, t96);
    t47 = _mm_add_ps(t66, t07);
    t57 = _mm_sub_ps(t56, t96);
    t67 = _mm_sub_ps(t66, t07);
    s97 = _mm_unpacklo_ps(t37, t47);
    s08 = _mm_unpackhi_ps(t37, t47);
    a6c = (dst + 2);
    _mm_storel_pi(((__m64  *) a6c), s97);
    a7c = (dst + 10);
    _mm_storeh_pi(((__m64  *) a7c), s97);
    a8c = (dst + 18);
    _mm_storel_pi(((__m64  *) a8c), s08);
    a9c = (dst + 26);
    _mm_storeh_pi(((__m64  *) a9c), s08);
    a0d = _mm_unpacklo_ps(t57, t67);
    s18 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a0d);
    a1d = _mm_unpackhi_ps(t57, t67);
    s28 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1d);
    a2d = (dst + 62);
    _mm_storel_pi(((__m64  *) a2d), s18);
    a3d = (dst + 54);
    _mm_storeh_pi(((__m64  *) a3d), s18);
    a4d = (dst + 46);
    _mm_storel_pi(((__m64  *) a4d), s28);
    a5d = (dst + 38);
    _mm_storeh_pi(((__m64  *) a5d), s28);
    t77 = _mm_add_ps(t76, t27);
    t87 = _mm_sub_ps(t86, t17);
    t97 = _mm_sub_ps(t76, t27);
    t08 = _mm_add_ps(t86, t17);
    s38 = _mm_unpacklo_ps(t77, t87);
    s48 = _mm_unpackhi_ps(t77, t87);
    a6d = (dst + 34);
    _mm_storel_pi(((__m64  *) a6d), s38);
    a7d = (dst + 42);
    _mm_storeh_pi(((__m64  *) a7d), s38);
    a8d = (dst + 50);
    _mm_storel_pi(((__m64  *) a8d), s48);
    a9d = (dst + 58);
    _mm_storeh_pi(((__m64  *) a9d), s48);
    a0e = _mm_unpacklo_ps(t97, t08);
    s58 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a0e);
    a1e = _mm_unpackhi_ps(t97, t08);
    s68 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1e);
    a2e = (dst + 30);
    _mm_storel_pi(((__m64  *) a2e), s58);
    a3e = (dst + 22);
    _mm_storeh_pi(((__m64  *) a3e), s58);
    a4e = (dst + 14);
    _mm_storel_pi(((__m64  *) a4e), s68);
    a5e = (dst + 6);
    _mm_storeh_pi(((__m64  *) a5e), s68);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftfwd_float_64)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftfwd_float_64_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {__m128 a03, a05, a06, a07, a08, a13, a16, a17, a18, a1d, a1e, a23, a24, a25, a26, a27, a28, a2d, a2e, a34, a35, a37
            , a38, a45, a46, a47, a56, a64, a65, a66, a67, a73, a74, a75, a77, a83, a84, a85, a86, a87, a93, a94, a95, a96
            , b, b4, b6, b8;
    __m128 a01, a02, a04, a0a, a0b, a0c, a11, a12, a14, a15, a1a, a1b, a1c, a2, a21, a22, a2a, a2b, a2c, a3, a31, a32
            , a33, a36, a3a, a3b, a3c, a4, a41, a42, a43, a44, a4a, a4b, a4c, a5, a51, a52, a53, a54, a55, a57, a5a, a5b
            , a5c, a6, a61, a62, a63, a6a, a6b, a6c, a7, a71, a72, a76, a7a, a7b, a8, a81, a82, a8a, a8b, a9, a91, a92
            , a97, a99, a9a, a9b, b2, b3, b5, b7, b9, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s11, s12
            , s13, s14, s15, s16, s17, s18, s19, s1a, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s3, s31, s32
            , s33, s34, s35, s36, s37, s38, s39, s3a, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s5, s51, s52
            , s53, s54, s55, s56, s57, s58, s59, s5a, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s7, s71, s72
            , s73, s74, s75, s76, s77, s78, s79, s7a, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a, s9, s91, s92
            , s93, s94, s95, s96, s97, s98, s99, t, t01, t02, t03, t04, t05, t06, t07, t08, t11, t12, t13, t14, t15, t16
            , t17, t2, t21, t22, t23, t24, t25, t26, t27, t3, t31, t32, t33, t34, t35, t36, t37, t4, t41, t42, t43, t44
            , t45, t46, t47, t5, t51, t52, t53, t54, t55, t56, t57, t6, t61, t62, t63, t64, t65, t66, t67, t7, t71, t72
            , t73, t74, t75, t76, t77, t8, t81, t82, t83, t84, t85, t86, t87, t9, t91, t92, t93, t94, t95, t96, t97;
    __m128  *a, *a0f, *a0g, *a1f, *a1g, *a2f, *a3f, *a4f, *a5f, *a6f, *a7e, *a7f, *a8e, *a8f, *a9e, *a9f;
    float  *a09, *a0d, *a0e, *a19, *a29, *a39, *a3d, *a3e, *a48, *a49, *a4d, *a4e, *a58, *a59, *a5d, *a5e, *a68, *a69, *a6d, *a6e, *a78, *a79
            , *a7c, *a7d, *a88, *a89, *a8c, *a8d, *a98, *a9c, *a9d;
    a = ((__m128  *) src);
    s = *(a);
    a7e = (a + 8);
    s2 = *(a7e);
    t = _mm_add_ps(s, s2);
    t2 = _mm_sub_ps(s, s2);
    a8e = (a + 4);
    s3 = *(a8e);
    a9e = (a + 12);
    s4 = *(a9e);
    t3 = _mm_add_ps(s3, s4);
    t4 = _mm_sub_ps(s3, s4);
    a0f = (a + 1);
    s5 = *(a0f);
    a1f = (a + 9);
    s6 = *(a1f);
    t5 = _mm_add_ps(s5, s6);
    t6 = _mm_sub_ps(s5, s6);
    a2f = (a + 5);
    s7 = *(a2f);
    a3f = (a + 13);
    s8 = *(a3f);
    t7 = _mm_add_ps(s7, s8);
    t8 = _mm_sub_ps(s7, s8);
    a4f = (a + 2);
    s9 = *(a4f);
    a5f = (a + 10);
    s01 = *(a5f);
    t9 = _mm_add_ps(s9, s01);
    t01 = _mm_sub_ps(s9, s01);
    a6f = (a + 6);
    s11 = *(a6f);
    a7f = (a + 14);
    s21 = *(a7f);
    t11 = _mm_add_ps(s11, s21);
    t21 = _mm_sub_ps(s11, s21);
    a8f = (a + 3);
    s31 = *(a8f);
    a9f = (a + 11);
    s41 = *(a9f);
    t31 = _mm_add_ps(s31, s41);
    t41 = _mm_sub_ps(s31, s41);
    a0g = (a + 7);
    s51 = *(a0g);
    a1g = (a + 15);
    s61 = *(a1g);
    t51 = _mm_add_ps(s51, s61);
    t61 = _mm_sub_ps(s51, s61);
    s71 = _mm_shuffle_ps(t, t5, _MM_SHUFFLE(2, 0, 2, 0));
    s81 = _mm_shuffle_ps(t, t5, _MM_SHUFFLE(3, 1, 3, 1));
    s91 = _mm_shuffle_ps(t3, t7, _MM_SHUFFLE(2, 0, 2, 0));
    s02 = _mm_shuffle_ps(t3, t7, _MM_SHUFFLE(3, 1, 3, 1));
    t71 = _mm_add_ps(s71, s91);
    t81 = _mm_add_ps(s81, s02);
    t91 = _mm_sub_ps(s71, s91);
    t02 = _mm_sub_ps(s81, s02);
    s12 = _mm_shuffle_ps(t9, t31, _MM_SHUFFLE(2, 0, 2, 0));
    s22 = _mm_shuffle_ps(t9, t31, _MM_SHUFFLE(3, 1, 3, 1));
    s32 = _mm_shuffle_ps(t11, t51, _MM_SHUFFLE(2, 0, 2, 0));
    s42 = _mm_shuffle_ps(t11, t51, _MM_SHUFFLE(3, 1, 3, 1));
    t12 = _mm_add_ps(s12, s32);
    t22 = _mm_add_ps(s22, s42);
    t32 = _mm_sub_ps(s12, s32);
    t42 = _mm_sub_ps(s22, s42);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    t92 = _mm_add_ps(t91, t42);
    t03 = _mm_sub_ps(t02, t32);
    t13 = _mm_sub_ps(t91, t42);
    t23 = _mm_add_ps(t02, t32);
    s52 = _mm_unpacklo_ps(t52, t92);
    s62 = _mm_unpackhi_ps(t52, t92);
    s72 = _mm_unpacklo_ps(t62, t03);
    s82 = _mm_unpackhi_ps(t62, t03);
    s92 = _mm_unpacklo_ps(t72, t13);
    s03 = _mm_unpackhi_ps(t72, t13);
    s13 = _mm_unpacklo_ps(t82, t23);
    s23 = _mm_unpackhi_ps(t82, t23);
    s33 = _mm_shuffle_ps(s52, s92, _MM_SHUFFLE(1, 0, 1, 0));
    s43 = _mm_shuffle_ps(s52, s92, _MM_SHUFFLE(3, 2, 3, 2));
    s53 = _mm_shuffle_ps(s62, s03, _MM_SHUFFLE(1, 0, 1, 0));
    s63 = _mm_shuffle_ps(s62, s03, _MM_SHUFFLE(3, 2, 3, 2));
    s73 = _mm_shuffle_ps(s72, s13, _MM_SHUFFLE(1, 0, 1, 0));
    s83 = _mm_shuffle_ps(s72, s13, _MM_SHUFFLE(3, 2, 3, 2));
    s93 = _mm_shuffle_ps(s82, s23, _MM_SHUFFLE(1, 0, 1, 0));
    s04 = _mm_shuffle_ps(s82, s23, _MM_SHUFFLE(3, 2, 3, 2));
    a2 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s53);
    a3 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s93);
    s14 = _mm_sub_ps(a2, a3);
    a4 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s53);
    a5 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s93);
    s24 = _mm_add_ps(a4, a5);
    t33 = _mm_add_ps(s33, s14);
    t43 = _mm_add_ps(s73, s24);
    t53 = _mm_sub_ps(s33, s14);
    t63 = _mm_sub_ps(s73, s24);
    a6 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s43);
    a7 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s83);
    s34 = _mm_sub_ps(a6, a7);
    a8 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s43);
    a9 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s83);
    s44 = _mm_add_ps(a8, a9);
    a01 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s63);
    a11 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s04);
    s54 = _mm_sub_ps(a01, a11);
    a21 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s63);
    a31 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s04);
    s64 = _mm_add_ps(a21, a31);
    t73 = _mm_add_ps(s34, s54);
    t83 = _mm_add_ps(s44, s64);
    t93 = _mm_sub_ps(s34, s54);
    t04 = _mm_sub_ps(s44, s64);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_add_ps(t53, t04);
    t64 = _mm_sub_ps(t63, t93);
    t74 = _mm_sub_ps(t53, t04);
    t84 = _mm_add_ps(t63, t93);
    a41 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t14);
    a51 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t24);
    s74 = _mm_sub_ps(a41, a51);
    a61 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t14);
    a71 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t24);
    s84 = _mm_add_ps(a61, a71);
    a81 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t54);
    a91 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t64);
    s94 = _mm_sub_ps(a81, a91);
    a02 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t54);
    a12 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t64);
    s05 = _mm_add_ps(a02, a12);
    a22 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t34);
    a32 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t44);
    s15 = _mm_sub_ps(a22, a32);
    a42 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t34);
    a52 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t44);
    s25 = _mm_add_ps(a42, a52);
    a62 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t74);
    a72 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t84);
    s35 = _mm_sub_ps(a62, a72);
    a82 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t74);
    a92 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t84);
    s45 = _mm_add_ps(a82, a92);
    a23 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t74, _MM_SHUFFLE(3, 2, 1, 0));
    a13 = _mm_shuffle_ps(a23, t74, _MM_SHUFFLE(1, 2, 3, 0));
    a53 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s74);
    a63 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s84);
    a43 = _mm_add_ps(a53, a63);
    a83 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s35, _MM_SHUFFLE(3, 2, 1, 0));
    a73 = _mm_shuffle_ps(a83, s35, _MM_SHUFFLE(1, 2, 3, 0));
    a33 = _mm_sub_ps(a43, a73);
    b = _mm_add_ps(t14, a13);
    a03 = _mm_add_ps(b, a33);
    s55 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a03);
    a14 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t24);
    a34 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t84, _MM_SHUFFLE(3, 2, 1, 0));
    a24 = _mm_shuffle_ps(a34, t84, _MM_SHUFFLE(1, 2, 3, 0));
    a04 = _mm_sub_ps(a14, a24);
    a44 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s74);
    a54 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s84);
    a74 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s45, _MM_SHUFFLE(3, 2, 1, 0));
    a64 = _mm_shuffle_ps(a74, s45, _MM_SHUFFLE(1, 2, 3, 0));
    b2 = _mm_add_ps(a04, a44);
    b3 = _mm_add_ps(b2, a54);
    a93 = _mm_add_ps(b3, a64);
    s65 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a93);
    a05 = _mm_shuffle_ps(t74, t34, _MM_SHUFFLE(3, 2, 1, 0));
    a94 = _mm_shuffle_ps(a05, t34, _MM_SHUFFLE(1, 2, 3, 0));
    a35 = _mm_shuffle_ps(s35, s15, _MM_SHUFFLE(3, 2, 1, 0));
    a25 = _mm_shuffle_ps(a35, s15, _MM_SHUFFLE(1, 2, 3, 0));
    a15 = _mm_sub_ps(s94, a25);
    b4 = _mm_add_ps(t54, a94);
    a84 = _mm_add_ps(b4, a15);
    s75 = _mm_mul_ps(_mm_set1_ps(0.5f), a84);
    a75 = _mm_shuffle_ps(t84, t44, _MM_SHUFFLE(3, 2, 1, 0));
    a65 = _mm_shuffle_ps(a75, t44, _MM_SHUFFLE(1, 2, 3, 0));
    a55 = _mm_sub_ps(t64, a65);
    a95 = _mm_shuffle_ps(s45, s25, _MM_SHUFFLE(3, 2, 1, 0));
    a85 = _mm_shuffle_ps(a95, s25, _MM_SHUFFLE(1, 2, 3, 0));
    b5 = _mm_add_ps(a55, s05);
    a45 = _mm_add_ps(b5, a85);
    s85 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a26 = _mm_shuffle_ps(t34, t54, _MM_SHUFFLE(3, 2, 1, 0));
    a16 = _mm_shuffle_ps(a26, t54, _MM_SHUFFLE(1, 2, 3, 0));
    a56 = _mm_shuffle_ps(s15, s94, _MM_SHUFFLE(3, 2, 1, 0));
    a46 = _mm_shuffle_ps(a56, s94, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_sub_ps(s15, a46);
    b6 = _mm_add_ps(t34, a16);
    a06 = _mm_add_ps(b6, a36);
    s95 = _mm_mul_ps(_mm_set1_ps(0.5f), a06);
    a96 = _mm_shuffle_ps(t44, t64, _MM_SHUFFLE(3, 2, 1, 0));
    a86 = _mm_shuffle_ps(a96, t64, _MM_SHUFFLE(1, 2, 3, 0));
    a76 = _mm_sub_ps(t44, a86);
    a17 = _mm_shuffle_ps(s25, s05, _MM_SHUFFLE(3, 2, 1, 0));
    a07 = _mm_shuffle_ps(a17, s05, _MM_SHUFFLE(1, 2, 3, 0));
    b7 = _mm_add_ps(a76, s25);
    a66 = _mm_add_ps(b7, a07);
    s06 = _mm_mul_ps(_mm_set1_ps(0.5f), a66);
    a47 = _mm_shuffle_ps(t54, t14, _MM_SHUFFLE(3, 2, 1, 0));
    a37 = _mm_shuffle_ps(a47, t14, _MM_SHUFFLE(1, 2, 3, 0));
    a77 = _mm_shuffle_ps(s94, s74, _MM_SHUFFLE(3, 2, 1, 0));
    a67 = _mm_shuffle_ps(a77, s74, _MM_SHUFFLE(1, 2, 3, 0));
    a57 = _mm_sub_ps(s35, a67);
    b8 = _mm_add_ps(t74, a37);
    a27 = _mm_add_ps(b8, a57);
    s16 = _mm_mul_ps(_mm_set1_ps(0.5f), a27);
    a18 = _mm_shuffle_ps(t64, t24, _MM_SHUFFLE(3, 2, 1, 0));
    a08 = _mm_shuffle_ps(a18, t24, _MM_SHUFFLE(1, 2, 3, 0));
    a97 = _mm_sub_ps(t84, a08);
    a38 = _mm_shuffle_ps(s05, s84, _MM_SHUFFLE(3, 2, 1, 0));
    a28 = _mm_shuffle_ps(a38, s84, _MM_SHUFFLE(1, 2, 3, 0));
    b9 = _mm_add_ps(a97, s45);
    a87 = _mm_add_ps(b9, a28);
    s26 = _mm_mul_ps(_mm_set1_ps(0.5f), a87);
    s36 = _mm_unpacklo_ps(s55, s65);
    s46 = _mm_unpackhi_ps(s55, s65);
    _mm_storel_pi(((__m64  *) dst), s36);
    a48 = (dst + 4);
    _mm_storeh_pi(((__m64  *) a48), s36);
    a58 = (dst + 8);
    _mm_storel_pi(((__m64  *) a58), s46);
    a68 = (dst + 12);
    _mm_storeh_pi(((__m64  *) a68), s46);
    s56 = _mm_unpacklo_ps(s75, s85);
    s66 = _mm_unpackhi_ps(s75, s85);
    a78 = (dst + 16);
    _mm_storel_pi(((__m64  *) a78), s56);
    a88 = (dst + 20);
    _mm_storeh_pi(((__m64  *) a88), s56);
    a98 = (dst + 24);
    _mm_storel_pi(((__m64  *) a98), s66);
    a09 = (dst + 28);
    _mm_storeh_pi(((__m64  *) a09), s66);
    s76 = _mm_unpacklo_ps(s95, s06);
    s86 = _mm_unpackhi_ps(s95, s06);
    a19 = (dst + 32);
    _mm_storel_pi(((__m64  *) a19), s76);
    a29 = (dst + 36);
    _mm_storeh_pi(((__m64  *) a29), s76);
    a39 = (dst + 40);
    _mm_storel_pi(((__m64  *) a39), s86);
    a49 = (dst + 44);
    _mm_storeh_pi(((__m64  *) a49), s86);
    s96 = _mm_unpacklo_ps(s16, s26);
    s07 = _mm_unpackhi_ps(s16, s26);
    a59 = (dst + 48);
    _mm_storel_pi(((__m64  *) a59), s96);
    a69 = (dst + 52);
    _mm_storeh_pi(((__m64  *) a69), s96);
    a79 = (dst + 56);
    _mm_storel_pi(((__m64  *) a79), s07);
    a89 = (dst + 60);
    _mm_storeh_pi(((__m64  *) a89), s07);
    a99 = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t2);
    a0a = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t4);
    s17 = _mm_add_ps(a99, a0a);
    a1a = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t2);
    a2a = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t4);
    s27 = _mm_sub_ps(a1a, a2a);
    a3a = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t01);
    a4a = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t21);
    s37 = _mm_add_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t01);
    a6a = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t21);
    s47 = _mm_sub_ps(a5a, a6a);
    t94 = _mm_add_ps(s17, s37);
    t05 = _mm_add_ps(s27, s47);
    t15 = _mm_sub_ps(s17, s37);
    t25 = _mm_sub_ps(s27, s47);
    a7a = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t6);
    a8a = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t8);
    s57 = _mm_add_ps(a7a, a8a);
    a9a = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t6);
    a0b = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t8);
    s67 = _mm_sub_ps(a9a, a0b);
    a1b = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t41);
    a2b = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t61);
    s77 = _mm_add_ps(a1b, a2b);
    a3b = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t41);
    a4b = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t61);
    s87 = _mm_sub_ps(a3b, a4b);
    t35 = _mm_add_ps(s57, s77);
    t45 = _mm_add_ps(s67, s87);
    t55 = _mm_sub_ps(s57, s77);
    t65 = _mm_sub_ps(s67, s87);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    t16 = _mm_add_ps(t15, t65);
    t26 = _mm_sub_ps(t25, t55);
    t36 = _mm_sub_ps(t15, t65);
    t46 = _mm_add_ps(t25, t55);
    s97 = _mm_unpacklo_ps(t75, t16);
    s08 = _mm_unpackhi_ps(t75, t16);
    s18 = _mm_unpacklo_ps(t85, t26);
    s28 = _mm_unpackhi_ps(t85, t26);
    s38 = _mm_unpacklo_ps(t95, t36);
    s48 = _mm_unpackhi_ps(t95, t36);
    s58 = _mm_unpacklo_ps(t06, t46);
    s68 = _mm_unpackhi_ps(t06, t46);
    s78 = _mm_shuffle_ps(s97, s38, _MM_SHUFFLE(1, 0, 1, 0));
    s88 = _mm_shuffle_ps(s97, s38, _MM_SHUFFLE(3, 2, 3, 2));
    s98 = _mm_shuffle_ps(s08, s48, _MM_SHUFFLE(1, 0, 1, 0));
    s09 = _mm_shuffle_ps(s08, s48, _MM_SHUFFLE(3, 2, 3, 2));
    s19 = _mm_shuffle_ps(s18, s58, _MM_SHUFFLE(1, 0, 1, 0));
    s29 = _mm_shuffle_ps(s18, s58, _MM_SHUFFLE(3, 2, 3, 2));
    s39 = _mm_shuffle_ps(s28, s68, _MM_SHUFFLE(1, 0, 1, 0));
    s49 = _mm_shuffle_ps(s28, s68, _MM_SHUFFLE(3, 2, 3, 2));
    a5b = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s98);
    a6b = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s39);
    s59 = _mm_sub_ps(a5b, a6b);
    a7b = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s98);
    a8b = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s39);
    s69 = _mm_add_ps(a7b, a8b);
    t56 = _mm_add_ps(s78, s59);
    t66 = _mm_add_ps(s19, s69);
    t76 = _mm_sub_ps(s78, s59);
    t86 = _mm_sub_ps(s19, s69);
    a9b = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s88);
    a0c = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s29);
    s79 = _mm_sub_ps(a9b, a0c);
    a1c = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s88);
    a2c = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s29);
    s89 = _mm_add_ps(a1c, a2c);
    a3c = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s09);
    a4c = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s49);
    s99 = _mm_sub_ps(a3c, a4c);
    a5c = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s09);
    a6c = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s49);
    s0a = _mm_add_ps(a5c, a6c);
    t96 = _mm_add_ps(s79, s99);
    t07 = _mm_add_ps(s89, s0a);
    t17 = _mm_sub_ps(s79, s99);
    t27 = _mm_sub_ps(s89, s0a);
    t37 = _mm_add_ps(t56, t96);
    t47 = _mm_add_ps(t66, t07);
    t57 = _mm_sub_ps(t56, t96);
    t67 = _mm_sub_ps(t66, t07);
    s1a = _mm_unpacklo_ps(t37, t47);
    s2a = _mm_unpackhi_ps(t37, t47);
    a7c = (dst + 2);
    _mm_storel_pi(((__m64  *) a7c), s1a);
    a8c = (dst + 10);
    _mm_storeh_pi(((__m64  *) a8c), s1a);
    a9c = (dst + 18);
    _mm_storel_pi(((__m64  *) a9c), s2a);
    a0d = (dst + 26);
    _mm_storeh_pi(((__m64  *) a0d), s2a);
    a1d = _mm_unpacklo_ps(t57, t67);
    s3a = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1d);
    a2d = _mm_unpackhi_ps(t57, t67);
    s4a = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2d);
    a3d = (dst + 62);
    _mm_storel_pi(((__m64  *) a3d), s3a);
    a4d = (dst + 54);
    _mm_storeh_pi(((__m64  *) a4d), s3a);
    a5d = (dst + 46);
    _mm_storel_pi(((__m64  *) a5d), s4a);
    a6d = (dst + 38);
    _mm_storeh_pi(((__m64  *) a6d), s4a);
    t77 = _mm_add_ps(t76, t27);
    t87 = _mm_sub_ps(t86, t17);
    t97 = _mm_sub_ps(t76, t27);
    t08 = _mm_add_ps(t86, t17);
    s5a = _mm_unpacklo_ps(t77, t87);
    s6a = _mm_unpackhi_ps(t77, t87);
    a7d = (dst + 34);
    _mm_storel_pi(((__m64  *) a7d), s5a);
    a8d = (dst + 42);
    _mm_storeh_pi(((__m64  *) a8d), s5a);
    a9d = (dst + 50);
    _mm_storel_pi(((__m64  *) a9d), s6a);
    a0e = (dst + 58);
    _mm_storeh_pi(((__m64  *) a0e), s6a);
    a1e = _mm_unpacklo_ps(t97, t08);
    s7a = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1e);
    a2e = _mm_unpackhi_ps(t97, t08);
    s8a = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2e);
    a3e = (dst + 30);
    _mm_storel_pi(((__m64  *) a3e), s7a);
    a4e = (dst + 22);
    _mm_storeh_pi(((__m64  *) a4e), s7a);
    a5e = (dst + 14);
    _mm_storel_pi(((__m64  *) a5e), s8a);
    a6e = (dst + 6);
    _mm_storeh_pi(((__m64  *) a6e), s8a);
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftfwd_float_128_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {__m128 a04, a05, a06, a08, a14, a15, a16, a17, a18, a24, a25, a26, a27, a33, a35, a36, a37, a38, a43, a46, a47, a48
            , a4d, a4e, a53, a54, a55, a56, a57, a58, a5d, a5e, a64, a65, a67, a68, a75, a76, a77, a86, a8l, a8m, a8n, a8o
            , a94, a95, a96, a97, a9l, a9m, a9n, a9o, b, b4, b6, b8;
    __m128 a, a01, a02, a03, a07, a0b, a0c, a0f, a0g, a0h, a0i, a0j, a0k, a0l, a11, a12, a13, a1b, a1c, a1f, a1g, a1h
            , a1i, a1j, a1k, a1l, a2, a21, a22, a23, a28, a2a, a2b, a2c, a2f, a2g, a2h, a2i, a2j, a2k, a2l, a3, a31, a32
            , a34, a3a, a3b, a3c, a3f, a3g, a3h, a3i, a3j, a3k, a3l, a4, a41, a42, a44, a45, a4a, a4b, a4c, a4f, a4g, a4h
            , a4i, a4j, a4k, a5, a51, a52, a5a, a5b, a5c, a5f, a5g, a5h, a5i, a5j, a5k, a6, a61, a62, a63, a66, a6a, a6b
            , a6c, a6f, a6g, a6h, a6i, a6j, a6k, a7, a71, a72, a73, a74, a7a, a7b, a7c, a7f, a7g, a7h, a7i, a7j, a7k, a8
            , a81, a82, a83, a84, a85, a87, a8a, a8b, a8c, a8f, a8g, a8h, a8i, a8j, a8k, a9, a91, a92, a93, a9a, a9b, a9c
            , a9f, a9g, a9h, a9i, a9j, a9k, b2, b3, b5, b7, b9, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a
            , s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c
            , s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d
            , s2e, s2f, s2g, s2h, s2i, s2j, s2k, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e
            , s3f, s3g, s3h, s3i, s3j, s3k, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f
            , s4g, s4h, s4i, s4j, s4k, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g
            , s5h, s5i, s5j, s5k, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h
            , s6i, s6j, s6k, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i
            , s7j, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s9
            , s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, t, t01, t02
            , t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t11, t12, t13, t14, t15, t16
            , t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29
            , t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c
            , t3d, t3e, t3f, t3g, t3h, t3i, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f
            , t4g, t4h, t4i, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i
            , t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t7, t71, t72
            , t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t8, t81, t82, t83, t84, t85
            , t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t9, t91, t92, t93, t94, t95, t96, t97, t98
            , t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h;
    float  *a09, *a0a, *a0d, *a0e, *a0m, *a0n, *a0o, *a0p, *a19, *a1a, *a1d, *a1e, *a1m, *a1n, *a1o, *a1p, *a29, *a2d, *a2e, *a2m, *a2n, *a2o
            , *a2p, *a39, *a3d, *a3e, *a3m, *a3n, *a3o, *a3p, *a49, *a4l, *a4m, *a4n, *a4o, *a59, *a5l, *a5m, *a5n, *a5o, *a69, *a6d, *a6e, *a6l
            , *a6m, *a6n, *a6o, *a78, *a79, *a7d, *a7e, *a7l, *a7m, *a7n, *a7o, *a88, *a89, *a8d, *a8e, *a98, *a99, *a9d, *a9e;
    const float  *a0q, *a0r, *a0s, *a0t, *a0u, *a0v, *a1q, *a1r, *a1s, *a1t, *a1u, *a1v, *a2q, *a2r, *a2s, *a2t, *a2u, *a2v, *a3q, *a3r, *a3s, *a3t
            , *a3u, *a3v, *a4p, *a4q, *a4r, *a4s, *a4t, *a4u, *a4v, *a5p, *a5q, *a5r, *a5s, *a5t, *a5u, *a5v, *a6p, *a6q, *a6r, *a6s, *a6t, *a6u
            , *a6v, *a7p, *a7q, *a7r, *a7s, *a7t, *a7u, *a8p, *a8q, *a8r, *a8s, *a8t, *a8u, *a9p, *a9q, *a9r, *a9s, *a9t, *a9u;
    a4p = ((const float  *) src);
    s = _mm_loadu_ps(a4p);
    a6p = (src + 64);
    a5p = ((const float  *) a6p);
    s2 = _mm_loadu_ps(a5p);
    t = _mm_add_ps(s, s2);
    t2 = _mm_sub_ps(s, s2);
    a8p = (src + 32);
    a7p = ((const float  *) a8p);
    s3 = _mm_loadu_ps(a7p);
    a0q = (src + 96);
    a9p = ((const float  *) a0q);
    s4 = _mm_loadu_ps(a9p);
    t3 = _mm_add_ps(s3, s4);
    t4 = _mm_sub_ps(s3, s4);
    a2q = (src + 4);
    a1q = ((const float  *) a2q);
    s5 = _mm_loadu_ps(a1q);
    a4q = (src + 68);
    a3q = ((const float  *) a4q);
    s6 = _mm_loadu_ps(a3q);
    t5 = _mm_add_ps(s5, s6);
    t6 = _mm_sub_ps(s5, s6);
    a6q = (src + 36);
    a5q = ((const float  *) a6q);
    s7 = _mm_loadu_ps(a5q);
    a8q = (src + 100);
    a7q = ((const float  *) a8q);
    s8 = _mm_loadu_ps(a7q);
    t7 = _mm_add_ps(s7, s8);
    t8 = _mm_sub_ps(s7, s8);
    a0r = (src + 8);
    a9q = ((const float  *) a0r);
    s9 = _mm_loadu_ps(a9q);
    a2r = (src + 72);
    a1r = ((const float  *) a2r);
    s01 = _mm_loadu_ps(a1r);
    t9 = _mm_add_ps(s9, s01);
    t01 = _mm_sub_ps(s9, s01);
    a4r = (src + 40);
    a3r = ((const float  *) a4r);
    s11 = _mm_loadu_ps(a3r);
    a6r = (src + 104);
    a5r = ((const float  *) a6r);
    s21 = _mm_loadu_ps(a5r);
    t11 = _mm_add_ps(s11, s21);
    t21 = _mm_sub_ps(s11, s21);
    a8r = (src + 12);
    a7r = ((const float  *) a8r);
    s31 = _mm_loadu_ps(a7r);
    a0s = (src + 76);
    a9r = ((const float  *) a0s);
    s41 = _mm_loadu_ps(a9r);
    t31 = _mm_add_ps(s31, s41);
    t41 = _mm_sub_ps(s31, s41);
    a2s = (src + 44);
    a1s = ((const float  *) a2s);
    s51 = _mm_loadu_ps(a1s);
    a4s = (src + 108);
    a3s = ((const float  *) a4s);
    s61 = _mm_loadu_ps(a3s);
    t51 = _mm_add_ps(s51, s61);
    t61 = _mm_sub_ps(s51, s61);
    a6s = (src + 16);
    a5s = ((const float  *) a6s);
    s71 = _mm_loadu_ps(a5s);
    a8s = (src + 80);
    a7s = ((const float  *) a8s);
    s81 = _mm_loadu_ps(a7s);
    t71 = _mm_add_ps(s71, s81);
    t81 = _mm_sub_ps(s71, s81);
    a0t = (src + 48);
    a9s = ((const float  *) a0t);
    s91 = _mm_loadu_ps(a9s);
    a2t = (src + 112);
    a1t = ((const float  *) a2t);
    s02 = _mm_loadu_ps(a1t);
    t91 = _mm_add_ps(s91, s02);
    t02 = _mm_sub_ps(s91, s02);
    a4t = (src + 20);
    a3t = ((const float  *) a4t);
    s12 = _mm_loadu_ps(a3t);
    a6t = (src + 84);
    a5t = ((const float  *) a6t);
    s22 = _mm_loadu_ps(a5t);
    t12 = _mm_add_ps(s12, s22);
    t22 = _mm_sub_ps(s12, s22);
    a8t = (src + 52);
    a7t = ((const float  *) a8t);
    s32 = _mm_loadu_ps(a7t);
    a0u = (src + 116);
    a9t = ((const float  *) a0u);
    s42 = _mm_loadu_ps(a9t);
    t32 = _mm_add_ps(s32, s42);
    t42 = _mm_sub_ps(s32, s42);
    a2u = (src + 24);
    a1u = ((const float  *) a2u);
    s52 = _mm_loadu_ps(a1u);
    a4u = (src + 88);
    a3u = ((const float  *) a4u);
    s62 = _mm_loadu_ps(a3u);
    t52 = _mm_add_ps(s52, s62);
    t62 = _mm_sub_ps(s52, s62);
    a6u = (src + 56);
    a5u = ((const float  *) a6u);
    s72 = _mm_loadu_ps(a5u);
    a8u = (src + 120);
    a7u = ((const float  *) a8u);
    s82 = _mm_loadu_ps(a7u);
    t72 = _mm_add_ps(s72, s82);
    t82 = _mm_sub_ps(s72, s82);
    a0v = (src + 28);
    a9u = ((const float  *) a0v);
    s92 = _mm_loadu_ps(a9u);
    a2v = (src + 92);
    a1v = ((const float  *) a2v);
    s03 = _mm_loadu_ps(a1v);
    t92 = _mm_add_ps(s92, s03);
    t03 = _mm_sub_ps(s92, s03);
    a4v = (src + 60);
    a3v = ((const float  *) a4v);
    s13 = _mm_loadu_ps(a3v);
    a6v = (src + 124);
    a5v = ((const float  *) a6v);
    s23 = _mm_loadu_ps(a5v);
    t13 = _mm_add_ps(s13, s23);
    t23 = _mm_sub_ps(s13, s23);
    t33 = _mm_add_ps(t, t3);
    t43 = _mm_sub_ps(t, t3);
    t53 = _mm_add_ps(t71, t91);
    t63 = _mm_sub_ps(t71, t91);
    t73 = _mm_add_ps(t5, t7);
    t83 = _mm_sub_ps(t5, t7);
    t93 = _mm_add_ps(t12, t32);
    t04 = _mm_sub_ps(t12, t32);
    t14 = _mm_add_ps(t9, t11);
    t24 = _mm_sub_ps(t9, t11);
    t34 = _mm_add_ps(t52, t72);
    t44 = _mm_sub_ps(t52, t72);
    t54 = _mm_add_ps(t31, t51);
    t64 = _mm_sub_ps(t31, t51);
    t74 = _mm_add_ps(t92, t13);
    t84 = _mm_sub_ps(t92, t13);
    s33 = _mm_shuffle_ps(t33, t73, _MM_SHUFFLE(2, 0, 2, 0));
    s43 = _mm_shuffle_ps(t33, t73, _MM_SHUFFLE(3, 1, 3, 1));
    s53 = _mm_shuffle_ps(t53, t93, _MM_SHUFFLE(2, 0, 2, 0));
    s63 = _mm_shuffle_ps(t53, t93, _MM_SHUFFLE(3, 1, 3, 1));
    t94 = _mm_add_ps(s33, s53);
    t05 = _mm_add_ps(s43, s63);
    t15 = _mm_sub_ps(s33, s53);
    t25 = _mm_sub_ps(s43, s63);
    s73 = _mm_shuffle_ps(t14, t54, _MM_SHUFFLE(2, 0, 2, 0));
    s83 = _mm_shuffle_ps(t14, t54, _MM_SHUFFLE(3, 1, 3, 1));
    s93 = _mm_shuffle_ps(t34, t74, _MM_SHUFFLE(2, 0, 2, 0));
    s04 = _mm_shuffle_ps(t34, t74, _MM_SHUFFLE(3, 1, 3, 1));
    t35 = _mm_add_ps(s73, s93);
    t45 = _mm_add_ps(s83, s04);
    t55 = _mm_sub_ps(s73, s93);
    t65 = _mm_sub_ps(s83, s04);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    t16 = _mm_add_ps(t15, t65);
    t26 = _mm_sub_ps(t25, t55);
    t36 = _mm_sub_ps(t15, t65);
    t46 = _mm_add_ps(t25, t55);
    s14 = _mm_unpacklo_ps(t75, t16);
    s24 = _mm_unpackhi_ps(t75, t16);
    s34 = _mm_unpacklo_ps(t85, t26);
    s44 = _mm_unpackhi_ps(t85, t26);
    s54 = _mm_unpacklo_ps(t95, t36);
    s64 = _mm_unpackhi_ps(t95, t36);
    s74 = _mm_unpacklo_ps(t06, t46);
    s84 = _mm_unpackhi_ps(t06, t46);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a5 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a6 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s55);
    s75 = _mm_sub_ps(a5, a6);
    a7 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s15);
    a8 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a7, a8);
    t56 = _mm_add_ps(s94, s75);
    t66 = _mm_add_ps(s35, s85);
    t76 = _mm_sub_ps(s94, s75);
    t86 = _mm_sub_ps(s35, s85);
    a9 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a01 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s45);
    s95 = _mm_sub_ps(a9, a01);
    a11 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s05);
    a21 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a11, a21);
    a31 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a41 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s65);
    s16 = _mm_sub_ps(a31, a41);
    a51 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s25);
    a61 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a51, a61);
    t96 = _mm_add_ps(s95, s16);
    t07 = _mm_add_ps(s06, s26);
    t17 = _mm_sub_ps(s95, s16);
    t27 = _mm_sub_ps(s06, s26);
    t37 = _mm_add_ps(t56, t96);
    t47 = _mm_add_ps(t66, t07);
    t57 = _mm_sub_ps(t56, t96);
    t67 = _mm_sub_ps(t66, t07);
    t77 = _mm_add_ps(t76, t27);
    t87 = _mm_sub_ps(t86, t17);
    t97 = _mm_sub_ps(t76, t27);
    t08 = _mm_add_ps(t86, t17);
    a71 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t37);
    a81 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t47);
    s36 = _mm_sub_ps(a71, a81);
    a91 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t37);
    a02 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t47);
    s46 = _mm_add_ps(a91, a02);
    a12 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t77);
    a22 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t87);
    s56 = _mm_sub_ps(a12, a22);
    a32 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t77);
    a42 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t87);
    s66 = _mm_add_ps(a32, a42);
    a52 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t57);
    a62 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t67);
    s76 = _mm_sub_ps(a52, a62);
    a72 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t57);
    a82 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t67);
    s86 = _mm_add_ps(a72, a82);
    a92 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t97);
    a03 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t08);
    s96 = _mm_sub_ps(a92, a03);
    a13 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t97);
    a23 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t08);
    s07 = _mm_add_ps(a13, a23);
    a53 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t97, _MM_SHUFFLE(3, 2, 1, 0));
    a43 = _mm_shuffle_ps(a53, t97, _MM_SHUFFLE(1, 2, 3, 0));
    a83 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s36);
    a93 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s46);
    a73 = _mm_add_ps(a83, a93);
    a14 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s96, _MM_SHUFFLE(3, 2, 1, 0));
    a04 = _mm_shuffle_ps(a14, s96, _MM_SHUFFLE(1, 2, 3, 0));
    a63 = _mm_sub_ps(a73, a04);
    b = _mm_add_ps(t37, a43);
    a33 = _mm_add_ps(b, a63);
    s17 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a33);
    a44 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t47);
    a64 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t08, _MM_SHUFFLE(3, 2, 1, 0));
    a54 = _mm_shuffle_ps(a64, t08, _MM_SHUFFLE(1, 2, 3, 0));
    a34 = _mm_sub_ps(a44, a54);
    a74 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s36);
    a84 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s46);
    a05 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s07, _MM_SHUFFLE(3, 2, 1, 0));
    a94 = _mm_shuffle_ps(a05, s07, _MM_SHUFFLE(1, 2, 3, 0));
    b2 = _mm_add_ps(a34, a74);
    b3 = _mm_add_ps(b2, a84);
    a24 = _mm_add_ps(b3, a94);
    s27 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a24);
    a35 = _mm_shuffle_ps(t97, t57, _MM_SHUFFLE(3, 2, 1, 0));
    a25 = _mm_shuffle_ps(a35, t57, _MM_SHUFFLE(1, 2, 3, 0));
    a65 = _mm_shuffle_ps(s96, s76, _MM_SHUFFLE(3, 2, 1, 0));
    a55 = _mm_shuffle_ps(a65, s76, _MM_SHUFFLE(1, 2, 3, 0));
    a45 = _mm_sub_ps(s56, a55);
    b4 = _mm_add_ps(t77, a25);
    a15 = _mm_add_ps(b4, a45);
    s37 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a06 = _mm_shuffle_ps(t08, t67, _MM_SHUFFLE(3, 2, 1, 0));
    a95 = _mm_shuffle_ps(a06, t67, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_sub_ps(t87, a95);
    a26 = _mm_shuffle_ps(s07, s86, _MM_SHUFFLE(3, 2, 1, 0));
    a16 = _mm_shuffle_ps(a26, s86, _MM_SHUFFLE(1, 2, 3, 0));
    b5 = _mm_add_ps(a85, s66);
    a75 = _mm_add_ps(b5, a16);
    s47 = _mm_mul_ps(_mm_set1_ps(0.5f), a75);
    a56 = _mm_shuffle_ps(t57, t77, _MM_SHUFFLE(3, 2, 1, 0));
    a46 = _mm_shuffle_ps(a56, t77, _MM_SHUFFLE(1, 2, 3, 0));
    a86 = _mm_shuffle_ps(s76, s56, _MM_SHUFFLE(3, 2, 1, 0));
    a76 = _mm_shuffle_ps(a86, s56, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_sub_ps(s76, a76);
    b6 = _mm_add_ps(t57, a46);
    a36 = _mm_add_ps(b6, a66);
    s57 = _mm_mul_ps(_mm_set1_ps(0.5f), a36);
    a27 = _mm_shuffle_ps(t67, t87, _MM_SHUFFLE(3, 2, 1, 0));
    a17 = _mm_shuffle_ps(a27, t87, _MM_SHUFFLE(1, 2, 3, 0));
    a07 = _mm_sub_ps(t67, a17);
    a47 = _mm_shuffle_ps(s86, s66, _MM_SHUFFLE(3, 2, 1, 0));
    a37 = _mm_shuffle_ps(a47, s66, _MM_SHUFFLE(1, 2, 3, 0));
    b7 = _mm_add_ps(a07, s86);
    a96 = _mm_add_ps(b7, a37);
    s67 = _mm_mul_ps(_mm_set1_ps(0.5f), a96);
    a77 = _mm_shuffle_ps(t77, t37, _MM_SHUFFLE(3, 2, 1, 0));
    a67 = _mm_shuffle_ps(a77, t37, _MM_SHUFFLE(1, 2, 3, 0));
    a08 = _mm_shuffle_ps(s56, s36, _MM_SHUFFLE(3, 2, 1, 0));
    a97 = _mm_shuffle_ps(a08, s36, _MM_SHUFFLE(1, 2, 3, 0));
    a87 = _mm_sub_ps(s96, a97);
    b8 = _mm_add_ps(t97, a67);
    a57 = _mm_add_ps(b8, a87);
    s77 = _mm_mul_ps(_mm_set1_ps(0.5f), a57);
    a48 = _mm_shuffle_ps(t87, t47, _MM_SHUFFLE(3, 2, 1, 0));
    a38 = _mm_shuffle_ps(a48, t47, _MM_SHUFFLE(1, 2, 3, 0));
    a28 = _mm_sub_ps(t08, a38);
    a68 = _mm_shuffle_ps(s66, s46, _MM_SHUFFLE(3, 2, 1, 0));
    a58 = _mm_shuffle_ps(a68, s46, _MM_SHUFFLE(1, 2, 3, 0));
    b9 = _mm_add_ps(a28, s07);
    a18 = _mm_add_ps(b9, a58);
    s87 = _mm_mul_ps(_mm_set1_ps(0.5f), a18);
    s97 = _mm_unpacklo_ps(s17, s27);
    s08 = _mm_unpackhi_ps(s17, s27);
    _mm_storel_pi(((__m64  *) dst), s97);
    a78 = (dst + 8);
    _mm_storeh_pi(((__m64  *) a78), s97);
    a88 = (dst + 16);
    _mm_storel_pi(((__m64  *) a88), s08);
    a98 = (dst + 24);
    _mm_storeh_pi(((__m64  *) a98), s08);
    s18 = _mm_unpacklo_ps(s37, s47);
    s28 = _mm_unpackhi_ps(s37, s47);
    a09 = (dst + 32);
    _mm_storel_pi(((__m64  *) a09), s18);
    a19 = (dst + 40);
    _mm_storeh_pi(((__m64  *) a19), s18);
    a29 = (dst + 48);
    _mm_storel_pi(((__m64  *) a29), s28);
    a39 = (dst + 56);
    _mm_storeh_pi(((__m64  *) a39), s28);
    s38 = _mm_unpacklo_ps(s57, s67);
    s48 = _mm_unpackhi_ps(s57, s67);
    a49 = (dst + 64);
    _mm_storel_pi(((__m64  *) a49), s38);
    a59 = (dst + 72);
    _mm_storeh_pi(((__m64  *) a59), s38);
    a69 = (dst + 80);
    _mm_storel_pi(((__m64  *) a69), s48);
    a79 = (dst + 88);
    _mm_storeh_pi(((__m64  *) a79), s48);
    s58 = _mm_unpacklo_ps(s77, s87);
    s68 = _mm_unpackhi_ps(s77, s87);
    a89 = (dst + 96);
    _mm_storel_pi(((__m64  *) a89), s58);
    a99 = (dst + 104);
    _mm_storeh_pi(((__m64  *) a99), s58);
    a0a = (dst + 112);
    _mm_storel_pi(((__m64  *) a0a), s68);
    a1a = (dst + 120);
    _mm_storeh_pi(((__m64  *) a1a), s68);
    a2a = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t43);
    a3a = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t63);
    s78 = _mm_add_ps(a2a, a3a);
    a4a = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t43);
    a5a = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t63);
    s88 = _mm_sub_ps(a4a, a5a);
    a6a = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t24);
    a7a = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t44);
    s98 = _mm_add_ps(a6a, a7a);
    a8a = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t24);
    a9a = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t44);
    s09 = _mm_sub_ps(a8a, a9a);
    t18 = _mm_add_ps(s78, s98);
    t28 = _mm_add_ps(s88, s09);
    t38 = _mm_sub_ps(s78, s98);
    t48 = _mm_sub_ps(s88, s09);
    a0b = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t83);
    a1b = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t04);
    s19 = _mm_add_ps(a0b, a1b);
    a2b = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t83);
    a3b = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t04);
    s29 = _mm_sub_ps(a2b, a3b);
    a4b = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t64);
    a5b = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t84);
    s39 = _mm_add_ps(a4b, a5b);
    a6b = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t64);
    a7b = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t84);
    s49 = _mm_sub_ps(a6b, a7b);
    t58 = _mm_add_ps(s19, s39);
    t68 = _mm_add_ps(s29, s49);
    t78 = _mm_sub_ps(s19, s39);
    t88 = _mm_sub_ps(s29, s49);
    t98 = _mm_add_ps(t18, t58);
    t09 = _mm_add_ps(t28, t68);
    t19 = _mm_sub_ps(t18, t58);
    t29 = _mm_sub_ps(t28, t68);
    t39 = _mm_add_ps(t38, t88);
    t49 = _mm_sub_ps(t48, t78);
    t59 = _mm_sub_ps(t38, t88);
    t69 = _mm_add_ps(t48, t78);
    s59 = _mm_unpacklo_ps(t98, t39);
    s69 = _mm_unpackhi_ps(t98, t39);
    s79 = _mm_unpacklo_ps(t09, t49);
    s89 = _mm_unpackhi_ps(t09, t49);
    s99 = _mm_unpacklo_ps(t19, t59);
    s0a = _mm_unpackhi_ps(t19, t59);
    s1a = _mm_unpacklo_ps(t29, t69);
    s2a = _mm_unpackhi_ps(t29, t69);
    s3a = _mm_shuffle_ps(s59, s99, _MM_SHUFFLE(1, 0, 1, 0));
    s4a = _mm_shuffle_ps(s59, s99, _MM_SHUFFLE(3, 2, 3, 2));
    s5a = _mm_shuffle_ps(s69, s0a, _MM_SHUFFLE(1, 0, 1, 0));
    s6a = _mm_shuffle_ps(s69, s0a, _MM_SHUFFLE(3, 2, 3, 2));
    s7a = _mm_shuffle_ps(s79, s1a, _MM_SHUFFLE(1, 0, 1, 0));
    s8a = _mm_shuffle_ps(s79, s1a, _MM_SHUFFLE(3, 2, 3, 2));
    s9a = _mm_shuffle_ps(s89, s2a, _MM_SHUFFLE(1, 0, 1, 0));
    s0b = _mm_shuffle_ps(s89, s2a, _MM_SHUFFLE(3, 2, 3, 2));
    a8b = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s5a);
    a9b = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s9a);
    s1b = _mm_sub_ps(a8b, a9b);
    a0c = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s5a);
    a1c = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9a);
    s2b = _mm_add_ps(a0c, a1c);
    t79 = _mm_add_ps(s3a, s1b);
    t89 = _mm_add_ps(s7a, s2b);
    t99 = _mm_sub_ps(s3a, s1b);
    t0a = _mm_sub_ps(s7a, s2b);
    a2c = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s4a);
    a3c = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s8a);
    s3b = _mm_sub_ps(a2c, a3c);
    a4c = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s4a);
    a5c = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s8a);
    s4b = _mm_add_ps(a4c, a5c);
    a6c = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s6a);
    a7c = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s0b);
    s5b = _mm_sub_ps(a6c, a7c);
    a8c = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s6a);
    a9c = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s0b);
    s6b = _mm_add_ps(a8c, a9c);
    t1a = _mm_add_ps(s3b, s5b);
    t2a = _mm_add_ps(s4b, s6b);
    t3a = _mm_sub_ps(s3b, s5b);
    t4a = _mm_sub_ps(s4b, s6b);
    t5a = _mm_add_ps(t79, t1a);
    t6a = _mm_add_ps(t89, t2a);
    t7a = _mm_sub_ps(t79, t1a);
    t8a = _mm_sub_ps(t89, t2a);
    s7b = _mm_unpacklo_ps(t5a, t6a);
    s8b = _mm_unpackhi_ps(t5a, t6a);
    a0d = (dst + 4);
    _mm_storel_pi(((__m64  *) a0d), s7b);
    a1d = (dst + 20);
    _mm_storeh_pi(((__m64  *) a1d), s7b);
    a2d = (dst + 36);
    _mm_storel_pi(((__m64  *) a2d), s8b);
    a3d = (dst + 52);
    _mm_storeh_pi(((__m64  *) a3d), s8b);
    a4d = _mm_unpacklo_ps(t7a, t8a);
    s9b = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a4d);
    a5d = _mm_unpackhi_ps(t7a, t8a);
    s0c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5d);
    a6d = (dst + 124);
    _mm_storel_pi(((__m64  *) a6d), s9b);
    a7d = (dst + 108);
    _mm_storeh_pi(((__m64  *) a7d), s9b);
    a8d = (dst + 92);
    _mm_storel_pi(((__m64  *) a8d), s0c);
    a9d = (dst + 76);
    _mm_storeh_pi(((__m64  *) a9d), s0c);
    t9a = _mm_add_ps(t99, t4a);
    t0b = _mm_sub_ps(t0a, t3a);
    t1b = _mm_sub_ps(t99, t4a);
    t2b = _mm_add_ps(t0a, t3a);
    s1c = _mm_unpacklo_ps(t9a, t0b);
    s2c = _mm_unpackhi_ps(t9a, t0b);
    a0e = (dst + 68);
    _mm_storel_pi(((__m64  *) a0e), s1c);
    a1e = (dst + 84);
    _mm_storeh_pi(((__m64  *) a1e), s1c);
    a2e = (dst + 100);
    _mm_storel_pi(((__m64  *) a2e), s2c);
    a3e = (dst + 116);
    _mm_storeh_pi(((__m64  *) a3e), s2c);
    a4e = _mm_unpacklo_ps(t1b, t2b);
    s3c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a4e);
    a5e = _mm_unpackhi_ps(t1b, t2b);
    s4c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    a6e = (dst + 60);
    _mm_storel_pi(((__m64  *) a6e), s3c);
    a7e = (dst + 44);
    _mm_storeh_pi(((__m64  *) a7e), s3c);
    a8e = (dst + 28);
    _mm_storel_pi(((__m64  *) a8e), s4c);
    a9e = (dst + 12);
    _mm_storeh_pi(((__m64  *) a9e), s4c);
    a0f = _mm_mul_ps(_mm_set_ps(0.98917650996478101f, 0.99518472667219693f, 0.99879545620517241f, 1.0f), t2);
    a1f = _mm_mul_ps(_mm_set_ps((-0.14673047445536175f), (-0.098017140329560604f), (-0.049067674327418015f), 0.0f), t4);
    s5c = _mm_add_ps(a0f, a1f);
    a2f = _mm_mul_ps(_mm_set_ps((-0.14673047445536175f), (-0.098017140329560604f), (-0.049067674327418015f), 0.0f), t2);
    a3f = _mm_mul_ps(_mm_set_ps(0.98917650996478101f, 0.99518472667219693f, 0.99879545620517241f, 1.0f), t4);
    s6c = _mm_sub_ps(a2f, a3f);
    a4f = _mm_mul_ps(_mm_set_ps(0.59569930449243336f, 0.63439328416364549f, 0.67155895484701844f, 0.70710678118654757f), t81);
    a5f = _mm_mul_ps(_mm_set_ps((-0.80320753148064494f), (-0.77301045336273699f), (-0.74095112535495911f), (-0.70710678118654757f)), t02);
    s7c = _mm_add_ps(a4f, a5f);
    a6f = _mm_mul_ps(_mm_set_ps((-0.80320753148064494f), (-0.77301045336273699f), (-0.74095112535495911f), (-0.70710678118654757f)), t81);
    a7f = _mm_mul_ps(_mm_set_ps(0.59569930449243336f, 0.63439328416364549f, 0.67155895484701844f, 0.70710678118654757f), t02);
    s8c = _mm_sub_ps(a6f, a7f);
    t3b = _mm_add_ps(s5c, s7c);
    t4b = _mm_add_ps(s6c, s8c);
    t5b = _mm_sub_ps(s5c, s7c);
    t6b = _mm_sub_ps(s6c, s8c);
    a8f = _mm_mul_ps(_mm_set_ps(0.85772861000027212f, 0.88192126434835505f, 0.90398929312344334f, 0.92387953251128674f), t01);
    a9f = _mm_mul_ps(_mm_set_ps((-0.51410274419322177f), (-0.47139673682599764f), (-0.42755509343028208f), (-0.38268343236508978f)), t21);
    s9c = _mm_add_ps(a8f, a9f);
    a0g = _mm_mul_ps(_mm_set_ps((-0.51410274419322177f), (-0.47139673682599764f), (-0.42755509343028208f), (-0.38268343236508978f)), t01);
    a1g = _mm_mul_ps(_mm_set_ps(0.85772861000027212f, 0.88192126434835505f, 0.90398929312344334f, 0.92387953251128674f), t21);
    s0d = _mm_sub_ps(a0g, a1g);
    a2g = _mm_mul_ps(_mm_set_ps(0.2429801799032639f, 0.29028467725446239f, 0.33688985339222005f, 0.38268343236508978f), t62);
    a3g = _mm_mul_ps(_mm_set_ps((-0.97003125319454397f), (-0.95694033573220882f), (-0.94154406518302081f), (-0.92387953251128674f)), t82);
    s1d = _mm_add_ps(a2g, a3g);
    a4g = _mm_mul_ps(_mm_set_ps((-0.97003125319454397f), (-0.95694033573220882f), (-0.94154406518302081f), (-0.92387953251128674f)), t62);
    a5g = _mm_mul_ps(_mm_set_ps(0.2429801799032639f, 0.29028467725446239f, 0.33688985339222005f, 0.38268343236508978f), t82);
    s2d = _mm_sub_ps(a4g, a5g);
    t7b = _mm_add_ps(s9c, s1d);
    t8b = _mm_add_ps(s0d, s2d);
    t9b = _mm_sub_ps(s9c, s1d);
    t0c = _mm_sub_ps(s0d, s2d);
    t1c = _mm_add_ps(t3b, t7b);
    t2c = _mm_add_ps(t4b, t8b);
    t3c = _mm_sub_ps(t3b, t7b);
    t4c = _mm_sub_ps(t4b, t8b);
    t5c = _mm_add_ps(t5b, t0c);
    t6c = _mm_sub_ps(t6b, t9b);
    t7c = _mm_sub_ps(t5b, t0c);
    t8c = _mm_add_ps(t6b, t9b);
    s3d = _mm_unpacklo_ps(t1c, t5c);
    s4d = _mm_unpackhi_ps(t1c, t5c);
    s5d = _mm_unpacklo_ps(t2c, t6c);
    s6d = _mm_unpackhi_ps(t2c, t6c);
    s7d = _mm_unpacklo_ps(t3c, t7c);
    s8d = _mm_unpackhi_ps(t3c, t7c);
    s9d = _mm_unpacklo_ps(t4c, t8c);
    s0e = _mm_unpackhi_ps(t4c, t8c);
    s1e = _mm_shuffle_ps(s3d, s7d, _MM_SHUFFLE(1, 0, 1, 0));
    s2e = _mm_shuffle_ps(s3d, s7d, _MM_SHUFFLE(3, 2, 3, 2));
    s3e = _mm_shuffle_ps(s4d, s8d, _MM_SHUFFLE(1, 0, 1, 0));
    s4e = _mm_shuffle_ps(s4d, s8d, _MM_SHUFFLE(3, 2, 3, 2));
    s5e = _mm_shuffle_ps(s5d, s9d, _MM_SHUFFLE(1, 0, 1, 0));
    s6e = _mm_shuffle_ps(s5d, s9d, _MM_SHUFFLE(3, 2, 3, 2));
    s7e = _mm_shuffle_ps(s6d, s0e, _MM_SHUFFLE(1, 0, 1, 0));
    s8e = _mm_shuffle_ps(s6d, s0e, _MM_SHUFFLE(3, 2, 3, 2));
    a6g = _mm_mul_ps(_mm_set_ps(0.94154406518302081f, 0.95694033573220882f, 0.97003125319454397f, 0.98078528040323043f), t6);
    a7g = _mm_mul_ps(_mm_set_ps((-0.33688985339222005f), (-0.29028467725446239f), (-0.2429801799032639f), (-0.19509032201612828f)), t8);
    s9e = _mm_add_ps(a6g, a7g);
    a8g = _mm_mul_ps(_mm_set_ps((-0.33688985339222005f), (-0.29028467725446239f), (-0.2429801799032639f), (-0.19509032201612828f)), t6);
    a9g = _mm_mul_ps(_mm_set_ps(0.94154406518302081f, 0.95694033573220882f, 0.97003125319454397f, 0.98078528040323043f), t8);
    s0f = _mm_sub_ps(a8g, a9g);
    a0h = _mm_mul_ps(_mm_set_ps(0.42755509343028208f, 0.47139673682599764f, 0.51410274419322177f, 0.55557023301960218f), t22);
    a1h = _mm_mul_ps(_mm_set_ps((-0.90398929312344334f), (-0.88192126434835505f), (-0.85772861000027212f), (-0.83146961230254524f)), t42);
    s1f = _mm_add_ps(a0h, a1h);
    a2h = _mm_mul_ps(_mm_set_ps((-0.90398929312344334f), (-0.88192126434835505f), (-0.85772861000027212f), (-0.83146961230254524f)), t22);
    a3h = _mm_mul_ps(_mm_set_ps(0.42755509343028208f, 0.47139673682599764f, 0.51410274419322177f, 0.55557023301960218f), t42);
    s2f = _mm_sub_ps(a2h, a3h);
    t9c = _mm_add_ps(s9e, s1f);
    t0d = _mm_add_ps(s0f, s2f);
    t1d = _mm_sub_ps(s9e, s1f);
    t2d = _mm_sub_ps(s0f, s2f);
    a4h = _mm_mul_ps(_mm_set_ps(0.74095112535495911f, 0.77301045336273699f, 0.80320753148064494f, 0.83146961230254524f), t41);
    a5h = _mm_mul_ps(_mm_set_ps((-0.67155895484701844f), (-0.63439328416364549f), (-0.59569930449243336f), (-0.55557023301960218f)), t61);
    s3f = _mm_add_ps(a4h, a5h);
    a6h = _mm_mul_ps(_mm_set_ps((-0.67155895484701844f), (-0.63439328416364549f), (-0.59569930449243336f), (-0.55557023301960218f)), t41);
    a7h = _mm_mul_ps(_mm_set_ps(0.74095112535495911f, 0.77301045336273699f, 0.80320753148064494f, 0.83146961230254524f), t61);
    s4f = _mm_sub_ps(a6h, a7h);
    a8h = _mm_mul_ps(_mm_set_ps(0.049067674327418015f, 0.098017140329560604f, 0.14673047445536175f, 0.19509032201612828f), t03);
    a9h = _mm_mul_ps(_mm_set_ps((-0.99879545620517241f), (-0.99518472667219693f), (-0.98917650996478101f), (-0.98078528040323043f)), t23);
    s5f = _mm_add_ps(a8h, a9h);
    a0i = _mm_mul_ps(_mm_set_ps((-0.99879545620517241f), (-0.99518472667219693f), (-0.98917650996478101f), (-0.98078528040323043f)), t03);
    a1i = _mm_mul_ps(_mm_set_ps(0.049067674327418015f, 0.098017140329560604f, 0.14673047445536175f, 0.19509032201612828f), t23);
    s6f = _mm_sub_ps(a0i, a1i);
    t3d = _mm_add_ps(s3f, s5f);
    t4d = _mm_add_ps(s4f, s6f);
    t5d = _mm_sub_ps(s3f, s5f);
    t6d = _mm_sub_ps(s4f, s6f);
    t7d = _mm_add_ps(t9c, t3d);
    t8d = _mm_add_ps(t0d, t4d);
    t9d = _mm_sub_ps(t9c, t3d);
    t0e = _mm_sub_ps(t0d, t4d);
    t1e = _mm_add_ps(t1d, t6d);
    t2e = _mm_sub_ps(t2d, t5d);
    t3e = _mm_sub_ps(t1d, t6d);
    t4e = _mm_add_ps(t2d, t5d);
    s7f = _mm_unpacklo_ps(t7d, t1e);
    s8f = _mm_unpackhi_ps(t7d, t1e);
    s9f = _mm_unpacklo_ps(t8d, t2e);
    s0g = _mm_unpackhi_ps(t8d, t2e);
    s1g = _mm_unpacklo_ps(t9d, t3e);
    s2g = _mm_unpackhi_ps(t9d, t3e);
    s3g = _mm_unpacklo_ps(t0e, t4e);
    s4g = _mm_unpackhi_ps(t0e, t4e);
    s5g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(1, 0, 1, 0));
    s6g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(3, 2, 3, 2));
    s7g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(1, 0, 1, 0));
    s8g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(3, 2, 3, 2));
    s9g = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(1, 0, 1, 0));
    s0h = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(3, 2, 3, 2));
    s1h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(1, 0, 1, 0));
    s2h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(3, 2, 3, 2));
    a2i = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s5g);
    a3i = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s9g);
    s3h = _mm_sub_ps(a2i, a3i);
    a4i = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s5g);
    a5i = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9g);
    s4h = _mm_add_ps(a4i, a5i);
    t5e = _mm_add_ps(s1e, s3h);
    t6e = _mm_add_ps(s5e, s4h);
    t7e = _mm_sub_ps(s1e, s3h);
    t8e = _mm_sub_ps(s5e, s4h);
    a6i = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s3e);
    a7i = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s7e);
    s5h = _mm_sub_ps(a6i, a7i);
    a8i = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s3e);
    a9i = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7e);
    s6h = _mm_add_ps(a8i, a9i);
    a0j = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s7g);
    a1j = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s1h);
    s7h = _mm_sub_ps(a0j, a1j);
    a2j = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s7g);
    a3j = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1h);
    s8h = _mm_add_ps(a2j, a3j);
    t9e = _mm_add_ps(s5h, s7h);
    t0f = _mm_add_ps(s6h, s8h);
    t1f = _mm_sub_ps(s5h, s7h);
    t2f = _mm_sub_ps(s6h, s8h);
    t3f = _mm_add_ps(t5e, t9e);
    t4f = _mm_add_ps(t6e, t0f);
    t5f = _mm_sub_ps(t5e, t9e);
    t6f = _mm_sub_ps(t6e, t0f);
    t7f = _mm_add_ps(t7e, t2f);
    t8f = _mm_sub_ps(t8e, t1f);
    t9f = _mm_sub_ps(t7e, t2f);
    t0g = _mm_add_ps(t8e, t1f);
    a4j = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s2e);
    a5j = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s6e);
    s9h = _mm_sub_ps(a4j, a5j);
    a6j = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s2e);
    a7j = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6e);
    s0i = _mm_add_ps(a6j, a7j);
    a8j = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s6g);
    a9j = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s0h);
    s1i = _mm_sub_ps(a8j, a9j);
    a0k = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s6g);
    a1k = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0h);
    s2i = _mm_add_ps(a0k, a1k);
    t1g = _mm_add_ps(s9h, s1i);
    t2g = _mm_add_ps(s0i, s2i);
    t3g = _mm_sub_ps(s9h, s1i);
    t4g = _mm_sub_ps(s0i, s2i);
    a2k = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s4e);
    a3k = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s8e);
    s3i = _mm_sub_ps(a2k, a3k);
    a4k = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s4e);
    a5k = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8e);
    s4i = _mm_add_ps(a4k, a5k);
    a6k = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s8g);
    a7k = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s2h);
    s5i = _mm_sub_ps(a6k, a7k);
    a8k = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s8g);
    a9k = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2h);
    s6i = _mm_add_ps(a8k, a9k);
    t5g = _mm_add_ps(s3i, s5i);
    t6g = _mm_add_ps(s4i, s6i);
    t7g = _mm_sub_ps(s3i, s5i);
    t8g = _mm_sub_ps(s4i, s6i);
    t9g = _mm_add_ps(t1g, t5g);
    t0h = _mm_add_ps(t2g, t6g);
    t1h = _mm_sub_ps(t1g, t5g);
    t2h = _mm_sub_ps(t2g, t6g);
    a0l = _mm_add_ps(t3g, t8g);
    a = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0l);
    a1l = _mm_sub_ps(t4g, t7g);
    a2 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a1l);
    s7i = _mm_sub_ps(a, a2);
    s8i = _mm_add_ps(a, a2);
    a2l = _mm_sub_ps(t3g, t8g);
    a3 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2l);
    a3l = _mm_add_ps(t4g, t7g);
    a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a3l);
    s9i = _mm_sub_ps(a3, a4);
    s0j = _mm_add_ps(a3, a4);
    t3h = _mm_add_ps(t3f, t9g);
    t4h = _mm_add_ps(t4f, t0h);
    t5h = _mm_sub_ps(t3f, t9g);
    t6h = _mm_sub_ps(t4f, t0h);
    s1j = _mm_unpacklo_ps(t3h, t4h);
    s2j = _mm_unpackhi_ps(t3h, t4h);
    a4l = (dst + 2);
    _mm_storel_pi(((__m64  *) a4l), s1j);
    a5l = (dst + 10);
    _mm_storeh_pi(((__m64  *) a5l), s1j);
    a6l = (dst + 18);
    _mm_storel_pi(((__m64  *) a6l), s2j);
    a7l = (dst + 26);
    _mm_storeh_pi(((__m64  *) a7l), s2j);
    a8l = _mm_unpacklo_ps(t5h, t6h);
    s3j = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8l);
    a9l = _mm_unpackhi_ps(t5h, t6h);
    s4j = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9l);
    a0m = (dst + 126);
    _mm_storel_pi(((__m64  *) a0m), s3j);
    a1m = (dst + 118);
    _mm_storeh_pi(((__m64  *) a1m), s3j);
    a2m = (dst + 110);
    _mm_storel_pi(((__m64  *) a2m), s4j);
    a3m = (dst + 102);
    _mm_storeh_pi(((__m64  *) a3m), s4j);
    t7h = _mm_add_ps(t7f, s7i);
    t8h = _mm_sub_ps(t8f, s8i);
    t9h = _mm_sub_ps(t7f, s7i);
    t0i = _mm_add_ps(t8f, s8i);
    s5j = _mm_unpacklo_ps(t7h, t8h);
    s6j = _mm_unpackhi_ps(t7h, t8h);
    a4m = (dst + 34);
    _mm_storel_pi(((__m64  *) a4m), s5j);
    a5m = (dst + 42);
    _mm_storeh_pi(((__m64  *) a5m), s5j);
    a6m = (dst + 50);
    _mm_storel_pi(((__m64  *) a6m), s6j);
    a7m = (dst + 58);
    _mm_storeh_pi(((__m64  *) a7m), s6j);
    a8m = _mm_unpacklo_ps(t9h, t0i);
    s7j = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8m);
    a9m = _mm_unpackhi_ps(t9h, t0i);
    s8j = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9m);
    a0n = (dst + 94);
    _mm_storel_pi(((__m64  *) a0n), s7j);
    a1n = (dst + 86);
    _mm_storeh_pi(((__m64  *) a1n), s7j);
    a2n = (dst + 78);
    _mm_storel_pi(((__m64  *) a2n), s8j);
    a3n = (dst + 70);
    _mm_storeh_pi(((__m64  *) a3n), s8j);
    t1i = _mm_add_ps(t5f, t2h);
    t2i = _mm_sub_ps(t6f, t1h);
    t3i = _mm_sub_ps(t5f, t2h);
    t4i = _mm_add_ps(t6f, t1h);
    s9j = _mm_unpacklo_ps(t1i, t2i);
    s0k = _mm_unpackhi_ps(t1i, t2i);
    a4n = (dst + 66);
    _mm_storel_pi(((__m64  *) a4n), s9j);
    a5n = (dst + 74);
    _mm_storeh_pi(((__m64  *) a5n), s9j);
    a6n = (dst + 82);
    _mm_storel_pi(((__m64  *) a6n), s0k);
    a7n = (dst + 90);
    _mm_storeh_pi(((__m64  *) a7n), s0k);
    a8n = _mm_unpacklo_ps(t3i, t4i);
    s1k = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8n);
    a9n = _mm_unpackhi_ps(t3i, t4i);
    s2k = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9n);
    a0o = (dst + 62);
    _mm_storel_pi(((__m64  *) a0o), s1k);
    a1o = (dst + 54);
    _mm_storeh_pi(((__m64  *) a1o), s1k);
    a2o = (dst + 46);
    _mm_storel_pi(((__m64  *) a2o), s2k);
    a3o = (dst + 38);
    _mm_storeh_pi(((__m64  *) a3o), s2k);
    t5i = _mm_add_ps(t9f, s9i);
    t6i = _mm_add_ps(t0g, s0j);
    t7i = _mm_sub_ps(t9f, s9i);
    t8i = _mm_sub_ps(t0g, s0j);
    s3k = _mm_unpacklo_ps(t5i, t6i);
    s4k = _mm_unpackhi_ps(t5i, t6i);
    a4o = (dst + 98);
    _mm_storel_pi(((__m64  *) a4o), s3k);
    a5o = (dst + 106);
    _mm_storeh_pi(((__m64  *) a5o), s3k);
    a6o = (dst + 114);
    _mm_storel_pi(((__m64  *) a6o), s4k);
    a7o = (dst + 122);
    _mm_storeh_pi(((__m64  *) a7o), s4k);
    a8o = _mm_unpacklo_ps(t7i, t8i);
    s5k = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8o);
    a9o = _mm_unpackhi_ps(t7i, t8i);
    s6k = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9o);
    a0p = (dst + 30);
    _mm_storel_pi(((__m64  *) a0p), s5k);
    a1p = (dst + 22);
    _mm_storeh_pi(((__m64  *) a1p), s5k);
    a2p = (dst + 14);
    _mm_storel_pi(((__m64  *) a2p), s6k);
    a3p = (dst + 6);
    _mm_storeh_pi(((__m64  *) a3p), s6k);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftfwd_float_128)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftfwd_float_128_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {__m128 a05, a06, a07, a08, a0m, a0n, a0o, a0p, a14, a15, a16, a18, a24, a25, a26, a27, a28, a34, a35, a36, a37, a43
            , a45, a46, a47, a48, a53, a56, a57, a58, a5d, a5e, a63, a64, a65, a66, a67, a68, a6d, a6e, a74, a75, a77, a78
            , a85, a86, a87, a96, a9l, a9m, a9n, a9o, b, b4, b6, b8;
    __m128 a01, a02, a03, a04, a0b, a0c, a0d, a0g, a0h, a0i, a0j, a0k, a0l, a11, a12, a13, a17, a1b, a1c, a1f, a1g, a1h
            , a1i, a1j, a1k, a1l, a2, a21, a22, a23, a2b, a2c, a2f, a2g, a2h, a2i, a2j, a2k, a2l, a3, a31, a32, a33, a38
            , a3a, a3b, a3c, a3f, a3g, a3h, a3i, a3j, a3k, a3l, a4, a41, a42, a44, a4a, a4b, a4c, a4f, a4g, a4h, a4i, a4j
            , a4k, a4l, a5, a51, a52, a54, a55, a5a, a5b, a5c, a5f, a5g, a5h, a5i, a5j, a5k, a6, a61, a62, a6a, a6b, a6c
            , a6f, a6g, a6h, a6i, a6j, a6k, a7, a71, a72, a73, a76, a7a, a7b, a7c, a7f, a7g, a7h, a7i, a7j, a7k, a8, a81
            , a82, a83, a84, a8a, a8b, a8c, a8f, a8g, a8h, a8i, a8j, a8k, a9, a91, a92, a93, a94, a95, a97, a9a, a9b, a9c
            , a9f, a9g, a9h, a9i, a9j, a9k, b2, b3, b5, b7, b9, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a
            , s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c
            , s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d
            , s2e, s2f, s2g, s2h, s2i, s2j, s2k, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e
            , s3f, s3g, s3h, s3i, s3j, s3k, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f
            , s4g, s4h, s4i, s4j, s4k, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g
            , s5h, s5i, s5j, s5k, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h
            , s6i, s6j, s6k, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i
            , s7j, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s9
            , s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, t, t01, t02
            , t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t11, t12, t13, t14, t15, t16
            , t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29
            , t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c
            , t3d, t3e, t3f, t3g, t3h, t3i, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f
            , t4g, t4h, t4i, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i
            , t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t7, t71, t72
            , t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t8, t81, t82, t83, t84, t85
            , t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t9, t91, t92, t93, t94, t95, t96, t97, t98
            , t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h;
    __m128  *a, *a0q, *a0r, *a0s, *a1q, *a1r, *a1s, *a2q, *a2r, *a2s, *a3q, *a3r, *a3s, *a4q, *a4r, *a4s, *a5p, *a5q, *a5r, *a5s, *a6p, *a6q
            , *a6r, *a7p, *a7q, *a7r, *a8p, *a8q, *a8r, *a9p, *a9q, *a9r;
    float  *a09, *a0a, *a0e, *a0f, *a19, *a1a, *a1d, *a1e, *a1m, *a1n, *a1o, *a1p, *a29, *a2a, *a2d, *a2e, *a2m, *a2n, *a2o, *a2p, *a39, *a3d
            , *a3e, *a3m, *a3n, *a3o, *a3p, *a49, *a4d, *a4e, *a4m, *a4n, *a4o, *a4p, *a59, *a5l, *a5m, *a5n, *a5o, *a69, *a6l, *a6m, *a6n, *a6o
            , *a79, *a7d, *a7e, *a7l, *a7m, *a7n, *a7o, *a88, *a89, *a8d, *a8e, *a8l, *a8m, *a8n, *a8o, *a98, *a99, *a9d, *a9e;
    a = ((__m128  *) src);
    s = *(a);
    a5p = (a + 16);
    s2 = *(a5p);
    t = _mm_add_ps(s, s2);
    t2 = _mm_sub_ps(s, s2);
    a6p = (a + 8);
    s3 = *(a6p);
    a7p = (a + 24);
    s4 = *(a7p);
    t3 = _mm_add_ps(s3, s4);
    t4 = _mm_sub_ps(s3, s4);
    a8p = (a + 1);
    s5 = *(a8p);
    a9p = (a + 17);
    s6 = *(a9p);
    t5 = _mm_add_ps(s5, s6);
    t6 = _mm_sub_ps(s5, s6);
    a0q = (a + 9);
    s7 = *(a0q);
    a1q = (a + 25);
    s8 = *(a1q);
    t7 = _mm_add_ps(s7, s8);
    t8 = _mm_sub_ps(s7, s8);
    a2q = (a + 2);
    s9 = *(a2q);
    a3q = (a + 18);
    s01 = *(a3q);
    t9 = _mm_add_ps(s9, s01);
    t01 = _mm_sub_ps(s9, s01);
    a4q = (a + 10);
    s11 = *(a4q);
    a5q = (a + 26);
    s21 = *(a5q);
    t11 = _mm_add_ps(s11, s21);
    t21 = _mm_sub_ps(s11, s21);
    a6q = (a + 3);
    s31 = *(a6q);
    a7q = (a + 19);
    s41 = *(a7q);
    t31 = _mm_add_ps(s31, s41);
    t41 = _mm_sub_ps(s31, s41);
    a8q = (a + 11);
    s51 = *(a8q);
    a9q = (a + 27);
    s61 = *(a9q);
    t51 = _mm_add_ps(s51, s61);
    t61 = _mm_sub_ps(s51, s61);
    a0r = (a + 4);
    s71 = *(a0r);
    a1r = (a + 20);
    s81 = *(a1r);
    t71 = _mm_add_ps(s71, s81);
    t81 = _mm_sub_ps(s71, s81);
    a2r = (a + 12);
    s91 = *(a2r);
    a3r = (a + 28);
    s02 = *(a3r);
    t91 = _mm_add_ps(s91, s02);
    t02 = _mm_sub_ps(s91, s02);
    a4r = (a + 5);
    s12 = *(a4r);
    a5r = (a + 21);
    s22 = *(a5r);
    t12 = _mm_add_ps(s12, s22);
    t22 = _mm_sub_ps(s12, s22);
    a6r = (a + 13);
    s32 = *(a6r);
    a7r = (a + 29);
    s42 = *(a7r);
    t32 = _mm_add_ps(s32, s42);
    t42 = _mm_sub_ps(s32, s42);
    a8r = (a + 6);
    s52 = *(a8r);
    a9r = (a + 22);
    s62 = *(a9r);
    t52 = _mm_add_ps(s52, s62);
    t62 = _mm_sub_ps(s52, s62);
    a0s = (a + 14);
    s72 = *(a0s);
    a1s = (a + 30);
    s82 = *(a1s);
    t72 = _mm_add_ps(s72, s82);
    t82 = _mm_sub_ps(s72, s82);
    a2s = (a + 7);
    s92 = *(a2s);
    a3s = (a + 23);
    s03 = *(a3s);
    t92 = _mm_add_ps(s92, s03);
    t03 = _mm_sub_ps(s92, s03);
    a4s = (a + 15);
    s13 = *(a4s);
    a5s = (a + 31);
    s23 = *(a5s);
    t13 = _mm_add_ps(s13, s23);
    t23 = _mm_sub_ps(s13, s23);
    t33 = _mm_add_ps(t, t3);
    t43 = _mm_sub_ps(t, t3);
    t53 = _mm_add_ps(t71, t91);
    t63 = _mm_sub_ps(t71, t91);
    t73 = _mm_add_ps(t5, t7);
    t83 = _mm_sub_ps(t5, t7);
    t93 = _mm_add_ps(t12, t32);
    t04 = _mm_sub_ps(t12, t32);
    t14 = _mm_add_ps(t9, t11);
    t24 = _mm_sub_ps(t9, t11);
    t34 = _mm_add_ps(t52, t72);
    t44 = _mm_sub_ps(t52, t72);
    t54 = _mm_add_ps(t31, t51);
    t64 = _mm_sub_ps(t31, t51);
    t74 = _mm_add_ps(t92, t13);
    t84 = _mm_sub_ps(t92, t13);
    s33 = _mm_shuffle_ps(t33, t73, _MM_SHUFFLE(2, 0, 2, 0));
    s43 = _mm_shuffle_ps(t33, t73, _MM_SHUFFLE(3, 1, 3, 1));
    s53 = _mm_shuffle_ps(t53, t93, _MM_SHUFFLE(2, 0, 2, 0));
    s63 = _mm_shuffle_ps(t53, t93, _MM_SHUFFLE(3, 1, 3, 1));
    t94 = _mm_add_ps(s33, s53);
    t05 = _mm_add_ps(s43, s63);
    t15 = _mm_sub_ps(s33, s53);
    t25 = _mm_sub_ps(s43, s63);
    s73 = _mm_shuffle_ps(t14, t54, _MM_SHUFFLE(2, 0, 2, 0));
    s83 = _mm_shuffle_ps(t14, t54, _MM_SHUFFLE(3, 1, 3, 1));
    s93 = _mm_shuffle_ps(t34, t74, _MM_SHUFFLE(2, 0, 2, 0));
    s04 = _mm_shuffle_ps(t34, t74, _MM_SHUFFLE(3, 1, 3, 1));
    t35 = _mm_add_ps(s73, s93);
    t45 = _mm_add_ps(s83, s04);
    t55 = _mm_sub_ps(s73, s93);
    t65 = _mm_sub_ps(s83, s04);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    t16 = _mm_add_ps(t15, t65);
    t26 = _mm_sub_ps(t25, t55);
    t36 = _mm_sub_ps(t15, t65);
    t46 = _mm_add_ps(t25, t55);
    s14 = _mm_unpacklo_ps(t75, t16);
    s24 = _mm_unpackhi_ps(t75, t16);
    s34 = _mm_unpacklo_ps(t85, t26);
    s44 = _mm_unpackhi_ps(t85, t26);
    s54 = _mm_unpacklo_ps(t95, t36);
    s64 = _mm_unpackhi_ps(t95, t36);
    s74 = _mm_unpacklo_ps(t06, t46);
    s84 = _mm_unpackhi_ps(t06, t46);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a6 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a7 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s55);
    s75 = _mm_sub_ps(a6, a7);
    a8 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s15);
    a9 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a8, a9);
    t56 = _mm_add_ps(s94, s75);
    t66 = _mm_add_ps(s35, s85);
    t76 = _mm_sub_ps(s94, s75);
    t86 = _mm_sub_ps(s35, s85);
    a01 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a11 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s45);
    s95 = _mm_sub_ps(a01, a11);
    a21 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s05);
    a31 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a21, a31);
    a41 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a51 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s65);
    s16 = _mm_sub_ps(a41, a51);
    a61 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s25);
    a71 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a61, a71);
    t96 = _mm_add_ps(s95, s16);
    t07 = _mm_add_ps(s06, s26);
    t17 = _mm_sub_ps(s95, s16);
    t27 = _mm_sub_ps(s06, s26);
    t37 = _mm_add_ps(t56, t96);
    t47 = _mm_add_ps(t66, t07);
    t57 = _mm_sub_ps(t56, t96);
    t67 = _mm_sub_ps(t66, t07);
    t77 = _mm_add_ps(t76, t27);
    t87 = _mm_sub_ps(t86, t17);
    t97 = _mm_sub_ps(t76, t27);
    t08 = _mm_add_ps(t86, t17);
    a81 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t37);
    a91 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t47);
    s36 = _mm_sub_ps(a81, a91);
    a02 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t37);
    a12 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t47);
    s46 = _mm_add_ps(a02, a12);
    a22 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t77);
    a32 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t87);
    s56 = _mm_sub_ps(a22, a32);
    a42 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t77);
    a52 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t87);
    s66 = _mm_add_ps(a42, a52);
    a62 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t57);
    a72 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t67);
    s76 = _mm_sub_ps(a62, a72);
    a82 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t57);
    a92 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t67);
    s86 = _mm_add_ps(a82, a92);
    a03 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t97);
    a13 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t08);
    s96 = _mm_sub_ps(a03, a13);
    a23 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t97);
    a33 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t08);
    s07 = _mm_add_ps(a23, a33);
    a63 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t97, _MM_SHUFFLE(3, 2, 1, 0));
    a53 = _mm_shuffle_ps(a63, t97, _MM_SHUFFLE(1, 2, 3, 0));
    a93 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s36);
    a04 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s46);
    a83 = _mm_add_ps(a93, a04);
    a24 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s96, _MM_SHUFFLE(3, 2, 1, 0));
    a14 = _mm_shuffle_ps(a24, s96, _MM_SHUFFLE(1, 2, 3, 0));
    a73 = _mm_sub_ps(a83, a14);
    b = _mm_add_ps(t37, a53);
    a43 = _mm_add_ps(b, a73);
    s17 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a43);
    a54 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t47);
    a74 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t08, _MM_SHUFFLE(3, 2, 1, 0));
    a64 = _mm_shuffle_ps(a74, t08, _MM_SHUFFLE(1, 2, 3, 0));
    a44 = _mm_sub_ps(a54, a64);
    a84 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s36);
    a94 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s46);
    a15 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s07, _MM_SHUFFLE(3, 2, 1, 0));
    a05 = _mm_shuffle_ps(a15, s07, _MM_SHUFFLE(1, 2, 3, 0));
    b2 = _mm_add_ps(a44, a84);
    b3 = _mm_add_ps(b2, a94);
    a34 = _mm_add_ps(b3, a05);
    s27 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a34);
    a45 = _mm_shuffle_ps(t97, t57, _MM_SHUFFLE(3, 2, 1, 0));
    a35 = _mm_shuffle_ps(a45, t57, _MM_SHUFFLE(1, 2, 3, 0));
    a75 = _mm_shuffle_ps(s96, s76, _MM_SHUFFLE(3, 2, 1, 0));
    a65 = _mm_shuffle_ps(a75, s76, _MM_SHUFFLE(1, 2, 3, 0));
    a55 = _mm_sub_ps(s56, a65);
    b4 = _mm_add_ps(t77, a35);
    a25 = _mm_add_ps(b4, a55);
    s37 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a16 = _mm_shuffle_ps(t08, t67, _MM_SHUFFLE(3, 2, 1, 0));
    a06 = _mm_shuffle_ps(a16, t67, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_sub_ps(t87, a06);
    a36 = _mm_shuffle_ps(s07, s86, _MM_SHUFFLE(3, 2, 1, 0));
    a26 = _mm_shuffle_ps(a36, s86, _MM_SHUFFLE(1, 2, 3, 0));
    b5 = _mm_add_ps(a95, s66);
    a85 = _mm_add_ps(b5, a26);
    s47 = _mm_mul_ps(_mm_set1_ps(0.5f), a85);
    a66 = _mm_shuffle_ps(t57, t77, _MM_SHUFFLE(3, 2, 1, 0));
    a56 = _mm_shuffle_ps(a66, t77, _MM_SHUFFLE(1, 2, 3, 0));
    a96 = _mm_shuffle_ps(s76, s56, _MM_SHUFFLE(3, 2, 1, 0));
    a86 = _mm_shuffle_ps(a96, s56, _MM_SHUFFLE(1, 2, 3, 0));
    a76 = _mm_sub_ps(s76, a86);
    b6 = _mm_add_ps(t57, a56);
    a46 = _mm_add_ps(b6, a76);
    s57 = _mm_mul_ps(_mm_set1_ps(0.5f), a46);
    a37 = _mm_shuffle_ps(t67, t87, _MM_SHUFFLE(3, 2, 1, 0));
    a27 = _mm_shuffle_ps(a37, t87, _MM_SHUFFLE(1, 2, 3, 0));
    a17 = _mm_sub_ps(t67, a27);
    a57 = _mm_shuffle_ps(s86, s66, _MM_SHUFFLE(3, 2, 1, 0));
    a47 = _mm_shuffle_ps(a57, s66, _MM_SHUFFLE(1, 2, 3, 0));
    b7 = _mm_add_ps(a17, s86);
    a07 = _mm_add_ps(b7, a47);
    s67 = _mm_mul_ps(_mm_set1_ps(0.5f), a07);
    a87 = _mm_shuffle_ps(t77, t37, _MM_SHUFFLE(3, 2, 1, 0));
    a77 = _mm_shuffle_ps(a87, t37, _MM_SHUFFLE(1, 2, 3, 0));
    a18 = _mm_shuffle_ps(s56, s36, _MM_SHUFFLE(3, 2, 1, 0));
    a08 = _mm_shuffle_ps(a18, s36, _MM_SHUFFLE(1, 2, 3, 0));
    a97 = _mm_sub_ps(s96, a08);
    b8 = _mm_add_ps(t97, a77);
    a67 = _mm_add_ps(b8, a97);
    s77 = _mm_mul_ps(_mm_set1_ps(0.5f), a67);
    a58 = _mm_shuffle_ps(t87, t47, _MM_SHUFFLE(3, 2, 1, 0));
    a48 = _mm_shuffle_ps(a58, t47, _MM_SHUFFLE(1, 2, 3, 0));
    a38 = _mm_sub_ps(t08, a48);
    a78 = _mm_shuffle_ps(s66, s46, _MM_SHUFFLE(3, 2, 1, 0));
    a68 = _mm_shuffle_ps(a78, s46, _MM_SHUFFLE(1, 2, 3, 0));
    b9 = _mm_add_ps(a38, s07);
    a28 = _mm_add_ps(b9, a68);
    s87 = _mm_mul_ps(_mm_set1_ps(0.5f), a28);
    s97 = _mm_unpacklo_ps(s17, s27);
    s08 = _mm_unpackhi_ps(s17, s27);
    _mm_storel_pi(((__m64  *) dst), s97);
    a88 = (dst + 8);
    _mm_storeh_pi(((__m64  *) a88), s97);
    a98 = (dst + 16);
    _mm_storel_pi(((__m64  *) a98), s08);
    a09 = (dst + 24);
    _mm_storeh_pi(((__m64  *) a09), s08);
    s18 = _mm_unpacklo_ps(s37, s47);
    s28 = _mm_unpackhi_ps(s37, s47);
    a19 = (dst + 32);
    _mm_storel_pi(((__m64  *) a19), s18);
    a29 = (dst + 40);
    _mm_storeh_pi(((__m64  *) a29), s18);
    a39 = (dst + 48);
    _mm_storel_pi(((__m64  *) a39), s28);
    a49 = (dst + 56);
    _mm_storeh_pi(((__m64  *) a49), s28);
    s38 = _mm_unpacklo_ps(s57, s67);
    s48 = _mm_unpackhi_ps(s57, s67);
    a59 = (dst + 64);
    _mm_storel_pi(((__m64  *) a59), s38);
    a69 = (dst + 72);
    _mm_storeh_pi(((__m64  *) a69), s38);
    a79 = (dst + 80);
    _mm_storel_pi(((__m64  *) a79), s48);
    a89 = (dst + 88);
    _mm_storeh_pi(((__m64  *) a89), s48);
    s58 = _mm_unpacklo_ps(s77, s87);
    s68 = _mm_unpackhi_ps(s77, s87);
    a99 = (dst + 96);
    _mm_storel_pi(((__m64  *) a99), s58);
    a0a = (dst + 104);
    _mm_storeh_pi(((__m64  *) a0a), s58);
    a1a = (dst + 112);
    _mm_storel_pi(((__m64  *) a1a), s68);
    a2a = (dst + 120);
    _mm_storeh_pi(((__m64  *) a2a), s68);
    a3a = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t43);
    a4a = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t63);
    s78 = _mm_add_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t43);
    a6a = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t63);
    s88 = _mm_sub_ps(a5a, a6a);
    a7a = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t24);
    a8a = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t44);
    s98 = _mm_add_ps(a7a, a8a);
    a9a = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t24);
    a0b = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t44);
    s09 = _mm_sub_ps(a9a, a0b);
    t18 = _mm_add_ps(s78, s98);
    t28 = _mm_add_ps(s88, s09);
    t38 = _mm_sub_ps(s78, s98);
    t48 = _mm_sub_ps(s88, s09);
    a1b = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t83);
    a2b = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t04);
    s19 = _mm_add_ps(a1b, a2b);
    a3b = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t83);
    a4b = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t04);
    s29 = _mm_sub_ps(a3b, a4b);
    a5b = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t64);
    a6b = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t84);
    s39 = _mm_add_ps(a5b, a6b);
    a7b = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t64);
    a8b = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t84);
    s49 = _mm_sub_ps(a7b, a8b);
    t58 = _mm_add_ps(s19, s39);
    t68 = _mm_add_ps(s29, s49);
    t78 = _mm_sub_ps(s19, s39);
    t88 = _mm_sub_ps(s29, s49);
    t98 = _mm_add_ps(t18, t58);
    t09 = _mm_add_ps(t28, t68);
    t19 = _mm_sub_ps(t18, t58);
    t29 = _mm_sub_ps(t28, t68);
    t39 = _mm_add_ps(t38, t88);
    t49 = _mm_sub_ps(t48, t78);
    t59 = _mm_sub_ps(t38, t88);
    t69 = _mm_add_ps(t48, t78);
    s59 = _mm_unpacklo_ps(t98, t39);
    s69 = _mm_unpackhi_ps(t98, t39);
    s79 = _mm_unpacklo_ps(t09, t49);
    s89 = _mm_unpackhi_ps(t09, t49);
    s99 = _mm_unpacklo_ps(t19, t59);
    s0a = _mm_unpackhi_ps(t19, t59);
    s1a = _mm_unpacklo_ps(t29, t69);
    s2a = _mm_unpackhi_ps(t29, t69);
    s3a = _mm_shuffle_ps(s59, s99, _MM_SHUFFLE(1, 0, 1, 0));
    s4a = _mm_shuffle_ps(s59, s99, _MM_SHUFFLE(3, 2, 3, 2));
    s5a = _mm_shuffle_ps(s69, s0a, _MM_SHUFFLE(1, 0, 1, 0));
    s6a = _mm_shuffle_ps(s69, s0a, _MM_SHUFFLE(3, 2, 3, 2));
    s7a = _mm_shuffle_ps(s79, s1a, _MM_SHUFFLE(1, 0, 1, 0));
    s8a = _mm_shuffle_ps(s79, s1a, _MM_SHUFFLE(3, 2, 3, 2));
    s9a = _mm_shuffle_ps(s89, s2a, _MM_SHUFFLE(1, 0, 1, 0));
    s0b = _mm_shuffle_ps(s89, s2a, _MM_SHUFFLE(3, 2, 3, 2));
    a9b = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s5a);
    a0c = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s9a);
    s1b = _mm_sub_ps(a9b, a0c);
    a1c = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s5a);
    a2c = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9a);
    s2b = _mm_add_ps(a1c, a2c);
    t79 = _mm_add_ps(s3a, s1b);
    t89 = _mm_add_ps(s7a, s2b);
    t99 = _mm_sub_ps(s3a, s1b);
    t0a = _mm_sub_ps(s7a, s2b);
    a3c = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s4a);
    a4c = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s8a);
    s3b = _mm_sub_ps(a3c, a4c);
    a5c = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s4a);
    a6c = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s8a);
    s4b = _mm_add_ps(a5c, a6c);
    a7c = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s6a);
    a8c = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s0b);
    s5b = _mm_sub_ps(a7c, a8c);
    a9c = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s6a);
    a0d = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s0b);
    s6b = _mm_add_ps(a9c, a0d);
    t1a = _mm_add_ps(s3b, s5b);
    t2a = _mm_add_ps(s4b, s6b);
    t3a = _mm_sub_ps(s3b, s5b);
    t4a = _mm_sub_ps(s4b, s6b);
    t5a = _mm_add_ps(t79, t1a);
    t6a = _mm_add_ps(t89, t2a);
    t7a = _mm_sub_ps(t79, t1a);
    t8a = _mm_sub_ps(t89, t2a);
    s7b = _mm_unpacklo_ps(t5a, t6a);
    s8b = _mm_unpackhi_ps(t5a, t6a);
    a1d = (dst + 4);
    _mm_storel_pi(((__m64  *) a1d), s7b);
    a2d = (dst + 20);
    _mm_storeh_pi(((__m64  *) a2d), s7b);
    a3d = (dst + 36);
    _mm_storel_pi(((__m64  *) a3d), s8b);
    a4d = (dst + 52);
    _mm_storeh_pi(((__m64  *) a4d), s8b);
    a5d = _mm_unpacklo_ps(t7a, t8a);
    s9b = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5d);
    a6d = _mm_unpackhi_ps(t7a, t8a);
    s0c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6d);
    a7d = (dst + 124);
    _mm_storel_pi(((__m64  *) a7d), s9b);
    a8d = (dst + 108);
    _mm_storeh_pi(((__m64  *) a8d), s9b);
    a9d = (dst + 92);
    _mm_storel_pi(((__m64  *) a9d), s0c);
    a0e = (dst + 76);
    _mm_storeh_pi(((__m64  *) a0e), s0c);
    t9a = _mm_add_ps(t99, t4a);
    t0b = _mm_sub_ps(t0a, t3a);
    t1b = _mm_sub_ps(t99, t4a);
    t2b = _mm_add_ps(t0a, t3a);
    s1c = _mm_unpacklo_ps(t9a, t0b);
    s2c = _mm_unpackhi_ps(t9a, t0b);
    a1e = (dst + 68);
    _mm_storel_pi(((__m64  *) a1e), s1c);
    a2e = (dst + 84);
    _mm_storeh_pi(((__m64  *) a2e), s1c);
    a3e = (dst + 100);
    _mm_storel_pi(((__m64  *) a3e), s2c);
    a4e = (dst + 116);
    _mm_storeh_pi(((__m64  *) a4e), s2c);
    a5e = _mm_unpacklo_ps(t1b, t2b);
    s3c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    a6e = _mm_unpackhi_ps(t1b, t2b);
    s4c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6e);
    a7e = (dst + 60);
    _mm_storel_pi(((__m64  *) a7e), s3c);
    a8e = (dst + 44);
    _mm_storeh_pi(((__m64  *) a8e), s3c);
    a9e = (dst + 28);
    _mm_storel_pi(((__m64  *) a9e), s4c);
    a0f = (dst + 12);
    _mm_storeh_pi(((__m64  *) a0f), s4c);
    a1f = _mm_mul_ps(_mm_set_ps(0.98917650996478101f, 0.99518472667219693f, 0.99879545620517241f, 1.0f), t2);
    a2f = _mm_mul_ps(_mm_set_ps((-0.14673047445536175f), (-0.098017140329560604f), (-0.049067674327418015f), 0.0f), t4);
    s5c = _mm_add_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps((-0.14673047445536175f), (-0.098017140329560604f), (-0.049067674327418015f), 0.0f), t2);
    a4f = _mm_mul_ps(_mm_set_ps(0.98917650996478101f, 0.99518472667219693f, 0.99879545620517241f, 1.0f), t4);
    s6c = _mm_sub_ps(a3f, a4f);
    a5f = _mm_mul_ps(_mm_set_ps(0.59569930449243336f, 0.63439328416364549f, 0.67155895484701844f, 0.70710678118654757f), t81);
    a6f = _mm_mul_ps(_mm_set_ps((-0.80320753148064494f), (-0.77301045336273699f), (-0.74095112535495911f), (-0.70710678118654757f)), t02);
    s7c = _mm_add_ps(a5f, a6f);
    a7f = _mm_mul_ps(_mm_set_ps((-0.80320753148064494f), (-0.77301045336273699f), (-0.74095112535495911f), (-0.70710678118654757f)), t81);
    a8f = _mm_mul_ps(_mm_set_ps(0.59569930449243336f, 0.63439328416364549f, 0.67155895484701844f, 0.70710678118654757f), t02);
    s8c = _mm_sub_ps(a7f, a8f);
    t3b = _mm_add_ps(s5c, s7c);
    t4b = _mm_add_ps(s6c, s8c);
    t5b = _mm_sub_ps(s5c, s7c);
    t6b = _mm_sub_ps(s6c, s8c);
    a9f = _mm_mul_ps(_mm_set_ps(0.85772861000027212f, 0.88192126434835505f, 0.90398929312344334f, 0.92387953251128674f), t01);
    a0g = _mm_mul_ps(_mm_set_ps((-0.51410274419322177f), (-0.47139673682599764f), (-0.42755509343028208f), (-0.38268343236508978f)), t21);
    s9c = _mm_add_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.51410274419322177f), (-0.47139673682599764f), (-0.42755509343028208f), (-0.38268343236508978f)), t01);
    a2g = _mm_mul_ps(_mm_set_ps(0.85772861000027212f, 0.88192126434835505f, 0.90398929312344334f, 0.92387953251128674f), t21);
    s0d = _mm_sub_ps(a1g, a2g);
    a3g = _mm_mul_ps(_mm_set_ps(0.2429801799032639f, 0.29028467725446239f, 0.33688985339222005f, 0.38268343236508978f), t62);
    a4g = _mm_mul_ps(_mm_set_ps((-0.97003125319454397f), (-0.95694033573220882f), (-0.94154406518302081f), (-0.92387953251128674f)), t82);
    s1d = _mm_add_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps((-0.97003125319454397f), (-0.95694033573220882f), (-0.94154406518302081f), (-0.92387953251128674f)), t62);
    a6g = _mm_mul_ps(_mm_set_ps(0.2429801799032639f, 0.29028467725446239f, 0.33688985339222005f, 0.38268343236508978f), t82);
    s2d = _mm_sub_ps(a5g, a6g);
    t7b = _mm_add_ps(s9c, s1d);
    t8b = _mm_add_ps(s0d, s2d);
    t9b = _mm_sub_ps(s9c, s1d);
    t0c = _mm_sub_ps(s0d, s2d);
    t1c = _mm_add_ps(t3b, t7b);
    t2c = _mm_add_ps(t4b, t8b);
    t3c = _mm_sub_ps(t3b, t7b);
    t4c = _mm_sub_ps(t4b, t8b);
    t5c = _mm_add_ps(t5b, t0c);
    t6c = _mm_sub_ps(t6b, t9b);
    t7c = _mm_sub_ps(t5b, t0c);
    t8c = _mm_add_ps(t6b, t9b);
    s3d = _mm_unpacklo_ps(t1c, t5c);
    s4d = _mm_unpackhi_ps(t1c, t5c);
    s5d = _mm_unpacklo_ps(t2c, t6c);
    s6d = _mm_unpackhi_ps(t2c, t6c);
    s7d = _mm_unpacklo_ps(t3c, t7c);
    s8d = _mm_unpackhi_ps(t3c, t7c);
    s9d = _mm_unpacklo_ps(t4c, t8c);
    s0e = _mm_unpackhi_ps(t4c, t8c);
    s1e = _mm_shuffle_ps(s3d, s7d, _MM_SHUFFLE(1, 0, 1, 0));
    s2e = _mm_shuffle_ps(s3d, s7d, _MM_SHUFFLE(3, 2, 3, 2));
    s3e = _mm_shuffle_ps(s4d, s8d, _MM_SHUFFLE(1, 0, 1, 0));
    s4e = _mm_shuffle_ps(s4d, s8d, _MM_SHUFFLE(3, 2, 3, 2));
    s5e = _mm_shuffle_ps(s5d, s9d, _MM_SHUFFLE(1, 0, 1, 0));
    s6e = _mm_shuffle_ps(s5d, s9d, _MM_SHUFFLE(3, 2, 3, 2));
    s7e = _mm_shuffle_ps(s6d, s0e, _MM_SHUFFLE(1, 0, 1, 0));
    s8e = _mm_shuffle_ps(s6d, s0e, _MM_SHUFFLE(3, 2, 3, 2));
    a7g = _mm_mul_ps(_mm_set_ps(0.94154406518302081f, 0.95694033573220882f, 0.97003125319454397f, 0.98078528040323043f), t6);
    a8g = _mm_mul_ps(_mm_set_ps((-0.33688985339222005f), (-0.29028467725446239f), (-0.2429801799032639f), (-0.19509032201612828f)), t8);
    s9e = _mm_add_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps((-0.33688985339222005f), (-0.29028467725446239f), (-0.2429801799032639f), (-0.19509032201612828f)), t6);
    a0h = _mm_mul_ps(_mm_set_ps(0.94154406518302081f, 0.95694033573220882f, 0.97003125319454397f, 0.98078528040323043f), t8);
    s0f = _mm_sub_ps(a9g, a0h);
    a1h = _mm_mul_ps(_mm_set_ps(0.42755509343028208f, 0.47139673682599764f, 0.51410274419322177f, 0.55557023301960218f), t22);
    a2h = _mm_mul_ps(_mm_set_ps((-0.90398929312344334f), (-0.88192126434835505f), (-0.85772861000027212f), (-0.83146961230254524f)), t42);
    s1f = _mm_add_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps((-0.90398929312344334f), (-0.88192126434835505f), (-0.85772861000027212f), (-0.83146961230254524f)), t22);
    a4h = _mm_mul_ps(_mm_set_ps(0.42755509343028208f, 0.47139673682599764f, 0.51410274419322177f, 0.55557023301960218f), t42);
    s2f = _mm_sub_ps(a3h, a4h);
    t9c = _mm_add_ps(s9e, s1f);
    t0d = _mm_add_ps(s0f, s2f);
    t1d = _mm_sub_ps(s9e, s1f);
    t2d = _mm_sub_ps(s0f, s2f);
    a5h = _mm_mul_ps(_mm_set_ps(0.74095112535495911f, 0.77301045336273699f, 0.80320753148064494f, 0.83146961230254524f), t41);
    a6h = _mm_mul_ps(_mm_set_ps((-0.67155895484701844f), (-0.63439328416364549f), (-0.59569930449243336f), (-0.55557023301960218f)), t61);
    s3f = _mm_add_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps((-0.67155895484701844f), (-0.63439328416364549f), (-0.59569930449243336f), (-0.55557023301960218f)), t41);
    a8h = _mm_mul_ps(_mm_set_ps(0.74095112535495911f, 0.77301045336273699f, 0.80320753148064494f, 0.83146961230254524f), t61);
    s4f = _mm_sub_ps(a7h, a8h);
    a9h = _mm_mul_ps(_mm_set_ps(0.049067674327418015f, 0.098017140329560604f, 0.14673047445536175f, 0.19509032201612828f), t03);
    a0i = _mm_mul_ps(_mm_set_ps((-0.99879545620517241f), (-0.99518472667219693f), (-0.98917650996478101f), (-0.98078528040323043f)), t23);
    s5f = _mm_add_ps(a9h, a0i);
    a1i = _mm_mul_ps(_mm_set_ps((-0.99879545620517241f), (-0.99518472667219693f), (-0.98917650996478101f), (-0.98078528040323043f)), t03);
    a2i = _mm_mul_ps(_mm_set_ps(0.049067674327418015f, 0.098017140329560604f, 0.14673047445536175f, 0.19509032201612828f), t23);
    s6f = _mm_sub_ps(a1i, a2i);
    t3d = _mm_add_ps(s3f, s5f);
    t4d = _mm_add_ps(s4f, s6f);
    t5d = _mm_sub_ps(s3f, s5f);
    t6d = _mm_sub_ps(s4f, s6f);
    t7d = _mm_add_ps(t9c, t3d);
    t8d = _mm_add_ps(t0d, t4d);
    t9d = _mm_sub_ps(t9c, t3d);
    t0e = _mm_sub_ps(t0d, t4d);
    t1e = _mm_add_ps(t1d, t6d);
    t2e = _mm_sub_ps(t2d, t5d);
    t3e = _mm_sub_ps(t1d, t6d);
    t4e = _mm_add_ps(t2d, t5d);
    s7f = _mm_unpacklo_ps(t7d, t1e);
    s8f = _mm_unpackhi_ps(t7d, t1e);
    s9f = _mm_unpacklo_ps(t8d, t2e);
    s0g = _mm_unpackhi_ps(t8d, t2e);
    s1g = _mm_unpacklo_ps(t9d, t3e);
    s2g = _mm_unpackhi_ps(t9d, t3e);
    s3g = _mm_unpacklo_ps(t0e, t4e);
    s4g = _mm_unpackhi_ps(t0e, t4e);
    s5g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(1, 0, 1, 0));
    s6g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(3, 2, 3, 2));
    s7g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(1, 0, 1, 0));
    s8g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(3, 2, 3, 2));
    s9g = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(1, 0, 1, 0));
    s0h = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(3, 2, 3, 2));
    s1h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(1, 0, 1, 0));
    s2h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(3, 2, 3, 2));
    a3i = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s5g);
    a4i = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s9g);
    s3h = _mm_sub_ps(a3i, a4i);
    a5i = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s5g);
    a6i = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9g);
    s4h = _mm_add_ps(a5i, a6i);
    t5e = _mm_add_ps(s1e, s3h);
    t6e = _mm_add_ps(s5e, s4h);
    t7e = _mm_sub_ps(s1e, s3h);
    t8e = _mm_sub_ps(s5e, s4h);
    a7i = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s3e);
    a8i = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s7e);
    s5h = _mm_sub_ps(a7i, a8i);
    a9i = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s3e);
    a0j = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7e);
    s6h = _mm_add_ps(a9i, a0j);
    a1j = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s7g);
    a2j = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s1h);
    s7h = _mm_sub_ps(a1j, a2j);
    a3j = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s7g);
    a4j = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1h);
    s8h = _mm_add_ps(a3j, a4j);
    t9e = _mm_add_ps(s5h, s7h);
    t0f = _mm_add_ps(s6h, s8h);
    t1f = _mm_sub_ps(s5h, s7h);
    t2f = _mm_sub_ps(s6h, s8h);
    t3f = _mm_add_ps(t5e, t9e);
    t4f = _mm_add_ps(t6e, t0f);
    t5f = _mm_sub_ps(t5e, t9e);
    t6f = _mm_sub_ps(t6e, t0f);
    t7f = _mm_add_ps(t7e, t2f);
    t8f = _mm_sub_ps(t8e, t1f);
    t9f = _mm_sub_ps(t7e, t2f);
    t0g = _mm_add_ps(t8e, t1f);
    a5j = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s2e);
    a6j = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s6e);
    s9h = _mm_sub_ps(a5j, a6j);
    a7j = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s2e);
    a8j = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6e);
    s0i = _mm_add_ps(a7j, a8j);
    a9j = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s6g);
    a0k = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s0h);
    s1i = _mm_sub_ps(a9j, a0k);
    a1k = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s6g);
    a2k = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0h);
    s2i = _mm_add_ps(a1k, a2k);
    t1g = _mm_add_ps(s9h, s1i);
    t2g = _mm_add_ps(s0i, s2i);
    t3g = _mm_sub_ps(s9h, s1i);
    t4g = _mm_sub_ps(s0i, s2i);
    a3k = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s4e);
    a4k = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s8e);
    s3i = _mm_sub_ps(a3k, a4k);
    a5k = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s4e);
    a6k = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8e);
    s4i = _mm_add_ps(a5k, a6k);
    a7k = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s8g);
    a8k = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s2h);
    s5i = _mm_sub_ps(a7k, a8k);
    a9k = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s8g);
    a0l = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2h);
    s6i = _mm_add_ps(a9k, a0l);
    t5g = _mm_add_ps(s3i, s5i);
    t6g = _mm_add_ps(s4i, s6i);
    t7g = _mm_sub_ps(s3i, s5i);
    t8g = _mm_sub_ps(s4i, s6i);
    t9g = _mm_add_ps(t1g, t5g);
    t0h = _mm_add_ps(t2g, t6g);
    t1h = _mm_sub_ps(t1g, t5g);
    t2h = _mm_sub_ps(t2g, t6g);
    a1l = _mm_add_ps(t3g, t8g);
    a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1l);
    a2l = _mm_sub_ps(t4g, t7g);
    a3 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2l);
    s7i = _mm_sub_ps(a2, a3);
    s8i = _mm_add_ps(a2, a3);
    a3l = _mm_sub_ps(t3g, t8g);
    a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a3l);
    a4l = _mm_add_ps(t4g, t7g);
    a5 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a4l);
    s9i = _mm_sub_ps(a4, a5);
    s0j = _mm_add_ps(a4, a5);
    t3h = _mm_add_ps(t3f, t9g);
    t4h = _mm_add_ps(t4f, t0h);
    t5h = _mm_sub_ps(t3f, t9g);
    t6h = _mm_sub_ps(t4f, t0h);
    s1j = _mm_unpacklo_ps(t3h, t4h);
    s2j = _mm_unpackhi_ps(t3h, t4h);
    a5l = (dst + 2);
    _mm_storel_pi(((__m64  *) a5l), s1j);
    a6l = (dst + 10);
    _mm_storeh_pi(((__m64  *) a6l), s1j);
    a7l = (dst + 18);
    _mm_storel_pi(((__m64  *) a7l), s2j);
    a8l = (dst + 26);
    _mm_storeh_pi(((__m64  *) a8l), s2j);
    a9l = _mm_unpacklo_ps(t5h, t6h);
    s3j = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9l);
    a0m = _mm_unpackhi_ps(t5h, t6h);
    s4j = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a0m);
    a1m = (dst + 126);
    _mm_storel_pi(((__m64  *) a1m), s3j);
    a2m = (dst + 118);
    _mm_storeh_pi(((__m64  *) a2m), s3j);
    a3m = (dst + 110);
    _mm_storel_pi(((__m64  *) a3m), s4j);
    a4m = (dst + 102);
    _mm_storeh_pi(((__m64  *) a4m), s4j);
    t7h = _mm_add_ps(t7f, s7i);
    t8h = _mm_sub_ps(t8f, s8i);
    t9h = _mm_sub_ps(t7f, s7i);
    t0i = _mm_add_ps(t8f, s8i);
    s5j = _mm_unpacklo_ps(t7h, t8h);
    s6j = _mm_unpackhi_ps(t7h, t8h);
    a5m = (dst + 34);
    _mm_storel_pi(((__m64  *) a5m), s5j);
    a6m = (dst + 42);
    _mm_storeh_pi(((__m64  *) a6m), s5j);
    a7m = (dst + 50);
    _mm_storel_pi(((__m64  *) a7m), s6j);
    a8m = (dst + 58);
    _mm_storeh_pi(((__m64  *) a8m), s6j);
    a9m = _mm_unpacklo_ps(t9h, t0i);
    s7j = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9m);
    a0n = _mm_unpackhi_ps(t9h, t0i);
    s8j = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a0n);
    a1n = (dst + 94);
    _mm_storel_pi(((__m64  *) a1n), s7j);
    a2n = (dst + 86);
    _mm_storeh_pi(((__m64  *) a2n), s7j);
    a3n = (dst + 78);
    _mm_storel_pi(((__m64  *) a3n), s8j);
    a4n = (dst + 70);
    _mm_storeh_pi(((__m64  *) a4n), s8j);
    t1i = _mm_add_ps(t5f, t2h);
    t2i = _mm_sub_ps(t6f, t1h);
    t3i = _mm_sub_ps(t5f, t2h);
    t4i = _mm_add_ps(t6f, t1h);
    s9j = _mm_unpacklo_ps(t1i, t2i);
    s0k = _mm_unpackhi_ps(t1i, t2i);
    a5n = (dst + 66);
    _mm_storel_pi(((__m64  *) a5n), s9j);
    a6n = (dst + 74);
    _mm_storeh_pi(((__m64  *) a6n), s9j);
    a7n = (dst + 82);
    _mm_storel_pi(((__m64  *) a7n), s0k);
    a8n = (dst + 90);
    _mm_storeh_pi(((__m64  *) a8n), s0k);
    a9n = _mm_unpacklo_ps(t3i, t4i);
    s1k = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9n);
    a0o = _mm_unpackhi_ps(t3i, t4i);
    s2k = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a0o);
    a1o = (dst + 62);
    _mm_storel_pi(((__m64  *) a1o), s1k);
    a2o = (dst + 54);
    _mm_storeh_pi(((__m64  *) a2o), s1k);
    a3o = (dst + 46);
    _mm_storel_pi(((__m64  *) a3o), s2k);
    a4o = (dst + 38);
    _mm_storeh_pi(((__m64  *) a4o), s2k);
    t5i = _mm_add_ps(t9f, s9i);
    t6i = _mm_add_ps(t0g, s0j);
    t7i = _mm_sub_ps(t9f, s9i);
    t8i = _mm_sub_ps(t0g, s0j);
    s3k = _mm_unpacklo_ps(t5i, t6i);
    s4k = _mm_unpackhi_ps(t5i, t6i);
    a5o = (dst + 98);
    _mm_storel_pi(((__m64  *) a5o), s3k);
    a6o = (dst + 106);
    _mm_storeh_pi(((__m64  *) a6o), s3k);
    a7o = (dst + 114);
    _mm_storel_pi(((__m64  *) a7o), s4k);
    a8o = (dst + 122);
    _mm_storeh_pi(((__m64  *) a8o), s4k);
    a9o = _mm_unpacklo_ps(t7i, t8i);
    s5k = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9o);
    a0p = _mm_unpackhi_ps(t7i, t8i);
    s6k = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a0p);
    a1p = (dst + 30);
    _mm_storel_pi(((__m64  *) a1p), s5k);
    a2p = (dst + 22);
    _mm_storeh_pi(((__m64  *) a2p), s5k);
    a3p = (dst + 14);
    _mm_storel_pi(((__m64  *) a3p), s6k);
    a4p = (dst + 6);
    _mm_storeh_pi(((__m64  *) a4p), s6k);
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftfwd_float_256_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[256]);
    __m128 a06, a08, a09, a0a, a0b, a16, a19, a1a, a1b, a1g, a1h, a26, a27, a28, a29, a2a, a2b, a2g, a2h, a37, a38, a3a
            , a3b, a48, a49, a4a, a59, a5v, a5w, a5x, a5y, a67, a68, a69, a6a, a6v, a6w, a6x, a6y, a76, a77, a78, a7a, a86
            , a87, a88, a89, a8a, a96, a97, a98, a99, b01, b21, b5, b8;
    __m128 a04, a05, a07, a0d, a0e, a0f, a0k, a0l, a0n, a0o, a0q, a0r, a0s, a0t, a0u, a0v, a14, a15, a17, a18, a1d, a1e
            , a1f, a1k, a1l, a1m, a1q, a1r, a1s, a1t, a1u, a23, a24, a25, a2d, a2e, a2f, a2k, a2l, a2m, a2q, a2r, a2s, a2t
            , a2u, a3, a33, a34, a35, a36, a39, a3d, a3e, a3f, a3k, a3l, a3m, a3o, a3p, a3s, a3t, a3u, a4, a43, a44, a45
            , a46, a47, a4d, a4e, a4f, a4j, a4k, a4m, a4o, a4p, a4s, a4t, a4u, a5, a53, a54, a55, a56, a57, a58, a5a, a5d
            , a5e, a5f, a5j, a5k, a5o, a5p, a5r, a5s, a5t, a5u, a6, a63, a64, a65, a66, a6d, a6e, a6f, a6j, a6k, a6o, a6p
            , a6r, a6s, a6t, a6u, a73, a74, a75, a79, a7d, a7e, a7j, a7k, a7m, a7n, a7r, a7s, a7t, a7u, a83, a84, a85, a8d
            , a8e, a8j, a8k, a8m, a8n, a8r, a8s, a8t, a8u, a93, a94, a95, a9a, a9c, a9d, a9e, a9j, a9k, a9m, a9n, a9p, a9q
            , a9r, a9s, a9t, a9u, b11, b31, b6, b7, b9, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c
            , s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c
            , s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b
            , s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a
            , s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49
            , s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s5, s51, s52, s53, s54, s55, s56, s57, s58
            , s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s6, s61, s62, s63, s64, s65, s66, s67, s68
            , s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s7, s71, s72, s73, s74, s75, s76, s77, s78
            , s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s8, s81, s82, s83, s84, s85, s86, s87, s88
            , s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s9, s91, s92, s93, s94, s95, s96, s97, s98
            , s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, t, t01, t02, t03, t04, t05, t06, t07, t08
            , t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e
            , t1f, t1g, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t3, t31, t32
            , t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t4, t41, t42, t43, t44, t45, t46, t47, t48
            , t49, t4a, t4b, t4c, t4d, t4e, t4f, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e
            , t5f, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t7, t71, t72, t73, t74
            , t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a
            , t8b, t8c, t8d, t8e, t8f, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f;
    __m128  *a01, *a03, *a0i, *a0j, *a0m, *a0p, *a13, *a1i, *a1j, *a1n, *a1o, *a1p, *a2, *a2i, *a2n, *a2o, *a2p, *a3i, *a3j, *a3n, *a3q, *a3r
            , *a4i, *a4n, *a4q, *a4r, *a5i, *a5l, *a5m, *a5n, *a5q, *a6i, *a6l, *a6m, *a6n, *a6q, *a7, *a72, *a7h, *a7i, *a7l, *a7o, *a7p, *a7q
            , *a8, *a82, *a8h, *a8i, *a8l, *a8o, *a8p, *a8q, *a9, *a92, *a9h, *a9i, *a9l, *a9o, *b;
    float  *a0c, *a0g, *a0h, *a0w, *a0x, *a0y, *a0z, *a1c, *a1v, *a1w, *a1x, *a1y, *a2c, *a2v, *a2w, *a2x, *a2y, *a3c, *a3g, *a3h, *a3v, *a3w
            , *a3x, *a3y, *a4b, *a4c, *a4g, *a4h, *a4v, *a4w, *a4x, *a4y, *a5b, *a5c, *a5g, *a5h, *a6b, *a6c, *a6g, *a6h, *a7b, *a7c, *a7f, *a7g
            , *a7v, *a7w, *a7x, *a7y, *a8b, *a8c, *a8f, *a8g, *a8v, *a8w, *a8x, *a8y, *a9b, *a9f, *a9g, *a9v, *a9w, *a9x, *a9y, *b2, *b3;
    const float  *a02, *a11, *a12, *a21, *a22, *a31, *a32, *a41, *a42, *a51, *a52, *a61, *a62, *a71, *a81, *a91, *b4;
    int a, a2j, a4l;
    {long i; for(i = 0; i <= 7; i++) {
        a = (4 * i);
        a21 = (a + src);
        a11 = ((const float  *) a21);
        s = _mm_loadu_ps(a11);
        b4 = (src + a);
        a41 = (b4 + 128);
        a31 = ((const float  *) a41);
        s2 = _mm_loadu_ps(a31);
        t = _mm_add_ps(s, s2);
        t2 = _mm_sub_ps(s, s2);
        a61 = (b4 + 64);
        a51 = ((const float  *) a61);
        s3 = _mm_loadu_ps(a51);
        a81 = (b4 + 192);
        a71 = ((const float  *) a81);
        s4 = _mm_loadu_ps(a71);
        t3 = _mm_add_ps(s3, s4);
        t4 = _mm_sub_ps(s3, s4);
        a02 = (b4 + 32);
        a91 = ((const float  *) a02);
        s5 = _mm_loadu_ps(a91);
        a22 = (b4 + 160);
        a12 = ((const float  *) a22);
        s6 = _mm_loadu_ps(a12);
        t5 = _mm_add_ps(s5, s6);
        a42 = (b4 + 96);
        a32 = ((const float  *) a42);
        s7 = _mm_loadu_ps(a32);
        a62 = (b4 + 224);
        a52 = ((const float  *) a62);
        s8 = _mm_loadu_ps(a52);
        t6 = _mm_add_ps(s7, s8);
        a72 = ((__m128  *) T);
        a2 = (a72 + i);
        s9 = _mm_add_ps(t, t3);
        *(a2) = s9;
        s01 = _mm_sub_ps(t, t3);
        a82 = (a2 + 32);
        *(a82) = s01;
        s11 = _mm_add_ps(t5, t6);
        a92 = (a2 + 8);
        *(a92) = s11;
        s21 = _mm_sub_ps(t6, t5);
        a03 = (a2 + 40);
        *(a03) = s21;
        a5 = _mm_sub_ps(s5, s6);
        a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5);
        a6 = _mm_sub_ps(s7, s8);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a6);
        s31 = _mm_add_ps(a3, a4);
        s41 = _mm_sub_ps(a4, a3);
        s51 = _mm_add_ps(t2, s31);
        a7 = (a2 + 16);
        *(a7) = s51;
        s61 = _mm_sub_ps(s41, t4);
        a8 = (a2 + 24);
        *(a8) = s61;
        s71 = _mm_sub_ps(t2, s31);
        a9 = (a2 + 48);
        *(a9) = s71;
        s81 = _mm_add_ps(t4, s41);
        a01 = (a2 + 56);
        *(a01) = s81;
    }}
    a13 = ((__m128  *) T);
    s91 = *(a13);
    a7h = (a13 + 8);
    s02 = *(a7h);
    t7 = _mm_add_ps(s91, s02);
    t8 = _mm_sub_ps(s91, s02);
    a8h = (a13 + 4);
    s12 = *(a8h);
    a9h = (a13 + 12);
    s22 = *(a9h);
    t9 = _mm_add_ps(s12, s22);
    t01 = _mm_sub_ps(s12, s22);
    a0i = (a13 + 1);
    s32 = *(a0i);
    a1i = (a13 + 9);
    s42 = *(a1i);
    t11 = _mm_add_ps(s32, s42);
    t21 = _mm_sub_ps(s32, s42);
    a2i = (a13 + 5);
    s52 = *(a2i);
    a3i = (a13 + 13);
    s62 = *(a3i);
    t31 = _mm_add_ps(s52, s62);
    t41 = _mm_sub_ps(s52, s62);
    a4i = (a13 + 2);
    s72 = *(a4i);
    a5i = (a13 + 10);
    s82 = *(a5i);
    t51 = _mm_add_ps(s72, s82);
    t61 = _mm_sub_ps(s72, s82);
    a6i = (a13 + 6);
    s92 = *(a6i);
    a7i = (a13 + 14);
    s03 = *(a7i);
    t71 = _mm_add_ps(s92, s03);
    t81 = _mm_sub_ps(s92, s03);
    a8i = (a13 + 3);
    s13 = *(a8i);
    a9i = (a13 + 11);
    s23 = *(a9i);
    t91 = _mm_add_ps(s13, s23);
    t02 = _mm_sub_ps(s13, s23);
    a0j = (a13 + 7);
    s33 = *(a0j);
    a1j = (a13 + 15);
    s43 = *(a1j);
    t12 = _mm_add_ps(s33, s43);
    t22 = _mm_sub_ps(s33, s43);
    s53 = _mm_shuffle_ps(t7, t11, _MM_SHUFFLE(2, 0, 2, 0));
    s63 = _mm_shuffle_ps(t7, t11, _MM_SHUFFLE(3, 1, 3, 1));
    s73 = _mm_shuffle_ps(t9, t31, _MM_SHUFFLE(2, 0, 2, 0));
    s83 = _mm_shuffle_ps(t9, t31, _MM_SHUFFLE(3, 1, 3, 1));
    t32 = _mm_add_ps(s53, s73);
    t42 = _mm_add_ps(s63, s83);
    t52 = _mm_sub_ps(s53, s73);
    t62 = _mm_sub_ps(s63, s83);
    s93 = _mm_shuffle_ps(t51, t91, _MM_SHUFFLE(2, 0, 2, 0));
    s04 = _mm_shuffle_ps(t51, t91, _MM_SHUFFLE(3, 1, 3, 1));
    s14 = _mm_shuffle_ps(t71, t12, _MM_SHUFFLE(2, 0, 2, 0));
    s24 = _mm_shuffle_ps(t71, t12, _MM_SHUFFLE(3, 1, 3, 1));
    t72 = _mm_add_ps(s93, s14);
    t82 = _mm_add_ps(s04, s24);
    t92 = _mm_sub_ps(s93, s14);
    t03 = _mm_sub_ps(s04, s24);
    t13 = _mm_add_ps(t32, t72);
    t23 = _mm_add_ps(t42, t82);
    t33 = _mm_sub_ps(t32, t72);
    t43 = _mm_sub_ps(t42, t82);
    t53 = _mm_add_ps(t52, t03);
    t63 = _mm_sub_ps(t62, t92);
    t73 = _mm_sub_ps(t52, t03);
    t83 = _mm_add_ps(t62, t92);
    s34 = _mm_unpacklo_ps(t13, t53);
    s44 = _mm_unpackhi_ps(t13, t53);
    s54 = _mm_unpacklo_ps(t23, t63);
    s64 = _mm_unpackhi_ps(t23, t63);
    s74 = _mm_unpacklo_ps(t33, t73);
    s84 = _mm_unpackhi_ps(t33, t73);
    s94 = _mm_unpacklo_ps(t43, t83);
    s05 = _mm_unpackhi_ps(t43, t83);
    s15 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s54, s94, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s54, s94, _MM_SHUFFLE(3, 2, 3, 2));
    s75 = _mm_shuffle_ps(s64, s05, _MM_SHUFFLE(1, 0, 1, 0));
    s85 = _mm_shuffle_ps(s64, s05, _MM_SHUFFLE(3, 2, 3, 2));
    a23 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s35);
    a33 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s75);
    s95 = _mm_sub_ps(a23, a33);
    a43 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s35);
    a53 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s75);
    s06 = _mm_add_ps(a43, a53);
    t93 = _mm_add_ps(s15, s95);
    t04 = _mm_add_ps(s55, s06);
    t14 = _mm_sub_ps(s15, s95);
    t24 = _mm_sub_ps(s55, s06);
    a63 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s25);
    a73 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s65);
    s16 = _mm_sub_ps(a63, a73);
    a83 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s25);
    a93 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s65);
    s26 = _mm_add_ps(a83, a93);
    a04 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s45);
    a14 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s85);
    s36 = _mm_sub_ps(a04, a14);
    a24 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s45);
    a34 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s85);
    s46 = _mm_add_ps(a24, a34);
    t34 = _mm_add_ps(s16, s36);
    t44 = _mm_add_ps(s26, s46);
    t54 = _mm_sub_ps(s16, s36);
    t64 = _mm_sub_ps(s26, s46);
    t74 = _mm_add_ps(t93, t34);
    t84 = _mm_add_ps(t04, t44);
    t94 = _mm_sub_ps(t93, t34);
    t05 = _mm_sub_ps(t04, t44);
    t15 = _mm_add_ps(t14, t64);
    t25 = _mm_sub_ps(t24, t54);
    t35 = _mm_sub_ps(t14, t64);
    t45 = _mm_add_ps(t24, t54);
    a44 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t74);
    a54 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t84);
    s56 = _mm_sub_ps(a44, a54);
    a64 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t74);
    a74 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t84);
    s66 = _mm_add_ps(a64, a74);
    a84 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t15);
    a94 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t25);
    s76 = _mm_sub_ps(a84, a94);
    a05 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t15);
    a15 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t25);
    s86 = _mm_add_ps(a05, a15);
    a25 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t94);
    a35 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t05);
    s96 = _mm_sub_ps(a25, a35);
    a45 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t94);
    a55 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t05);
    s07 = _mm_add_ps(a45, a55);
    a65 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t35);
    a75 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t45);
    s17 = _mm_sub_ps(a65, a75);
    a85 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t35);
    a95 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t45);
    s27 = _mm_add_ps(a85, a95);
    a26 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t35, _MM_SHUFFLE(3, 2, 1, 0));
    a16 = _mm_shuffle_ps(a26, t35, _MM_SHUFFLE(1, 2, 3, 0));
    a56 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s56);
    a66 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s66);
    a46 = _mm_add_ps(a56, a66);
    a86 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s17, _MM_SHUFFLE(3, 2, 1, 0));
    a76 = _mm_shuffle_ps(a86, s17, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_sub_ps(a46, a76);
    b5 = _mm_add_ps(t74, a16);
    a06 = _mm_add_ps(b5, a36);
    s37 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a06);
    a17 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t84);
    a37 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t45, _MM_SHUFFLE(3, 2, 1, 0));
    a27 = _mm_shuffle_ps(a37, t45, _MM_SHUFFLE(1, 2, 3, 0));
    a07 = _mm_sub_ps(a17, a27);
    a47 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s56);
    a57 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s66);
    a77 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s27, _MM_SHUFFLE(3, 2, 1, 0));
    a67 = _mm_shuffle_ps(a77, s27, _MM_SHUFFLE(1, 2, 3, 0));
    b6 = _mm_add_ps(a07, a47);
    b7 = _mm_add_ps(b6, a57);
    a96 = _mm_add_ps(b7, a67);
    s47 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a96);
    a08 = _mm_shuffle_ps(t35, t94, _MM_SHUFFLE(3, 2, 1, 0));
    a97 = _mm_shuffle_ps(a08, t94, _MM_SHUFFLE(1, 2, 3, 0));
    a38 = _mm_shuffle_ps(s17, s96, _MM_SHUFFLE(3, 2, 1, 0));
    a28 = _mm_shuffle_ps(a38, s96, _MM_SHUFFLE(1, 2, 3, 0));
    a18 = _mm_sub_ps(s76, a28);
    b8 = _mm_add_ps(t15, a97);
    a87 = _mm_add_ps(b8, a18);
    s57 = _mm_mul_ps(_mm_set1_ps(0.5f), a87);
    a78 = _mm_shuffle_ps(t45, t05, _MM_SHUFFLE(3, 2, 1, 0));
    a68 = _mm_shuffle_ps(a78, t05, _MM_SHUFFLE(1, 2, 3, 0));
    a58 = _mm_sub_ps(t25, a68);
    a98 = _mm_shuffle_ps(s27, s07, _MM_SHUFFLE(3, 2, 1, 0));
    a88 = _mm_shuffle_ps(a98, s07, _MM_SHUFFLE(1, 2, 3, 0));
    b9 = _mm_add_ps(a58, s86);
    a48 = _mm_add_ps(b9, a88);
    s67 = _mm_mul_ps(_mm_set1_ps(0.5f), a48);
    a29 = _mm_shuffle_ps(t94, t15, _MM_SHUFFLE(3, 2, 1, 0));
    a19 = _mm_shuffle_ps(a29, t15, _MM_SHUFFLE(1, 2, 3, 0));
    a59 = _mm_shuffle_ps(s96, s76, _MM_SHUFFLE(3, 2, 1, 0));
    a49 = _mm_shuffle_ps(a59, s76, _MM_SHUFFLE(1, 2, 3, 0));
    a39 = _mm_sub_ps(s96, a49);
    b01 = _mm_add_ps(t94, a19);
    a09 = _mm_add_ps(b01, a39);
    s77 = _mm_mul_ps(_mm_set1_ps(0.5f), a09);
    a99 = _mm_shuffle_ps(t05, t25, _MM_SHUFFLE(3, 2, 1, 0));
    a89 = _mm_shuffle_ps(a99, t25, _MM_SHUFFLE(1, 2, 3, 0));
    a79 = _mm_sub_ps(t05, a89);
    a1a = _mm_shuffle_ps(s07, s86, _MM_SHUFFLE(3, 2, 1, 0));
    a0a = _mm_shuffle_ps(a1a, s86, _MM_SHUFFLE(1, 2, 3, 0));
    b11 = _mm_add_ps(a79, s07);
    a69 = _mm_add_ps(b11, a0a);
    s87 = _mm_mul_ps(_mm_set1_ps(0.5f), a69);
    a4a = _mm_shuffle_ps(t15, t74, _MM_SHUFFLE(3, 2, 1, 0));
    a3a = _mm_shuffle_ps(a4a, t74, _MM_SHUFFLE(1, 2, 3, 0));
    a7a = _mm_shuffle_ps(s76, s56, _MM_SHUFFLE(3, 2, 1, 0));
    a6a = _mm_shuffle_ps(a7a, s56, _MM_SHUFFLE(1, 2, 3, 0));
    a5a = _mm_sub_ps(s17, a6a);
    b21 = _mm_add_ps(t35, a3a);
    a2a = _mm_add_ps(b21, a5a);
    s97 = _mm_mul_ps(_mm_set1_ps(0.5f), a2a);
    a1b = _mm_shuffle_ps(t25, t84, _MM_SHUFFLE(3, 2, 1, 0));
    a0b = _mm_shuffle_ps(a1b, t84, _MM_SHUFFLE(1, 2, 3, 0));
    a9a = _mm_sub_ps(t45, a0b);
    a3b = _mm_shuffle_ps(s86, s66, _MM_SHUFFLE(3, 2, 1, 0));
    a2b = _mm_shuffle_ps(a3b, s66, _MM_SHUFFLE(1, 2, 3, 0));
    b31 = _mm_add_ps(a9a, s27);
    a8a = _mm_add_ps(b31, a2b);
    s08 = _mm_mul_ps(_mm_set1_ps(0.5f), a8a);
    s18 = _mm_unpacklo_ps(s37, s47);
    s28 = _mm_unpackhi_ps(s37, s47);
    _mm_storel_pi(((__m64  *) dst), s18);
    a4b = (dst + 16);
    _mm_storeh_pi(((__m64  *) a4b), s18);
    a5b = (dst + 32);
    _mm_storel_pi(((__m64  *) a5b), s28);
    a6b = (dst + 48);
    _mm_storeh_pi(((__m64  *) a6b), s28);
    s38 = _mm_unpacklo_ps(s57, s67);
    s48 = _mm_unpackhi_ps(s57, s67);
    a7b = (dst + 64);
    _mm_storel_pi(((__m64  *) a7b), s38);
    a8b = (dst + 80);
    _mm_storeh_pi(((__m64  *) a8b), s38);
    a9b = (dst + 96);
    _mm_storel_pi(((__m64  *) a9b), s48);
    a0c = (dst + 112);
    _mm_storeh_pi(((__m64  *) a0c), s48);
    s58 = _mm_unpacklo_ps(s77, s87);
    s68 = _mm_unpackhi_ps(s77, s87);
    a1c = (dst + 128);
    _mm_storel_pi(((__m64  *) a1c), s58);
    a2c = (dst + 144);
    _mm_storeh_pi(((__m64  *) a2c), s58);
    a3c = (dst + 160);
    _mm_storel_pi(((__m64  *) a3c), s68);
    a4c = (dst + 176);
    _mm_storeh_pi(((__m64  *) a4c), s68);
    s78 = _mm_unpacklo_ps(s97, s08);
    s88 = _mm_unpackhi_ps(s97, s08);
    a5c = (dst + 192);
    _mm_storel_pi(((__m64  *) a5c), s78);
    a6c = (dst + 208);
    _mm_storeh_pi(((__m64  *) a6c), s78);
    a7c = (dst + 224);
    _mm_storel_pi(((__m64  *) a7c), s88);
    a8c = (dst + 240);
    _mm_storeh_pi(((__m64  *) a8c), s88);
    a9c = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t8);
    a0d = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t01);
    s98 = _mm_add_ps(a9c, a0d);
    a1d = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t8);
    a2d = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t01);
    s09 = _mm_sub_ps(a1d, a2d);
    a3d = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t61);
    a4d = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t81);
    s19 = _mm_add_ps(a3d, a4d);
    a5d = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t61);
    a6d = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t81);
    s29 = _mm_sub_ps(a5d, a6d);
    t55 = _mm_add_ps(s98, s19);
    t65 = _mm_add_ps(s09, s29);
    t75 = _mm_sub_ps(s98, s19);
    t85 = _mm_sub_ps(s09, s29);
    a7d = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t21);
    a8d = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t41);
    s39 = _mm_add_ps(a7d, a8d);
    a9d = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t21);
    a0e = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t41);
    s49 = _mm_sub_ps(a9d, a0e);
    a1e = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t02);
    a2e = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t22);
    s59 = _mm_add_ps(a1e, a2e);
    a3e = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t02);
    a4e = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t22);
    s69 = _mm_sub_ps(a3e, a4e);
    t95 = _mm_add_ps(s39, s59);
    t06 = _mm_add_ps(s49, s69);
    t16 = _mm_sub_ps(s39, s59);
    t26 = _mm_sub_ps(s49, s69);
    t36 = _mm_add_ps(t55, t95);
    t46 = _mm_add_ps(t65, t06);
    t56 = _mm_sub_ps(t55, t95);
    t66 = _mm_sub_ps(t65, t06);
    t76 = _mm_add_ps(t75, t26);
    t86 = _mm_sub_ps(t85, t16);
    t96 = _mm_sub_ps(t75, t26);
    t07 = _mm_add_ps(t85, t16);
    s79 = _mm_unpacklo_ps(t36, t76);
    s89 = _mm_unpackhi_ps(t36, t76);
    s99 = _mm_unpacklo_ps(t46, t86);
    s0a = _mm_unpackhi_ps(t46, t86);
    s1a = _mm_unpacklo_ps(t56, t96);
    s2a = _mm_unpackhi_ps(t56, t96);
    s3a = _mm_unpacklo_ps(t66, t07);
    s4a = _mm_unpackhi_ps(t66, t07);
    s5a = _mm_shuffle_ps(s79, s1a, _MM_SHUFFLE(1, 0, 1, 0));
    s6a = _mm_shuffle_ps(s79, s1a, _MM_SHUFFLE(3, 2, 3, 2));
    s7a = _mm_shuffle_ps(s89, s2a, _MM_SHUFFLE(1, 0, 1, 0));
    s8a = _mm_shuffle_ps(s89, s2a, _MM_SHUFFLE(3, 2, 3, 2));
    s9a = _mm_shuffle_ps(s99, s3a, _MM_SHUFFLE(1, 0, 1, 0));
    s0b = _mm_shuffle_ps(s99, s3a, _MM_SHUFFLE(3, 2, 3, 2));
    s1b = _mm_shuffle_ps(s0a, s4a, _MM_SHUFFLE(1, 0, 1, 0));
    s2b = _mm_shuffle_ps(s0a, s4a, _MM_SHUFFLE(3, 2, 3, 2));
    a5e = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7a);
    a6e = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s1b);
    s3b = _mm_sub_ps(a5e, a6e);
    a7e = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7a);
    a8e = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1b);
    s4b = _mm_add_ps(a7e, a8e);
    t17 = _mm_add_ps(s5a, s3b);
    t27 = _mm_add_ps(s9a, s4b);
    t37 = _mm_sub_ps(s5a, s3b);
    t47 = _mm_sub_ps(s9a, s4b);
    a9e = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6a);
    a0f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s0b);
    s5b = _mm_sub_ps(a9e, a0f);
    a1f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s6a);
    a2f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0b);
    s6b = _mm_add_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8a);
    a4f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s2b);
    s7b = _mm_sub_ps(a3f, a4f);
    a5f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s8a);
    a6f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2b);
    s8b = _mm_add_ps(a5f, a6f);
    t57 = _mm_add_ps(s5b, s7b);
    t67 = _mm_add_ps(s6b, s8b);
    t77 = _mm_sub_ps(s5b, s7b);
    t87 = _mm_sub_ps(s6b, s8b);
    t97 = _mm_add_ps(t17, t57);
    t08 = _mm_add_ps(t27, t67);
    t18 = _mm_sub_ps(t17, t57);
    t28 = _mm_sub_ps(t27, t67);
    s9b = _mm_unpacklo_ps(t97, t08);
    s0c = _mm_unpackhi_ps(t97, t08);
    a7f = (dst + 8);
    _mm_storel_pi(((__m64  *) a7f), s9b);
    a8f = (dst + 40);
    _mm_storeh_pi(((__m64  *) a8f), s9b);
    a9f = (dst + 72);
    _mm_storel_pi(((__m64  *) a9f), s0c);
    a0g = (dst + 104);
    _mm_storeh_pi(((__m64  *) a0g), s0c);
    a1g = _mm_unpacklo_ps(t18, t28);
    s1c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1g);
    a2g = _mm_unpackhi_ps(t18, t28);
    s2c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2g);
    a3g = (dst + 248);
    _mm_storel_pi(((__m64  *) a3g), s1c);
    a4g = (dst + 216);
    _mm_storeh_pi(((__m64  *) a4g), s1c);
    a5g = (dst + 184);
    _mm_storel_pi(((__m64  *) a5g), s2c);
    a6g = (dst + 152);
    _mm_storeh_pi(((__m64  *) a6g), s2c);
    t38 = _mm_add_ps(t37, t87);
    t48 = _mm_sub_ps(t47, t77);
    t58 = _mm_sub_ps(t37, t87);
    t68 = _mm_add_ps(t47, t77);
    s3c = _mm_unpacklo_ps(t38, t48);
    s4c = _mm_unpackhi_ps(t38, t48);
    a7g = (dst + 136);
    _mm_storel_pi(((__m64  *) a7g), s3c);
    a8g = (dst + 168);
    _mm_storeh_pi(((__m64  *) a8g), s3c);
    a9g = (dst + 200);
    _mm_storel_pi(((__m64  *) a9g), s4c);
    a0h = (dst + 232);
    _mm_storeh_pi(((__m64  *) a0h), s4c);
    a1h = _mm_unpacklo_ps(t58, t68);
    s5c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1h);
    a2h = _mm_unpackhi_ps(t58, t68);
    s6c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2h);
    a3h = (dst + 120);
    _mm_storel_pi(((__m64  *) a3h), s5c);
    a4h = (dst + 88);
    _mm_storeh_pi(((__m64  *) a4h), s5c);
    a5h = (dst + 56);
    _mm_storel_pi(((__m64  *) a5h), s6c);
    a6h = (dst + 24);
    _mm_storeh_pi(((__m64  *) a6h), s6c);
    {long i2; for(i2 = 0; i2 <= 2; i2++) {
        a2j = (16 * i2);
        a5l = ((__m128  *) T);
        b = (a5l + a2j);
        a6l = (b + 16);
        s7c = *(a6l);
        a7l = (b + 24);
        s8c = *(a7l);
        a8l = (b + 20);
        s9c = *(a8l);
        a9l = (b + 28);
        s0d = *(a9l);
        a3j = (D1 + a2j);
        a4j = *(a3j);
        a0m = (a3j + 1);
        a5j = *(a0m);
        a1m = _mm_mul_ps(a4j, s7c);
        a2m = _mm_mul_ps(a5j, s8c);
        s1d = _mm_sub_ps(a1m, a2m);
        a3m = _mm_mul_ps(a5j, s7c);
        a4m = _mm_mul_ps(a4j, s8c);
        s2d = _mm_add_ps(a3m, a4m);
        a5m = (a3j + 2);
        a6j = *(a5m);
        a6m = (a3j + 3);
        a7j = *(a6m);
        a7m = _mm_mul_ps(a6j, s9c);
        a8m = _mm_mul_ps(a7j, s0d);
        s3d = _mm_sub_ps(a7m, a8m);
        a9m = _mm_mul_ps(a7j, s9c);
        a0n = _mm_mul_ps(a6j, s0d);
        s4d = _mm_add_ps(a9m, a0n);
        t78 = _mm_add_ps(s1d, s3d);
        t88 = _mm_add_ps(s2d, s4d);
        t98 = _mm_sub_ps(s1d, s3d);
        t09 = _mm_sub_ps(s2d, s4d);
        a1n = (b + 18);
        s5d = *(a1n);
        a2n = (b + 26);
        s6d = *(a2n);
        a3n = (b + 22);
        s7d = *(a3n);
        a4n = (b + 30);
        s8d = *(a4n);
        a5n = (a3j + 4);
        a8j = *(a5n);
        a6n = (a3j + 5);
        a9j = *(a6n);
        a7n = _mm_mul_ps(a8j, s5d);
        a8n = _mm_mul_ps(a9j, s6d);
        s9d = _mm_sub_ps(a7n, a8n);
        a9n = _mm_mul_ps(a9j, s5d);
        a0o = _mm_mul_ps(a8j, s6d);
        s0e = _mm_add_ps(a9n, a0o);
        a1o = (a3j + 6);
        a0k = *(a1o);
        a2o = (a3j + 7);
        a1k = *(a2o);
        a3o = _mm_mul_ps(a0k, s7d);
        a4o = _mm_mul_ps(a1k, s8d);
        s1e = _mm_sub_ps(a3o, a4o);
        a5o = _mm_mul_ps(a1k, s7d);
        a6o = _mm_mul_ps(a0k, s8d);
        s2e = _mm_add_ps(a5o, a6o);
        t19 = _mm_add_ps(s9d, s1e);
        t29 = _mm_add_ps(s0e, s2e);
        t39 = _mm_sub_ps(s9d, s1e);
        t49 = _mm_sub_ps(s0e, s2e);
        t59 = _mm_add_ps(t78, t19);
        t69 = _mm_add_ps(t88, t29);
        t79 = _mm_sub_ps(t78, t19);
        t89 = _mm_sub_ps(t88, t29);
        t99 = _mm_add_ps(t98, t49);
        t0a = _mm_sub_ps(t09, t39);
        t1a = _mm_sub_ps(t98, t49);
        t2a = _mm_add_ps(t09, t39);
        s3e = _mm_unpacklo_ps(t59, t99);
        s4e = _mm_unpackhi_ps(t59, t99);
        s5e = _mm_unpacklo_ps(t69, t0a);
        s6e = _mm_unpackhi_ps(t69, t0a);
        s7e = _mm_unpacklo_ps(t79, t1a);
        s8e = _mm_unpackhi_ps(t79, t1a);
        s9e = _mm_unpacklo_ps(t89, t2a);
        s0f = _mm_unpackhi_ps(t89, t2a);
        s1f = _mm_shuffle_ps(s3e, s7e, _MM_SHUFFLE(1, 0, 1, 0));
        s2f = _mm_shuffle_ps(s3e, s7e, _MM_SHUFFLE(3, 2, 3, 2));
        s3f = _mm_shuffle_ps(s4e, s8e, _MM_SHUFFLE(1, 0, 1, 0));
        s4f = _mm_shuffle_ps(s4e, s8e, _MM_SHUFFLE(3, 2, 3, 2));
        s5f = _mm_shuffle_ps(s5e, s9e, _MM_SHUFFLE(1, 0, 1, 0));
        s6f = _mm_shuffle_ps(s5e, s9e, _MM_SHUFFLE(3, 2, 3, 2));
        s7f = _mm_shuffle_ps(s6e, s0f, _MM_SHUFFLE(1, 0, 1, 0));
        s8f = _mm_shuffle_ps(s6e, s0f, _MM_SHUFFLE(3, 2, 3, 2));
        a7o = (b + 17);
        s9f = *(a7o);
        a8o = (b + 25);
        s0g = *(a8o);
        a9o = (b + 21);
        s1g = *(a9o);
        a0p = (b + 29);
        s2g = *(a0p);
        a1p = (a3j + 8);
        a2k = *(a1p);
        a2p = (a3j + 9);
        a3k = *(a2p);
        a3p = _mm_mul_ps(a2k, s9f);
        a4p = _mm_mul_ps(a3k, s0g);
        s3g = _mm_sub_ps(a3p, a4p);
        a5p = _mm_mul_ps(a3k, s9f);
        a6p = _mm_mul_ps(a2k, s0g);
        s4g = _mm_add_ps(a5p, a6p);
        a7p = (a3j + 10);
        a4k = *(a7p);
        a8p = (a3j + 11);
        a5k = *(a8p);
        a9p = _mm_mul_ps(a4k, s1g);
        a0q = _mm_mul_ps(a5k, s2g);
        s5g = _mm_sub_ps(a9p, a0q);
        a1q = _mm_mul_ps(a5k, s1g);
        a2q = _mm_mul_ps(a4k, s2g);
        s6g = _mm_add_ps(a1q, a2q);
        t3a = _mm_add_ps(s3g, s5g);
        t4a = _mm_add_ps(s4g, s6g);
        t5a = _mm_sub_ps(s3g, s5g);
        t6a = _mm_sub_ps(s4g, s6g);
        a3q = (b + 19);
        s7g = *(a3q);
        a4q = (b + 27);
        s8g = *(a4q);
        a5q = (b + 23);
        s9g = *(a5q);
        a6q = (b + 31);
        s0h = *(a6q);
        a7q = (a3j + 12);
        a6k = *(a7q);
        a8q = (a3j + 13);
        a7k = *(a8q);
        a9q = _mm_mul_ps(a6k, s7g);
        a0r = _mm_mul_ps(a7k, s8g);
        s1h = _mm_sub_ps(a9q, a0r);
        a1r = _mm_mul_ps(a7k, s7g);
        a2r = _mm_mul_ps(a6k, s8g);
        s2h = _mm_add_ps(a1r, a2r);
        a3r = (a3j + 14);
        a8k = *(a3r);
        a4r = (a3j + 15);
        a9k = *(a4r);
        a5r = _mm_mul_ps(a8k, s9g);
        a6r = _mm_mul_ps(a9k, s0h);
        s3h = _mm_sub_ps(a5r, a6r);
        a7r = _mm_mul_ps(a9k, s9g);
        a8r = _mm_mul_ps(a8k, s0h);
        s4h = _mm_add_ps(a7r, a8r);
        t7a = _mm_add_ps(s1h, s3h);
        t8a = _mm_add_ps(s2h, s4h);
        t9a = _mm_sub_ps(s1h, s3h);
        t0b = _mm_sub_ps(s2h, s4h);
        t1b = _mm_add_ps(t3a, t7a);
        t2b = _mm_add_ps(t4a, t8a);
        t3b = _mm_sub_ps(t3a, t7a);
        t4b = _mm_sub_ps(t4a, t8a);
        t5b = _mm_add_ps(t5a, t0b);
        t6b = _mm_sub_ps(t6a, t9a);
        t7b = _mm_sub_ps(t5a, t0b);
        t8b = _mm_add_ps(t6a, t9a);
        s5h = _mm_unpacklo_ps(t1b, t5b);
        s6h = _mm_unpackhi_ps(t1b, t5b);
        s7h = _mm_unpacklo_ps(t2b, t6b);
        s8h = _mm_unpackhi_ps(t2b, t6b);
        s9h = _mm_unpacklo_ps(t3b, t7b);
        s0i = _mm_unpackhi_ps(t3b, t7b);
        s1i = _mm_unpacklo_ps(t4b, t8b);
        s2i = _mm_unpackhi_ps(t4b, t8b);
        s3i = _mm_shuffle_ps(s5h, s9h, _MM_SHUFFLE(1, 0, 1, 0));
        s4i = _mm_shuffle_ps(s5h, s9h, _MM_SHUFFLE(3, 2, 3, 2));
        s5i = _mm_shuffle_ps(s6h, s0i, _MM_SHUFFLE(1, 0, 1, 0));
        s6i = _mm_shuffle_ps(s6h, s0i, _MM_SHUFFLE(3, 2, 3, 2));
        s7i = _mm_shuffle_ps(s7h, s1i, _MM_SHUFFLE(1, 0, 1, 0));
        s8i = _mm_shuffle_ps(s7h, s1i, _MM_SHUFFLE(3, 2, 3, 2));
        s9i = _mm_shuffle_ps(s8h, s2i, _MM_SHUFFLE(1, 0, 1, 0));
        s0j = _mm_shuffle_ps(s8h, s2i, _MM_SHUFFLE(3, 2, 3, 2));
        a9r = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3i);
        a0s = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7i);
        s1j = _mm_sub_ps(a9r, a0s);
        a1s = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3i);
        a2s = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7i);
        s2j = _mm_add_ps(a1s, a2s);
        t9b = _mm_add_ps(s1f, s1j);
        t0c = _mm_add_ps(s5f, s2j);
        t1c = _mm_sub_ps(s1f, s1j);
        t2c = _mm_sub_ps(s5f, s2j);
        a3s = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s3f);
        a4s = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s7f);
        s3j = _mm_sub_ps(a3s, a4s);
        a5s = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s3f);
        a6s = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7f);
        s4j = _mm_add_ps(a5s, a6s);
        a7s = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5i);
        a8s = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s9i);
        s5j = _mm_sub_ps(a7s, a8s);
        a9s = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s5i);
        a0t = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s9i);
        s6j = _mm_add_ps(a9s, a0t);
        t3c = _mm_add_ps(s3j, s5j);
        t4c = _mm_add_ps(s4j, s6j);
        t5c = _mm_sub_ps(s3j, s5j);
        t6c = _mm_sub_ps(s4j, s6j);
        t7c = _mm_add_ps(t9b, t3c);
        t8c = _mm_add_ps(t0c, t4c);
        t9c = _mm_sub_ps(t9b, t3c);
        t0d = _mm_sub_ps(t0c, t4c);
        t1d = _mm_add_ps(t1c, t6c);
        t2d = _mm_sub_ps(t2c, t5c);
        t3d = _mm_sub_ps(t1c, t6c);
        t4d = _mm_add_ps(t2c, t5c);
        a1t = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s2f);
        a2t = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s6f);
        s7j = _mm_sub_ps(a1t, a2t);
        a3t = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s2f);
        a4t = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6f);
        s8j = _mm_add_ps(a3t, a4t);
        a5t = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4i);
        a6t = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s8i);
        s9j = _mm_sub_ps(a5t, a6t);
        a7t = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s4i);
        a8t = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s8i);
        s0k = _mm_add_ps(a7t, a8t);
        t5d = _mm_add_ps(s7j, s9j);
        t6d = _mm_add_ps(s8j, s0k);
        t7d = _mm_sub_ps(s7j, s9j);
        t8d = _mm_sub_ps(s8j, s0k);
        a9t = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s4f);
        a0u = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s8f);
        s1k = _mm_sub_ps(a9t, a0u);
        a1u = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s4f);
        a2u = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8f);
        s2k = _mm_add_ps(a1u, a2u);
        a3u = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6i);
        a4u = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s0j);
        s3k = _mm_sub_ps(a3u, a4u);
        a5u = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s6i);
        a6u = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s0j);
        s4k = _mm_add_ps(a5u, a6u);
        t9d = _mm_add_ps(s1k, s3k);
        t0e = _mm_add_ps(s2k, s4k);
        t1e = _mm_sub_ps(s1k, s3k);
        t2e = _mm_sub_ps(s2k, s4k);
        t3e = _mm_add_ps(t5d, t9d);
        t4e = _mm_add_ps(t6d, t0e);
        t5e = _mm_sub_ps(t5d, t9d);
        t6e = _mm_sub_ps(t6d, t0e);
        a7u = _mm_add_ps(t7d, t2e);
        a0l = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a7u);
        a8u = _mm_sub_ps(t8d, t1e);
        a1l = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a8u);
        s5k = _mm_sub_ps(a0l, a1l);
        s6k = _mm_add_ps(a0l, a1l);
        a9u = _mm_sub_ps(t7d, t2e);
        a2l = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a9u);
        a0v = _mm_add_ps(t8d, t1e);
        a3l = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a0v);
        s7k = _mm_sub_ps(a2l, a3l);
        s8k = _mm_add_ps(a2l, a3l);
        t7e = _mm_add_ps(t7c, t3e);
        t8e = _mm_add_ps(t8c, t4e);
        t9e = _mm_sub_ps(t7c, t3e);
        t0f = _mm_sub_ps(t8c, t4e);
        s9k = _mm_unpacklo_ps(t7e, t8e);
        s0l = _mm_unpackhi_ps(t7e, t8e);
        a4l = (2 * i2);
        b2 = (dst + a4l);
        a1v = (b2 + 2);
        _mm_storel_pi(((__m64  *) a1v), s9k);
        a2v = (b2 + 18);
        _mm_storeh_pi(((__m64  *) a2v), s9k);
        a3v = (b2 + 34);
        _mm_storel_pi(((__m64  *) a3v), s0l);
        a4v = (b2 + 50);
        _mm_storeh_pi(((__m64  *) a4v), s0l);
        a5v = _mm_unpacklo_ps(t9e, t0f);
        s1l = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5v);
        a6v = _mm_unpackhi_ps(t9e, t0f);
        s2l = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6v);
        b3 = (dst - a4l);
        a7v = (b3 + 254);
        _mm_storel_pi(((__m64  *) a7v), s1l);
        a8v = (b3 + 238);
        _mm_storeh_pi(((__m64  *) a8v), s1l);
        a9v = (b3 + 222);
        _mm_storel_pi(((__m64  *) a9v), s2l);
        a0w = (b3 + 206);
        _mm_storeh_pi(((__m64  *) a0w), s2l);
        t1f = _mm_add_ps(t1d, s5k);
        t2f = _mm_sub_ps(t2d, s6k);
        t3f = _mm_sub_ps(t1d, s5k);
        t4f = _mm_add_ps(t2d, s6k);
        s3l = _mm_unpacklo_ps(t1f, t2f);
        s4l = _mm_unpackhi_ps(t1f, t2f);
        a1w = (b2 + 66);
        _mm_storel_pi(((__m64  *) a1w), s3l);
        a2w = (b2 + 82);
        _mm_storeh_pi(((__m64  *) a2w), s3l);
        a3w = (b2 + 98);
        _mm_storel_pi(((__m64  *) a3w), s4l);
        a4w = (b2 + 114);
        _mm_storeh_pi(((__m64  *) a4w), s4l);
        a5w = _mm_unpacklo_ps(t3f, t4f);
        s5l = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5w);
        a6w = _mm_unpackhi_ps(t3f, t4f);
        s6l = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6w);
        a7w = (b3 + 190);
        _mm_storel_pi(((__m64  *) a7w), s5l);
        a8w = (b3 + 174);
        _mm_storeh_pi(((__m64  *) a8w), s5l);
        a9w = (b3 + 158);
        _mm_storel_pi(((__m64  *) a9w), s6l);
        a0x = (b3 + 142);
        _mm_storeh_pi(((__m64  *) a0x), s6l);
        t5f = _mm_add_ps(t9c, t6e);
        t6f = _mm_sub_ps(t0d, t5e);
        t7f = _mm_sub_ps(t9c, t6e);
        t8f = _mm_add_ps(t0d, t5e);
        s7l = _mm_unpacklo_ps(t5f, t6f);
        s8l = _mm_unpackhi_ps(t5f, t6f);
        a1x = (b2 + 130);
        _mm_storel_pi(((__m64  *) a1x), s7l);
        a2x = (b2 + 146);
        _mm_storeh_pi(((__m64  *) a2x), s7l);
        a3x = (b2 + 162);
        _mm_storel_pi(((__m64  *) a3x), s8l);
        a4x = (b2 + 178);
        _mm_storeh_pi(((__m64  *) a4x), s8l);
        a5x = _mm_unpacklo_ps(t7f, t8f);
        s9l = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5x);
        a6x = _mm_unpackhi_ps(t7f, t8f);
        s0m = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6x);
        a7x = (b3 + 126);
        _mm_storel_pi(((__m64  *) a7x), s9l);
        a8x = (b3 + 110);
        _mm_storeh_pi(((__m64  *) a8x), s9l);
        a9x = (b3 + 94);
        _mm_storel_pi(((__m64  *) a9x), s0m);
        a0y = (b3 + 78);
        _mm_storeh_pi(((__m64  *) a0y), s0m);
        t9f = _mm_add_ps(t3d, s7k);
        t0g = _mm_add_ps(t4d, s8k);
        t1g = _mm_sub_ps(t3d, s7k);
        t2g = _mm_sub_ps(t4d, s8k);
        s1m = _mm_unpacklo_ps(t9f, t0g);
        s2m = _mm_unpackhi_ps(t9f, t0g);
        a1y = (b2 + 194);
        _mm_storel_pi(((__m64  *) a1y), s1m);
        a2y = (b2 + 210);
        _mm_storeh_pi(((__m64  *) a2y), s1m);
        a3y = (b2 + 226);
        _mm_storel_pi(((__m64  *) a3y), s2m);
        a4y = (b2 + 242);
        _mm_storeh_pi(((__m64  *) a4y), s2m);
        a5y = _mm_unpacklo_ps(t1g, t2g);
        s3m = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5y);
        a6y = _mm_unpackhi_ps(t1g, t2g);
        s4m = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6y);
        a7y = (b3 + 62);
        _mm_storel_pi(((__m64  *) a7y), s3m);
        a8y = (b3 + 46);
        _mm_storeh_pi(((__m64  *) a8y), s3m);
        a9y = (b3 + 30);
        _mm_storel_pi(((__m64  *) a9y), s4m);
        a0z = (b3 + 14);
        _mm_storeh_pi(((__m64  *) a0z), s4m);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftfwd_float_256)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftfwd_float_256_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[256]);
    __m128 a06, a07, a08, a09, a0a, a16, a17, a18, a19, a25, a27, a28, a29, a2a, a35, a38, a39, a3a, a3f, a3g, a45, a46
            , a47, a48, a49, a4a, a4f, a4g, a56, a57, a59, a5a, a67, a68, a69, a78, a7u, a7v, a7w, a7x, a86, a87, a88, a89
            , a8u, a8v, a8w, a8x, a95, a96, a97, a99, b, b4, b6, b8;
    __m128 a03, a04, a05, a0d, a0e, a0j, a0k, a0m, a0n, a0r, a0s, a0t, a0u, a13, a14, a15, a1a, a1c, a1d, a1e, a1j, a1k
            , a1m, a1n, a1p, a1q, a1r, a1s, a1t, a1u, a23, a24, a26, a2c, a2d, a2e, a2j, a2k, a2m, a2n, a2p, a2q, a2r, a2s
            , a2t, a2u, a3, a33, a34, a36, a37, a3c, a3d, a3e, a3j, a3k, a3l, a3p, a3q, a3r, a3s, a3t, a4, a42, a43, a44
            , a4c, a4d, a4e, a4j, a4k, a4l, a4p, a4q, a4r, a4s, a4t, a5, a52, a53, a54, a55, a58, a5c, a5d, a5e, a5j, a5k
            , a5l, a5n, a5o, a5r, a5s, a5t, a6, a62, a63, a64, a65, a66, a6c, a6d, a6e, a6i, a6j, a6l, a6n, a6o, a6r, a6s
            , a6t, a72, a73, a74, a75, a76, a77, a79, a7c, a7d, a7e, a7i, a7j, a7n, a7o, a7q, a7r, a7s, a7t, a82, a83, a84
            , a85, a8c, a8d, a8e, a8i, a8j, a8n, a8o, a8q, a8r, a8s, a8t, a92, a93, a94, a98, a9c, a9d, a9i, a9j, a9l, a9m
            , a9q, a9r, a9s, a9t, b2, b3, b5, b7, b9, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c
            , s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c
            , s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b
            , s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a
            , s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49
            , s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s5, s51, s52, s53, s54, s55, s56, s57, s58
            , s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s6, s61, s62, s63, s64, s65, s66, s67, s68
            , s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s7, s71, s72, s73, s74, s75, s76, s77, s78
            , s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s8, s81, s82, s83, s84, s85, s86, s87, s88
            , s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s9, s91, s92, s93, s94, s95, s96, s97, s98
            , s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, t, t01, t02, t03, t04, t05, t06, t07, t08
            , t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e
            , t1f, t1g, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t3, t31, t32
            , t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t4, t41, t42, t43, t44, t45, t46, t47, t48
            , t49, t4a, t4b, t4c, t4d, t4e, t4f, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e
            , t5f, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t7, t71, t72, t73, t74
            , t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a
            , t8b, t8c, t8d, t8e, t8f, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f;
    __m128  *a, *a01, *a02, *a0h, *a0i, *a0l, *a0o, *a0p, *a0q, *a11, *a12, *a1h, *a1i, *a1l, *a1o, *a2, *a21, *a22, *a2h, *a2i, *a2l, *a2o
            , *a31, *a32, *a3h, *a3i, *a3m, *a3n, *a3o, *a41, *a4h, *a4m, *a4n, *a4o, *a51, *a5h, *a5i, *a5m, *a5p, *a5q, *a61, *a6h, *a6m, *a6p
            , *a6q, *a7, *a71, *a7h, *a7k, *a7l, *a7m, *a7p, *a8, *a81, *a8h, *a8k, *a8l, *a8m, *a8p, *a9, *a91, *a9g, *a9h, *a9k, *a9n, *a9o
            , *a9p, *b01;
    float  *a0b, *a0c, *a0f, *a0g, *a0v, *a0w, *a0x, *a0y, *a1b, *a1f, *a1g, *a1v, *a1w, *a1x, *a1y, *a2b, *a2f, *a2g, *a2v, *a2w, *a2x, *a2y
            , *a3b, *a3u, *a3v, *a3w, *a3x, *a4b, *a4u, *a4v, *a4w, *a4x, *a5b, *a5f, *a5g, *a5u, *a5v, *a5w, *a5x, *a6a, *a6b, *a6f, *a6g, *a6u
            , *a6v, *a6w, *a6x, *a7a, *a7b, *a7f, *a7g, *a8a, *a8b, *a8f, *a8g, *a9a, *a9b, *a9e, *a9f, *a9u, *a9v, *a9w, *a9x, *b11, *b21;
    int a4i, a6k;
    {long i; for(i = 0; i <= 7; i++) {
        a11 = ((__m128  *) src);
        a = (a11 + i);
        s = *(a);
        a21 = (a + 32);
        s2 = *(a21);
        t = _mm_add_ps(s, s2);
        t2 = _mm_sub_ps(s, s2);
        a31 = (a + 16);
        s3 = *(a31);
        a41 = (a + 48);
        s4 = *(a41);
        t3 = _mm_add_ps(s3, s4);
        t4 = _mm_sub_ps(s3, s4);
        a51 = (a + 8);
        s5 = *(a51);
        a61 = (a + 40);
        s6 = *(a61);
        t5 = _mm_add_ps(s5, s6);
        a71 = (a + 24);
        s7 = *(a71);
        a81 = (a + 56);
        s8 = *(a81);
        t6 = _mm_add_ps(s7, s8);
        a91 = ((__m128  *) T);
        a2 = (a91 + i);
        s9 = _mm_add_ps(t, t3);
        *(a2) = s9;
        s01 = _mm_sub_ps(t, t3);
        a02 = (a2 + 32);
        *(a02) = s01;
        s11 = _mm_add_ps(t5, t6);
        a12 = (a2 + 8);
        *(a12) = s11;
        s21 = _mm_sub_ps(t6, t5);
        a22 = (a2 + 40);
        *(a22) = s21;
        a5 = _mm_sub_ps(s5, s6);
        a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5);
        a6 = _mm_sub_ps(s7, s8);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a6);
        s31 = _mm_add_ps(a3, a4);
        s41 = _mm_sub_ps(a4, a3);
        s51 = _mm_add_ps(t2, s31);
        a7 = (a2 + 16);
        *(a7) = s51;
        s61 = _mm_sub_ps(s41, t4);
        a8 = (a2 + 24);
        *(a8) = s61;
        s71 = _mm_sub_ps(t2, s31);
        a9 = (a2 + 48);
        *(a9) = s71;
        s81 = _mm_add_ps(t4, s41);
        a01 = (a2 + 56);
        *(a01) = s81;
    }}
    a32 = ((__m128  *) T);
    s91 = *(a32);
    a9g = (a32 + 8);
    s02 = *(a9g);
    t7 = _mm_add_ps(s91, s02);
    t8 = _mm_sub_ps(s91, s02);
    a0h = (a32 + 4);
    s12 = *(a0h);
    a1h = (a32 + 12);
    s22 = *(a1h);
    t9 = _mm_add_ps(s12, s22);
    t01 = _mm_sub_ps(s12, s22);
    a2h = (a32 + 1);
    s32 = *(a2h);
    a3h = (a32 + 9);
    s42 = *(a3h);
    t11 = _mm_add_ps(s32, s42);
    t21 = _mm_sub_ps(s32, s42);
    a4h = (a32 + 5);
    s52 = *(a4h);
    a5h = (a32 + 13);
    s62 = *(a5h);
    t31 = _mm_add_ps(s52, s62);
    t41 = _mm_sub_ps(s52, s62);
    a6h = (a32 + 2);
    s72 = *(a6h);
    a7h = (a32 + 10);
    s82 = *(a7h);
    t51 = _mm_add_ps(s72, s82);
    t61 = _mm_sub_ps(s72, s82);
    a8h = (a32 + 6);
    s92 = *(a8h);
    a9h = (a32 + 14);
    s03 = *(a9h);
    t71 = _mm_add_ps(s92, s03);
    t81 = _mm_sub_ps(s92, s03);
    a0i = (a32 + 3);
    s13 = *(a0i);
    a1i = (a32 + 11);
    s23 = *(a1i);
    t91 = _mm_add_ps(s13, s23);
    t02 = _mm_sub_ps(s13, s23);
    a2i = (a32 + 7);
    s33 = *(a2i);
    a3i = (a32 + 15);
    s43 = *(a3i);
    t12 = _mm_add_ps(s33, s43);
    t22 = _mm_sub_ps(s33, s43);
    s53 = _mm_shuffle_ps(t7, t11, _MM_SHUFFLE(2, 0, 2, 0));
    s63 = _mm_shuffle_ps(t7, t11, _MM_SHUFFLE(3, 1, 3, 1));
    s73 = _mm_shuffle_ps(t9, t31, _MM_SHUFFLE(2, 0, 2, 0));
    s83 = _mm_shuffle_ps(t9, t31, _MM_SHUFFLE(3, 1, 3, 1));
    t32 = _mm_add_ps(s53, s73);
    t42 = _mm_add_ps(s63, s83);
    t52 = _mm_sub_ps(s53, s73);
    t62 = _mm_sub_ps(s63, s83);
    s93 = _mm_shuffle_ps(t51, t91, _MM_SHUFFLE(2, 0, 2, 0));
    s04 = _mm_shuffle_ps(t51, t91, _MM_SHUFFLE(3, 1, 3, 1));
    s14 = _mm_shuffle_ps(t71, t12, _MM_SHUFFLE(2, 0, 2, 0));
    s24 = _mm_shuffle_ps(t71, t12, _MM_SHUFFLE(3, 1, 3, 1));
    t72 = _mm_add_ps(s93, s14);
    t82 = _mm_add_ps(s04, s24);
    t92 = _mm_sub_ps(s93, s14);
    t03 = _mm_sub_ps(s04, s24);
    t13 = _mm_add_ps(t32, t72);
    t23 = _mm_add_ps(t42, t82);
    t33 = _mm_sub_ps(t32, t72);
    t43 = _mm_sub_ps(t42, t82);
    t53 = _mm_add_ps(t52, t03);
    t63 = _mm_sub_ps(t62, t92);
    t73 = _mm_sub_ps(t52, t03);
    t83 = _mm_add_ps(t62, t92);
    s34 = _mm_unpacklo_ps(t13, t53);
    s44 = _mm_unpackhi_ps(t13, t53);
    s54 = _mm_unpacklo_ps(t23, t63);
    s64 = _mm_unpackhi_ps(t23, t63);
    s74 = _mm_unpacklo_ps(t33, t73);
    s84 = _mm_unpackhi_ps(t33, t73);
    s94 = _mm_unpacklo_ps(t43, t83);
    s05 = _mm_unpackhi_ps(t43, t83);
    s15 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s54, s94, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s54, s94, _MM_SHUFFLE(3, 2, 3, 2));
    s75 = _mm_shuffle_ps(s64, s05, _MM_SHUFFLE(1, 0, 1, 0));
    s85 = _mm_shuffle_ps(s64, s05, _MM_SHUFFLE(3, 2, 3, 2));
    a42 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s35);
    a52 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s75);
    s95 = _mm_sub_ps(a42, a52);
    a62 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s35);
    a72 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s75);
    s06 = _mm_add_ps(a62, a72);
    t93 = _mm_add_ps(s15, s95);
    t04 = _mm_add_ps(s55, s06);
    t14 = _mm_sub_ps(s15, s95);
    t24 = _mm_sub_ps(s55, s06);
    a82 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s25);
    a92 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s65);
    s16 = _mm_sub_ps(a82, a92);
    a03 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s25);
    a13 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s65);
    s26 = _mm_add_ps(a03, a13);
    a23 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s45);
    a33 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s85);
    s36 = _mm_sub_ps(a23, a33);
    a43 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s45);
    a53 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s85);
    s46 = _mm_add_ps(a43, a53);
    t34 = _mm_add_ps(s16, s36);
    t44 = _mm_add_ps(s26, s46);
    t54 = _mm_sub_ps(s16, s36);
    t64 = _mm_sub_ps(s26, s46);
    t74 = _mm_add_ps(t93, t34);
    t84 = _mm_add_ps(t04, t44);
    t94 = _mm_sub_ps(t93, t34);
    t05 = _mm_sub_ps(t04, t44);
    t15 = _mm_add_ps(t14, t64);
    t25 = _mm_sub_ps(t24, t54);
    t35 = _mm_sub_ps(t14, t64);
    t45 = _mm_add_ps(t24, t54);
    a63 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t74);
    a73 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t84);
    s56 = _mm_sub_ps(a63, a73);
    a83 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t74);
    a93 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t84);
    s66 = _mm_add_ps(a83, a93);
    a04 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t15);
    a14 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t25);
    s76 = _mm_sub_ps(a04, a14);
    a24 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t15);
    a34 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t25);
    s86 = _mm_add_ps(a24, a34);
    a44 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t94);
    a54 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t05);
    s96 = _mm_sub_ps(a44, a54);
    a64 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t94);
    a74 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t05);
    s07 = _mm_add_ps(a64, a74);
    a84 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t35);
    a94 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t45);
    s17 = _mm_sub_ps(a84, a94);
    a05 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t35);
    a15 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t45);
    s27 = _mm_add_ps(a05, a15);
    a45 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t35, _MM_SHUFFLE(3, 2, 1, 0));
    a35 = _mm_shuffle_ps(a45, t35, _MM_SHUFFLE(1, 2, 3, 0));
    a75 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s56);
    a85 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s66);
    a65 = _mm_add_ps(a75, a85);
    a06 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s17, _MM_SHUFFLE(3, 2, 1, 0));
    a95 = _mm_shuffle_ps(a06, s17, _MM_SHUFFLE(1, 2, 3, 0));
    a55 = _mm_sub_ps(a65, a95);
    b = _mm_add_ps(t74, a35);
    a25 = _mm_add_ps(b, a55);
    s37 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a25);
    a36 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t84);
    a56 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t45, _MM_SHUFFLE(3, 2, 1, 0));
    a46 = _mm_shuffle_ps(a56, t45, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_sub_ps(a36, a46);
    a66 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s56);
    a76 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s66);
    a96 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s27, _MM_SHUFFLE(3, 2, 1, 0));
    a86 = _mm_shuffle_ps(a96, s27, _MM_SHUFFLE(1, 2, 3, 0));
    b2 = _mm_add_ps(a26, a66);
    b3 = _mm_add_ps(b2, a76);
    a16 = _mm_add_ps(b3, a86);
    s47 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a16);
    a27 = _mm_shuffle_ps(t35, t94, _MM_SHUFFLE(3, 2, 1, 0));
    a17 = _mm_shuffle_ps(a27, t94, _MM_SHUFFLE(1, 2, 3, 0));
    a57 = _mm_shuffle_ps(s17, s96, _MM_SHUFFLE(3, 2, 1, 0));
    a47 = _mm_shuffle_ps(a57, s96, _MM_SHUFFLE(1, 2, 3, 0));
    a37 = _mm_sub_ps(s76, a47);
    b4 = _mm_add_ps(t15, a17);
    a07 = _mm_add_ps(b4, a37);
    s57 = _mm_mul_ps(_mm_set1_ps(0.5f), a07);
    a97 = _mm_shuffle_ps(t45, t05, _MM_SHUFFLE(3, 2, 1, 0));
    a87 = _mm_shuffle_ps(a97, t05, _MM_SHUFFLE(1, 2, 3, 0));
    a77 = _mm_sub_ps(t25, a87);
    a18 = _mm_shuffle_ps(s27, s07, _MM_SHUFFLE(3, 2, 1, 0));
    a08 = _mm_shuffle_ps(a18, s07, _MM_SHUFFLE(1, 2, 3, 0));
    b5 = _mm_add_ps(a77, s86);
    a67 = _mm_add_ps(b5, a08);
    s67 = _mm_mul_ps(_mm_set1_ps(0.5f), a67);
    a48 = _mm_shuffle_ps(t94, t15, _MM_SHUFFLE(3, 2, 1, 0));
    a38 = _mm_shuffle_ps(a48, t15, _MM_SHUFFLE(1, 2, 3, 0));
    a78 = _mm_shuffle_ps(s96, s76, _MM_SHUFFLE(3, 2, 1, 0));
    a68 = _mm_shuffle_ps(a78, s76, _MM_SHUFFLE(1, 2, 3, 0));
    a58 = _mm_sub_ps(s96, a68);
    b6 = _mm_add_ps(t94, a38);
    a28 = _mm_add_ps(b6, a58);
    s77 = _mm_mul_ps(_mm_set1_ps(0.5f), a28);
    a19 = _mm_shuffle_ps(t05, t25, _MM_SHUFFLE(3, 2, 1, 0));
    a09 = _mm_shuffle_ps(a19, t25, _MM_SHUFFLE(1, 2, 3, 0));
    a98 = _mm_sub_ps(t05, a09);
    a39 = _mm_shuffle_ps(s07, s86, _MM_SHUFFLE(3, 2, 1, 0));
    a29 = _mm_shuffle_ps(a39, s86, _MM_SHUFFLE(1, 2, 3, 0));
    b7 = _mm_add_ps(a98, s07);
    a88 = _mm_add_ps(b7, a29);
    s87 = _mm_mul_ps(_mm_set1_ps(0.5f), a88);
    a69 = _mm_shuffle_ps(t15, t74, _MM_SHUFFLE(3, 2, 1, 0));
    a59 = _mm_shuffle_ps(a69, t74, _MM_SHUFFLE(1, 2, 3, 0));
    a99 = _mm_shuffle_ps(s76, s56, _MM_SHUFFLE(3, 2, 1, 0));
    a89 = _mm_shuffle_ps(a99, s56, _MM_SHUFFLE(1, 2, 3, 0));
    a79 = _mm_sub_ps(s17, a89);
    b8 = _mm_add_ps(t35, a59);
    a49 = _mm_add_ps(b8, a79);
    s97 = _mm_mul_ps(_mm_set1_ps(0.5f), a49);
    a3a = _mm_shuffle_ps(t25, t84, _MM_SHUFFLE(3, 2, 1, 0));
    a2a = _mm_shuffle_ps(a3a, t84, _MM_SHUFFLE(1, 2, 3, 0));
    a1a = _mm_sub_ps(t45, a2a);
    a5a = _mm_shuffle_ps(s86, s66, _MM_SHUFFLE(3, 2, 1, 0));
    a4a = _mm_shuffle_ps(a5a, s66, _MM_SHUFFLE(1, 2, 3, 0));
    b9 = _mm_add_ps(a1a, s27);
    a0a = _mm_add_ps(b9, a4a);
    s08 = _mm_mul_ps(_mm_set1_ps(0.5f), a0a);
    s18 = _mm_unpacklo_ps(s37, s47);
    s28 = _mm_unpackhi_ps(s37, s47);
    _mm_storel_pi(((__m64  *) dst), s18);
    a6a = (dst + 16);
    _mm_storeh_pi(((__m64  *) a6a), s18);
    a7a = (dst + 32);
    _mm_storel_pi(((__m64  *) a7a), s28);
    a8a = (dst + 48);
    _mm_storeh_pi(((__m64  *) a8a), s28);
    s38 = _mm_unpacklo_ps(s57, s67);
    s48 = _mm_unpackhi_ps(s57, s67);
    a9a = (dst + 64);
    _mm_storel_pi(((__m64  *) a9a), s38);
    a0b = (dst + 80);
    _mm_storeh_pi(((__m64  *) a0b), s38);
    a1b = (dst + 96);
    _mm_storel_pi(((__m64  *) a1b), s48);
    a2b = (dst + 112);
    _mm_storeh_pi(((__m64  *) a2b), s48);
    s58 = _mm_unpacklo_ps(s77, s87);
    s68 = _mm_unpackhi_ps(s77, s87);
    a3b = (dst + 128);
    _mm_storel_pi(((__m64  *) a3b), s58);
    a4b = (dst + 144);
    _mm_storeh_pi(((__m64  *) a4b), s58);
    a5b = (dst + 160);
    _mm_storel_pi(((__m64  *) a5b), s68);
    a6b = (dst + 176);
    _mm_storeh_pi(((__m64  *) a6b), s68);
    s78 = _mm_unpacklo_ps(s97, s08);
    s88 = _mm_unpackhi_ps(s97, s08);
    a7b = (dst + 192);
    _mm_storel_pi(((__m64  *) a7b), s78);
    a8b = (dst + 208);
    _mm_storeh_pi(((__m64  *) a8b), s78);
    a9b = (dst + 224);
    _mm_storel_pi(((__m64  *) a9b), s88);
    a0c = (dst + 240);
    _mm_storeh_pi(((__m64  *) a0c), s88);
    a1c = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t8);
    a2c = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t01);
    s98 = _mm_add_ps(a1c, a2c);
    a3c = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t8);
    a4c = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t01);
    s09 = _mm_sub_ps(a3c, a4c);
    a5c = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t61);
    a6c = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t81);
    s19 = _mm_add_ps(a5c, a6c);
    a7c = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t61);
    a8c = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t81);
    s29 = _mm_sub_ps(a7c, a8c);
    t55 = _mm_add_ps(s98, s19);
    t65 = _mm_add_ps(s09, s29);
    t75 = _mm_sub_ps(s98, s19);
    t85 = _mm_sub_ps(s09, s29);
    a9c = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t21);
    a0d = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t41);
    s39 = _mm_add_ps(a9c, a0d);
    a1d = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t21);
    a2d = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t41);
    s49 = _mm_sub_ps(a1d, a2d);
    a3d = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t02);
    a4d = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t22);
    s59 = _mm_add_ps(a3d, a4d);
    a5d = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t02);
    a6d = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t22);
    s69 = _mm_sub_ps(a5d, a6d);
    t95 = _mm_add_ps(s39, s59);
    t06 = _mm_add_ps(s49, s69);
    t16 = _mm_sub_ps(s39, s59);
    t26 = _mm_sub_ps(s49, s69);
    t36 = _mm_add_ps(t55, t95);
    t46 = _mm_add_ps(t65, t06);
    t56 = _mm_sub_ps(t55, t95);
    t66 = _mm_sub_ps(t65, t06);
    t76 = _mm_add_ps(t75, t26);
    t86 = _mm_sub_ps(t85, t16);
    t96 = _mm_sub_ps(t75, t26);
    t07 = _mm_add_ps(t85, t16);
    s79 = _mm_unpacklo_ps(t36, t76);
    s89 = _mm_unpackhi_ps(t36, t76);
    s99 = _mm_unpacklo_ps(t46, t86);
    s0a = _mm_unpackhi_ps(t46, t86);
    s1a = _mm_unpacklo_ps(t56, t96);
    s2a = _mm_unpackhi_ps(t56, t96);
    s3a = _mm_unpacklo_ps(t66, t07);
    s4a = _mm_unpackhi_ps(t66, t07);
    s5a = _mm_shuffle_ps(s79, s1a, _MM_SHUFFLE(1, 0, 1, 0));
    s6a = _mm_shuffle_ps(s79, s1a, _MM_SHUFFLE(3, 2, 3, 2));
    s7a = _mm_shuffle_ps(s89, s2a, _MM_SHUFFLE(1, 0, 1, 0));
    s8a = _mm_shuffle_ps(s89, s2a, _MM_SHUFFLE(3, 2, 3, 2));
    s9a = _mm_shuffle_ps(s99, s3a, _MM_SHUFFLE(1, 0, 1, 0));
    s0b = _mm_shuffle_ps(s99, s3a, _MM_SHUFFLE(3, 2, 3, 2));
    s1b = _mm_shuffle_ps(s0a, s4a, _MM_SHUFFLE(1, 0, 1, 0));
    s2b = _mm_shuffle_ps(s0a, s4a, _MM_SHUFFLE(3, 2, 3, 2));
    a7d = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7a);
    a8d = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s1b);
    s3b = _mm_sub_ps(a7d, a8d);
    a9d = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7a);
    a0e = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1b);
    s4b = _mm_add_ps(a9d, a0e);
    t17 = _mm_add_ps(s5a, s3b);
    t27 = _mm_add_ps(s9a, s4b);
    t37 = _mm_sub_ps(s5a, s3b);
    t47 = _mm_sub_ps(s9a, s4b);
    a1e = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6a);
    a2e = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s0b);
    s5b = _mm_sub_ps(a1e, a2e);
    a3e = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s6a);
    a4e = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0b);
    s6b = _mm_add_ps(a3e, a4e);
    a5e = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8a);
    a6e = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s2b);
    s7b = _mm_sub_ps(a5e, a6e);
    a7e = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s8a);
    a8e = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2b);
    s8b = _mm_add_ps(a7e, a8e);
    t57 = _mm_add_ps(s5b, s7b);
    t67 = _mm_add_ps(s6b, s8b);
    t77 = _mm_sub_ps(s5b, s7b);
    t87 = _mm_sub_ps(s6b, s8b);
    t97 = _mm_add_ps(t17, t57);
    t08 = _mm_add_ps(t27, t67);
    t18 = _mm_sub_ps(t17, t57);
    t28 = _mm_sub_ps(t27, t67);
    s9b = _mm_unpacklo_ps(t97, t08);
    s0c = _mm_unpackhi_ps(t97, t08);
    a9e = (dst + 8);
    _mm_storel_pi(((__m64  *) a9e), s9b);
    a0f = (dst + 40);
    _mm_storeh_pi(((__m64  *) a0f), s9b);
    a1f = (dst + 72);
    _mm_storel_pi(((__m64  *) a1f), s0c);
    a2f = (dst + 104);
    _mm_storeh_pi(((__m64  *) a2f), s0c);
    a3f = _mm_unpacklo_ps(t18, t28);
    s1c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3f);
    a4f = _mm_unpackhi_ps(t18, t28);
    s2c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a4f);
    a5f = (dst + 248);
    _mm_storel_pi(((__m64  *) a5f), s1c);
    a6f = (dst + 216);
    _mm_storeh_pi(((__m64  *) a6f), s1c);
    a7f = (dst + 184);
    _mm_storel_pi(((__m64  *) a7f), s2c);
    a8f = (dst + 152);
    _mm_storeh_pi(((__m64  *) a8f), s2c);
    t38 = _mm_add_ps(t37, t87);
    t48 = _mm_sub_ps(t47, t77);
    t58 = _mm_sub_ps(t37, t87);
    t68 = _mm_add_ps(t47, t77);
    s3c = _mm_unpacklo_ps(t38, t48);
    s4c = _mm_unpackhi_ps(t38, t48);
    a9f = (dst + 136);
    _mm_storel_pi(((__m64  *) a9f), s3c);
    a0g = (dst + 168);
    _mm_storeh_pi(((__m64  *) a0g), s3c);
    a1g = (dst + 200);
    _mm_storel_pi(((__m64  *) a1g), s4c);
    a2g = (dst + 232);
    _mm_storeh_pi(((__m64  *) a2g), s4c);
    a3g = _mm_unpacklo_ps(t58, t68);
    s5c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3g);
    a4g = _mm_unpackhi_ps(t58, t68);
    s6c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a4g);
    a5g = (dst + 120);
    _mm_storel_pi(((__m64  *) a5g), s5c);
    a6g = (dst + 88);
    _mm_storeh_pi(((__m64  *) a6g), s5c);
    a7g = (dst + 56);
    _mm_storel_pi(((__m64  *) a7g), s6c);
    a8g = (dst + 24);
    _mm_storeh_pi(((__m64  *) a8g), s6c);
    {long i2; for(i2 = 0; i2 <= 2; i2++) {
        a4i = (16 * i2);
        a7k = ((__m128  *) T);
        b01 = (a7k + a4i);
        a8k = (b01 + 16);
        s7c = *(a8k);
        a9k = (b01 + 24);
        s8c = *(a9k);
        a0l = (b01 + 20);
        s9c = *(a0l);
        a1l = (b01 + 28);
        s0d = *(a1l);
        a5i = (D2 + a4i);
        a6i = *(a5i);
        a2l = (a5i + 1);
        a7i = *(a2l);
        a3l = _mm_mul_ps(a6i, s7c);
        a4l = _mm_mul_ps(a7i, s8c);
        s1d = _mm_sub_ps(a3l, a4l);
        a5l = _mm_mul_ps(a7i, s7c);
        a6l = _mm_mul_ps(a6i, s8c);
        s2d = _mm_add_ps(a5l, a6l);
        a7l = (a5i + 2);
        a8i = *(a7l);
        a8l = (a5i + 3);
        a9i = *(a8l);
        a9l = _mm_mul_ps(a8i, s9c);
        a0m = _mm_mul_ps(a9i, s0d);
        s3d = _mm_sub_ps(a9l, a0m);
        a1m = _mm_mul_ps(a9i, s9c);
        a2m = _mm_mul_ps(a8i, s0d);
        s4d = _mm_add_ps(a1m, a2m);
        t78 = _mm_add_ps(s1d, s3d);
        t88 = _mm_add_ps(s2d, s4d);
        t98 = _mm_sub_ps(s1d, s3d);
        t09 = _mm_sub_ps(s2d, s4d);
        a3m = (b01 + 18);
        s5d = *(a3m);
        a4m = (b01 + 26);
        s6d = *(a4m);
        a5m = (b01 + 22);
        s7d = *(a5m);
        a6m = (b01 + 30);
        s8d = *(a6m);
        a7m = (a5i + 4);
        a0j = *(a7m);
        a8m = (a5i + 5);
        a1j = *(a8m);
        a9m = _mm_mul_ps(a0j, s5d);
        a0n = _mm_mul_ps(a1j, s6d);
        s9d = _mm_sub_ps(a9m, a0n);
        a1n = _mm_mul_ps(a1j, s5d);
        a2n = _mm_mul_ps(a0j, s6d);
        s0e = _mm_add_ps(a1n, a2n);
        a3n = (a5i + 6);
        a2j = *(a3n);
        a4n = (a5i + 7);
        a3j = *(a4n);
        a5n = _mm_mul_ps(a2j, s7d);
        a6n = _mm_mul_ps(a3j, s8d);
        s1e = _mm_sub_ps(a5n, a6n);
        a7n = _mm_mul_ps(a3j, s7d);
        a8n = _mm_mul_ps(a2j, s8d);
        s2e = _mm_add_ps(a7n, a8n);
        t19 = _mm_add_ps(s9d, s1e);
        t29 = _mm_add_ps(s0e, s2e);
        t39 = _mm_sub_ps(s9d, s1e);
        t49 = _mm_sub_ps(s0e, s2e);
        t59 = _mm_add_ps(t78, t19);
        t69 = _mm_add_ps(t88, t29);
        t79 = _mm_sub_ps(t78, t19);
        t89 = _mm_sub_ps(t88, t29);
        t99 = _mm_add_ps(t98, t49);
        t0a = _mm_sub_ps(t09, t39);
        t1a = _mm_sub_ps(t98, t49);
        t2a = _mm_add_ps(t09, t39);
        s3e = _mm_unpacklo_ps(t59, t99);
        s4e = _mm_unpackhi_ps(t59, t99);
        s5e = _mm_unpacklo_ps(t69, t0a);
        s6e = _mm_unpackhi_ps(t69, t0a);
        s7e = _mm_unpacklo_ps(t79, t1a);
        s8e = _mm_unpackhi_ps(t79, t1a);
        s9e = _mm_unpacklo_ps(t89, t2a);
        s0f = _mm_unpackhi_ps(t89, t2a);
        s1f = _mm_shuffle_ps(s3e, s7e, _MM_SHUFFLE(1, 0, 1, 0));
        s2f = _mm_shuffle_ps(s3e, s7e, _MM_SHUFFLE(3, 2, 3, 2));
        s3f = _mm_shuffle_ps(s4e, s8e, _MM_SHUFFLE(1, 0, 1, 0));
        s4f = _mm_shuffle_ps(s4e, s8e, _MM_SHUFFLE(3, 2, 3, 2));
        s5f = _mm_shuffle_ps(s5e, s9e, _MM_SHUFFLE(1, 0, 1, 0));
        s6f = _mm_shuffle_ps(s5e, s9e, _MM_SHUFFLE(3, 2, 3, 2));
        s7f = _mm_shuffle_ps(s6e, s0f, _MM_SHUFFLE(1, 0, 1, 0));
        s8f = _mm_shuffle_ps(s6e, s0f, _MM_SHUFFLE(3, 2, 3, 2));
        a9n = (b01 + 17);
        s9f = *(a9n);
        a0o = (b01 + 25);
        s0g = *(a0o);
        a1o = (b01 + 21);
        s1g = *(a1o);
        a2o = (b01 + 29);
        s2g = *(a2o);
        a3o = (a5i + 8);
        a4j = *(a3o);
        a4o = (a5i + 9);
        a5j = *(a4o);
        a5o = _mm_mul_ps(a4j, s9f);
        a6o = _mm_mul_ps(a5j, s0g);
        s3g = _mm_sub_ps(a5o, a6o);
        a7o = _mm_mul_ps(a5j, s9f);
        a8o = _mm_mul_ps(a4j, s0g);
        s4g = _mm_add_ps(a7o, a8o);
        a9o = (a5i + 10);
        a6j = *(a9o);
        a0p = (a5i + 11);
        a7j = *(a0p);
        a1p = _mm_mul_ps(a6j, s1g);
        a2p = _mm_mul_ps(a7j, s2g);
        s5g = _mm_sub_ps(a1p, a2p);
        a3p = _mm_mul_ps(a7j, s1g);
        a4p = _mm_mul_ps(a6j, s2g);
        s6g = _mm_add_ps(a3p, a4p);
        t3a = _mm_add_ps(s3g, s5g);
        t4a = _mm_add_ps(s4g, s6g);
        t5a = _mm_sub_ps(s3g, s5g);
        t6a = _mm_sub_ps(s4g, s6g);
        a5p = (b01 + 19);
        s7g = *(a5p);
        a6p = (b01 + 27);
        s8g = *(a6p);
        a7p = (b01 + 23);
        s9g = *(a7p);
        a8p = (b01 + 31);
        s0h = *(a8p);
        a9p = (a5i + 12);
        a8j = *(a9p);
        a0q = (a5i + 13);
        a9j = *(a0q);
        a1q = _mm_mul_ps(a8j, s7g);
        a2q = _mm_mul_ps(a9j, s8g);
        s1h = _mm_sub_ps(a1q, a2q);
        a3q = _mm_mul_ps(a9j, s7g);
        a4q = _mm_mul_ps(a8j, s8g);
        s2h = _mm_add_ps(a3q, a4q);
        a5q = (a5i + 14);
        a0k = *(a5q);
        a6q = (a5i + 15);
        a1k = *(a6q);
        a7q = _mm_mul_ps(a0k, s9g);
        a8q = _mm_mul_ps(a1k, s0h);
        s3h = _mm_sub_ps(a7q, a8q);
        a9q = _mm_mul_ps(a1k, s9g);
        a0r = _mm_mul_ps(a0k, s0h);
        s4h = _mm_add_ps(a9q, a0r);
        t7a = _mm_add_ps(s1h, s3h);
        t8a = _mm_add_ps(s2h, s4h);
        t9a = _mm_sub_ps(s1h, s3h);
        t0b = _mm_sub_ps(s2h, s4h);
        t1b = _mm_add_ps(t3a, t7a);
        t2b = _mm_add_ps(t4a, t8a);
        t3b = _mm_sub_ps(t3a, t7a);
        t4b = _mm_sub_ps(t4a, t8a);
        t5b = _mm_add_ps(t5a, t0b);
        t6b = _mm_sub_ps(t6a, t9a);
        t7b = _mm_sub_ps(t5a, t0b);
        t8b = _mm_add_ps(t6a, t9a);
        s5h = _mm_unpacklo_ps(t1b, t5b);
        s6h = _mm_unpackhi_ps(t1b, t5b);
        s7h = _mm_unpacklo_ps(t2b, t6b);
        s8h = _mm_unpackhi_ps(t2b, t6b);
        s9h = _mm_unpacklo_ps(t3b, t7b);
        s0i = _mm_unpackhi_ps(t3b, t7b);
        s1i = _mm_unpacklo_ps(t4b, t8b);
        s2i = _mm_unpackhi_ps(t4b, t8b);
        s3i = _mm_shuffle_ps(s5h, s9h, _MM_SHUFFLE(1, 0, 1, 0));
        s4i = _mm_shuffle_ps(s5h, s9h, _MM_SHUFFLE(3, 2, 3, 2));
        s5i = _mm_shuffle_ps(s6h, s0i, _MM_SHUFFLE(1, 0, 1, 0));
        s6i = _mm_shuffle_ps(s6h, s0i, _MM_SHUFFLE(3, 2, 3, 2));
        s7i = _mm_shuffle_ps(s7h, s1i, _MM_SHUFFLE(1, 0, 1, 0));
        s8i = _mm_shuffle_ps(s7h, s1i, _MM_SHUFFLE(3, 2, 3, 2));
        s9i = _mm_shuffle_ps(s8h, s2i, _MM_SHUFFLE(1, 0, 1, 0));
        s0j = _mm_shuffle_ps(s8h, s2i, _MM_SHUFFLE(3, 2, 3, 2));
        a1r = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3i);
        a2r = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7i);
        s1j = _mm_sub_ps(a1r, a2r);
        a3r = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3i);
        a4r = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7i);
        s2j = _mm_add_ps(a3r, a4r);
        t9b = _mm_add_ps(s1f, s1j);
        t0c = _mm_add_ps(s5f, s2j);
        t1c = _mm_sub_ps(s1f, s1j);
        t2c = _mm_sub_ps(s5f, s2j);
        a5r = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s3f);
        a6r = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s7f);
        s3j = _mm_sub_ps(a5r, a6r);
        a7r = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s3f);
        a8r = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7f);
        s4j = _mm_add_ps(a7r, a8r);
        a9r = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5i);
        a0s = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s9i);
        s5j = _mm_sub_ps(a9r, a0s);
        a1s = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s5i);
        a2s = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s9i);
        s6j = _mm_add_ps(a1s, a2s);
        t3c = _mm_add_ps(s3j, s5j);
        t4c = _mm_add_ps(s4j, s6j);
        t5c = _mm_sub_ps(s3j, s5j);
        t6c = _mm_sub_ps(s4j, s6j);
        t7c = _mm_add_ps(t9b, t3c);
        t8c = _mm_add_ps(t0c, t4c);
        t9c = _mm_sub_ps(t9b, t3c);
        t0d = _mm_sub_ps(t0c, t4c);
        t1d = _mm_add_ps(t1c, t6c);
        t2d = _mm_sub_ps(t2c, t5c);
        t3d = _mm_sub_ps(t1c, t6c);
        t4d = _mm_add_ps(t2c, t5c);
        a3s = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s2f);
        a4s = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s6f);
        s7j = _mm_sub_ps(a3s, a4s);
        a5s = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s2f);
        a6s = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6f);
        s8j = _mm_add_ps(a5s, a6s);
        a7s = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4i);
        a8s = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s8i);
        s9j = _mm_sub_ps(a7s, a8s);
        a9s = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s4i);
        a0t = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s8i);
        s0k = _mm_add_ps(a9s, a0t);
        t5d = _mm_add_ps(s7j, s9j);
        t6d = _mm_add_ps(s8j, s0k);
        t7d = _mm_sub_ps(s7j, s9j);
        t8d = _mm_sub_ps(s8j, s0k);
        a1t = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s4f);
        a2t = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s8f);
        s1k = _mm_sub_ps(a1t, a2t);
        a3t = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s4f);
        a4t = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8f);
        s2k = _mm_add_ps(a3t, a4t);
        a5t = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6i);
        a6t = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s0j);
        s3k = _mm_sub_ps(a5t, a6t);
        a7t = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s6i);
        a8t = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s0j);
        s4k = _mm_add_ps(a7t, a8t);
        t9d = _mm_add_ps(s1k, s3k);
        t0e = _mm_add_ps(s2k, s4k);
        t1e = _mm_sub_ps(s1k, s3k);
        t2e = _mm_sub_ps(s2k, s4k);
        t3e = _mm_add_ps(t5d, t9d);
        t4e = _mm_add_ps(t6d, t0e);
        t5e = _mm_sub_ps(t5d, t9d);
        t6e = _mm_sub_ps(t6d, t0e);
        a9t = _mm_add_ps(t7d, t2e);
        a2k = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9t);
        a0u = _mm_sub_ps(t8d, t1e);
        a3k = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a0u);
        s5k = _mm_sub_ps(a2k, a3k);
        s6k = _mm_add_ps(a2k, a3k);
        a1u = _mm_sub_ps(t7d, t2e);
        a4k = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a1u);
        a2u = _mm_add_ps(t8d, t1e);
        a5k = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2u);
        s7k = _mm_sub_ps(a4k, a5k);
        s8k = _mm_add_ps(a4k, a5k);
        t7e = _mm_add_ps(t7c, t3e);
        t8e = _mm_add_ps(t8c, t4e);
        t9e = _mm_sub_ps(t7c, t3e);
        t0f = _mm_sub_ps(t8c, t4e);
        s9k = _mm_unpacklo_ps(t7e, t8e);
        s0l = _mm_unpackhi_ps(t7e, t8e);
        a6k = (2 * i2);
        b11 = (dst + a6k);
        a3u = (b11 + 2);
        _mm_storel_pi(((__m64  *) a3u), s9k);
        a4u = (b11 + 18);
        _mm_storeh_pi(((__m64  *) a4u), s9k);
        a5u = (b11 + 34);
        _mm_storel_pi(((__m64  *) a5u), s0l);
        a6u = (b11 + 50);
        _mm_storeh_pi(((__m64  *) a6u), s0l);
        a7u = _mm_unpacklo_ps(t9e, t0f);
        s1l = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7u);
        a8u = _mm_unpackhi_ps(t9e, t0f);
        s2l = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8u);
        b21 = (dst - a6k);
        a9u = (b21 + 254);
        _mm_storel_pi(((__m64  *) a9u), s1l);
        a0v = (b21 + 238);
        _mm_storeh_pi(((__m64  *) a0v), s1l);
        a1v = (b21 + 222);
        _mm_storel_pi(((__m64  *) a1v), s2l);
        a2v = (b21 + 206);
        _mm_storeh_pi(((__m64  *) a2v), s2l);
        t1f = _mm_add_ps(t1d, s5k);
        t2f = _mm_sub_ps(t2d, s6k);
        t3f = _mm_sub_ps(t1d, s5k);
        t4f = _mm_add_ps(t2d, s6k);
        s3l = _mm_unpacklo_ps(t1f, t2f);
        s4l = _mm_unpackhi_ps(t1f, t2f);
        a3v = (b11 + 66);
        _mm_storel_pi(((__m64  *) a3v), s3l);
        a4v = (b11 + 82);
        _mm_storeh_pi(((__m64  *) a4v), s3l);
        a5v = (b11 + 98);
        _mm_storel_pi(((__m64  *) a5v), s4l);
        a6v = (b11 + 114);
        _mm_storeh_pi(((__m64  *) a6v), s4l);
        a7v = _mm_unpacklo_ps(t3f, t4f);
        s5l = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7v);
        a8v = _mm_unpackhi_ps(t3f, t4f);
        s6l = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8v);
        a9v = (b21 + 190);
        _mm_storel_pi(((__m64  *) a9v), s5l);
        a0w = (b21 + 174);
        _mm_storeh_pi(((__m64  *) a0w), s5l);
        a1w = (b21 + 158);
        _mm_storel_pi(((__m64  *) a1w), s6l);
        a2w = (b21 + 142);
        _mm_storeh_pi(((__m64  *) a2w), s6l);
        t5f = _mm_add_ps(t9c, t6e);
        t6f = _mm_sub_ps(t0d, t5e);
        t7f = _mm_sub_ps(t9c, t6e);
        t8f = _mm_add_ps(t0d, t5e);
        s7l = _mm_unpacklo_ps(t5f, t6f);
        s8l = _mm_unpackhi_ps(t5f, t6f);
        a3w = (b11 + 130);
        _mm_storel_pi(((__m64  *) a3w), s7l);
        a4w = (b11 + 146);
        _mm_storeh_pi(((__m64  *) a4w), s7l);
        a5w = (b11 + 162);
        _mm_storel_pi(((__m64  *) a5w), s8l);
        a6w = (b11 + 178);
        _mm_storeh_pi(((__m64  *) a6w), s8l);
        a7w = _mm_unpacklo_ps(t7f, t8f);
        s9l = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7w);
        a8w = _mm_unpackhi_ps(t7f, t8f);
        s0m = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8w);
        a9w = (b21 + 126);
        _mm_storel_pi(((__m64  *) a9w), s9l);
        a0x = (b21 + 110);
        _mm_storeh_pi(((__m64  *) a0x), s9l);
        a1x = (b21 + 94);
        _mm_storel_pi(((__m64  *) a1x), s0m);
        a2x = (b21 + 78);
        _mm_storeh_pi(((__m64  *) a2x), s0m);
        t9f = _mm_add_ps(t3d, s7k);
        t0g = _mm_add_ps(t4d, s8k);
        t1g = _mm_sub_ps(t3d, s7k);
        t2g = _mm_sub_ps(t4d, s8k);
        s1m = _mm_unpacklo_ps(t9f, t0g);
        s2m = _mm_unpackhi_ps(t9f, t0g);
        a3x = (b11 + 194);
        _mm_storel_pi(((__m64  *) a3x), s1m);
        a4x = (b11 + 210);
        _mm_storeh_pi(((__m64  *) a4x), s1m);
        a5x = (b11 + 226);
        _mm_storel_pi(((__m64  *) a5x), s2m);
        a6x = (b11 + 242);
        _mm_storeh_pi(((__m64  *) a6x), s2m);
        a7x = _mm_unpacklo_ps(t1g, t2g);
        s3m = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7x);
        a8x = _mm_unpackhi_ps(t1g, t2g);
        s4m = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8x);
        a9x = (b21 + 62);
        _mm_storel_pi(((__m64  *) a9x), s3m);
        a0y = (b21 + 46);
        _mm_storeh_pi(((__m64  *) a0y), s3m);
        a1y = (b21 + 30);
        _mm_storel_pi(((__m64  *) a1y), s4m);
        a2y = (b21 + 14);
        _mm_storeh_pi(((__m64  *) a2y), s4m);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftfwd_float_512_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[512]);
    __m128 a0b, a0c, a0e, a0f, a1c, a1d, a1e, a2A, a2B, a2C, a2d, a2z, a3A, a3B, a3C, a3b, a3c, a3d, a3e, a3z, a4a, a4b
            , a4c, a4e, a5a, a5b, a5c, a5d, a5e, a6a, a6b, a6c, a6d, a79, a7b, a7c, a7d, a7e, a89, a8c, a8d, a8e, a8j, a8k
            , a99, a9a, a9b, a9c, a9d, a9e, a9j, a9k, b2, b5, b7, b9;
    __m128 a02, a07, a08, a09, a0a, a0d, a0h, a0i, a0j, a0o, a0p, a0q, a0s, a0t, a0w, a0x, a0y, a12, a17, a18, a19, a1a
            , a1b, a1h, a1i, a1j, a1n, a1o, a1q, a1s, a1t, a1w, a1x, a1y, a22, a27, a28, a29, a2a, a2b, a2c, a2e, a2h, a2i
            , a2j, a2n, a2o, a2s, a2t, a2v, a2w, a2x, a2y, a3, a31, a37, a38, a39, a3a, a3h, a3i, a3j, a3n, a3o, a3s, a3t
            , a3v, a3w, a3x, a3y, a4, a41, a47, a48, a49, a4d, a4h, a4i, a4n, a4o, a4q, a4r, a4v, a4w, a4x, a4y, a5, a51
            , a57, a58, a59, a5h, a5i, a5n, a5o, a5q, a5r, a5v, a5w, a5x, a5y, a6, a61, a67, a68, a69, a6e, a6g, a6h, a6i
            , a6n, a6o, a6q, a6r, a6t, a6u, a6v, a6w, a6x, a6y, a7, a71, a77, a78, a7a, a7g, a7h, a7i, a7n, a7o, a7q, a7r
            , a7t, a7u, a7v, a7w, a7x, a7y, a8, a81, a82, a87, a88, a8a, a8b, a8g, a8h, a8i, a8n, a8o, a8p, a8t, a8u, a8v
            , a8w, a8x, a91, a96, a97, a98, a9g, a9h, a9i, a9n, a9o, a9p, a9t, a9u, a9v, a9w, a9x, b01, b3, b4, b6, b8
            , s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l
            , s0m, s0n, s0o, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j
            , s1k, s1l, s1m, s1n, s1o, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g
            , s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d
            , s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a
            , s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s5, s51, s52, s53, s54, s55, s56, s57
            , s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s6, s61, s62, s63, s64
            , s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s7, s71
            , s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n
            , s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l
            , s8m, s8n, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j
            , s9k, s9l, s9m, s9n, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h
            , t0i, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t2, t21, t22
            , t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t3, t31, t32, t33, t34, t35
            , t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t4, t41, t42, t43, t44, t45, t46, t47, t48
            , t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b
            , t5c, t5d, t5e, t5f, t5g, t5h, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f
            , t6g, t6h, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t8, t81
            , t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t9, t91, t92, t93, t94, t95
            , t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h;
    __m128  *a01, *a03, *a0m, *a0n, *a0r, *a0u, *a0v, *a11, *a13, *a1m, *a1r, *a1u, *a1v, *a2, *a21, *a2m, *a2p, *a2q, *a2r, *a2u, *a32, *a3m
            , *a3p, *a3q, *a3r, *a3u, *a42, *a46, *a4l, *a4m, *a4p, *a4s, *a4t, *a4u, *a52, *a56, *a5l, *a5m, *a5p, *a5s, *a5t, *a5u, *a62, *a66
            , *a6l, *a6m, *a6p, *a6s, *a72, *a76, *a7l, *a7m, *a7p, *a7s, *a86, *a8l, *a8m, *a8q, *a8r, *a8s, *a9, *a92, *a9l, *a9q, *a9r, *a9s
            , *b11;
    float  *a0A, *a0B, *a0C, *a0g, *a0k, *a0l, *a0z, *a1A, *a1B, *a1C, *a1f, *a1g, *a1k, *a1l, *a1z, *a2f, *a2g, *a2k, *a2l, *a3f, *a3g, *a3k
            , *a3l, *a4A, *a4B, *a4C, *a4f, *a4g, *a4j, *a4k, *a4z, *a5A, *a5B, *a5C, *a5f, *a5g, *a5j, *a5k, *a5z, *a6A, *a6B, *a6C, *a6f, *a6j
            , *a6k, *a6z, *a7A, *a7B, *a7C, *a7f, *a7j, *a7k, *a7z, *a8A, *a8B, *a8f, *a8y, *a8z, *a9A, *a9B, *a9f, *a9y, *a9z, *b21, *b31;
    const float  *a04, *a05, *a06, *a14, *a15, *a16, *a23, *a24, *a25, *a26, *a33, *a34, *a35, *a36, *a43, *a44, *a45, *a53, *a54, *a55, *a63, *a64
            , *a65, *a73, *a74, *a75, *a83, *a84, *a85, *a93, *a94, *a95, *b;
    int a, a1p, a9m;
    {long i; for(i = 0; i <= 7; i++) {
        a = (4 * i);
        a33 = (a + src);
        a23 = ((const float  *) a33);
        s = _mm_loadu_ps(a23);
        b = (src + a);
        a53 = (b + 256);
        a43 = ((const float  *) a53);
        s2 = _mm_loadu_ps(a43);
        t = _mm_add_ps(s, s2);
        t2 = _mm_sub_ps(s, s2);
        a73 = (b + 128);
        a63 = ((const float  *) a73);
        s3 = _mm_loadu_ps(a63);
        a93 = (b + 384);
        a83 = ((const float  *) a93);
        s4 = _mm_loadu_ps(a83);
        t3 = _mm_add_ps(s3, s4);
        t4 = _mm_sub_ps(s3, s4);
        a14 = (b + 32);
        a04 = ((const float  *) a14);
        s5 = _mm_loadu_ps(a04);
        a34 = (b + 288);
        a24 = ((const float  *) a34);
        s6 = _mm_loadu_ps(a24);
        t5 = _mm_add_ps(s5, s6);
        t6 = _mm_sub_ps(s5, s6);
        a54 = (b + 160);
        a44 = ((const float  *) a54);
        s7 = _mm_loadu_ps(a44);
        a74 = (b + 416);
        a64 = ((const float  *) a74);
        s8 = _mm_loadu_ps(a64);
        t7 = _mm_add_ps(s7, s8);
        t8 = _mm_sub_ps(s7, s8);
        a94 = (b + 64);
        a84 = ((const float  *) a94);
        s9 = _mm_loadu_ps(a84);
        a15 = (b + 320);
        a05 = ((const float  *) a15);
        s01 = _mm_loadu_ps(a05);
        t9 = _mm_add_ps(s9, s01);
        a35 = (b + 192);
        a25 = ((const float  *) a35);
        s11 = _mm_loadu_ps(a25);
        a55 = (b + 448);
        a45 = ((const float  *) a55);
        s21 = _mm_loadu_ps(a45);
        t01 = _mm_add_ps(s11, s21);
        a75 = (b + 96);
        a65 = ((const float  *) a75);
        s31 = _mm_loadu_ps(a65);
        a95 = (b + 352);
        a85 = ((const float  *) a95);
        s41 = _mm_loadu_ps(a85);
        t11 = _mm_add_ps(s31, s41);
        t21 = _mm_sub_ps(s31, s41);
        a16 = (b + 224);
        a06 = ((const float  *) a16);
        s51 = _mm_loadu_ps(a06);
        a36 = (b + 480);
        a26 = ((const float  *) a36);
        s61 = _mm_loadu_ps(a26);
        t31 = _mm_add_ps(s51, s61);
        t41 = _mm_sub_ps(s51, s61);
        t51 = _mm_add_ps(t, t3);
        t61 = _mm_sub_ps(t, t3);
        t71 = _mm_add_ps(t9, t01);
        t81 = _mm_sub_ps(t9, t01);
        t91 = _mm_add_ps(t5, t7);
        t02 = _mm_add_ps(t11, t31);
        a46 = ((__m128  *) T);
        a2 = (a46 + i);
        s71 = _mm_add_ps(t51, t71);
        *(a2) = s71;
        s81 = _mm_sub_ps(t51, t71);
        a56 = (a2 + 64);
        *(a56) = s81;
        s91 = _mm_add_ps(t91, t02);
        a66 = (a2 + 8);
        *(a66) = s91;
        s02 = _mm_sub_ps(t02, t91);
        a76 = (a2 + 72);
        *(a76) = s02;
        a7 = _mm_sub_ps(t5, t7);
        a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a7);
        a8 = _mm_sub_ps(t11, t31);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a8);
        s12 = _mm_add_ps(a3, a4);
        s22 = _mm_sub_ps(a4, a3);
        s32 = _mm_add_ps(t61, s12);
        a9 = (a2 + 32);
        *(a9) = s32;
        s42 = _mm_sub_ps(s22, t81);
        a01 = (a2 + 40);
        *(a01) = s42;
        s52 = _mm_sub_ps(t61, s12);
        a11 = (a2 + 96);
        *(a11) = s52;
        s62 = _mm_add_ps(t81, s22);
        a21 = (a2 + 104);
        *(a21) = s62;
        a31 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6);
        a41 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t8);
        s72 = _mm_add_ps(a31, a41);
        a51 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t6);
        a61 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8);
        s82 = _mm_sub_ps(a51, a61);
        a71 = _mm_sub_ps(s9, s01);
        a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a71);
        a81 = _mm_sub_ps(s11, s21);
        a6 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a81);
        s92 = _mm_add_ps(a5, a6);
        s03 = _mm_sub_ps(a6, a5);
        a91 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t21);
        a02 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t41);
        s13 = _mm_add_ps(a91, a02);
        a12 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t21);
        a22 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t41);
        s23 = _mm_sub_ps(a12, a22);
        t12 = _mm_add_ps(t2, s92);
        t22 = _mm_sub_ps(s03, t4);
        t32 = _mm_sub_ps(t2, s92);
        t42 = _mm_add_ps(t4, s03);
        t52 = _mm_add_ps(s72, s13);
        t62 = _mm_add_ps(s82, s23);
        t72 = _mm_sub_ps(s72, s13);
        t82 = _mm_sub_ps(s82, s23);
        s33 = _mm_add_ps(t12, t52);
        a32 = (a2 + 16);
        *(a32) = s33;
        s43 = _mm_add_ps(t22, t62);
        a42 = (a2 + 24);
        *(a42) = s43;
        s53 = _mm_sub_ps(t12, t52);
        a52 = (a2 + 112);
        *(a52) = s53;
        s63 = _mm_sub_ps(t62, t22);
        a62 = (a2 + 120);
        *(a62) = s63;
        s73 = _mm_add_ps(t32, t82);
        a72 = (a2 + 80);
        *(a72) = s73;
        a82 = _mm_add_ps(t42, t72);
        s83 = _mm_sub_ps(_mm_set1_ps(0.0f), a82);
        a92 = (a2 + 88);
        *(a92) = s83;
        s93 = _mm_sub_ps(t32, t82);
        a03 = (a2 + 48);
        *(a03) = s93;
        s04 = _mm_sub_ps(t42, t72);
        a13 = (a2 + 56);
        *(a13) = s04;
    }}
    a86 = ((__m128  *) T);
    s14 = *(a86);
    a4l = (a86 + 8);
    s24 = *(a4l);
    t92 = _mm_add_ps(s14, s24);
    t03 = _mm_sub_ps(s14, s24);
    a5l = (a86 + 4);
    s34 = *(a5l);
    a6l = (a86 + 12);
    s44 = *(a6l);
    t13 = _mm_add_ps(s34, s44);
    t23 = _mm_sub_ps(s34, s44);
    a7l = (a86 + 1);
    s54 = *(a7l);
    a8l = (a86 + 9);
    s64 = *(a8l);
    t33 = _mm_add_ps(s54, s64);
    t43 = _mm_sub_ps(s54, s64);
    a9l = (a86 + 5);
    s74 = *(a9l);
    a0m = (a86 + 13);
    s84 = *(a0m);
    t53 = _mm_add_ps(s74, s84);
    t63 = _mm_sub_ps(s74, s84);
    a1m = (a86 + 2);
    s94 = *(a1m);
    a2m = (a86 + 10);
    s05 = *(a2m);
    t73 = _mm_add_ps(s94, s05);
    t83 = _mm_sub_ps(s94, s05);
    a3m = (a86 + 6);
    s15 = *(a3m);
    a4m = (a86 + 14);
    s25 = *(a4m);
    t93 = _mm_add_ps(s15, s25);
    t04 = _mm_sub_ps(s15, s25);
    a5m = (a86 + 3);
    s35 = *(a5m);
    a6m = (a86 + 11);
    s45 = *(a6m);
    t14 = _mm_add_ps(s35, s45);
    t24 = _mm_sub_ps(s35, s45);
    a7m = (a86 + 7);
    s55 = *(a7m);
    a8m = (a86 + 15);
    s65 = *(a8m);
    t34 = _mm_add_ps(s55, s65);
    t44 = _mm_sub_ps(s55, s65);
    s75 = _mm_shuffle_ps(t92, t33, _MM_SHUFFLE(2, 0, 2, 0));
    s85 = _mm_shuffle_ps(t92, t33, _MM_SHUFFLE(3, 1, 3, 1));
    s95 = _mm_shuffle_ps(t13, t53, _MM_SHUFFLE(2, 0, 2, 0));
    s06 = _mm_shuffle_ps(t13, t53, _MM_SHUFFLE(3, 1, 3, 1));
    t54 = _mm_add_ps(s75, s95);
    t64 = _mm_add_ps(s85, s06);
    t74 = _mm_sub_ps(s75, s95);
    t84 = _mm_sub_ps(s85, s06);
    s16 = _mm_shuffle_ps(t73, t14, _MM_SHUFFLE(2, 0, 2, 0));
    s26 = _mm_shuffle_ps(t73, t14, _MM_SHUFFLE(3, 1, 3, 1));
    s36 = _mm_shuffle_ps(t93, t34, _MM_SHUFFLE(2, 0, 2, 0));
    s46 = _mm_shuffle_ps(t93, t34, _MM_SHUFFLE(3, 1, 3, 1));
    t94 = _mm_add_ps(s16, s36);
    t05 = _mm_add_ps(s26, s46);
    t15 = _mm_sub_ps(s16, s36);
    t25 = _mm_sub_ps(s26, s46);
    t35 = _mm_add_ps(t54, t94);
    t45 = _mm_add_ps(t64, t05);
    t55 = _mm_sub_ps(t54, t94);
    t65 = _mm_sub_ps(t64, t05);
    t75 = _mm_add_ps(t74, t25);
    t85 = _mm_sub_ps(t84, t15);
    t95 = _mm_sub_ps(t74, t25);
    t06 = _mm_add_ps(t84, t15);
    s56 = _mm_unpacklo_ps(t35, t75);
    s66 = _mm_unpackhi_ps(t35, t75);
    s76 = _mm_unpacklo_ps(t45, t85);
    s86 = _mm_unpackhi_ps(t45, t85);
    s96 = _mm_unpacklo_ps(t55, t95);
    s07 = _mm_unpackhi_ps(t55, t95);
    s17 = _mm_unpacklo_ps(t65, t06);
    s27 = _mm_unpackhi_ps(t65, t06);
    s37 = _mm_shuffle_ps(s56, s96, _MM_SHUFFLE(1, 0, 1, 0));
    s47 = _mm_shuffle_ps(s56, s96, _MM_SHUFFLE(3, 2, 3, 2));
    s57 = _mm_shuffle_ps(s66, s07, _MM_SHUFFLE(1, 0, 1, 0));
    s67 = _mm_shuffle_ps(s66, s07, _MM_SHUFFLE(3, 2, 3, 2));
    s77 = _mm_shuffle_ps(s76, s17, _MM_SHUFFLE(1, 0, 1, 0));
    s87 = _mm_shuffle_ps(s76, s17, _MM_SHUFFLE(3, 2, 3, 2));
    s97 = _mm_shuffle_ps(s86, s27, _MM_SHUFFLE(1, 0, 1, 0));
    s08 = _mm_shuffle_ps(s86, s27, _MM_SHUFFLE(3, 2, 3, 2));
    a96 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s57);
    a07 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s97);
    s18 = _mm_sub_ps(a96, a07);
    a17 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s57);
    a27 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s97);
    s28 = _mm_add_ps(a17, a27);
    t16 = _mm_add_ps(s37, s18);
    t26 = _mm_add_ps(s77, s28);
    t36 = _mm_sub_ps(s37, s18);
    t46 = _mm_sub_ps(s77, s28);
    a37 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s47);
    a47 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s87);
    s38 = _mm_sub_ps(a37, a47);
    a57 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s47);
    a67 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s87);
    s48 = _mm_add_ps(a57, a67);
    a77 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s67);
    a87 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s08);
    s58 = _mm_sub_ps(a77, a87);
    a97 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s67);
    a08 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s08);
    s68 = _mm_add_ps(a97, a08);
    t56 = _mm_add_ps(s38, s58);
    t66 = _mm_add_ps(s48, s68);
    t76 = _mm_sub_ps(s38, s58);
    t86 = _mm_sub_ps(s48, s68);
    t96 = _mm_add_ps(t16, t56);
    t07 = _mm_add_ps(t26, t66);
    t17 = _mm_sub_ps(t16, t56);
    t27 = _mm_sub_ps(t26, t66);
    t37 = _mm_add_ps(t36, t86);
    t47 = _mm_sub_ps(t46, t76);
    t57 = _mm_sub_ps(t36, t86);
    t67 = _mm_add_ps(t46, t76);
    a18 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t96);
    a28 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t07);
    s78 = _mm_sub_ps(a18, a28);
    a38 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t96);
    a48 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t07);
    s88 = _mm_add_ps(a38, a48);
    a58 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t37);
    a68 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t47);
    s98 = _mm_sub_ps(a58, a68);
    a78 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t37);
    a88 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t47);
    s09 = _mm_add_ps(a78, a88);
    a98 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t17);
    a09 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t27);
    s19 = _mm_sub_ps(a98, a09);
    a19 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t17);
    a29 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t27);
    s29 = _mm_add_ps(a19, a29);
    a39 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t57);
    a49 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t67);
    s39 = _mm_sub_ps(a39, a49);
    a59 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t57);
    a69 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t67);
    s49 = _mm_add_ps(a59, a69);
    a99 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t57, _MM_SHUFFLE(3, 2, 1, 0));
    a89 = _mm_shuffle_ps(a99, t57, _MM_SHUFFLE(1, 2, 3, 0));
    a2a = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s78);
    a3a = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s88);
    a1a = _mm_add_ps(a2a, a3a);
    a5a = _mm_shuffle_ps(_mm_set1_ps(0.0f), s39, _MM_SHUFFLE(3, 2, 1, 0));
    a4a = _mm_shuffle_ps(a5a, s39, _MM_SHUFFLE(1, 2, 3, 0));
    a0a = _mm_sub_ps(a1a, a4a);
    b2 = _mm_add_ps(t96, a89);
    a79 = _mm_add_ps(b2, a0a);
    s59 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a79);
    a8a = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t07);
    a0b = _mm_shuffle_ps(_mm_set1_ps(0.0f), t67, _MM_SHUFFLE(3, 2, 1, 0));
    a9a = _mm_shuffle_ps(a0b, t67, _MM_SHUFFLE(1, 2, 3, 0));
    a7a = _mm_sub_ps(a8a, a9a);
    a1b = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s78);
    a2b = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s88);
    a4b = _mm_shuffle_ps(_mm_set1_ps(0.0f), s49, _MM_SHUFFLE(3, 2, 1, 0));
    a3b = _mm_shuffle_ps(a4b, s49, _MM_SHUFFLE(1, 2, 3, 0));
    b3 = _mm_add_ps(a7a, a1b);
    b4 = _mm_add_ps(b3, a2b);
    a6a = _mm_add_ps(b4, a3b);
    s69 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a6a);
    a7b = _mm_shuffle_ps(t57, t17, _MM_SHUFFLE(3, 2, 1, 0));
    a6b = _mm_shuffle_ps(a7b, t17, _MM_SHUFFLE(1, 2, 3, 0));
    a0c = _mm_shuffle_ps(s39, s19, _MM_SHUFFLE(3, 2, 1, 0));
    a9b = _mm_shuffle_ps(a0c, s19, _MM_SHUFFLE(1, 2, 3, 0));
    a8b = _mm_sub_ps(s98, a9b);
    b5 = _mm_add_ps(t37, a6b);
    a5b = _mm_add_ps(b5, a8b);
    s79 = _mm_mul_ps(_mm_set1_ps(0.5f), a5b);
    a4c = _mm_shuffle_ps(t67, t27, _MM_SHUFFLE(3, 2, 1, 0));
    a3c = _mm_shuffle_ps(a4c, t27, _MM_SHUFFLE(1, 2, 3, 0));
    a2c = _mm_sub_ps(t47, a3c);
    a6c = _mm_shuffle_ps(s49, s29, _MM_SHUFFLE(3, 2, 1, 0));
    a5c = _mm_shuffle_ps(a6c, s29, _MM_SHUFFLE(1, 2, 3, 0));
    b6 = _mm_add_ps(a2c, s09);
    a1c = _mm_add_ps(b6, a5c);
    s89 = _mm_mul_ps(_mm_set1_ps(0.5f), a1c);
    a9c = _mm_shuffle_ps(t17, t37, _MM_SHUFFLE(3, 2, 1, 0));
    a8c = _mm_shuffle_ps(a9c, t37, _MM_SHUFFLE(1, 2, 3, 0));
    a2d = _mm_shuffle_ps(s19, s98, _MM_SHUFFLE(3, 2, 1, 0));
    a1d = _mm_shuffle_ps(a2d, s98, _MM_SHUFFLE(1, 2, 3, 0));
    a0d = _mm_sub_ps(s19, a1d);
    b7 = _mm_add_ps(t17, a8c);
    a7c = _mm_add_ps(b7, a0d);
    s99 = _mm_mul_ps(_mm_set1_ps(0.5f), a7c);
    a6d = _mm_shuffle_ps(t27, t47, _MM_SHUFFLE(3, 2, 1, 0));
    a5d = _mm_shuffle_ps(a6d, t47, _MM_SHUFFLE(1, 2, 3, 0));
    a4d = _mm_sub_ps(t27, a5d);
    a8d = _mm_shuffle_ps(s29, s09, _MM_SHUFFLE(3, 2, 1, 0));
    a7d = _mm_shuffle_ps(a8d, s09, _MM_SHUFFLE(1, 2, 3, 0));
    b8 = _mm_add_ps(a4d, s29);
    a3d = _mm_add_ps(b8, a7d);
    s0a = _mm_mul_ps(_mm_set1_ps(0.5f), a3d);
    a1e = _mm_shuffle_ps(t37, t96, _MM_SHUFFLE(3, 2, 1, 0));
    a0e = _mm_shuffle_ps(a1e, t96, _MM_SHUFFLE(1, 2, 3, 0));
    a4e = _mm_shuffle_ps(s98, s78, _MM_SHUFFLE(3, 2, 1, 0));
    a3e = _mm_shuffle_ps(a4e, s78, _MM_SHUFFLE(1, 2, 3, 0));
    a2e = _mm_sub_ps(s39, a3e);
    b9 = _mm_add_ps(t57, a0e);
    a9d = _mm_add_ps(b9, a2e);
    s1a = _mm_mul_ps(_mm_set1_ps(0.5f), a9d);
    a8e = _mm_shuffle_ps(t47, t07, _MM_SHUFFLE(3, 2, 1, 0));
    a7e = _mm_shuffle_ps(a8e, t07, _MM_SHUFFLE(1, 2, 3, 0));
    a6e = _mm_sub_ps(t67, a7e);
    a0f = _mm_shuffle_ps(s09, s88, _MM_SHUFFLE(3, 2, 1, 0));
    a9e = _mm_shuffle_ps(a0f, s88, _MM_SHUFFLE(1, 2, 3, 0));
    b01 = _mm_add_ps(a6e, s49);
    a5e = _mm_add_ps(b01, a9e);
    s2a = _mm_mul_ps(_mm_set1_ps(0.5f), a5e);
    s3a = _mm_unpacklo_ps(s59, s69);
    s4a = _mm_unpackhi_ps(s59, s69);
    _mm_storel_pi(((__m64  *) dst), s3a);
    a1f = (dst + 32);
    _mm_storeh_pi(((__m64  *) a1f), s3a);
    a2f = (dst + 64);
    _mm_storel_pi(((__m64  *) a2f), s4a);
    a3f = (dst + 96);
    _mm_storeh_pi(((__m64  *) a3f), s4a);
    s5a = _mm_unpacklo_ps(s79, s89);
    s6a = _mm_unpackhi_ps(s79, s89);
    a4f = (dst + 128);
    _mm_storel_pi(((__m64  *) a4f), s5a);
    a5f = (dst + 160);
    _mm_storeh_pi(((__m64  *) a5f), s5a);
    a6f = (dst + 192);
    _mm_storel_pi(((__m64  *) a6f), s6a);
    a7f = (dst + 224);
    _mm_storeh_pi(((__m64  *) a7f), s6a);
    s7a = _mm_unpacklo_ps(s99, s0a);
    s8a = _mm_unpackhi_ps(s99, s0a);
    a8f = (dst + 256);
    _mm_storel_pi(((__m64  *) a8f), s7a);
    a9f = (dst + 288);
    _mm_storeh_pi(((__m64  *) a9f), s7a);
    a0g = (dst + 320);
    _mm_storel_pi(((__m64  *) a0g), s8a);
    a1g = (dst + 352);
    _mm_storeh_pi(((__m64  *) a1g), s8a);
    s9a = _mm_unpacklo_ps(s1a, s2a);
    s0b = _mm_unpackhi_ps(s1a, s2a);
    a2g = (dst + 384);
    _mm_storel_pi(((__m64  *) a2g), s9a);
    a3g = (dst + 416);
    _mm_storeh_pi(((__m64  *) a3g), s9a);
    a4g = (dst + 448);
    _mm_storel_pi(((__m64  *) a4g), s0b);
    a5g = (dst + 480);
    _mm_storeh_pi(((__m64  *) a5g), s0b);
    a6g = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t03);
    a7g = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t23);
    s1b = _mm_add_ps(a6g, a7g);
    a8g = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t03);
    a9g = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t23);
    s2b = _mm_sub_ps(a8g, a9g);
    a0h = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t83);
    a1h = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t04);
    s3b = _mm_add_ps(a0h, a1h);
    a2h = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t83);
    a3h = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t04);
    s4b = _mm_sub_ps(a2h, a3h);
    t77 = _mm_add_ps(s1b, s3b);
    t87 = _mm_add_ps(s2b, s4b);
    t97 = _mm_sub_ps(s1b, s3b);
    t08 = _mm_sub_ps(s2b, s4b);
    a4h = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t43);
    a5h = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t63);
    s5b = _mm_add_ps(a4h, a5h);
    a6h = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t43);
    a7h = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t63);
    s6b = _mm_sub_ps(a6h, a7h);
    a8h = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t24);
    a9h = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t44);
    s7b = _mm_add_ps(a8h, a9h);
    a0i = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t24);
    a1i = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t44);
    s8b = _mm_sub_ps(a0i, a1i);
    t18 = _mm_add_ps(s5b, s7b);
    t28 = _mm_add_ps(s6b, s8b);
    t38 = _mm_sub_ps(s5b, s7b);
    t48 = _mm_sub_ps(s6b, s8b);
    t58 = _mm_add_ps(t77, t18);
    t68 = _mm_add_ps(t87, t28);
    t78 = _mm_sub_ps(t77, t18);
    t88 = _mm_sub_ps(t87, t28);
    t98 = _mm_add_ps(t97, t48);
    t09 = _mm_sub_ps(t08, t38);
    t19 = _mm_sub_ps(t97, t48);
    t29 = _mm_add_ps(t08, t38);
    s9b = _mm_unpacklo_ps(t58, t98);
    s0c = _mm_unpackhi_ps(t58, t98);
    s1c = _mm_unpacklo_ps(t68, t09);
    s2c = _mm_unpackhi_ps(t68, t09);
    s3c = _mm_unpacklo_ps(t78, t19);
    s4c = _mm_unpackhi_ps(t78, t19);
    s5c = _mm_unpacklo_ps(t88, t29);
    s6c = _mm_unpackhi_ps(t88, t29);
    s7c = _mm_shuffle_ps(s9b, s3c, _MM_SHUFFLE(1, 0, 1, 0));
    s8c = _mm_shuffle_ps(s9b, s3c, _MM_SHUFFLE(3, 2, 3, 2));
    s9c = _mm_shuffle_ps(s0c, s4c, _MM_SHUFFLE(1, 0, 1, 0));
    s0d = _mm_shuffle_ps(s0c, s4c, _MM_SHUFFLE(3, 2, 3, 2));
    s1d = _mm_shuffle_ps(s1c, s5c, _MM_SHUFFLE(1, 0, 1, 0));
    s2d = _mm_shuffle_ps(s1c, s5c, _MM_SHUFFLE(3, 2, 3, 2));
    s3d = _mm_shuffle_ps(s2c, s6c, _MM_SHUFFLE(1, 0, 1, 0));
    s4d = _mm_shuffle_ps(s2c, s6c, _MM_SHUFFLE(3, 2, 3, 2));
    a2i = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9c);
    a3i = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3d);
    s5d = _mm_sub_ps(a2i, a3i);
    a4i = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s9c);
    a5i = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3d);
    s6d = _mm_add_ps(a4i, a5i);
    t39 = _mm_add_ps(s7c, s5d);
    t49 = _mm_add_ps(s1d, s6d);
    t59 = _mm_sub_ps(s7c, s5d);
    t69 = _mm_sub_ps(s1d, s6d);
    a6i = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s8c);
    a7i = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s2d);
    s7d = _mm_sub_ps(a6i, a7i);
    a8i = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s8c);
    a9i = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s2d);
    s8d = _mm_add_ps(a8i, a9i);
    a0j = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s0d);
    a1j = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s4d);
    s9d = _mm_sub_ps(a0j, a1j);
    a2j = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s0d);
    a3j = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s4d);
    s0e = _mm_add_ps(a2j, a3j);
    t79 = _mm_add_ps(s7d, s9d);
    t89 = _mm_add_ps(s8d, s0e);
    t99 = _mm_sub_ps(s7d, s9d);
    t0a = _mm_sub_ps(s8d, s0e);
    t1a = _mm_add_ps(t39, t79);
    t2a = _mm_add_ps(t49, t89);
    t3a = _mm_sub_ps(t39, t79);
    t4a = _mm_sub_ps(t49, t89);
    s1e = _mm_unpacklo_ps(t1a, t2a);
    s2e = _mm_unpackhi_ps(t1a, t2a);
    a4j = (dst + 16);
    _mm_storel_pi(((__m64  *) a4j), s1e);
    a5j = (dst + 80);
    _mm_storeh_pi(((__m64  *) a5j), s1e);
    a6j = (dst + 144);
    _mm_storel_pi(((__m64  *) a6j), s2e);
    a7j = (dst + 208);
    _mm_storeh_pi(((__m64  *) a7j), s2e);
    a8j = _mm_unpacklo_ps(t3a, t4a);
    s3e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8j);
    a9j = _mm_unpackhi_ps(t3a, t4a);
    s4e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9j);
    a0k = (dst + 496);
    _mm_storel_pi(((__m64  *) a0k), s3e);
    a1k = (dst + 432);
    _mm_storeh_pi(((__m64  *) a1k), s3e);
    a2k = (dst + 368);
    _mm_storel_pi(((__m64  *) a2k), s4e);
    a3k = (dst + 304);
    _mm_storeh_pi(((__m64  *) a3k), s4e);
    t5a = _mm_add_ps(t59, t0a);
    t6a = _mm_sub_ps(t69, t99);
    t7a = _mm_sub_ps(t59, t0a);
    t8a = _mm_add_ps(t69, t99);
    s5e = _mm_unpacklo_ps(t5a, t6a);
    s6e = _mm_unpackhi_ps(t5a, t6a);
    a4k = (dst + 272);
    _mm_storel_pi(((__m64  *) a4k), s5e);
    a5k = (dst + 336);
    _mm_storeh_pi(((__m64  *) a5k), s5e);
    a6k = (dst + 400);
    _mm_storel_pi(((__m64  *) a6k), s6e);
    a7k = (dst + 464);
    _mm_storeh_pi(((__m64  *) a7k), s6e);
    a8k = _mm_unpacklo_ps(t7a, t8a);
    s7e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8k);
    a9k = _mm_unpackhi_ps(t7a, t8a);
    s8e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9k);
    a0l = (dst + 240);
    _mm_storel_pi(((__m64  *) a0l), s7e);
    a1l = (dst + 176);
    _mm_storeh_pi(((__m64  *) a1l), s7e);
    a2l = (dst + 112);
    _mm_storel_pi(((__m64  *) a2l), s8e);
    a3l = (dst + 48);
    _mm_storeh_pi(((__m64  *) a3l), s8e);
    {long i2; for(i2 = 0; i2 <= 6; i2++) {
        a9m = (16 * i2);
        a2p = ((__m128  *) T);
        b11 = (a2p + a9m);
        a3p = (b11 + 16);
        s9e = *(a3p);
        a4p = (b11 + 24);
        s0f = *(a4p);
        a5p = (b11 + 20);
        s1f = *(a5p);
        a6p = (b11 + 28);
        s2f = *(a6p);
        a0n = (D3 + a9m);
        a1n = *(a0n);
        a7p = (a0n + 1);
        a2n = *(a7p);
        a8p = _mm_mul_ps(a1n, s9e);
        a9p = _mm_mul_ps(a2n, s0f);
        s3f = _mm_sub_ps(a8p, a9p);
        a0q = _mm_mul_ps(a2n, s9e);
        a1q = _mm_mul_ps(a1n, s0f);
        s4f = _mm_add_ps(a0q, a1q);
        a2q = (a0n + 2);
        a3n = *(a2q);
        a3q = (a0n + 3);
        a4n = *(a3q);
        a4q = _mm_mul_ps(a3n, s1f);
        a5q = _mm_mul_ps(a4n, s2f);
        s5f = _mm_sub_ps(a4q, a5q);
        a6q = _mm_mul_ps(a4n, s1f);
        a7q = _mm_mul_ps(a3n, s2f);
        s6f = _mm_add_ps(a6q, a7q);
        t9a = _mm_add_ps(s3f, s5f);
        t0b = _mm_add_ps(s4f, s6f);
        t1b = _mm_sub_ps(s3f, s5f);
        t2b = _mm_sub_ps(s4f, s6f);
        a8q = (b11 + 18);
        s7f = *(a8q);
        a9q = (b11 + 26);
        s8f = *(a9q);
        a0r = (b11 + 22);
        s9f = *(a0r);
        a1r = (b11 + 30);
        s0g = *(a1r);
        a2r = (a0n + 4);
        a5n = *(a2r);
        a3r = (a0n + 5);
        a6n = *(a3r);
        a4r = _mm_mul_ps(a5n, s7f);
        a5r = _mm_mul_ps(a6n, s8f);
        s1g = _mm_sub_ps(a4r, a5r);
        a6r = _mm_mul_ps(a6n, s7f);
        a7r = _mm_mul_ps(a5n, s8f);
        s2g = _mm_add_ps(a6r, a7r);
        a8r = (a0n + 6);
        a7n = *(a8r);
        a9r = (a0n + 7);
        a8n = *(a9r);
        a0s = _mm_mul_ps(a7n, s9f);
        a1s = _mm_mul_ps(a8n, s0g);
        s3g = _mm_sub_ps(a0s, a1s);
        a2s = _mm_mul_ps(a8n, s9f);
        a3s = _mm_mul_ps(a7n, s0g);
        s4g = _mm_add_ps(a2s, a3s);
        t3b = _mm_add_ps(s1g, s3g);
        t4b = _mm_add_ps(s2g, s4g);
        t5b = _mm_sub_ps(s1g, s3g);
        t6b = _mm_sub_ps(s2g, s4g);
        t7b = _mm_add_ps(t9a, t3b);
        t8b = _mm_add_ps(t0b, t4b);
        t9b = _mm_sub_ps(t9a, t3b);
        t0c = _mm_sub_ps(t0b, t4b);
        t1c = _mm_add_ps(t1b, t6b);
        t2c = _mm_sub_ps(t2b, t5b);
        t3c = _mm_sub_ps(t1b, t6b);
        t4c = _mm_add_ps(t2b, t5b);
        s5g = _mm_unpacklo_ps(t7b, t1c);
        s6g = _mm_unpackhi_ps(t7b, t1c);
        s7g = _mm_unpacklo_ps(t8b, t2c);
        s8g = _mm_unpackhi_ps(t8b, t2c);
        s9g = _mm_unpacklo_ps(t9b, t3c);
        s0h = _mm_unpackhi_ps(t9b, t3c);
        s1h = _mm_unpacklo_ps(t0c, t4c);
        s2h = _mm_unpackhi_ps(t0c, t4c);
        s3h = _mm_shuffle_ps(s5g, s9g, _MM_SHUFFLE(1, 0, 1, 0));
        s4h = _mm_shuffle_ps(s5g, s9g, _MM_SHUFFLE(3, 2, 3, 2));
        s5h = _mm_shuffle_ps(s6g, s0h, _MM_SHUFFLE(1, 0, 1, 0));
        s6h = _mm_shuffle_ps(s6g, s0h, _MM_SHUFFLE(3, 2, 3, 2));
        s7h = _mm_shuffle_ps(s7g, s1h, _MM_SHUFFLE(1, 0, 1, 0));
        s8h = _mm_shuffle_ps(s7g, s1h, _MM_SHUFFLE(3, 2, 3, 2));
        s9h = _mm_shuffle_ps(s8g, s2h, _MM_SHUFFLE(1, 0, 1, 0));
        s0i = _mm_shuffle_ps(s8g, s2h, _MM_SHUFFLE(3, 2, 3, 2));
        a4s = (b11 + 17);
        s1i = *(a4s);
        a5s = (b11 + 25);
        s2i = *(a5s);
        a6s = (b11 + 21);
        s3i = *(a6s);
        a7s = (b11 + 29);
        s4i = *(a7s);
        a8s = (a0n + 8);
        a9n = *(a8s);
        a9s = (a0n + 9);
        a0o = *(a9s);
        a0t = _mm_mul_ps(a9n, s1i);
        a1t = _mm_mul_ps(a0o, s2i);
        s5i = _mm_sub_ps(a0t, a1t);
        a2t = _mm_mul_ps(a0o, s1i);
        a3t = _mm_mul_ps(a9n, s2i);
        s6i = _mm_add_ps(a2t, a3t);
        a4t = (a0n + 10);
        a1o = *(a4t);
        a5t = (a0n + 11);
        a2o = *(a5t);
        a6t = _mm_mul_ps(a1o, s3i);
        a7t = _mm_mul_ps(a2o, s4i);
        s7i = _mm_sub_ps(a6t, a7t);
        a8t = _mm_mul_ps(a2o, s3i);
        a9t = _mm_mul_ps(a1o, s4i);
        s8i = _mm_add_ps(a8t, a9t);
        t5c = _mm_add_ps(s5i, s7i);
        t6c = _mm_add_ps(s6i, s8i);
        t7c = _mm_sub_ps(s5i, s7i);
        t8c = _mm_sub_ps(s6i, s8i);
        a0u = (b11 + 19);
        s9i = *(a0u);
        a1u = (b11 + 27);
        s0j = *(a1u);
        a2u = (b11 + 23);
        s1j = *(a2u);
        a3u = (b11 + 31);
        s2j = *(a3u);
        a4u = (a0n + 12);
        a3o = *(a4u);
        a5u = (a0n + 13);
        a4o = *(a5u);
        a6u = _mm_mul_ps(a3o, s9i);
        a7u = _mm_mul_ps(a4o, s0j);
        s3j = _mm_sub_ps(a6u, a7u);
        a8u = _mm_mul_ps(a4o, s9i);
        a9u = _mm_mul_ps(a3o, s0j);
        s4j = _mm_add_ps(a8u, a9u);
        a0v = (a0n + 14);
        a5o = *(a0v);
        a1v = (a0n + 15);
        a6o = *(a1v);
        a2v = _mm_mul_ps(a5o, s1j);
        a3v = _mm_mul_ps(a6o, s2j);
        s5j = _mm_sub_ps(a2v, a3v);
        a4v = _mm_mul_ps(a6o, s1j);
        a5v = _mm_mul_ps(a5o, s2j);
        s6j = _mm_add_ps(a4v, a5v);
        t9c = _mm_add_ps(s3j, s5j);
        t0d = _mm_add_ps(s4j, s6j);
        t1d = _mm_sub_ps(s3j, s5j);
        t2d = _mm_sub_ps(s4j, s6j);
        t3d = _mm_add_ps(t5c, t9c);
        t4d = _mm_add_ps(t6c, t0d);
        t5d = _mm_sub_ps(t5c, t9c);
        t6d = _mm_sub_ps(t6c, t0d);
        t7d = _mm_add_ps(t7c, t2d);
        t8d = _mm_sub_ps(t8c, t1d);
        t9d = _mm_sub_ps(t7c, t2d);
        t0e = _mm_add_ps(t8c, t1d);
        s7j = _mm_unpacklo_ps(t3d, t7d);
        s8j = _mm_unpackhi_ps(t3d, t7d);
        s9j = _mm_unpacklo_ps(t4d, t8d);
        s0k = _mm_unpackhi_ps(t4d, t8d);
        s1k = _mm_unpacklo_ps(t5d, t9d);
        s2k = _mm_unpackhi_ps(t5d, t9d);
        s3k = _mm_unpacklo_ps(t6d, t0e);
        s4k = _mm_unpackhi_ps(t6d, t0e);
        s5k = _mm_shuffle_ps(s7j, s1k, _MM_SHUFFLE(1, 0, 1, 0));
        s6k = _mm_shuffle_ps(s7j, s1k, _MM_SHUFFLE(3, 2, 3, 2));
        s7k = _mm_shuffle_ps(s8j, s2k, _MM_SHUFFLE(1, 0, 1, 0));
        s8k = _mm_shuffle_ps(s8j, s2k, _MM_SHUFFLE(3, 2, 3, 2));
        s9k = _mm_shuffle_ps(s9j, s3k, _MM_SHUFFLE(1, 0, 1, 0));
        s0l = _mm_shuffle_ps(s9j, s3k, _MM_SHUFFLE(3, 2, 3, 2));
        s1l = _mm_shuffle_ps(s0k, s4k, _MM_SHUFFLE(1, 0, 1, 0));
        s2l = _mm_shuffle_ps(s0k, s4k, _MM_SHUFFLE(3, 2, 3, 2));
        a6v = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s5k);
        a7v = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s9k);
        s3l = _mm_sub_ps(a6v, a7v);
        a8v = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s5k);
        a9v = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9k);
        s4l = _mm_add_ps(a8v, a9v);
        t1e = _mm_add_ps(s3h, s3l);
        t2e = _mm_add_ps(s7h, s4l);
        t3e = _mm_sub_ps(s3h, s3l);
        t4e = _mm_sub_ps(s7h, s4l);
        a0w = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s5h);
        a1w = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s9h);
        s5l = _mm_sub_ps(a0w, a1w);
        a2w = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s5h);
        a3w = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s9h);
        s6l = _mm_add_ps(a2w, a3w);
        a4w = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s7k);
        a5w = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s1l);
        s7l = _mm_sub_ps(a4w, a5w);
        a6w = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s7k);
        a7w = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1l);
        s8l = _mm_add_ps(a6w, a7w);
        t5e = _mm_add_ps(s5l, s7l);
        t6e = _mm_add_ps(s6l, s8l);
        t7e = _mm_sub_ps(s5l, s7l);
        t8e = _mm_sub_ps(s6l, s8l);
        t9e = _mm_add_ps(t1e, t5e);
        t0f = _mm_add_ps(t2e, t6e);
        t1f = _mm_sub_ps(t1e, t5e);
        t2f = _mm_sub_ps(t2e, t6e);
        t3f = _mm_add_ps(t3e, t8e);
        t4f = _mm_sub_ps(t4e, t7e);
        t5f = _mm_sub_ps(t3e, t8e);
        t6f = _mm_add_ps(t4e, t7e);
        a8w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s4h);
        a9w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s8h);
        s9l = _mm_sub_ps(a8w, a9w);
        a0x = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s4h);
        a1x = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s8h);
        s0m = _mm_add_ps(a0x, a1x);
        a2x = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s6k);
        a3x = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s0l);
        s1m = _mm_sub_ps(a2x, a3x);
        a4x = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s6k);
        a5x = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0l);
        s2m = _mm_add_ps(a4x, a5x);
        t7f = _mm_add_ps(s9l, s1m);
        t8f = _mm_add_ps(s0m, s2m);
        t9f = _mm_sub_ps(s9l, s1m);
        t0g = _mm_sub_ps(s0m, s2m);
        a6x = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s6h);
        a7x = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s0i);
        s3m = _mm_sub_ps(a6x, a7x);
        a8x = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s6h);
        a9x = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s0i);
        s4m = _mm_add_ps(a8x, a9x);
        a0y = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s8k);
        a1y = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s2l);
        s5m = _mm_sub_ps(a0y, a1y);
        a2y = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s8k);
        a3y = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2l);
        s6m = _mm_add_ps(a2y, a3y);
        t1g = _mm_add_ps(s3m, s5m);
        t2g = _mm_add_ps(s4m, s6m);
        t3g = _mm_sub_ps(s3m, s5m);
        t4g = _mm_sub_ps(s4m, s6m);
        t5g = _mm_add_ps(t7f, t1g);
        t6g = _mm_add_ps(t8f, t2g);
        t7g = _mm_sub_ps(t7f, t1g);
        t8g = _mm_sub_ps(t8f, t2g);
        a4y = _mm_add_ps(t9f, t4g);
        a7o = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4y);
        a5y = _mm_sub_ps(t0g, t3g);
        a8o = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5y);
        s7m = _mm_sub_ps(a7o, a8o);
        s8m = _mm_add_ps(a7o, a8o);
        a6y = _mm_sub_ps(t9f, t4g);
        a9o = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a6y);
        a7y = _mm_add_ps(t0g, t3g);
        a0p = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a7y);
        s9m = _mm_sub_ps(a9o, a0p);
        s0n = _mm_add_ps(a9o, a0p);
        t9g = _mm_add_ps(t9e, t5g);
        t0h = _mm_add_ps(t0f, t6g);
        t1h = _mm_sub_ps(t9e, t5g);
        t2h = _mm_sub_ps(t0f, t6g);
        s1n = _mm_unpacklo_ps(t9g, t0h);
        s2n = _mm_unpackhi_ps(t9g, t0h);
        a1p = (2 * i2);
        b21 = (dst + a1p);
        a8y = (b21 + 2);
        _mm_storel_pi(((__m64  *) a8y), s1n);
        a9y = (b21 + 34);
        _mm_storeh_pi(((__m64  *) a9y), s1n);
        a0z = (b21 + 66);
        _mm_storel_pi(((__m64  *) a0z), s2n);
        a1z = (b21 + 98);
        _mm_storeh_pi(((__m64  *) a1z), s2n);
        a2z = _mm_unpacklo_ps(t1h, t2h);
        s3n = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2z);
        a3z = _mm_unpackhi_ps(t1h, t2h);
        s4n = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3z);
        b31 = (dst - a1p);
        a4z = (b31 + 510);
        _mm_storel_pi(((__m64  *) a4z), s3n);
        a5z = (b31 + 478);
        _mm_storeh_pi(((__m64  *) a5z), s3n);
        a6z = (b31 + 446);
        _mm_storel_pi(((__m64  *) a6z), s4n);
        a7z = (b31 + 414);
        _mm_storeh_pi(((__m64  *) a7z), s4n);
        t3h = _mm_add_ps(t3f, s7m);
        t4h = _mm_sub_ps(t4f, s8m);
        t5h = _mm_sub_ps(t3f, s7m);
        t6h = _mm_add_ps(t4f, s8m);
        s5n = _mm_unpacklo_ps(t3h, t4h);
        s6n = _mm_unpackhi_ps(t3h, t4h);
        a8z = (b21 + 130);
        _mm_storel_pi(((__m64  *) a8z), s5n);
        a9z = (b21 + 162);
        _mm_storeh_pi(((__m64  *) a9z), s5n);
        a0A = (b21 + 194);
        _mm_storel_pi(((__m64  *) a0A), s6n);
        a1A = (b21 + 226);
        _mm_storeh_pi(((__m64  *) a1A), s6n);
        a2A = _mm_unpacklo_ps(t5h, t6h);
        s7n = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2A);
        a3A = _mm_unpackhi_ps(t5h, t6h);
        s8n = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3A);
        a4A = (b31 + 382);
        _mm_storel_pi(((__m64  *) a4A), s7n);
        a5A = (b31 + 350);
        _mm_storeh_pi(((__m64  *) a5A), s7n);
        a6A = (b31 + 318);
        _mm_storel_pi(((__m64  *) a6A), s8n);
        a7A = (b31 + 286);
        _mm_storeh_pi(((__m64  *) a7A), s8n);
        t7h = _mm_add_ps(t1f, t8g);
        t8h = _mm_sub_ps(t2f, t7g);
        t9h = _mm_sub_ps(t1f, t8g);
        t0i = _mm_add_ps(t2f, t7g);
        s9n = _mm_unpacklo_ps(t7h, t8h);
        s0o = _mm_unpackhi_ps(t7h, t8h);
        a8A = (b21 + 258);
        _mm_storel_pi(((__m64  *) a8A), s9n);
        a9A = (b21 + 290);
        _mm_storeh_pi(((__m64  *) a9A), s9n);
        a0B = (b21 + 322);
        _mm_storel_pi(((__m64  *) a0B), s0o);
        a1B = (b21 + 354);
        _mm_storeh_pi(((__m64  *) a1B), s0o);
        a2B = _mm_unpacklo_ps(t9h, t0i);
        s1o = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2B);
        a3B = _mm_unpackhi_ps(t9h, t0i);
        s2o = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3B);
        a4B = (b31 + 254);
        _mm_storel_pi(((__m64  *) a4B), s1o);
        a5B = (b31 + 222);
        _mm_storeh_pi(((__m64  *) a5B), s1o);
        a6B = (b31 + 190);
        _mm_storel_pi(((__m64  *) a6B), s2o);
        a7B = (b31 + 158);
        _mm_storeh_pi(((__m64  *) a7B), s2o);
        t1i = _mm_add_ps(t5f, s9m);
        t2i = _mm_add_ps(t6f, s0n);
        t3i = _mm_sub_ps(t5f, s9m);
        t4i = _mm_sub_ps(t6f, s0n);
        s3o = _mm_unpacklo_ps(t1i, t2i);
        s4o = _mm_unpackhi_ps(t1i, t2i);
        a8B = (b21 + 386);
        _mm_storel_pi(((__m64  *) a8B), s3o);
        a9B = (b21 + 418);
        _mm_storeh_pi(((__m64  *) a9B), s3o);
        a0C = (b21 + 450);
        _mm_storel_pi(((__m64  *) a0C), s4o);
        a1C = (b21 + 482);
        _mm_storeh_pi(((__m64  *) a1C), s4o);
        a2C = _mm_unpacklo_ps(t3i, t4i);
        s5o = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2C);
        a3C = _mm_unpackhi_ps(t3i, t4i);
        s6o = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3C);
        a4C = (b31 + 126);
        _mm_storel_pi(((__m64  *) a4C), s5o);
        a5C = (b31 + 94);
        _mm_storeh_pi(((__m64  *) a5C), s5o);
        a6C = (b31 + 62);
        _mm_storel_pi(((__m64  *) a6C), s6o);
        a7C = (b31 + 30);
        _mm_storeh_pi(((__m64  *) a7C), s6o);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftfwd_float_512)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftfwd_float_512_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[512]);
    __m128 a09, a0a, a0b, a0c, a18, a1a, a1b, a1c, a1d, a28, a2b, a2c, a2d, a2i, a2j, a38, a39, a3a, a3b, a3c, a3d, a3i
            , a3j, a49, a4a, a4c, a4d, a5a, a5b, a5c, a6A, a6b, a6x, a6y, a6z, a79, a7A, a7a, a7b, a7c, a7x, a7y, a7z, a88
            , a89, a8a, a8c, a98, a99, a9a, a9b, a9c, b, b4, b6, b8;
    __m128 a02, a06, a07, a08, a0d, a0f, a0g, a0h, a0m, a0n, a0p, a0q, a0s, a0t, a0u, a0v, a0w, a0x, a12, a16, a17, a19
            , a1f, a1g, a1h, a1m, a1n, a1p, a1q, a1s, a1t, a1u, a1v, a1w, a1x, a22, a26, a27, a29, a2a, a2f, a2g, a2h, a2m
            , a2n, a2o, a2s, a2t, a2u, a2v, a2w, a3, a31, a35, a36, a37, a3f, a3g, a3h, a3m, a3n, a3o, a3s, a3t, a3u, a3v
            , a3w, a4, a41, a45, a46, a47, a48, a4b, a4f, a4g, a4h, a4m, a4n, a4o, a4q, a4r, a4u, a4v, a4w, a5, a51, a55
            , a56, a57, a58, a59, a5f, a5g, a5h, a5l, a5m, a5o, a5q, a5r, a5u, a5v, a5w, a6, a61, a65, a66, a67, a68, a69
            , a6a, a6c, a6f, a6g, a6h, a6l, a6m, a6q, a6r, a6t, a6u, a6v, a6w, a7, a71, a75, a76, a77, a78, a7f, a7g, a7h
            , a7l, a7m, a7q, a7r, a7t, a7u, a7v, a7w, a8, a81, a82, a85, a86, a87, a8b, a8f, a8g, a8l, a8m, a8o, a8p, a8t
            , a8u, a8v, a8w, a91, a95, a96, a97, a9f, a9g, a9l, a9m, a9o, a9p, a9t, a9u, a9v, a9w, b2, b3, b5, b7, b9
            , s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l
            , s0m, s0n, s0o, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j
            , s1k, s1l, s1m, s1n, s1o, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g
            , s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d
            , s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a
            , s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s5, s51, s52, s53, s54, s55, s56, s57
            , s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s6, s61, s62, s63, s64
            , s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s7, s71
            , s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n
            , s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l
            , s8m, s8n, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j
            , s9k, s9l, s9m, s9n, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h
            , t0i, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t2, t21, t22
            , t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t3, t31, t32, t33, t34, t35
            , t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t4, t41, t42, t43, t44, t45, t46, t47, t48
            , t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b
            , t5c, t5d, t5e, t5f, t5g, t5h, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f
            , t6g, t6h, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t8, t81
            , t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t9, t91, t92, t93, t94, t95
            , t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h;
    __m128  *a, *a01, *a03, *a04, *a05, *a0k, *a0l, *a0o, *a0r, *a11, *a13, *a14, *a15, *a1k, *a1l, *a1o, *a1r, *a2, *a21, *a23, *a24, *a25
            , *a2k, *a2l, *a2p, *a2q, *a2r, *a32, *a33, *a34, *a3k, *a3p, *a3q, *a3r, *a42, *a43, *a44, *a4k, *a4l, *a4p, *a4s, *a4t, *a52, *a53
            , *a54, *a5k, *a5p, *a5s, *a5t, *a62, *a63, *a64, *a6k, *a6n, *a6o, *a6p, *a6s, *a72, *a73, *a74, *a7k, *a7n, *a7o, *a7p, *a7s, *a83
            , *a84, *a8j, *a8k, *a8n, *a8q, *a8r, *a8s, *a9, *a92, *a93, *a94, *a9j, *a9k, *a9n, *a9q, *a9r, *a9s, *b01;
    float  *a0A, *a0B, *a0e, *a0i, *a0j, *a0y, *a0z, *a1A, *a1B, *a1e, *a1i, *a1j, *a1y, *a1z, *a2A, *a2e, *a2x, *a2y, *a2z, *a3A, *a3e, *a3x
            , *a3y, *a3z, *a4A, *a4e, *a4i, *a4j, *a4x, *a4y, *a4z, *a5A, *a5d, *a5e, *a5i, *a5j, *a5x, *a5y, *a5z, *a6d, *a6e, *a6i, *a6j, *a7d
            , *a7e, *a7i, *a7j, *a8A, *a8d, *a8e, *a8h, *a8i, *a8x, *a8y, *a8z, *a9A, *a9d, *a9e, *a9h, *a9i, *a9x, *a9y, *a9z, *b11, *b21;
    int a3l, a5n;
    {long i; for(i = 0; i <= 7; i++) {
        a23 = ((__m128  *) src);
        a = (a23 + i);
        s = *(a);
        a33 = (a + 64);
        s2 = *(a33);
        t = _mm_add_ps(s, s2);
        t2 = _mm_sub_ps(s, s2);
        a43 = (a + 32);
        s3 = *(a43);
        a53 = (a + 96);
        s4 = *(a53);
        t3 = _mm_add_ps(s3, s4);
        t4 = _mm_sub_ps(s3, s4);
        a63 = (a + 8);
        s5 = *(a63);
        a73 = (a + 72);
        s6 = *(a73);
        t5 = _mm_add_ps(s5, s6);
        t6 = _mm_sub_ps(s5, s6);
        a83 = (a + 40);
        s7 = *(a83);
        a93 = (a + 104);
        s8 = *(a93);
        t7 = _mm_add_ps(s7, s8);
        t8 = _mm_sub_ps(s7, s8);
        a04 = (a + 16);
        s9 = *(a04);
        a14 = (a + 80);
        s01 = *(a14);
        t9 = _mm_add_ps(s9, s01);
        a24 = (a + 48);
        s11 = *(a24);
        a34 = (a + 112);
        s21 = *(a34);
        t01 = _mm_add_ps(s11, s21);
        a44 = (a + 24);
        s31 = *(a44);
        a54 = (a + 88);
        s41 = *(a54);
        t11 = _mm_add_ps(s31, s41);
        t21 = _mm_sub_ps(s31, s41);
        a64 = (a + 56);
        s51 = *(a64);
        a74 = (a + 120);
        s61 = *(a74);
        t31 = _mm_add_ps(s51, s61);
        t41 = _mm_sub_ps(s51, s61);
        t51 = _mm_add_ps(t, t3);
        t61 = _mm_sub_ps(t, t3);
        t71 = _mm_add_ps(t9, t01);
        t81 = _mm_sub_ps(t9, t01);
        t91 = _mm_add_ps(t5, t7);
        t02 = _mm_add_ps(t11, t31);
        a84 = ((__m128  *) T);
        a2 = (a84 + i);
        s71 = _mm_add_ps(t51, t71);
        *(a2) = s71;
        s81 = _mm_sub_ps(t51, t71);
        a94 = (a2 + 64);
        *(a94) = s81;
        s91 = _mm_add_ps(t91, t02);
        a05 = (a2 + 8);
        *(a05) = s91;
        s02 = _mm_sub_ps(t02, t91);
        a15 = (a2 + 72);
        *(a15) = s02;
        a7 = _mm_sub_ps(t5, t7);
        a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a7);
        a8 = _mm_sub_ps(t11, t31);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a8);
        s12 = _mm_add_ps(a3, a4);
        s22 = _mm_sub_ps(a4, a3);
        s32 = _mm_add_ps(t61, s12);
        a9 = (a2 + 32);
        *(a9) = s32;
        s42 = _mm_sub_ps(s22, t81);
        a01 = (a2 + 40);
        *(a01) = s42;
        s52 = _mm_sub_ps(t61, s12);
        a11 = (a2 + 96);
        *(a11) = s52;
        s62 = _mm_add_ps(t81, s22);
        a21 = (a2 + 104);
        *(a21) = s62;
        a31 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6);
        a41 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t8);
        s72 = _mm_add_ps(a31, a41);
        a51 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t6);
        a61 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8);
        s82 = _mm_sub_ps(a51, a61);
        a71 = _mm_sub_ps(s9, s01);
        a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a71);
        a81 = _mm_sub_ps(s11, s21);
        a6 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a81);
        s92 = _mm_add_ps(a5, a6);
        s03 = _mm_sub_ps(a6, a5);
        a91 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t21);
        a02 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t41);
        s13 = _mm_add_ps(a91, a02);
        a12 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t21);
        a22 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t41);
        s23 = _mm_sub_ps(a12, a22);
        t12 = _mm_add_ps(t2, s92);
        t22 = _mm_sub_ps(s03, t4);
        t32 = _mm_sub_ps(t2, s92);
        t42 = _mm_add_ps(t4, s03);
        t52 = _mm_add_ps(s72, s13);
        t62 = _mm_add_ps(s82, s23);
        t72 = _mm_sub_ps(s72, s13);
        t82 = _mm_sub_ps(s82, s23);
        s33 = _mm_add_ps(t12, t52);
        a32 = (a2 + 16);
        *(a32) = s33;
        s43 = _mm_add_ps(t22, t62);
        a42 = (a2 + 24);
        *(a42) = s43;
        s53 = _mm_sub_ps(t12, t52);
        a52 = (a2 + 112);
        *(a52) = s53;
        s63 = _mm_sub_ps(t62, t22);
        a62 = (a2 + 120);
        *(a62) = s63;
        s73 = _mm_add_ps(t32, t82);
        a72 = (a2 + 80);
        *(a72) = s73;
        a82 = _mm_add_ps(t42, t72);
        s83 = _mm_sub_ps(_mm_set1_ps(0.0f), a82);
        a92 = (a2 + 88);
        *(a92) = s83;
        s93 = _mm_sub_ps(t32, t82);
        a03 = (a2 + 48);
        *(a03) = s93;
        s04 = _mm_sub_ps(t42, t72);
        a13 = (a2 + 56);
        *(a13) = s04;
    }}
    a25 = ((__m128  *) T);
    s14 = *(a25);
    a8j = (a25 + 8);
    s24 = *(a8j);
    t92 = _mm_add_ps(s14, s24);
    t03 = _mm_sub_ps(s14, s24);
    a9j = (a25 + 4);
    s34 = *(a9j);
    a0k = (a25 + 12);
    s44 = *(a0k);
    t13 = _mm_add_ps(s34, s44);
    t23 = _mm_sub_ps(s34, s44);
    a1k = (a25 + 1);
    s54 = *(a1k);
    a2k = (a25 + 9);
    s64 = *(a2k);
    t33 = _mm_add_ps(s54, s64);
    t43 = _mm_sub_ps(s54, s64);
    a3k = (a25 + 5);
    s74 = *(a3k);
    a4k = (a25 + 13);
    s84 = *(a4k);
    t53 = _mm_add_ps(s74, s84);
    t63 = _mm_sub_ps(s74, s84);
    a5k = (a25 + 2);
    s94 = *(a5k);
    a6k = (a25 + 10);
    s05 = *(a6k);
    t73 = _mm_add_ps(s94, s05);
    t83 = _mm_sub_ps(s94, s05);
    a7k = (a25 + 6);
    s15 = *(a7k);
    a8k = (a25 + 14);
    s25 = *(a8k);
    t93 = _mm_add_ps(s15, s25);
    t04 = _mm_sub_ps(s15, s25);
    a9k = (a25 + 3);
    s35 = *(a9k);
    a0l = (a25 + 11);
    s45 = *(a0l);
    t14 = _mm_add_ps(s35, s45);
    t24 = _mm_sub_ps(s35, s45);
    a1l = (a25 + 7);
    s55 = *(a1l);
    a2l = (a25 + 15);
    s65 = *(a2l);
    t34 = _mm_add_ps(s55, s65);
    t44 = _mm_sub_ps(s55, s65);
    s75 = _mm_shuffle_ps(t92, t33, _MM_SHUFFLE(2, 0, 2, 0));
    s85 = _mm_shuffle_ps(t92, t33, _MM_SHUFFLE(3, 1, 3, 1));
    s95 = _mm_shuffle_ps(t13, t53, _MM_SHUFFLE(2, 0, 2, 0));
    s06 = _mm_shuffle_ps(t13, t53, _MM_SHUFFLE(3, 1, 3, 1));
    t54 = _mm_add_ps(s75, s95);
    t64 = _mm_add_ps(s85, s06);
    t74 = _mm_sub_ps(s75, s95);
    t84 = _mm_sub_ps(s85, s06);
    s16 = _mm_shuffle_ps(t73, t14, _MM_SHUFFLE(2, 0, 2, 0));
    s26 = _mm_shuffle_ps(t73, t14, _MM_SHUFFLE(3, 1, 3, 1));
    s36 = _mm_shuffle_ps(t93, t34, _MM_SHUFFLE(2, 0, 2, 0));
    s46 = _mm_shuffle_ps(t93, t34, _MM_SHUFFLE(3, 1, 3, 1));
    t94 = _mm_add_ps(s16, s36);
    t05 = _mm_add_ps(s26, s46);
    t15 = _mm_sub_ps(s16, s36);
    t25 = _mm_sub_ps(s26, s46);
    t35 = _mm_add_ps(t54, t94);
    t45 = _mm_add_ps(t64, t05);
    t55 = _mm_sub_ps(t54, t94);
    t65 = _mm_sub_ps(t64, t05);
    t75 = _mm_add_ps(t74, t25);
    t85 = _mm_sub_ps(t84, t15);
    t95 = _mm_sub_ps(t74, t25);
    t06 = _mm_add_ps(t84, t15);
    s56 = _mm_unpacklo_ps(t35, t75);
    s66 = _mm_unpackhi_ps(t35, t75);
    s76 = _mm_unpacklo_ps(t45, t85);
    s86 = _mm_unpackhi_ps(t45, t85);
    s96 = _mm_unpacklo_ps(t55, t95);
    s07 = _mm_unpackhi_ps(t55, t95);
    s17 = _mm_unpacklo_ps(t65, t06);
    s27 = _mm_unpackhi_ps(t65, t06);
    s37 = _mm_shuffle_ps(s56, s96, _MM_SHUFFLE(1, 0, 1, 0));
    s47 = _mm_shuffle_ps(s56, s96, _MM_SHUFFLE(3, 2, 3, 2));
    s57 = _mm_shuffle_ps(s66, s07, _MM_SHUFFLE(1, 0, 1, 0));
    s67 = _mm_shuffle_ps(s66, s07, _MM_SHUFFLE(3, 2, 3, 2));
    s77 = _mm_shuffle_ps(s76, s17, _MM_SHUFFLE(1, 0, 1, 0));
    s87 = _mm_shuffle_ps(s76, s17, _MM_SHUFFLE(3, 2, 3, 2));
    s97 = _mm_shuffle_ps(s86, s27, _MM_SHUFFLE(1, 0, 1, 0));
    s08 = _mm_shuffle_ps(s86, s27, _MM_SHUFFLE(3, 2, 3, 2));
    a35 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s57);
    a45 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s97);
    s18 = _mm_sub_ps(a35, a45);
    a55 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s57);
    a65 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s97);
    s28 = _mm_add_ps(a55, a65);
    t16 = _mm_add_ps(s37, s18);
    t26 = _mm_add_ps(s77, s28);
    t36 = _mm_sub_ps(s37, s18);
    t46 = _mm_sub_ps(s77, s28);
    a75 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s47);
    a85 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s87);
    s38 = _mm_sub_ps(a75, a85);
    a95 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s47);
    a06 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s87);
    s48 = _mm_add_ps(a95, a06);
    a16 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s67);
    a26 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s08);
    s58 = _mm_sub_ps(a16, a26);
    a36 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s67);
    a46 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s08);
    s68 = _mm_add_ps(a36, a46);
    t56 = _mm_add_ps(s38, s58);
    t66 = _mm_add_ps(s48, s68);
    t76 = _mm_sub_ps(s38, s58);
    t86 = _mm_sub_ps(s48, s68);
    t96 = _mm_add_ps(t16, t56);
    t07 = _mm_add_ps(t26, t66);
    t17 = _mm_sub_ps(t16, t56);
    t27 = _mm_sub_ps(t26, t66);
    t37 = _mm_add_ps(t36, t86);
    t47 = _mm_sub_ps(t46, t76);
    t57 = _mm_sub_ps(t36, t86);
    t67 = _mm_add_ps(t46, t76);
    a56 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t96);
    a66 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t07);
    s78 = _mm_sub_ps(a56, a66);
    a76 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t96);
    a86 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t07);
    s88 = _mm_add_ps(a76, a86);
    a96 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t37);
    a07 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t47);
    s98 = _mm_sub_ps(a96, a07);
    a17 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t37);
    a27 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t47);
    s09 = _mm_add_ps(a17, a27);
    a37 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t17);
    a47 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t27);
    s19 = _mm_sub_ps(a37, a47);
    a57 = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t17);
    a67 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t27);
    s29 = _mm_add_ps(a57, a67);
    a77 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t57);
    a87 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t67);
    s39 = _mm_sub_ps(a77, a87);
    a97 = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t57);
    a08 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t67);
    s49 = _mm_add_ps(a97, a08);
    a38 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t57, _MM_SHUFFLE(3, 2, 1, 0));
    a28 = _mm_shuffle_ps(a38, t57, _MM_SHUFFLE(1, 2, 3, 0));
    a68 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s78);
    a78 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s88);
    a58 = _mm_add_ps(a68, a78);
    a98 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s39, _MM_SHUFFLE(3, 2, 1, 0));
    a88 = _mm_shuffle_ps(a98, s39, _MM_SHUFFLE(1, 2, 3, 0));
    a48 = _mm_sub_ps(a58, a88);
    b = _mm_add_ps(t96, a28);
    a18 = _mm_add_ps(b, a48);
    s59 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a18);
    a29 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t07);
    a49 = _mm_shuffle_ps(_mm_set1_ps(0.0f), t67, _MM_SHUFFLE(3, 2, 1, 0));
    a39 = _mm_shuffle_ps(a49, t67, _MM_SHUFFLE(1, 2, 3, 0));
    a19 = _mm_sub_ps(a29, a39);
    a59 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s78);
    a69 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s88);
    a89 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s49, _MM_SHUFFLE(3, 2, 1, 0));
    a79 = _mm_shuffle_ps(a89, s49, _MM_SHUFFLE(1, 2, 3, 0));
    b2 = _mm_add_ps(a19, a59);
    b3 = _mm_add_ps(b2, a69);
    a09 = _mm_add_ps(b3, a79);
    s69 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a09);
    a1a = _mm_shuffle_ps(t57, t17, _MM_SHUFFLE(3, 2, 1, 0));
    a0a = _mm_shuffle_ps(a1a, t17, _MM_SHUFFLE(1, 2, 3, 0));
    a4a = _mm_shuffle_ps(s39, s19, _MM_SHUFFLE(3, 2, 1, 0));
    a3a = _mm_shuffle_ps(a4a, s19, _MM_SHUFFLE(1, 2, 3, 0));
    a2a = _mm_sub_ps(s98, a3a);
    b4 = _mm_add_ps(t37, a0a);
    a99 = _mm_add_ps(b4, a2a);
    s79 = _mm_mul_ps(_mm_set1_ps(0.5f), a99);
    a8a = _mm_shuffle_ps(t67, t27, _MM_SHUFFLE(3, 2, 1, 0));
    a7a = _mm_shuffle_ps(a8a, t27, _MM_SHUFFLE(1, 2, 3, 0));
    a6a = _mm_sub_ps(t47, a7a);
    a0b = _mm_shuffle_ps(s49, s29, _MM_SHUFFLE(3, 2, 1, 0));
    a9a = _mm_shuffle_ps(a0b, s29, _MM_SHUFFLE(1, 2, 3, 0));
    b5 = _mm_add_ps(a6a, s09);
    a5a = _mm_add_ps(b5, a9a);
    s89 = _mm_mul_ps(_mm_set1_ps(0.5f), a5a);
    a3b = _mm_shuffle_ps(t17, t37, _MM_SHUFFLE(3, 2, 1, 0));
    a2b = _mm_shuffle_ps(a3b, t37, _MM_SHUFFLE(1, 2, 3, 0));
    a6b = _mm_shuffle_ps(s19, s98, _MM_SHUFFLE(3, 2, 1, 0));
    a5b = _mm_shuffle_ps(a6b, s98, _MM_SHUFFLE(1, 2, 3, 0));
    a4b = _mm_sub_ps(s19, a5b);
    b6 = _mm_add_ps(t17, a2b);
    a1b = _mm_add_ps(b6, a4b);
    s99 = _mm_mul_ps(_mm_set1_ps(0.5f), a1b);
    a0c = _mm_shuffle_ps(t27, t47, _MM_SHUFFLE(3, 2, 1, 0));
    a9b = _mm_shuffle_ps(a0c, t47, _MM_SHUFFLE(1, 2, 3, 0));
    a8b = _mm_sub_ps(t27, a9b);
    a2c = _mm_shuffle_ps(s29, s09, _MM_SHUFFLE(3, 2, 1, 0));
    a1c = _mm_shuffle_ps(a2c, s09, _MM_SHUFFLE(1, 2, 3, 0));
    b7 = _mm_add_ps(a8b, s29);
    a7b = _mm_add_ps(b7, a1c);
    s0a = _mm_mul_ps(_mm_set1_ps(0.5f), a7b);
    a5c = _mm_shuffle_ps(t37, t96, _MM_SHUFFLE(3, 2, 1, 0));
    a4c = _mm_shuffle_ps(a5c, t96, _MM_SHUFFLE(1, 2, 3, 0));
    a8c = _mm_shuffle_ps(s98, s78, _MM_SHUFFLE(3, 2, 1, 0));
    a7c = _mm_shuffle_ps(a8c, s78, _MM_SHUFFLE(1, 2, 3, 0));
    a6c = _mm_sub_ps(s39, a7c);
    b8 = _mm_add_ps(t57, a4c);
    a3c = _mm_add_ps(b8, a6c);
    s1a = _mm_mul_ps(_mm_set1_ps(0.5f), a3c);
    a2d = _mm_shuffle_ps(t47, t07, _MM_SHUFFLE(3, 2, 1, 0));
    a1d = _mm_shuffle_ps(a2d, t07, _MM_SHUFFLE(1, 2, 3, 0));
    a0d = _mm_sub_ps(t67, a1d);
    a4d = _mm_shuffle_ps(s09, s88, _MM_SHUFFLE(3, 2, 1, 0));
    a3d = _mm_shuffle_ps(a4d, s88, _MM_SHUFFLE(1, 2, 3, 0));
    b9 = _mm_add_ps(a0d, s49);
    a9c = _mm_add_ps(b9, a3d);
    s2a = _mm_mul_ps(_mm_set1_ps(0.5f), a9c);
    s3a = _mm_unpacklo_ps(s59, s69);
    s4a = _mm_unpackhi_ps(s59, s69);
    _mm_storel_pi(((__m64  *) dst), s3a);
    a5d = (dst + 32);
    _mm_storeh_pi(((__m64  *) a5d), s3a);
    a6d = (dst + 64);
    _mm_storel_pi(((__m64  *) a6d), s4a);
    a7d = (dst + 96);
    _mm_storeh_pi(((__m64  *) a7d), s4a);
    s5a = _mm_unpacklo_ps(s79, s89);
    s6a = _mm_unpackhi_ps(s79, s89);
    a8d = (dst + 128);
    _mm_storel_pi(((__m64  *) a8d), s5a);
    a9d = (dst + 160);
    _mm_storeh_pi(((__m64  *) a9d), s5a);
    a0e = (dst + 192);
    _mm_storel_pi(((__m64  *) a0e), s6a);
    a1e = (dst + 224);
    _mm_storeh_pi(((__m64  *) a1e), s6a);
    s7a = _mm_unpacklo_ps(s99, s0a);
    s8a = _mm_unpackhi_ps(s99, s0a);
    a2e = (dst + 256);
    _mm_storel_pi(((__m64  *) a2e), s7a);
    a3e = (dst + 288);
    _mm_storeh_pi(((__m64  *) a3e), s7a);
    a4e = (dst + 320);
    _mm_storel_pi(((__m64  *) a4e), s8a);
    a5e = (dst + 352);
    _mm_storeh_pi(((__m64  *) a5e), s8a);
    s9a = _mm_unpacklo_ps(s1a, s2a);
    s0b = _mm_unpackhi_ps(s1a, s2a);
    a6e = (dst + 384);
    _mm_storel_pi(((__m64  *) a6e), s9a);
    a7e = (dst + 416);
    _mm_storeh_pi(((__m64  *) a7e), s9a);
    a8e = (dst + 448);
    _mm_storel_pi(((__m64  *) a8e), s0b);
    a9e = (dst + 480);
    _mm_storeh_pi(((__m64  *) a9e), s0b);
    a0f = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t03);
    a1f = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t23);
    s1b = _mm_add_ps(a0f, a1f);
    a2f = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t03);
    a3f = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t23);
    s2b = _mm_sub_ps(a2f, a3f);
    a4f = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t83);
    a5f = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t04);
    s3b = _mm_add_ps(a4f, a5f);
    a6f = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t83);
    a7f = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t04);
    s4b = _mm_sub_ps(a6f, a7f);
    t77 = _mm_add_ps(s1b, s3b);
    t87 = _mm_add_ps(s2b, s4b);
    t97 = _mm_sub_ps(s1b, s3b);
    t08 = _mm_sub_ps(s2b, s4b);
    a8f = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t43);
    a9f = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t63);
    s5b = _mm_add_ps(a8f, a9f);
    a0g = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t43);
    a1g = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t63);
    s6b = _mm_sub_ps(a0g, a1g);
    a2g = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t24);
    a3g = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t44);
    s7b = _mm_add_ps(a2g, a3g);
    a4g = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t24);
    a5g = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t44);
    s8b = _mm_sub_ps(a4g, a5g);
    t18 = _mm_add_ps(s5b, s7b);
    t28 = _mm_add_ps(s6b, s8b);
    t38 = _mm_sub_ps(s5b, s7b);
    t48 = _mm_sub_ps(s6b, s8b);
    t58 = _mm_add_ps(t77, t18);
    t68 = _mm_add_ps(t87, t28);
    t78 = _mm_sub_ps(t77, t18);
    t88 = _mm_sub_ps(t87, t28);
    t98 = _mm_add_ps(t97, t48);
    t09 = _mm_sub_ps(t08, t38);
    t19 = _mm_sub_ps(t97, t48);
    t29 = _mm_add_ps(t08, t38);
    s9b = _mm_unpacklo_ps(t58, t98);
    s0c = _mm_unpackhi_ps(t58, t98);
    s1c = _mm_unpacklo_ps(t68, t09);
    s2c = _mm_unpackhi_ps(t68, t09);
    s3c = _mm_unpacklo_ps(t78, t19);
    s4c = _mm_unpackhi_ps(t78, t19);
    s5c = _mm_unpacklo_ps(t88, t29);
    s6c = _mm_unpackhi_ps(t88, t29);
    s7c = _mm_shuffle_ps(s9b, s3c, _MM_SHUFFLE(1, 0, 1, 0));
    s8c = _mm_shuffle_ps(s9b, s3c, _MM_SHUFFLE(3, 2, 3, 2));
    s9c = _mm_shuffle_ps(s0c, s4c, _MM_SHUFFLE(1, 0, 1, 0));
    s0d = _mm_shuffle_ps(s0c, s4c, _MM_SHUFFLE(3, 2, 3, 2));
    s1d = _mm_shuffle_ps(s1c, s5c, _MM_SHUFFLE(1, 0, 1, 0));
    s2d = _mm_shuffle_ps(s1c, s5c, _MM_SHUFFLE(3, 2, 3, 2));
    s3d = _mm_shuffle_ps(s2c, s6c, _MM_SHUFFLE(1, 0, 1, 0));
    s4d = _mm_shuffle_ps(s2c, s6c, _MM_SHUFFLE(3, 2, 3, 2));
    a6g = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9c);
    a7g = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3d);
    s5d = _mm_sub_ps(a6g, a7g);
    a8g = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s9c);
    a9g = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3d);
    s6d = _mm_add_ps(a8g, a9g);
    t39 = _mm_add_ps(s7c, s5d);
    t49 = _mm_add_ps(s1d, s6d);
    t59 = _mm_sub_ps(s7c, s5d);
    t69 = _mm_sub_ps(s1d, s6d);
    a0h = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s8c);
    a1h = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s2d);
    s7d = _mm_sub_ps(a0h, a1h);
    a2h = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s8c);
    a3h = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s2d);
    s8d = _mm_add_ps(a2h, a3h);
    a4h = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s0d);
    a5h = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s4d);
    s9d = _mm_sub_ps(a4h, a5h);
    a6h = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s0d);
    a7h = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s4d);
    s0e = _mm_add_ps(a6h, a7h);
    t79 = _mm_add_ps(s7d, s9d);
    t89 = _mm_add_ps(s8d, s0e);
    t99 = _mm_sub_ps(s7d, s9d);
    t0a = _mm_sub_ps(s8d, s0e);
    t1a = _mm_add_ps(t39, t79);
    t2a = _mm_add_ps(t49, t89);
    t3a = _mm_sub_ps(t39, t79);
    t4a = _mm_sub_ps(t49, t89);
    s1e = _mm_unpacklo_ps(t1a, t2a);
    s2e = _mm_unpackhi_ps(t1a, t2a);
    a8h = (dst + 16);
    _mm_storel_pi(((__m64  *) a8h), s1e);
    a9h = (dst + 80);
    _mm_storeh_pi(((__m64  *) a9h), s1e);
    a0i = (dst + 144);
    _mm_storel_pi(((__m64  *) a0i), s2e);
    a1i = (dst + 208);
    _mm_storeh_pi(((__m64  *) a1i), s2e);
    a2i = _mm_unpacklo_ps(t3a, t4a);
    s3e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2i);
    a3i = _mm_unpackhi_ps(t3a, t4a);
    s4e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3i);
    a4i = (dst + 496);
    _mm_storel_pi(((__m64  *) a4i), s3e);
    a5i = (dst + 432);
    _mm_storeh_pi(((__m64  *) a5i), s3e);
    a6i = (dst + 368);
    _mm_storel_pi(((__m64  *) a6i), s4e);
    a7i = (dst + 304);
    _mm_storeh_pi(((__m64  *) a7i), s4e);
    t5a = _mm_add_ps(t59, t0a);
    t6a = _mm_sub_ps(t69, t99);
    t7a = _mm_sub_ps(t59, t0a);
    t8a = _mm_add_ps(t69, t99);
    s5e = _mm_unpacklo_ps(t5a, t6a);
    s6e = _mm_unpackhi_ps(t5a, t6a);
    a8i = (dst + 272);
    _mm_storel_pi(((__m64  *) a8i), s5e);
    a9i = (dst + 336);
    _mm_storeh_pi(((__m64  *) a9i), s5e);
    a0j = (dst + 400);
    _mm_storel_pi(((__m64  *) a0j), s6e);
    a1j = (dst + 464);
    _mm_storeh_pi(((__m64  *) a1j), s6e);
    a2j = _mm_unpacklo_ps(t7a, t8a);
    s7e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2j);
    a3j = _mm_unpackhi_ps(t7a, t8a);
    s8e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3j);
    a4j = (dst + 240);
    _mm_storel_pi(((__m64  *) a4j), s7e);
    a5j = (dst + 176);
    _mm_storeh_pi(((__m64  *) a5j), s7e);
    a6j = (dst + 112);
    _mm_storel_pi(((__m64  *) a6j), s8e);
    a7j = (dst + 48);
    _mm_storeh_pi(((__m64  *) a7j), s8e);
    {long i2; for(i2 = 0; i2 <= 6; i2++) {
        a3l = (16 * i2);
        a6n = ((__m128  *) T);
        b01 = (a6n + a3l);
        a7n = (b01 + 16);
        s9e = *(a7n);
        a8n = (b01 + 24);
        s0f = *(a8n);
        a9n = (b01 + 20);
        s1f = *(a9n);
        a0o = (b01 + 28);
        s2f = *(a0o);
        a4l = (D4 + a3l);
        a5l = *(a4l);
        a1o = (a4l + 1);
        a6l = *(a1o);
        a2o = _mm_mul_ps(a5l, s9e);
        a3o = _mm_mul_ps(a6l, s0f);
        s3f = _mm_sub_ps(a2o, a3o);
        a4o = _mm_mul_ps(a6l, s9e);
        a5o = _mm_mul_ps(a5l, s0f);
        s4f = _mm_add_ps(a4o, a5o);
        a6o = (a4l + 2);
        a7l = *(a6o);
        a7o = (a4l + 3);
        a8l = *(a7o);
        a8o = _mm_mul_ps(a7l, s1f);
        a9o = _mm_mul_ps(a8l, s2f);
        s5f = _mm_sub_ps(a8o, a9o);
        a0p = _mm_mul_ps(a8l, s1f);
        a1p = _mm_mul_ps(a7l, s2f);
        s6f = _mm_add_ps(a0p, a1p);
        t9a = _mm_add_ps(s3f, s5f);
        t0b = _mm_add_ps(s4f, s6f);
        t1b = _mm_sub_ps(s3f, s5f);
        t2b = _mm_sub_ps(s4f, s6f);
        a2p = (b01 + 18);
        s7f = *(a2p);
        a3p = (b01 + 26);
        s8f = *(a3p);
        a4p = (b01 + 22);
        s9f = *(a4p);
        a5p = (b01 + 30);
        s0g = *(a5p);
        a6p = (a4l + 4);
        a9l = *(a6p);
        a7p = (a4l + 5);
        a0m = *(a7p);
        a8p = _mm_mul_ps(a9l, s7f);
        a9p = _mm_mul_ps(a0m, s8f);
        s1g = _mm_sub_ps(a8p, a9p);
        a0q = _mm_mul_ps(a0m, s7f);
        a1q = _mm_mul_ps(a9l, s8f);
        s2g = _mm_add_ps(a0q, a1q);
        a2q = (a4l + 6);
        a1m = *(a2q);
        a3q = (a4l + 7);
        a2m = *(a3q);
        a4q = _mm_mul_ps(a1m, s9f);
        a5q = _mm_mul_ps(a2m, s0g);
        s3g = _mm_sub_ps(a4q, a5q);
        a6q = _mm_mul_ps(a2m, s9f);
        a7q = _mm_mul_ps(a1m, s0g);
        s4g = _mm_add_ps(a6q, a7q);
        t3b = _mm_add_ps(s1g, s3g);
        t4b = _mm_add_ps(s2g, s4g);
        t5b = _mm_sub_ps(s1g, s3g);
        t6b = _mm_sub_ps(s2g, s4g);
        t7b = _mm_add_ps(t9a, t3b);
        t8b = _mm_add_ps(t0b, t4b);
        t9b = _mm_sub_ps(t9a, t3b);
        t0c = _mm_sub_ps(t0b, t4b);
        t1c = _mm_add_ps(t1b, t6b);
        t2c = _mm_sub_ps(t2b, t5b);
        t3c = _mm_sub_ps(t1b, t6b);
        t4c = _mm_add_ps(t2b, t5b);
        s5g = _mm_unpacklo_ps(t7b, t1c);
        s6g = _mm_unpackhi_ps(t7b, t1c);
        s7g = _mm_unpacklo_ps(t8b, t2c);
        s8g = _mm_unpackhi_ps(t8b, t2c);
        s9g = _mm_unpacklo_ps(t9b, t3c);
        s0h = _mm_unpackhi_ps(t9b, t3c);
        s1h = _mm_unpacklo_ps(t0c, t4c);
        s2h = _mm_unpackhi_ps(t0c, t4c);
        s3h = _mm_shuffle_ps(s5g, s9g, _MM_SHUFFLE(1, 0, 1, 0));
        s4h = _mm_shuffle_ps(s5g, s9g, _MM_SHUFFLE(3, 2, 3, 2));
        s5h = _mm_shuffle_ps(s6g, s0h, _MM_SHUFFLE(1, 0, 1, 0));
        s6h = _mm_shuffle_ps(s6g, s0h, _MM_SHUFFLE(3, 2, 3, 2));
        s7h = _mm_shuffle_ps(s7g, s1h, _MM_SHUFFLE(1, 0, 1, 0));
        s8h = _mm_shuffle_ps(s7g, s1h, _MM_SHUFFLE(3, 2, 3, 2));
        s9h = _mm_shuffle_ps(s8g, s2h, _MM_SHUFFLE(1, 0, 1, 0));
        s0i = _mm_shuffle_ps(s8g, s2h, _MM_SHUFFLE(3, 2, 3, 2));
        a8q = (b01 + 17);
        s1i = *(a8q);
        a9q = (b01 + 25);
        s2i = *(a9q);
        a0r = (b01 + 21);
        s3i = *(a0r);
        a1r = (b01 + 29);
        s4i = *(a1r);
        a2r = (a4l + 8);
        a3m = *(a2r);
        a3r = (a4l + 9);
        a4m = *(a3r);
        a4r = _mm_mul_ps(a3m, s1i);
        a5r = _mm_mul_ps(a4m, s2i);
        s5i = _mm_sub_ps(a4r, a5r);
        a6r = _mm_mul_ps(a4m, s1i);
        a7r = _mm_mul_ps(a3m, s2i);
        s6i = _mm_add_ps(a6r, a7r);
        a8r = (a4l + 10);
        a5m = *(a8r);
        a9r = (a4l + 11);
        a6m = *(a9r);
        a0s = _mm_mul_ps(a5m, s3i);
        a1s = _mm_mul_ps(a6m, s4i);
        s7i = _mm_sub_ps(a0s, a1s);
        a2s = _mm_mul_ps(a6m, s3i);
        a3s = _mm_mul_ps(a5m, s4i);
        s8i = _mm_add_ps(a2s, a3s);
        t5c = _mm_add_ps(s5i, s7i);
        t6c = _mm_add_ps(s6i, s8i);
        t7c = _mm_sub_ps(s5i, s7i);
        t8c = _mm_sub_ps(s6i, s8i);
        a4s = (b01 + 19);
        s9i = *(a4s);
        a5s = (b01 + 27);
        s0j = *(a5s);
        a6s = (b01 + 23);
        s1j = *(a6s);
        a7s = (b01 + 31);
        s2j = *(a7s);
        a8s = (a4l + 12);
        a7m = *(a8s);
        a9s = (a4l + 13);
        a8m = *(a9s);
        a0t = _mm_mul_ps(a7m, s9i);
        a1t = _mm_mul_ps(a8m, s0j);
        s3j = _mm_sub_ps(a0t, a1t);
        a2t = _mm_mul_ps(a8m, s9i);
        a3t = _mm_mul_ps(a7m, s0j);
        s4j = _mm_add_ps(a2t, a3t);
        a4t = (a4l + 14);
        a9m = *(a4t);
        a5t = (a4l + 15);
        a0n = *(a5t);
        a6t = _mm_mul_ps(a9m, s1j);
        a7t = _mm_mul_ps(a0n, s2j);
        s5j = _mm_sub_ps(a6t, a7t);
        a8t = _mm_mul_ps(a0n, s1j);
        a9t = _mm_mul_ps(a9m, s2j);
        s6j = _mm_add_ps(a8t, a9t);
        t9c = _mm_add_ps(s3j, s5j);
        t0d = _mm_add_ps(s4j, s6j);
        t1d = _mm_sub_ps(s3j, s5j);
        t2d = _mm_sub_ps(s4j, s6j);
        t3d = _mm_add_ps(t5c, t9c);
        t4d = _mm_add_ps(t6c, t0d);
        t5d = _mm_sub_ps(t5c, t9c);
        t6d = _mm_sub_ps(t6c, t0d);
        t7d = _mm_add_ps(t7c, t2d);
        t8d = _mm_sub_ps(t8c, t1d);
        t9d = _mm_sub_ps(t7c, t2d);
        t0e = _mm_add_ps(t8c, t1d);
        s7j = _mm_unpacklo_ps(t3d, t7d);
        s8j = _mm_unpackhi_ps(t3d, t7d);
        s9j = _mm_unpacklo_ps(t4d, t8d);
        s0k = _mm_unpackhi_ps(t4d, t8d);
        s1k = _mm_unpacklo_ps(t5d, t9d);
        s2k = _mm_unpackhi_ps(t5d, t9d);
        s3k = _mm_unpacklo_ps(t6d, t0e);
        s4k = _mm_unpackhi_ps(t6d, t0e);
        s5k = _mm_shuffle_ps(s7j, s1k, _MM_SHUFFLE(1, 0, 1, 0));
        s6k = _mm_shuffle_ps(s7j, s1k, _MM_SHUFFLE(3, 2, 3, 2));
        s7k = _mm_shuffle_ps(s8j, s2k, _MM_SHUFFLE(1, 0, 1, 0));
        s8k = _mm_shuffle_ps(s8j, s2k, _MM_SHUFFLE(3, 2, 3, 2));
        s9k = _mm_shuffle_ps(s9j, s3k, _MM_SHUFFLE(1, 0, 1, 0));
        s0l = _mm_shuffle_ps(s9j, s3k, _MM_SHUFFLE(3, 2, 3, 2));
        s1l = _mm_shuffle_ps(s0k, s4k, _MM_SHUFFLE(1, 0, 1, 0));
        s2l = _mm_shuffle_ps(s0k, s4k, _MM_SHUFFLE(3, 2, 3, 2));
        a0u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s5k);
        a1u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s9k);
        s3l = _mm_sub_ps(a0u, a1u);
        a2u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s5k);
        a3u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9k);
        s4l = _mm_add_ps(a2u, a3u);
        t1e = _mm_add_ps(s3h, s3l);
        t2e = _mm_add_ps(s7h, s4l);
        t3e = _mm_sub_ps(s3h, s3l);
        t4e = _mm_sub_ps(s7h, s4l);
        a4u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s5h);
        a5u = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s9h);
        s5l = _mm_sub_ps(a4u, a5u);
        a6u = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s5h);
        a7u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s9h);
        s6l = _mm_add_ps(a6u, a7u);
        a8u = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s7k);
        a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s1l);
        s7l = _mm_sub_ps(a8u, a9u);
        a0v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s7k);
        a1v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1l);
        s8l = _mm_add_ps(a0v, a1v);
        t5e = _mm_add_ps(s5l, s7l);
        t6e = _mm_add_ps(s6l, s8l);
        t7e = _mm_sub_ps(s5l, s7l);
        t8e = _mm_sub_ps(s6l, s8l);
        t9e = _mm_add_ps(t1e, t5e);
        t0f = _mm_add_ps(t2e, t6e);
        t1f = _mm_sub_ps(t1e, t5e);
        t2f = _mm_sub_ps(t2e, t6e);
        t3f = _mm_add_ps(t3e, t8e);
        t4f = _mm_sub_ps(t4e, t7e);
        t5f = _mm_sub_ps(t3e, t8e);
        t6f = _mm_add_ps(t4e, t7e);
        a2v = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s4h);
        a3v = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s8h);
        s9l = _mm_sub_ps(a2v, a3v);
        a4v = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s4h);
        a5v = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s8h);
        s0m = _mm_add_ps(a4v, a5v);
        a6v = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s6k);
        a7v = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s0l);
        s1m = _mm_sub_ps(a6v, a7v);
        a8v = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s6k);
        a9v = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0l);
        s2m = _mm_add_ps(a8v, a9v);
        t7f = _mm_add_ps(s9l, s1m);
        t8f = _mm_add_ps(s0m, s2m);
        t9f = _mm_sub_ps(s9l, s1m);
        t0g = _mm_sub_ps(s0m, s2m);
        a0w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s6h);
        a1w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s0i);
        s3m = _mm_sub_ps(a0w, a1w);
        a2w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s6h);
        a3w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s0i);
        s4m = _mm_add_ps(a2w, a3w);
        a4w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s8k);
        a5w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s2l);
        s5m = _mm_sub_ps(a4w, a5w);
        a6w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s8k);
        a7w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2l);
        s6m = _mm_add_ps(a6w, a7w);
        t1g = _mm_add_ps(s3m, s5m);
        t2g = _mm_add_ps(s4m, s6m);
        t3g = _mm_sub_ps(s3m, s5m);
        t4g = _mm_sub_ps(s4m, s6m);
        t5g = _mm_add_ps(t7f, t1g);
        t6g = _mm_add_ps(t8f, t2g);
        t7g = _mm_sub_ps(t7f, t1g);
        t8g = _mm_sub_ps(t8f, t2g);
        a8w = _mm_add_ps(t9f, t4g);
        a1n = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a8w);
        a9w = _mm_sub_ps(t0g, t3g);
        a2n = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a9w);
        s7m = _mm_sub_ps(a1n, a2n);
        s8m = _mm_add_ps(a1n, a2n);
        a0x = _mm_sub_ps(t9f, t4g);
        a3n = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a0x);
        a1x = _mm_add_ps(t0g, t3g);
        a4n = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a1x);
        s9m = _mm_sub_ps(a3n, a4n);
        s0n = _mm_add_ps(a3n, a4n);
        t9g = _mm_add_ps(t9e, t5g);
        t0h = _mm_add_ps(t0f, t6g);
        t1h = _mm_sub_ps(t9e, t5g);
        t2h = _mm_sub_ps(t0f, t6g);
        s1n = _mm_unpacklo_ps(t9g, t0h);
        s2n = _mm_unpackhi_ps(t9g, t0h);
        a5n = (2 * i2);
        b11 = (dst + a5n);
        a2x = (b11 + 2);
        _mm_storel_pi(((__m64  *) a2x), s1n);
        a3x = (b11 + 34);
        _mm_storeh_pi(((__m64  *) a3x), s1n);
        a4x = (b11 + 66);
        _mm_storel_pi(((__m64  *) a4x), s2n);
        a5x = (b11 + 98);
        _mm_storeh_pi(((__m64  *) a5x), s2n);
        a6x = _mm_unpacklo_ps(t1h, t2h);
        s3n = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6x);
        a7x = _mm_unpackhi_ps(t1h, t2h);
        s4n = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7x);
        b21 = (dst - a5n);
        a8x = (b21 + 510);
        _mm_storel_pi(((__m64  *) a8x), s3n);
        a9x = (b21 + 478);
        _mm_storeh_pi(((__m64  *) a9x), s3n);
        a0y = (b21 + 446);
        _mm_storel_pi(((__m64  *) a0y), s4n);
        a1y = (b21 + 414);
        _mm_storeh_pi(((__m64  *) a1y), s4n);
        t3h = _mm_add_ps(t3f, s7m);
        t4h = _mm_sub_ps(t4f, s8m);
        t5h = _mm_sub_ps(t3f, s7m);
        t6h = _mm_add_ps(t4f, s8m);
        s5n = _mm_unpacklo_ps(t3h, t4h);
        s6n = _mm_unpackhi_ps(t3h, t4h);
        a2y = (b11 + 130);
        _mm_storel_pi(((__m64  *) a2y), s5n);
        a3y = (b11 + 162);
        _mm_storeh_pi(((__m64  *) a3y), s5n);
        a4y = (b11 + 194);
        _mm_storel_pi(((__m64  *) a4y), s6n);
        a5y = (b11 + 226);
        _mm_storeh_pi(((__m64  *) a5y), s6n);
        a6y = _mm_unpacklo_ps(t5h, t6h);
        s7n = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6y);
        a7y = _mm_unpackhi_ps(t5h, t6h);
        s8n = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7y);
        a8y = (b21 + 382);
        _mm_storel_pi(((__m64  *) a8y), s7n);
        a9y = (b21 + 350);
        _mm_storeh_pi(((__m64  *) a9y), s7n);
        a0z = (b21 + 318);
        _mm_storel_pi(((__m64  *) a0z), s8n);
        a1z = (b21 + 286);
        _mm_storeh_pi(((__m64  *) a1z), s8n);
        t7h = _mm_add_ps(t1f, t8g);
        t8h = _mm_sub_ps(t2f, t7g);
        t9h = _mm_sub_ps(t1f, t8g);
        t0i = _mm_add_ps(t2f, t7g);
        s9n = _mm_unpacklo_ps(t7h, t8h);
        s0o = _mm_unpackhi_ps(t7h, t8h);
        a2z = (b11 + 258);
        _mm_storel_pi(((__m64  *) a2z), s9n);
        a3z = (b11 + 290);
        _mm_storeh_pi(((__m64  *) a3z), s9n);
        a4z = (b11 + 322);
        _mm_storel_pi(((__m64  *) a4z), s0o);
        a5z = (b11 + 354);
        _mm_storeh_pi(((__m64  *) a5z), s0o);
        a6z = _mm_unpacklo_ps(t9h, t0i);
        s1o = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6z);
        a7z = _mm_unpackhi_ps(t9h, t0i);
        s2o = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7z);
        a8z = (b21 + 254);
        _mm_storel_pi(((__m64  *) a8z), s1o);
        a9z = (b21 + 222);
        _mm_storeh_pi(((__m64  *) a9z), s1o);
        a0A = (b21 + 190);
        _mm_storel_pi(((__m64  *) a0A), s2o);
        a1A = (b21 + 158);
        _mm_storeh_pi(((__m64  *) a1A), s2o);
        t1i = _mm_add_ps(t5f, s9m);
        t2i = _mm_add_ps(t6f, s0n);
        t3i = _mm_sub_ps(t5f, s9m);
        t4i = _mm_sub_ps(t6f, s0n);
        s3o = _mm_unpacklo_ps(t1i, t2i);
        s4o = _mm_unpackhi_ps(t1i, t2i);
        a2A = (b11 + 386);
        _mm_storel_pi(((__m64  *) a2A), s3o);
        a3A = (b11 + 418);
        _mm_storeh_pi(((__m64  *) a3A), s3o);
        a4A = (b11 + 450);
        _mm_storel_pi(((__m64  *) a4A), s4o);
        a5A = (b11 + 482);
        _mm_storeh_pi(((__m64  *) a5A), s4o);
        a6A = _mm_unpacklo_ps(t3i, t4i);
        s5o = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6A);
        a7A = _mm_unpackhi_ps(t3i, t4i);
        s6o = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7A);
        a8A = (b21 + 126);
        _mm_storel_pi(((__m64  *) a8A), s5o);
        a9A = (b21 + 94);
        _mm_storeh_pi(((__m64  *) a9A), s5o);
        a0B = (b21 + 62);
        _mm_storel_pi(((__m64  *) a0B), s6o);
        a1B = (b21 + 30);
        _mm_storeh_pi(((__m64  *) a1B), s6o);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftfwd_float_1024_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[1024]);
    __m128 a0k, a0l, a0n, a0o, a1l, a1m, a1n, a2I, a2J, a2K, a2L, a2m, a3I, a3J, a3K, a3L, a3k, a3l, a3m, a3n, a4j, a4k
            , a4l, a4n, a5j, a5k, a5l, a5m, a5n, a6j, a6k, a6l, a6m, a7i, a7k, a7l, a7m, a7n, a8i, a8l, a8m, a8n, a8s, a8t
            , a9i, a9j, a9k, a9l, a9m, a9n, a9s, a9t, b2, b5, b7, b9;
    __m128 a02, a03, a04, a05, a07, a08, a0B, a0C, a0F, a0G, a0H, a0g, a0h, a0i, a0j, a0m, a0q, a0r, a0s, a0x, a0y, a0z
            , a11, a12, a13, a15, a17, a1B, a1C, a1F, a1G, a1H, a1g, a1h, a1i, a1j, a1k, a1q, a1r, a1s, a1w, a1x, a1z, a2
            , a21, a22, a23, a25, a27, a2B, a2C, a2E, a2F, a2G, a2H, a2g, a2h, a2i, a2j, a2k, a2l, a2n, a2q, a2r, a2s, a2w
            , a2x, a3, a31, a32, a33, a35, a37, a3B, a3C, a3E, a3F, a3G, a3H, a3g, a3h, a3i, a3j, a3q, a3r, a3s, a3w, a3x
            , a4, a41, a42, a43, a45, a47, a4A, a4E, a4F, a4G, a4H, a4g, a4h, a4i, a4m, a4q, a4r, a4w, a4x, a4z, a5, a51
            , a53, a55, a56, a57, a5A, a5E, a5F, a5G, a5H, a5g, a5h, a5i, a5q, a5r, a5w, a5x, a5z, a6, a61, a63, a65, a67
            , a6A, a6C, a6D, a6E, a6F, a6G, a6H, a6g, a6h, a6i, a6n, a6p, a6q, a6r, a6w, a6x, a6z, a7, a71, a73, a75, a77
            , a7A, a7C, a7D, a7E, a7F, a7G, a7H, a7g, a7h, a7j, a7p, a7q, a7r, a7w, a7x, a7z, a8, a81, a83, a84, a85, a87
            , a88, a8C, a8D, a8E, a8F, a8G, a8g, a8h, a8j, a8k, a8p, a8q, a8r, a8w, a8x, a8y, a9, a91, a92, a93, a95, a96
            , a97, a9C, a9D, a9E, a9F, a9G, a9f, a9g, a9h, a9p, a9q, a9r, a9w, a9x, a9y, b01, b3, b4, b6, b8, s, s01
            , s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n
            , s0o, s0p, s0q, s0r, s0s, s0t, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s1g
            , s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s2, s21, s22, s23, s24, s25, s26, s27, s28
            , s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s3
            , s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m
            , s3n, s3o, s3p, s3q, s3r, s3s, s3t, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e
            , s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s5, s51, s52, s53, s54, s55, s56
            , s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s
            , s5t, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k
            , s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c
            , s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s8, s81, s82, s83, s84
            , s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q
            , s8r, s8s, s8t, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i
            , s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b
            , t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t11, t12, t13, t14, t15, t16, t17, t18, t19
            , t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t2, t21, t22, t23, t24, t25, t26, t27
            , t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t3, t31, t32, t33, t34, t35
            , t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t4, t41, t42, t43
            , t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t5, t51
            , t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n
            , t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l
            , t6m, t6n, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j
            , t7k, t7l, t7m, t7n, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h
            , t8i, t8j, t8k, t8l, t8m, t8n, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f
            , t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n;
    __m128  *a01, *a06, *a0A, *a0D, *a0E, *a0v, *a0w, *a14, *a16, *a18, *a1A, *a1D, *a1E, *a1v, *a24, *a26, *a28, *a2A, *a2D, *a2v, *a2y, *a2z
            , *a34, *a36, *a38, *a3A, *a3D, *a3v, *a3y, *a3z, *a44, *a46, *a48, *a4B, *a4C, *a4D, *a4f, *a4u, *a4v, *a4y, *a52, *a54, *a58, *a5B
            , *a5C, *a5D, *a5f, *a5u, *a5v, *a5y, *a62, *a64, *a66, *a68, *a6B, *a6f, *a6u, *a6v, *a6y, *a72, *a74, *a76, *a78, *a7B, *a7f, *a7u
            , *a7v, *a7y, *a82, *a86, *a8A, *a8B, *a8f, *a8u, *a8v, *a8z, *a94, *a98, *a9A, *a9B, *a9u, *a9z, *b11;
    float  *a0I, *a0J, *a0K, *a0L, *a0p, *a0t, *a0u, *a1I, *a1J, *a1K, *a1L, *a1o, *a1p, *a1t, *a1u, *a2o, *a2p, *a2t, *a2u, *a3o, *a3p, *a3t
            , *a3u, *a4I, *a4J, *a4K, *a4L, *a4o, *a4p, *a4s, *a4t, *a5I, *a5J, *a5K, *a5L, *a5o, *a5p, *a5s, *a5t, *a6I, *a6J, *a6K, *a6L, *a6o
            , *a6s, *a6t, *a7I, *a7J, *a7K, *a7L, *a7o, *a7s, *a7t, *a8H, *a8I, *a8J, *a8K, *a8o, *a9H, *a9I, *a9J, *a9K, *a9o, *b21, *b31;
    const float  *a09, *a0a, *a0b, *a0c, *a0d, *a0e, *a0f, *a19, *a1a, *a1b, *a1c, *a1d, *a1e, *a1f, *a29, *a2a, *a2b, *a2c, *a2d, *a2e, *a2f, *a39
            , *a3a, *a3b, *a3c, *a3d, *a3e, *a3f, *a49, *a4a, *a4b, *a4c, *a4d, *a4e, *a59, *a5a, *a5b, *a5c, *a5d, *a5e, *a69, *a6a, *a6b, *a6c
            , *a6d, *a6e, *a79, *a7a, *a7b, *a7c, *a7d, *a7e, *a89, *a8a, *a8b, *a8c, *a8d, *a8e, *a99, *a9a, *a9b, *a9c, *a9d, *a9e, *b;
    int a, a1y, a9v;
    {long i; for(i = 0; i <= 7; i++) {
        a = (4 * i);
        a19 = (a + src);
        a09 = ((const float  *) a19);
        s = _mm_loadu_ps(a09);
        b = (src + a);
        a39 = (b + 512);
        a29 = ((const float  *) a39);
        s2 = _mm_loadu_ps(a29);
        t = _mm_add_ps(s, s2);
        t2 = _mm_sub_ps(s, s2);
        a59 = (b + 256);
        a49 = ((const float  *) a59);
        s3 = _mm_loadu_ps(a49);
        a79 = (b + 768);
        a69 = ((const float  *) a79);
        s4 = _mm_loadu_ps(a69);
        t3 = _mm_add_ps(s3, s4);
        t4 = _mm_sub_ps(s3, s4);
        a99 = (b + 128);
        a89 = ((const float  *) a99);
        s5 = _mm_loadu_ps(a89);
        a1a = (b + 640);
        a0a = ((const float  *) a1a);
        s6 = _mm_loadu_ps(a0a);
        t5 = _mm_add_ps(s5, s6);
        a3a = (b + 384);
        a2a = ((const float  *) a3a);
        s7 = _mm_loadu_ps(a2a);
        a5a = (b + 896);
        a4a = ((const float  *) a5a);
        s8 = _mm_loadu_ps(a4a);
        t6 = _mm_add_ps(s7, s8);
        t7 = _mm_add_ps(t, t3);
        t8 = _mm_sub_ps(t, t3);
        t9 = _mm_add_ps(t5, t6);
        t01 = _mm_sub_ps(t5, t6);
        a51 = _mm_sub_ps(s5, s6);
        a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a51);
        a61 = _mm_sub_ps(s7, s8);
        a3 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a61);
        s9 = _mm_add_ps(a2, a3);
        s01 = _mm_sub_ps(a3, a2);
        t11 = _mm_add_ps(t2, s9);
        t21 = _mm_sub_ps(s01, t4);
        t31 = _mm_sub_ps(t2, s9);
        t41 = _mm_add_ps(t4, s01);
        a7a = (b + 32);
        a6a = ((const float  *) a7a);
        s11 = _mm_loadu_ps(a6a);
        a9a = (b + 544);
        a8a = ((const float  *) a9a);
        s21 = _mm_loadu_ps(a8a);
        t51 = _mm_add_ps(s11, s21);
        t61 = _mm_sub_ps(s11, s21);
        a1b = (b + 288);
        a0b = ((const float  *) a1b);
        s31 = _mm_loadu_ps(a0b);
        a3b = (b + 800);
        a2b = ((const float  *) a3b);
        s41 = _mm_loadu_ps(a2b);
        t71 = _mm_add_ps(s31, s41);
        t81 = _mm_sub_ps(s31, s41);
        a5b = (b + 160);
        a4b = ((const float  *) a5b);
        s51 = _mm_loadu_ps(a4b);
        a7b = (b + 672);
        a6b = ((const float  *) a7b);
        s61 = _mm_loadu_ps(a6b);
        t91 = _mm_add_ps(s51, s61);
        a9b = (b + 416);
        a8b = ((const float  *) a9b);
        s71 = _mm_loadu_ps(a8b);
        a1c = (b + 928);
        a0c = ((const float  *) a1c);
        s81 = _mm_loadu_ps(a0c);
        t02 = _mm_add_ps(s71, s81);
        t12 = _mm_add_ps(t51, t71);
        t22 = _mm_sub_ps(t51, t71);
        t32 = _mm_add_ps(t91, t02);
        t42 = _mm_sub_ps(t91, t02);
        a71 = _mm_sub_ps(s51, s61);
        a4 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a71);
        a81 = _mm_sub_ps(s71, s81);
        a5 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a81);
        s91 = _mm_add_ps(a4, a5);
        s02 = _mm_sub_ps(a5, a4);
        t52 = _mm_add_ps(t61, s91);
        t62 = _mm_sub_ps(s02, t81);
        t72 = _mm_sub_ps(t61, s91);
        t82 = _mm_add_ps(t81, s02);
        a3c = (b + 64);
        a2c = ((const float  *) a3c);
        s12 = _mm_loadu_ps(a2c);
        a5c = (b + 576);
        a4c = ((const float  *) a5c);
        s22 = _mm_loadu_ps(a4c);
        t92 = _mm_add_ps(s12, s22);
        t03 = _mm_sub_ps(s12, s22);
        a7c = (b + 320);
        a6c = ((const float  *) a7c);
        s32 = _mm_loadu_ps(a6c);
        a9c = (b + 832);
        a8c = ((const float  *) a9c);
        s42 = _mm_loadu_ps(a8c);
        t13 = _mm_add_ps(s32, s42);
        t23 = _mm_sub_ps(s32, s42);
        a1d = (b + 192);
        a0d = ((const float  *) a1d);
        s52 = _mm_loadu_ps(a0d);
        a3d = (b + 704);
        a2d = ((const float  *) a3d);
        s62 = _mm_loadu_ps(a2d);
        t33 = _mm_add_ps(s52, s62);
        a5d = (b + 448);
        a4d = ((const float  *) a5d);
        s72 = _mm_loadu_ps(a4d);
        a7d = (b + 960);
        a6d = ((const float  *) a7d);
        s82 = _mm_loadu_ps(a6d);
        t43 = _mm_add_ps(s72, s82);
        t53 = _mm_add_ps(t92, t13);
        t63 = _mm_add_ps(t33, t43);
        a91 = _mm_sub_ps(s52, s62);
        a6 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a91);
        a02 = _mm_sub_ps(s72, s82);
        a7 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a02);
        s92 = _mm_add_ps(a6, a7);
        s03 = _mm_sub_ps(a7, a6);
        t73 = _mm_add_ps(t03, s92);
        t83 = _mm_sub_ps(s03, t23);
        t93 = _mm_sub_ps(t03, s92);
        t04 = _mm_add_ps(t23, s03);
        a9d = (b + 96);
        a8d = ((const float  *) a9d);
        s13 = _mm_loadu_ps(a8d);
        a1e = (b + 608);
        a0e = ((const float  *) a1e);
        s23 = _mm_loadu_ps(a0e);
        t14 = _mm_add_ps(s13, s23);
        t24 = _mm_sub_ps(s13, s23);
        a3e = (b + 352);
        a2e = ((const float  *) a3e);
        s33 = _mm_loadu_ps(a2e);
        a5e = (b + 864);
        a4e = ((const float  *) a5e);
        s43 = _mm_loadu_ps(a4e);
        t34 = _mm_add_ps(s33, s43);
        t44 = _mm_sub_ps(s33, s43);
        a7e = (b + 224);
        a6e = ((const float  *) a7e);
        s53 = _mm_loadu_ps(a6e);
        a9e = (b + 736);
        a8e = ((const float  *) a9e);
        s63 = _mm_loadu_ps(a8e);
        t54 = _mm_add_ps(s53, s63);
        a1f = (b + 480);
        a0f = ((const float  *) a1f);
        s73 = _mm_loadu_ps(a0f);
        a3f = (b + 992);
        a2f = ((const float  *) a3f);
        s83 = _mm_loadu_ps(a2f);
        t64 = _mm_add_ps(s73, s83);
        t74 = _mm_add_ps(t14, t34);
        t84 = _mm_sub_ps(t14, t34);
        t94 = _mm_add_ps(t54, t64);
        t05 = _mm_sub_ps(t54, t64);
        a12 = _mm_sub_ps(s53, s63);
        a8 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a12);
        a22 = _mm_sub_ps(s73, s83);
        a9 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a22);
        s93 = _mm_add_ps(a8, a9);
        s04 = _mm_sub_ps(a9, a8);
        t15 = _mm_add_ps(t24, s93);
        t25 = _mm_sub_ps(s04, t44);
        t35 = _mm_sub_ps(t24, s93);
        t45 = _mm_add_ps(t44, s04);
        t55 = _mm_add_ps(t7, t9);
        t65 = _mm_sub_ps(t7, t9);
        t75 = _mm_add_ps(t53, t63);
        t85 = _mm_sub_ps(t53, t63);
        t95 = _mm_add_ps(t12, t32);
        t06 = _mm_add_ps(t74, t94);
        a4f = ((__m128  *) T);
        a01 = (a4f + i);
        s14 = _mm_add_ps(t55, t75);
        *(a01) = s14;
        s24 = _mm_sub_ps(t55, t75);
        a5f = (a01 + 128);
        *(a5f) = s24;
        s34 = _mm_add_ps(t95, t06);
        a6f = (a01 + 8);
        *(a6f) = s34;
        s44 = _mm_sub_ps(t06, t95);
        a7f = (a01 + 136);
        *(a7f) = s44;
        a32 = _mm_sub_ps(t12, t32);
        a11 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a32);
        a42 = _mm_sub_ps(t74, t94);
        a21 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a42);
        s54 = _mm_add_ps(a11, a21);
        s64 = _mm_sub_ps(a21, a11);
        s74 = _mm_add_ps(t65, s54);
        a52 = (a01 + 64);
        *(a52) = s74;
        s84 = _mm_sub_ps(s64, t85);
        a62 = (a01 + 72);
        *(a62) = s84;
        s94 = _mm_sub_ps(t65, s54);
        a72 = (a01 + 192);
        *(a72) = s94;
        s05 = _mm_add_ps(t85, s64);
        a82 = (a01 + 200);
        *(a82) = s05;
        a92 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t52);
        a03 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t62);
        s15 = _mm_sub_ps(a92, a03);
        a13 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t52);
        a23 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t62);
        s25 = _mm_add_ps(a13, a23);
        a33 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t73);
        a43 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t83);
        s35 = _mm_sub_ps(a33, a43);
        a53 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t73);
        a63 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t83);
        s45 = _mm_add_ps(a53, a63);
        a73 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t15);
        a83 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t25);
        s55 = _mm_sub_ps(a73, a83);
        a93 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t15);
        a04 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t25);
        s65 = _mm_add_ps(a93, a04);
        t16 = _mm_add_ps(t11, s35);
        t26 = _mm_add_ps(t21, s45);
        t36 = _mm_sub_ps(t11, s35);
        t46 = _mm_sub_ps(t21, s45);
        t56 = _mm_add_ps(s15, s55);
        t66 = _mm_add_ps(s25, s65);
        t76 = _mm_sub_ps(s15, s55);
        t86 = _mm_sub_ps(s25, s65);
        s75 = _mm_add_ps(t16, t56);
        a14 = (a01 + 16);
        *(a14) = s75;
        s85 = _mm_add_ps(t26, t66);
        a24 = (a01 + 24);
        *(a24) = s85;
        s95 = _mm_sub_ps(t16, t56);
        a34 = (a01 + 240);
        *(a34) = s95;
        s06 = _mm_sub_ps(t66, t26);
        a44 = (a01 + 248);
        *(a44) = s06;
        s16 = _mm_add_ps(t36, t86);
        a54 = (a01 + 144);
        *(a54) = s16;
        s26 = _mm_sub_ps(t46, t76);
        a64 = (a01 + 152);
        *(a64) = s26;
        s36 = _mm_sub_ps(t36, t86);
        a74 = (a01 + 112);
        *(a74) = s36;
        a84 = _mm_add_ps(t46, t76);
        s46 = _mm_sub_ps(_mm_set1_ps(0.0f), a84);
        a94 = (a01 + 120);
        *(a94) = s46;
        a05 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t22);
        a15 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t42);
        s56 = _mm_add_ps(a05, a15);
        a25 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t22);
        a35 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t42);
        s66 = _mm_sub_ps(a25, a35);
        a45 = _mm_sub_ps(t92, t13);
        a31 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a45);
        a55 = _mm_sub_ps(t33, t43);
        a41 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a55);
        s76 = _mm_add_ps(a31, a41);
        s86 = _mm_sub_ps(a41, a31);
        a65 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t84);
        a75 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t05);
        s96 = _mm_add_ps(a65, a75);
        a85 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t84);
        a95 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t05);
        s07 = _mm_sub_ps(a85, a95);
        t96 = _mm_add_ps(t8, s76);
        t07 = _mm_sub_ps(s86, t01);
        t17 = _mm_sub_ps(t8, s76);
        t27 = _mm_add_ps(t01, s86);
        t37 = _mm_add_ps(s56, s96);
        t47 = _mm_add_ps(s66, s07);
        t57 = _mm_sub_ps(s56, s96);
        t67 = _mm_sub_ps(s66, s07);
        s17 = _mm_add_ps(t96, t37);
        a06 = (a01 + 32);
        *(a06) = s17;
        s27 = _mm_add_ps(t07, t47);
        a16 = (a01 + 40);
        *(a16) = s27;
        s37 = _mm_sub_ps(t96, t37);
        a26 = (a01 + 224);
        *(a26) = s37;
        s47 = _mm_sub_ps(t47, t07);
        a36 = (a01 + 232);
        *(a36) = s47;
        s57 = _mm_add_ps(t17, t67);
        a46 = (a01 + 160);
        *(a46) = s57;
        a56 = _mm_add_ps(t27, t57);
        s67 = _mm_sub_ps(_mm_set1_ps(0.0f), a56);
        a66 = (a01 + 168);
        *(a66) = s67;
        s77 = _mm_sub_ps(t17, t67);
        a76 = (a01 + 96);
        *(a76) = s77;
        s87 = _mm_sub_ps(t27, t57);
        a86 = (a01 + 104);
        *(a86) = s87;
        a96 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t72);
        a07 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t82);
        s97 = _mm_sub_ps(a96, a07);
        a17 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t72);
        a27 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t82);
        s08 = _mm_add_ps(a17, a27);
        a37 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t93);
        a47 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t04);
        s18 = _mm_sub_ps(a37, a47);
        a57 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t93);
        a67 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t04);
        s28 = _mm_add_ps(a57, a67);
        a77 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t35);
        a87 = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t45);
        s38 = _mm_sub_ps(a77, a87);
        a97 = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t35);
        a08 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t45);
        s48 = _mm_add_ps(a97, a08);
        t77 = _mm_add_ps(t31, s18);
        t87 = _mm_add_ps(t41, s28);
        t97 = _mm_sub_ps(t31, s18);
        t08 = _mm_sub_ps(t41, s28);
        t18 = _mm_add_ps(s97, s38);
        t28 = _mm_add_ps(s08, s48);
        t38 = _mm_sub_ps(s97, s38);
        t48 = _mm_sub_ps(s08, s48);
        s58 = _mm_add_ps(t77, t18);
        a18 = (a01 + 48);
        *(a18) = s58;
        s68 = _mm_add_ps(t87, t28);
        a28 = (a01 + 56);
        *(a28) = s68;
        s78 = _mm_sub_ps(t77, t18);
        a38 = (a01 + 208);
        *(a38) = s78;
        s88 = _mm_sub_ps(t28, t87);
        a48 = (a01 + 216);
        *(a48) = s88;
        s98 = _mm_add_ps(t97, t48);
        a58 = (a01 + 176);
        *(a58) = s98;
        s09 = _mm_sub_ps(t08, t38);
        a68 = (a01 + 184);
        *(a68) = s09;
        s19 = _mm_sub_ps(t97, t48);
        a78 = (a01 + 80);
        *(a78) = s19;
        a88 = _mm_add_ps(t08, t38);
        s29 = _mm_sub_ps(_mm_set1_ps(0.0f), a88);
        a98 = (a01 + 88);
        *(a98) = s29;
    }}
    a8f = ((__m128  *) T);
    s39 = *(a8f);
    a4u = (a8f + 8);
    s49 = *(a4u);
    t58 = _mm_add_ps(s39, s49);
    t68 = _mm_sub_ps(s39, s49);
    a5u = (a8f + 4);
    s59 = *(a5u);
    a6u = (a8f + 12);
    s69 = *(a6u);
    t78 = _mm_add_ps(s59, s69);
    t88 = _mm_sub_ps(s59, s69);
    a7u = (a8f + 1);
    s79 = *(a7u);
    a8u = (a8f + 9);
    s89 = *(a8u);
    t98 = _mm_add_ps(s79, s89);
    t09 = _mm_sub_ps(s79, s89);
    a9u = (a8f + 5);
    s99 = *(a9u);
    a0v = (a8f + 13);
    s0a = *(a0v);
    t19 = _mm_add_ps(s99, s0a);
    t29 = _mm_sub_ps(s99, s0a);
    a1v = (a8f + 2);
    s1a = *(a1v);
    a2v = (a8f + 10);
    s2a = *(a2v);
    t39 = _mm_add_ps(s1a, s2a);
    t49 = _mm_sub_ps(s1a, s2a);
    a3v = (a8f + 6);
    s3a = *(a3v);
    a4v = (a8f + 14);
    s4a = *(a4v);
    t59 = _mm_add_ps(s3a, s4a);
    t69 = _mm_sub_ps(s3a, s4a);
    a5v = (a8f + 3);
    s5a = *(a5v);
    a6v = (a8f + 11);
    s6a = *(a6v);
    t79 = _mm_add_ps(s5a, s6a);
    t89 = _mm_sub_ps(s5a, s6a);
    a7v = (a8f + 7);
    s7a = *(a7v);
    a8v = (a8f + 15);
    s8a = *(a8v);
    t99 = _mm_add_ps(s7a, s8a);
    t0a = _mm_sub_ps(s7a, s8a);
    s9a = _mm_shuffle_ps(t58, t98, _MM_SHUFFLE(2, 0, 2, 0));
    s0b = _mm_shuffle_ps(t58, t98, _MM_SHUFFLE(3, 1, 3, 1));
    s1b = _mm_shuffle_ps(t78, t19, _MM_SHUFFLE(2, 0, 2, 0));
    s2b = _mm_shuffle_ps(t78, t19, _MM_SHUFFLE(3, 1, 3, 1));
    t1a = _mm_add_ps(s9a, s1b);
    t2a = _mm_add_ps(s0b, s2b);
    t3a = _mm_sub_ps(s9a, s1b);
    t4a = _mm_sub_ps(s0b, s2b);
    s3b = _mm_shuffle_ps(t39, t79, _MM_SHUFFLE(2, 0, 2, 0));
    s4b = _mm_shuffle_ps(t39, t79, _MM_SHUFFLE(3, 1, 3, 1));
    s5b = _mm_shuffle_ps(t59, t99, _MM_SHUFFLE(2, 0, 2, 0));
    s6b = _mm_shuffle_ps(t59, t99, _MM_SHUFFLE(3, 1, 3, 1));
    t5a = _mm_add_ps(s3b, s5b);
    t6a = _mm_add_ps(s4b, s6b);
    t7a = _mm_sub_ps(s3b, s5b);
    t8a = _mm_sub_ps(s4b, s6b);
    t9a = _mm_add_ps(t1a, t5a);
    t0b = _mm_add_ps(t2a, t6a);
    t1b = _mm_sub_ps(t1a, t5a);
    t2b = _mm_sub_ps(t2a, t6a);
    t3b = _mm_add_ps(t3a, t8a);
    t4b = _mm_sub_ps(t4a, t7a);
    t5b = _mm_sub_ps(t3a, t8a);
    t6b = _mm_add_ps(t4a, t7a);
    s7b = _mm_unpacklo_ps(t9a, t3b);
    s8b = _mm_unpackhi_ps(t9a, t3b);
    s9b = _mm_unpacklo_ps(t0b, t4b);
    s0c = _mm_unpackhi_ps(t0b, t4b);
    s1c = _mm_unpacklo_ps(t1b, t5b);
    s2c = _mm_unpackhi_ps(t1b, t5b);
    s3c = _mm_unpacklo_ps(t2b, t6b);
    s4c = _mm_unpackhi_ps(t2b, t6b);
    s5c = _mm_shuffle_ps(s7b, s1c, _MM_SHUFFLE(1, 0, 1, 0));
    s6c = _mm_shuffle_ps(s7b, s1c, _MM_SHUFFLE(3, 2, 3, 2));
    s7c = _mm_shuffle_ps(s8b, s2c, _MM_SHUFFLE(1, 0, 1, 0));
    s8c = _mm_shuffle_ps(s8b, s2c, _MM_SHUFFLE(3, 2, 3, 2));
    s9c = _mm_shuffle_ps(s9b, s3c, _MM_SHUFFLE(1, 0, 1, 0));
    s0d = _mm_shuffle_ps(s9b, s3c, _MM_SHUFFLE(3, 2, 3, 2));
    s1d = _mm_shuffle_ps(s0c, s4c, _MM_SHUFFLE(1, 0, 1, 0));
    s2d = _mm_shuffle_ps(s0c, s4c, _MM_SHUFFLE(3, 2, 3, 2));
    a9f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7c);
    a0g = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s1d);
    s3d = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7c);
    a2g = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1d);
    s4d = _mm_add_ps(a1g, a2g);
    t7b = _mm_add_ps(s5c, s3d);
    t8b = _mm_add_ps(s9c, s4d);
    t9b = _mm_sub_ps(s5c, s3d);
    t0c = _mm_sub_ps(s9c, s4d);
    a3g = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6c);
    a4g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s0d);
    s5d = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s6c);
    a6g = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0d);
    s6d = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8c);
    a8g = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s2d);
    s7d = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s8c);
    a0h = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2d);
    s8d = _mm_add_ps(a9g, a0h);
    t1c = _mm_add_ps(s5d, s7d);
    t2c = _mm_add_ps(s6d, s8d);
    t3c = _mm_sub_ps(s5d, s7d);
    t4c = _mm_sub_ps(s6d, s8d);
    t5c = _mm_add_ps(t7b, t1c);
    t6c = _mm_add_ps(t8b, t2c);
    t7c = _mm_sub_ps(t7b, t1c);
    t8c = _mm_sub_ps(t8b, t2c);
    t9c = _mm_add_ps(t9b, t4c);
    t0d = _mm_sub_ps(t0c, t3c);
    t1d = _mm_sub_ps(t9b, t4c);
    t2d = _mm_add_ps(t0c, t3c);
    a1h = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t5c);
    a2h = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t6c);
    s9d = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t5c);
    a4h = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t6c);
    s0e = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t9c);
    a6h = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t0d);
    s1e = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t9c);
    a8h = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t0d);
    s2e = _mm_add_ps(a7h, a8h);
    a9h = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t7c);
    a0i = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t8c);
    s3e = _mm_sub_ps(a9h, a0i);
    a1i = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t7c);
    a2i = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t8c);
    s4e = _mm_add_ps(a1i, a2i);
    a3i = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t1d);
    a4i = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t2d);
    s5e = _mm_sub_ps(a3i, a4i);
    a5i = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t1d);
    a6i = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t2d);
    s6e = _mm_add_ps(a5i, a6i);
    a9i = _mm_shuffle_ps(_mm_set1_ps(0.0f), t1d, _MM_SHUFFLE(3, 2, 1, 0));
    a8i = _mm_shuffle_ps(a9i, t1d, _MM_SHUFFLE(1, 2, 3, 0));
    a2j = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9d);
    a3j = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s0e);
    a1j = _mm_add_ps(a2j, a3j);
    a5j = _mm_shuffle_ps(_mm_set1_ps(0.0f), s5e, _MM_SHUFFLE(3, 2, 1, 0));
    a4j = _mm_shuffle_ps(a5j, s5e, _MM_SHUFFLE(1, 2, 3, 0));
    a0j = _mm_sub_ps(a1j, a4j);
    b2 = _mm_add_ps(t5c, a8i);
    a7i = _mm_add_ps(b2, a0j);
    s7e = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a7i);
    a8j = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t6c);
    a0k = _mm_shuffle_ps(_mm_set1_ps(0.0f), t2d, _MM_SHUFFLE(3, 2, 1, 0));
    a9j = _mm_shuffle_ps(a0k, t2d, _MM_SHUFFLE(1, 2, 3, 0));
    a7j = _mm_sub_ps(a8j, a9j);
    a1k = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9d);
    a2k = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s0e);
    a4k = _mm_shuffle_ps(_mm_set1_ps(0.0f), s6e, _MM_SHUFFLE(3, 2, 1, 0));
    a3k = _mm_shuffle_ps(a4k, s6e, _MM_SHUFFLE(1, 2, 3, 0));
    b3 = _mm_add_ps(a7j, a1k);
    b4 = _mm_add_ps(b3, a2k);
    a6j = _mm_add_ps(b4, a3k);
    s8e = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a6j);
    a7k = _mm_shuffle_ps(t1d, t7c, _MM_SHUFFLE(3, 2, 1, 0));
    a6k = _mm_shuffle_ps(a7k, t7c, _MM_SHUFFLE(1, 2, 3, 0));
    a0l = _mm_shuffle_ps(s5e, s3e, _MM_SHUFFLE(3, 2, 1, 0));
    a9k = _mm_shuffle_ps(a0l, s3e, _MM_SHUFFLE(1, 2, 3, 0));
    a8k = _mm_sub_ps(s1e, a9k);
    b5 = _mm_add_ps(t9c, a6k);
    a5k = _mm_add_ps(b5, a8k);
    s9e = _mm_mul_ps(_mm_set1_ps(0.5f), a5k);
    a4l = _mm_shuffle_ps(t2d, t8c, _MM_SHUFFLE(3, 2, 1, 0));
    a3l = _mm_shuffle_ps(a4l, t8c, _MM_SHUFFLE(1, 2, 3, 0));
    a2l = _mm_sub_ps(t0d, a3l);
    a6l = _mm_shuffle_ps(s6e, s4e, _MM_SHUFFLE(3, 2, 1, 0));
    a5l = _mm_shuffle_ps(a6l, s4e, _MM_SHUFFLE(1, 2, 3, 0));
    b6 = _mm_add_ps(a2l, s2e);
    a1l = _mm_add_ps(b6, a5l);
    s0f = _mm_mul_ps(_mm_set1_ps(0.5f), a1l);
    a9l = _mm_shuffle_ps(t7c, t9c, _MM_SHUFFLE(3, 2, 1, 0));
    a8l = _mm_shuffle_ps(a9l, t9c, _MM_SHUFFLE(1, 2, 3, 0));
    a2m = _mm_shuffle_ps(s3e, s1e, _MM_SHUFFLE(3, 2, 1, 0));
    a1m = _mm_shuffle_ps(a2m, s1e, _MM_SHUFFLE(1, 2, 3, 0));
    a0m = _mm_sub_ps(s3e, a1m);
    b7 = _mm_add_ps(t7c, a8l);
    a7l = _mm_add_ps(b7, a0m);
    s1f = _mm_mul_ps(_mm_set1_ps(0.5f), a7l);
    a6m = _mm_shuffle_ps(t8c, t0d, _MM_SHUFFLE(3, 2, 1, 0));
    a5m = _mm_shuffle_ps(a6m, t0d, _MM_SHUFFLE(1, 2, 3, 0));
    a4m = _mm_sub_ps(t8c, a5m);
    a8m = _mm_shuffle_ps(s4e, s2e, _MM_SHUFFLE(3, 2, 1, 0));
    a7m = _mm_shuffle_ps(a8m, s2e, _MM_SHUFFLE(1, 2, 3, 0));
    b8 = _mm_add_ps(a4m, s4e);
    a3m = _mm_add_ps(b8, a7m);
    s2f = _mm_mul_ps(_mm_set1_ps(0.5f), a3m);
    a1n = _mm_shuffle_ps(t9c, t5c, _MM_SHUFFLE(3, 2, 1, 0));
    a0n = _mm_shuffle_ps(a1n, t5c, _MM_SHUFFLE(1, 2, 3, 0));
    a4n = _mm_shuffle_ps(s1e, s9d, _MM_SHUFFLE(3, 2, 1, 0));
    a3n = _mm_shuffle_ps(a4n, s9d, _MM_SHUFFLE(1, 2, 3, 0));
    a2n = _mm_sub_ps(s5e, a3n);
    b9 = _mm_add_ps(t1d, a0n);
    a9m = _mm_add_ps(b9, a2n);
    s3f = _mm_mul_ps(_mm_set1_ps(0.5f), a9m);
    a8n = _mm_shuffle_ps(t0d, t6c, _MM_SHUFFLE(3, 2, 1, 0));
    a7n = _mm_shuffle_ps(a8n, t6c, _MM_SHUFFLE(1, 2, 3, 0));
    a6n = _mm_sub_ps(t2d, a7n);
    a0o = _mm_shuffle_ps(s2e, s0e, _MM_SHUFFLE(3, 2, 1, 0));
    a9n = _mm_shuffle_ps(a0o, s0e, _MM_SHUFFLE(1, 2, 3, 0));
    b01 = _mm_add_ps(a6n, s6e);
    a5n = _mm_add_ps(b01, a9n);
    s4f = _mm_mul_ps(_mm_set1_ps(0.5f), a5n);
    s5f = _mm_unpacklo_ps(s7e, s8e);
    s6f = _mm_unpackhi_ps(s7e, s8e);
    _mm_storel_pi(((__m64  *) dst), s5f);
    a1o = (dst + 64);
    _mm_storeh_pi(((__m64  *) a1o), s5f);
    a2o = (dst + 128);
    _mm_storel_pi(((__m64  *) a2o), s6f);
    a3o = (dst + 192);
    _mm_storeh_pi(((__m64  *) a3o), s6f);
    s7f = _mm_unpacklo_ps(s9e, s0f);
    s8f = _mm_unpackhi_ps(s9e, s0f);
    a4o = (dst + 256);
    _mm_storel_pi(((__m64  *) a4o), s7f);
    a5o = (dst + 320);
    _mm_storeh_pi(((__m64  *) a5o), s7f);
    a6o = (dst + 384);
    _mm_storel_pi(((__m64  *) a6o), s8f);
    a7o = (dst + 448);
    _mm_storeh_pi(((__m64  *) a7o), s8f);
    s9f = _mm_unpacklo_ps(s1f, s2f);
    s0g = _mm_unpackhi_ps(s1f, s2f);
    a8o = (dst + 512);
    _mm_storel_pi(((__m64  *) a8o), s9f);
    a9o = (dst + 576);
    _mm_storeh_pi(((__m64  *) a9o), s9f);
    a0p = (dst + 640);
    _mm_storel_pi(((__m64  *) a0p), s0g);
    a1p = (dst + 704);
    _mm_storeh_pi(((__m64  *) a1p), s0g);
    s1g = _mm_unpacklo_ps(s3f, s4f);
    s2g = _mm_unpackhi_ps(s3f, s4f);
    a2p = (dst + 768);
    _mm_storel_pi(((__m64  *) a2p), s1g);
    a3p = (dst + 832);
    _mm_storeh_pi(((__m64  *) a3p), s1g);
    a4p = (dst + 896);
    _mm_storel_pi(((__m64  *) a4p), s2g);
    a5p = (dst + 960);
    _mm_storeh_pi(((__m64  *) a5p), s2g);
    a6p = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t68);
    a7p = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t88);
    s3g = _mm_add_ps(a6p, a7p);
    a8p = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t68);
    a9p = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t88);
    s4g = _mm_sub_ps(a8p, a9p);
    a0q = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t49);
    a1q = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t69);
    s5g = _mm_add_ps(a0q, a1q);
    a2q = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t49);
    a3q = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t69);
    s6g = _mm_sub_ps(a2q, a3q);
    t3d = _mm_add_ps(s3g, s5g);
    t4d = _mm_add_ps(s4g, s6g);
    t5d = _mm_sub_ps(s3g, s5g);
    t6d = _mm_sub_ps(s4g, s6g);
    a4q = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t09);
    a5q = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t29);
    s7g = _mm_add_ps(a4q, a5q);
    a6q = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t09);
    a7q = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t29);
    s8g = _mm_sub_ps(a6q, a7q);
    a8q = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t89);
    a9q = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t0a);
    s9g = _mm_add_ps(a8q, a9q);
    a0r = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t89);
    a1r = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t0a);
    s0h = _mm_sub_ps(a0r, a1r);
    t7d = _mm_add_ps(s7g, s9g);
    t8d = _mm_add_ps(s8g, s0h);
    t9d = _mm_sub_ps(s7g, s9g);
    t0e = _mm_sub_ps(s8g, s0h);
    t1e = _mm_add_ps(t3d, t7d);
    t2e = _mm_add_ps(t4d, t8d);
    t3e = _mm_sub_ps(t3d, t7d);
    t4e = _mm_sub_ps(t4d, t8d);
    t5e = _mm_add_ps(t5d, t0e);
    t6e = _mm_sub_ps(t6d, t9d);
    t7e = _mm_sub_ps(t5d, t0e);
    t8e = _mm_add_ps(t6d, t9d);
    s1h = _mm_unpacklo_ps(t1e, t5e);
    s2h = _mm_unpackhi_ps(t1e, t5e);
    s3h = _mm_unpacklo_ps(t2e, t6e);
    s4h = _mm_unpackhi_ps(t2e, t6e);
    s5h = _mm_unpacklo_ps(t3e, t7e);
    s6h = _mm_unpackhi_ps(t3e, t7e);
    s7h = _mm_unpacklo_ps(t4e, t8e);
    s8h = _mm_unpackhi_ps(t4e, t8e);
    s9h = _mm_shuffle_ps(s1h, s5h, _MM_SHUFFLE(1, 0, 1, 0));
    s0i = _mm_shuffle_ps(s1h, s5h, _MM_SHUFFLE(3, 2, 3, 2));
    s1i = _mm_shuffle_ps(s2h, s6h, _MM_SHUFFLE(1, 0, 1, 0));
    s2i = _mm_shuffle_ps(s2h, s6h, _MM_SHUFFLE(3, 2, 3, 2));
    s3i = _mm_shuffle_ps(s3h, s7h, _MM_SHUFFLE(1, 0, 1, 0));
    s4i = _mm_shuffle_ps(s3h, s7h, _MM_SHUFFLE(3, 2, 3, 2));
    s5i = _mm_shuffle_ps(s4h, s8h, _MM_SHUFFLE(1, 0, 1, 0));
    s6i = _mm_shuffle_ps(s4h, s8h, _MM_SHUFFLE(3, 2, 3, 2));
    a2r = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1i);
    a3r = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s5i);
    s7i = _mm_sub_ps(a2r, a3r);
    a4r = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s1i);
    a5r = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s5i);
    s8i = _mm_add_ps(a4r, a5r);
    t9e = _mm_add_ps(s9h, s7i);
    t0f = _mm_add_ps(s3i, s8i);
    t1f = _mm_sub_ps(s9h, s7i);
    t2f = _mm_sub_ps(s3i, s8i);
    a6r = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0i);
    a7r = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s4i);
    s9i = _mm_sub_ps(a6r, a7r);
    a8r = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s0i);
    a9r = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s4i);
    s0j = _mm_add_ps(a8r, a9r);
    a0s = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2i);
    a1s = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s6i);
    s1j = _mm_sub_ps(a0s, a1s);
    a2s = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s2i);
    a3s = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s6i);
    s2j = _mm_add_ps(a2s, a3s);
    t3f = _mm_add_ps(s9i, s1j);
    t4f = _mm_add_ps(s0j, s2j);
    t5f = _mm_sub_ps(s9i, s1j);
    t6f = _mm_sub_ps(s0j, s2j);
    t7f = _mm_add_ps(t9e, t3f);
    t8f = _mm_add_ps(t0f, t4f);
    t9f = _mm_sub_ps(t9e, t3f);
    t0g = _mm_sub_ps(t0f, t4f);
    s3j = _mm_unpacklo_ps(t7f, t8f);
    s4j = _mm_unpackhi_ps(t7f, t8f);
    a4s = (dst + 32);
    _mm_storel_pi(((__m64  *) a4s), s3j);
    a5s = (dst + 160);
    _mm_storeh_pi(((__m64  *) a5s), s3j);
    a6s = (dst + 288);
    _mm_storel_pi(((__m64  *) a6s), s4j);
    a7s = (dst + 416);
    _mm_storeh_pi(((__m64  *) a7s), s4j);
    a8s = _mm_unpacklo_ps(t9f, t0g);
    s5j = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8s);
    a9s = _mm_unpackhi_ps(t9f, t0g);
    s6j = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9s);
    a0t = (dst + 992);
    _mm_storel_pi(((__m64  *) a0t), s5j);
    a1t = (dst + 864);
    _mm_storeh_pi(((__m64  *) a1t), s5j);
    a2t = (dst + 736);
    _mm_storel_pi(((__m64  *) a2t), s6j);
    a3t = (dst + 608);
    _mm_storeh_pi(((__m64  *) a3t), s6j);
    t1g = _mm_add_ps(t1f, t6f);
    t2g = _mm_sub_ps(t2f, t5f);
    t3g = _mm_sub_ps(t1f, t6f);
    t4g = _mm_add_ps(t2f, t5f);
    s7j = _mm_unpacklo_ps(t1g, t2g);
    s8j = _mm_unpackhi_ps(t1g, t2g);
    a4t = (dst + 544);
    _mm_storel_pi(((__m64  *) a4t), s7j);
    a5t = (dst + 672);
    _mm_storeh_pi(((__m64  *) a5t), s7j);
    a6t = (dst + 800);
    _mm_storel_pi(((__m64  *) a6t), s8j);
    a7t = (dst + 928);
    _mm_storeh_pi(((__m64  *) a7t), s8j);
    a8t = _mm_unpacklo_ps(t3g, t4g);
    s9j = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8t);
    a9t = _mm_unpackhi_ps(t3g, t4g);
    s0k = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9t);
    a0u = (dst + 480);
    _mm_storel_pi(((__m64  *) a0u), s9j);
    a1u = (dst + 352);
    _mm_storeh_pi(((__m64  *) a1u), s9j);
    a2u = (dst + 224);
    _mm_storel_pi(((__m64  *) a2u), s0k);
    a3u = (dst + 96);
    _mm_storeh_pi(((__m64  *) a3u), s0k);
    {long i2; for(i2 = 0; i2 <= 14; i2++) {
        a9v = (16 * i2);
        a2y = ((__m128  *) T);
        b11 = (a2y + a9v);
        a3y = (b11 + 16);
        s1k = *(a3y);
        a4y = (b11 + 24);
        s2k = *(a4y);
        a5y = (b11 + 20);
        s3k = *(a5y);
        a6y = (b11 + 28);
        s4k = *(a6y);
        a0w = (D5 + a9v);
        a1w = *(a0w);
        a7y = (a0w + 1);
        a2w = *(a7y);
        a8y = _mm_mul_ps(a1w, s1k);
        a9y = _mm_mul_ps(a2w, s2k);
        s5k = _mm_sub_ps(a8y, a9y);
        a0z = _mm_mul_ps(a2w, s1k);
        a1z = _mm_mul_ps(a1w, s2k);
        s6k = _mm_add_ps(a0z, a1z);
        a2z = (a0w + 2);
        a3w = *(a2z);
        a3z = (a0w + 3);
        a4w = *(a3z);
        a4z = _mm_mul_ps(a3w, s3k);
        a5z = _mm_mul_ps(a4w, s4k);
        s7k = _mm_sub_ps(a4z, a5z);
        a6z = _mm_mul_ps(a4w, s3k);
        a7z = _mm_mul_ps(a3w, s4k);
        s8k = _mm_add_ps(a6z, a7z);
        t5g = _mm_add_ps(s5k, s7k);
        t6g = _mm_add_ps(s6k, s8k);
        t7g = _mm_sub_ps(s5k, s7k);
        t8g = _mm_sub_ps(s6k, s8k);
        a8z = (b11 + 18);
        s9k = *(a8z);
        a9z = (b11 + 26);
        s0l = *(a9z);
        a0A = (b11 + 22);
        s1l = *(a0A);
        a1A = (b11 + 30);
        s2l = *(a1A);
        a2A = (a0w + 4);
        a5w = *(a2A);
        a3A = (a0w + 5);
        a6w = *(a3A);
        a4A = _mm_mul_ps(a5w, s9k);
        a5A = _mm_mul_ps(a6w, s0l);
        s3l = _mm_sub_ps(a4A, a5A);
        a6A = _mm_mul_ps(a6w, s9k);
        a7A = _mm_mul_ps(a5w, s0l);
        s4l = _mm_add_ps(a6A, a7A);
        a8A = (a0w + 6);
        a7w = *(a8A);
        a9A = (a0w + 7);
        a8w = *(a9A);
        a0B = _mm_mul_ps(a7w, s1l);
        a1B = _mm_mul_ps(a8w, s2l);
        s5l = _mm_sub_ps(a0B, a1B);
        a2B = _mm_mul_ps(a8w, s1l);
        a3B = _mm_mul_ps(a7w, s2l);
        s6l = _mm_add_ps(a2B, a3B);
        t9g = _mm_add_ps(s3l, s5l);
        t0h = _mm_add_ps(s4l, s6l);
        t1h = _mm_sub_ps(s3l, s5l);
        t2h = _mm_sub_ps(s4l, s6l);
        t3h = _mm_add_ps(t5g, t9g);
        t4h = _mm_add_ps(t6g, t0h);
        t5h = _mm_sub_ps(t5g, t9g);
        t6h = _mm_sub_ps(t6g, t0h);
        t7h = _mm_add_ps(t7g, t2h);
        t8h = _mm_sub_ps(t8g, t1h);
        t9h = _mm_sub_ps(t7g, t2h);
        t0i = _mm_add_ps(t8g, t1h);
        s7l = _mm_unpacklo_ps(t3h, t7h);
        s8l = _mm_unpackhi_ps(t3h, t7h);
        s9l = _mm_unpacklo_ps(t4h, t8h);
        s0m = _mm_unpackhi_ps(t4h, t8h);
        s1m = _mm_unpacklo_ps(t5h, t9h);
        s2m = _mm_unpackhi_ps(t5h, t9h);
        s3m = _mm_unpacklo_ps(t6h, t0i);
        s4m = _mm_unpackhi_ps(t6h, t0i);
        s5m = _mm_shuffle_ps(s7l, s1m, _MM_SHUFFLE(1, 0, 1, 0));
        s6m = _mm_shuffle_ps(s7l, s1m, _MM_SHUFFLE(3, 2, 3, 2));
        s7m = _mm_shuffle_ps(s8l, s2m, _MM_SHUFFLE(1, 0, 1, 0));
        s8m = _mm_shuffle_ps(s8l, s2m, _MM_SHUFFLE(3, 2, 3, 2));
        s9m = _mm_shuffle_ps(s9l, s3m, _MM_SHUFFLE(1, 0, 1, 0));
        s0n = _mm_shuffle_ps(s9l, s3m, _MM_SHUFFLE(3, 2, 3, 2));
        s1n = _mm_shuffle_ps(s0m, s4m, _MM_SHUFFLE(1, 0, 1, 0));
        s2n = _mm_shuffle_ps(s0m, s4m, _MM_SHUFFLE(3, 2, 3, 2));
        a4B = (b11 + 17);
        s3n = *(a4B);
        a5B = (b11 + 25);
        s4n = *(a5B);
        a6B = (b11 + 21);
        s5n = *(a6B);
        a7B = (b11 + 29);
        s6n = *(a7B);
        a8B = (a0w + 8);
        a9w = *(a8B);
        a9B = (a0w + 9);
        a0x = *(a9B);
        a0C = _mm_mul_ps(a9w, s3n);
        a1C = _mm_mul_ps(a0x, s4n);
        s7n = _mm_sub_ps(a0C, a1C);
        a2C = _mm_mul_ps(a0x, s3n);
        a3C = _mm_mul_ps(a9w, s4n);
        s8n = _mm_add_ps(a2C, a3C);
        a4C = (a0w + 10);
        a1x = *(a4C);
        a5C = (a0w + 11);
        a2x = *(a5C);
        a6C = _mm_mul_ps(a1x, s5n);
        a7C = _mm_mul_ps(a2x, s6n);
        s9n = _mm_sub_ps(a6C, a7C);
        a8C = _mm_mul_ps(a2x, s5n);
        a9C = _mm_mul_ps(a1x, s6n);
        s0o = _mm_add_ps(a8C, a9C);
        t1i = _mm_add_ps(s7n, s9n);
        t2i = _mm_add_ps(s8n, s0o);
        t3i = _mm_sub_ps(s7n, s9n);
        t4i = _mm_sub_ps(s8n, s0o);
        a0D = (b11 + 19);
        s1o = *(a0D);
        a1D = (b11 + 27);
        s2o = *(a1D);
        a2D = (b11 + 23);
        s3o = *(a2D);
        a3D = (b11 + 31);
        s4o = *(a3D);
        a4D = (a0w + 12);
        a3x = *(a4D);
        a5D = (a0w + 13);
        a4x = *(a5D);
        a6D = _mm_mul_ps(a3x, s1o);
        a7D = _mm_mul_ps(a4x, s2o);
        s5o = _mm_sub_ps(a6D, a7D);
        a8D = _mm_mul_ps(a4x, s1o);
        a9D = _mm_mul_ps(a3x, s2o);
        s6o = _mm_add_ps(a8D, a9D);
        a0E = (a0w + 14);
        a5x = *(a0E);
        a1E = (a0w + 15);
        a6x = *(a1E);
        a2E = _mm_mul_ps(a5x, s3o);
        a3E = _mm_mul_ps(a6x, s4o);
        s7o = _mm_sub_ps(a2E, a3E);
        a4E = _mm_mul_ps(a6x, s3o);
        a5E = _mm_mul_ps(a5x, s4o);
        s8o = _mm_add_ps(a4E, a5E);
        t5i = _mm_add_ps(s5o, s7o);
        t6i = _mm_add_ps(s6o, s8o);
        t7i = _mm_sub_ps(s5o, s7o);
        t8i = _mm_sub_ps(s6o, s8o);
        t9i = _mm_add_ps(t1i, t5i);
        t0j = _mm_add_ps(t2i, t6i);
        t1j = _mm_sub_ps(t1i, t5i);
        t2j = _mm_sub_ps(t2i, t6i);
        t3j = _mm_add_ps(t3i, t8i);
        t4j = _mm_sub_ps(t4i, t7i);
        t5j = _mm_sub_ps(t3i, t8i);
        t6j = _mm_add_ps(t4i, t7i);
        s9o = _mm_unpacklo_ps(t9i, t3j);
        s0p = _mm_unpackhi_ps(t9i, t3j);
        s1p = _mm_unpacklo_ps(t0j, t4j);
        s2p = _mm_unpackhi_ps(t0j, t4j);
        s3p = _mm_unpacklo_ps(t1j, t5j);
        s4p = _mm_unpackhi_ps(t1j, t5j);
        s5p = _mm_unpacklo_ps(t2j, t6j);
        s6p = _mm_unpackhi_ps(t2j, t6j);
        s7p = _mm_shuffle_ps(s9o, s3p, _MM_SHUFFLE(1, 0, 1, 0));
        s8p = _mm_shuffle_ps(s9o, s3p, _MM_SHUFFLE(3, 2, 3, 2));
        s9p = _mm_shuffle_ps(s0p, s4p, _MM_SHUFFLE(1, 0, 1, 0));
        s0q = _mm_shuffle_ps(s0p, s4p, _MM_SHUFFLE(3, 2, 3, 2));
        s1q = _mm_shuffle_ps(s1p, s5p, _MM_SHUFFLE(1, 0, 1, 0));
        s2q = _mm_shuffle_ps(s1p, s5p, _MM_SHUFFLE(3, 2, 3, 2));
        s3q = _mm_shuffle_ps(s2p, s6p, _MM_SHUFFLE(1, 0, 1, 0));
        s4q = _mm_shuffle_ps(s2p, s6p, _MM_SHUFFLE(3, 2, 3, 2));
        a6E = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7p);
        a7E = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s1q);
        s5q = _mm_sub_ps(a6E, a7E);
        a8E = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7p);
        a9E = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1q);
        s6q = _mm_add_ps(a8E, a9E);
        t7j = _mm_add_ps(s5m, s5q);
        t8j = _mm_add_ps(s9m, s6q);
        t9j = _mm_sub_ps(s5m, s5q);
        t0k = _mm_sub_ps(s9m, s6q);
        a0F = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7m);
        a1F = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s1n);
        s7q = _mm_sub_ps(a0F, a1F);
        a2F = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s7m);
        a3F = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1n);
        s8q = _mm_add_ps(a2F, a3F);
        a4F = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s9p);
        a5F = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s3q);
        s9q = _mm_sub_ps(a4F, a5F);
        a6F = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s9p);
        a7F = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s3q);
        s0r = _mm_add_ps(a6F, a7F);
        t1k = _mm_add_ps(s7q, s9q);
        t2k = _mm_add_ps(s8q, s0r);
        t3k = _mm_sub_ps(s7q, s9q);
        t4k = _mm_sub_ps(s8q, s0r);
        t5k = _mm_add_ps(t7j, t1k);
        t6k = _mm_add_ps(t8j, t2k);
        t7k = _mm_sub_ps(t7j, t1k);
        t8k = _mm_sub_ps(t8j, t2k);
        t9k = _mm_add_ps(t9j, t4k);
        t0l = _mm_sub_ps(t0k, t3k);
        t1l = _mm_sub_ps(t9j, t4k);
        t2l = _mm_add_ps(t0k, t3k);
        a8F = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6m);
        a9F = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s0n);
        s1r = _mm_sub_ps(a8F, a9F);
        a0G = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s6m);
        a1G = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0n);
        s2r = _mm_add_ps(a0G, a1G);
        a2G = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s8p);
        a3G = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s2q);
        s3r = _mm_sub_ps(a2G, a3G);
        a4G = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s8p);
        a5G = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s2q);
        s4r = _mm_add_ps(a4G, a5G);
        t3l = _mm_add_ps(s1r, s3r);
        t4l = _mm_add_ps(s2r, s4r);
        t5l = _mm_sub_ps(s1r, s3r);
        t6l = _mm_sub_ps(s2r, s4r);
        a6G = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8m);
        a7G = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s2n);
        s5r = _mm_sub_ps(a6G, a7G);
        a8G = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s8m);
        a9G = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2n);
        s6r = _mm_add_ps(a8G, a9G);
        a0H = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s0q);
        a1H = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s4q);
        s7r = _mm_sub_ps(a0H, a1H);
        a2H = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s0q);
        a3H = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s4q);
        s8r = _mm_add_ps(a2H, a3H);
        t7l = _mm_add_ps(s5r, s7r);
        t8l = _mm_add_ps(s6r, s8r);
        t9l = _mm_sub_ps(s5r, s7r);
        t0m = _mm_sub_ps(s6r, s8r);
        t1m = _mm_add_ps(t3l, t7l);
        t2m = _mm_add_ps(t4l, t8l);
        t3m = _mm_sub_ps(t3l, t7l);
        t4m = _mm_sub_ps(t4l, t8l);
        a4H = _mm_add_ps(t5l, t0m);
        a7x = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4H);
        a5H = _mm_sub_ps(t6l, t9l);
        a8x = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5H);
        s9r = _mm_sub_ps(a7x, a8x);
        s0s = _mm_add_ps(a7x, a8x);
        a6H = _mm_sub_ps(t5l, t0m);
        a9x = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a6H);
        a7H = _mm_add_ps(t6l, t9l);
        a0y = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a7H);
        s1s = _mm_sub_ps(a9x, a0y);
        s2s = _mm_add_ps(a9x, a0y);
        t5m = _mm_add_ps(t5k, t1m);
        t6m = _mm_add_ps(t6k, t2m);
        t7m = _mm_sub_ps(t5k, t1m);
        t8m = _mm_sub_ps(t6k, t2m);
        s3s = _mm_unpacklo_ps(t5m, t6m);
        s4s = _mm_unpackhi_ps(t5m, t6m);
        a1y = (2 * i2);
        b21 = (dst + a1y);
        a8H = (b21 + 2);
        _mm_storel_pi(((__m64  *) a8H), s3s);
        a9H = (b21 + 66);
        _mm_storeh_pi(((__m64  *) a9H), s3s);
        a0I = (b21 + 130);
        _mm_storel_pi(((__m64  *) a0I), s4s);
        a1I = (b21 + 194);
        _mm_storeh_pi(((__m64  *) a1I), s4s);
        a2I = _mm_unpacklo_ps(t7m, t8m);
        s5s = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2I);
        a3I = _mm_unpackhi_ps(t7m, t8m);
        s6s = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3I);
        b31 = (dst - a1y);
        a4I = (b31 + 1022);
        _mm_storel_pi(((__m64  *) a4I), s5s);
        a5I = (b31 + 958);
        _mm_storeh_pi(((__m64  *) a5I), s5s);
        a6I = (b31 + 894);
        _mm_storel_pi(((__m64  *) a6I), s6s);
        a7I = (b31 + 830);
        _mm_storeh_pi(((__m64  *) a7I), s6s);
        t9m = _mm_add_ps(t9k, s9r);
        t0n = _mm_sub_ps(t0l, s0s);
        t1n = _mm_sub_ps(t9k, s9r);
        t2n = _mm_add_ps(t0l, s0s);
        s7s = _mm_unpacklo_ps(t9m, t0n);
        s8s = _mm_unpackhi_ps(t9m, t0n);
        a8I = (b21 + 258);
        _mm_storel_pi(((__m64  *) a8I), s7s);
        a9I = (b21 + 322);
        _mm_storeh_pi(((__m64  *) a9I), s7s);
        a0J = (b21 + 386);
        _mm_storel_pi(((__m64  *) a0J), s8s);
        a1J = (b21 + 450);
        _mm_storeh_pi(((__m64  *) a1J), s8s);
        a2J = _mm_unpacklo_ps(t1n, t2n);
        s9s = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2J);
        a3J = _mm_unpackhi_ps(t1n, t2n);
        s0t = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3J);
        a4J = (b31 + 766);
        _mm_storel_pi(((__m64  *) a4J), s9s);
        a5J = (b31 + 702);
        _mm_storeh_pi(((__m64  *) a5J), s9s);
        a6J = (b31 + 638);
        _mm_storel_pi(((__m64  *) a6J), s0t);
        a7J = (b31 + 574);
        _mm_storeh_pi(((__m64  *) a7J), s0t);
        t3n = _mm_add_ps(t7k, t4m);
        t4n = _mm_sub_ps(t8k, t3m);
        t5n = _mm_sub_ps(t7k, t4m);
        t6n = _mm_add_ps(t8k, t3m);
        s1t = _mm_unpacklo_ps(t3n, t4n);
        s2t = _mm_unpackhi_ps(t3n, t4n);
        a8J = (b21 + 514);
        _mm_storel_pi(((__m64  *) a8J), s1t);
        a9J = (b21 + 578);
        _mm_storeh_pi(((__m64  *) a9J), s1t);
        a0K = (b21 + 642);
        _mm_storel_pi(((__m64  *) a0K), s2t);
        a1K = (b21 + 706);
        _mm_storeh_pi(((__m64  *) a1K), s2t);
        a2K = _mm_unpacklo_ps(t5n, t6n);
        s3t = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2K);
        a3K = _mm_unpackhi_ps(t5n, t6n);
        s4t = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3K);
        a4K = (b31 + 510);
        _mm_storel_pi(((__m64  *) a4K), s3t);
        a5K = (b31 + 446);
        _mm_storeh_pi(((__m64  *) a5K), s3t);
        a6K = (b31 + 382);
        _mm_storel_pi(((__m64  *) a6K), s4t);
        a7K = (b31 + 318);
        _mm_storeh_pi(((__m64  *) a7K), s4t);
        t7n = _mm_add_ps(t1l, s1s);
        t8n = _mm_add_ps(t2l, s2s);
        t9n = _mm_sub_ps(t1l, s1s);
        t0o = _mm_sub_ps(t2l, s2s);
        s5t = _mm_unpacklo_ps(t7n, t8n);
        s6t = _mm_unpackhi_ps(t7n, t8n);
        a8K = (b21 + 770);
        _mm_storel_pi(((__m64  *) a8K), s5t);
        a9K = (b21 + 834);
        _mm_storeh_pi(((__m64  *) a9K), s5t);
        a0L = (b21 + 898);
        _mm_storel_pi(((__m64  *) a0L), s6t);
        a1L = (b21 + 962);
        _mm_storeh_pi(((__m64  *) a1L), s6t);
        a2L = _mm_unpacklo_ps(t9n, t0o);
        s7t = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2L);
        a3L = _mm_unpackhi_ps(t9n, t0o);
        s8t = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3L);
        a4L = (b31 + 254);
        _mm_storel_pi(((__m64  *) a4L), s7t);
        a5L = (b31 + 190);
        _mm_storeh_pi(((__m64  *) a5L), s7t);
        a6L = (b31 + 126);
        _mm_storel_pi(((__m64  *) a6L), s8t);
        a7L = (b31 + 62);
        _mm_storeh_pi(((__m64  *) a7L), s8t);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftfwd_float_1024)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftfwd_float_1024_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[1024]);
    __m128 a0A, a0x, a0y, a0z, a1A, a1w, a1x, a1y, a2A, a2w, a2x, a2y, a2z, a3w, a3x, a3y, a3z, a4A, a4c, a4d, a4e, a4f
            , a4v, a4x, a4y, a4z, a5A, a5F, a5G, a5c, a5d, a5e, a5f, a5v, a5y, a5z, a6A, a6F, a6G, a6v, a6w, a6x, a6y, a6z
            , a7A, a7w, a7x, a7z, a8x, a8y, a8z, a9y, b, b4, b6, b8;
    __m128 a01, a02, a03, a07, a08, a09, a0D, a0E, a0F, a0a, a0b, a0h, a0i, a0j, a0l, a0n, a0t, a0u, a0v, a0w, a11, a12
            , a13, a17, a18, a19, a1D, a1E, a1a, a1b, a1g, a1h, a1i, a1j, a1l, a1n, a1t, a1u, a1v, a1z, a21, a22, a23, a25
            , a26, a29, a2D, a2E, a2a, a2b, a2g, a2h, a2i, a2j, a2l, a2n, a2t, a2u, a2v, a3, a31, a33, a35, a36, a39, a3A
            , a3C, a3D, a3E, a3a, a3b, a3g, a3h, a3i, a3j, a3l, a3n, a3t, a3u, a3v, a4, a41, a45, a46, a48, a49, a4C, a4D
            , a4E, a4a, a4b, a4g, a4h, a4j, a4l, a4m, a4n, a4t, a4u, a4w, a5, a51, a55, a56, a58, a59, a5C, a5D, a5E, a5a
            , a5b, a5g, a5h, a5j, a5l, a5n, a5t, a5u, a5w, a5x, a6, a61, a63, a64, a68, a69, a6C, a6D, a6E, a6a, a6b, a6g
            , a6h, a6j, a6l, a6n, a6s, a6t, a6u, a7, a71, a73, a74, a78, a79, a7C, a7D, a7E, a7a, a7b, a7g, a7h, a7j, a7k
            , a7l, a7n, a7o, a7s, a7t, a7u, a7v, a7y, a8, a81, a83, a84, a86, a87, a88, a89, a8C, a8D, a8E, a8a, a8b, a8g
            , a8h, a8i, a8j, a8l, a8m, a8n, a8s, a8t, a8u, a8v, a8w, a9, a91, a93, a94, a96, a97, a98, a99, a9C, a9D, a9E
            , a9a, a9b, a9h, a9i, a9j, a9k, a9m, a9n, a9s, a9t, a9u, a9v, a9w, a9x, a9z, b2, b3, b5, b7, b9, s, s01
            , s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n
            , s0o, s0p, s0q, s0r, s0s, s0t, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s1g
            , s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s2, s21, s22, s23, s24, s25, s26, s27, s28
            , s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s3
            , s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m
            , s3n, s3o, s3p, s3q, s3r, s3s, s3t, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e
            , s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s5, s51, s52, s53, s54, s55, s56
            , s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s
            , s5t, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k
            , s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c
            , s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s8, s81, s82, s83, s84
            , s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q
            , s8r, s8s, s8t, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i
            , s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b
            , t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t11, t12, t13, t14, t15, t16, t17, t18, t19
            , t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t2, t21, t22, t23, t24, t25, t26, t27
            , t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t3, t31, t32, t33, t34, t35
            , t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t4, t41, t42, t43
            , t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t5, t51
            , t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n
            , t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l
            , t6m, t6n, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j
            , t7k, t7l, t7m, t7n, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h
            , t8i, t8j, t8k, t8l, t8m, t8n, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f
            , t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n;
    __m128  *a04, *a05, *a06, *a0I, *a0g, *a0k, *a0m, *a0o, *a0p, *a0q, *a0r, *a0s, *a14, *a15, *a16, *a1H, *a1I, *a1k, *a1m, *a1o, *a1p, *a1q
            , *a1r, *a1s, *a2, *a24, *a27, *a28, *a2H, *a2I, *a2k, *a2m, *a2o, *a2p, *a2q, *a2r, *a2s, *a34, *a37, *a38, *a3H, *a3I, *a3k, *a3m
            , *a3o, *a3p, *a3q, *a3r, *a3s, *a42, *a43, *a44, *a47, *a4H, *a4I, *a4i, *a4k, *a4o, *a4p, *a4q, *a4r, *a4s, *a52, *a53, *a54, *a57
            , *a5H, *a5I, *a5i, *a5k, *a5m, *a5o, *a5p, *a5q, *a5r, *a5s, *a62, *a65, *a66, *a67, *a6H, *a6i, *a6k, *a6m, *a6o, *a6p, *a6q, *a6r
            , *a72, *a75, *a76, *a77, *a7H, *a7i, *a7m, *a7p, *a7q, *a7r, *a82, *a85, *a8H, *a8k, *a8o, *a8p, *a8q, *a8r, *a92, *a95, *a9H, *a9g
            , *a9l, *a9o, *a9p, *a9q, *a9r, *b01;
    float  *a0B, *a0C, *a0G, *a0H, *a0c, *a0d, *a0e, *a0f, *a1B, *a1C, *a1F, *a1G, *a1c, *a1d, *a1e, *a1f, *a2B, *a2C, *a2F, *a2G, *a2c, *a2d
            , *a2e, *a2f, *a3B, *a3F, *a3G, *a3c, *a3d, *a3e, *a3f, *a4B, *a4F, *a4G, *a5B, *a6B, *a6c, *a6d, *a6e, *a6f, *a7B, *a7F, *a7G, *a7c
            , *a7d, *a7e, *a7f, *a8A, *a8B, *a8F, *a8G, *a8c, *a8d, *a8e, *a8f, *a9A, *a9B, *a9F, *a9G, *a9c, *a9d, *a9e, *a9f, *b11, *b21;
    int a, a32;
    {long i; for(i = 0; i <= 7; i++) {
        a9o = ((__m128  *) src);
        a0g = (a9o + i);
        s77 = *(a0g);
        a0p = (a0g + 128);
        s87 = *(a0p);
        t = _mm_add_ps(s77, s87);
        t2 = _mm_sub_ps(s77, s87);
        a1p = (a0g + 64);
        s97 = *(a1p);
        a2p = (a0g + 192);
        s08 = *(a2p);
        t3 = _mm_add_ps(s97, s08);
        t4 = _mm_sub_ps(s97, s08);
        a3p = (a0g + 32);
        s18 = *(a3p);
        a4p = (a0g + 160);
        s28 = *(a4p);
        t5 = _mm_add_ps(s18, s28);
        a5p = (a0g + 96);
        s38 = *(a5p);
        a6p = (a0g + 224);
        s48 = *(a6p);
        t6 = _mm_add_ps(s38, s48);
        t7 = _mm_add_ps(t, t3);
        t8 = _mm_sub_ps(t, t3);
        t9 = _mm_add_ps(t5, t6);
        t01 = _mm_sub_ps(t5, t6);
        a4h = _mm_sub_ps(s18, s28);
        a1g = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4h);
        a5h = _mm_sub_ps(s38, s48);
        a2g = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5h);
        s58 = _mm_add_ps(a1g, a2g);
        s68 = _mm_sub_ps(a2g, a1g);
        t11 = _mm_add_ps(t2, s58);
        t21 = _mm_sub_ps(s68, t4);
        t31 = _mm_sub_ps(t2, s58);
        t41 = _mm_add_ps(t4, s68);
        a7p = (a0g + 8);
        s78 = *(a7p);
        a8p = (a0g + 136);
        s88 = *(a8p);
        t51 = _mm_add_ps(s78, s88);
        t61 = _mm_sub_ps(s78, s88);
        a9p = (a0g + 72);
        s98 = *(a9p);
        a0q = (a0g + 200);
        s09 = *(a0q);
        t71 = _mm_add_ps(s98, s09);
        t81 = _mm_sub_ps(s98, s09);
        a1q = (a0g + 40);
        s19 = *(a1q);
        a2q = (a0g + 168);
        s29 = *(a2q);
        t91 = _mm_add_ps(s19, s29);
        a3q = (a0g + 104);
        s39 = *(a3q);
        a4q = (a0g + 232);
        s49 = *(a4q);
        t02 = _mm_add_ps(s39, s49);
        t12 = _mm_add_ps(t51, t71);
        t22 = _mm_sub_ps(t51, t71);
        t32 = _mm_add_ps(t91, t02);
        t42 = _mm_sub_ps(t91, t02);
        a6h = _mm_sub_ps(s19, s29);
        a3g = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6h);
        a7h = _mm_sub_ps(s39, s49);
        a4g = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a7h);
        s59 = _mm_add_ps(a3g, a4g);
        s69 = _mm_sub_ps(a4g, a3g);
        t52 = _mm_add_ps(t61, s59);
        t62 = _mm_sub_ps(s69, t81);
        t72 = _mm_sub_ps(t61, s59);
        t82 = _mm_add_ps(t81, s69);
        a5q = (a0g + 16);
        s79 = *(a5q);
        a6q = (a0g + 144);
        s89 = *(a6q);
        t92 = _mm_add_ps(s79, s89);
        t03 = _mm_sub_ps(s79, s89);
        a7q = (a0g + 80);
        s99 = *(a7q);
        a8q = (a0g + 208);
        s0a = *(a8q);
        t13 = _mm_add_ps(s99, s0a);
        t23 = _mm_sub_ps(s99, s0a);
        a9q = (a0g + 48);
        s1a = *(a9q);
        a0r = (a0g + 176);
        s2a = *(a0r);
        t33 = _mm_add_ps(s1a, s2a);
        a1r = (a0g + 112);
        s3a = *(a1r);
        a2r = (a0g + 240);
        s4a = *(a2r);
        t43 = _mm_add_ps(s3a, s4a);
        t53 = _mm_add_ps(t92, t13);
        t63 = _mm_add_ps(t33, t43);
        a8h = _mm_sub_ps(s1a, s2a);
        a5g = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a8h);
        a9h = _mm_sub_ps(s3a, s4a);
        a6g = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a9h);
        s5a = _mm_add_ps(a5g, a6g);
        s6a = _mm_sub_ps(a6g, a5g);
        t73 = _mm_add_ps(t03, s5a);
        t83 = _mm_sub_ps(s6a, t23);
        t93 = _mm_sub_ps(t03, s5a);
        t04 = _mm_add_ps(t23, s6a);
        a3r = (a0g + 24);
        s7a = *(a3r);
        a4r = (a0g + 152);
        s8a = *(a4r);
        t14 = _mm_add_ps(s7a, s8a);
        t24 = _mm_sub_ps(s7a, s8a);
        a5r = (a0g + 88);
        s9a = *(a5r);
        a6r = (a0g + 216);
        s0b = *(a6r);
        t34 = _mm_add_ps(s9a, s0b);
        t44 = _mm_sub_ps(s9a, s0b);
        a7r = (a0g + 56);
        s1b = *(a7r);
        a8r = (a0g + 184);
        s2b = *(a8r);
        t54 = _mm_add_ps(s1b, s2b);
        a9r = (a0g + 120);
        s3b = *(a9r);
        a0s = (a0g + 248);
        s4b = *(a0s);
        t64 = _mm_add_ps(s3b, s4b);
        t74 = _mm_add_ps(t14, t34);
        t84 = _mm_sub_ps(t14, t34);
        t94 = _mm_add_ps(t54, t64);
        t05 = _mm_sub_ps(t54, t64);
        a0i = _mm_sub_ps(s1b, s2b);
        a7g = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0i);
        a1i = _mm_sub_ps(s3b, s4b);
        a8g = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a1i);
        s5b = _mm_add_ps(a7g, a8g);
        s6b = _mm_sub_ps(a8g, a7g);
        t15 = _mm_add_ps(t24, s5b);
        t25 = _mm_sub_ps(s6b, t44);
        t35 = _mm_sub_ps(t24, s5b);
        t45 = _mm_add_ps(t44, s6b);
        t55 = _mm_add_ps(t7, t9);
        t65 = _mm_sub_ps(t7, t9);
        t75 = _mm_add_ps(t53, t63);
        t85 = _mm_sub_ps(t53, t63);
        t95 = _mm_add_ps(t12, t32);
        t06 = _mm_add_ps(t74, t94);
        a1s = ((__m128  *) T);
        a9g = (a1s + i);
        s7b = _mm_add_ps(t55, t75);
        *(a9g) = s7b;
        s8b = _mm_sub_ps(t55, t75);
        a2s = (a9g + 128);
        *(a2s) = s8b;
        s9b = _mm_add_ps(t95, t06);
        a3s = (a9g + 8);
        *(a3s) = s9b;
        s0c = _mm_sub_ps(t06, t95);
        a4s = (a9g + 136);
        *(a4s) = s0c;
        a2i = _mm_sub_ps(t12, t32);
        a0h = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2i);
        a3i = _mm_sub_ps(t74, t94);
        a1h = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a3i);
        s1c = _mm_add_ps(a0h, a1h);
        s2c = _mm_sub_ps(a1h, a0h);
        s3c = _mm_add_ps(t65, s1c);
        a4i = (a9g + 64);
        *(a4i) = s3c;
        s4c = _mm_sub_ps(s2c, t85);
        a5i = (a9g + 72);
        *(a5i) = s4c;
        s5c = _mm_sub_ps(t65, s1c);
        a6i = (a9g + 192);
        *(a6i) = s5c;
        s6c = _mm_add_ps(t85, s2c);
        a7i = (a9g + 200);
        *(a7i) = s6c;
        a8i = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t52);
        a9i = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t62);
        s7c = _mm_sub_ps(a8i, a9i);
        a0j = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t52);
        a1j = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t62);
        s8c = _mm_add_ps(a0j, a1j);
        a2j = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t73);
        a3j = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t83);
        s9c = _mm_sub_ps(a2j, a3j);
        a4j = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t73);
        a5j = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t83);
        s0d = _mm_add_ps(a4j, a5j);
        a6j = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t15);
        a7j = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t25);
        s1d = _mm_sub_ps(a6j, a7j);
        a8j = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t15);
        a9j = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t25);
        s2d = _mm_add_ps(a8j, a9j);
        t16 = _mm_add_ps(t11, s9c);
        t26 = _mm_add_ps(t21, s0d);
        t36 = _mm_sub_ps(t11, s9c);
        t46 = _mm_sub_ps(t21, s0d);
        t56 = _mm_add_ps(s7c, s1d);
        t66 = _mm_add_ps(s8c, s2d);
        t76 = _mm_sub_ps(s7c, s1d);
        t86 = _mm_sub_ps(s8c, s2d);
        s3d = _mm_add_ps(t16, t56);
        a0k = (a9g + 16);
        *(a0k) = s3d;
        s4d = _mm_add_ps(t26, t66);
        a1k = (a9g + 24);
        *(a1k) = s4d;
        s5d = _mm_sub_ps(t16, t56);
        a2k = (a9g + 240);
        *(a2k) = s5d;
        s6d = _mm_sub_ps(t66, t26);
        a3k = (a9g + 248);
        *(a3k) = s6d;
        s7d = _mm_add_ps(t36, t86);
        a4k = (a9g + 144);
        *(a4k) = s7d;
        s8d = _mm_sub_ps(t46, t76);
        a5k = (a9g + 152);
        *(a5k) = s8d;
        s9d = _mm_sub_ps(t36, t86);
        a6k = (a9g + 112);
        *(a6k) = s9d;
        a7k = _mm_add_ps(t46, t76);
        s0e = _mm_sub_ps(_mm_set1_ps(0.0f), a7k);
        a8k = (a9g + 120);
        *(a8k) = s0e;
        a9k = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t22);
        a0l = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t42);
        s1e = _mm_add_ps(a9k, a0l);
        a1l = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t22);
        a2l = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t42);
        s2e = _mm_sub_ps(a1l, a2l);
        a3l = _mm_sub_ps(t92, t13);
        a2h = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3l);
        a4l = _mm_sub_ps(t33, t43);
        a3h = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a4l);
        s3e = _mm_add_ps(a2h, a3h);
        s4e = _mm_sub_ps(a3h, a2h);
        a5l = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t84);
        a6l = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t05);
        s5e = _mm_add_ps(a5l, a6l);
        a7l = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t84);
        a8l = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t05);
        s6e = _mm_sub_ps(a7l, a8l);
        t96 = _mm_add_ps(t8, s3e);
        t07 = _mm_sub_ps(s4e, t01);
        t17 = _mm_sub_ps(t8, s3e);
        t27 = _mm_add_ps(t01, s4e);
        t37 = _mm_add_ps(s1e, s5e);
        t47 = _mm_add_ps(s2e, s6e);
        t57 = _mm_sub_ps(s1e, s5e);
        t67 = _mm_sub_ps(s2e, s6e);
        s7e = _mm_add_ps(t96, t37);
        a9l = (a9g + 32);
        *(a9l) = s7e;
        s8e = _mm_add_ps(t07, t47);
        a0m = (a9g + 40);
        *(a0m) = s8e;
        s9e = _mm_sub_ps(t96, t37);
        a1m = (a9g + 224);
        *(a1m) = s9e;
        s0f = _mm_sub_ps(t47, t07);
        a2m = (a9g + 232);
        *(a2m) = s0f;
        s1f = _mm_add_ps(t17, t67);
        a3m = (a9g + 160);
        *(a3m) = s1f;
        a4m = _mm_add_ps(t27, t57);
        s2f = _mm_sub_ps(_mm_set1_ps(0.0f), a4m);
        a5m = (a9g + 168);
        *(a5m) = s2f;
        s3f = _mm_sub_ps(t17, t67);
        a6m = (a9g + 96);
        *(a6m) = s3f;
        s4f = _mm_sub_ps(t27, t57);
        a7m = (a9g + 104);
        *(a7m) = s4f;
        a8m = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t72);
        a9m = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t82);
        s5f = _mm_sub_ps(a8m, a9m);
        a0n = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t72);
        a1n = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t82);
        s6f = _mm_add_ps(a0n, a1n);
        a2n = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t93);
        a3n = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t04);
        s7f = _mm_sub_ps(a2n, a3n);
        a4n = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t93);
        a5n = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t04);
        s8f = _mm_add_ps(a4n, a5n);
        a6n = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t35);
        a7n = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t45);
        s9f = _mm_sub_ps(a6n, a7n);
        a8n = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t35);
        a9n = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t45);
        s0g = _mm_add_ps(a8n, a9n);
        t77 = _mm_add_ps(t31, s7f);
        t87 = _mm_add_ps(t41, s8f);
        t97 = _mm_sub_ps(t31, s7f);
        t08 = _mm_sub_ps(t41, s8f);
        t18 = _mm_add_ps(s5f, s9f);
        t28 = _mm_add_ps(s6f, s0g);
        t38 = _mm_sub_ps(s5f, s9f);
        t48 = _mm_sub_ps(s6f, s0g);
        s1g = _mm_add_ps(t77, t18);
        a0o = (a9g + 48);
        *(a0o) = s1g;
        s2g = _mm_add_ps(t87, t28);
        a1o = (a9g + 56);
        *(a1o) = s2g;
        s3g = _mm_sub_ps(t77, t18);
        a2o = (a9g + 208);
        *(a2o) = s3g;
        s4g = _mm_sub_ps(t28, t87);
        a3o = (a9g + 216);
        *(a3o) = s4g;
        s5g = _mm_add_ps(t97, t48);
        a4o = (a9g + 176);
        *(a4o) = s5g;
        s6g = _mm_sub_ps(t08, t38);
        a5o = (a9g + 184);
        *(a5o) = s6g;
        s7g = _mm_sub_ps(t97, t48);
        a6o = (a9g + 80);
        *(a6o) = s7g;
        a7o = _mm_add_ps(t08, t38);
        s8g = _mm_sub_ps(_mm_set1_ps(0.0f), a7o);
        a8o = (a9g + 88);
        *(a8o) = s8g;
    }}
    a5s = ((__m128  *) T);
    s9g = *(a5s);
    a1H = (a5s + 8);
    s0h = *(a1H);
    t58 = _mm_add_ps(s9g, s0h);
    t68 = _mm_sub_ps(s9g, s0h);
    a2H = (a5s + 4);
    s1h = *(a2H);
    a3H = (a5s + 12);
    s2h = *(a3H);
    t78 = _mm_add_ps(s1h, s2h);
    t88 = _mm_sub_ps(s1h, s2h);
    a4H = (a5s + 1);
    s3h = *(a4H);
    a5H = (a5s + 9);
    s4h = *(a5H);
    t98 = _mm_add_ps(s3h, s4h);
    t09 = _mm_sub_ps(s3h, s4h);
    a6H = (a5s + 5);
    s5h = *(a6H);
    a7H = (a5s + 13);
    s6h = *(a7H);
    t19 = _mm_add_ps(s5h, s6h);
    t29 = _mm_sub_ps(s5h, s6h);
    a8H = (a5s + 2);
    s7h = *(a8H);
    a9H = (a5s + 10);
    s8h = *(a9H);
    t39 = _mm_add_ps(s7h, s8h);
    t49 = _mm_sub_ps(s7h, s8h);
    a0I = (a5s + 6);
    s9h = *(a0I);
    a1I = (a5s + 14);
    s0i = *(a1I);
    t59 = _mm_add_ps(s9h, s0i);
    t69 = _mm_sub_ps(s9h, s0i);
    a2I = (a5s + 3);
    s1i = *(a2I);
    a3I = (a5s + 11);
    s2i = *(a3I);
    t79 = _mm_add_ps(s1i, s2i);
    t89 = _mm_sub_ps(s1i, s2i);
    a4I = (a5s + 7);
    s3i = *(a4I);
    a5I = (a5s + 15);
    s4i = *(a5I);
    t99 = _mm_add_ps(s3i, s4i);
    t0a = _mm_sub_ps(s3i, s4i);
    s5i = _mm_shuffle_ps(t58, t98, _MM_SHUFFLE(2, 0, 2, 0));
    s6i = _mm_shuffle_ps(t58, t98, _MM_SHUFFLE(3, 1, 3, 1));
    s7i = _mm_shuffle_ps(t78, t19, _MM_SHUFFLE(2, 0, 2, 0));
    s8i = _mm_shuffle_ps(t78, t19, _MM_SHUFFLE(3, 1, 3, 1));
    t1a = _mm_add_ps(s5i, s7i);
    t2a = _mm_add_ps(s6i, s8i);
    t3a = _mm_sub_ps(s5i, s7i);
    t4a = _mm_sub_ps(s6i, s8i);
    s9i = _mm_shuffle_ps(t39, t79, _MM_SHUFFLE(2, 0, 2, 0));
    s0j = _mm_shuffle_ps(t39, t79, _MM_SHUFFLE(3, 1, 3, 1));
    s1j = _mm_shuffle_ps(t59, t99, _MM_SHUFFLE(2, 0, 2, 0));
    s2j = _mm_shuffle_ps(t59, t99, _MM_SHUFFLE(3, 1, 3, 1));
    t5a = _mm_add_ps(s9i, s1j);
    t6a = _mm_add_ps(s0j, s2j);
    t7a = _mm_sub_ps(s9i, s1j);
    t8a = _mm_sub_ps(s0j, s2j);
    t9a = _mm_add_ps(t1a, t5a);
    t0b = _mm_add_ps(t2a, t6a);
    t1b = _mm_sub_ps(t1a, t5a);
    t2b = _mm_sub_ps(t2a, t6a);
    t3b = _mm_add_ps(t3a, t8a);
    t4b = _mm_sub_ps(t4a, t7a);
    t5b = _mm_sub_ps(t3a, t8a);
    t6b = _mm_add_ps(t4a, t7a);
    s3j = _mm_unpacklo_ps(t9a, t3b);
    s4j = _mm_unpackhi_ps(t9a, t3b);
    s5j = _mm_unpacklo_ps(t0b, t4b);
    s6j = _mm_unpackhi_ps(t0b, t4b);
    s7j = _mm_unpacklo_ps(t1b, t5b);
    s8j = _mm_unpackhi_ps(t1b, t5b);
    s9j = _mm_unpacklo_ps(t2b, t6b);
    s0k = _mm_unpackhi_ps(t2b, t6b);
    s1k = _mm_shuffle_ps(s3j, s7j, _MM_SHUFFLE(1, 0, 1, 0));
    s2k = _mm_shuffle_ps(s3j, s7j, _MM_SHUFFLE(3, 2, 3, 2));
    s3k = _mm_shuffle_ps(s4j, s8j, _MM_SHUFFLE(1, 0, 1, 0));
    s4k = _mm_shuffle_ps(s4j, s8j, _MM_SHUFFLE(3, 2, 3, 2));
    s5k = _mm_shuffle_ps(s5j, s9j, _MM_SHUFFLE(1, 0, 1, 0));
    s6k = _mm_shuffle_ps(s5j, s9j, _MM_SHUFFLE(3, 2, 3, 2));
    s7k = _mm_shuffle_ps(s6j, s0k, _MM_SHUFFLE(1, 0, 1, 0));
    s8k = _mm_shuffle_ps(s6j, s0k, _MM_SHUFFLE(3, 2, 3, 2));
    a6s = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3k);
    a7s = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7k);
    s9k = _mm_sub_ps(a6s, a7s);
    a8s = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3k);
    a9s = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7k);
    s0l = _mm_add_ps(a8s, a9s);
    t7b = _mm_add_ps(s1k, s9k);
    t8b = _mm_add_ps(s5k, s0l);
    t9b = _mm_sub_ps(s1k, s9k);
    t0c = _mm_sub_ps(s5k, s0l);
    a0t = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s2k);
    a1t = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s6k);
    s1l = _mm_sub_ps(a0t, a1t);
    a2t = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s2k);
    a3t = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6k);
    s2l = _mm_add_ps(a2t, a3t);
    a4t = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s4k);
    a5t = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s8k);
    s3l = _mm_sub_ps(a4t, a5t);
    a6t = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s4k);
    a7t = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8k);
    s4l = _mm_add_ps(a6t, a7t);
    t1c = _mm_add_ps(s1l, s3l);
    t2c = _mm_add_ps(s2l, s4l);
    t3c = _mm_sub_ps(s1l, s3l);
    t4c = _mm_sub_ps(s2l, s4l);
    t5c = _mm_add_ps(t7b, t1c);
    t6c = _mm_add_ps(t8b, t2c);
    t7c = _mm_sub_ps(t7b, t1c);
    t8c = _mm_sub_ps(t8b, t2c);
    t9c = _mm_add_ps(t9b, t4c);
    t0d = _mm_sub_ps(t0c, t3c);
    t1d = _mm_sub_ps(t9b, t4c);
    t2d = _mm_add_ps(t0c, t3c);
    a8t = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t5c);
    a9t = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t6c);
    s5l = _mm_sub_ps(a8t, a9t);
    a0u = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t5c);
    a1u = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t6c);
    s6l = _mm_add_ps(a0u, a1u);
    a2u = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t9c);
    a3u = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t0d);
    s7l = _mm_sub_ps(a2u, a3u);
    a4u = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t9c);
    a5u = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t0d);
    s8l = _mm_add_ps(a4u, a5u);
    a6u = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t7c);
    a7u = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t8c);
    s9l = _mm_sub_ps(a6u, a7u);
    a8u = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t7c);
    a9u = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t8c);
    s0m = _mm_add_ps(a8u, a9u);
    a0v = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t1d);
    a1v = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t2d);
    s1m = _mm_sub_ps(a0v, a1v);
    a2v = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t1d);
    a3v = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t2d);
    s2m = _mm_add_ps(a2v, a3v);
    a6v = _mm_shuffle_ps(_mm_set1_ps(0.0f), t1d, _MM_SHUFFLE(3, 2, 1, 0));
    a5v = _mm_shuffle_ps(a6v, t1d, _MM_SHUFFLE(1, 2, 3, 0));
    a9v = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s5l);
    a0w = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s6l);
    a8v = _mm_add_ps(a9v, a0w);
    a2w = _mm_shuffle_ps(_mm_set1_ps(0.0f), s1m, _MM_SHUFFLE(3, 2, 1, 0));
    a1w = _mm_shuffle_ps(a2w, s1m, _MM_SHUFFLE(1, 2, 3, 0));
    a7v = _mm_sub_ps(a8v, a1w);
    b = _mm_add_ps(t5c, a5v);
    a4v = _mm_add_ps(b, a7v);
    s3m = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a4v);
    a5w = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t6c);
    a7w = _mm_shuffle_ps(_mm_set1_ps(0.0f), t2d, _MM_SHUFFLE(3, 2, 1, 0));
    a6w = _mm_shuffle_ps(a7w, t2d, _MM_SHUFFLE(1, 2, 3, 0));
    a4w = _mm_sub_ps(a5w, a6w);
    a8w = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s5l);
    a9w = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s6l);
    a1x = _mm_shuffle_ps(_mm_set1_ps(0.0f), s2m, _MM_SHUFFLE(3, 2, 1, 0));
    a0x = _mm_shuffle_ps(a1x, s2m, _MM_SHUFFLE(1, 2, 3, 0));
    b2 = _mm_add_ps(a4w, a8w);
    b3 = _mm_add_ps(b2, a9w);
    a3w = _mm_add_ps(b3, a0x);
    s4m = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a3w);
    a4x = _mm_shuffle_ps(t1d, t7c, _MM_SHUFFLE(3, 2, 1, 0));
    a3x = _mm_shuffle_ps(a4x, t7c, _MM_SHUFFLE(1, 2, 3, 0));
    a7x = _mm_shuffle_ps(s1m, s9l, _MM_SHUFFLE(3, 2, 1, 0));
    a6x = _mm_shuffle_ps(a7x, s9l, _MM_SHUFFLE(1, 2, 3, 0));
    a5x = _mm_sub_ps(s7l, a6x);
    b4 = _mm_add_ps(t9c, a3x);
    a2x = _mm_add_ps(b4, a5x);
    s5m = _mm_mul_ps(_mm_set1_ps(0.5f), a2x);
    a1y = _mm_shuffle_ps(t2d, t8c, _MM_SHUFFLE(3, 2, 1, 0));
    a0y = _mm_shuffle_ps(a1y, t8c, _MM_SHUFFLE(1, 2, 3, 0));
    a9x = _mm_sub_ps(t0d, a0y);
    a3y = _mm_shuffle_ps(s2m, s0m, _MM_SHUFFLE(3, 2, 1, 0));
    a2y = _mm_shuffle_ps(a3y, s0m, _MM_SHUFFLE(1, 2, 3, 0));
    b5 = _mm_add_ps(a9x, s8l);
    a8x = _mm_add_ps(b5, a2y);
    s6m = _mm_mul_ps(_mm_set1_ps(0.5f), a8x);
    a6y = _mm_shuffle_ps(t7c, t9c, _MM_SHUFFLE(3, 2, 1, 0));
    a5y = _mm_shuffle_ps(a6y, t9c, _MM_SHUFFLE(1, 2, 3, 0));
    a9y = _mm_shuffle_ps(s9l, s7l, _MM_SHUFFLE(3, 2, 1, 0));
    a8y = _mm_shuffle_ps(a9y, s7l, _MM_SHUFFLE(1, 2, 3, 0));
    a7y = _mm_sub_ps(s9l, a8y);
    b6 = _mm_add_ps(t7c, a5y);
    a4y = _mm_add_ps(b6, a7y);
    s7m = _mm_mul_ps(_mm_set1_ps(0.5f), a4y);
    a3z = _mm_shuffle_ps(t8c, t0d, _MM_SHUFFLE(3, 2, 1, 0));
    a2z = _mm_shuffle_ps(a3z, t0d, _MM_SHUFFLE(1, 2, 3, 0));
    a1z = _mm_sub_ps(t8c, a2z);
    a5z = _mm_shuffle_ps(s0m, s8l, _MM_SHUFFLE(3, 2, 1, 0));
    a4z = _mm_shuffle_ps(a5z, s8l, _MM_SHUFFLE(1, 2, 3, 0));
    b7 = _mm_add_ps(a1z, s0m);
    a0z = _mm_add_ps(b7, a4z);
    s8m = _mm_mul_ps(_mm_set1_ps(0.5f), a0z);
    a8z = _mm_shuffle_ps(t9c, t5c, _MM_SHUFFLE(3, 2, 1, 0));
    a7z = _mm_shuffle_ps(a8z, t5c, _MM_SHUFFLE(1, 2, 3, 0));
    a1A = _mm_shuffle_ps(s7l, s5l, _MM_SHUFFLE(3, 2, 1, 0));
    a0A = _mm_shuffle_ps(a1A, s5l, _MM_SHUFFLE(1, 2, 3, 0));
    a9z = _mm_sub_ps(s1m, a0A);
    b8 = _mm_add_ps(t1d, a7z);
    a6z = _mm_add_ps(b8, a9z);
    s9m = _mm_mul_ps(_mm_set1_ps(0.5f), a6z);
    a5A = _mm_shuffle_ps(t0d, t6c, _MM_SHUFFLE(3, 2, 1, 0));
    a4A = _mm_shuffle_ps(a5A, t6c, _MM_SHUFFLE(1, 2, 3, 0));
    a3A = _mm_sub_ps(t2d, a4A);
    a7A = _mm_shuffle_ps(s8l, s6l, _MM_SHUFFLE(3, 2, 1, 0));
    a6A = _mm_shuffle_ps(a7A, s6l, _MM_SHUFFLE(1, 2, 3, 0));
    b9 = _mm_add_ps(a3A, s2m);
    a2A = _mm_add_ps(b9, a6A);
    s0n = _mm_mul_ps(_mm_set1_ps(0.5f), a2A);
    s1n = _mm_unpacklo_ps(s3m, s4m);
    s2n = _mm_unpackhi_ps(s3m, s4m);
    _mm_storel_pi(((__m64  *) dst), s1n);
    a8A = (dst + 64);
    _mm_storeh_pi(((__m64  *) a8A), s1n);
    a9A = (dst + 128);
    _mm_storel_pi(((__m64  *) a9A), s2n);
    a0B = (dst + 192);
    _mm_storeh_pi(((__m64  *) a0B), s2n);
    s3n = _mm_unpacklo_ps(s5m, s6m);
    s4n = _mm_unpackhi_ps(s5m, s6m);
    a1B = (dst + 256);
    _mm_storel_pi(((__m64  *) a1B), s3n);
    a2B = (dst + 320);
    _mm_storeh_pi(((__m64  *) a2B), s3n);
    a3B = (dst + 384);
    _mm_storel_pi(((__m64  *) a3B), s4n);
    a4B = (dst + 448);
    _mm_storeh_pi(((__m64  *) a4B), s4n);
    s5n = _mm_unpacklo_ps(s7m, s8m);
    s6n = _mm_unpackhi_ps(s7m, s8m);
    a5B = (dst + 512);
    _mm_storel_pi(((__m64  *) a5B), s5n);
    a6B = (dst + 576);
    _mm_storeh_pi(((__m64  *) a6B), s5n);
    a7B = (dst + 640);
    _mm_storel_pi(((__m64  *) a7B), s6n);
    a8B = (dst + 704);
    _mm_storeh_pi(((__m64  *) a8B), s6n);
    s7n = _mm_unpacklo_ps(s9m, s0n);
    s8n = _mm_unpackhi_ps(s9m, s0n);
    a9B = (dst + 768);
    _mm_storel_pi(((__m64  *) a9B), s7n);
    a0C = (dst + 832);
    _mm_storeh_pi(((__m64  *) a0C), s7n);
    a1C = (dst + 896);
    _mm_storel_pi(((__m64  *) a1C), s8n);
    a2C = (dst + 960);
    _mm_storeh_pi(((__m64  *) a2C), s8n);
    a3C = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t68);
    a4C = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t88);
    s9n = _mm_add_ps(a3C, a4C);
    a5C = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t68);
    a6C = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t88);
    s0o = _mm_sub_ps(a5C, a6C);
    a7C = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t49);
    a8C = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t69);
    s1o = _mm_add_ps(a7C, a8C);
    a9C = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t49);
    a0D = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t69);
    s2o = _mm_sub_ps(a9C, a0D);
    t3d = _mm_add_ps(s9n, s1o);
    t4d = _mm_add_ps(s0o, s2o);
    t5d = _mm_sub_ps(s9n, s1o);
    t6d = _mm_sub_ps(s0o, s2o);
    a1D = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t09);
    a2D = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t29);
    s3o = _mm_add_ps(a1D, a2D);
    a3D = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t09);
    a4D = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t29);
    s4o = _mm_sub_ps(a3D, a4D);
    a5D = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t89);
    a6D = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t0a);
    s5o = _mm_add_ps(a5D, a6D);
    a7D = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t89);
    a8D = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t0a);
    s6o = _mm_sub_ps(a7D, a8D);
    t7d = _mm_add_ps(s3o, s5o);
    t8d = _mm_add_ps(s4o, s6o);
    t9d = _mm_sub_ps(s3o, s5o);
    t0e = _mm_sub_ps(s4o, s6o);
    t1e = _mm_add_ps(t3d, t7d);
    t2e = _mm_add_ps(t4d, t8d);
    t3e = _mm_sub_ps(t3d, t7d);
    t4e = _mm_sub_ps(t4d, t8d);
    t5e = _mm_add_ps(t5d, t0e);
    t6e = _mm_sub_ps(t6d, t9d);
    t7e = _mm_sub_ps(t5d, t0e);
    t8e = _mm_add_ps(t6d, t9d);
    s7o = _mm_unpacklo_ps(t1e, t5e);
    s8o = _mm_unpackhi_ps(t1e, t5e);
    s9o = _mm_unpacklo_ps(t2e, t6e);
    s0p = _mm_unpackhi_ps(t2e, t6e);
    s1p = _mm_unpacklo_ps(t3e, t7e);
    s2p = _mm_unpackhi_ps(t3e, t7e);
    s3p = _mm_unpacklo_ps(t4e, t8e);
    s4p = _mm_unpackhi_ps(t4e, t8e);
    s5p = _mm_shuffle_ps(s7o, s1p, _MM_SHUFFLE(1, 0, 1, 0));
    s6p = _mm_shuffle_ps(s7o, s1p, _MM_SHUFFLE(3, 2, 3, 2));
    s7p = _mm_shuffle_ps(s8o, s2p, _MM_SHUFFLE(1, 0, 1, 0));
    s8p = _mm_shuffle_ps(s8o, s2p, _MM_SHUFFLE(3, 2, 3, 2));
    s9p = _mm_shuffle_ps(s9o, s3p, _MM_SHUFFLE(1, 0, 1, 0));
    s0q = _mm_shuffle_ps(s9o, s3p, _MM_SHUFFLE(3, 2, 3, 2));
    s1q = _mm_shuffle_ps(s0p, s4p, _MM_SHUFFLE(1, 0, 1, 0));
    s2q = _mm_shuffle_ps(s0p, s4p, _MM_SHUFFLE(3, 2, 3, 2));
    a9D = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7p);
    a0E = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s1q);
    s3q = _mm_sub_ps(a9D, a0E);
    a1E = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7p);
    a2E = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1q);
    s4q = _mm_add_ps(a1E, a2E);
    t9e = _mm_add_ps(s5p, s3q);
    t0f = _mm_add_ps(s9p, s4q);
    t1f = _mm_sub_ps(s5p, s3q);
    t2f = _mm_sub_ps(s9p, s4q);
    a3E = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6p);
    a4E = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s0q);
    s5q = _mm_sub_ps(a3E, a4E);
    a5E = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s6p);
    a6E = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0q);
    s6q = _mm_add_ps(a5E, a6E);
    a7E = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8p);
    a8E = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s2q);
    s7q = _mm_sub_ps(a7E, a8E);
    a9E = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s8p);
    a0F = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2q);
    s8q = _mm_add_ps(a9E, a0F);
    t3f = _mm_add_ps(s5q, s7q);
    t4f = _mm_add_ps(s6q, s8q);
    t5f = _mm_sub_ps(s5q, s7q);
    t6f = _mm_sub_ps(s6q, s8q);
    t7f = _mm_add_ps(t9e, t3f);
    t8f = _mm_add_ps(t0f, t4f);
    t9f = _mm_sub_ps(t9e, t3f);
    t0g = _mm_sub_ps(t0f, t4f);
    s9q = _mm_unpacklo_ps(t7f, t8f);
    s0r = _mm_unpackhi_ps(t7f, t8f);
    a1F = (dst + 32);
    _mm_storel_pi(((__m64  *) a1F), s9q);
    a2F = (dst + 160);
    _mm_storeh_pi(((__m64  *) a2F), s9q);
    a3F = (dst + 288);
    _mm_storel_pi(((__m64  *) a3F), s0r);
    a4F = (dst + 416);
    _mm_storeh_pi(((__m64  *) a4F), s0r);
    a5F = _mm_unpacklo_ps(t9f, t0g);
    s1r = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5F);
    a6F = _mm_unpackhi_ps(t9f, t0g);
    s2r = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6F);
    a7F = (dst + 992);
    _mm_storel_pi(((__m64  *) a7F), s1r);
    a8F = (dst + 864);
    _mm_storeh_pi(((__m64  *) a8F), s1r);
    a9F = (dst + 736);
    _mm_storel_pi(((__m64  *) a9F), s2r);
    a0G = (dst + 608);
    _mm_storeh_pi(((__m64  *) a0G), s2r);
    t1g = _mm_add_ps(t1f, t6f);
    t2g = _mm_sub_ps(t2f, t5f);
    t3g = _mm_sub_ps(t1f, t6f);
    t4g = _mm_add_ps(t2f, t5f);
    s3r = _mm_unpacklo_ps(t1g, t2g);
    s4r = _mm_unpackhi_ps(t1g, t2g);
    a1G = (dst + 544);
    _mm_storel_pi(((__m64  *) a1G), s3r);
    a2G = (dst + 672);
    _mm_storeh_pi(((__m64  *) a2G), s3r);
    a3G = (dst + 800);
    _mm_storel_pi(((__m64  *) a3G), s4r);
    a4G = (dst + 928);
    _mm_storeh_pi(((__m64  *) a4G), s4r);
    a5G = _mm_unpacklo_ps(t3g, t4g);
    s5r = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5G);
    a6G = _mm_unpackhi_ps(t3g, t4g);
    s6r = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6G);
    a7G = (dst + 480);
    _mm_storel_pi(((__m64  *) a7G), s5r);
    a8G = (dst + 352);
    _mm_storeh_pi(((__m64  *) a8G), s5r);
    a9G = (dst + 224);
    _mm_storel_pi(((__m64  *) a9G), s6r);
    a0H = (dst + 96);
    _mm_storeh_pi(((__m64  *) a0H), s6r);
    {long i2; for(i2 = 0; i2 <= 14; i2++) {
        a = (16 * i2);
        a42 = ((__m128  *) T);
        b01 = (a42 + a);
        a52 = (b01 + 16);
        s7r = *(a52);
        a62 = (b01 + 24);
        s8r = *(a62);
        a72 = (b01 + 20);
        s9r = *(a72);
        a82 = (b01 + 28);
        s0s = *(a82);
        a2 = (D6 + a);
        a3 = *(a2);
        a92 = (a2 + 1);
        a4 = *(a92);
        a03 = _mm_mul_ps(a3, s7r);
        a13 = _mm_mul_ps(a4, s8r);
        s1s = _mm_sub_ps(a03, a13);
        a23 = _mm_mul_ps(a4, s7r);
        a33 = _mm_mul_ps(a3, s8r);
        s2s = _mm_add_ps(a23, a33);
        a43 = (a2 + 2);
        a5 = *(a43);
        a53 = (a2 + 3);
        a6 = *(a53);
        a63 = _mm_mul_ps(a5, s9r);
        a73 = _mm_mul_ps(a6, s0s);
        s3s = _mm_sub_ps(a63, a73);
        a83 = _mm_mul_ps(a6, s9r);
        a93 = _mm_mul_ps(a5, s0s);
        s4s = _mm_add_ps(a83, a93);
        t5g = _mm_add_ps(s1s, s3s);
        t6g = _mm_add_ps(s2s, s4s);
        t7g = _mm_sub_ps(s1s, s3s);
        t8g = _mm_sub_ps(s2s, s4s);
        a04 = (b01 + 18);
        s5s = *(a04);
        a14 = (b01 + 26);
        s6s = *(a14);
        a24 = (b01 + 22);
        s7s = *(a24);
        a34 = (b01 + 30);
        s8s = *(a34);
        a44 = (a2 + 4);
        a7 = *(a44);
        a54 = (a2 + 5);
        a8 = *(a54);
        a64 = _mm_mul_ps(a7, s5s);
        a74 = _mm_mul_ps(a8, s6s);
        s9s = _mm_sub_ps(a64, a74);
        a84 = _mm_mul_ps(a8, s5s);
        a94 = _mm_mul_ps(a7, s6s);
        s0t = _mm_add_ps(a84, a94);
        a05 = (a2 + 6);
        a9 = *(a05);
        a15 = (a2 + 7);
        a01 = *(a15);
        a25 = _mm_mul_ps(a9, s7s);
        a35 = _mm_mul_ps(a01, s8s);
        s1t = _mm_sub_ps(a25, a35);
        a45 = _mm_mul_ps(a01, s7s);
        a55 = _mm_mul_ps(a9, s8s);
        s2t = _mm_add_ps(a45, a55);
        t9g = _mm_add_ps(s9s, s1t);
        t0h = _mm_add_ps(s0t, s2t);
        t1h = _mm_sub_ps(s9s, s1t);
        t2h = _mm_sub_ps(s0t, s2t);
        t3h = _mm_add_ps(t5g, t9g);
        t4h = _mm_add_ps(t6g, t0h);
        t5h = _mm_sub_ps(t5g, t9g);
        t6h = _mm_sub_ps(t6g, t0h);
        t7h = _mm_add_ps(t7g, t2h);
        t8h = _mm_sub_ps(t8g, t1h);
        t9h = _mm_sub_ps(t7g, t2h);
        t0i = _mm_add_ps(t8g, t1h);
        s3t = _mm_unpacklo_ps(t3h, t7h);
        s4t = _mm_unpackhi_ps(t3h, t7h);
        s5t = _mm_unpacklo_ps(t4h, t8h);
        s6t = _mm_unpackhi_ps(t4h, t8h);
        s7t = _mm_unpacklo_ps(t5h, t9h);
        s8t = _mm_unpackhi_ps(t5h, t9h);
        s = _mm_unpacklo_ps(t6h, t0i);
        s2 = _mm_unpackhi_ps(t6h, t0i);
        s3 = _mm_shuffle_ps(s3t, s7t, _MM_SHUFFLE(1, 0, 1, 0));
        s4 = _mm_shuffle_ps(s3t, s7t, _MM_SHUFFLE(3, 2, 3, 2));
        s5 = _mm_shuffle_ps(s4t, s8t, _MM_SHUFFLE(1, 0, 1, 0));
        s6 = _mm_shuffle_ps(s4t, s8t, _MM_SHUFFLE(3, 2, 3, 2));
        s7 = _mm_shuffle_ps(s5t, s, _MM_SHUFFLE(1, 0, 1, 0));
        s8 = _mm_shuffle_ps(s5t, s, _MM_SHUFFLE(3, 2, 3, 2));
        s9 = _mm_shuffle_ps(s6t, s2, _MM_SHUFFLE(1, 0, 1, 0));
        s01 = _mm_shuffle_ps(s6t, s2, _MM_SHUFFLE(3, 2, 3, 2));
        a65 = (b01 + 17);
        s11 = *(a65);
        a75 = (b01 + 25);
        s21 = *(a75);
        a85 = (b01 + 21);
        s31 = *(a85);
        a95 = (b01 + 29);
        s41 = *(a95);
        a06 = (a2 + 8);
        a11 = *(a06);
        a16 = (a2 + 9);
        a21 = *(a16);
        a26 = _mm_mul_ps(a11, s11);
        a36 = _mm_mul_ps(a21, s21);
        s51 = _mm_sub_ps(a26, a36);
        a46 = _mm_mul_ps(a21, s11);
        a56 = _mm_mul_ps(a11, s21);
        s61 = _mm_add_ps(a46, a56);
        a66 = (a2 + 10);
        a31 = *(a66);
        a76 = (a2 + 11);
        a41 = *(a76);
        a86 = _mm_mul_ps(a31, s31);
        a96 = _mm_mul_ps(a41, s41);
        s71 = _mm_sub_ps(a86, a96);
        a07 = _mm_mul_ps(a41, s31);
        a17 = _mm_mul_ps(a31, s41);
        s81 = _mm_add_ps(a07, a17);
        t1i = _mm_add_ps(s51, s71);
        t2i = _mm_add_ps(s61, s81);
        t3i = _mm_sub_ps(s51, s71);
        t4i = _mm_sub_ps(s61, s81);
        a27 = (b01 + 19);
        s91 = *(a27);
        a37 = (b01 + 27);
        s02 = *(a37);
        a47 = (b01 + 23);
        s12 = *(a47);
        a57 = (b01 + 31);
        s22 = *(a57);
        a67 = (a2 + 12);
        a51 = *(a67);
        a77 = (a2 + 13);
        a61 = *(a77);
        a87 = _mm_mul_ps(a51, s91);
        a97 = _mm_mul_ps(a61, s02);
        s32 = _mm_sub_ps(a87, a97);
        a08 = _mm_mul_ps(a61, s91);
        a18 = _mm_mul_ps(a51, s02);
        s42 = _mm_add_ps(a08, a18);
        a28 = (a2 + 14);
        a71 = *(a28);
        a38 = (a2 + 15);
        a81 = *(a38);
        a48 = _mm_mul_ps(a71, s12);
        a58 = _mm_mul_ps(a81, s22);
        s52 = _mm_sub_ps(a48, a58);
        a68 = _mm_mul_ps(a81, s12);
        a78 = _mm_mul_ps(a71, s22);
        s62 = _mm_add_ps(a68, a78);
        t5i = _mm_add_ps(s32, s52);
        t6i = _mm_add_ps(s42, s62);
        t7i = _mm_sub_ps(s32, s52);
        t8i = _mm_sub_ps(s42, s62);
        t9i = _mm_add_ps(t1i, t5i);
        t0j = _mm_add_ps(t2i, t6i);
        t1j = _mm_sub_ps(t1i, t5i);
        t2j = _mm_sub_ps(t2i, t6i);
        t3j = _mm_add_ps(t3i, t8i);
        t4j = _mm_sub_ps(t4i, t7i);
        t5j = _mm_sub_ps(t3i, t8i);
        t6j = _mm_add_ps(t4i, t7i);
        s72 = _mm_unpacklo_ps(t9i, t3j);
        s82 = _mm_unpackhi_ps(t9i, t3j);
        s92 = _mm_unpacklo_ps(t0j, t4j);
        s03 = _mm_unpackhi_ps(t0j, t4j);
        s13 = _mm_unpacklo_ps(t1j, t5j);
        s23 = _mm_unpackhi_ps(t1j, t5j);
        s33 = _mm_unpacklo_ps(t2j, t6j);
        s43 = _mm_unpackhi_ps(t2j, t6j);
        s53 = _mm_shuffle_ps(s72, s13, _MM_SHUFFLE(1, 0, 1, 0));
        s63 = _mm_shuffle_ps(s72, s13, _MM_SHUFFLE(3, 2, 3, 2));
        s73 = _mm_shuffle_ps(s82, s23, _MM_SHUFFLE(1, 0, 1, 0));
        s83 = _mm_shuffle_ps(s82, s23, _MM_SHUFFLE(3, 2, 3, 2));
        s93 = _mm_shuffle_ps(s92, s33, _MM_SHUFFLE(1, 0, 1, 0));
        s04 = _mm_shuffle_ps(s92, s33, _MM_SHUFFLE(3, 2, 3, 2));
        s14 = _mm_shuffle_ps(s03, s43, _MM_SHUFFLE(1, 0, 1, 0));
        s24 = _mm_shuffle_ps(s03, s43, _MM_SHUFFLE(3, 2, 3, 2));
        a88 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s53);
        a98 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s93);
        s34 = _mm_sub_ps(a88, a98);
        a09 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s53);
        a19 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s93);
        s44 = _mm_add_ps(a09, a19);
        t7j = _mm_add_ps(s3, s34);
        t8j = _mm_add_ps(s7, s44);
        t9j = _mm_sub_ps(s3, s34);
        t0k = _mm_sub_ps(s7, s44);
        a29 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s5);
        a39 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s9);
        s54 = _mm_sub_ps(a29, a39);
        a49 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s5);
        a59 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s9);
        s64 = _mm_add_ps(a49, a59);
        a69 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s73);
        a79 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s14);
        s74 = _mm_sub_ps(a69, a79);
        a89 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s73);
        a99 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s14);
        s84 = _mm_add_ps(a89, a99);
        t1k = _mm_add_ps(s54, s74);
        t2k = _mm_add_ps(s64, s84);
        t3k = _mm_sub_ps(s54, s74);
        t4k = _mm_sub_ps(s64, s84);
        t5k = _mm_add_ps(t7j, t1k);
        t6k = _mm_add_ps(t8j, t2k);
        t7k = _mm_sub_ps(t7j, t1k);
        t8k = _mm_sub_ps(t8j, t2k);
        t9k = _mm_add_ps(t9j, t4k);
        t0l = _mm_sub_ps(t0k, t3k);
        t1l = _mm_sub_ps(t9j, t4k);
        t2l = _mm_add_ps(t0k, t3k);
        a0a = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s4);
        a1a = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s8);
        s94 = _mm_sub_ps(a0a, a1a);
        a2a = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s4);
        a3a = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s8);
        s05 = _mm_add_ps(a2a, a3a);
        a4a = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s63);
        a5a = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s04);
        s15 = _mm_sub_ps(a4a, a5a);
        a6a = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s63);
        a7a = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s04);
        s25 = _mm_add_ps(a6a, a7a);
        t3l = _mm_add_ps(s94, s15);
        t4l = _mm_add_ps(s05, s25);
        t5l = _mm_sub_ps(s94, s15);
        t6l = _mm_sub_ps(s05, s25);
        a8a = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s6);
        a9a = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s01);
        s35 = _mm_sub_ps(a8a, a9a);
        a0b = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s6);
        a1b = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s01);
        s45 = _mm_add_ps(a0b, a1b);
        a2b = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s83);
        a3b = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s24);
        s55 = _mm_sub_ps(a2b, a3b);
        a4b = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s83);
        a5b = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s24);
        s65 = _mm_add_ps(a4b, a5b);
        t7l = _mm_add_ps(s35, s55);
        t8l = _mm_add_ps(s45, s65);
        t9l = _mm_sub_ps(s35, s55);
        t0m = _mm_sub_ps(s45, s65);
        t1m = _mm_add_ps(t3l, t7l);
        t2m = _mm_add_ps(t4l, t8l);
        t3m = _mm_sub_ps(t3l, t7l);
        t4m = _mm_sub_ps(t4l, t8l);
        a6b = _mm_add_ps(t5l, t0m);
        a91 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6b);
        a7b = _mm_sub_ps(t6l, t9l);
        a02 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a7b);
        s75 = _mm_sub_ps(a91, a02);
        s85 = _mm_add_ps(a91, a02);
        a8b = _mm_sub_ps(t5l, t0m);
        a12 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a8b);
        a9b = _mm_add_ps(t6l, t9l);
        a22 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a9b);
        s95 = _mm_sub_ps(a12, a22);
        s06 = _mm_add_ps(a12, a22);
        t5m = _mm_add_ps(t5k, t1m);
        t6m = _mm_add_ps(t6k, t2m);
        t7m = _mm_sub_ps(t5k, t1m);
        t8m = _mm_sub_ps(t6k, t2m);
        s16 = _mm_unpacklo_ps(t5m, t6m);
        s26 = _mm_unpackhi_ps(t5m, t6m);
        a32 = (2 * i2);
        b11 = (dst + a32);
        a0c = (b11 + 2);
        _mm_storel_pi(((__m64  *) a0c), s16);
        a1c = (b11 + 66);
        _mm_storeh_pi(((__m64  *) a1c), s16);
        a2c = (b11 + 130);
        _mm_storel_pi(((__m64  *) a2c), s26);
        a3c = (b11 + 194);
        _mm_storeh_pi(((__m64  *) a3c), s26);
        a4c = _mm_unpacklo_ps(t7m, t8m);
        s36 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a4c);
        a5c = _mm_unpackhi_ps(t7m, t8m);
        s46 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5c);
        b21 = (dst - a32);
        a6c = (b21 + 1022);
        _mm_storel_pi(((__m64  *) a6c), s36);
        a7c = (b21 + 958);
        _mm_storeh_pi(((__m64  *) a7c), s36);
        a8c = (b21 + 894);
        _mm_storel_pi(((__m64  *) a8c), s46);
        a9c = (b21 + 830);
        _mm_storeh_pi(((__m64  *) a9c), s46);
        t9m = _mm_add_ps(t9k, s75);
        t0n = _mm_sub_ps(t0l, s85);
        t1n = _mm_sub_ps(t9k, s75);
        t2n = _mm_add_ps(t0l, s85);
        s56 = _mm_unpacklo_ps(t9m, t0n);
        s66 = _mm_unpackhi_ps(t9m, t0n);
        a0d = (b11 + 258);
        _mm_storel_pi(((__m64  *) a0d), s56);
        a1d = (b11 + 322);
        _mm_storeh_pi(((__m64  *) a1d), s56);
        a2d = (b11 + 386);
        _mm_storel_pi(((__m64  *) a2d), s66);
        a3d = (b11 + 450);
        _mm_storeh_pi(((__m64  *) a3d), s66);
        a4d = _mm_unpacklo_ps(t1n, t2n);
        s76 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a4d);
        a5d = _mm_unpackhi_ps(t1n, t2n);
        s86 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5d);
        a6d = (b21 + 766);
        _mm_storel_pi(((__m64  *) a6d), s76);
        a7d = (b21 + 702);
        _mm_storeh_pi(((__m64  *) a7d), s76);
        a8d = (b21 + 638);
        _mm_storel_pi(((__m64  *) a8d), s86);
        a9d = (b21 + 574);
        _mm_storeh_pi(((__m64  *) a9d), s86);
        t3n = _mm_add_ps(t7k, t4m);
        t4n = _mm_sub_ps(t8k, t3m);
        t5n = _mm_sub_ps(t7k, t4m);
        t6n = _mm_add_ps(t8k, t3m);
        s96 = _mm_unpacklo_ps(t3n, t4n);
        s07 = _mm_unpackhi_ps(t3n, t4n);
        a0e = (b11 + 514);
        _mm_storel_pi(((__m64  *) a0e), s96);
        a1e = (b11 + 578);
        _mm_storeh_pi(((__m64  *) a1e), s96);
        a2e = (b11 + 642);
        _mm_storel_pi(((__m64  *) a2e), s07);
        a3e = (b11 + 706);
        _mm_storeh_pi(((__m64  *) a3e), s07);
        a4e = _mm_unpacklo_ps(t5n, t6n);
        s17 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a4e);
        a5e = _mm_unpackhi_ps(t5n, t6n);
        s27 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
        a6e = (b21 + 510);
        _mm_storel_pi(((__m64  *) a6e), s17);
        a7e = (b21 + 446);
        _mm_storeh_pi(((__m64  *) a7e), s17);
        a8e = (b21 + 382);
        _mm_storel_pi(((__m64  *) a8e), s27);
        a9e = (b21 + 318);
        _mm_storeh_pi(((__m64  *) a9e), s27);
        t7n = _mm_add_ps(t1l, s95);
        t8n = _mm_add_ps(t2l, s06);
        t9n = _mm_sub_ps(t1l, s95);
        t0o = _mm_sub_ps(t2l, s06);
        s37 = _mm_unpacklo_ps(t7n, t8n);
        s47 = _mm_unpackhi_ps(t7n, t8n);
        a0f = (b11 + 770);
        _mm_storel_pi(((__m64  *) a0f), s37);
        a1f = (b11 + 834);
        _mm_storeh_pi(((__m64  *) a1f), s37);
        a2f = (b11 + 898);
        _mm_storel_pi(((__m64  *) a2f), s47);
        a3f = (b11 + 962);
        _mm_storeh_pi(((__m64  *) a3f), s47);
        a4f = _mm_unpacklo_ps(t9n, t0o);
        s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a4f);
        a5f = _mm_unpackhi_ps(t9n, t0o);
        s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5f);
        a6f = (b21 + 254);
        _mm_storel_pi(((__m64  *) a6f), s57);
        a7f = (b21 + 190);
        _mm_storeh_pi(((__m64  *) a7f), s57);
        a8f = (b21 + 126);
        _mm_storel_pi(((__m64  *) a8f), s67);
        a9f = (b21 + 62);
        _mm_storeh_pi(((__m64  *) a9f), s67);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftfwd_float_2048_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[2048]);
     SPIRAL_ALIGNED(float T2[256]);
    __m128 a0A, a0B, a0y, a0z, a1A, a1B, a1C, a1x, a1z, a2A, a2B, a2C, a2H, a2I, a2x, a3A, a3B, a3C, a3H, a3I, a3x, a3y
            , a3z, a4B, a4C, a4y, a4z, a5A, a5B, a5z, a6A, a6W, a6X, a6Y, a6Z, a7A, a7B, a7W, a7X, a7Y, a7Z, a7y, a7z, a8B
            , a8x, a8y, a8z, a9A, a9B, a9x, a9y, a9z, b11, b31, b6, b9;
    __m128 a02, a03, a05, a07, a08, a09, a0C, a0E, a0F, a0G, a0L, a0M, a0O, a0P, a0R, a0S, a0T, a0U, a0V, a0W, a0f, a0j
            , a0k, a0m, a0n, a0o, a0p, a0q, a0u, a0v, a0w, a0x, a12, a13, a15, a17, a19, a1E, a1F, a1G, a1L, a1M, a1O, a1P
            , a1R, a1S, a1T, a1U, a1V, a1W, a1e, a1i, a1j, a1k, a1l, a1m, a1n, a1o, a1p, a1q, a1t, a1v, a1w, a1y, a22, a23
            , a25, a27, a29, a2E, a2F, a2G, a2L, a2M, a2N, a2R, a2S, a2T, a2U, a2V, a2e, a2i, a2j, a2k, a2m, a2n, a2o, a2p
            , a2q, a2s, a2v, a2w, a2y, a2z, a32, a33, a35, a36, a37, a39, a3E, a3F, a3G, a3L, a3M, a3N, a3R, a3S, a3T, a3U
            , a3V, a3a, a3e, a3i, a3j, a3k, a3l, a3m, a3n, a3o, a3p, a3q, a3r, a3u, a3v, a3w, a42, a43, a44, a45, a47, a48
            , a49, a4A, a4E, a4F, a4G, a4L, a4M, a4N, a4P, a4Q, a4T, a4U, a4V, a4e, a4i, a4j, a4k, a4l, a4m, a4n, a4o, a4p
            , a4q, a4u, a4v, a4w, a4x, a53, a54, a55, a56, a58, a59, a5E, a5F, a5G, a5K, a5L, a5N, a5P, a5Q, a5T, a5U, a5V
            , a5e, a5i, a5j, a5k, a5l, a5m, a5n, a5o, a5p, a5u, a5v, a5w, a5x, a5y, a62, a63, a64, a66, a68, a6B, a6E, a6F
            , a6G, a6K, a6L, a6P, a6Q, a6S, a6T, a6U, a6V, a6e, a6i, a6j, a6k, a6l, a6m, a6n, a6o, a6p, a6u, a6v, a6w, a6x
            , a6y, a6z, a71, a72, a73, a74, a76, a78, a7E, a7F, a7G, a7K, a7L, a7P, a7Q, a7S, a7T, a7U, a7V, a7e, a7i, a7j
            , a7k, a7l, a7m, a7n, a7o, a7p, a7u, a7v, a7w, a7x, a81, a82, a83, a84, a86, a88, a8A, a8E, a8F, a8K, a8L, a8N
            , a8O, a8S, a8T, a8U, a8V, a8e, a8i, a8j, a8k, a8l, a8m, a8n, a8o, a8p, a8u, a8v, a8w, a91, a92, a93, a94, a96
            , a98, a9E, a9F, a9K, a9L, a9N, a9O, a9S, a9T, a9U, a9V, a9e, a9i, a9j, a9k, a9l, a9m, a9n, a9o, a9p, a9u, a9v
            , a9w, b01, b21, b41, b7, b8, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F
            , s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v
            , s0w, s0x, s0y, s0z, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1F, s1a, s1b, s1c
            , s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y
            , s1z, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2F, s2a, s2b, s2c, s2d, s2e
            , s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3
            , s31, s32, s33, s34, s35, s36, s37, s38, s39, s3A, s3B, s3C, s3D, s3E, s3F, s3a, s3b, s3c, s3d, s3e, s3f, s3g
            , s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42
            , s43, s44, s45, s46, s47, s48, s49, s4A, s4B, s4C, s4D, s4E, s4F, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i
            , s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51, s52, s53, s54
            , s55, s56, s57, s58, s59, s5A, s5B, s5C, s5D, s5E, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l
            , s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62, s63, s64, s65, s66, s67
            , s68, s69, s6A, s6B, s6C, s6D, s6E, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o
            , s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7A
            , s7B, s7C, s7D, s7E, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r
            , s7s, s7t, s7u, s7v, s7w, s7x, s7y, s7z, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8A, s8B, s8C, s8D
            , s8E, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u
            , s8v, s8w, s8x, s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9C, s9D, s9E, s9a, s9b
            , s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x
            , s9y, s9z, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j
            , t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t11, t12, t13, t14, t15, t16, t17, t18, t19
            , t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v
            , t1w, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k
            , t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39
            , t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v
            , t3w, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k
            , t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59
            , t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v
            , t5w, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k
            , t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79
            , t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v
            , t7w, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k
            , t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99
            , t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v;
    __m128  *a04, *a06, *a0J, *a0K, *a0N, *a0Q, *a0a, *a0b, *a0c, *a0d, *a0e, *a0g, *a0h, *a0i, *a0l, *a0r, *a0s, *a0t, *a14, *a16, *a18, *a1J
            , *a1K, *a1N, *a1Q, *a1a, *a1b, *a1c, *a1d, *a1f, *a1g, *a1h, *a1r, *a1s, *a1u, *a2, *a24, *a26, *a28, *a2J, *a2K, *a2O, *a2P, *a2Q
            , *a2a, *a2b, *a2c, *a2d, *a2f, *a2g, *a2h, *a2l, *a2r, *a2t, *a2u, *a34, *a38, *a3J, *a3O, *a3P, *a3Q, *a3b, *a3c, *a3d, *a3f, *a3g
            , *a3h, *a3s, *a3t, *a41, *a46, *a4J, *a4K, *a4O, *a4R, *a4S, *a4a, *a4b, *a4c, *a4d, *a4f, *a4g, *a4h, *a4r, *a4s, *a4t, *a51, *a52
            , *a57, *a5J, *a5O, *a5R, *a5S, *a5a, *a5b, *a5c, *a5d, *a5f, *a5g, *a5h, *a5q, *a5r, *a5s, *a5t, *a61, *a65, *a67, *a69, *a6J, *a6M
            , *a6N, *a6O, *a6R, *a6a, *a6b, *a6c, *a6d, *a6f, *a6g, *a6h, *a6q, *a6r, *a6s, *a6t, *a75, *a77, *a79, *a7J, *a7M, *a7N, *a7O, *a7R
            , *a7a, *a7b, *a7c, *a7d, *a7f, *a7g, *a7h, *a7q, *a7r, *a7s, *a7t, *a8, *a85, *a87, *a89, *a8I, *a8J, *a8M, *a8P, *a8Q, *a8R, *a8a
            , *a8b, *a8c, *a8d, *a8f, *a8g, *a8h, *a8q, *a8r, *a8s, *a8t, *a9, *a95, *a97, *a99, *a9I, *a9J, *a9M, *a9P, *a9Q, *a9R, *a9a, *a9b
            , *a9c, *a9d, *a9f, *a9g, *a9h, *a9q, *a9r, *a9s, *a9t, *b, *b5;
    float  *a010, *a0D, *a0H, *a0I, *a0X, *a0Y, *a0Z, *a110, *a1D, *a1H, *a1I, *a1X, *a1Y, *a1Z, *a2D, *a2W, *a2X, *a2Y, *a2Z, *a3D, *a3W, *a3X
            , *a3Y, *a3Z, *a4D, *a4H, *a4I, *a4W, *a4X, *a4Y, *a4Z, *a5C, *a5D, *a5H, *a5I, *a5W, *a5X, *a5Y, *a5Z, *a6C, *a6D, *a6H, *a6I, *a7C
            , *a7D, *a7H, *a7I, *a8C, *a8D, *a8G, *a8H, *a8W, *a8X, *a8Y, *a8Z, *a9C, *a9D, *a9G, *a9H, *a9W, *a9X, *a9Y, *a9Z, *b2, *b3;
    const float  *a, *a01, *a11, *a21, *a31, *a5, *a6, *a7, *b4;
    int a3, a3K, a4, a5M;
    {long i; for(i = 0; i <= 7; i++) {
        {long i2; for(i2 = 0; i2 <= 15; i2++) {
            a3 = (4 * i);
            a4 = (32 * i2);
            b4 = (src + a3);
            a = (b4 + a4);
            a5 = ((const float  *) a);
            s = _mm_loadu_ps(a5);
            a7 = (a + 1024);
            a6 = ((const float  *) a7);
            s2 = _mm_loadu_ps(a6);
            a8 = ((__m128  *) T2);
            a2 = (a8 + i2);
            s3 = _mm_add_ps(s, s2);
            *(a2) = s3;
            s4 = _mm_sub_ps(s, s2);
            a9 = (a2 + 32);
            *(a9) = s4;
            a11 = (a + 512);
            a01 = ((const float  *) a11);
            s5 = _mm_loadu_ps(a01);
            a31 = (a + 1536);
            a21 = ((const float  *) a31);
            s6 = _mm_loadu_ps(a21);
            s7 = _mm_add_ps(s5, s6);
            a41 = (a2 + 16);
            *(a41) = s7;
            s8 = _mm_sub_ps(s6, s5);
            a51 = (a2 + 48);
            *(a51) = s8;
        }}
        a61 = ((__m128  *) T2);
        s9 = *(a61);
        a5a = (a61 + 16);
        s01 = *(a5a);
        t5o = _mm_add_ps(s9, s01);
        t6o = _mm_sub_ps(s9, s01);
        a6a = (a61 + 8);
        s11 = *(a6a);
        a7a = (a61 + 24);
        s21 = *(a7a);
        t7o = _mm_add_ps(s11, s21);
        t8o = _mm_sub_ps(s11, s21);
        a8a = (a61 + 4);
        s31 = *(a8a);
        a9a = (a61 + 20);
        s41 = *(a9a);
        t9o = _mm_add_ps(s31, s41);
        a0b = (a61 + 12);
        s51 = *(a0b);
        a1b = (a61 + 28);
        s61 = *(a1b);
        t0p = _mm_add_ps(s51, s61);
        t1p = _mm_add_ps(t5o, t7o);
        t2p = _mm_sub_ps(t5o, t7o);
        t3p = _mm_add_ps(t9o, t0p);
        t4p = _mm_sub_ps(t9o, t0p);
        a03 = _mm_sub_ps(s31, s41);
        a71 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a03);
        a13 = _mm_sub_ps(s51, s61);
        a81 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a13);
        s71 = _mm_add_ps(a71, a81);
        s81 = _mm_sub_ps(a81, a71);
        t5p = _mm_add_ps(t6o, s71);
        t6p = _mm_sub_ps(s81, t8o);
        t7p = _mm_sub_ps(t6o, s71);
        t8p = _mm_add_ps(t8o, s81);
        a2b = (a61 + 1);
        s91 = *(a2b);
        a3b = (a61 + 17);
        s02 = *(a3b);
        t9p = _mm_add_ps(s91, s02);
        t0q = _mm_sub_ps(s91, s02);
        a4b = (a61 + 9);
        s12 = *(a4b);
        a5b = (a61 + 25);
        s22 = *(a5b);
        t1q = _mm_add_ps(s12, s22);
        t2q = _mm_sub_ps(s12, s22);
        a6b = (a61 + 5);
        s32 = *(a6b);
        a7b = (a61 + 21);
        s42 = *(a7b);
        t3q = _mm_add_ps(s32, s42);
        a8b = (a61 + 13);
        s52 = *(a8b);
        a9b = (a61 + 29);
        s62 = *(a9b);
        t4q = _mm_add_ps(s52, s62);
        t5q = _mm_add_ps(t9p, t1q);
        t6q = _mm_sub_ps(t9p, t1q);
        t7q = _mm_add_ps(t3q, t4q);
        t8q = _mm_sub_ps(t3q, t4q);
        a23 = _mm_sub_ps(s32, s42);
        a91 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a23);
        a33 = _mm_sub_ps(s52, s62);
        a02 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a33);
        s72 = _mm_add_ps(a91, a02);
        s82 = _mm_sub_ps(a02, a91);
        t9q = _mm_add_ps(t0q, s72);
        t0r = _mm_sub_ps(s82, t2q);
        t1r = _mm_sub_ps(t0q, s72);
        t2r = _mm_add_ps(t2q, s82);
        a0c = (a61 + 2);
        s92 = *(a0c);
        a1c = (a61 + 18);
        s03 = *(a1c);
        t3r = _mm_add_ps(s92, s03);
        t4r = _mm_sub_ps(s92, s03);
        a2c = (a61 + 10);
        s13 = *(a2c);
        a3c = (a61 + 26);
        s23 = *(a3c);
        t5r = _mm_add_ps(s13, s23);
        t6r = _mm_sub_ps(s13, s23);
        a4c = (a61 + 6);
        s33 = *(a4c);
        a5c = (a61 + 22);
        s43 = *(a5c);
        t7r = _mm_add_ps(s33, s43);
        a6c = (a61 + 14);
        s53 = *(a6c);
        a7c = (a61 + 30);
        s63 = *(a7c);
        t8r = _mm_add_ps(s53, s63);
        t9r = _mm_add_ps(t3r, t5r);
        t0s = _mm_add_ps(t7r, t8r);
        a43 = _mm_sub_ps(s33, s43);
        a12 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a43);
        a53 = _mm_sub_ps(s53, s63);
        a22 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a53);
        s73 = _mm_add_ps(a12, a22);
        s83 = _mm_sub_ps(a22, a12);
        t1s = _mm_add_ps(t4r, s73);
        t2s = _mm_sub_ps(s83, t6r);
        t3s = _mm_sub_ps(t4r, s73);
        t4s = _mm_add_ps(t6r, s83);
        a8c = (a61 + 3);
        s93 = *(a8c);
        a9c = (a61 + 19);
        s04 = *(a9c);
        t5s = _mm_add_ps(s93, s04);
        t6s = _mm_sub_ps(s93, s04);
        a0d = (a61 + 11);
        s14 = *(a0d);
        a1d = (a61 + 27);
        s24 = *(a1d);
        t7s = _mm_add_ps(s14, s24);
        t8s = _mm_sub_ps(s14, s24);
        a2d = (a61 + 7);
        s34 = *(a2d);
        a3d = (a61 + 23);
        s44 = *(a3d);
        t9s = _mm_add_ps(s34, s44);
        a4d = (a61 + 15);
        s54 = *(a4d);
        a5d = (a61 + 31);
        s64 = *(a5d);
        t0t = _mm_add_ps(s54, s64);
        t1t = _mm_add_ps(t5s, t7s);
        t2t = _mm_sub_ps(t5s, t7s);
        t3t = _mm_add_ps(t9s, t0t);
        t4t = _mm_sub_ps(t9s, t0t);
        a63 = _mm_sub_ps(s34, s44);
        a32 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a63);
        a73 = _mm_sub_ps(s54, s64);
        a42 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a73);
        s74 = _mm_add_ps(a32, a42);
        s84 = _mm_sub_ps(a42, a32);
        t5t = _mm_add_ps(t6s, s74);
        t6t = _mm_sub_ps(s84, t8s);
        t7t = _mm_sub_ps(t6s, s74);
        t8t = _mm_add_ps(t8s, s84);
        t9t = _mm_add_ps(t1p, t3p);
        t0u = _mm_sub_ps(t1p, t3p);
        t1u = _mm_add_ps(t9r, t0s);
        t2u = _mm_sub_ps(t9r, t0s);
        t3u = _mm_add_ps(t5q, t7q);
        t4u = _mm_add_ps(t1t, t3t);
        a6d = ((__m128  *) T);
        a52 = (a6d + i);
        s94 = _mm_add_ps(t9t, t1u);
        *(a52) = s94;
        s05 = _mm_sub_ps(t9t, t1u);
        a7d = (a52 + 256);
        *(a7d) = s05;
        s15 = _mm_add_ps(t3u, t4u);
        a8d = (a52 + 8);
        *(a8d) = s15;
        s25 = _mm_sub_ps(t4u, t3u);
        a9d = (a52 + 264);
        *(a9d) = s25;
        a83 = _mm_sub_ps(t5q, t7q);
        a62 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a83);
        a93 = _mm_sub_ps(t1t, t3t);
        a72 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a93);
        s35 = _mm_add_ps(a62, a72);
        s45 = _mm_sub_ps(a72, a62);
        s55 = _mm_add_ps(t0u, s35);
        a04 = (a52 + 128);
        *(a04) = s55;
        s65 = _mm_sub_ps(s45, t2u);
        a14 = (a52 + 136);
        *(a14) = s65;
        s75 = _mm_sub_ps(t0u, s35);
        a24 = (a52 + 384);
        *(a24) = s75;
        s85 = _mm_add_ps(t2u, s45);
        a34 = (a52 + 392);
        *(a34) = s85;
        a44 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t9q);
        a54 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t0r);
        s95 = _mm_sub_ps(a44, a54);
        a64 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t9q);
        a74 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t0r);
        s06 = _mm_add_ps(a64, a74);
        a84 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1s);
        a94 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t2s);
        s16 = _mm_sub_ps(a84, a94);
        a05 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t1s);
        a15 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2s);
        s26 = _mm_add_ps(a05, a15);
        a25 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t5t);
        a35 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t6t);
        s36 = _mm_sub_ps(a25, a35);
        a45 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t5t);
        a55 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t6t);
        s46 = _mm_add_ps(a45, a55);
        t5u = _mm_add_ps(t5p, s16);
        t6u = _mm_add_ps(t6p, s26);
        t7u = _mm_sub_ps(t5p, s16);
        t8u = _mm_sub_ps(t6p, s26);
        t9u = _mm_add_ps(s95, s36);
        t0v = _mm_add_ps(s06, s46);
        t1v = _mm_sub_ps(s95, s36);
        t2v = _mm_sub_ps(s06, s46);
        s56 = _mm_add_ps(t5u, t9u);
        a65 = (a52 + 32);
        *(a65) = s56;
        s66 = _mm_add_ps(t6u, t0v);
        a75 = (a52 + 40);
        *(a75) = s66;
        s76 = _mm_sub_ps(t5u, t9u);
        a85 = (a52 + 480);
        *(a85) = s76;
        s86 = _mm_sub_ps(t0v, t6u);
        a95 = (a52 + 488);
        *(a95) = s86;
        s96 = _mm_add_ps(t7u, t2v);
        a06 = (a52 + 288);
        *(a06) = s96;
        s07 = _mm_sub_ps(t8u, t1v);
        a16 = (a52 + 296);
        *(a16) = s07;
        s17 = _mm_sub_ps(t7u, t2v);
        a26 = (a52 + 224);
        *(a26) = s17;
        a36 = _mm_add_ps(t8u, t1v);
        s27 = _mm_sub_ps(_mm_set1_ps(0.0f), a36);
        a46 = (a52 + 232);
        *(a46) = s27;
        a56 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6q);
        a66 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t8q);
        s37 = _mm_add_ps(a56, a66);
        a76 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t6q);
        a86 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8q);
        s47 = _mm_sub_ps(a76, a86);
        a96 = _mm_sub_ps(t3r, t5r);
        a82 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a96);
        a07 = _mm_sub_ps(t7r, t8r);
        a92 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a07);
        s57 = _mm_add_ps(a82, a92);
        s67 = _mm_sub_ps(a92, a82);
        a17 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2t);
        a27 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t4t);
        s77 = _mm_add_ps(a17, a27);
        a37 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t2t);
        a47 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4t);
        s87 = _mm_sub_ps(a37, a47);
        t3v = _mm_add_ps(t2p, s57);
        t4v = _mm_sub_ps(s67, t4p);
        t5v = _mm_sub_ps(t2p, s57);
        t6v = _mm_add_ps(t4p, s67);
        t7v = _mm_add_ps(s37, s77);
        t8v = _mm_add_ps(s47, s87);
        t9v = _mm_sub_ps(s37, s77);
        t0w = _mm_sub_ps(s47, s87);
        s97 = _mm_add_ps(t3v, t7v);
        a57 = (a52 + 64);
        *(a57) = s97;
        s08 = _mm_add_ps(t4v, t8v);
        a67 = (a52 + 72);
        *(a67) = s08;
        s18 = _mm_sub_ps(t3v, t7v);
        a77 = (a52 + 448);
        *(a77) = s18;
        s28 = _mm_sub_ps(t8v, t4v);
        a87 = (a52 + 456);
        *(a87) = s28;
        s38 = _mm_add_ps(t5v, t0w);
        a97 = (a52 + 320);
        *(a97) = s38;
        a08 = _mm_add_ps(t6v, t9v);
        s48 = _mm_sub_ps(_mm_set1_ps(0.0f), a08);
        a18 = (a52 + 328);
        *(a18) = s48;
        s58 = _mm_sub_ps(t5v, t0w);
        a28 = (a52 + 192);
        *(a28) = s58;
        s68 = _mm_sub_ps(t6v, t9v);
        a38 = (a52 + 200);
        *(a38) = s68;
        a48 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t1r);
        a58 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t2r);
        s78 = _mm_sub_ps(a48, a58);
        a68 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t1r);
        a78 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t2r);
        s88 = _mm_add_ps(a68, a78);
        a88 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3s);
        a98 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t4s);
        s98 = _mm_sub_ps(a88, a98);
        a09 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t3s);
        a19 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4s);
        s09 = _mm_add_ps(a09, a19);
        a29 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t7t);
        a39 = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t8t);
        s19 = _mm_sub_ps(a29, a39);
        a49 = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t7t);
        a59 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t8t);
        s29 = _mm_add_ps(a49, a59);
        t1w = _mm_add_ps(t7p, s98);
        t2w = _mm_add_ps(t8p, s09);
        t3w = _mm_sub_ps(t7p, s98);
        t4w = _mm_sub_ps(t8p, s09);
        t5w = _mm_add_ps(s78, s19);
        t6w = _mm_add_ps(s88, s29);
        t7w = _mm_sub_ps(s78, s19);
        t8w = _mm_sub_ps(s88, s29);
        s39 = _mm_add_ps(t1w, t5w);
        a69 = (a52 + 96);
        *(a69) = s39;
        s49 = _mm_add_ps(t2w, t6w);
        a79 = (a52 + 104);
        *(a79) = s49;
        s59 = _mm_sub_ps(t1w, t5w);
        a89 = (a52 + 416);
        *(a89) = s59;
        s69 = _mm_sub_ps(t6w, t2w);
        a99 = (a52 + 424);
        *(a99) = s69;
        s79 = _mm_add_ps(t3w, t8w);
        a0a = (a52 + 352);
        *(a0a) = s79;
        s89 = _mm_sub_ps(t4w, t7w);
        a1a = (a52 + 360);
        *(a1a) = s89;
        s99 = _mm_sub_ps(t3w, t8w);
        a2a = (a52 + 160);
        *(a2a) = s99;
        a3a = _mm_add_ps(t4w, t7w);
        s0a = _mm_sub_ps(_mm_set1_ps(0.0f), a3a);
        a4a = (a52 + 168);
        *(a4a) = s0a;
        a0e = ((__m128  *) T2);
        a1f = (a0e + 32);
        s1a = *(a1f);
        a2f = (a0e + 48);
        s2a = *(a2f);
        a3f = (a0e + 33);
        s3a = *(a3f);
        a4f = (a0e + 49);
        s4a = *(a4f);
        a5f = (a0e + 34);
        s5a = *(a5f);
        a6f = (a0e + 50);
        s6a = *(a6f);
        a7f = (a0e + 35);
        s7a = *(a7f);
        a8f = (a0e + 51);
        s8a = *(a8f);
        a9f = (a0e + 36);
        s9a = *(a9f);
        a0g = (a0e + 52);
        s0b = *(a0g);
        a1g = (a0e + 37);
        s1b = *(a1g);
        a2g = (a0e + 53);
        s2b = *(a2g);
        a3g = (a0e + 38);
        s3b = *(a3g);
        a4g = (a0e + 54);
        s4b = *(a4g);
        a5g = (a0e + 39);
        s5b = *(a5g);
        a6g = (a0e + 55);
        s6b = *(a6g);
        a7g = (a0e + 41);
        s7b = *(a7g);
        a8g = (a0e + 57);
        s8b = *(a8g);
        a9g = (a0e + 42);
        s9b = *(a9g);
        a0h = (a0e + 58);
        s0c = *(a0h);
        a1h = (a0e + 43);
        s1c = *(a1h);
        a2h = (a0e + 59);
        s2c = *(a2h);
        a3h = (a0e + 44);
        s3c = *(a3h);
        a4h = (a0e + 60);
        s4c = *(a4h);
        a5h = (a0e + 45);
        s5c = *(a5h);
        a6h = (a0e + 61);
        s6c = *(a6h);
        a7h = (a0e + 46);
        s7c = *(a7h);
        a8h = (a0e + 62);
        s8c = *(a8h);
        a9h = (a0e + 47);
        s9c = *(a9h);
        a0i = (a0e + 63);
        s0d = *(a0i);
        a1i = _mm_mul_ps(_mm_set1_ps(0.99518472667219693f), s3a);
        a2i = _mm_mul_ps(_mm_set1_ps((-0.098017140329560604f)), s4a);
        s1d = _mm_sub_ps(a1i, a2i);
        a3i = _mm_mul_ps(_mm_set1_ps((-0.098017140329560604f)), s3a);
        a4i = _mm_mul_ps(_mm_set1_ps(0.99518472667219693f), s4a);
        s2d = _mm_add_ps(a3i, a4i);
        a5i = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), s5a);
        a6i = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), s6a);
        s3d = _mm_sub_ps(a5i, a6i);
        a7i = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), s5a);
        a8i = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), s6a);
        s4d = _mm_add_ps(a7i, a8i);
        a9i = _mm_mul_ps(_mm_set1_ps(0.95694033573220882f), s7a);
        a0j = _mm_mul_ps(_mm_set1_ps((-0.29028467725446239f)), s8a);
        s5d = _mm_sub_ps(a9i, a0j);
        a1j = _mm_mul_ps(_mm_set1_ps((-0.29028467725446239f)), s7a);
        a2j = _mm_mul_ps(_mm_set1_ps(0.95694033573220882f), s8a);
        s6d = _mm_add_ps(a1j, a2j);
        a3j = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), s9a);
        a4j = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), s0b);
        s7d = _mm_sub_ps(a3j, a4j);
        a5j = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), s9a);
        a6j = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), s0b);
        s8d = _mm_add_ps(a5j, a6j);
        a7j = _mm_mul_ps(_mm_set1_ps(0.88192126434835505f), s1b);
        a8j = _mm_mul_ps(_mm_set1_ps((-0.47139673682599764f)), s2b);
        s9d = _mm_sub_ps(a7j, a8j);
        a9j = _mm_mul_ps(_mm_set1_ps((-0.47139673682599764f)), s1b);
        a0k = _mm_mul_ps(_mm_set1_ps(0.88192126434835505f), s2b);
        s0e = _mm_add_ps(a9j, a0k);
        a1k = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), s3b);
        a2k = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), s4b);
        s1e = _mm_sub_ps(a1k, a2k);
        a3k = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), s3b);
        a4k = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), s4b);
        s2e = _mm_add_ps(a3k, a4k);
        a5k = _mm_mul_ps(_mm_set1_ps(0.77301045336273699f), s5b);
        a6k = _mm_mul_ps(_mm_set1_ps((-0.63439328416364549f)), s6b);
        s3e = _mm_sub_ps(a5k, a6k);
        a7k = _mm_mul_ps(_mm_set1_ps((-0.63439328416364549f)), s5b);
        a8k = _mm_mul_ps(_mm_set1_ps(0.77301045336273699f), s6b);
        s4e = _mm_add_ps(a7k, a8k);
        a0l = (a0e + 40);
        a9k = *(a0l);
        a1e = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9k);
        a2l = (a0e + 56);
        a1l = *(a2l);
        a2e = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a1l);
        s5e = _mm_sub_ps(a1e, a2e);
        s6e = _mm_add_ps(a1e, a2e);
        a3l = _mm_mul_ps(_mm_set1_ps(0.63439328416364549f), s7b);
        a4l = _mm_mul_ps(_mm_set1_ps((-0.77301045336273699f)), s8b);
        s7e = _mm_sub_ps(a3l, a4l);
        a5l = _mm_mul_ps(_mm_set1_ps((-0.77301045336273699f)), s7b);
        a6l = _mm_mul_ps(_mm_set1_ps(0.63439328416364549f), s8b);
        s8e = _mm_add_ps(a5l, a6l);
        a7l = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), s9b);
        a8l = _mm_mul_ps(_mm_set1_ps((-0.83146961230254524f)), s0c);
        s9e = _mm_sub_ps(a7l, a8l);
        a9l = _mm_mul_ps(_mm_set1_ps((-0.83146961230254524f)), s9b);
        a0m = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), s0c);
        s0f = _mm_add_ps(a9l, a0m);
        a1m = _mm_mul_ps(_mm_set1_ps(0.47139673682599764f), s1c);
        a2m = _mm_mul_ps(_mm_set1_ps((-0.88192126434835505f)), s2c);
        s1f = _mm_sub_ps(a1m, a2m);
        a3m = _mm_mul_ps(_mm_set1_ps((-0.88192126434835505f)), s1c);
        a4m = _mm_mul_ps(_mm_set1_ps(0.47139673682599764f), s2c);
        s2f = _mm_add_ps(a3m, a4m);
        a5m = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), s3c);
        a6m = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), s4c);
        s3f = _mm_sub_ps(a5m, a6m);
        a7m = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), s3c);
        a8m = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), s4c);
        s4f = _mm_add_ps(a7m, a8m);
        a9m = _mm_mul_ps(_mm_set1_ps(0.29028467725446239f), s5c);
        a0n = _mm_mul_ps(_mm_set1_ps((-0.95694033573220882f)), s6c);
        s5f = _mm_sub_ps(a9m, a0n);
        a1n = _mm_mul_ps(_mm_set1_ps((-0.95694033573220882f)), s5c);
        a2n = _mm_mul_ps(_mm_set1_ps(0.29028467725446239f), s6c);
        s6f = _mm_add_ps(a1n, a2n);
        a3n = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), s7c);
        a4n = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), s8c);
        s7f = _mm_sub_ps(a3n, a4n);
        a5n = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), s7c);
        a6n = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), s8c);
        s8f = _mm_add_ps(a5n, a6n);
        a7n = _mm_mul_ps(_mm_set1_ps(0.098017140329560604f), s9c);
        a8n = _mm_mul_ps(_mm_set1_ps((-0.99518472667219693f)), s0d);
        s9f = _mm_sub_ps(a7n, a8n);
        a9n = _mm_mul_ps(_mm_set1_ps((-0.99518472667219693f)), s9c);
        a0o = _mm_mul_ps(_mm_set1_ps(0.098017140329560604f), s0d);
        s0g = _mm_add_ps(a9n, a0o);
        t = _mm_add_ps(s1a, s5e);
        t2 = _mm_sub_ps(s2a, s6e);
        t3 = _mm_sub_ps(s1a, s5e);
        t4 = _mm_add_ps(s2a, s6e);
        t5 = _mm_add_ps(s7d, s3f);
        t6 = _mm_add_ps(s8d, s4f);
        t7 = _mm_sub_ps(s7d, s3f);
        t8 = _mm_sub_ps(s8d, s4f);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_add_ps(t3, t8);
        t41 = _mm_sub_ps(t4, t7);
        t51 = _mm_sub_ps(t3, t8);
        t61 = _mm_add_ps(t4, t7);
        t71 = _mm_add_ps(s1d, s7e);
        t81 = _mm_add_ps(s2d, s8e);
        t91 = _mm_sub_ps(s1d, s7e);
        t02 = _mm_sub_ps(s2d, s8e);
        t12 = _mm_add_ps(s9d, s5f);
        t22 = _mm_add_ps(s0e, s6f);
        t32 = _mm_sub_ps(s9d, s5f);
        t42 = _mm_sub_ps(s0e, s6f);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        a1o = _mm_sub_ps(t71, t12);
        a3e = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1o);
        a2o = _mm_sub_ps(t81, t22);
        a4e = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2o);
        s1g = _mm_sub_ps(a3e, a4e);
        s2g = _mm_add_ps(a3e, a4e);
        t72 = _mm_add_ps(t91, t42);
        t82 = _mm_sub_ps(t02, t32);
        t92 = _mm_sub_ps(t91, t42);
        t03 = _mm_add_ps(t02, t32);
        a3o = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t72);
        a4o = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t82);
        s3g = _mm_sub_ps(a3o, a4o);
        a5o = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t72);
        a6o = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t82);
        s4g = _mm_add_ps(a5o, a6o);
        a7o = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t92);
        a8o = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t03);
        s5g = _mm_sub_ps(a7o, a8o);
        a9o = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t92);
        a0p = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t03);
        s6g = _mm_add_ps(a9o, a0p);
        t13 = _mm_add_ps(s3d, s9e);
        t23 = _mm_add_ps(s4d, s0f);
        t33 = _mm_sub_ps(s3d, s9e);
        t43 = _mm_sub_ps(s4d, s0f);
        t53 = _mm_add_ps(s1e, s7f);
        t63 = _mm_add_ps(s2e, s8f);
        t73 = _mm_sub_ps(s1e, s7f);
        t83 = _mm_sub_ps(s2e, s8f);
        t93 = _mm_add_ps(t13, t53);
        t04 = _mm_add_ps(t23, t63);
        t14 = _mm_sub_ps(t13, t53);
        t24 = _mm_sub_ps(t23, t63);
        a1p = _mm_add_ps(t33, t83);
        a5e = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1p);
        a2p = _mm_sub_ps(t43, t73);
        a6e = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2p);
        s7g = _mm_sub_ps(a5e, a6e);
        s8g = _mm_add_ps(a5e, a6e);
        a3p = _mm_sub_ps(t33, t83);
        a7e = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a3p);
        a4p = _mm_add_ps(t43, t73);
        a8e = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a4p);
        s9g = _mm_sub_ps(a7e, a8e);
        s0h = _mm_add_ps(a7e, a8e);
        t34 = _mm_add_ps(s5d, s1f);
        t44 = _mm_add_ps(s6d, s2f);
        t54 = _mm_sub_ps(s5d, s1f);
        t64 = _mm_sub_ps(s6d, s2f);
        t74 = _mm_add_ps(s3e, s9f);
        t84 = _mm_add_ps(s4e, s0g);
        t94 = _mm_sub_ps(s3e, s9f);
        t05 = _mm_sub_ps(s4e, s0g);
        t15 = _mm_add_ps(t34, t74);
        t25 = _mm_add_ps(t44, t84);
        a5p = _mm_sub_ps(t34, t74);
        a9e = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5p);
        a6p = _mm_sub_ps(t44, t84);
        a0f = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a6p);
        s1h = _mm_sub_ps(a9e, a0f);
        s2h = _mm_add_ps(a9e, a0f);
        t35 = _mm_add_ps(t54, t05);
        t45 = _mm_sub_ps(t64, t94);
        t55 = _mm_sub_ps(t54, t05);
        t65 = _mm_add_ps(t64, t94);
        a7p = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t35);
        a8p = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t45);
        s3h = _mm_sub_ps(a7p, a8p);
        a9p = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t35);
        a0q = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t45);
        s4h = _mm_add_ps(a9p, a0q);
        a1q = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t55);
        a2q = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t65);
        s5h = _mm_sub_ps(a1q, a2q);
        a3q = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t55);
        a4q = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t65);
        s6h = _mm_add_ps(a3q, a4q);
        t75 = _mm_add_ps(t9, t93);
        t85 = _mm_add_ps(t01, t04);
        t95 = _mm_sub_ps(t9, t93);
        t06 = _mm_sub_ps(t01, t04);
        t16 = _mm_add_ps(t52, t15);
        t26 = _mm_add_ps(t62, t25);
        t36 = _mm_sub_ps(t52, t15);
        t46 = _mm_sub_ps(t62, t25);
        a5q = ((__m128  *) T);
        b5 = (a5q + i);
        s7h = _mm_add_ps(t75, t16);
        a6q = (b5 + 16);
        *(a6q) = s7h;
        s8h = _mm_add_ps(t85, t26);
        a7q = (b5 + 24);
        *(a7q) = s8h;
        s9h = _mm_sub_ps(t75, t16);
        a8q = (b5 + 496);
        *(a8q) = s9h;
        s0i = _mm_sub_ps(t26, t85);
        a9q = (b5 + 504);
        *(a9q) = s0i;
        s1i = _mm_add_ps(t95, t46);
        a0r = (b5 + 272);
        *(a0r) = s1i;
        s2i = _mm_sub_ps(t06, t36);
        a1r = (b5 + 280);
        *(a1r) = s2i;
        s3i = _mm_sub_ps(t95, t46);
        a2r = (b5 + 240);
        *(a2r) = s3i;
        a3r = _mm_add_ps(t06, t36);
        s4i = _mm_sub_ps(_mm_set1_ps(0.0f), a3r);
        a4r = (b5 + 248);
        *(a4r) = s4i;
        t56 = _mm_add_ps(t31, s7g);
        t66 = _mm_sub_ps(t41, s8g);
        t76 = _mm_sub_ps(t31, s7g);
        t86 = _mm_add_ps(t41, s8g);
        t96 = _mm_add_ps(s3g, s3h);
        t07 = _mm_add_ps(s4g, s4h);
        t17 = _mm_sub_ps(s3g, s3h);
        t27 = _mm_sub_ps(s4g, s4h);
        s5i = _mm_add_ps(t56, t96);
        a5r = (b5 + 80);
        *(a5r) = s5i;
        s6i = _mm_add_ps(t66, t07);
        a6r = (b5 + 88);
        *(a6r) = s6i;
        s7i = _mm_sub_ps(t56, t96);
        a7r = (b5 + 432);
        *(a7r) = s7i;
        s8i = _mm_sub_ps(t07, t66);
        a8r = (b5 + 440);
        *(a8r) = s8i;
        s9i = _mm_add_ps(t76, t27);
        a9r = (b5 + 336);
        *(a9r) = s9i;
        s0j = _mm_sub_ps(t86, t17);
        a0s = (b5 + 344);
        *(a0s) = s0j;
        s1j = _mm_sub_ps(t76, t27);
        a1s = (b5 + 176);
        *(a1s) = s1j;
        a2s = _mm_add_ps(t86, t17);
        s2j = _mm_sub_ps(_mm_set1_ps(0.0f), a2s);
        a3s = (b5 + 184);
        *(a3s) = s2j;
        t37 = _mm_add_ps(t11, t24);
        t47 = _mm_sub_ps(t21, t14);
        t57 = _mm_sub_ps(t11, t24);
        t67 = _mm_add_ps(t21, t14);
        t77 = _mm_add_ps(s1g, s1h);
        t87 = _mm_sub_ps(s2h, s2g);
        t97 = _mm_sub_ps(s1g, s1h);
        t08 = _mm_add_ps(s2g, s2h);
        s3j = _mm_add_ps(t37, t77);
        a4s = (b5 + 144);
        *(a4s) = s3j;
        s4j = _mm_add_ps(t47, t87);
        a5s = (b5 + 152);
        *(a5s) = s4j;
        s5j = _mm_sub_ps(t37, t77);
        a6s = (b5 + 368);
        *(a6s) = s5j;
        s6j = _mm_sub_ps(t87, t47);
        a7s = (b5 + 376);
        *(a7s) = s6j;
        s7j = _mm_sub_ps(t57, t08);
        a8s = (b5 + 400);
        *(a8s) = s7j;
        s8j = _mm_sub_ps(t67, t97);
        a9s = (b5 + 408);
        *(a9s) = s8j;
        s9j = _mm_add_ps(t57, t08);
        a0t = (b5 + 112);
        *(a0t) = s9j;
        a1t = _mm_add_ps(t67, t97);
        s0k = _mm_sub_ps(_mm_set1_ps(0.0f), a1t);
        a2t = (b5 + 120);
        *(a2t) = s0k;
        t18 = _mm_add_ps(t51, s9g);
        t28 = _mm_add_ps(t61, s0h);
        t38 = _mm_sub_ps(t51, s9g);
        t48 = _mm_sub_ps(t61, s0h);
        t58 = _mm_add_ps(s5g, s5h);
        t68 = _mm_add_ps(s6g, s6h);
        t78 = _mm_sub_ps(s5g, s5h);
        t88 = _mm_sub_ps(s6g, s6h);
        s1k = _mm_add_ps(t18, t58);
        a3t = (b5 + 208);
        *(a3t) = s1k;
        s2k = _mm_add_ps(t28, t68);
        a4t = (b5 + 216);
        *(a4t) = s2k;
        s3k = _mm_sub_ps(t18, t58);
        a5t = (b5 + 304);
        *(a5t) = s3k;
        s4k = _mm_sub_ps(t68, t28);
        a6t = (b5 + 312);
        *(a6t) = s4k;
        s5k = _mm_add_ps(t38, t88);
        a7t = (b5 + 464);
        *(a7t) = s5k;
        s6k = _mm_sub_ps(t48, t78);
        a8t = (b5 + 472);
        *(a8t) = s6k;
        s7k = _mm_sub_ps(t38, t88);
        a9t = (b5 + 48);
        *(a9t) = s7k;
        a0u = _mm_add_ps(t48, t78);
        s8k = _mm_sub_ps(_mm_set1_ps(0.0f), a0u);
        a1u = (b5 + 56);
        *(a1u) = s8k;
    }}
    a2u = ((__m128  *) T);
    s9k = *(a2u);
    a8I = (a2u + 8);
    s0l = *(a8I);
    t98 = _mm_add_ps(s9k, s0l);
    t09 = _mm_sub_ps(s9k, s0l);
    a9I = (a2u + 4);
    s1l = *(a9I);
    a0J = (a2u + 12);
    s2l = *(a0J);
    t19 = _mm_add_ps(s1l, s2l);
    t29 = _mm_sub_ps(s1l, s2l);
    a1J = (a2u + 1);
    s3l = *(a1J);
    a2J = (a2u + 9);
    s4l = *(a2J);
    t39 = _mm_add_ps(s3l, s4l);
    t49 = _mm_sub_ps(s3l, s4l);
    a3J = (a2u + 5);
    s5l = *(a3J);
    a4J = (a2u + 13);
    s6l = *(a4J);
    t59 = _mm_add_ps(s5l, s6l);
    t69 = _mm_sub_ps(s5l, s6l);
    a5J = (a2u + 2);
    s7l = *(a5J);
    a6J = (a2u + 10);
    s8l = *(a6J);
    t79 = _mm_add_ps(s7l, s8l);
    t89 = _mm_sub_ps(s7l, s8l);
    a7J = (a2u + 6);
    s9l = *(a7J);
    a8J = (a2u + 14);
    s0m = *(a8J);
    t99 = _mm_add_ps(s9l, s0m);
    t0a = _mm_sub_ps(s9l, s0m);
    a9J = (a2u + 3);
    s1m = *(a9J);
    a0K = (a2u + 11);
    s2m = *(a0K);
    t1a = _mm_add_ps(s1m, s2m);
    t2a = _mm_sub_ps(s1m, s2m);
    a1K = (a2u + 7);
    s3m = *(a1K);
    a2K = (a2u + 15);
    s4m = *(a2K);
    t3a = _mm_add_ps(s3m, s4m);
    t4a = _mm_sub_ps(s3m, s4m);
    s5m = _mm_shuffle_ps(t98, t39, _MM_SHUFFLE(2, 0, 2, 0));
    s6m = _mm_shuffle_ps(t98, t39, _MM_SHUFFLE(3, 1, 3, 1));
    s7m = _mm_shuffle_ps(t19, t59, _MM_SHUFFLE(2, 0, 2, 0));
    s8m = _mm_shuffle_ps(t19, t59, _MM_SHUFFLE(3, 1, 3, 1));
    t5a = _mm_add_ps(s5m, s7m);
    t6a = _mm_add_ps(s6m, s8m);
    t7a = _mm_sub_ps(s5m, s7m);
    t8a = _mm_sub_ps(s6m, s8m);
    s9m = _mm_shuffle_ps(t79, t1a, _MM_SHUFFLE(2, 0, 2, 0));
    s0n = _mm_shuffle_ps(t79, t1a, _MM_SHUFFLE(3, 1, 3, 1));
    s1n = _mm_shuffle_ps(t99, t3a, _MM_SHUFFLE(2, 0, 2, 0));
    s2n = _mm_shuffle_ps(t99, t3a, _MM_SHUFFLE(3, 1, 3, 1));
    t9a = _mm_add_ps(s9m, s1n);
    t0b = _mm_add_ps(s0n, s2n);
    t1b = _mm_sub_ps(s9m, s1n);
    t2b = _mm_sub_ps(s0n, s2n);
    t3b = _mm_add_ps(t5a, t9a);
    t4b = _mm_add_ps(t6a, t0b);
    t5b = _mm_sub_ps(t5a, t9a);
    t6b = _mm_sub_ps(t6a, t0b);
    t7b = _mm_add_ps(t7a, t2b);
    t8b = _mm_sub_ps(t8a, t1b);
    t9b = _mm_sub_ps(t7a, t2b);
    t0c = _mm_add_ps(t8a, t1b);
    s3n = _mm_unpacklo_ps(t3b, t7b);
    s4n = _mm_unpackhi_ps(t3b, t7b);
    s5n = _mm_unpacklo_ps(t4b, t8b);
    s6n = _mm_unpackhi_ps(t4b, t8b);
    s7n = _mm_unpacklo_ps(t5b, t9b);
    s8n = _mm_unpackhi_ps(t5b, t9b);
    s9n = _mm_unpacklo_ps(t6b, t0c);
    s0o = _mm_unpackhi_ps(t6b, t0c);
    s1o = _mm_shuffle_ps(s3n, s7n, _MM_SHUFFLE(1, 0, 1, 0));
    s2o = _mm_shuffle_ps(s3n, s7n, _MM_SHUFFLE(3, 2, 3, 2));
    s3o = _mm_shuffle_ps(s4n, s8n, _MM_SHUFFLE(1, 0, 1, 0));
    s4o = _mm_shuffle_ps(s4n, s8n, _MM_SHUFFLE(3, 2, 3, 2));
    s5o = _mm_shuffle_ps(s5n, s9n, _MM_SHUFFLE(1, 0, 1, 0));
    s6o = _mm_shuffle_ps(s5n, s9n, _MM_SHUFFLE(3, 2, 3, 2));
    s7o = _mm_shuffle_ps(s6n, s0o, _MM_SHUFFLE(1, 0, 1, 0));
    s8o = _mm_shuffle_ps(s6n, s0o, _MM_SHUFFLE(3, 2, 3, 2));
    a3u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3o);
    a4u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7o);
    s9o = _mm_sub_ps(a3u, a4u);
    a5u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3o);
    a6u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7o);
    s0p = _mm_add_ps(a5u, a6u);
    t1c = _mm_add_ps(s1o, s9o);
    t2c = _mm_add_ps(s5o, s0p);
    t3c = _mm_sub_ps(s1o, s9o);
    t4c = _mm_sub_ps(s5o, s0p);
    a7u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s2o);
    a8u = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s6o);
    s1p = _mm_sub_ps(a7u, a8u);
    a9u = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s2o);
    a0v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6o);
    s2p = _mm_add_ps(a9u, a0v);
    a1v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s4o);
    a2v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s8o);
    s3p = _mm_sub_ps(a1v, a2v);
    a3v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s4o);
    a4v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8o);
    s4p = _mm_add_ps(a3v, a4v);
    t5c = _mm_add_ps(s1p, s3p);
    t6c = _mm_add_ps(s2p, s4p);
    t7c = _mm_sub_ps(s1p, s3p);
    t8c = _mm_sub_ps(s2p, s4p);
    t9c = _mm_add_ps(t1c, t5c);
    t0d = _mm_add_ps(t2c, t6c);
    t1d = _mm_sub_ps(t1c, t5c);
    t2d = _mm_sub_ps(t2c, t6c);
    t3d = _mm_add_ps(t3c, t8c);
    t4d = _mm_sub_ps(t4c, t7c);
    t5d = _mm_sub_ps(t3c, t8c);
    t6d = _mm_add_ps(t4c, t7c);
    a5v = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t9c);
    a6v = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t0d);
    s5p = _mm_sub_ps(a5v, a6v);
    a7v = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t9c);
    a8v = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t0d);
    s6p = _mm_add_ps(a7v, a8v);
    a9v = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t3d);
    a0w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t4d);
    s7p = _mm_sub_ps(a9v, a0w);
    a1w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t3d);
    a2w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t4d);
    s8p = _mm_add_ps(a1w, a2w);
    a3w = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t1d);
    a4w = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t2d);
    s9p = _mm_sub_ps(a3w, a4w);
    a5w = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t1d);
    a6w = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t2d);
    s0q = _mm_add_ps(a5w, a6w);
    a7w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t5d);
    a8w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t6d);
    s1q = _mm_sub_ps(a7w, a8w);
    a9w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t5d);
    a0x = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t6d);
    s2q = _mm_add_ps(a9w, a0x);
    a3x = _mm_shuffle_ps(_mm_set1_ps(0.0f), t5d, _MM_SHUFFLE(3, 2, 1, 0));
    a2x = _mm_shuffle_ps(a3x, t5d, _MM_SHUFFLE(1, 2, 3, 0));
    a6x = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s5p);
    a7x = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s6p);
    a5x = _mm_add_ps(a6x, a7x);
    a9x = _mm_shuffle_ps(_mm_set1_ps(0.0f), s1q, _MM_SHUFFLE(3, 2, 1, 0));
    a8x = _mm_shuffle_ps(a9x, s1q, _MM_SHUFFLE(1, 2, 3, 0));
    a4x = _mm_sub_ps(a5x, a8x);
    b6 = _mm_add_ps(t9c, a2x);
    a1x = _mm_add_ps(b6, a4x);
    s3q = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a1x);
    a2y = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t0d);
    a4y = _mm_shuffle_ps(_mm_set1_ps(0.0f), t6d, _MM_SHUFFLE(3, 2, 1, 0));
    a3y = _mm_shuffle_ps(a4y, t6d, _MM_SHUFFLE(1, 2, 3, 0));
    a1y = _mm_sub_ps(a2y, a3y);
    a5y = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s5p);
    a6y = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s6p);
    a8y = _mm_shuffle_ps(_mm_set1_ps(0.0f), s2q, _MM_SHUFFLE(3, 2, 1, 0));
    a7y = _mm_shuffle_ps(a8y, s2q, _MM_SHUFFLE(1, 2, 3, 0));
    b7 = _mm_add_ps(a1y, a5y);
    b8 = _mm_add_ps(b7, a6y);
    a0y = _mm_add_ps(b8, a7y);
    s4q = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a0y);
    a1z = _mm_shuffle_ps(t5d, t1d, _MM_SHUFFLE(3, 2, 1, 0));
    a0z = _mm_shuffle_ps(a1z, t1d, _MM_SHUFFLE(1, 2, 3, 0));
    a4z = _mm_shuffle_ps(s1q, s9p, _MM_SHUFFLE(3, 2, 1, 0));
    a3z = _mm_shuffle_ps(a4z, s9p, _MM_SHUFFLE(1, 2, 3, 0));
    a2z = _mm_sub_ps(s7p, a3z);
    b9 = _mm_add_ps(t3d, a0z);
    a9y = _mm_add_ps(b9, a2z);
    s5q = _mm_mul_ps(_mm_set1_ps(0.5f), a9y);
    a8z = _mm_shuffle_ps(t6d, t2d, _MM_SHUFFLE(3, 2, 1, 0));
    a7z = _mm_shuffle_ps(a8z, t2d, _MM_SHUFFLE(1, 2, 3, 0));
    a6z = _mm_sub_ps(t4d, a7z);
    a0A = _mm_shuffle_ps(s2q, s0q, _MM_SHUFFLE(3, 2, 1, 0));
    a9z = _mm_shuffle_ps(a0A, s0q, _MM_SHUFFLE(1, 2, 3, 0));
    b01 = _mm_add_ps(a6z, s8p);
    a5z = _mm_add_ps(b01, a9z);
    s6q = _mm_mul_ps(_mm_set1_ps(0.5f), a5z);
    a3A = _mm_shuffle_ps(t1d, t3d, _MM_SHUFFLE(3, 2, 1, 0));
    a2A = _mm_shuffle_ps(a3A, t3d, _MM_SHUFFLE(1, 2, 3, 0));
    a6A = _mm_shuffle_ps(s9p, s7p, _MM_SHUFFLE(3, 2, 1, 0));
    a5A = _mm_shuffle_ps(a6A, s7p, _MM_SHUFFLE(1, 2, 3, 0));
    a4A = _mm_sub_ps(s9p, a5A);
    b11 = _mm_add_ps(t1d, a2A);
    a1A = _mm_add_ps(b11, a4A);
    s7q = _mm_mul_ps(_mm_set1_ps(0.5f), a1A);
    a0B = _mm_shuffle_ps(t2d, t4d, _MM_SHUFFLE(3, 2, 1, 0));
    a9A = _mm_shuffle_ps(a0B, t4d, _MM_SHUFFLE(1, 2, 3, 0));
    a8A = _mm_sub_ps(t2d, a9A);
    a2B = _mm_shuffle_ps(s0q, s8p, _MM_SHUFFLE(3, 2, 1, 0));
    a1B = _mm_shuffle_ps(a2B, s8p, _MM_SHUFFLE(1, 2, 3, 0));
    b21 = _mm_add_ps(a8A, s0q);
    a7A = _mm_add_ps(b21, a1B);
    s8q = _mm_mul_ps(_mm_set1_ps(0.5f), a7A);
    a5B = _mm_shuffle_ps(t3d, t9c, _MM_SHUFFLE(3, 2, 1, 0));
    a4B = _mm_shuffle_ps(a5B, t9c, _MM_SHUFFLE(1, 2, 3, 0));
    a8B = _mm_shuffle_ps(s7p, s5p, _MM_SHUFFLE(3, 2, 1, 0));
    a7B = _mm_shuffle_ps(a8B, s5p, _MM_SHUFFLE(1, 2, 3, 0));
    a6B = _mm_sub_ps(s1q, a7B);
    b31 = _mm_add_ps(t5d, a4B);
    a3B = _mm_add_ps(b31, a6B);
    s9q = _mm_mul_ps(_mm_set1_ps(0.5f), a3B);
    a2C = _mm_shuffle_ps(t4d, t0d, _MM_SHUFFLE(3, 2, 1, 0));
    a1C = _mm_shuffle_ps(a2C, t0d, _MM_SHUFFLE(1, 2, 3, 0));
    a0C = _mm_sub_ps(t6d, a1C);
    a4C = _mm_shuffle_ps(s8p, s6p, _MM_SHUFFLE(3, 2, 1, 0));
    a3C = _mm_shuffle_ps(a4C, s6p, _MM_SHUFFLE(1, 2, 3, 0));
    b41 = _mm_add_ps(a0C, s2q);
    a9B = _mm_add_ps(b41, a3C);
    s0r = _mm_mul_ps(_mm_set1_ps(0.5f), a9B);
    s1r = _mm_unpacklo_ps(s3q, s4q);
    s2r = _mm_unpackhi_ps(s3q, s4q);
    _mm_storel_pi(((__m64  *) dst), s1r);
    a5C = (dst + 128);
    _mm_storeh_pi(((__m64  *) a5C), s1r);
    a6C = (dst + 256);
    _mm_storel_pi(((__m64  *) a6C), s2r);
    a7C = (dst + 384);
    _mm_storeh_pi(((__m64  *) a7C), s2r);
    s3r = _mm_unpacklo_ps(s5q, s6q);
    s4r = _mm_unpackhi_ps(s5q, s6q);
    a8C = (dst + 512);
    _mm_storel_pi(((__m64  *) a8C), s3r);
    a9C = (dst + 640);
    _mm_storeh_pi(((__m64  *) a9C), s3r);
    a0D = (dst + 768);
    _mm_storel_pi(((__m64  *) a0D), s4r);
    a1D = (dst + 896);
    _mm_storeh_pi(((__m64  *) a1D), s4r);
    s5r = _mm_unpacklo_ps(s7q, s8q);
    s6r = _mm_unpackhi_ps(s7q, s8q);
    a2D = (dst + 1024);
    _mm_storel_pi(((__m64  *) a2D), s5r);
    a3D = (dst + 1152);
    _mm_storeh_pi(((__m64  *) a3D), s5r);
    a4D = (dst + 1280);
    _mm_storel_pi(((__m64  *) a4D), s6r);
    a5D = (dst + 1408);
    _mm_storeh_pi(((__m64  *) a5D), s6r);
    s7r = _mm_unpacklo_ps(s9q, s0r);
    s8r = _mm_unpackhi_ps(s9q, s0r);
    a6D = (dst + 1536);
    _mm_storel_pi(((__m64  *) a6D), s7r);
    a7D = (dst + 1664);
    _mm_storeh_pi(((__m64  *) a7D), s7r);
    a8D = (dst + 1792);
    _mm_storel_pi(((__m64  *) a8D), s8r);
    a9D = (dst + 1920);
    _mm_storeh_pi(((__m64  *) a9D), s8r);
    a0E = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t09);
    a1E = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t29);
    s9r = _mm_add_ps(a0E, a1E);
    a2E = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t09);
    a3E = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t29);
    s0s = _mm_sub_ps(a2E, a3E);
    a4E = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t89);
    a5E = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t0a);
    s1s = _mm_add_ps(a4E, a5E);
    a6E = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t89);
    a7E = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t0a);
    s2s = _mm_sub_ps(a6E, a7E);
    t7d = _mm_add_ps(s9r, s1s);
    t8d = _mm_add_ps(s0s, s2s);
    t9d = _mm_sub_ps(s9r, s1s);
    t0e = _mm_sub_ps(s0s, s2s);
    a8E = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t49);
    a9E = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t69);
    s3s = _mm_add_ps(a8E, a9E);
    a0F = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t49);
    a1F = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t69);
    s4s = _mm_sub_ps(a0F, a1F);
    a2F = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t2a);
    a3F = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t4a);
    s5s = _mm_add_ps(a2F, a3F);
    a4F = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t2a);
    a5F = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t4a);
    s6s = _mm_sub_ps(a4F, a5F);
    t1e = _mm_add_ps(s3s, s5s);
    t2e = _mm_add_ps(s4s, s6s);
    t3e = _mm_sub_ps(s3s, s5s);
    t4e = _mm_sub_ps(s4s, s6s);
    t5e = _mm_add_ps(t7d, t1e);
    t6e = _mm_add_ps(t8d, t2e);
    t7e = _mm_sub_ps(t7d, t1e);
    t8e = _mm_sub_ps(t8d, t2e);
    t9e = _mm_add_ps(t9d, t4e);
    t0f = _mm_sub_ps(t0e, t3e);
    t1f = _mm_sub_ps(t9d, t4e);
    t2f = _mm_add_ps(t0e, t3e);
    s7s = _mm_unpacklo_ps(t5e, t9e);
    s8s = _mm_unpackhi_ps(t5e, t9e);
    s9s = _mm_unpacklo_ps(t6e, t0f);
    s0t = _mm_unpackhi_ps(t6e, t0f);
    s1t = _mm_unpacklo_ps(t7e, t1f);
    s2t = _mm_unpackhi_ps(t7e, t1f);
    s3t = _mm_unpacklo_ps(t8e, t2f);
    s4t = _mm_unpackhi_ps(t8e, t2f);
    s5t = _mm_shuffle_ps(s7s, s1t, _MM_SHUFFLE(1, 0, 1, 0));
    s6t = _mm_shuffle_ps(s7s, s1t, _MM_SHUFFLE(3, 2, 3, 2));
    s7t = _mm_shuffle_ps(s8s, s2t, _MM_SHUFFLE(1, 0, 1, 0));
    s8t = _mm_shuffle_ps(s8s, s2t, _MM_SHUFFLE(3, 2, 3, 2));
    s9t = _mm_shuffle_ps(s9s, s3t, _MM_SHUFFLE(1, 0, 1, 0));
    s0u = _mm_shuffle_ps(s9s, s3t, _MM_SHUFFLE(3, 2, 3, 2));
    s1u = _mm_shuffle_ps(s0t, s4t, _MM_SHUFFLE(1, 0, 1, 0));
    s2u = _mm_shuffle_ps(s0t, s4t, _MM_SHUFFLE(3, 2, 3, 2));
    a6F = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7t);
    a7F = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s1u);
    s3u = _mm_sub_ps(a6F, a7F);
    a8F = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7t);
    a9F = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1u);
    s4u = _mm_add_ps(a8F, a9F);
    t3f = _mm_add_ps(s5t, s3u);
    t4f = _mm_add_ps(s9t, s4u);
    t5f = _mm_sub_ps(s5t, s3u);
    t6f = _mm_sub_ps(s9t, s4u);
    a0G = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6t);
    a1G = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s0u);
    s5u = _mm_sub_ps(a0G, a1G);
    a2G = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s6t);
    a3G = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0u);
    s6u = _mm_add_ps(a2G, a3G);
    a4G = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8t);
    a5G = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s2u);
    s7u = _mm_sub_ps(a4G, a5G);
    a6G = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s8t);
    a7G = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2u);
    s8u = _mm_add_ps(a6G, a7G);
    t7f = _mm_add_ps(s5u, s7u);
    t8f = _mm_add_ps(s6u, s8u);
    t9f = _mm_sub_ps(s5u, s7u);
    t0g = _mm_sub_ps(s6u, s8u);
    t1g = _mm_add_ps(t3f, t7f);
    t2g = _mm_add_ps(t4f, t8f);
    t3g = _mm_sub_ps(t3f, t7f);
    t4g = _mm_sub_ps(t4f, t8f);
    s9u = _mm_unpacklo_ps(t1g, t2g);
    s0v = _mm_unpackhi_ps(t1g, t2g);
    a8G = (dst + 64);
    _mm_storel_pi(((__m64  *) a8G), s9u);
    a9G = (dst + 320);
    _mm_storeh_pi(((__m64  *) a9G), s9u);
    a0H = (dst + 576);
    _mm_storel_pi(((__m64  *) a0H), s0v);
    a1H = (dst + 832);
    _mm_storeh_pi(((__m64  *) a1H), s0v);
    a2H = _mm_unpacklo_ps(t3g, t4g);
    s1v = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2H);
    a3H = _mm_unpackhi_ps(t3g, t4g);
    s2v = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3H);
    a4H = (dst + 1984);
    _mm_storel_pi(((__m64  *) a4H), s1v);
    a5H = (dst + 1728);
    _mm_storeh_pi(((__m64  *) a5H), s1v);
    a6H = (dst + 1472);
    _mm_storel_pi(((__m64  *) a6H), s2v);
    a7H = (dst + 1216);
    _mm_storeh_pi(((__m64  *) a7H), s2v);
    t5g = _mm_add_ps(t5f, t0g);
    t6g = _mm_sub_ps(t6f, t9f);
    t7g = _mm_sub_ps(t5f, t0g);
    t8g = _mm_add_ps(t6f, t9f);
    s3v = _mm_unpacklo_ps(t5g, t6g);
    s4v = _mm_unpackhi_ps(t5g, t6g);
    a8H = (dst + 1088);
    _mm_storel_pi(((__m64  *) a8H), s3v);
    a9H = (dst + 1344);
    _mm_storeh_pi(((__m64  *) a9H), s3v);
    a0I = (dst + 1600);
    _mm_storel_pi(((__m64  *) a0I), s4v);
    a1I = (dst + 1856);
    _mm_storeh_pi(((__m64  *) a1I), s4v);
    a2I = _mm_unpacklo_ps(t7g, t8g);
    s5v = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2I);
    a3I = _mm_unpackhi_ps(t7g, t8g);
    s6v = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3I);
    a4I = (dst + 960);
    _mm_storel_pi(((__m64  *) a4I), s5v);
    a5I = (dst + 704);
    _mm_storeh_pi(((__m64  *) a5I), s5v);
    a6I = (dst + 448);
    _mm_storel_pi(((__m64  *) a6I), s6v);
    a7I = (dst + 192);
    _mm_storeh_pi(((__m64  *) a7I), s6v);
    {long i3; for(i3 = 0; i3 <= 30; i3++) {
        a3K = (16 * i3);
        a6M = ((__m128  *) T);
        b = (a6M + a3K);
        a7M = (b + 16);
        s7v = *(a7M);
        a8M = (b + 24);
        s8v = *(a8M);
        a9M = (b + 20);
        s9v = *(a9M);
        a0N = (b + 28);
        s0w = *(a0N);
        a4K = (D7 + a3K);
        a5K = *(a4K);
        a1N = (a4K + 1);
        a6K = *(a1N);
        a2N = _mm_mul_ps(a5K, s7v);
        a3N = _mm_mul_ps(a6K, s8v);
        s1w = _mm_sub_ps(a2N, a3N);
        a4N = _mm_mul_ps(a6K, s7v);
        a5N = _mm_mul_ps(a5K, s8v);
        s2w = _mm_add_ps(a4N, a5N);
        a6N = (a4K + 2);
        a7K = *(a6N);
        a7N = (a4K + 3);
        a8K = *(a7N);
        a8N = _mm_mul_ps(a7K, s9v);
        a9N = _mm_mul_ps(a8K, s0w);
        s3w = _mm_sub_ps(a8N, a9N);
        a0O = _mm_mul_ps(a8K, s9v);
        a1O = _mm_mul_ps(a7K, s0w);
        s4w = _mm_add_ps(a0O, a1O);
        t9g = _mm_add_ps(s1w, s3w);
        t0h = _mm_add_ps(s2w, s4w);
        t1h = _mm_sub_ps(s1w, s3w);
        t2h = _mm_sub_ps(s2w, s4w);
        a2O = (b + 18);
        s5w = *(a2O);
        a3O = (b + 26);
        s6w = *(a3O);
        a4O = (b + 22);
        s7w = *(a4O);
        a5O = (b + 30);
        s8w = *(a5O);
        a6O = (a4K + 4);
        a9K = *(a6O);
        a7O = (a4K + 5);
        a0L = *(a7O);
        a8O = _mm_mul_ps(a9K, s5w);
        a9O = _mm_mul_ps(a0L, s6w);
        s9w = _mm_sub_ps(a8O, a9O);
        a0P = _mm_mul_ps(a0L, s5w);
        a1P = _mm_mul_ps(a9K, s6w);
        s0x = _mm_add_ps(a0P, a1P);
        a2P = (a4K + 6);
        a1L = *(a2P);
        a3P = (a4K + 7);
        a2L = *(a3P);
        a4P = _mm_mul_ps(a1L, s7w);
        a5P = _mm_mul_ps(a2L, s8w);
        s1x = _mm_sub_ps(a4P, a5P);
        a6P = _mm_mul_ps(a2L, s7w);
        a7P = _mm_mul_ps(a1L, s8w);
        s2x = _mm_add_ps(a6P, a7P);
        t3h = _mm_add_ps(s9w, s1x);
        t4h = _mm_add_ps(s0x, s2x);
        t5h = _mm_sub_ps(s9w, s1x);
        t6h = _mm_sub_ps(s0x, s2x);
        t7h = _mm_add_ps(t9g, t3h);
        t8h = _mm_add_ps(t0h, t4h);
        t9h = _mm_sub_ps(t9g, t3h);
        t0i = _mm_sub_ps(t0h, t4h);
        t1i = _mm_add_ps(t1h, t6h);
        t2i = _mm_sub_ps(t2h, t5h);
        t3i = _mm_sub_ps(t1h, t6h);
        t4i = _mm_add_ps(t2h, t5h);
        s3x = _mm_unpacklo_ps(t7h, t1i);
        s4x = _mm_unpackhi_ps(t7h, t1i);
        s5x = _mm_unpacklo_ps(t8h, t2i);
        s6x = _mm_unpackhi_ps(t8h, t2i);
        s7x = _mm_unpacklo_ps(t9h, t3i);
        s8x = _mm_unpackhi_ps(t9h, t3i);
        s9x = _mm_unpacklo_ps(t0i, t4i);
        s0y = _mm_unpackhi_ps(t0i, t4i);
        s1y = _mm_shuffle_ps(s3x, s7x, _MM_SHUFFLE(1, 0, 1, 0));
        s2y = _mm_shuffle_ps(s3x, s7x, _MM_SHUFFLE(3, 2, 3, 2));
        s3y = _mm_shuffle_ps(s4x, s8x, _MM_SHUFFLE(1, 0, 1, 0));
        s4y = _mm_shuffle_ps(s4x, s8x, _MM_SHUFFLE(3, 2, 3, 2));
        s5y = _mm_shuffle_ps(s5x, s9x, _MM_SHUFFLE(1, 0, 1, 0));
        s6y = _mm_shuffle_ps(s5x, s9x, _MM_SHUFFLE(3, 2, 3, 2));
        s7y = _mm_shuffle_ps(s6x, s0y, _MM_SHUFFLE(1, 0, 1, 0));
        s8y = _mm_shuffle_ps(s6x, s0y, _MM_SHUFFLE(3, 2, 3, 2));
        a8P = (b + 17);
        s9y = *(a8P);
        a9P = (b + 25);
        s0z = *(a9P);
        a0Q = (b + 21);
        s1z = *(a0Q);
        a1Q = (b + 29);
        s2z = *(a1Q);
        a2Q = (a4K + 8);
        a3L = *(a2Q);
        a3Q = (a4K + 9);
        a4L = *(a3Q);
        a4Q = _mm_mul_ps(a3L, s9y);
        a5Q = _mm_mul_ps(a4L, s0z);
        s3z = _mm_sub_ps(a4Q, a5Q);
        a6Q = _mm_mul_ps(a4L, s9y);
        a7Q = _mm_mul_ps(a3L, s0z);
        s4z = _mm_add_ps(a6Q, a7Q);
        a8Q = (a4K + 10);
        a5L = *(a8Q);
        a9Q = (a4K + 11);
        a6L = *(a9Q);
        a0R = _mm_mul_ps(a5L, s1z);
        a1R = _mm_mul_ps(a6L, s2z);
        s5z = _mm_sub_ps(a0R, a1R);
        a2R = _mm_mul_ps(a6L, s1z);
        a3R = _mm_mul_ps(a5L, s2z);
        s6z = _mm_add_ps(a2R, a3R);
        t5i = _mm_add_ps(s3z, s5z);
        t6i = _mm_add_ps(s4z, s6z);
        t7i = _mm_sub_ps(s3z, s5z);
        t8i = _mm_sub_ps(s4z, s6z);
        a4R = (b + 19);
        s7z = *(a4R);
        a5R = (b + 27);
        s8z = *(a5R);
        a6R = (b + 23);
        s9z = *(a6R);
        a7R = (b + 31);
        s0A = *(a7R);
        a8R = (a4K + 12);
        a7L = *(a8R);
        a9R = (a4K + 13);
        a8L = *(a9R);
        a0S = _mm_mul_ps(a7L, s7z);
        a1S = _mm_mul_ps(a8L, s8z);
        s1A = _mm_sub_ps(a0S, a1S);
        a2S = _mm_mul_ps(a8L, s7z);
        a3S = _mm_mul_ps(a7L, s8z);
        s2A = _mm_add_ps(a2S, a3S);
        a4S = (a4K + 14);
        a9L = *(a4S);
        a5S = (a4K + 15);
        a0M = *(a5S);
        a6S = _mm_mul_ps(a9L, s9z);
        a7S = _mm_mul_ps(a0M, s0A);
        s3A = _mm_sub_ps(a6S, a7S);
        a8S = _mm_mul_ps(a0M, s9z);
        a9S = _mm_mul_ps(a9L, s0A);
        s4A = _mm_add_ps(a8S, a9S);
        t9i = _mm_add_ps(s1A, s3A);
        t0j = _mm_add_ps(s2A, s4A);
        t1j = _mm_sub_ps(s1A, s3A);
        t2j = _mm_sub_ps(s2A, s4A);
        t3j = _mm_add_ps(t5i, t9i);
        t4j = _mm_add_ps(t6i, t0j);
        t5j = _mm_sub_ps(t5i, t9i);
        t6j = _mm_sub_ps(t6i, t0j);
        t7j = _mm_add_ps(t7i, t2j);
        t8j = _mm_sub_ps(t8i, t1j);
        t9j = _mm_sub_ps(t7i, t2j);
        t0k = _mm_add_ps(t8i, t1j);
        s5A = _mm_unpacklo_ps(t3j, t7j);
        s6A = _mm_unpackhi_ps(t3j, t7j);
        s7A = _mm_unpacklo_ps(t4j, t8j);
        s8A = _mm_unpackhi_ps(t4j, t8j);
        s9A = _mm_unpacklo_ps(t5j, t9j);
        s0B = _mm_unpackhi_ps(t5j, t9j);
        s1B = _mm_unpacklo_ps(t6j, t0k);
        s2B = _mm_unpackhi_ps(t6j, t0k);
        s3B = _mm_shuffle_ps(s5A, s9A, _MM_SHUFFLE(1, 0, 1, 0));
        s4B = _mm_shuffle_ps(s5A, s9A, _MM_SHUFFLE(3, 2, 3, 2));
        s5B = _mm_shuffle_ps(s6A, s0B, _MM_SHUFFLE(1, 0, 1, 0));
        s6B = _mm_shuffle_ps(s6A, s0B, _MM_SHUFFLE(3, 2, 3, 2));
        s7B = _mm_shuffle_ps(s7A, s1B, _MM_SHUFFLE(1, 0, 1, 0));
        s8B = _mm_shuffle_ps(s7A, s1B, _MM_SHUFFLE(3, 2, 3, 2));
        s9B = _mm_shuffle_ps(s8A, s2B, _MM_SHUFFLE(1, 0, 1, 0));
        s0C = _mm_shuffle_ps(s8A, s2B, _MM_SHUFFLE(3, 2, 3, 2));
        a0T = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3B);
        a1T = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7B);
        s1C = _mm_sub_ps(a0T, a1T);
        a2T = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3B);
        a3T = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7B);
        s2C = _mm_add_ps(a2T, a3T);
        t1k = _mm_add_ps(s1y, s1C);
        t2k = _mm_add_ps(s5y, s2C);
        t3k = _mm_sub_ps(s1y, s1C);
        t4k = _mm_sub_ps(s5y, s2C);
        a4T = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s3y);
        a5T = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s7y);
        s3C = _mm_sub_ps(a4T, a5T);
        a6T = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s3y);
        a7T = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7y);
        s4C = _mm_add_ps(a6T, a7T);
        a8T = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5B);
        a9T = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s9B);
        s5C = _mm_sub_ps(a8T, a9T);
        a0U = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s5B);
        a1U = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s9B);
        s6C = _mm_add_ps(a0U, a1U);
        t5k = _mm_add_ps(s3C, s5C);
        t6k = _mm_add_ps(s4C, s6C);
        t7k = _mm_sub_ps(s3C, s5C);
        t8k = _mm_sub_ps(s4C, s6C);
        t9k = _mm_add_ps(t1k, t5k);
        t0l = _mm_add_ps(t2k, t6k);
        t1l = _mm_sub_ps(t1k, t5k);
        t2l = _mm_sub_ps(t2k, t6k);
        t3l = _mm_add_ps(t3k, t8k);
        t4l = _mm_sub_ps(t4k, t7k);
        t5l = _mm_sub_ps(t3k, t8k);
        t6l = _mm_add_ps(t4k, t7k);
        a2U = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s2y);
        a3U = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s6y);
        s7C = _mm_sub_ps(a2U, a3U);
        a4U = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s2y);
        a5U = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6y);
        s8C = _mm_add_ps(a4U, a5U);
        a6U = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4B);
        a7U = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s8B);
        s9C = _mm_sub_ps(a6U, a7U);
        a8U = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s4B);
        a9U = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s8B);
        s0D = _mm_add_ps(a8U, a9U);
        t7l = _mm_add_ps(s7C, s9C);
        t8l = _mm_add_ps(s8C, s0D);
        t9l = _mm_sub_ps(s7C, s9C);
        t0m = _mm_sub_ps(s8C, s0D);
        a0V = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s4y);
        a1V = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s8y);
        s1D = _mm_sub_ps(a0V, a1V);
        a2V = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s4y);
        a3V = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8y);
        s2D = _mm_add_ps(a2V, a3V);
        a4V = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6B);
        a5V = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s0C);
        s3D = _mm_sub_ps(a4V, a5V);
        a6V = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s6B);
        a7V = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s0C);
        s4D = _mm_add_ps(a6V, a7V);
        t1m = _mm_add_ps(s1D, s3D);
        t2m = _mm_add_ps(s2D, s4D);
        t3m = _mm_sub_ps(s1D, s3D);
        t4m = _mm_sub_ps(s2D, s4D);
        t5m = _mm_add_ps(t7l, t1m);
        t6m = _mm_add_ps(t8l, t2m);
        t7m = _mm_sub_ps(t7l, t1m);
        t8m = _mm_sub_ps(t8l, t2m);
        a8V = _mm_add_ps(t9l, t4m);
        a1M = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a8V);
        a9V = _mm_sub_ps(t0m, t3m);
        a2M = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a9V);
        s5D = _mm_sub_ps(a1M, a2M);
        s6D = _mm_add_ps(a1M, a2M);
        a0W = _mm_sub_ps(t9l, t4m);
        a3M = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a0W);
        a1W = _mm_add_ps(t0m, t3m);
        a4M = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a1W);
        s7D = _mm_sub_ps(a3M, a4M);
        s8D = _mm_add_ps(a3M, a4M);
        t9m = _mm_add_ps(t9k, t5m);
        t0n = _mm_add_ps(t0l, t6m);
        t1n = _mm_sub_ps(t9k, t5m);
        t2n = _mm_sub_ps(t0l, t6m);
        s9D = _mm_unpacklo_ps(t9m, t0n);
        s0E = _mm_unpackhi_ps(t9m, t0n);
        a5M = (2 * i3);
        b2 = (dst + a5M);
        a2W = (b2 + 2);
        _mm_storel_pi(((__m64  *) a2W), s9D);
        a3W = (b2 + 130);
        _mm_storeh_pi(((__m64  *) a3W), s9D);
        a4W = (b2 + 258);
        _mm_storel_pi(((__m64  *) a4W), s0E);
        a5W = (b2 + 386);
        _mm_storeh_pi(((__m64  *) a5W), s0E);
        a6W = _mm_unpacklo_ps(t1n, t2n);
        s1E = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6W);
        a7W = _mm_unpackhi_ps(t1n, t2n);
        s2E = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7W);
        b3 = (dst - a5M);
        a8W = (b3 + 2046);
        _mm_storel_pi(((__m64  *) a8W), s1E);
        a9W = (b3 + 1918);
        _mm_storeh_pi(((__m64  *) a9W), s1E);
        a0X = (b3 + 1790);
        _mm_storel_pi(((__m64  *) a0X), s2E);
        a1X = (b3 + 1662);
        _mm_storeh_pi(((__m64  *) a1X), s2E);
        t3n = _mm_add_ps(t3l, s5D);
        t4n = _mm_sub_ps(t4l, s6D);
        t5n = _mm_sub_ps(t3l, s5D);
        t6n = _mm_add_ps(t4l, s6D);
        s3E = _mm_unpacklo_ps(t3n, t4n);
        s4E = _mm_unpackhi_ps(t3n, t4n);
        a2X = (b2 + 514);
        _mm_storel_pi(((__m64  *) a2X), s3E);
        a3X = (b2 + 642);
        _mm_storeh_pi(((__m64  *) a3X), s3E);
        a4X = (b2 + 770);
        _mm_storel_pi(((__m64  *) a4X), s4E);
        a5X = (b2 + 898);
        _mm_storeh_pi(((__m64  *) a5X), s4E);
        a6X = _mm_unpacklo_ps(t5n, t6n);
        s5E = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6X);
        a7X = _mm_unpackhi_ps(t5n, t6n);
        s6E = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7X);
        a8X = (b3 + 1534);
        _mm_storel_pi(((__m64  *) a8X), s5E);
        a9X = (b3 + 1406);
        _mm_storeh_pi(((__m64  *) a9X), s5E);
        a0Y = (b3 + 1278);
        _mm_storel_pi(((__m64  *) a0Y), s6E);
        a1Y = (b3 + 1150);
        _mm_storeh_pi(((__m64  *) a1Y), s6E);
        t7n = _mm_add_ps(t1l, t8m);
        t8n = _mm_sub_ps(t2l, t7m);
        t9n = _mm_sub_ps(t1l, t8m);
        t0o = _mm_add_ps(t2l, t7m);
        s7E = _mm_unpacklo_ps(t7n, t8n);
        s8E = _mm_unpackhi_ps(t7n, t8n);
        a2Y = (b2 + 1026);
        _mm_storel_pi(((__m64  *) a2Y), s7E);
        a3Y = (b2 + 1154);
        _mm_storeh_pi(((__m64  *) a3Y), s7E);
        a4Y = (b2 + 1282);
        _mm_storel_pi(((__m64  *) a4Y), s8E);
        a5Y = (b2 + 1410);
        _mm_storeh_pi(((__m64  *) a5Y), s8E);
        a6Y = _mm_unpacklo_ps(t9n, t0o);
        s9E = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6Y);
        a7Y = _mm_unpackhi_ps(t9n, t0o);
        s0F = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7Y);
        a8Y = (b3 + 1022);
        _mm_storel_pi(((__m64  *) a8Y), s9E);
        a9Y = (b3 + 894);
        _mm_storeh_pi(((__m64  *) a9Y), s9E);
        a0Z = (b3 + 766);
        _mm_storel_pi(((__m64  *) a0Z), s0F);
        a1Z = (b3 + 638);
        _mm_storeh_pi(((__m64  *) a1Z), s0F);
        t1o = _mm_add_ps(t5l, s7D);
        t2o = _mm_add_ps(t6l, s8D);
        t3o = _mm_sub_ps(t5l, s7D);
        t4o = _mm_sub_ps(t6l, s8D);
        s1F = _mm_unpacklo_ps(t1o, t2o);
        s2F = _mm_unpackhi_ps(t1o, t2o);
        a2Z = (b2 + 1538);
        _mm_storel_pi(((__m64  *) a2Z), s1F);
        a3Z = (b2 + 1666);
        _mm_storeh_pi(((__m64  *) a3Z), s1F);
        a4Z = (b2 + 1794);
        _mm_storel_pi(((__m64  *) a4Z), s2F);
        a5Z = (b2 + 1922);
        _mm_storeh_pi(((__m64  *) a5Z), s2F);
        a6Z = _mm_unpacklo_ps(t3o, t4o);
        s3F = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6Z);
        a7Z = _mm_unpackhi_ps(t3o, t4o);
        s4F = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7Z);
        a8Z = (b3 + 510);
        _mm_storel_pi(((__m64  *) a8Z), s3F);
        a9Z = (b3 + 382);
        _mm_storeh_pi(((__m64  *) a9Z), s3F);
        a010 = (b3 + 254);
        _mm_storel_pi(((__m64  *) a010), s4F);
        a110 = (b3 + 126);
        _mm_storeh_pi(((__m64  *) a110), s4F);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftfwd_float_2048)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftfwd_float_2048_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[2048]);
     SPIRAL_ALIGNED(float T2[256]);
    __m128 a0B, a0C, a0y, a0z, a1A, a1B, a1z, a2A, a2W, a2X, a2Y, a2Z, a3A, a3B, a3W, a3X, a3Y, a3Z, a3y, a3z, a4B, a4x
            , a4y, a4z, a5A, a5B, a5x, a5y, a5z, a6A, a6x, a6y, a6z, a7A, a7B, a7w, a7y, a7z, a8A, a8B, a8G, a8H, a8w, a8z
            , a9A, a9B, a9G, a9H, a9w, a9x, a9y, a9z, b01, b3, b6, b8;
    __m128 a02, a03, a04, a05, a07, a08, a09, a0A, a0E, a0F, a0G, a0L, a0M, a0N, a0P, a0Q, a0T, a0U, a0V, a0e, a0i, a0j
            , a0k, a0l, a0m, a0n, a0o, a0p, a0q, a0u, a0v, a0w, a0x, a13, a14, a15, a16, a18, a19, a1E, a1F, a1G, a1K, a1L
            , a1N, a1P, a1Q, a1T, a1U, a1V, a1e, a1i, a1j, a1k, a1l, a1m, a1n, a1o, a1p, a1u, a1v, a1w, a1x, a1y, a22, a23
            , a24, a26, a28, a2B, a2E, a2F, a2G, a2K, a2L, a2P, a2Q, a2S, a2T, a2U, a2V, a2e, a2i, a2j, a2k, a2l, a2m, a2n
            , a2o, a2p, a2u, a2v, a2w, a2x, a2y, a2z, a31, a32, a33, a34, a36, a38, a3E, a3F, a3G, a3K, a3L, a3P, a3Q, a3S
            , a3T, a3U, a3V, a3e, a3i, a3j, a3k, a3l, a3m, a3n, a3o, a3p, a3u, a3v, a3w, a3x, a41, a42, a43, a44, a46, a48
            , a4A, a4E, a4F, a4K, a4L, a4N, a4O, a4S, a4T, a4U, a4V, a4e, a4i, a4j, a4k, a4l, a4m, a4n, a4o, a4p, a4u, a4v
            , a4w, a51, a52, a53, a54, a56, a58, a5E, a5F, a5K, a5L, a5N, a5O, a5S, a5T, a5U, a5V, a5e, a5i, a5j, a5k, a5l
            , a5m, a5n, a5o, a5p, a5u, a5v, a5w, a61, a62, a64, a66, a67, a68, a6B, a6D, a6E, a6F, a6K, a6L, a6N, a6O, a6Q
            , a6R, a6S, a6T, a6U, a6V, a6e, a6i, a6j, a6l, a6m, a6n, a6o, a6p, a6t, a6u, a6v, a6w, a71, a72, a74, a76, a78
            , a7D, a7E, a7F, a7K, a7L, a7N, a7O, a7Q, a7R, a7S, a7T, a7U, a7V, a7d, a7h, a7i, a7j, a7k, a7l, a7m, a7n, a7o
            , a7p, a7s, a7u, a7v, a7x, a81, a82, a84, a86, a88, a8D, a8E, a8F, a8K, a8L, a8M, a8Q, a8R, a8S, a8T, a8U, a8d
            , a8h, a8i, a8j, a8l, a8m, a8n, a8o, a8p, a8r, a8u, a8v, a8x, a8y, a91, a92, a94, a95, a96, a98, a99, a9D, a9E
            , a9F, a9K, a9L, a9M, a9Q, a9R, a9S, a9T, a9U, a9d, a9h, a9i, a9j, a9k, a9l, a9m, a9n, a9o, a9p, a9q, a9t, a9u
            , a9v, b11, b4, b5, b7, b9, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F
            , s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v
            , s0w, s0x, s0y, s0z, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1F, s1a, s1b, s1c
            , s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y
            , s1z, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2F, s2a, s2b, s2c, s2d, s2e
            , s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3
            , s31, s32, s33, s34, s35, s36, s37, s38, s39, s3A, s3B, s3C, s3D, s3E, s3F, s3a, s3b, s3c, s3d, s3e, s3f, s3g
            , s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42
            , s43, s44, s45, s46, s47, s48, s49, s4A, s4B, s4C, s4D, s4E, s4F, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i
            , s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51, s52, s53, s54
            , s55, s56, s57, s58, s59, s5A, s5B, s5C, s5D, s5E, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l
            , s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62, s63, s64, s65, s66, s67
            , s68, s69, s6A, s6B, s6C, s6D, s6E, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o
            , s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7A
            , s7B, s7C, s7D, s7E, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r
            , s7s, s7t, s7u, s7v, s7w, s7x, s7y, s7z, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8A, s8B, s8C, s8D
            , s8E, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u
            , s8v, s8w, s8x, s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9C, s9D, s9E, s9a, s9b
            , s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x
            , s9y, s9z, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j
            , t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t11, t12, t13, t14, t15, t16, t17, t18, t19
            , t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v
            , t1w, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k
            , t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39
            , t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v
            , t3w, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k
            , t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59
            , t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v
            , t5w, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k
            , t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79
            , t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v
            , t7w, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k
            , t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99
            , t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v;
    __m128  *a, *a01, *a06, *a0J, *a0K, *a0O, *a0R, *a0S, *a0a, *a0b, *a0c, *a0d, *a0f, *a0g, *a0h, *a0r, *a0s, *a0t, *a11, *a12, *a17, *a1J
            , *a1O, *a1R, *a1S, *a1a, *a1b, *a1c, *a1d, *a1f, *a1g, *a1h, *a1q, *a1r, *a1s, *a1t, *a2, *a21, *a25, *a27, *a29, *a2J, *a2M, *a2N
            , *a2O, *a2R, *a2a, *a2b, *a2c, *a2d, *a2f, *a2g, *a2h, *a2q, *a2r, *a2s, *a2t, *a3, *a35, *a37, *a39, *a3J, *a3M, *a3N, *a3O, *a3R
            , *a3a, *a3b, *a3c, *a3d, *a3f, *a3g, *a3h, *a3q, *a3r, *a3s, *a3t, *a45, *a47, *a49, *a4I, *a4J, *a4M, *a4P, *a4Q, *a4R, *a4a, *a4b
            , *a4c, *a4d, *a4f, *a4g, *a4h, *a4q, *a4r, *a4s, *a4t, *a5, *a55, *a57, *a59, *a5I, *a5J, *a5M, *a5P, *a5Q, *a5R, *a5a, *a5b, *a5c
            , *a5d, *a5f, *a5g, *a5h, *a5q, *a5r, *a5s, *a5t, *a6, *a63, *a65, *a69, *a6I, *a6J, *a6M, *a6P, *a6a, *a6b, *a6c, *a6d, *a6f, *a6g
            , *a6h, *a6k, *a6q, *a6r, *a6s, *a7, *a73, *a75, *a77, *a79, *a7I, *a7J, *a7M, *a7P, *a7a, *a7b, *a7c, *a7e, *a7f, *a7g, *a7q, *a7r
            , *a7t, *a8, *a83, *a85, *a87, *a89, *a8I, *a8J, *a8N, *a8O, *a8P, *a8a, *a8b, *a8c, *a8e, *a8f, *a8g, *a8k, *a8q, *a8s, *a8t, *a9
            , *a93, *a97, *a9I, *a9N, *a9O, *a9P, *a9a, *a9b, *a9c, *a9e, *a9f, *a9g, *a9r, *a9s, *b, *b2, *b21;
    float  *a0D, *a0H, *a0I, *a0W, *a0X, *a0Y, *a0Z, *a1C, *a1D, *a1H, *a1I, *a1W, *a1X, *a1Y, *a1Z, *a2C, *a2D, *a2H, *a2I, *a3C, *a3D, *a3H
            , *a3I, *a4C, *a4D, *a4G, *a4H, *a4W, *a4X, *a4Y, *a4Z, *a5C, *a5D, *a5G, *a5H, *a5W, *a5X, *a5Y, *a5Z, *a6C, *a6G, *a6H, *a6W, *a6X
            , *a6Y, *a6Z, *a7C, *a7G, *a7H, *a7W, *a7X, *a7Y, *a7Z, *a8C, *a8V, *a8W, *a8X, *a8Y, *a9C, *a9V, *a9W, *a9X, *a9Y, *b31, *b41;
    int a1M, a4, a9J;
    {long i; for(i = 0; i <= 7; i++) {
        {long i2; for(i2 = 0; i2 <= 15; i2++) {
            a3 = ((__m128  *) src);
            a4 = (8 * i2);
            b = (a3 + i);
            a = (b + a4);
            s = *(a);
            a5 = (a + 256);
            s2 = *(a5);
            a6 = ((__m128  *) T2);
            a2 = (a6 + i2);
            s3 = _mm_add_ps(s, s2);
            *(a2) = s3;
            s4 = _mm_sub_ps(s, s2);
            a7 = (a2 + 32);
            *(a7) = s4;
            a8 = (a + 128);
            s5 = *(a8);
            a9 = (a + 384);
            s6 = *(a9);
            s7 = _mm_add_ps(s5, s6);
            a01 = (a2 + 16);
            *(a01) = s7;
            s8 = _mm_sub_ps(s6, s5);
            a11 = (a2 + 48);
            *(a11) = s8;
        }}
        a21 = ((__m128  *) T2);
        s9 = *(a21);
        a1a = (a21 + 16);
        s01 = *(a1a);
        t = _mm_add_ps(s9, s01);
        t2 = _mm_sub_ps(s9, s01);
        a2a = (a21 + 8);
        s11 = *(a2a);
        a3a = (a21 + 24);
        s21 = *(a3a);
        t3 = _mm_add_ps(s11, s21);
        t4 = _mm_sub_ps(s11, s21);
        a4a = (a21 + 4);
        s31 = *(a4a);
        a5a = (a21 + 20);
        s41 = *(a5a);
        t5 = _mm_add_ps(s31, s41);
        a6a = (a21 + 12);
        s51 = *(a6a);
        a7a = (a21 + 28);
        s61 = *(a7a);
        t6 = _mm_add_ps(s51, s61);
        t7 = _mm_add_ps(t, t3);
        t8 = _mm_sub_ps(t, t3);
        t9 = _mm_add_ps(t5, t6);
        t01 = _mm_sub_ps(t5, t6);
        a62 = _mm_sub_ps(s31, s41);
        a31 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a62);
        a72 = _mm_sub_ps(s51, s61);
        a41 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a72);
        s71 = _mm_add_ps(a31, a41);
        s81 = _mm_sub_ps(a41, a31);
        t11 = _mm_add_ps(t2, s71);
        t21 = _mm_sub_ps(s81, t4);
        t31 = _mm_sub_ps(t2, s71);
        t41 = _mm_add_ps(t4, s81);
        a8a = (a21 + 1);
        s91 = *(a8a);
        a9a = (a21 + 17);
        s02 = *(a9a);
        t51 = _mm_add_ps(s91, s02);
        t61 = _mm_sub_ps(s91, s02);
        a0b = (a21 + 9);
        s12 = *(a0b);
        a1b = (a21 + 25);
        s22 = *(a1b);
        t71 = _mm_add_ps(s12, s22);
        t81 = _mm_sub_ps(s12, s22);
        a2b = (a21 + 5);
        s32 = *(a2b);
        a3b = (a21 + 21);
        s42 = *(a3b);
        t91 = _mm_add_ps(s32, s42);
        a4b = (a21 + 13);
        s52 = *(a4b);
        a5b = (a21 + 29);
        s62 = *(a5b);
        t02 = _mm_add_ps(s52, s62);
        t12 = _mm_add_ps(t51, t71);
        t22 = _mm_sub_ps(t51, t71);
        t32 = _mm_add_ps(t91, t02);
        t42 = _mm_sub_ps(t91, t02);
        a82 = _mm_sub_ps(s32, s42);
        a51 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a82);
        a92 = _mm_sub_ps(s52, s62);
        a61 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a92);
        s72 = _mm_add_ps(a51, a61);
        s82 = _mm_sub_ps(a61, a51);
        t52 = _mm_add_ps(t61, s72);
        t62 = _mm_sub_ps(s82, t81);
        t72 = _mm_sub_ps(t61, s72);
        t82 = _mm_add_ps(t81, s82);
        a6b = (a21 + 2);
        s92 = *(a6b);
        a7b = (a21 + 18);
        s03 = *(a7b);
        t92 = _mm_add_ps(s92, s03);
        t03 = _mm_sub_ps(s92, s03);
        a8b = (a21 + 10);
        s13 = *(a8b);
        a9b = (a21 + 26);
        s23 = *(a9b);
        t13 = _mm_add_ps(s13, s23);
        t23 = _mm_sub_ps(s13, s23);
        a0c = (a21 + 6);
        s33 = *(a0c);
        a1c = (a21 + 22);
        s43 = *(a1c);
        t33 = _mm_add_ps(s33, s43);
        a2c = (a21 + 14);
        s53 = *(a2c);
        a3c = (a21 + 30);
        s63 = *(a3c);
        t43 = _mm_add_ps(s53, s63);
        t53 = _mm_add_ps(t92, t13);
        t63 = _mm_add_ps(t33, t43);
        a03 = _mm_sub_ps(s33, s43);
        a71 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a03);
        a13 = _mm_sub_ps(s53, s63);
        a81 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a13);
        s73 = _mm_add_ps(a71, a81);
        s83 = _mm_sub_ps(a81, a71);
        t73 = _mm_add_ps(t03, s73);
        t83 = _mm_sub_ps(s83, t23);
        t93 = _mm_sub_ps(t03, s73);
        t04 = _mm_add_ps(t23, s83);
        a4c = (a21 + 3);
        s93 = *(a4c);
        a5c = (a21 + 19);
        s04 = *(a5c);
        t14 = _mm_add_ps(s93, s04);
        t24 = _mm_sub_ps(s93, s04);
        a6c = (a21 + 11);
        s14 = *(a6c);
        a7c = (a21 + 27);
        s24 = *(a7c);
        t34 = _mm_add_ps(s14, s24);
        t44 = _mm_sub_ps(s14, s24);
        a8c = (a21 + 7);
        s34 = *(a8c);
        a9c = (a21 + 23);
        s44 = *(a9c);
        t54 = _mm_add_ps(s34, s44);
        a0d = (a21 + 15);
        s54 = *(a0d);
        a1d = (a21 + 31);
        s64 = *(a1d);
        t64 = _mm_add_ps(s54, s64);
        t74 = _mm_add_ps(t14, t34);
        t84 = _mm_sub_ps(t14, t34);
        t94 = _mm_add_ps(t54, t64);
        t05 = _mm_sub_ps(t54, t64);
        a23 = _mm_sub_ps(s34, s44);
        a91 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a23);
        a33 = _mm_sub_ps(s54, s64);
        a02 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a33);
        s74 = _mm_add_ps(a91, a02);
        s84 = _mm_sub_ps(a02, a91);
        t15 = _mm_add_ps(t24, s74);
        t25 = _mm_sub_ps(s84, t44);
        t35 = _mm_sub_ps(t24, s74);
        t45 = _mm_add_ps(t44, s84);
        t55 = _mm_add_ps(t7, t9);
        t65 = _mm_sub_ps(t7, t9);
        t75 = _mm_add_ps(t53, t63);
        t85 = _mm_sub_ps(t53, t63);
        t95 = _mm_add_ps(t12, t32);
        t06 = _mm_add_ps(t74, t94);
        a2d = ((__m128  *) T);
        a12 = (a2d + i);
        s94 = _mm_add_ps(t55, t75);
        *(a12) = s94;
        s05 = _mm_sub_ps(t55, t75);
        a3d = (a12 + 256);
        *(a3d) = s05;
        s15 = _mm_add_ps(t95, t06);
        a4d = (a12 + 8);
        *(a4d) = s15;
        s25 = _mm_sub_ps(t06, t95);
        a5d = (a12 + 264);
        *(a5d) = s25;
        a43 = _mm_sub_ps(t12, t32);
        a22 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a43);
        a53 = _mm_sub_ps(t74, t94);
        a32 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a53);
        s35 = _mm_add_ps(a22, a32);
        s45 = _mm_sub_ps(a32, a22);
        s55 = _mm_add_ps(t65, s35);
        a63 = (a12 + 128);
        *(a63) = s55;
        s65 = _mm_sub_ps(s45, t85);
        a73 = (a12 + 136);
        *(a73) = s65;
        s75 = _mm_sub_ps(t65, s35);
        a83 = (a12 + 384);
        *(a83) = s75;
        s85 = _mm_add_ps(t85, s45);
        a93 = (a12 + 392);
        *(a93) = s85;
        a04 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t52);
        a14 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t62);
        s95 = _mm_sub_ps(a04, a14);
        a24 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t52);
        a34 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t62);
        s06 = _mm_add_ps(a24, a34);
        a44 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t73);
        a54 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t83);
        s16 = _mm_sub_ps(a44, a54);
        a64 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t73);
        a74 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t83);
        s26 = _mm_add_ps(a64, a74);
        a84 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t15);
        a94 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t25);
        s36 = _mm_sub_ps(a84, a94);
        a05 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t15);
        a15 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t25);
        s46 = _mm_add_ps(a05, a15);
        t16 = _mm_add_ps(t11, s16);
        t26 = _mm_add_ps(t21, s26);
        t36 = _mm_sub_ps(t11, s16);
        t46 = _mm_sub_ps(t21, s26);
        t56 = _mm_add_ps(s95, s36);
        t66 = _mm_add_ps(s06, s46);
        t76 = _mm_sub_ps(s95, s36);
        t86 = _mm_sub_ps(s06, s46);
        s56 = _mm_add_ps(t16, t56);
        a25 = (a12 + 32);
        *(a25) = s56;
        s66 = _mm_add_ps(t26, t66);
        a35 = (a12 + 40);
        *(a35) = s66;
        s76 = _mm_sub_ps(t16, t56);
        a45 = (a12 + 480);
        *(a45) = s76;
        s86 = _mm_sub_ps(t66, t26);
        a55 = (a12 + 488);
        *(a55) = s86;
        s96 = _mm_add_ps(t36, t86);
        a65 = (a12 + 288);
        *(a65) = s96;
        s07 = _mm_sub_ps(t46, t76);
        a75 = (a12 + 296);
        *(a75) = s07;
        s17 = _mm_sub_ps(t36, t86);
        a85 = (a12 + 224);
        *(a85) = s17;
        a95 = _mm_add_ps(t46, t76);
        s27 = _mm_sub_ps(_mm_set1_ps(0.0f), a95);
        a06 = (a12 + 232);
        *(a06) = s27;
        a16 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t22);
        a26 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t42);
        s37 = _mm_add_ps(a16, a26);
        a36 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t22);
        a46 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t42);
        s47 = _mm_sub_ps(a36, a46);
        a56 = _mm_sub_ps(t92, t13);
        a42 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a56);
        a66 = _mm_sub_ps(t33, t43);
        a52 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a66);
        s57 = _mm_add_ps(a42, a52);
        s67 = _mm_sub_ps(a52, a42);
        a76 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t84);
        a86 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t05);
        s77 = _mm_add_ps(a76, a86);
        a96 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t84);
        a07 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t05);
        s87 = _mm_sub_ps(a96, a07);
        t96 = _mm_add_ps(t8, s57);
        t07 = _mm_sub_ps(s67, t01);
        t17 = _mm_sub_ps(t8, s57);
        t27 = _mm_add_ps(t01, s67);
        t37 = _mm_add_ps(s37, s77);
        t47 = _mm_add_ps(s47, s87);
        t57 = _mm_sub_ps(s37, s77);
        t67 = _mm_sub_ps(s47, s87);
        s97 = _mm_add_ps(t96, t37);
        a17 = (a12 + 64);
        *(a17) = s97;
        s08 = _mm_add_ps(t07, t47);
        a27 = (a12 + 72);
        *(a27) = s08;
        s18 = _mm_sub_ps(t96, t37);
        a37 = (a12 + 448);
        *(a37) = s18;
        s28 = _mm_sub_ps(t47, t07);
        a47 = (a12 + 456);
        *(a47) = s28;
        s38 = _mm_add_ps(t17, t67);
        a57 = (a12 + 320);
        *(a57) = s38;
        a67 = _mm_add_ps(t27, t57);
        s48 = _mm_sub_ps(_mm_set1_ps(0.0f), a67);
        a77 = (a12 + 328);
        *(a77) = s48;
        s58 = _mm_sub_ps(t17, t67);
        a87 = (a12 + 192);
        *(a87) = s58;
        s68 = _mm_sub_ps(t27, t57);
        a97 = (a12 + 200);
        *(a97) = s68;
        a08 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t72);
        a18 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t82);
        s78 = _mm_sub_ps(a08, a18);
        a28 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t72);
        a38 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t82);
        s88 = _mm_add_ps(a28, a38);
        a48 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t93);
        a58 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t04);
        s98 = _mm_sub_ps(a48, a58);
        a68 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t93);
        a78 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t04);
        s09 = _mm_add_ps(a68, a78);
        a88 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t35);
        a98 = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t45);
        s19 = _mm_sub_ps(a88, a98);
        a09 = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t35);
        a19 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t45);
        s29 = _mm_add_ps(a09, a19);
        t77 = _mm_add_ps(t31, s98);
        t87 = _mm_add_ps(t41, s09);
        t97 = _mm_sub_ps(t31, s98);
        t08 = _mm_sub_ps(t41, s09);
        t18 = _mm_add_ps(s78, s19);
        t28 = _mm_add_ps(s88, s29);
        t38 = _mm_sub_ps(s78, s19);
        t48 = _mm_sub_ps(s88, s29);
        s39 = _mm_add_ps(t77, t18);
        a29 = (a12 + 96);
        *(a29) = s39;
        s49 = _mm_add_ps(t87, t28);
        a39 = (a12 + 104);
        *(a39) = s49;
        s59 = _mm_sub_ps(t77, t18);
        a49 = (a12 + 416);
        *(a49) = s59;
        s69 = _mm_sub_ps(t28, t87);
        a59 = (a12 + 424);
        *(a59) = s69;
        s79 = _mm_add_ps(t97, t48);
        a69 = (a12 + 352);
        *(a69) = s79;
        s89 = _mm_sub_ps(t08, t38);
        a79 = (a12 + 360);
        *(a79) = s89;
        s99 = _mm_sub_ps(t97, t48);
        a89 = (a12 + 160);
        *(a89) = s99;
        a99 = _mm_add_ps(t08, t38);
        s0a = _mm_sub_ps(_mm_set1_ps(0.0f), a99);
        a0a = (a12 + 168);
        *(a0a) = s0a;
        a6d = ((__m128  *) T2);
        a7e = (a6d + 32);
        s1a = *(a7e);
        a8e = (a6d + 48);
        s2a = *(a8e);
        a9e = (a6d + 33);
        s3a = *(a9e);
        a0f = (a6d + 49);
        s4a = *(a0f);
        a1f = (a6d + 34);
        s5a = *(a1f);
        a2f = (a6d + 50);
        s6a = *(a2f);
        a3f = (a6d + 35);
        s7a = *(a3f);
        a4f = (a6d + 51);
        s8a = *(a4f);
        a5f = (a6d + 36);
        s9a = *(a5f);
        a6f = (a6d + 52);
        s0b = *(a6f);
        a7f = (a6d + 37);
        s1b = *(a7f);
        a8f = (a6d + 53);
        s2b = *(a8f);
        a9f = (a6d + 38);
        s3b = *(a9f);
        a0g = (a6d + 54);
        s4b = *(a0g);
        a1g = (a6d + 39);
        s5b = *(a1g);
        a2g = (a6d + 55);
        s6b = *(a2g);
        a3g = (a6d + 41);
        s7b = *(a3g);
        a4g = (a6d + 57);
        s8b = *(a4g);
        a5g = (a6d + 42);
        s9b = *(a5g);
        a6g = (a6d + 58);
        s0c = *(a6g);
        a7g = (a6d + 43);
        s1c = *(a7g);
        a8g = (a6d + 59);
        s2c = *(a8g);
        a9g = (a6d + 44);
        s3c = *(a9g);
        a0h = (a6d + 60);
        s4c = *(a0h);
        a1h = (a6d + 45);
        s5c = *(a1h);
        a2h = (a6d + 61);
        s6c = *(a2h);
        a3h = (a6d + 46);
        s7c = *(a3h);
        a4h = (a6d + 62);
        s8c = *(a4h);
        a5h = (a6d + 47);
        s9c = *(a5h);
        a6h = (a6d + 63);
        s0d = *(a6h);
        a7h = _mm_mul_ps(_mm_set1_ps(0.99518472667219693f), s3a);
        a8h = _mm_mul_ps(_mm_set1_ps((-0.098017140329560604f)), s4a);
        s1d = _mm_sub_ps(a7h, a8h);
        a9h = _mm_mul_ps(_mm_set1_ps((-0.098017140329560604f)), s3a);
        a0i = _mm_mul_ps(_mm_set1_ps(0.99518472667219693f), s4a);
        s2d = _mm_add_ps(a9h, a0i);
        a1i = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), s5a);
        a2i = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), s6a);
        s3d = _mm_sub_ps(a1i, a2i);
        a3i = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), s5a);
        a4i = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), s6a);
        s4d = _mm_add_ps(a3i, a4i);
        a5i = _mm_mul_ps(_mm_set1_ps(0.95694033573220882f), s7a);
        a6i = _mm_mul_ps(_mm_set1_ps((-0.29028467725446239f)), s8a);
        s5d = _mm_sub_ps(a5i, a6i);
        a7i = _mm_mul_ps(_mm_set1_ps((-0.29028467725446239f)), s7a);
        a8i = _mm_mul_ps(_mm_set1_ps(0.95694033573220882f), s8a);
        s6d = _mm_add_ps(a7i, a8i);
        a9i = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), s9a);
        a0j = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), s0b);
        s7d = _mm_sub_ps(a9i, a0j);
        a1j = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), s9a);
        a2j = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), s0b);
        s8d = _mm_add_ps(a1j, a2j);
        a3j = _mm_mul_ps(_mm_set1_ps(0.88192126434835505f), s1b);
        a4j = _mm_mul_ps(_mm_set1_ps((-0.47139673682599764f)), s2b);
        s9d = _mm_sub_ps(a3j, a4j);
        a5j = _mm_mul_ps(_mm_set1_ps((-0.47139673682599764f)), s1b);
        a6j = _mm_mul_ps(_mm_set1_ps(0.88192126434835505f), s2b);
        s0e = _mm_add_ps(a5j, a6j);
        a7j = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), s3b);
        a8j = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), s4b);
        s1e = _mm_sub_ps(a7j, a8j);
        a9j = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), s3b);
        a0k = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), s4b);
        s2e = _mm_add_ps(a9j, a0k);
        a1k = _mm_mul_ps(_mm_set1_ps(0.77301045336273699f), s5b);
        a2k = _mm_mul_ps(_mm_set1_ps((-0.63439328416364549f)), s6b);
        s3e = _mm_sub_ps(a1k, a2k);
        a3k = _mm_mul_ps(_mm_set1_ps((-0.63439328416364549f)), s5b);
        a4k = _mm_mul_ps(_mm_set1_ps(0.77301045336273699f), s6b);
        s4e = _mm_add_ps(a3k, a4k);
        a6k = (a6d + 40);
        a5k = *(a6k);
        a7d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5k);
        a8k = (a6d + 56);
        a7k = *(a8k);
        a8d = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a7k);
        s5e = _mm_sub_ps(a7d, a8d);
        s6e = _mm_add_ps(a7d, a8d);
        a9k = _mm_mul_ps(_mm_set1_ps(0.63439328416364549f), s7b);
        a0l = _mm_mul_ps(_mm_set1_ps((-0.77301045336273699f)), s8b);
        s7e = _mm_sub_ps(a9k, a0l);
        a1l = _mm_mul_ps(_mm_set1_ps((-0.77301045336273699f)), s7b);
        a2l = _mm_mul_ps(_mm_set1_ps(0.63439328416364549f), s8b);
        s8e = _mm_add_ps(a1l, a2l);
        a3l = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), s9b);
        a4l = _mm_mul_ps(_mm_set1_ps((-0.83146961230254524f)), s0c);
        s9e = _mm_sub_ps(a3l, a4l);
        a5l = _mm_mul_ps(_mm_set1_ps((-0.83146961230254524f)), s9b);
        a6l = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), s0c);
        s0f = _mm_add_ps(a5l, a6l);
        a7l = _mm_mul_ps(_mm_set1_ps(0.47139673682599764f), s1c);
        a8l = _mm_mul_ps(_mm_set1_ps((-0.88192126434835505f)), s2c);
        s1f = _mm_sub_ps(a7l, a8l);
        a9l = _mm_mul_ps(_mm_set1_ps((-0.88192126434835505f)), s1c);
        a0m = _mm_mul_ps(_mm_set1_ps(0.47139673682599764f), s2c);
        s2f = _mm_add_ps(a9l, a0m);
        a1m = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), s3c);
        a2m = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), s4c);
        s3f = _mm_sub_ps(a1m, a2m);
        a3m = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), s3c);
        a4m = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), s4c);
        s4f = _mm_add_ps(a3m, a4m);
        a5m = _mm_mul_ps(_mm_set1_ps(0.29028467725446239f), s5c);
        a6m = _mm_mul_ps(_mm_set1_ps((-0.95694033573220882f)), s6c);
        s5f = _mm_sub_ps(a5m, a6m);
        a7m = _mm_mul_ps(_mm_set1_ps((-0.95694033573220882f)), s5c);
        a8m = _mm_mul_ps(_mm_set1_ps(0.29028467725446239f), s6c);
        s6f = _mm_add_ps(a7m, a8m);
        a9m = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), s7c);
        a0n = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), s8c);
        s7f = _mm_sub_ps(a9m, a0n);
        a1n = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), s7c);
        a2n = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), s8c);
        s8f = _mm_add_ps(a1n, a2n);
        a3n = _mm_mul_ps(_mm_set1_ps(0.098017140329560604f), s9c);
        a4n = _mm_mul_ps(_mm_set1_ps((-0.99518472667219693f)), s0d);
        s9f = _mm_sub_ps(a3n, a4n);
        a5n = _mm_mul_ps(_mm_set1_ps((-0.99518472667219693f)), s9c);
        a6n = _mm_mul_ps(_mm_set1_ps(0.098017140329560604f), s0d);
        s0g = _mm_add_ps(a5n, a6n);
        t58 = _mm_add_ps(s1a, s5e);
        t68 = _mm_sub_ps(s2a, s6e);
        t78 = _mm_sub_ps(s1a, s5e);
        t88 = _mm_add_ps(s2a, s6e);
        t98 = _mm_add_ps(s7d, s3f);
        t09 = _mm_add_ps(s8d, s4f);
        t19 = _mm_sub_ps(s7d, s3f);
        t29 = _mm_sub_ps(s8d, s4f);
        t39 = _mm_add_ps(t58, t98);
        t49 = _mm_add_ps(t68, t09);
        t59 = _mm_sub_ps(t58, t98);
        t69 = _mm_sub_ps(t68, t09);
        t79 = _mm_add_ps(t78, t29);
        t89 = _mm_sub_ps(t88, t19);
        t99 = _mm_sub_ps(t78, t29);
        t0a = _mm_add_ps(t88, t19);
        t1a = _mm_add_ps(s1d, s7e);
        t2a = _mm_add_ps(s2d, s8e);
        t3a = _mm_sub_ps(s1d, s7e);
        t4a = _mm_sub_ps(s2d, s8e);
        t5a = _mm_add_ps(s9d, s5f);
        t6a = _mm_add_ps(s0e, s6f);
        t7a = _mm_sub_ps(s9d, s5f);
        t8a = _mm_sub_ps(s0e, s6f);
        t9a = _mm_add_ps(t1a, t5a);
        t0b = _mm_add_ps(t2a, t6a);
        a7n = _mm_sub_ps(t1a, t5a);
        a9d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a7n);
        a8n = _mm_sub_ps(t2a, t6a);
        a0e = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a8n);
        s1g = _mm_sub_ps(a9d, a0e);
        s2g = _mm_add_ps(a9d, a0e);
        t1b = _mm_add_ps(t3a, t8a);
        t2b = _mm_sub_ps(t4a, t7a);
        t3b = _mm_sub_ps(t3a, t8a);
        t4b = _mm_add_ps(t4a, t7a);
        a9n = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1b);
        a0o = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t2b);
        s3g = _mm_sub_ps(a9n, a0o);
        a1o = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t1b);
        a2o = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2b);
        s4g = _mm_add_ps(a1o, a2o);
        a3o = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3b);
        a4o = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t4b);
        s5g = _mm_sub_ps(a3o, a4o);
        a5o = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t3b);
        a6o = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4b);
        s6g = _mm_add_ps(a5o, a6o);
        t5b = _mm_add_ps(s3d, s9e);
        t6b = _mm_add_ps(s4d, s0f);
        t7b = _mm_sub_ps(s3d, s9e);
        t8b = _mm_sub_ps(s4d, s0f);
        t9b = _mm_add_ps(s1e, s7f);
        t0c = _mm_add_ps(s2e, s8f);
        t1c = _mm_sub_ps(s1e, s7f);
        t2c = _mm_sub_ps(s2e, s8f);
        t3c = _mm_add_ps(t5b, t9b);
        t4c = _mm_add_ps(t6b, t0c);
        t5c = _mm_sub_ps(t5b, t9b);
        t6c = _mm_sub_ps(t6b, t0c);
        a7o = _mm_add_ps(t7b, t2c);
        a1e = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a7o);
        a8o = _mm_sub_ps(t8b, t1c);
        a2e = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a8o);
        s7g = _mm_sub_ps(a1e, a2e);
        s8g = _mm_add_ps(a1e, a2e);
        a9o = _mm_sub_ps(t7b, t2c);
        a3e = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a9o);
        a0p = _mm_add_ps(t8b, t1c);
        a4e = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a0p);
        s9g = _mm_sub_ps(a3e, a4e);
        s0h = _mm_add_ps(a3e, a4e);
        t7c = _mm_add_ps(s5d, s1f);
        t8c = _mm_add_ps(s6d, s2f);
        t9c = _mm_sub_ps(s5d, s1f);
        t0d = _mm_sub_ps(s6d, s2f);
        t1d = _mm_add_ps(s3e, s9f);
        t2d = _mm_add_ps(s4e, s0g);
        t3d = _mm_sub_ps(s3e, s9f);
        t4d = _mm_sub_ps(s4e, s0g);
        t5d = _mm_add_ps(t7c, t1d);
        t6d = _mm_add_ps(t8c, t2d);
        a1p = _mm_sub_ps(t7c, t1d);
        a5e = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a1p);
        a2p = _mm_sub_ps(t8c, t2d);
        a6e = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2p);
        s1h = _mm_sub_ps(a5e, a6e);
        s2h = _mm_add_ps(a5e, a6e);
        t7d = _mm_add_ps(t9c, t4d);
        t8d = _mm_sub_ps(t0d, t3d);
        t9d = _mm_sub_ps(t9c, t4d);
        t0e = _mm_add_ps(t0d, t3d);
        a3p = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t7d);
        a4p = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t8d);
        s3h = _mm_sub_ps(a3p, a4p);
        a5p = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t7d);
        a6p = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t8d);
        s4h = _mm_add_ps(a5p, a6p);
        a7p = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t9d);
        a8p = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t0e);
        s5h = _mm_sub_ps(a7p, a8p);
        a9p = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t9d);
        a0q = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t0e);
        s6h = _mm_add_ps(a9p, a0q);
        t1e = _mm_add_ps(t39, t3c);
        t2e = _mm_add_ps(t49, t4c);
        t3e = _mm_sub_ps(t39, t3c);
        t4e = _mm_sub_ps(t49, t4c);
        t5e = _mm_add_ps(t9a, t5d);
        t6e = _mm_add_ps(t0b, t6d);
        t7e = _mm_sub_ps(t9a, t5d);
        t8e = _mm_sub_ps(t0b, t6d);
        a1q = ((__m128  *) T);
        b2 = (a1q + i);
        s7h = _mm_add_ps(t1e, t5e);
        a2q = (b2 + 16);
        *(a2q) = s7h;
        s8h = _mm_add_ps(t2e, t6e);
        a3q = (b2 + 24);
        *(a3q) = s8h;
        s9h = _mm_sub_ps(t1e, t5e);
        a4q = (b2 + 496);
        *(a4q) = s9h;
        s0i = _mm_sub_ps(t6e, t2e);
        a5q = (b2 + 504);
        *(a5q) = s0i;
        s1i = _mm_add_ps(t3e, t8e);
        a6q = (b2 + 272);
        *(a6q) = s1i;
        s2i = _mm_sub_ps(t4e, t7e);
        a7q = (b2 + 280);
        *(a7q) = s2i;
        s3i = _mm_sub_ps(t3e, t8e);
        a8q = (b2 + 240);
        *(a8q) = s3i;
        a9q = _mm_add_ps(t4e, t7e);
        s4i = _mm_sub_ps(_mm_set1_ps(0.0f), a9q);
        a0r = (b2 + 248);
        *(a0r) = s4i;
        t9e = _mm_add_ps(t79, s7g);
        t0f = _mm_sub_ps(t89, s8g);
        t1f = _mm_sub_ps(t79, s7g);
        t2f = _mm_add_ps(t89, s8g);
        t3f = _mm_add_ps(s3g, s3h);
        t4f = _mm_add_ps(s4g, s4h);
        t5f = _mm_sub_ps(s3g, s3h);
        t6f = _mm_sub_ps(s4g, s4h);
        s5i = _mm_add_ps(t9e, t3f);
        a1r = (b2 + 80);
        *(a1r) = s5i;
        s6i = _mm_add_ps(t0f, t4f);
        a2r = (b2 + 88);
        *(a2r) = s6i;
        s7i = _mm_sub_ps(t9e, t3f);
        a3r = (b2 + 432);
        *(a3r) = s7i;
        s8i = _mm_sub_ps(t4f, t0f);
        a4r = (b2 + 440);
        *(a4r) = s8i;
        s9i = _mm_add_ps(t1f, t6f);
        a5r = (b2 + 336);
        *(a5r) = s9i;
        s0j = _mm_sub_ps(t2f, t5f);
        a6r = (b2 + 344);
        *(a6r) = s0j;
        s1j = _mm_sub_ps(t1f, t6f);
        a7r = (b2 + 176);
        *(a7r) = s1j;
        a8r = _mm_add_ps(t2f, t5f);
        s2j = _mm_sub_ps(_mm_set1_ps(0.0f), a8r);
        a9r = (b2 + 184);
        *(a9r) = s2j;
        t7f = _mm_add_ps(t59, t6c);
        t8f = _mm_sub_ps(t69, t5c);
        t9f = _mm_sub_ps(t59, t6c);
        t0g = _mm_add_ps(t69, t5c);
        t1g = _mm_add_ps(s1g, s1h);
        t2g = _mm_sub_ps(s2h, s2g);
        t3g = _mm_sub_ps(s1g, s1h);
        t4g = _mm_add_ps(s2g, s2h);
        s3j = _mm_add_ps(t7f, t1g);
        a0s = (b2 + 144);
        *(a0s) = s3j;
        s4j = _mm_add_ps(t8f, t2g);
        a1s = (b2 + 152);
        *(a1s) = s4j;
        s5j = _mm_sub_ps(t7f, t1g);
        a2s = (b2 + 368);
        *(a2s) = s5j;
        s6j = _mm_sub_ps(t2g, t8f);
        a3s = (b2 + 376);
        *(a3s) = s6j;
        s7j = _mm_sub_ps(t9f, t4g);
        a4s = (b2 + 400);
        *(a4s) = s7j;
        s8j = _mm_sub_ps(t0g, t3g);
        a5s = (b2 + 408);
        *(a5s) = s8j;
        s9j = _mm_add_ps(t9f, t4g);
        a6s = (b2 + 112);
        *(a6s) = s9j;
        a7s = _mm_add_ps(t0g, t3g);
        s0k = _mm_sub_ps(_mm_set1_ps(0.0f), a7s);
        a8s = (b2 + 120);
        *(a8s) = s0k;
        t5g = _mm_add_ps(t99, s9g);
        t6g = _mm_add_ps(t0a, s0h);
        t7g = _mm_sub_ps(t99, s9g);
        t8g = _mm_sub_ps(t0a, s0h);
        t9g = _mm_add_ps(s5g, s5h);
        t0h = _mm_add_ps(s6g, s6h);
        t1h = _mm_sub_ps(s5g, s5h);
        t2h = _mm_sub_ps(s6g, s6h);
        s1k = _mm_add_ps(t5g, t9g);
        a9s = (b2 + 208);
        *(a9s) = s1k;
        s2k = _mm_add_ps(t6g, t0h);
        a0t = (b2 + 216);
        *(a0t) = s2k;
        s3k = _mm_sub_ps(t5g, t9g);
        a1t = (b2 + 304);
        *(a1t) = s3k;
        s4k = _mm_sub_ps(t0h, t6g);
        a2t = (b2 + 312);
        *(a2t) = s4k;
        s5k = _mm_add_ps(t7g, t2h);
        a3t = (b2 + 464);
        *(a3t) = s5k;
        s6k = _mm_sub_ps(t8g, t1h);
        a4t = (b2 + 472);
        *(a4t) = s6k;
        s7k = _mm_sub_ps(t7g, t2h);
        a5t = (b2 + 48);
        *(a5t) = s7k;
        a6t = _mm_add_ps(t8g, t1h);
        s8k = _mm_sub_ps(_mm_set1_ps(0.0f), a6t);
        a7t = (b2 + 56);
        *(a7t) = s8k;
    }}
    a8t = ((__m128  *) T);
    s9k = *(a8t);
    a4I = (a8t + 8);
    s0l = *(a4I);
    t3h = _mm_add_ps(s9k, s0l);
    t4h = _mm_sub_ps(s9k, s0l);
    a5I = (a8t + 4);
    s1l = *(a5I);
    a6I = (a8t + 12);
    s2l = *(a6I);
    t5h = _mm_add_ps(s1l, s2l);
    t6h = _mm_sub_ps(s1l, s2l);
    a7I = (a8t + 1);
    s3l = *(a7I);
    a8I = (a8t + 9);
    s4l = *(a8I);
    t7h = _mm_add_ps(s3l, s4l);
    t8h = _mm_sub_ps(s3l, s4l);
    a9I = (a8t + 5);
    s5l = *(a9I);
    a0J = (a8t + 13);
    s6l = *(a0J);
    t9h = _mm_add_ps(s5l, s6l);
    t0i = _mm_sub_ps(s5l, s6l);
    a1J = (a8t + 2);
    s7l = *(a1J);
    a2J = (a8t + 10);
    s8l = *(a2J);
    t1i = _mm_add_ps(s7l, s8l);
    t2i = _mm_sub_ps(s7l, s8l);
    a3J = (a8t + 6);
    s9l = *(a3J);
    a4J = (a8t + 14);
    s0m = *(a4J);
    t3i = _mm_add_ps(s9l, s0m);
    t4i = _mm_sub_ps(s9l, s0m);
    a5J = (a8t + 3);
    s1m = *(a5J);
    a6J = (a8t + 11);
    s2m = *(a6J);
    t5i = _mm_add_ps(s1m, s2m);
    t6i = _mm_sub_ps(s1m, s2m);
    a7J = (a8t + 7);
    s3m = *(a7J);
    a8J = (a8t + 15);
    s4m = *(a8J);
    t7i = _mm_add_ps(s3m, s4m);
    t8i = _mm_sub_ps(s3m, s4m);
    s5m = _mm_shuffle_ps(t3h, t7h, _MM_SHUFFLE(2, 0, 2, 0));
    s6m = _mm_shuffle_ps(t3h, t7h, _MM_SHUFFLE(3, 1, 3, 1));
    s7m = _mm_shuffle_ps(t5h, t9h, _MM_SHUFFLE(2, 0, 2, 0));
    s8m = _mm_shuffle_ps(t5h, t9h, _MM_SHUFFLE(3, 1, 3, 1));
    t9i = _mm_add_ps(s5m, s7m);
    t0j = _mm_add_ps(s6m, s8m);
    t1j = _mm_sub_ps(s5m, s7m);
    t2j = _mm_sub_ps(s6m, s8m);
    s9m = _mm_shuffle_ps(t1i, t5i, _MM_SHUFFLE(2, 0, 2, 0));
    s0n = _mm_shuffle_ps(t1i, t5i, _MM_SHUFFLE(3, 1, 3, 1));
    s1n = _mm_shuffle_ps(t3i, t7i, _MM_SHUFFLE(2, 0, 2, 0));
    s2n = _mm_shuffle_ps(t3i, t7i, _MM_SHUFFLE(3, 1, 3, 1));
    t3j = _mm_add_ps(s9m, s1n);
    t4j = _mm_add_ps(s0n, s2n);
    t5j = _mm_sub_ps(s9m, s1n);
    t6j = _mm_sub_ps(s0n, s2n);
    t7j = _mm_add_ps(t9i, t3j);
    t8j = _mm_add_ps(t0j, t4j);
    t9j = _mm_sub_ps(t9i, t3j);
    t0k = _mm_sub_ps(t0j, t4j);
    t1k = _mm_add_ps(t1j, t6j);
    t2k = _mm_sub_ps(t2j, t5j);
    t3k = _mm_sub_ps(t1j, t6j);
    t4k = _mm_add_ps(t2j, t5j);
    s3n = _mm_unpacklo_ps(t7j, t1k);
    s4n = _mm_unpackhi_ps(t7j, t1k);
    s5n = _mm_unpacklo_ps(t8j, t2k);
    s6n = _mm_unpackhi_ps(t8j, t2k);
    s7n = _mm_unpacklo_ps(t9j, t3k);
    s8n = _mm_unpackhi_ps(t9j, t3k);
    s9n = _mm_unpacklo_ps(t0k, t4k);
    s0o = _mm_unpackhi_ps(t0k, t4k);
    s1o = _mm_shuffle_ps(s3n, s7n, _MM_SHUFFLE(1, 0, 1, 0));
    s2o = _mm_shuffle_ps(s3n, s7n, _MM_SHUFFLE(3, 2, 3, 2));
    s3o = _mm_shuffle_ps(s4n, s8n, _MM_SHUFFLE(1, 0, 1, 0));
    s4o = _mm_shuffle_ps(s4n, s8n, _MM_SHUFFLE(3, 2, 3, 2));
    s5o = _mm_shuffle_ps(s5n, s9n, _MM_SHUFFLE(1, 0, 1, 0));
    s6o = _mm_shuffle_ps(s5n, s9n, _MM_SHUFFLE(3, 2, 3, 2));
    s7o = _mm_shuffle_ps(s6n, s0o, _MM_SHUFFLE(1, 0, 1, 0));
    s8o = _mm_shuffle_ps(s6n, s0o, _MM_SHUFFLE(3, 2, 3, 2));
    a9t = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3o);
    a0u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7o);
    s9o = _mm_sub_ps(a9t, a0u);
    a1u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3o);
    a2u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7o);
    s0p = _mm_add_ps(a1u, a2u);
    t5k = _mm_add_ps(s1o, s9o);
    t6k = _mm_add_ps(s5o, s0p);
    t7k = _mm_sub_ps(s1o, s9o);
    t8k = _mm_sub_ps(s5o, s0p);
    a3u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s2o);
    a4u = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s6o);
    s1p = _mm_sub_ps(a3u, a4u);
    a5u = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s2o);
    a6u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6o);
    s2p = _mm_add_ps(a5u, a6u);
    a7u = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s4o);
    a8u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s8o);
    s3p = _mm_sub_ps(a7u, a8u);
    a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s4o);
    a0v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8o);
    s4p = _mm_add_ps(a9u, a0v);
    t9k = _mm_add_ps(s1p, s3p);
    t0l = _mm_add_ps(s2p, s4p);
    t1l = _mm_sub_ps(s1p, s3p);
    t2l = _mm_sub_ps(s2p, s4p);
    t3l = _mm_add_ps(t5k, t9k);
    t4l = _mm_add_ps(t6k, t0l);
    t5l = _mm_sub_ps(t5k, t9k);
    t6l = _mm_sub_ps(t6k, t0l);
    t7l = _mm_add_ps(t7k, t2l);
    t8l = _mm_sub_ps(t8k, t1l);
    t9l = _mm_sub_ps(t7k, t2l);
    t0m = _mm_add_ps(t8k, t1l);
    a1v = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t3l);
    a2v = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t4l);
    s5p = _mm_sub_ps(a1v, a2v);
    a3v = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t3l);
    a4v = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t4l);
    s6p = _mm_add_ps(a3v, a4v);
    a5v = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t7l);
    a6v = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t8l);
    s7p = _mm_sub_ps(a5v, a6v);
    a7v = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t7l);
    a8v = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t8l);
    s8p = _mm_add_ps(a7v, a8v);
    a9v = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t5l);
    a0w = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t6l);
    s9p = _mm_sub_ps(a9v, a0w);
    a1w = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t5l);
    a2w = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t6l);
    s0q = _mm_add_ps(a1w, a2w);
    a3w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t9l);
    a4w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t0m);
    s1q = _mm_sub_ps(a3w, a4w);
    a5w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t9l);
    a6w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t0m);
    s2q = _mm_add_ps(a5w, a6w);
    a9w = _mm_shuffle_ps(_mm_set1_ps(0.0f), t9l, _MM_SHUFFLE(3, 2, 1, 0));
    a8w = _mm_shuffle_ps(a9w, t9l, _MM_SHUFFLE(1, 2, 3, 0));
    a2x = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s5p);
    a3x = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s6p);
    a1x = _mm_add_ps(a2x, a3x);
    a5x = _mm_shuffle_ps(_mm_set1_ps(0.0f), s1q, _MM_SHUFFLE(3, 2, 1, 0));
    a4x = _mm_shuffle_ps(a5x, s1q, _MM_SHUFFLE(1, 2, 3, 0));
    a0x = _mm_sub_ps(a1x, a4x);
    b3 = _mm_add_ps(t3l, a8w);
    a7w = _mm_add_ps(b3, a0x);
    s3q = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a7w);
    a8x = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t4l);
    a0y = _mm_shuffle_ps(_mm_set1_ps(0.0f), t0m, _MM_SHUFFLE(3, 2, 1, 0));
    a9x = _mm_shuffle_ps(a0y, t0m, _MM_SHUFFLE(1, 2, 3, 0));
    a7x = _mm_sub_ps(a8x, a9x);
    a1y = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s5p);
    a2y = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s6p);
    a4y = _mm_shuffle_ps(_mm_set1_ps(0.0f), s2q, _MM_SHUFFLE(3, 2, 1, 0));
    a3y = _mm_shuffle_ps(a4y, s2q, _MM_SHUFFLE(1, 2, 3, 0));
    b4 = _mm_add_ps(a7x, a1y);
    b5 = _mm_add_ps(b4, a2y);
    a6x = _mm_add_ps(b5, a3y);
    s4q = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a6x);
    a7y = _mm_shuffle_ps(t9l, t5l, _MM_SHUFFLE(3, 2, 1, 0));
    a6y = _mm_shuffle_ps(a7y, t5l, _MM_SHUFFLE(1, 2, 3, 0));
    a0z = _mm_shuffle_ps(s1q, s9p, _MM_SHUFFLE(3, 2, 1, 0));
    a9y = _mm_shuffle_ps(a0z, s9p, _MM_SHUFFLE(1, 2, 3, 0));
    a8y = _mm_sub_ps(s7p, a9y);
    b6 = _mm_add_ps(t7l, a6y);
    a5y = _mm_add_ps(b6, a8y);
    s5q = _mm_mul_ps(_mm_set1_ps(0.5f), a5y);
    a4z = _mm_shuffle_ps(t0m, t6l, _MM_SHUFFLE(3, 2, 1, 0));
    a3z = _mm_shuffle_ps(a4z, t6l, _MM_SHUFFLE(1, 2, 3, 0));
    a2z = _mm_sub_ps(t8l, a3z);
    a6z = _mm_shuffle_ps(s2q, s0q, _MM_SHUFFLE(3, 2, 1, 0));
    a5z = _mm_shuffle_ps(a6z, s0q, _MM_SHUFFLE(1, 2, 3, 0));
    b7 = _mm_add_ps(a2z, s8p);
    a1z = _mm_add_ps(b7, a5z);
    s6q = _mm_mul_ps(_mm_set1_ps(0.5f), a1z);
    a9z = _mm_shuffle_ps(t5l, t7l, _MM_SHUFFLE(3, 2, 1, 0));
    a8z = _mm_shuffle_ps(a9z, t7l, _MM_SHUFFLE(1, 2, 3, 0));
    a2A = _mm_shuffle_ps(s9p, s7p, _MM_SHUFFLE(3, 2, 1, 0));
    a1A = _mm_shuffle_ps(a2A, s7p, _MM_SHUFFLE(1, 2, 3, 0));
    a0A = _mm_sub_ps(s9p, a1A);
    b8 = _mm_add_ps(t5l, a8z);
    a7z = _mm_add_ps(b8, a0A);
    s7q = _mm_mul_ps(_mm_set1_ps(0.5f), a7z);
    a6A = _mm_shuffle_ps(t6l, t8l, _MM_SHUFFLE(3, 2, 1, 0));
    a5A = _mm_shuffle_ps(a6A, t8l, _MM_SHUFFLE(1, 2, 3, 0));
    a4A = _mm_sub_ps(t6l, a5A);
    a8A = _mm_shuffle_ps(s0q, s8p, _MM_SHUFFLE(3, 2, 1, 0));
    a7A = _mm_shuffle_ps(a8A, s8p, _MM_SHUFFLE(1, 2, 3, 0));
    b9 = _mm_add_ps(a4A, s0q);
    a3A = _mm_add_ps(b9, a7A);
    s8q = _mm_mul_ps(_mm_set1_ps(0.5f), a3A);
    a1B = _mm_shuffle_ps(t7l, t3l, _MM_SHUFFLE(3, 2, 1, 0));
    a0B = _mm_shuffle_ps(a1B, t3l, _MM_SHUFFLE(1, 2, 3, 0));
    a4B = _mm_shuffle_ps(s7p, s5p, _MM_SHUFFLE(3, 2, 1, 0));
    a3B = _mm_shuffle_ps(a4B, s5p, _MM_SHUFFLE(1, 2, 3, 0));
    a2B = _mm_sub_ps(s1q, a3B);
    b01 = _mm_add_ps(t9l, a0B);
    a9A = _mm_add_ps(b01, a2B);
    s9q = _mm_mul_ps(_mm_set1_ps(0.5f), a9A);
    a8B = _mm_shuffle_ps(t8l, t4l, _MM_SHUFFLE(3, 2, 1, 0));
    a7B = _mm_shuffle_ps(a8B, t4l, _MM_SHUFFLE(1, 2, 3, 0));
    a6B = _mm_sub_ps(t0m, a7B);
    a0C = _mm_shuffle_ps(s8p, s6p, _MM_SHUFFLE(3, 2, 1, 0));
    a9B = _mm_shuffle_ps(a0C, s6p, _MM_SHUFFLE(1, 2, 3, 0));
    b11 = _mm_add_ps(a6B, s2q);
    a5B = _mm_add_ps(b11, a9B);
    s0r = _mm_mul_ps(_mm_set1_ps(0.5f), a5B);
    s1r = _mm_unpacklo_ps(s3q, s4q);
    s2r = _mm_unpackhi_ps(s3q, s4q);
    _mm_storel_pi(((__m64  *) dst), s1r);
    a1C = (dst + 128);
    _mm_storeh_pi(((__m64  *) a1C), s1r);
    a2C = (dst + 256);
    _mm_storel_pi(((__m64  *) a2C), s2r);
    a3C = (dst + 384);
    _mm_storeh_pi(((__m64  *) a3C), s2r);
    s3r = _mm_unpacklo_ps(s5q, s6q);
    s4r = _mm_unpackhi_ps(s5q, s6q);
    a4C = (dst + 512);
    _mm_storel_pi(((__m64  *) a4C), s3r);
    a5C = (dst + 640);
    _mm_storeh_pi(((__m64  *) a5C), s3r);
    a6C = (dst + 768);
    _mm_storel_pi(((__m64  *) a6C), s4r);
    a7C = (dst + 896);
    _mm_storeh_pi(((__m64  *) a7C), s4r);
    s5r = _mm_unpacklo_ps(s7q, s8q);
    s6r = _mm_unpackhi_ps(s7q, s8q);
    a8C = (dst + 1024);
    _mm_storel_pi(((__m64  *) a8C), s5r);
    a9C = (dst + 1152);
    _mm_storeh_pi(((__m64  *) a9C), s5r);
    a0D = (dst + 1280);
    _mm_storel_pi(((__m64  *) a0D), s6r);
    a1D = (dst + 1408);
    _mm_storeh_pi(((__m64  *) a1D), s6r);
    s7r = _mm_unpacklo_ps(s9q, s0r);
    s8r = _mm_unpackhi_ps(s9q, s0r);
    a2D = (dst + 1536);
    _mm_storel_pi(((__m64  *) a2D), s7r);
    a3D = (dst + 1664);
    _mm_storeh_pi(((__m64  *) a3D), s7r);
    a4D = (dst + 1792);
    _mm_storel_pi(((__m64  *) a4D), s8r);
    a5D = (dst + 1920);
    _mm_storeh_pi(((__m64  *) a5D), s8r);
    a6D = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t4h);
    a7D = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t6h);
    s9r = _mm_add_ps(a6D, a7D);
    a8D = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t4h);
    a9D = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t6h);
    s0s = _mm_sub_ps(a8D, a9D);
    a0E = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t2i);
    a1E = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t4i);
    s1s = _mm_add_ps(a0E, a1E);
    a2E = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t2i);
    a3E = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t4i);
    s2s = _mm_sub_ps(a2E, a3E);
    t1m = _mm_add_ps(s9r, s1s);
    t2m = _mm_add_ps(s0s, s2s);
    t3m = _mm_sub_ps(s9r, s1s);
    t4m = _mm_sub_ps(s0s, s2s);
    a4E = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t8h);
    a5E = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t0i);
    s3s = _mm_add_ps(a4E, a5E);
    a6E = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t8h);
    a7E = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t0i);
    s4s = _mm_sub_ps(a6E, a7E);
    a8E = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t6i);
    a9E = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t8i);
    s5s = _mm_add_ps(a8E, a9E);
    a0F = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t6i);
    a1F = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t8i);
    s6s = _mm_sub_ps(a0F, a1F);
    t5m = _mm_add_ps(s3s, s5s);
    t6m = _mm_add_ps(s4s, s6s);
    t7m = _mm_sub_ps(s3s, s5s);
    t8m = _mm_sub_ps(s4s, s6s);
    t9m = _mm_add_ps(t1m, t5m);
    t0n = _mm_add_ps(t2m, t6m);
    t1n = _mm_sub_ps(t1m, t5m);
    t2n = _mm_sub_ps(t2m, t6m);
    t3n = _mm_add_ps(t3m, t8m);
    t4n = _mm_sub_ps(t4m, t7m);
    t5n = _mm_sub_ps(t3m, t8m);
    t6n = _mm_add_ps(t4m, t7m);
    s7s = _mm_unpacklo_ps(t9m, t3n);
    s8s = _mm_unpackhi_ps(t9m, t3n);
    s9s = _mm_unpacklo_ps(t0n, t4n);
    s0t = _mm_unpackhi_ps(t0n, t4n);
    s1t = _mm_unpacklo_ps(t1n, t5n);
    s2t = _mm_unpackhi_ps(t1n, t5n);
    s3t = _mm_unpacklo_ps(t2n, t6n);
    s4t = _mm_unpackhi_ps(t2n, t6n);
    s5t = _mm_shuffle_ps(s7s, s1t, _MM_SHUFFLE(1, 0, 1, 0));
    s6t = _mm_shuffle_ps(s7s, s1t, _MM_SHUFFLE(3, 2, 3, 2));
    s7t = _mm_shuffle_ps(s8s, s2t, _MM_SHUFFLE(1, 0, 1, 0));
    s8t = _mm_shuffle_ps(s8s, s2t, _MM_SHUFFLE(3, 2, 3, 2));
    s9t = _mm_shuffle_ps(s9s, s3t, _MM_SHUFFLE(1, 0, 1, 0));
    s0u = _mm_shuffle_ps(s9s, s3t, _MM_SHUFFLE(3, 2, 3, 2));
    s1u = _mm_shuffle_ps(s0t, s4t, _MM_SHUFFLE(1, 0, 1, 0));
    s2u = _mm_shuffle_ps(s0t, s4t, _MM_SHUFFLE(3, 2, 3, 2));
    a2F = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7t);
    a3F = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s1u);
    s3u = _mm_sub_ps(a2F, a3F);
    a4F = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7t);
    a5F = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1u);
    s4u = _mm_add_ps(a4F, a5F);
    t7n = _mm_add_ps(s5t, s3u);
    t8n = _mm_add_ps(s9t, s4u);
    t9n = _mm_sub_ps(s5t, s3u);
    t0o = _mm_sub_ps(s9t, s4u);
    a6F = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6t);
    a7F = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s0u);
    s5u = _mm_sub_ps(a6F, a7F);
    a8F = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s6t);
    a9F = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0u);
    s6u = _mm_add_ps(a8F, a9F);
    a0G = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8t);
    a1G = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s2u);
    s7u = _mm_sub_ps(a0G, a1G);
    a2G = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s8t);
    a3G = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2u);
    s8u = _mm_add_ps(a2G, a3G);
    t1o = _mm_add_ps(s5u, s7u);
    t2o = _mm_add_ps(s6u, s8u);
    t3o = _mm_sub_ps(s5u, s7u);
    t4o = _mm_sub_ps(s6u, s8u);
    t5o = _mm_add_ps(t7n, t1o);
    t6o = _mm_add_ps(t8n, t2o);
    t7o = _mm_sub_ps(t7n, t1o);
    t8o = _mm_sub_ps(t8n, t2o);
    s9u = _mm_unpacklo_ps(t5o, t6o);
    s0v = _mm_unpackhi_ps(t5o, t6o);
    a4G = (dst + 64);
    _mm_storel_pi(((__m64  *) a4G), s9u);
    a5G = (dst + 320);
    _mm_storeh_pi(((__m64  *) a5G), s9u);
    a6G = (dst + 576);
    _mm_storel_pi(((__m64  *) a6G), s0v);
    a7G = (dst + 832);
    _mm_storeh_pi(((__m64  *) a7G), s0v);
    a8G = _mm_unpacklo_ps(t7o, t8o);
    s1v = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8G);
    a9G = _mm_unpackhi_ps(t7o, t8o);
    s2v = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9G);
    a0H = (dst + 1984);
    _mm_storel_pi(((__m64  *) a0H), s1v);
    a1H = (dst + 1728);
    _mm_storeh_pi(((__m64  *) a1H), s1v);
    a2H = (dst + 1472);
    _mm_storel_pi(((__m64  *) a2H), s2v);
    a3H = (dst + 1216);
    _mm_storeh_pi(((__m64  *) a3H), s2v);
    t9o = _mm_add_ps(t9n, t4o);
    t0p = _mm_sub_ps(t0o, t3o);
    t1p = _mm_sub_ps(t9n, t4o);
    t2p = _mm_add_ps(t0o, t3o);
    s3v = _mm_unpacklo_ps(t9o, t0p);
    s4v = _mm_unpackhi_ps(t9o, t0p);
    a4H = (dst + 1088);
    _mm_storel_pi(((__m64  *) a4H), s3v);
    a5H = (dst + 1344);
    _mm_storeh_pi(((__m64  *) a5H), s3v);
    a6H = (dst + 1600);
    _mm_storel_pi(((__m64  *) a6H), s4v);
    a7H = (dst + 1856);
    _mm_storeh_pi(((__m64  *) a7H), s4v);
    a8H = _mm_unpacklo_ps(t1p, t2p);
    s5v = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8H);
    a9H = _mm_unpackhi_ps(t1p, t2p);
    s6v = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9H);
    a0I = (dst + 960);
    _mm_storel_pi(((__m64  *) a0I), s5v);
    a1I = (dst + 704);
    _mm_storeh_pi(((__m64  *) a1I), s5v);
    a2I = (dst + 448);
    _mm_storel_pi(((__m64  *) a2I), s6v);
    a3I = (dst + 192);
    _mm_storeh_pi(((__m64  *) a3I), s6v);
    {long i3; for(i3 = 0; i3 <= 30; i3++) {
        a9J = (16 * i3);
        a2M = ((__m128  *) T);
        b21 = (a2M + a9J);
        a3M = (b21 + 16);
        s7v = *(a3M);
        a4M = (b21 + 24);
        s8v = *(a4M);
        a5M = (b21 + 20);
        s9v = *(a5M);
        a6M = (b21 + 28);
        s0w = *(a6M);
        a0K = (D9 + a9J);
        a1K = *(a0K);
        a7M = (a0K + 1);
        a2K = *(a7M);
        a8M = _mm_mul_ps(a1K, s7v);
        a9M = _mm_mul_ps(a2K, s8v);
        s1w = _mm_sub_ps(a8M, a9M);
        a0N = _mm_mul_ps(a2K, s7v);
        a1N = _mm_mul_ps(a1K, s8v);
        s2w = _mm_add_ps(a0N, a1N);
        a2N = (a0K + 2);
        a3K = *(a2N);
        a3N = (a0K + 3);
        a4K = *(a3N);
        a4N = _mm_mul_ps(a3K, s9v);
        a5N = _mm_mul_ps(a4K, s0w);
        s3w = _mm_sub_ps(a4N, a5N);
        a6N = _mm_mul_ps(a4K, s9v);
        a7N = _mm_mul_ps(a3K, s0w);
        s4w = _mm_add_ps(a6N, a7N);
        t3p = _mm_add_ps(s1w, s3w);
        t4p = _mm_add_ps(s2w, s4w);
        t5p = _mm_sub_ps(s1w, s3w);
        t6p = _mm_sub_ps(s2w, s4w);
        a8N = (b21 + 18);
        s5w = *(a8N);
        a9N = (b21 + 26);
        s6w = *(a9N);
        a0O = (b21 + 22);
        s7w = *(a0O);
        a1O = (b21 + 30);
        s8w = *(a1O);
        a2O = (a0K + 4);
        a5K = *(a2O);
        a3O = (a0K + 5);
        a6K = *(a3O);
        a4O = _mm_mul_ps(a5K, s5w);
        a5O = _mm_mul_ps(a6K, s6w);
        s9w = _mm_sub_ps(a4O, a5O);
        a6O = _mm_mul_ps(a6K, s5w);
        a7O = _mm_mul_ps(a5K, s6w);
        s0x = _mm_add_ps(a6O, a7O);
        a8O = (a0K + 6);
        a7K = *(a8O);
        a9O = (a0K + 7);
        a8K = *(a9O);
        a0P = _mm_mul_ps(a7K, s7w);
        a1P = _mm_mul_ps(a8K, s8w);
        s1x = _mm_sub_ps(a0P, a1P);
        a2P = _mm_mul_ps(a8K, s7w);
        a3P = _mm_mul_ps(a7K, s8w);
        s2x = _mm_add_ps(a2P, a3P);
        t7p = _mm_add_ps(s9w, s1x);
        t8p = _mm_add_ps(s0x, s2x);
        t9p = _mm_sub_ps(s9w, s1x);
        t0q = _mm_sub_ps(s0x, s2x);
        t1q = _mm_add_ps(t3p, t7p);
        t2q = _mm_add_ps(t4p, t8p);
        t3q = _mm_sub_ps(t3p, t7p);
        t4q = _mm_sub_ps(t4p, t8p);
        t5q = _mm_add_ps(t5p, t0q);
        t6q = _mm_sub_ps(t6p, t9p);
        t7q = _mm_sub_ps(t5p, t0q);
        t8q = _mm_add_ps(t6p, t9p);
        s3x = _mm_unpacklo_ps(t1q, t5q);
        s4x = _mm_unpackhi_ps(t1q, t5q);
        s5x = _mm_unpacklo_ps(t2q, t6q);
        s6x = _mm_unpackhi_ps(t2q, t6q);
        s7x = _mm_unpacklo_ps(t3q, t7q);
        s8x = _mm_unpackhi_ps(t3q, t7q);
        s9x = _mm_unpacklo_ps(t4q, t8q);
        s0y = _mm_unpackhi_ps(t4q, t8q);
        s1y = _mm_shuffle_ps(s3x, s7x, _MM_SHUFFLE(1, 0, 1, 0));
        s2y = _mm_shuffle_ps(s3x, s7x, _MM_SHUFFLE(3, 2, 3, 2));
        s3y = _mm_shuffle_ps(s4x, s8x, _MM_SHUFFLE(1, 0, 1, 0));
        s4y = _mm_shuffle_ps(s4x, s8x, _MM_SHUFFLE(3, 2, 3, 2));
        s5y = _mm_shuffle_ps(s5x, s9x, _MM_SHUFFLE(1, 0, 1, 0));
        s6y = _mm_shuffle_ps(s5x, s9x, _MM_SHUFFLE(3, 2, 3, 2));
        s7y = _mm_shuffle_ps(s6x, s0y, _MM_SHUFFLE(1, 0, 1, 0));
        s8y = _mm_shuffle_ps(s6x, s0y, _MM_SHUFFLE(3, 2, 3, 2));
        a4P = (b21 + 17);
        s9y = *(a4P);
        a5P = (b21 + 25);
        s0z = *(a5P);
        a6P = (b21 + 21);
        s1z = *(a6P);
        a7P = (b21 + 29);
        s2z = *(a7P);
        a8P = (a0K + 8);
        a9K = *(a8P);
        a9P = (a0K + 9);
        a0L = *(a9P);
        a0Q = _mm_mul_ps(a9K, s9y);
        a1Q = _mm_mul_ps(a0L, s0z);
        s3z = _mm_sub_ps(a0Q, a1Q);
        a2Q = _mm_mul_ps(a0L, s9y);
        a3Q = _mm_mul_ps(a9K, s0z);
        s4z = _mm_add_ps(a2Q, a3Q);
        a4Q = (a0K + 10);
        a1L = *(a4Q);
        a5Q = (a0K + 11);
        a2L = *(a5Q);
        a6Q = _mm_mul_ps(a1L, s1z);
        a7Q = _mm_mul_ps(a2L, s2z);
        s5z = _mm_sub_ps(a6Q, a7Q);
        a8Q = _mm_mul_ps(a2L, s1z);
        a9Q = _mm_mul_ps(a1L, s2z);
        s6z = _mm_add_ps(a8Q, a9Q);
        t9q = _mm_add_ps(s3z, s5z);
        t0r = _mm_add_ps(s4z, s6z);
        t1r = _mm_sub_ps(s3z, s5z);
        t2r = _mm_sub_ps(s4z, s6z);
        a0R = (b21 + 19);
        s7z = *(a0R);
        a1R = (b21 + 27);
        s8z = *(a1R);
        a2R = (b21 + 23);
        s9z = *(a2R);
        a3R = (b21 + 31);
        s0A = *(a3R);
        a4R = (a0K + 12);
        a3L = *(a4R);
        a5R = (a0K + 13);
        a4L = *(a5R);
        a6R = _mm_mul_ps(a3L, s7z);
        a7R = _mm_mul_ps(a4L, s8z);
        s1A = _mm_sub_ps(a6R, a7R);
        a8R = _mm_mul_ps(a4L, s7z);
        a9R = _mm_mul_ps(a3L, s8z);
        s2A = _mm_add_ps(a8R, a9R);
        a0S = (a0K + 14);
        a5L = *(a0S);
        a1S = (a0K + 15);
        a6L = *(a1S);
        a2S = _mm_mul_ps(a5L, s9z);
        a3S = _mm_mul_ps(a6L, s0A);
        s3A = _mm_sub_ps(a2S, a3S);
        a4S = _mm_mul_ps(a6L, s9z);
        a5S = _mm_mul_ps(a5L, s0A);
        s4A = _mm_add_ps(a4S, a5S);
        t3r = _mm_add_ps(s1A, s3A);
        t4r = _mm_add_ps(s2A, s4A);
        t5r = _mm_sub_ps(s1A, s3A);
        t6r = _mm_sub_ps(s2A, s4A);
        t7r = _mm_add_ps(t9q, t3r);
        t8r = _mm_add_ps(t0r, t4r);
        t9r = _mm_sub_ps(t9q, t3r);
        t0s = _mm_sub_ps(t0r, t4r);
        t1s = _mm_add_ps(t1r, t6r);
        t2s = _mm_sub_ps(t2r, t5r);
        t3s = _mm_sub_ps(t1r, t6r);
        t4s = _mm_add_ps(t2r, t5r);
        s5A = _mm_unpacklo_ps(t7r, t1s);
        s6A = _mm_unpackhi_ps(t7r, t1s);
        s7A = _mm_unpacklo_ps(t8r, t2s);
        s8A = _mm_unpackhi_ps(t8r, t2s);
        s9A = _mm_unpacklo_ps(t9r, t3s);
        s0B = _mm_unpackhi_ps(t9r, t3s);
        s1B = _mm_unpacklo_ps(t0s, t4s);
        s2B = _mm_unpackhi_ps(t0s, t4s);
        s3B = _mm_shuffle_ps(s5A, s9A, _MM_SHUFFLE(1, 0, 1, 0));
        s4B = _mm_shuffle_ps(s5A, s9A, _MM_SHUFFLE(3, 2, 3, 2));
        s5B = _mm_shuffle_ps(s6A, s0B, _MM_SHUFFLE(1, 0, 1, 0));
        s6B = _mm_shuffle_ps(s6A, s0B, _MM_SHUFFLE(3, 2, 3, 2));
        s7B = _mm_shuffle_ps(s7A, s1B, _MM_SHUFFLE(1, 0, 1, 0));
        s8B = _mm_shuffle_ps(s7A, s1B, _MM_SHUFFLE(3, 2, 3, 2));
        s9B = _mm_shuffle_ps(s8A, s2B, _MM_SHUFFLE(1, 0, 1, 0));
        s0C = _mm_shuffle_ps(s8A, s2B, _MM_SHUFFLE(3, 2, 3, 2));
        a6S = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3B);
        a7S = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7B);
        s1C = _mm_sub_ps(a6S, a7S);
        a8S = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3B);
        a9S = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7B);
        s2C = _mm_add_ps(a8S, a9S);
        t5s = _mm_add_ps(s1y, s1C);
        t6s = _mm_add_ps(s5y, s2C);
        t7s = _mm_sub_ps(s1y, s1C);
        t8s = _mm_sub_ps(s5y, s2C);
        a0T = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s3y);
        a1T = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s7y);
        s3C = _mm_sub_ps(a0T, a1T);
        a2T = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s3y);
        a3T = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7y);
        s4C = _mm_add_ps(a2T, a3T);
        a4T = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5B);
        a5T = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s9B);
        s5C = _mm_sub_ps(a4T, a5T);
        a6T = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s5B);
        a7T = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s9B);
        s6C = _mm_add_ps(a6T, a7T);
        t9s = _mm_add_ps(s3C, s5C);
        t0t = _mm_add_ps(s4C, s6C);
        t1t = _mm_sub_ps(s3C, s5C);
        t2t = _mm_sub_ps(s4C, s6C);
        t3t = _mm_add_ps(t5s, t9s);
        t4t = _mm_add_ps(t6s, t0t);
        t5t = _mm_sub_ps(t5s, t9s);
        t6t = _mm_sub_ps(t6s, t0t);
        t7t = _mm_add_ps(t7s, t2t);
        t8t = _mm_sub_ps(t8s, t1t);
        t9t = _mm_sub_ps(t7s, t2t);
        t0u = _mm_add_ps(t8s, t1t);
        a8T = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s2y);
        a9T = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s6y);
        s7C = _mm_sub_ps(a8T, a9T);
        a0U = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s2y);
        a1U = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6y);
        s8C = _mm_add_ps(a0U, a1U);
        a2U = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4B);
        a3U = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s8B);
        s9C = _mm_sub_ps(a2U, a3U);
        a4U = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s4B);
        a5U = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s8B);
        s0D = _mm_add_ps(a4U, a5U);
        t1u = _mm_add_ps(s7C, s9C);
        t2u = _mm_add_ps(s8C, s0D);
        t3u = _mm_sub_ps(s7C, s9C);
        t4u = _mm_sub_ps(s8C, s0D);
        a6U = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s4y);
        a7U = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s8y);
        s1D = _mm_sub_ps(a6U, a7U);
        a8U = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s4y);
        a9U = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8y);
        s2D = _mm_add_ps(a8U, a9U);
        a0V = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6B);
        a1V = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s0C);
        s3D = _mm_sub_ps(a0V, a1V);
        a2V = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s6B);
        a3V = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s0C);
        s4D = _mm_add_ps(a2V, a3V);
        t5u = _mm_add_ps(s1D, s3D);
        t6u = _mm_add_ps(s2D, s4D);
        t7u = _mm_sub_ps(s1D, s3D);
        t8u = _mm_sub_ps(s2D, s4D);
        t9u = _mm_add_ps(t1u, t5u);
        t0v = _mm_add_ps(t2u, t6u);
        t1v = _mm_sub_ps(t1u, t5u);
        t2v = _mm_sub_ps(t2u, t6u);
        a4V = _mm_add_ps(t3u, t8u);
        a7L = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4V);
        a5V = _mm_sub_ps(t4u, t7u);
        a8L = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5V);
        s5D = _mm_sub_ps(a7L, a8L);
        s6D = _mm_add_ps(a7L, a8L);
        a6V = _mm_sub_ps(t3u, t8u);
        a9L = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a6V);
        a7V = _mm_add_ps(t4u, t7u);
        a0M = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a7V);
        s7D = _mm_sub_ps(a9L, a0M);
        s8D = _mm_add_ps(a9L, a0M);
        t3v = _mm_add_ps(t3t, t9u);
        t4v = _mm_add_ps(t4t, t0v);
        t5v = _mm_sub_ps(t3t, t9u);
        t6v = _mm_sub_ps(t4t, t0v);
        s9D = _mm_unpacklo_ps(t3v, t4v);
        s0E = _mm_unpackhi_ps(t3v, t4v);
        a1M = (2 * i3);
        b31 = (dst + a1M);
        a8V = (b31 + 2);
        _mm_storel_pi(((__m64  *) a8V), s9D);
        a9V = (b31 + 130);
        _mm_storeh_pi(((__m64  *) a9V), s9D);
        a0W = (b31 + 258);
        _mm_storel_pi(((__m64  *) a0W), s0E);
        a1W = (b31 + 386);
        _mm_storeh_pi(((__m64  *) a1W), s0E);
        a2W = _mm_unpacklo_ps(t5v, t6v);
        s1E = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2W);
        a3W = _mm_unpackhi_ps(t5v, t6v);
        s2E = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3W);
        b41 = (dst - a1M);
        a4W = (b41 + 2046);
        _mm_storel_pi(((__m64  *) a4W), s1E);
        a5W = (b41 + 1918);
        _mm_storeh_pi(((__m64  *) a5W), s1E);
        a6W = (b41 + 1790);
        _mm_storel_pi(((__m64  *) a6W), s2E);
        a7W = (b41 + 1662);
        _mm_storeh_pi(((__m64  *) a7W), s2E);
        t7v = _mm_add_ps(t7t, s5D);
        t8v = _mm_sub_ps(t8t, s6D);
        t9v = _mm_sub_ps(t7t, s5D);
        t0w = _mm_add_ps(t8t, s6D);
        s3E = _mm_unpacklo_ps(t7v, t8v);
        s4E = _mm_unpackhi_ps(t7v, t8v);
        a8W = (b31 + 514);
        _mm_storel_pi(((__m64  *) a8W), s3E);
        a9W = (b31 + 642);
        _mm_storeh_pi(((__m64  *) a9W), s3E);
        a0X = (b31 + 770);
        _mm_storel_pi(((__m64  *) a0X), s4E);
        a1X = (b31 + 898);
        _mm_storeh_pi(((__m64  *) a1X), s4E);
        a2X = _mm_unpacklo_ps(t9v, t0w);
        s5E = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2X);
        a3X = _mm_unpackhi_ps(t9v, t0w);
        s6E = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3X);
        a4X = (b41 + 1534);
        _mm_storel_pi(((__m64  *) a4X), s5E);
        a5X = (b41 + 1406);
        _mm_storeh_pi(((__m64  *) a5X), s5E);
        a6X = (b41 + 1278);
        _mm_storel_pi(((__m64  *) a6X), s6E);
        a7X = (b41 + 1150);
        _mm_storeh_pi(((__m64  *) a7X), s6E);
        t1w = _mm_add_ps(t5t, t2v);
        t2w = _mm_sub_ps(t6t, t1v);
        t3w = _mm_sub_ps(t5t, t2v);
        t4w = _mm_add_ps(t6t, t1v);
        s7E = _mm_unpacklo_ps(t1w, t2w);
        s8E = _mm_unpackhi_ps(t1w, t2w);
        a8X = (b31 + 1026);
        _mm_storel_pi(((__m64  *) a8X), s7E);
        a9X = (b31 + 1154);
        _mm_storeh_pi(((__m64  *) a9X), s7E);
        a0Y = (b31 + 1282);
        _mm_storel_pi(((__m64  *) a0Y), s8E);
        a1Y = (b31 + 1410);
        _mm_storeh_pi(((__m64  *) a1Y), s8E);
        a2Y = _mm_unpacklo_ps(t3w, t4w);
        s9E = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2Y);
        a3Y = _mm_unpackhi_ps(t3w, t4w);
        s0F = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3Y);
        a4Y = (b41 + 1022);
        _mm_storel_pi(((__m64  *) a4Y), s9E);
        a5Y = (b41 + 894);
        _mm_storeh_pi(((__m64  *) a5Y), s9E);
        a6Y = (b41 + 766);
        _mm_storel_pi(((__m64  *) a6Y), s0F);
        a7Y = (b41 + 638);
        _mm_storeh_pi(((__m64  *) a7Y), s0F);
        t5w = _mm_add_ps(t9t, s7D);
        t6w = _mm_add_ps(t0u, s8D);
        t7w = _mm_sub_ps(t9t, s7D);
        t8w = _mm_sub_ps(t0u, s8D);
        s1F = _mm_unpacklo_ps(t5w, t6w);
        s2F = _mm_unpackhi_ps(t5w, t6w);
        a8Y = (b31 + 1538);
        _mm_storel_pi(((__m64  *) a8Y), s1F);
        a9Y = (b31 + 1666);
        _mm_storeh_pi(((__m64  *) a9Y), s1F);
        a0Z = (b31 + 1794);
        _mm_storel_pi(((__m64  *) a0Z), s2F);
        a1Z = (b31 + 1922);
        _mm_storeh_pi(((__m64  *) a1Z), s2F);
        a2Z = _mm_unpacklo_ps(t7w, t8w);
        s3F = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2Z);
        a3Z = _mm_unpackhi_ps(t7w, t8w);
        s4F = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3Z);
        a4Z = (b41 + 510);
        _mm_storel_pi(((__m64  *) a4Z), s3F);
        a5Z = (b41 + 382);
        _mm_storeh_pi(((__m64  *) a5Z), s3F);
        a6Z = (b41 + 254);
        _mm_storel_pi(((__m64  *) a6Z), s4F);
        a7Z = (b41 + 126);
        _mm_storeh_pi(((__m64  *) a7Z), s4F);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftfwd_float_4096_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[4096]);
     SPIRAL_ALIGNED(float T2[512]);
    __m128 a0H, a0I, a0K, a0L, a1I, a1J, a1K, a215, a216, a217, a218, a2J, a315, a316, a317, a318, a3H, a3I, a3J, a3K, a4G, a4H
            , a4I, a4K, a5G, a5H, a5I, a5J, a5K, a6G, a6H, a6I, a6J, a7F, a7H, a7I, a7J, a7K, a8F, a8I, a8J, a8K, a8P, a8Q
            , a9F, a9G, a9H, a9I, a9J, a9K, a9P, a9Q, b11, b31, b6, b9;
    __m128 a012, a013, a014, a04, a05, a06, a07, a09, a0D, a0E, a0F, a0G, a0J, a0N, a0O, a0P, a0U, a0V, a0W, a0Y, a0Z, a0a
            , a0b, a0g, a0h, a0i, a0j, a0o, a0q, a0r, a0t, a0u, a0w, a0x, a0y, a0z, a112, a113, a114, a15, a16, a17, a18, a1D
            , a1E, a1F, a1G, a1H, a1N, a1O, a1P, a1T, a1U, a1W, a1Y, a1Z, a1a, a1b, a1g, a1h, a1i, a1j, a1o, a1p, a1r, a1s
            , a1u, a1v, a1x, a1y, a211, a212, a213, a214, a24, a25, a26, a28, a2D, a2E, a2F, a2G, a2H, a2I, a2K, a2N, a2O, a2P
            , a2T, a2U, a2Y, a2Z, a2a, a2g, a2h, a2i, a2j, a2o, a2p, a2r, a2s, a2u, a2v, a2x, a2y, a3, a311, a312, a313, a314
            , a33, a34, a35, a36, a38, a3D, a3E, a3F, a3G, a3N, a3O, a3P, a3T, a3U, a3Y, a3Z, a3a, a3g, a3h, a3i, a3j, a3n
            , a3p, a3q, a3s, a3t, a3v, a3w, a3x, a3y, a4, a411, a412, a413, a414, a43, a44, a45, a46, a48, a4D, a4E, a4F, a4J
            , a4N, a4O, a4T, a4U, a4W, a4X, a4a, a4g, a4h, a4i, a4j, a4n, a4p, a4q, a4s, a4t, a4v, a4w, a4x, a4y, a5, a511
            , a512, a513, a514, a53, a54, a55, a56, a58, a5D, a5E, a5F, a5N, a5O, a5T, a5U, a5W, a5X, a5a, a5g, a5h, a5i, a5j
            , a5n, a5o, a5q, a5r, a5t, a5u, a5w, a5x, a5y, a6, a610, a611, a612, a613, a614, a63, a64, a66, a68, a69, a6C, a6D
            , a6E, a6F, a6K, a6M, a6N, a6O, a6T, a6U, a6W, a6X, a6Z, a6a, a6g, a6h, a6i, a6j, a6n, a6o, a6q, a6r, a6t, a6u
            , a6w, a6x, a6y, a710, a711, a712, a713, a714, a73, a74, a76, a78, a7B, a7D, a7E, a7G, a7M, a7N, a7O, a7T, a7U, a7W
            , a7X, a7Z, a7a, a7g, a7h, a7i, a7j, a7o, a7p, a7r, a7s, a7u, a7v, a7w, a7x, a7y, a810, a811, a812, a813, a83, a84
            , a86, a88, a8A, a8D, a8E, a8G, a8H, a8M, a8N, a8O, a8T, a8U, a8V, a8Z, a8a, a8f, a8g, a8h, a8i, a8o, a8p, a8r
            , a8s, a8u, a8v, a8w, a8x, a8y, a910, a911, a912, a913, a93, a94, a96, a97, a98, a9C, a9D, a9E, a9M, a9N, a9O, a9T
            , a9U, a9V, a9Z, a9a, a9b, a9f, a9g, a9h, a9i, a9n, a9p, a9q, a9s, a9t, a9v, a9w, a9x, a9y, a9z, b01, b21, b41
            , b7, b8, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0G, s0a, s0b, s0c
            , s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y
            , s0z, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1F, s1G, s1a, s1b, s1c, s1d, s1e
            , s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2
            , s21, s22, s23, s24, s25, s26, s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2F, s2G, s2a, s2b, s2c, s2d, s2e, s2f
            , s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31
            , s32, s33, s34, s35, s36, s37, s38, s39, s3A, s3B, s3C, s3D, s3E, s3F, s3G, s3a, s3b, s3c, s3d, s3e, s3f, s3g
            , s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42
            , s43, s44, s45, s46, s47, s48, s49, s4A, s4B, s4C, s4D, s4E, s4F, s4G, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h
            , s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51, s52, s53
            , s54, s55, s56, s57, s58, s59, s5A, s5B, s5C, s5D, s5E, s5F, s5G, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i
            , s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62, s63, s64
            , s65, s66, s67, s68, s69, s6A, s6B, s6C, s6D, s6E, s6F, s6G, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j
            , s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74, s75
            , s76, s77, s78, s79, s7A, s7B, s7C, s7D, s7E, s7F, s7G, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k
            , s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y, s7z, s8, s81, s82, s83, s84, s85, s86
            , s87, s88, s89, s8A, s8B, s8C, s8D, s8E, s8F, s8G, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l
            , s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x, s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97
            , s98, s99, s9A, s9B, s9C, s9D, s9E, s9F, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n
            , s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y, s9z, t, t01, t02, t03, t04, t05, t06, t07, t08, t09
            , t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v
            , t0w, t0x, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k
            , t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v, t1w, t1x, t2, t21, t22, t23, t24, t25, t26, t27, t28
            , t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u
            , t2v, t2w, t2x, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i
            , t3j, t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t4, t41, t42, t43, t44, t45, t46
            , t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s
            , t4t, t4u, t4v, t4w, t4x, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g
            , t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t6, t61, t62, t63, t64, t65
            , t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r
            , t6s, t6t, t6u, t6v, t6w, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g
            , t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t8, t81, t82, t83, t84, t85
            , t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r
            , t8s, t8t, t8u, t8v, t8w, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g
            , t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w;
    __m128  *a01, *a010, *a011, *a03, *a08, *a0A, *a0B, *a0C, *a0S, *a0T, *a0X, *a0c, *a0d, *a0e, *a0f, *a0k, *a0l, *a0m, *a0n, *a0p, *a0s, *a0v
            , *a110, *a111, *a13, *a14, *a19, *a1A, *a1B, *a1C, *a1S, *a1X, *a1c, *a1d, *a1e, *a1f, *a1k, *a1l, *a1m, *a1n, *a1q, *a1t, *a1w, *a1z
            , *a2, *a210, *a23, *a27, *a29, *a2A, *a2B, *a2C, *a2S, *a2V, *a2W, *a2X, *a2b, *a2c, *a2d, *a2e, *a2f, *a2k, *a2l, *a2m, *a2n, *a2q
            , *a2t, *a2w, *a2z, *a310, *a37, *a39, *a3A, *a3B, *a3C, *a3S, *a3V, *a3W, *a3X, *a3b, *a3c, *a3d, *a3e, *a3f, *a3k, *a3l, *a3m, *a3o
            , *a3r, *a3u, *a3z, *a410, *a47, *a49, *a4A, *a4B, *a4C, *a4R, *a4S, *a4V, *a4Y, *a4Z, *a4b, *a4c, *a4d, *a4e, *a4f, *a4k, *a4l, *a4m
            , *a4o, *a4r, *a4u, *a4z, *a510, *a57, *a59, *a5A, *a5B, *a5C, *a5R, *a5S, *a5V, *a5Y, *a5Z, *a5b, *a5c, *a5d, *a5e, *a5f, *a5k, *a5l
            , *a5m, *a5p, *a5s, *a5v, *a5z, *a65, *a67, *a6A, *a6B, *a6R, *a6S, *a6V, *a6Y, *a6b, *a6c, *a6d, *a6e, *a6k, *a6l, *a6m, *a6p, *a6s
            , *a6v, *a6z, *a7, *a75, *a77, *a79, *a7A, *a7C, *a7R, *a7S, *a7V, *a7Y, *a7b, *a7c, *a7d, *a7e, *a7f, *a7k, *a7l, *a7m, *a7n, *a7q
            , *a7t, *a7z, *a8, *a82, *a85, *a87, *a89, *a8B, *a8C, *a8R, *a8S, *a8W, *a8X, *a8Y, *a8b, *a8c, *a8d, *a8e, *a8k, *a8l, *a8m, *a8n
            , *a8q, *a8t, *a8z, *a9, *a92, *a95, *a99, *a9A, *a9B, *a9R, *a9W, *a9X, *a9Y, *a9c, *a9d, *a9e, *a9j, *a9k, *a9l, *a9m, *a9o, *a9r
            , *a9u, *b2, *b3, *b4, *b5, *b51;
    float  *a015, *a016, *a017, *a018, *a0M, *a0Q, *a0R, *a115, *a116, *a117, *a118, *a1L, *a1M, *a1Q, *a1R, *a2L, *a2M, *a2Q, *a2R, *a3L, *a3M, *a3Q
            , *a3R, *a415, *a416, *a417, *a418, *a4L, *a4M, *a4P, *a4Q, *a515, *a516, *a517, *a518, *a5L, *a5M, *a5P, *a5Q, *a615, *a616, *a617, *a618, *a6L
            , *a6P, *a6Q, *a715, *a716, *a717, *a718, *a7L, *a7P, *a7Q, *a814, *a815, *a816, *a817, *a8L, *a914, *a915, *a916, *a917, *a9L, *b61, *b71;
    const float  *a, *a02, *a12, *a22, *a31, *a32, *a41, *a42, *a51, *a52, *a61, *a62, *a71, *a72, *a81, *a91, *b;
    int a11, a1V, a21, a6f, a8j, a9S;
    {long i; for(i = 0; i <= 7; i++) {
        {long i2; for(i2 = 0; i2 <= 15; i2++) {
            a11 = (4 * i);
            a21 = (32 * i2);
            b = (src + a11);
            a = (b + a21);
            a31 = ((const float  *) a);
            s = _mm_loadu_ps(a31);
            a51 = (a + 2048);
            a41 = ((const float  *) a51);
            s2 = _mm_loadu_ps(a41);
            t = _mm_add_ps(s, s2);
            t2 = _mm_sub_ps(s, s2);
            a71 = (a + 1024);
            a61 = ((const float  *) a71);
            s3 = _mm_loadu_ps(a61);
            a91 = (a + 3072);
            a81 = ((const float  *) a91);
            s4 = _mm_loadu_ps(a81);
            t3 = _mm_add_ps(s3, s4);
            t4 = _mm_sub_ps(s3, s4);
            a12 = (a + 512);
            a02 = ((const float  *) a12);
            s5 = _mm_loadu_ps(a02);
            a32 = (a + 2560);
            a22 = ((const float  *) a32);
            s6 = _mm_loadu_ps(a22);
            t5 = _mm_add_ps(s5, s6);
            a52 = (a + 1536);
            a42 = ((const float  *) a52);
            s7 = _mm_loadu_ps(a42);
            a72 = (a + 3584);
            a62 = ((const float  *) a72);
            s8 = _mm_loadu_ps(a62);
            t6 = _mm_add_ps(s7, s8);
            a82 = ((__m128  *) T2);
            a2 = (a82 + i2);
            s9 = _mm_add_ps(t, t3);
            *(a2) = s9;
            s01 = _mm_sub_ps(t, t3);
            a92 = (a2 + 64);
            *(a92) = s01;
            s11 = _mm_add_ps(t5, t6);
            a03 = (a2 + 16);
            *(a03) = s11;
            s21 = _mm_sub_ps(t6, t5);
            a13 = (a2 + 80);
            *(a13) = s21;
            a5 = _mm_sub_ps(s5, s6);
            a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5);
            a6 = _mm_sub_ps(s7, s8);
            a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a6);
            s31 = _mm_add_ps(a3, a4);
            s41 = _mm_sub_ps(a4, a3);
            s51 = _mm_add_ps(t2, s31);
            a7 = (a2 + 32);
            *(a7) = s51;
            s61 = _mm_sub_ps(s41, t4);
            a8 = (a2 + 48);
            *(a8) = s61;
            s71 = _mm_sub_ps(t2, s31);
            a9 = (a2 + 96);
            *(a9) = s71;
            s81 = _mm_add_ps(t4, s41);
            a01 = (a2 + 112);
            *(a01) = s81;
        }}
        a23 = ((__m128  *) T2);
        s91 = *(a23);
        a1c = (a23 + 16);
        s02 = *(a1c);
        t7 = _mm_add_ps(s91, s02);
        t8 = _mm_sub_ps(s91, s02);
        a2c = (a23 + 8);
        s12 = *(a2c);
        a3c = (a23 + 24);
        s22 = *(a3c);
        t9 = _mm_add_ps(s12, s22);
        t01 = _mm_sub_ps(s12, s22);
        a4c = (a23 + 4);
        s32 = *(a4c);
        a5c = (a23 + 20);
        s42 = *(a5c);
        t11 = _mm_add_ps(s32, s42);
        a6c = (a23 + 12);
        s52 = *(a6c);
        a7c = (a23 + 28);
        s62 = *(a7c);
        t21 = _mm_add_ps(s52, s62);
        t31 = _mm_add_ps(t7, t9);
        t41 = _mm_sub_ps(t7, t9);
        t51 = _mm_add_ps(t11, t21);
        t61 = _mm_sub_ps(t11, t21);
        a64 = _mm_sub_ps(s32, s42);
        a33 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a64);
        a74 = _mm_sub_ps(s52, s62);
        a43 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a74);
        s72 = _mm_add_ps(a33, a43);
        s82 = _mm_sub_ps(a43, a33);
        t71 = _mm_add_ps(t8, s72);
        t81 = _mm_sub_ps(s82, t01);
        t91 = _mm_sub_ps(t8, s72);
        t02 = _mm_add_ps(t01, s82);
        a8c = (a23 + 1);
        s92 = *(a8c);
        a9c = (a23 + 17);
        s03 = *(a9c);
        t12 = _mm_add_ps(s92, s03);
        t22 = _mm_sub_ps(s92, s03);
        a0d = (a23 + 9);
        s13 = *(a0d);
        a1d = (a23 + 25);
        s23 = *(a1d);
        t32 = _mm_add_ps(s13, s23);
        t42 = _mm_sub_ps(s13, s23);
        a2d = (a23 + 5);
        s33 = *(a2d);
        a3d = (a23 + 21);
        s43 = *(a3d);
        t52 = _mm_add_ps(s33, s43);
        a4d = (a23 + 13);
        s53 = *(a4d);
        a5d = (a23 + 29);
        s63 = *(a5d);
        t62 = _mm_add_ps(s53, s63);
        t72 = _mm_add_ps(t12, t32);
        t82 = _mm_sub_ps(t12, t32);
        t92 = _mm_add_ps(t52, t62);
        t03 = _mm_sub_ps(t52, t62);
        a84 = _mm_sub_ps(s33, s43);
        a53 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a84);
        a94 = _mm_sub_ps(s53, s63);
        a63 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a94);
        s73 = _mm_add_ps(a53, a63);
        s83 = _mm_sub_ps(a63, a53);
        t13 = _mm_add_ps(t22, s73);
        t23 = _mm_sub_ps(s83, t42);
        t33 = _mm_sub_ps(t22, s73);
        t43 = _mm_add_ps(t42, s83);
        a6d = (a23 + 2);
        s93 = *(a6d);
        a7d = (a23 + 18);
        s04 = *(a7d);
        t53 = _mm_add_ps(s93, s04);
        t63 = _mm_sub_ps(s93, s04);
        a8d = (a23 + 10);
        s14 = *(a8d);
        a9d = (a23 + 26);
        s24 = *(a9d);
        t73 = _mm_add_ps(s14, s24);
        t83 = _mm_sub_ps(s14, s24);
        a0e = (a23 + 6);
        s34 = *(a0e);
        a1e = (a23 + 22);
        s44 = *(a1e);
        t93 = _mm_add_ps(s34, s44);
        a2e = (a23 + 14);
        s54 = *(a2e);
        a3e = (a23 + 30);
        s64 = *(a3e);
        t04 = _mm_add_ps(s54, s64);
        t14 = _mm_add_ps(t53, t73);
        t24 = _mm_add_ps(t93, t04);
        a05 = _mm_sub_ps(s34, s44);
        a73 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a05);
        a15 = _mm_sub_ps(s54, s64);
        a83 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a15);
        s74 = _mm_add_ps(a73, a83);
        s84 = _mm_sub_ps(a83, a73);
        t34 = _mm_add_ps(t63, s74);
        t44 = _mm_sub_ps(s84, t83);
        t54 = _mm_sub_ps(t63, s74);
        t64 = _mm_add_ps(t83, s84);
        a4e = (a23 + 3);
        s94 = *(a4e);
        a5e = (a23 + 19);
        s05 = *(a5e);
        t74 = _mm_add_ps(s94, s05);
        t84 = _mm_sub_ps(s94, s05);
        a6e = (a23 + 11);
        s15 = *(a6e);
        a7e = (a23 + 27);
        s25 = *(a7e);
        t94 = _mm_add_ps(s15, s25);
        t05 = _mm_sub_ps(s15, s25);
        a8e = (a23 + 7);
        s35 = *(a8e);
        a9e = (a23 + 23);
        s45 = *(a9e);
        t15 = _mm_add_ps(s35, s45);
        a0f = (a23 + 15);
        s55 = *(a0f);
        a1f = (a23 + 31);
        s65 = *(a1f);
        t25 = _mm_add_ps(s55, s65);
        t35 = _mm_add_ps(t74, t94);
        t45 = _mm_sub_ps(t74, t94);
        t55 = _mm_add_ps(t15, t25);
        t65 = _mm_sub_ps(t15, t25);
        a25 = _mm_sub_ps(s35, s45);
        a93 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a25);
        a35 = _mm_sub_ps(s55, s65);
        a04 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a35);
        s75 = _mm_add_ps(a93, a04);
        s85 = _mm_sub_ps(a04, a93);
        t75 = _mm_add_ps(t84, s75);
        t85 = _mm_sub_ps(s85, t05);
        t95 = _mm_sub_ps(t84, s75);
        t06 = _mm_add_ps(t05, s85);
        t16 = _mm_add_ps(t31, t51);
        t26 = _mm_sub_ps(t31, t51);
        t36 = _mm_add_ps(t14, t24);
        t46 = _mm_sub_ps(t14, t24);
        t56 = _mm_add_ps(t72, t92);
        t66 = _mm_add_ps(t35, t55);
        a2f = ((__m128  *) T);
        a14 = (a2f + i);
        s95 = _mm_add_ps(t16, t36);
        *(a14) = s95;
        s06 = _mm_sub_ps(t16, t36);
        a3f = (a14 + 512);
        *(a3f) = s06;
        s16 = _mm_add_ps(t56, t66);
        a4f = (a14 + 8);
        *(a4f) = s16;
        s26 = _mm_sub_ps(t66, t56);
        a5f = (a14 + 520);
        *(a5f) = s26;
        a45 = _mm_sub_ps(t72, t92);
        a24 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a45);
        a55 = _mm_sub_ps(t35, t55);
        a34 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a55);
        s36 = _mm_add_ps(a24, a34);
        s46 = _mm_sub_ps(a34, a24);
        s56 = _mm_add_ps(t26, s36);
        a65 = (a14 + 256);
        *(a65) = s56;
        s66 = _mm_sub_ps(s46, t46);
        a75 = (a14 + 264);
        *(a75) = s66;
        s76 = _mm_sub_ps(t26, s36);
        a85 = (a14 + 768);
        *(a85) = s76;
        s86 = _mm_add_ps(t46, s46);
        a95 = (a14 + 776);
        *(a95) = s86;
        a06 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t13);
        a16 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t23);
        s96 = _mm_sub_ps(a06, a16);
        a26 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t13);
        a36 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t23);
        s07 = _mm_add_ps(a26, a36);
        a46 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t34);
        a56 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t44);
        s17 = _mm_sub_ps(a46, a56);
        a66 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t34);
        a76 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t44);
        s27 = _mm_add_ps(a66, a76);
        a86 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t75);
        a96 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t85);
        s37 = _mm_sub_ps(a86, a96);
        a07 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t75);
        a17 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t85);
        s47 = _mm_add_ps(a07, a17);
        t76 = _mm_add_ps(t71, s17);
        t86 = _mm_add_ps(t81, s27);
        t96 = _mm_sub_ps(t71, s17);
        t07 = _mm_sub_ps(t81, s27);
        t17 = _mm_add_ps(s96, s37);
        t27 = _mm_add_ps(s07, s47);
        t37 = _mm_sub_ps(s96, s37);
        t47 = _mm_sub_ps(s07, s47);
        s57 = _mm_add_ps(t76, t17);
        a27 = (a14 + 64);
        *(a27) = s57;
        s67 = _mm_add_ps(t86, t27);
        a37 = (a14 + 72);
        *(a37) = s67;
        s77 = _mm_sub_ps(t76, t17);
        a47 = (a14 + 960);
        *(a47) = s77;
        s87 = _mm_sub_ps(t27, t86);
        a57 = (a14 + 968);
        *(a57) = s87;
        s97 = _mm_add_ps(t96, t47);
        a67 = (a14 + 576);
        *(a67) = s97;
        s08 = _mm_sub_ps(t07, t37);
        a77 = (a14 + 584);
        *(a77) = s08;
        s18 = _mm_sub_ps(t96, t47);
        a87 = (a14 + 448);
        *(a87) = s18;
        a97 = _mm_add_ps(t07, t37);
        s28 = _mm_sub_ps(_mm_set1_ps(0.0f), a97);
        a08 = (a14 + 456);
        *(a08) = s28;
        a18 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t82);
        a28 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t03);
        s38 = _mm_add_ps(a18, a28);
        a38 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t82);
        a48 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t03);
        s48 = _mm_sub_ps(a38, a48);
        a58 = _mm_sub_ps(t53, t73);
        a44 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a58);
        a68 = _mm_sub_ps(t93, t04);
        a54 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a68);
        s58 = _mm_add_ps(a44, a54);
        s68 = _mm_sub_ps(a54, a44);
        a78 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t45);
        a88 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t65);
        s78 = _mm_add_ps(a78, a88);
        a98 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t45);
        a09 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t65);
        s88 = _mm_sub_ps(a98, a09);
        t57 = _mm_add_ps(t41, s58);
        t67 = _mm_sub_ps(s68, t61);
        t77 = _mm_sub_ps(t41, s58);
        t87 = _mm_add_ps(t61, s68);
        t97 = _mm_add_ps(s38, s78);
        t08 = _mm_add_ps(s48, s88);
        t18 = _mm_sub_ps(s38, s78);
        t28 = _mm_sub_ps(s48, s88);
        s98 = _mm_add_ps(t57, t97);
        a19 = (a14 + 128);
        *(a19) = s98;
        s09 = _mm_add_ps(t67, t08);
        a29 = (a14 + 136);
        *(a29) = s09;
        s19 = _mm_sub_ps(t57, t97);
        a39 = (a14 + 896);
        *(a39) = s19;
        s29 = _mm_sub_ps(t08, t67);
        a49 = (a14 + 904);
        *(a49) = s29;
        s39 = _mm_add_ps(t77, t28);
        a59 = (a14 + 640);
        *(a59) = s39;
        a69 = _mm_add_ps(t87, t18);
        s49 = _mm_sub_ps(_mm_set1_ps(0.0f), a69);
        a79 = (a14 + 648);
        *(a79) = s49;
        s59 = _mm_sub_ps(t77, t28);
        a89 = (a14 + 384);
        *(a89) = s59;
        s69 = _mm_sub_ps(t87, t18);
        a99 = (a14 + 392);
        *(a99) = s69;
        a0a = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t33);
        a1a = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t43);
        s79 = _mm_sub_ps(a0a, a1a);
        a2a = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t33);
        a3a = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t43);
        s89 = _mm_add_ps(a2a, a3a);
        a4a = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t54);
        a5a = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t64);
        s99 = _mm_sub_ps(a4a, a5a);
        a6a = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t54);
        a7a = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t64);
        s0a = _mm_add_ps(a6a, a7a);
        a8a = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t95);
        a9a = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t06);
        s1a = _mm_sub_ps(a8a, a9a);
        a0b = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t95);
        a1b = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t06);
        s2a = _mm_add_ps(a0b, a1b);
        t38 = _mm_add_ps(t91, s99);
        t48 = _mm_add_ps(t02, s0a);
        t58 = _mm_sub_ps(t91, s99);
        t68 = _mm_sub_ps(t02, s0a);
        t78 = _mm_add_ps(s79, s1a);
        t88 = _mm_add_ps(s89, s2a);
        t98 = _mm_sub_ps(s79, s1a);
        t09 = _mm_sub_ps(s89, s2a);
        s3a = _mm_add_ps(t38, t78);
        a2b = (a14 + 192);
        *(a2b) = s3a;
        s4a = _mm_add_ps(t48, t88);
        a3b = (a14 + 200);
        *(a3b) = s4a;
        s5a = _mm_sub_ps(t38, t78);
        a4b = (a14 + 832);
        *(a4b) = s5a;
        s6a = _mm_sub_ps(t88, t48);
        a5b = (a14 + 840);
        *(a5b) = s6a;
        s7a = _mm_add_ps(t58, t09);
        a6b = (a14 + 704);
        *(a6b) = s7a;
        s8a = _mm_sub_ps(t68, t98);
        a7b = (a14 + 712);
        *(a7b) = s8a;
        s9a = _mm_sub_ps(t58, t09);
        a8b = (a14 + 320);
        *(a8b) = s9a;
        a9b = _mm_add_ps(t68, t98);
        s0b = _mm_sub_ps(_mm_set1_ps(0.0f), a9b);
        a0c = (a14 + 328);
        *(a0c) = s0b;
        {long i3; for(i3 = 0; i3 <= 2; i3++) {
            a6f = (32 * i3);
            a9j = ((__m128  *) T2);
            b2 = (a9j + a6f);
            a0k = (b2 + 32);
            s1b = *(a0k);
            a1k = (b2 + 48);
            s2b = *(a1k);
            a2k = (b2 + 33);
            s3b = *(a2k);
            a3k = (b2 + 49);
            s4b = *(a3k);
            a4k = (b2 + 34);
            s5b = *(a4k);
            a5k = (b2 + 50);
            s6b = *(a5k);
            a6k = (b2 + 35);
            s7b = *(a6k);
            a7k = (b2 + 51);
            s8b = *(a7k);
            a8k = (b2 + 36);
            s9b = *(a8k);
            a9k = (b2 + 52);
            s0c = *(a9k);
            a0l = (b2 + 37);
            s1c = *(a0l);
            a1l = (b2 + 53);
            s2c = *(a1l);
            a2l = (b2 + 38);
            s3c = *(a2l);
            a3l = (b2 + 54);
            s4c = *(a3l);
            a4l = (b2 + 39);
            s5c = *(a4l);
            a5l = (b2 + 55);
            s6c = *(a5l);
            a6l = (b2 + 40);
            s7c = *(a6l);
            a7l = (b2 + 56);
            s8c = *(a7l);
            a8l = (b2 + 41);
            s9c = *(a8l);
            a9l = (b2 + 57);
            s0d = *(a9l);
            a0m = (b2 + 42);
            s1d = *(a0m);
            a1m = (b2 + 58);
            s2d = *(a1m);
            a2m = (b2 + 43);
            s3d = *(a2m);
            a3m = (b2 + 59);
            s4d = *(a3m);
            a4m = (b2 + 44);
            s5d = *(a4m);
            a5m = (b2 + 60);
            s6d = *(a5m);
            a6m = (b2 + 45);
            s7d = *(a6m);
            a7m = (b2 + 61);
            s8d = *(a7m);
            a8m = (b2 + 46);
            s9d = *(a8m);
            a9m = (b2 + 62);
            s0e = *(a9m);
            a0n = (b2 + 47);
            s1e = *(a0n);
            a1n = (b2 + 63);
            s2e = *(a1n);
            a7f = (D12 + a6f);
            a8f = *(a7f);
            a2n = (a7f + 1);
            a9f = *(a2n);
            a3n = _mm_mul_ps(a8f, s1b);
            a4n = _mm_mul_ps(a9f, s2b);
            s3e = _mm_sub_ps(a3n, a4n);
            a5n = _mm_mul_ps(a9f, s1b);
            a6n = _mm_mul_ps(a8f, s2b);
            s4e = _mm_add_ps(a5n, a6n);
            a7n = (a7f + 2);
            a0g = *(a7n);
            a8n = (a7f + 3);
            a1g = *(a8n);
            a9n = _mm_mul_ps(a0g, s3b);
            a0o = _mm_mul_ps(a1g, s4b);
            s5e = _mm_sub_ps(a9n, a0o);
            a1o = _mm_mul_ps(a1g, s3b);
            a2o = _mm_mul_ps(a0g, s4b);
            s6e = _mm_add_ps(a1o, a2o);
            a3o = (a7f + 4);
            a2g = *(a3o);
            a4o = (a7f + 5);
            a3g = *(a4o);
            a5o = _mm_mul_ps(a2g, s5b);
            a6o = _mm_mul_ps(a3g, s6b);
            s7e = _mm_sub_ps(a5o, a6o);
            a7o = _mm_mul_ps(a3g, s5b);
            a8o = _mm_mul_ps(a2g, s6b);
            s8e = _mm_add_ps(a7o, a8o);
            a9o = (a7f + 6);
            a4g = *(a9o);
            a0p = (a7f + 7);
            a5g = *(a0p);
            a1p = _mm_mul_ps(a4g, s7b);
            a2p = _mm_mul_ps(a5g, s8b);
            s9e = _mm_sub_ps(a1p, a2p);
            a3p = _mm_mul_ps(a5g, s7b);
            a4p = _mm_mul_ps(a4g, s8b);
            s0f = _mm_add_ps(a3p, a4p);
            a5p = (a7f + 8);
            a6g = *(a5p);
            a6p = (a7f + 9);
            a7g = *(a6p);
            a7p = _mm_mul_ps(a6g, s9b);
            a8p = _mm_mul_ps(a7g, s0c);
            s1f = _mm_sub_ps(a7p, a8p);
            a9p = _mm_mul_ps(a7g, s9b);
            a0q = _mm_mul_ps(a6g, s0c);
            s2f = _mm_add_ps(a9p, a0q);
            a1q = (a7f + 10);
            a8g = *(a1q);
            a2q = (a7f + 11);
            a9g = *(a2q);
            a3q = _mm_mul_ps(a8g, s1c);
            a4q = _mm_mul_ps(a9g, s2c);
            s3f = _mm_sub_ps(a3q, a4q);
            a5q = _mm_mul_ps(a9g, s1c);
            a6q = _mm_mul_ps(a8g, s2c);
            s4f = _mm_add_ps(a5q, a6q);
            a7q = (a7f + 12);
            a0h = *(a7q);
            a8q = (a7f + 13);
            a1h = *(a8q);
            a9q = _mm_mul_ps(a0h, s3c);
            a0r = _mm_mul_ps(a1h, s4c);
            s5f = _mm_sub_ps(a9q, a0r);
            a1r = _mm_mul_ps(a1h, s3c);
            a2r = _mm_mul_ps(a0h, s4c);
            s6f = _mm_add_ps(a1r, a2r);
            a3r = (a7f + 14);
            a2h = *(a3r);
            a4r = (a7f + 15);
            a3h = *(a4r);
            a5r = _mm_mul_ps(a2h, s5c);
            a6r = _mm_mul_ps(a3h, s6c);
            s7f = _mm_sub_ps(a5r, a6r);
            a7r = _mm_mul_ps(a3h, s5c);
            a8r = _mm_mul_ps(a2h, s6c);
            s8f = _mm_add_ps(a7r, a8r);
            a9r = (a7f + 16);
            a4h = *(a9r);
            a0s = (a7f + 17);
            a5h = *(a0s);
            a1s = _mm_mul_ps(a4h, s7c);
            a2s = _mm_mul_ps(a5h, s8c);
            s9f = _mm_sub_ps(a1s, a2s);
            a3s = _mm_mul_ps(a5h, s7c);
            a4s = _mm_mul_ps(a4h, s8c);
            s0g = _mm_add_ps(a3s, a4s);
            a5s = (a7f + 18);
            a6h = *(a5s);
            a6s = (a7f + 19);
            a7h = *(a6s);
            a7s = _mm_mul_ps(a6h, s9c);
            a8s = _mm_mul_ps(a7h, s0d);
            s1g = _mm_sub_ps(a7s, a8s);
            a9s = _mm_mul_ps(a7h, s9c);
            a0t = _mm_mul_ps(a6h, s0d);
            s2g = _mm_add_ps(a9s, a0t);
            a1t = (a7f + 20);
            a8h = *(a1t);
            a2t = (a7f + 21);
            a9h = *(a2t);
            a3t = _mm_mul_ps(a8h, s1d);
            a4t = _mm_mul_ps(a9h, s2d);
            s3g = _mm_sub_ps(a3t, a4t);
            a5t = _mm_mul_ps(a9h, s1d);
            a6t = _mm_mul_ps(a8h, s2d);
            s4g = _mm_add_ps(a5t, a6t);
            a7t = (a7f + 22);
            a0i = *(a7t);
            a8t = (a7f + 23);
            a1i = *(a8t);
            a9t = _mm_mul_ps(a0i, s3d);
            a0u = _mm_mul_ps(a1i, s4d);
            s5g = _mm_sub_ps(a9t, a0u);
            a1u = _mm_mul_ps(a1i, s3d);
            a2u = _mm_mul_ps(a0i, s4d);
            s6g = _mm_add_ps(a1u, a2u);
            a3u = (a7f + 24);
            a2i = *(a3u);
            a4u = (a7f + 25);
            a3i = *(a4u);
            a5u = _mm_mul_ps(a2i, s5d);
            a6u = _mm_mul_ps(a3i, s6d);
            s7g = _mm_sub_ps(a5u, a6u);
            a7u = _mm_mul_ps(a3i, s5d);
            a8u = _mm_mul_ps(a2i, s6d);
            s8g = _mm_add_ps(a7u, a8u);
            a9u = (a7f + 26);
            a4i = *(a9u);
            a0v = (a7f + 27);
            a5i = *(a0v);
            a1v = _mm_mul_ps(a4i, s7d);
            a2v = _mm_mul_ps(a5i, s8d);
            s9g = _mm_sub_ps(a1v, a2v);
            a3v = _mm_mul_ps(a5i, s7d);
            a4v = _mm_mul_ps(a4i, s8d);
            s0h = _mm_add_ps(a3v, a4v);
            a5v = (a7f + 28);
            a6i = *(a5v);
            a6v = (a7f + 29);
            a7i = *(a6v);
            a7v = _mm_mul_ps(a6i, s9d);
            a8v = _mm_mul_ps(a7i, s0e);
            s1h = _mm_sub_ps(a7v, a8v);
            a9v = _mm_mul_ps(a7i, s9d);
            a0w = _mm_mul_ps(a6i, s0e);
            s2h = _mm_add_ps(a9v, a0w);
            a1w = (a7f + 30);
            a8i = *(a1w);
            a2w = (a7f + 31);
            a9i = *(a2w);
            a3w = _mm_mul_ps(a8i, s1e);
            a4w = _mm_mul_ps(a9i, s2e);
            s3h = _mm_sub_ps(a3w, a4w);
            a5w = _mm_mul_ps(a9i, s1e);
            a6w = _mm_mul_ps(a8i, s2e);
            s4h = _mm_add_ps(a5w, a6w);
            t19 = _mm_add_ps(s3e, s9f);
            t29 = _mm_add_ps(s4e, s0g);
            t39 = _mm_sub_ps(s3e, s9f);
            t49 = _mm_sub_ps(s4e, s0g);
            t59 = _mm_add_ps(s1f, s7g);
            t69 = _mm_add_ps(s2f, s8g);
            t79 = _mm_sub_ps(s1f, s7g);
            t89 = _mm_sub_ps(s2f, s8g);
            t99 = _mm_add_ps(t19, t59);
            t0a = _mm_add_ps(t29, t69);
            t1a = _mm_sub_ps(t19, t59);
            t2a = _mm_sub_ps(t29, t69);
            t3a = _mm_add_ps(t39, t89);
            t4a = _mm_sub_ps(t49, t79);
            t5a = _mm_sub_ps(t39, t89);
            t6a = _mm_add_ps(t49, t79);
            t7a = _mm_add_ps(s5e, s1g);
            t8a = _mm_add_ps(s6e, s2g);
            t9a = _mm_sub_ps(s5e, s1g);
            t0b = _mm_sub_ps(s6e, s2g);
            t1b = _mm_add_ps(s3f, s9g);
            t2b = _mm_add_ps(s4f, s0h);
            t3b = _mm_sub_ps(s3f, s9g);
            t4b = _mm_sub_ps(s4f, s0h);
            t5b = _mm_add_ps(t7a, t1b);
            t6b = _mm_add_ps(t8a, t2b);
            a7w = _mm_sub_ps(t7a, t1b);
            a0j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a7w);
            a8w = _mm_sub_ps(t8a, t2b);
            a1j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a8w);
            s5h = _mm_sub_ps(a0j, a1j);
            s6h = _mm_add_ps(a0j, a1j);
            t7b = _mm_add_ps(t9a, t4b);
            t8b = _mm_sub_ps(t0b, t3b);
            t9b = _mm_sub_ps(t9a, t4b);
            t0c = _mm_add_ps(t0b, t3b);
            a9w = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t7b);
            a0x = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t8b);
            s7h = _mm_sub_ps(a9w, a0x);
            a1x = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t7b);
            a2x = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8b);
            s8h = _mm_add_ps(a1x, a2x);
            a3x = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t9b);
            a4x = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t0c);
            s9h = _mm_sub_ps(a3x, a4x);
            a5x = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t9b);
            a6x = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t0c);
            s0i = _mm_add_ps(a5x, a6x);
            t1c = _mm_add_ps(s7e, s3g);
            t2c = _mm_add_ps(s8e, s4g);
            t3c = _mm_sub_ps(s7e, s3g);
            t4c = _mm_sub_ps(s8e, s4g);
            t5c = _mm_add_ps(s5f, s1h);
            t6c = _mm_add_ps(s6f, s2h);
            t7c = _mm_sub_ps(s5f, s1h);
            t8c = _mm_sub_ps(s6f, s2h);
            t9c = _mm_add_ps(t1c, t5c);
            t0d = _mm_add_ps(t2c, t6c);
            t1d = _mm_sub_ps(t1c, t5c);
            t2d = _mm_sub_ps(t2c, t6c);
            a7x = _mm_add_ps(t3c, t8c);
            a2j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a7x);
            a8x = _mm_sub_ps(t4c, t7c);
            a3j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a8x);
            s1i = _mm_sub_ps(a2j, a3j);
            s2i = _mm_add_ps(a2j, a3j);
            a9x = _mm_sub_ps(t3c, t8c);
            a4j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a9x);
            a0y = _mm_add_ps(t4c, t7c);
            a5j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a0y);
            s3i = _mm_sub_ps(a4j, a5j);
            s4i = _mm_add_ps(a4j, a5j);
            t3d = _mm_add_ps(s9e, s5g);
            t4d = _mm_add_ps(s0f, s6g);
            t5d = _mm_sub_ps(s9e, s5g);
            t6d = _mm_sub_ps(s0f, s6g);
            t7d = _mm_add_ps(s7f, s3h);
            t8d = _mm_add_ps(s8f, s4h);
            t9d = _mm_sub_ps(s7f, s3h);
            t0e = _mm_sub_ps(s8f, s4h);
            t1e = _mm_add_ps(t3d, t7d);
            t2e = _mm_add_ps(t4d, t8d);
            a1y = _mm_sub_ps(t3d, t7d);
            a6j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a1y);
            a2y = _mm_sub_ps(t4d, t8d);
            a7j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2y);
            s5i = _mm_sub_ps(a6j, a7j);
            s6i = _mm_add_ps(a6j, a7j);
            t3e = _mm_add_ps(t5d, t0e);
            t4e = _mm_sub_ps(t6d, t9d);
            t5e = _mm_sub_ps(t5d, t0e);
            t6e = _mm_add_ps(t6d, t9d);
            a3y = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3e);
            a4y = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t4e);
            s7i = _mm_sub_ps(a3y, a4y);
            a5y = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t3e);
            a6y = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4e);
            s8i = _mm_add_ps(a5y, a6y);
            a7y = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t5e);
            a8y = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6e);
            s9i = _mm_sub_ps(a7y, a8y);
            a9y = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5e);
            a0z = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t6e);
            s0j = _mm_add_ps(a9y, a0z);
            t7e = _mm_add_ps(t99, t9c);
            t8e = _mm_add_ps(t0a, t0d);
            t9e = _mm_sub_ps(t99, t9c);
            t0f = _mm_sub_ps(t0a, t0d);
            t1f = _mm_add_ps(t5b, t1e);
            t2f = _mm_add_ps(t6b, t2e);
            t3f = _mm_sub_ps(t5b, t1e);
            t4f = _mm_sub_ps(t6b, t2e);
            a8j = (16 * i3);
            a1z = ((__m128  *) T);
            b3 = (a1z + i);
            b4 = (b3 + a8j);
            s1j = _mm_add_ps(t7e, t1f);
            a2z = (b4 + 16);
            *(a2z) = s1j;
            s2j = _mm_add_ps(t8e, t2f);
            a3z = (b4 + 24);
            *(a3z) = s2j;
            b5 = (b3 - a8j);
            s3j = _mm_sub_ps(t7e, t1f);
            a4z = (b5 + 1008);
            *(a4z) = s3j;
            s4j = _mm_sub_ps(t2f, t8e);
            a5z = (b5 + 1016);
            *(a5z) = s4j;
            s5j = _mm_add_ps(t9e, t4f);
            a6z = (b4 + 528);
            *(a6z) = s5j;
            s6j = _mm_sub_ps(t0f, t3f);
            a7z = (b4 + 536);
            *(a7z) = s6j;
            s7j = _mm_sub_ps(t9e, t4f);
            a8z = (b5 + 496);
            *(a8z) = s7j;
            a9z = _mm_add_ps(t0f, t3f);
            s8j = _mm_sub_ps(_mm_set1_ps(0.0f), a9z);
            a0A = (b5 + 504);
            *(a0A) = s8j;
            t5f = _mm_add_ps(t3a, s1i);
            t6f = _mm_sub_ps(t4a, s2i);
            t7f = _mm_sub_ps(t3a, s1i);
            t8f = _mm_add_ps(t4a, s2i);
            t9f = _mm_add_ps(s7h, s7i);
            t0g = _mm_add_ps(s8h, s8i);
            t1g = _mm_sub_ps(s7h, s7i);
            t2g = _mm_sub_ps(s8h, s8i);
            s9j = _mm_add_ps(t5f, t9f);
            a1A = (b4 + 144);
            *(a1A) = s9j;
            s0k = _mm_add_ps(t6f, t0g);
            a2A = (b4 + 152);
            *(a2A) = s0k;
            s1k = _mm_sub_ps(t5f, t9f);
            a3A = (b5 + 880);
            *(a3A) = s1k;
            s2k = _mm_sub_ps(t0g, t6f);
            a4A = (b5 + 888);
            *(a4A) = s2k;
            s3k = _mm_add_ps(t7f, t2g);
            a5A = (b4 + 656);
            *(a5A) = s3k;
            s4k = _mm_sub_ps(t8f, t1g);
            a6A = (b4 + 664);
            *(a6A) = s4k;
            s5k = _mm_sub_ps(t7f, t2g);
            a7A = (b5 + 368);
            *(a7A) = s5k;
            a8A = _mm_add_ps(t8f, t1g);
            s6k = _mm_sub_ps(_mm_set1_ps(0.0f), a8A);
            a9A = (b5 + 376);
            *(a9A) = s6k;
            t3g = _mm_add_ps(t1a, t2d);
            t4g = _mm_sub_ps(t2a, t1d);
            t5g = _mm_sub_ps(t1a, t2d);
            t6g = _mm_add_ps(t2a, t1d);
            t7g = _mm_add_ps(s5h, s5i);
            t8g = _mm_sub_ps(s6i, s6h);
            t9g = _mm_sub_ps(s5h, s5i);
            t0h = _mm_add_ps(s6h, s6i);
            s7k = _mm_add_ps(t3g, t7g);
            a0B = (b4 + 272);
            *(a0B) = s7k;
            s8k = _mm_add_ps(t4g, t8g);
            a1B = (b4 + 280);
            *(a1B) = s8k;
            s9k = _mm_sub_ps(t3g, t7g);
            a2B = (b5 + 752);
            *(a2B) = s9k;
            s0l = _mm_sub_ps(t8g, t4g);
            a3B = (b5 + 760);
            *(a3B) = s0l;
            s1l = _mm_sub_ps(t5g, t0h);
            a4B = (b4 + 784);
            *(a4B) = s1l;
            s2l = _mm_sub_ps(t6g, t9g);
            a5B = (b4 + 792);
            *(a5B) = s2l;
            s3l = _mm_add_ps(t5g, t0h);
            a6B = (b5 + 240);
            *(a6B) = s3l;
            a7B = _mm_add_ps(t6g, t9g);
            s4l = _mm_sub_ps(_mm_set1_ps(0.0f), a7B);
            a8B = (b5 + 248);
            *(a8B) = s4l;
            t1h = _mm_add_ps(t5a, s3i);
            t2h = _mm_add_ps(t6a, s4i);
            t3h = _mm_sub_ps(t5a, s3i);
            t4h = _mm_sub_ps(t6a, s4i);
            t5h = _mm_add_ps(s9h, s9i);
            t6h = _mm_add_ps(s0i, s0j);
            t7h = _mm_sub_ps(s9h, s9i);
            t8h = _mm_sub_ps(s0i, s0j);
            s5l = _mm_add_ps(t1h, t5h);
            a9B = (b4 + 400);
            *(a9B) = s5l;
            s6l = _mm_add_ps(t2h, t6h);
            a0C = (b4 + 408);
            *(a0C) = s6l;
            s7l = _mm_sub_ps(t1h, t5h);
            a1C = (b5 + 624);
            *(a1C) = s7l;
            s8l = _mm_sub_ps(t6h, t2h);
            a2C = (b5 + 632);
            *(a2C) = s8l;
            s9l = _mm_add_ps(t3h, t8h);
            a3C = (b4 + 912);
            *(a3C) = s9l;
            s0m = _mm_sub_ps(t4h, t7h);
            a4C = (b4 + 920);
            *(a4C) = s0m;
            s1m = _mm_sub_ps(t3h, t8h);
            a5C = (b5 + 112);
            *(a5C) = s1m;
            a6C = _mm_add_ps(t4h, t7h);
            s2m = _mm_sub_ps(_mm_set1_ps(0.0f), a6C);
            a7C = (b5 + 120);
            *(a7C) = s2m;
        }}
    }}
    a8C = ((__m128  *) T);
    s3m = *(a8C);
    a4R = (a8C + 8);
    s4m = *(a4R);
    t9h = _mm_add_ps(s3m, s4m);
    t0i = _mm_sub_ps(s3m, s4m);
    a5R = (a8C + 4);
    s5m = *(a5R);
    a6R = (a8C + 12);
    s6m = *(a6R);
    t1i = _mm_add_ps(s5m, s6m);
    t2i = _mm_sub_ps(s5m, s6m);
    a7R = (a8C + 1);
    s7m = *(a7R);
    a8R = (a8C + 9);
    s8m = *(a8R);
    t3i = _mm_add_ps(s7m, s8m);
    t4i = _mm_sub_ps(s7m, s8m);
    a9R = (a8C + 5);
    s9m = *(a9R);
    a0S = (a8C + 13);
    s0n = *(a0S);
    t5i = _mm_add_ps(s9m, s0n);
    t6i = _mm_sub_ps(s9m, s0n);
    a1S = (a8C + 2);
    s1n = *(a1S);
    a2S = (a8C + 10);
    s2n = *(a2S);
    t7i = _mm_add_ps(s1n, s2n);
    t8i = _mm_sub_ps(s1n, s2n);
    a3S = (a8C + 6);
    s3n = *(a3S);
    a4S = (a8C + 14);
    s4n = *(a4S);
    t9i = _mm_add_ps(s3n, s4n);
    t0j = _mm_sub_ps(s3n, s4n);
    a5S = (a8C + 3);
    s5n = *(a5S);
    a6S = (a8C + 11);
    s6n = *(a6S);
    t1j = _mm_add_ps(s5n, s6n);
    t2j = _mm_sub_ps(s5n, s6n);
    a7S = (a8C + 7);
    s7n = *(a7S);
    a8S = (a8C + 15);
    s8n = *(a8S);
    t3j = _mm_add_ps(s7n, s8n);
    t4j = _mm_sub_ps(s7n, s8n);
    s9n = _mm_shuffle_ps(t9h, t3i, _MM_SHUFFLE(2, 0, 2, 0));
    s0o = _mm_shuffle_ps(t9h, t3i, _MM_SHUFFLE(3, 1, 3, 1));
    s1o = _mm_shuffle_ps(t1i, t5i, _MM_SHUFFLE(2, 0, 2, 0));
    s2o = _mm_shuffle_ps(t1i, t5i, _MM_SHUFFLE(3, 1, 3, 1));
    t5j = _mm_add_ps(s9n, s1o);
    t6j = _mm_add_ps(s0o, s2o);
    t7j = _mm_sub_ps(s9n, s1o);
    t8j = _mm_sub_ps(s0o, s2o);
    s3o = _mm_shuffle_ps(t7i, t1j, _MM_SHUFFLE(2, 0, 2, 0));
    s4o = _mm_shuffle_ps(t7i, t1j, _MM_SHUFFLE(3, 1, 3, 1));
    s5o = _mm_shuffle_ps(t9i, t3j, _MM_SHUFFLE(2, 0, 2, 0));
    s6o = _mm_shuffle_ps(t9i, t3j, _MM_SHUFFLE(3, 1, 3, 1));
    t9j = _mm_add_ps(s3o, s5o);
    t0k = _mm_add_ps(s4o, s6o);
    t1k = _mm_sub_ps(s3o, s5o);
    t2k = _mm_sub_ps(s4o, s6o);
    t3k = _mm_add_ps(t5j, t9j);
    t4k = _mm_add_ps(t6j, t0k);
    t5k = _mm_sub_ps(t5j, t9j);
    t6k = _mm_sub_ps(t6j, t0k);
    t7k = _mm_add_ps(t7j, t2k);
    t8k = _mm_sub_ps(t8j, t1k);
    t9k = _mm_sub_ps(t7j, t2k);
    t0l = _mm_add_ps(t8j, t1k);
    s7o = _mm_unpacklo_ps(t3k, t7k);
    s8o = _mm_unpackhi_ps(t3k, t7k);
    s9o = _mm_unpacklo_ps(t4k, t8k);
    s0p = _mm_unpackhi_ps(t4k, t8k);
    s1p = _mm_unpacklo_ps(t5k, t9k);
    s2p = _mm_unpackhi_ps(t5k, t9k);
    s3p = _mm_unpacklo_ps(t6k, t0l);
    s4p = _mm_unpackhi_ps(t6k, t0l);
    s5p = _mm_shuffle_ps(s7o, s1p, _MM_SHUFFLE(1, 0, 1, 0));
    s6p = _mm_shuffle_ps(s7o, s1p, _MM_SHUFFLE(3, 2, 3, 2));
    s7p = _mm_shuffle_ps(s8o, s2p, _MM_SHUFFLE(1, 0, 1, 0));
    s8p = _mm_shuffle_ps(s8o, s2p, _MM_SHUFFLE(3, 2, 3, 2));
    s9p = _mm_shuffle_ps(s9o, s3p, _MM_SHUFFLE(1, 0, 1, 0));
    s0q = _mm_shuffle_ps(s9o, s3p, _MM_SHUFFLE(3, 2, 3, 2));
    s1q = _mm_shuffle_ps(s0p, s4p, _MM_SHUFFLE(1, 0, 1, 0));
    s2q = _mm_shuffle_ps(s0p, s4p, _MM_SHUFFLE(3, 2, 3, 2));
    a9C = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7p);
    a0D = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s1q);
    s3q = _mm_sub_ps(a9C, a0D);
    a1D = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7p);
    a2D = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1q);
    s4q = _mm_add_ps(a1D, a2D);
    t1l = _mm_add_ps(s5p, s3q);
    t2l = _mm_add_ps(s9p, s4q);
    t3l = _mm_sub_ps(s5p, s3q);
    t4l = _mm_sub_ps(s9p, s4q);
    a3D = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6p);
    a4D = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s0q);
    s5q = _mm_sub_ps(a3D, a4D);
    a5D = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s6p);
    a6D = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0q);
    s6q = _mm_add_ps(a5D, a6D);
    a7D = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8p);
    a8D = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s2q);
    s7q = _mm_sub_ps(a7D, a8D);
    a9D = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s8p);
    a0E = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2q);
    s8q = _mm_add_ps(a9D, a0E);
    t5l = _mm_add_ps(s5q, s7q);
    t6l = _mm_add_ps(s6q, s8q);
    t7l = _mm_sub_ps(s5q, s7q);
    t8l = _mm_sub_ps(s6q, s8q);
    t9l = _mm_add_ps(t1l, t5l);
    t0m = _mm_add_ps(t2l, t6l);
    t1m = _mm_sub_ps(t1l, t5l);
    t2m = _mm_sub_ps(t2l, t6l);
    t3m = _mm_add_ps(t3l, t8l);
    t4m = _mm_sub_ps(t4l, t7l);
    t5m = _mm_sub_ps(t3l, t8l);
    t6m = _mm_add_ps(t4l, t7l);
    a1E = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t9l);
    a2E = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t0m);
    s9q = _mm_sub_ps(a1E, a2E);
    a3E = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t9l);
    a4E = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t0m);
    s0r = _mm_add_ps(a3E, a4E);
    a5E = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t3m);
    a6E = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t4m);
    s1r = _mm_sub_ps(a5E, a6E);
    a7E = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t3m);
    a8E = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t4m);
    s2r = _mm_add_ps(a7E, a8E);
    a9E = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t1m);
    a0F = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t2m);
    s3r = _mm_sub_ps(a9E, a0F);
    a1F = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t1m);
    a2F = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t2m);
    s4r = _mm_add_ps(a1F, a2F);
    a3F = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t5m);
    a4F = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t6m);
    s5r = _mm_sub_ps(a3F, a4F);
    a5F = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t5m);
    a6F = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t6m);
    s6r = _mm_add_ps(a5F, a6F);
    a9F = _mm_shuffle_ps(_mm_set1_ps(0.0f), t5m, _MM_SHUFFLE(3, 2, 1, 0));
    a8F = _mm_shuffle_ps(a9F, t5m, _MM_SHUFFLE(1, 2, 3, 0));
    a2G = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9q);
    a3G = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s0r);
    a1G = _mm_add_ps(a2G, a3G);
    a5G = _mm_shuffle_ps(_mm_set1_ps(0.0f), s5r, _MM_SHUFFLE(3, 2, 1, 0));
    a4G = _mm_shuffle_ps(a5G, s5r, _MM_SHUFFLE(1, 2, 3, 0));
    a0G = _mm_sub_ps(a1G, a4G);
    b6 = _mm_add_ps(t9l, a8F);
    a7F = _mm_add_ps(b6, a0G);
    s7r = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a7F);
    a8G = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t0m);
    a0H = _mm_shuffle_ps(_mm_set1_ps(0.0f), t6m, _MM_SHUFFLE(3, 2, 1, 0));
    a9G = _mm_shuffle_ps(a0H, t6m, _MM_SHUFFLE(1, 2, 3, 0));
    a7G = _mm_sub_ps(a8G, a9G);
    a1H = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9q);
    a2H = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s0r);
    a4H = _mm_shuffle_ps(_mm_set1_ps(0.0f), s6r, _MM_SHUFFLE(3, 2, 1, 0));
    a3H = _mm_shuffle_ps(a4H, s6r, _MM_SHUFFLE(1, 2, 3, 0));
    b7 = _mm_add_ps(a7G, a1H);
    b8 = _mm_add_ps(b7, a2H);
    a6G = _mm_add_ps(b8, a3H);
    s8r = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a6G);
    a7H = _mm_shuffle_ps(t5m, t1m, _MM_SHUFFLE(3, 2, 1, 0));
    a6H = _mm_shuffle_ps(a7H, t1m, _MM_SHUFFLE(1, 2, 3, 0));
    a0I = _mm_shuffle_ps(s5r, s3r, _MM_SHUFFLE(3, 2, 1, 0));
    a9H = _mm_shuffle_ps(a0I, s3r, _MM_SHUFFLE(1, 2, 3, 0));
    a8H = _mm_sub_ps(s1r, a9H);
    b9 = _mm_add_ps(t3m, a6H);
    a5H = _mm_add_ps(b9, a8H);
    s9r = _mm_mul_ps(_mm_set1_ps(0.5f), a5H);
    a4I = _mm_shuffle_ps(t6m, t2m, _MM_SHUFFLE(3, 2, 1, 0));
    a3I = _mm_shuffle_ps(a4I, t2m, _MM_SHUFFLE(1, 2, 3, 0));
    a2I = _mm_sub_ps(t4m, a3I);
    a6I = _mm_shuffle_ps(s6r, s4r, _MM_SHUFFLE(3, 2, 1, 0));
    a5I = _mm_shuffle_ps(a6I, s4r, _MM_SHUFFLE(1, 2, 3, 0));
    b01 = _mm_add_ps(a2I, s2r);
    a1I = _mm_add_ps(b01, a5I);
    s0s = _mm_mul_ps(_mm_set1_ps(0.5f), a1I);
    a9I = _mm_shuffle_ps(t1m, t3m, _MM_SHUFFLE(3, 2, 1, 0));
    a8I = _mm_shuffle_ps(a9I, t3m, _MM_SHUFFLE(1, 2, 3, 0));
    a2J = _mm_shuffle_ps(s3r, s1r, _MM_SHUFFLE(3, 2, 1, 0));
    a1J = _mm_shuffle_ps(a2J, s1r, _MM_SHUFFLE(1, 2, 3, 0));
    a0J = _mm_sub_ps(s3r, a1J);
    b11 = _mm_add_ps(t1m, a8I);
    a7I = _mm_add_ps(b11, a0J);
    s1s = _mm_mul_ps(_mm_set1_ps(0.5f), a7I);
    a6J = _mm_shuffle_ps(t2m, t4m, _MM_SHUFFLE(3, 2, 1, 0));
    a5J = _mm_shuffle_ps(a6J, t4m, _MM_SHUFFLE(1, 2, 3, 0));
    a4J = _mm_sub_ps(t2m, a5J);
    a8J = _mm_shuffle_ps(s4r, s2r, _MM_SHUFFLE(3, 2, 1, 0));
    a7J = _mm_shuffle_ps(a8J, s2r, _MM_SHUFFLE(1, 2, 3, 0));
    b21 = _mm_add_ps(a4J, s4r);
    a3J = _mm_add_ps(b21, a7J);
    s2s = _mm_mul_ps(_mm_set1_ps(0.5f), a3J);
    a1K = _mm_shuffle_ps(t3m, t9l, _MM_SHUFFLE(3, 2, 1, 0));
    a0K = _mm_shuffle_ps(a1K, t9l, _MM_SHUFFLE(1, 2, 3, 0));
    a4K = _mm_shuffle_ps(s1r, s9q, _MM_SHUFFLE(3, 2, 1, 0));
    a3K = _mm_shuffle_ps(a4K, s9q, _MM_SHUFFLE(1, 2, 3, 0));
    a2K = _mm_sub_ps(s5r, a3K);
    b31 = _mm_add_ps(t5m, a0K);
    a9J = _mm_add_ps(b31, a2K);
    s3s = _mm_mul_ps(_mm_set1_ps(0.5f), a9J);
    a8K = _mm_shuffle_ps(t4m, t0m, _MM_SHUFFLE(3, 2, 1, 0));
    a7K = _mm_shuffle_ps(a8K, t0m, _MM_SHUFFLE(1, 2, 3, 0));
    a6K = _mm_sub_ps(t6m, a7K);
    a0L = _mm_shuffle_ps(s2r, s0r, _MM_SHUFFLE(3, 2, 1, 0));
    a9K = _mm_shuffle_ps(a0L, s0r, _MM_SHUFFLE(1, 2, 3, 0));
    b41 = _mm_add_ps(a6K, s6r);
    a5K = _mm_add_ps(b41, a9K);
    s4s = _mm_mul_ps(_mm_set1_ps(0.5f), a5K);
    s5s = _mm_unpacklo_ps(s7r, s8r);
    s6s = _mm_unpackhi_ps(s7r, s8r);
    _mm_storel_pi(((__m64  *) dst), s5s);
    a1L = (dst + 256);
    _mm_storeh_pi(((__m64  *) a1L), s5s);
    a2L = (dst + 512);
    _mm_storel_pi(((__m64  *) a2L), s6s);
    a3L = (dst + 768);
    _mm_storeh_pi(((__m64  *) a3L), s6s);
    s7s = _mm_unpacklo_ps(s9r, s0s);
    s8s = _mm_unpackhi_ps(s9r, s0s);
    a4L = (dst + 1024);
    _mm_storel_pi(((__m64  *) a4L), s7s);
    a5L = (dst + 1280);
    _mm_storeh_pi(((__m64  *) a5L), s7s);
    a6L = (dst + 1536);
    _mm_storel_pi(((__m64  *) a6L), s8s);
    a7L = (dst + 1792);
    _mm_storeh_pi(((__m64  *) a7L), s8s);
    s9s = _mm_unpacklo_ps(s1s, s2s);
    s0t = _mm_unpackhi_ps(s1s, s2s);
    a8L = (dst + 2048);
    _mm_storel_pi(((__m64  *) a8L), s9s);
    a9L = (dst + 2304);
    _mm_storeh_pi(((__m64  *) a9L), s9s);
    a0M = (dst + 2560);
    _mm_storel_pi(((__m64  *) a0M), s0t);
    a1M = (dst + 2816);
    _mm_storeh_pi(((__m64  *) a1M), s0t);
    s1t = _mm_unpacklo_ps(s3s, s4s);
    s2t = _mm_unpackhi_ps(s3s, s4s);
    a2M = (dst + 3072);
    _mm_storel_pi(((__m64  *) a2M), s1t);
    a3M = (dst + 3328);
    _mm_storeh_pi(((__m64  *) a3M), s1t);
    a4M = (dst + 3584);
    _mm_storel_pi(((__m64  *) a4M), s2t);
    a5M = (dst + 3840);
    _mm_storeh_pi(((__m64  *) a5M), s2t);
    a6M = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t0i);
    a7M = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t2i);
    s3t = _mm_add_ps(a6M, a7M);
    a8M = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t0i);
    a9M = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t2i);
    s4t = _mm_sub_ps(a8M, a9M);
    a0N = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t8i);
    a1N = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t0j);
    s5t = _mm_add_ps(a0N, a1N);
    a2N = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t8i);
    a3N = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t0j);
    s6t = _mm_sub_ps(a2N, a3N);
    t7m = _mm_add_ps(s3t, s5t);
    t8m = _mm_add_ps(s4t, s6t);
    t9m = _mm_sub_ps(s3t, s5t);
    t0n = _mm_sub_ps(s4t, s6t);
    a4N = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t4i);
    a5N = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t6i);
    s7t = _mm_add_ps(a4N, a5N);
    a6N = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t4i);
    a7N = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t6i);
    s8t = _mm_sub_ps(a6N, a7N);
    a8N = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t2j);
    a9N = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t4j);
    s9t = _mm_add_ps(a8N, a9N);
    a0O = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t2j);
    a1O = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t4j);
    s0u = _mm_sub_ps(a0O, a1O);
    t1n = _mm_add_ps(s7t, s9t);
    t2n = _mm_add_ps(s8t, s0u);
    t3n = _mm_sub_ps(s7t, s9t);
    t4n = _mm_sub_ps(s8t, s0u);
    t5n = _mm_add_ps(t7m, t1n);
    t6n = _mm_add_ps(t8m, t2n);
    t7n = _mm_sub_ps(t7m, t1n);
    t8n = _mm_sub_ps(t8m, t2n);
    t9n = _mm_add_ps(t9m, t4n);
    t0o = _mm_sub_ps(t0n, t3n);
    t1o = _mm_sub_ps(t9m, t4n);
    t2o = _mm_add_ps(t0n, t3n);
    s1u = _mm_unpacklo_ps(t5n, t9n);
    s2u = _mm_unpackhi_ps(t5n, t9n);
    s3u = _mm_unpacklo_ps(t6n, t0o);
    s4u = _mm_unpackhi_ps(t6n, t0o);
    s5u = _mm_unpacklo_ps(t7n, t1o);
    s6u = _mm_unpackhi_ps(t7n, t1o);
    s7u = _mm_unpacklo_ps(t8n, t2o);
    s8u = _mm_unpackhi_ps(t8n, t2o);
    s9u = _mm_shuffle_ps(s1u, s5u, _MM_SHUFFLE(1, 0, 1, 0));
    s0v = _mm_shuffle_ps(s1u, s5u, _MM_SHUFFLE(3, 2, 3, 2));
    s1v = _mm_shuffle_ps(s2u, s6u, _MM_SHUFFLE(1, 0, 1, 0));
    s2v = _mm_shuffle_ps(s2u, s6u, _MM_SHUFFLE(3, 2, 3, 2));
    s3v = _mm_shuffle_ps(s3u, s7u, _MM_SHUFFLE(1, 0, 1, 0));
    s4v = _mm_shuffle_ps(s3u, s7u, _MM_SHUFFLE(3, 2, 3, 2));
    s5v = _mm_shuffle_ps(s4u, s8u, _MM_SHUFFLE(1, 0, 1, 0));
    s6v = _mm_shuffle_ps(s4u, s8u, _MM_SHUFFLE(3, 2, 3, 2));
    a2O = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1v);
    a3O = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s5v);
    s7v = _mm_sub_ps(a2O, a3O);
    a4O = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s1v);
    a5O = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s5v);
    s8v = _mm_add_ps(a4O, a5O);
    t3o = _mm_add_ps(s9u, s7v);
    t4o = _mm_add_ps(s3v, s8v);
    t5o = _mm_sub_ps(s9u, s7v);
    t6o = _mm_sub_ps(s3v, s8v);
    a6O = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0v);
    a7O = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s4v);
    s9v = _mm_sub_ps(a6O, a7O);
    a8O = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s0v);
    a9O = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s4v);
    s0w = _mm_add_ps(a8O, a9O);
    a0P = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2v);
    a1P = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s6v);
    s1w = _mm_sub_ps(a0P, a1P);
    a2P = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s2v);
    a3P = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s6v);
    s2w = _mm_add_ps(a2P, a3P);
    t7o = _mm_add_ps(s9v, s1w);
    t8o = _mm_add_ps(s0w, s2w);
    t9o = _mm_sub_ps(s9v, s1w);
    t0p = _mm_sub_ps(s0w, s2w);
    t1p = _mm_add_ps(t3o, t7o);
    t2p = _mm_add_ps(t4o, t8o);
    t3p = _mm_sub_ps(t3o, t7o);
    t4p = _mm_sub_ps(t4o, t8o);
    s3w = _mm_unpacklo_ps(t1p, t2p);
    s4w = _mm_unpackhi_ps(t1p, t2p);
    a4P = (dst + 128);
    _mm_storel_pi(((__m64  *) a4P), s3w);
    a5P = (dst + 640);
    _mm_storeh_pi(((__m64  *) a5P), s3w);
    a6P = (dst + 1152);
    _mm_storel_pi(((__m64  *) a6P), s4w);
    a7P = (dst + 1664);
    _mm_storeh_pi(((__m64  *) a7P), s4w);
    a8P = _mm_unpacklo_ps(t3p, t4p);
    s5w = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8P);
    a9P = _mm_unpackhi_ps(t3p, t4p);
    s6w = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9P);
    a0Q = (dst + 3968);
    _mm_storel_pi(((__m64  *) a0Q), s5w);
    a1Q = (dst + 3456);
    _mm_storeh_pi(((__m64  *) a1Q), s5w);
    a2Q = (dst + 2944);
    _mm_storel_pi(((__m64  *) a2Q), s6w);
    a3Q = (dst + 2432);
    _mm_storeh_pi(((__m64  *) a3Q), s6w);
    t5p = _mm_add_ps(t5o, t0p);
    t6p = _mm_sub_ps(t6o, t9o);
    t7p = _mm_sub_ps(t5o, t0p);
    t8p = _mm_add_ps(t6o, t9o);
    s7w = _mm_unpacklo_ps(t5p, t6p);
    s8w = _mm_unpackhi_ps(t5p, t6p);
    a4Q = (dst + 2176);
    _mm_storel_pi(((__m64  *) a4Q), s7w);
    a5Q = (dst + 2688);
    _mm_storeh_pi(((__m64  *) a5Q), s7w);
    a6Q = (dst + 3200);
    _mm_storel_pi(((__m64  *) a6Q), s8w);
    a7Q = (dst + 3712);
    _mm_storeh_pi(((__m64  *) a7Q), s8w);
    a8Q = _mm_unpacklo_ps(t7p, t8p);
    s9w = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8Q);
    a9Q = _mm_unpackhi_ps(t7p, t8p);
    s0x = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9Q);
    a0R = (dst + 1920);
    _mm_storel_pi(((__m64  *) a0R), s9w);
    a1R = (dst + 1408);
    _mm_storeh_pi(((__m64  *) a1R), s9w);
    a2R = (dst + 896);
    _mm_storel_pi(((__m64  *) a2R), s0x);
    a3R = (dst + 384);
    _mm_storeh_pi(((__m64  *) a3R), s0x);
    {long i4; for(i4 = 0; i4 <= 62; i4++) {
        a9S = (16 * i4);
        a2V = ((__m128  *) T);
        b51 = (a2V + a9S);
        a3V = (b51 + 16);
        s1x = *(a3V);
        a4V = (b51 + 24);
        s2x = *(a4V);
        a5V = (b51 + 20);
        s3x = *(a5V);
        a6V = (b51 + 28);
        s4x = *(a6V);
        a0T = (D11 + a9S);
        a1T = *(a0T);
        a7V = (a0T + 1);
        a2T = *(a7V);
        a8V = _mm_mul_ps(a1T, s1x);
        a9V = _mm_mul_ps(a2T, s2x);
        s5x = _mm_sub_ps(a8V, a9V);
        a0W = _mm_mul_ps(a2T, s1x);
        a1W = _mm_mul_ps(a1T, s2x);
        s6x = _mm_add_ps(a0W, a1W);
        a2W = (a0T + 2);
        a3T = *(a2W);
        a3W = (a0T + 3);
        a4T = *(a3W);
        a4W = _mm_mul_ps(a3T, s3x);
        a5W = _mm_mul_ps(a4T, s4x);
        s7x = _mm_sub_ps(a4W, a5W);
        a6W = _mm_mul_ps(a4T, s3x);
        a7W = _mm_mul_ps(a3T, s4x);
        s8x = _mm_add_ps(a6W, a7W);
        t9p = _mm_add_ps(s5x, s7x);
        t0q = _mm_add_ps(s6x, s8x);
        t1q = _mm_sub_ps(s5x, s7x);
        t2q = _mm_sub_ps(s6x, s8x);
        a8W = (b51 + 18);
        s9x = *(a8W);
        a9W = (b51 + 26);
        s0y = *(a9W);
        a0X = (b51 + 22);
        s1y = *(a0X);
        a1X = (b51 + 30);
        s2y = *(a1X);
        a2X = (a0T + 4);
        a5T = *(a2X);
        a3X = (a0T + 5);
        a6T = *(a3X);
        a4X = _mm_mul_ps(a5T, s9x);
        a5X = _mm_mul_ps(a6T, s0y);
        s3y = _mm_sub_ps(a4X, a5X);
        a6X = _mm_mul_ps(a6T, s9x);
        a7X = _mm_mul_ps(a5T, s0y);
        s4y = _mm_add_ps(a6X, a7X);
        a8X = (a0T + 6);
        a7T = *(a8X);
        a9X = (a0T + 7);
        a8T = *(a9X);
        a0Y = _mm_mul_ps(a7T, s1y);
        a1Y = _mm_mul_ps(a8T, s2y);
        s5y = _mm_sub_ps(a0Y, a1Y);
        a2Y = _mm_mul_ps(a8T, s1y);
        a3Y = _mm_mul_ps(a7T, s2y);
        s6y = _mm_add_ps(a2Y, a3Y);
        t3q = _mm_add_ps(s3y, s5y);
        t4q = _mm_add_ps(s4y, s6y);
        t5q = _mm_sub_ps(s3y, s5y);
        t6q = _mm_sub_ps(s4y, s6y);
        t7q = _mm_add_ps(t9p, t3q);
        t8q = _mm_add_ps(t0q, t4q);
        t9q = _mm_sub_ps(t9p, t3q);
        t0r = _mm_sub_ps(t0q, t4q);
        t1r = _mm_add_ps(t1q, t6q);
        t2r = _mm_sub_ps(t2q, t5q);
        t3r = _mm_sub_ps(t1q, t6q);
        t4r = _mm_add_ps(t2q, t5q);
        s7y = _mm_unpacklo_ps(t7q, t1r);
        s8y = _mm_unpackhi_ps(t7q, t1r);
        s9y = _mm_unpacklo_ps(t8q, t2r);
        s0z = _mm_unpackhi_ps(t8q, t2r);
        s1z = _mm_unpacklo_ps(t9q, t3r);
        s2z = _mm_unpackhi_ps(t9q, t3r);
        s3z = _mm_unpacklo_ps(t0r, t4r);
        s4z = _mm_unpackhi_ps(t0r, t4r);
        s5z = _mm_shuffle_ps(s7y, s1z, _MM_SHUFFLE(1, 0, 1, 0));
        s6z = _mm_shuffle_ps(s7y, s1z, _MM_SHUFFLE(3, 2, 3, 2));
        s7z = _mm_shuffle_ps(s8y, s2z, _MM_SHUFFLE(1, 0, 1, 0));
        s8z = _mm_shuffle_ps(s8y, s2z, _MM_SHUFFLE(3, 2, 3, 2));
        s9z = _mm_shuffle_ps(s9y, s3z, _MM_SHUFFLE(1, 0, 1, 0));
        s0A = _mm_shuffle_ps(s9y, s3z, _MM_SHUFFLE(3, 2, 3, 2));
        s1A = _mm_shuffle_ps(s0z, s4z, _MM_SHUFFLE(1, 0, 1, 0));
        s2A = _mm_shuffle_ps(s0z, s4z, _MM_SHUFFLE(3, 2, 3, 2));
        a4Y = (b51 + 17);
        s3A = *(a4Y);
        a5Y = (b51 + 25);
        s4A = *(a5Y);
        a6Y = (b51 + 21);
        s5A = *(a6Y);
        a7Y = (b51 + 29);
        s6A = *(a7Y);
        a8Y = (a0T + 8);
        a9T = *(a8Y);
        a9Y = (a0T + 9);
        a0U = *(a9Y);
        a0Z = _mm_mul_ps(a9T, s3A);
        a1Z = _mm_mul_ps(a0U, s4A);
        s7A = _mm_sub_ps(a0Z, a1Z);
        a2Z = _mm_mul_ps(a0U, s3A);
        a3Z = _mm_mul_ps(a9T, s4A);
        s8A = _mm_add_ps(a2Z, a3Z);
        a4Z = (a0T + 10);
        a1U = *(a4Z);
        a5Z = (a0T + 11);
        a2U = *(a5Z);
        a6Z = _mm_mul_ps(a1U, s5A);
        a7Z = _mm_mul_ps(a2U, s6A);
        s9A = _mm_sub_ps(a6Z, a7Z);
        a8Z = _mm_mul_ps(a2U, s5A);
        a9Z = _mm_mul_ps(a1U, s6A);
        s0B = _mm_add_ps(a8Z, a9Z);
        t5r = _mm_add_ps(s7A, s9A);
        t6r = _mm_add_ps(s8A, s0B);
        t7r = _mm_sub_ps(s7A, s9A);
        t8r = _mm_sub_ps(s8A, s0B);
        a010 = (b51 + 19);
        s1B = *(a010);
        a110 = (b51 + 27);
        s2B = *(a110);
        a210 = (b51 + 23);
        s3B = *(a210);
        a310 = (b51 + 31);
        s4B = *(a310);
        a410 = (a0T + 12);
        a3U = *(a410);
        a510 = (a0T + 13);
        a4U = *(a510);
        a610 = _mm_mul_ps(a3U, s1B);
        a710 = _mm_mul_ps(a4U, s2B);
        s5B = _mm_sub_ps(a610, a710);
        a810 = _mm_mul_ps(a4U, s1B);
        a910 = _mm_mul_ps(a3U, s2B);
        s6B = _mm_add_ps(a810, a910);
        a011 = (a0T + 14);
        a5U = *(a011);
        a111 = (a0T + 15);
        a6U = *(a111);
        a211 = _mm_mul_ps(a5U, s3B);
        a311 = _mm_mul_ps(a6U, s4B);
        s7B = _mm_sub_ps(a211, a311);
        a411 = _mm_mul_ps(a6U, s3B);
        a511 = _mm_mul_ps(a5U, s4B);
        s8B = _mm_add_ps(a411, a511);
        t9r = _mm_add_ps(s5B, s7B);
        t0s = _mm_add_ps(s6B, s8B);
        t1s = _mm_sub_ps(s5B, s7B);
        t2s = _mm_sub_ps(s6B, s8B);
        t3s = _mm_add_ps(t5r, t9r);
        t4s = _mm_add_ps(t6r, t0s);
        t5s = _mm_sub_ps(t5r, t9r);
        t6s = _mm_sub_ps(t6r, t0s);
        t7s = _mm_add_ps(t7r, t2s);
        t8s = _mm_sub_ps(t8r, t1s);
        t9s = _mm_sub_ps(t7r, t2s);
        t0t = _mm_add_ps(t8r, t1s);
        s9B = _mm_unpacklo_ps(t3s, t7s);
        s0C = _mm_unpackhi_ps(t3s, t7s);
        s1C = _mm_unpacklo_ps(t4s, t8s);
        s2C = _mm_unpackhi_ps(t4s, t8s);
        s3C = _mm_unpacklo_ps(t5s, t9s);
        s4C = _mm_unpackhi_ps(t5s, t9s);
        s5C = _mm_unpacklo_ps(t6s, t0t);
        s6C = _mm_unpackhi_ps(t6s, t0t);
        s7C = _mm_shuffle_ps(s9B, s3C, _MM_SHUFFLE(1, 0, 1, 0));
        s8C = _mm_shuffle_ps(s9B, s3C, _MM_SHUFFLE(3, 2, 3, 2));
        s9C = _mm_shuffle_ps(s0C, s4C, _MM_SHUFFLE(1, 0, 1, 0));
        s0D = _mm_shuffle_ps(s0C, s4C, _MM_SHUFFLE(3, 2, 3, 2));
        s1D = _mm_shuffle_ps(s1C, s5C, _MM_SHUFFLE(1, 0, 1, 0));
        s2D = _mm_shuffle_ps(s1C, s5C, _MM_SHUFFLE(3, 2, 3, 2));
        s3D = _mm_shuffle_ps(s2C, s6C, _MM_SHUFFLE(1, 0, 1, 0));
        s4D = _mm_shuffle_ps(s2C, s6C, _MM_SHUFFLE(3, 2, 3, 2));
        a611 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7C);
        a711 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s1D);
        s5D = _mm_sub_ps(a611, a711);
        a811 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7C);
        a911 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1D);
        s6D = _mm_add_ps(a811, a911);
        t1t = _mm_add_ps(s5z, s5D);
        t2t = _mm_add_ps(s9z, s6D);
        t3t = _mm_sub_ps(s5z, s5D);
        t4t = _mm_sub_ps(s9z, s6D);
        a012 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7z);
        a112 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s1A);
        s7D = _mm_sub_ps(a012, a112);
        a212 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s7z);
        a312 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1A);
        s8D = _mm_add_ps(a212, a312);
        a412 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s9C);
        a512 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s3D);
        s9D = _mm_sub_ps(a412, a512);
        a612 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s9C);
        a712 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s3D);
        s0E = _mm_add_ps(a612, a712);
        t5t = _mm_add_ps(s7D, s9D);
        t6t = _mm_add_ps(s8D, s0E);
        t7t = _mm_sub_ps(s7D, s9D);
        t8t = _mm_sub_ps(s8D, s0E);
        t9t = _mm_add_ps(t1t, t5t);
        t0u = _mm_add_ps(t2t, t6t);
        t1u = _mm_sub_ps(t1t, t5t);
        t2u = _mm_sub_ps(t2t, t6t);
        t3u = _mm_add_ps(t3t, t8t);
        t4u = _mm_sub_ps(t4t, t7t);
        t5u = _mm_sub_ps(t3t, t8t);
        t6u = _mm_add_ps(t4t, t7t);
        a812 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6z);
        a912 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s0A);
        s1E = _mm_sub_ps(a812, a912);
        a013 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s6z);
        a113 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0A);
        s2E = _mm_add_ps(a013, a113);
        a213 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s8C);
        a313 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s2D);
        s3E = _mm_sub_ps(a213, a313);
        a413 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s8C);
        a513 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s2D);
        s4E = _mm_add_ps(a413, a513);
        t7u = _mm_add_ps(s1E, s3E);
        t8u = _mm_add_ps(s2E, s4E);
        t9u = _mm_sub_ps(s1E, s3E);
        t0v = _mm_sub_ps(s2E, s4E);
        a613 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8z);
        a713 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s2A);
        s5E = _mm_sub_ps(a613, a713);
        a813 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s8z);
        a913 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2A);
        s6E = _mm_add_ps(a813, a913);
        a014 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s0D);
        a114 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s4D);
        s7E = _mm_sub_ps(a014, a114);
        a214 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s0D);
        a314 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s4D);
        s8E = _mm_add_ps(a214, a314);
        t1v = _mm_add_ps(s5E, s7E);
        t2v = _mm_add_ps(s6E, s8E);
        t3v = _mm_sub_ps(s5E, s7E);
        t4v = _mm_sub_ps(s6E, s8E);
        t5v = _mm_add_ps(t7u, t1v);
        t6v = _mm_add_ps(t8u, t2v);
        t7v = _mm_sub_ps(t7u, t1v);
        t8v = _mm_sub_ps(t8u, t2v);
        a414 = _mm_add_ps(t9u, t4v);
        a7U = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a414);
        a514 = _mm_sub_ps(t0v, t3v);
        a8U = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a514);
        s9E = _mm_sub_ps(a7U, a8U);
        s0F = _mm_add_ps(a7U, a8U);
        a614 = _mm_sub_ps(t9u, t4v);
        a9U = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a614);
        a714 = _mm_add_ps(t0v, t3v);
        a0V = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a714);
        s1F = _mm_sub_ps(a9U, a0V);
        s2F = _mm_add_ps(a9U, a0V);
        t9v = _mm_add_ps(t9t, t5v);
        t0w = _mm_add_ps(t0u, t6v);
        t1w = _mm_sub_ps(t9t, t5v);
        t2w = _mm_sub_ps(t0u, t6v);
        s3F = _mm_unpacklo_ps(t9v, t0w);
        s4F = _mm_unpackhi_ps(t9v, t0w);
        a1V = (2 * i4);
        b61 = (dst + a1V);
        a814 = (b61 + 2);
        _mm_storel_pi(((__m64  *) a814), s3F);
        a914 = (b61 + 258);
        _mm_storeh_pi(((__m64  *) a914), s3F);
        a015 = (b61 + 514);
        _mm_storel_pi(((__m64  *) a015), s4F);
        a115 = (b61 + 770);
        _mm_storeh_pi(((__m64  *) a115), s4F);
        a215 = _mm_unpacklo_ps(t1w, t2w);
        s5F = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a215);
        a315 = _mm_unpackhi_ps(t1w, t2w);
        s6F = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a315);
        b71 = (dst - a1V);
        a415 = (b71 + 4094);
        _mm_storel_pi(((__m64  *) a415), s5F);
        a515 = (b71 + 3838);
        _mm_storeh_pi(((__m64  *) a515), s5F);
        a615 = (b71 + 3582);
        _mm_storel_pi(((__m64  *) a615), s6F);
        a715 = (b71 + 3326);
        _mm_storeh_pi(((__m64  *) a715), s6F);
        t3w = _mm_add_ps(t3u, s9E);
        t4w = _mm_sub_ps(t4u, s0F);
        t5w = _mm_sub_ps(t3u, s9E);
        t6w = _mm_add_ps(t4u, s0F);
        s7F = _mm_unpacklo_ps(t3w, t4w);
        s8F = _mm_unpackhi_ps(t3w, t4w);
        a815 = (b61 + 1026);
        _mm_storel_pi(((__m64  *) a815), s7F);
        a915 = (b61 + 1282);
        _mm_storeh_pi(((__m64  *) a915), s7F);
        a016 = (b61 + 1538);
        _mm_storel_pi(((__m64  *) a016), s8F);
        a116 = (b61 + 1794);
        _mm_storeh_pi(((__m64  *) a116), s8F);
        a216 = _mm_unpacklo_ps(t5w, t6w);
        s9F = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a216);
        a316 = _mm_unpackhi_ps(t5w, t6w);
        s0G = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a316);
        a416 = (b71 + 3070);
        _mm_storel_pi(((__m64  *) a416), s9F);
        a516 = (b71 + 2814);
        _mm_storeh_pi(((__m64  *) a516), s9F);
        a616 = (b71 + 2558);
        _mm_storel_pi(((__m64  *) a616), s0G);
        a716 = (b71 + 2302);
        _mm_storeh_pi(((__m64  *) a716), s0G);
        t7w = _mm_add_ps(t1u, t8v);
        t8w = _mm_sub_ps(t2u, t7v);
        t9w = _mm_sub_ps(t1u, t8v);
        t0x = _mm_add_ps(t2u, t7v);
        s1G = _mm_unpacklo_ps(t7w, t8w);
        s2G = _mm_unpackhi_ps(t7w, t8w);
        a816 = (b61 + 2050);
        _mm_storel_pi(((__m64  *) a816), s1G);
        a916 = (b61 + 2306);
        _mm_storeh_pi(((__m64  *) a916), s1G);
        a017 = (b61 + 2562);
        _mm_storel_pi(((__m64  *) a017), s2G);
        a117 = (b61 + 2818);
        _mm_storeh_pi(((__m64  *) a117), s2G);
        a217 = _mm_unpacklo_ps(t9w, t0x);
        s3G = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a217);
        a317 = _mm_unpackhi_ps(t9w, t0x);
        s4G = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a317);
        a417 = (b71 + 2046);
        _mm_storel_pi(((__m64  *) a417), s3G);
        a517 = (b71 + 1790);
        _mm_storeh_pi(((__m64  *) a517), s3G);
        a617 = (b71 + 1534);
        _mm_storel_pi(((__m64  *) a617), s4G);
        a717 = (b71 + 1278);
        _mm_storeh_pi(((__m64  *) a717), s4G);
        t1x = _mm_add_ps(t5u, s1F);
        t2x = _mm_add_ps(t6u, s2F);
        t3x = _mm_sub_ps(t5u, s1F);
        t4x = _mm_sub_ps(t6u, s2F);
        s5G = _mm_unpacklo_ps(t1x, t2x);
        s6G = _mm_unpackhi_ps(t1x, t2x);
        a817 = (b61 + 3074);
        _mm_storel_pi(((__m64  *) a817), s5G);
        a917 = (b61 + 3330);
        _mm_storeh_pi(((__m64  *) a917), s5G);
        a018 = (b61 + 3586);
        _mm_storel_pi(((__m64  *) a018), s6G);
        a118 = (b61 + 3842);
        _mm_storeh_pi(((__m64  *) a118), s6G);
        a218 = _mm_unpacklo_ps(t3x, t4x);
        s7G = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a218);
        a318 = _mm_unpackhi_ps(t3x, t4x);
        s8G = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a318);
        a418 = (b71 + 1022);
        _mm_storel_pi(((__m64  *) a418), s7G);
        a518 = (b71 + 766);
        _mm_storeh_pi(((__m64  *) a518), s7G);
        a618 = (b71 + 510);
        _mm_storel_pi(((__m64  *) a618), s8G);
        a718 = (b71 + 254);
        _mm_storeh_pi(((__m64  *) a718), s8G);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftfwd_float_4096)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftfwd_float_4096_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[4096]);
     SPIRAL_ALIGNED(float T2[512]);
    __m128 a0F, a0I, a0J, a0K, a0P, a0Q, a1F, a1G, a1H, a1I, a1J, a1K, a1P, a1Q, a2G, a2H, a2J, a2K, a3H, a3I, a3J, a414
            , a415, a416, a417, a4I, a514, a515, a516, a517, a5G, a5H, a5I, a5J, a6F, a6G, a6H, a6J, a7F, a7G, a7H, a7I, a7J, a8F
            , a8G, a8H, a8I, a9E, a9G, a9H, a9I, a9J, b11, b31, b6, b9;
    __m128 a010, a011, a012, a013, a03, a04, a06, a08, a0A, a0D, a0E, a0G, a0H, a0M, a0N, a0O, a0T, a0U, a0V, a0Z, a0a, a0f
            , a0g, a0h, a0i, a0o, a0p, a0r, a0s, a0u, a0v, a0w, a0x, a0y, a110, a111, a112, a113, a13, a14, a16, a17, a18, a1C
            , a1D, a1E, a1M, a1N, a1O, a1T, a1U, a1V, a1Z, a1a, a1b, a1f, a1g, a1h, a1i, a1n, a1p, a1q, a1s, a1t, a1v, a1w
            , a1x, a1y, a1z, a211, a212, a213, a23, a24, a25, a26, a28, a29, a2C, a2D, a2E, a2F, a2I, a2M, a2N, a2O, a2T, a2U
            , a2V, a2X, a2Y, a2a, a2f, a2g, a2h, a2i, a2n, a2p, a2q, a2s, a2t, a2v, a2w, a2x, a2y, a3, a311, a312, a313, a34
            , a35, a36, a37, a39, a3C, a3D, a3E, a3F, a3G, a3M, a3N, a3O, a3S, a3T, a3V, a3X, a3Y, a3a, a3f, a3g, a3h, a3i
            , a3n, a3o, a3q, a3r, a3t, a3u, a3w, a3x, a4, a410, a411, a412, a413, a43, a44, a45, a47, a49, a4C, a4D, a4E, a4F
            , a4G, a4H, a4J, a4M, a4N, a4O, a4S, a4T, a4X, a4Y, a4f, a4g, a4h, a4i, a4n, a4o, a4q, a4r, a4t, a4u, a4w, a4x
            , a5, a510, a511, a512, a513, a52, a53, a54, a55, a57, a59, a5C, a5D, a5E, a5F, a5M, a5N, a5O, a5S, a5T, a5X, a5Y
            , a5f, a5g, a5h, a5i, a5m, a5o, a5p, a5r, a5s, a5u, a5v, a5w, a5x, a6, a610, a611, a612, a613, a62, a63, a64, a65
            , a67, a69, a6C, a6D, a6E, a6I, a6M, a6N, a6S, a6T, a6V, a6W, a6f, a6g, a6h, a6i, a6m, a6o, a6p, a6r, a6s, a6u
            , a6v, a6w, a6x, a710, a711, a712, a713, a72, a73, a74, a75, a77, a79, a7C, a7D, a7E, a7M, a7N, a7S, a7T, a7V, a7W
            , a7f, a7g, a7h, a7i, a7m, a7n, a7p, a7q, a7s, a7t, a7v, a7w, a7x, a810, a811, a812, a813, a82, a83, a85, a87, a88
            , a89, a8B, a8C, a8D, a8E, a8J, a8L, a8M, a8N, a8S, a8T, a8V, a8W, a8Y, a8Z, a8f, a8g, a8h, a8i, a8m, a8n, a8p
            , a8q, a8s, a8t, a8v, a8w, a8x, a910, a911, a912, a913, a92, a93, a95, a97, a99, a9A, a9C, a9D, a9F, a9L, a9M, a9N
            , a9S, a9T, a9V, a9W, a9Y, a9Z, a9f, a9g, a9h, a9i, a9n, a9o, a9q, a9r, a9t, a9u, a9v, a9w, a9x, b01, b21, b41
            , b7, b8, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0G, s0a, s0b, s0c
            , s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y
            , s0z, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1F, s1G, s1a, s1b, s1c, s1d, s1e
            , s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2
            , s21, s22, s23, s24, s25, s26, s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2F, s2G, s2a, s2b, s2c, s2d, s2e, s2f
            , s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31
            , s32, s33, s34, s35, s36, s37, s38, s39, s3A, s3B, s3C, s3D, s3E, s3F, s3G, s3a, s3b, s3c, s3d, s3e, s3f, s3g
            , s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42
            , s43, s44, s45, s46, s47, s48, s49, s4A, s4B, s4C, s4D, s4E, s4F, s4G, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h
            , s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51, s52, s53
            , s54, s55, s56, s57, s58, s59, s5A, s5B, s5C, s5D, s5E, s5F, s5G, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i
            , s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62, s63, s64
            , s65, s66, s67, s68, s69, s6A, s6B, s6C, s6D, s6E, s6F, s6G, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j
            , s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74, s75
            , s76, s77, s78, s79, s7A, s7B, s7C, s7D, s7E, s7F, s7G, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k
            , s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y, s7z, s8, s81, s82, s83, s84, s85, s86
            , s87, s88, s89, s8A, s8B, s8C, s8D, s8E, s8F, s8G, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l
            , s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x, s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97
            , s98, s99, s9A, s9B, s9C, s9D, s9E, s9F, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n
            , s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y, s9z, t, t01, t02, t03, t04, t05, t06, t07, t08, t09
            , t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v
            , t0w, t0x, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k
            , t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v, t1w, t1x, t2, t21, t22, t23, t24, t25, t26, t27, t28
            , t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u
            , t2v, t2w, t2x, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i
            , t3j, t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t4, t41, t42, t43, t44, t45, t46
            , t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s
            , t4t, t4u, t4v, t4w, t4x, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g
            , t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t6, t61, t62, t63, t64, t65
            , t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r
            , t6s, t6t, t6u, t6v, t6w, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g
            , t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t8, t81, t82, t83, t84, t85
            , t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r
            , t8s, t8t, t8u, t8v, t8w, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g
            , t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w;
    __m128  *a, *a01, *a02, *a05, *a07, *a09, *a0B, *a0C, *a0R, *a0S, *a0W, *a0X, *a0Y, *a0b, *a0c, *a0d, *a0e, *a0k, *a0l, *a0m, *a0n, *a0q
            , *a0t, *a0z, *a11, *a12, *a15, *a19, *a1A, *a1B, *a1R, *a1W, *a1X, *a1Y, *a1c, *a1d, *a1e, *a1j, *a1k, *a1l, *a1m, *a1o, *a1r, *a1u
            , *a2, *a210, *a22, *a27, *a2A, *a2B, *a2R, *a2S, *a2W, *a2Z, *a2b, *a2c, *a2d, *a2e, *a2j, *a2k, *a2l, *a2m, *a2o, *a2r, *a2u, *a2z
            , *a31, *a310, *a32, *a33, *a38, *a3A, *a3B, *a3R, *a3W, *a3Z, *a3b, *a3c, *a3d, *a3e, *a3j, *a3k, *a3l, *a3m, *a3p, *a3s, *a3v, *a3y
            , *a3z, *a41, *a42, *a46, *a48, *a4A, *a4B, *a4R, *a4U, *a4V, *a4W, *a4Z, *a4a, *a4b, *a4c, *a4d, *a4e, *a4j, *a4k, *a4l, *a4m, *a4p
            , *a4s, *a4v, *a4y, *a4z, *a51, *a56, *a58, *a5A, *a5B, *a5R, *a5U, *a5V, *a5W, *a5Z, *a5a, *a5b, *a5c, *a5d, *a5e, *a5j, *a5k, *a5l
            , *a5n, *a5q, *a5t, *a5y, *a5z, *a61, *a66, *a68, *a6A, *a6B, *a6Q, *a6R, *a6U, *a6X, *a6Y, *a6Z, *a6a, *a6b, *a6c, *a6d, *a6e, *a6j
            , *a6k, *a6l, *a6n, *a6q, *a6t, *a6y, *a6z, *a7, *a71, *a76, *a78, *a7A, *a7B, *a7Q, *a7R, *a7U, *a7X, *a7Y, *a7Z, *a7a, *a7b, *a7c
            , *a7d, *a7e, *a7j, *a7k, *a7l, *a7o, *a7r, *a7u, *a7y, *a7z, *a8, *a81, *a84, *a86, *a8A, *a8Q, *a8R, *a8U, *a8X, *a8a, *a8b, *a8c
            , *a8d, *a8j, *a8k, *a8l, *a8o, *a8r, *a8u, *a8y, *a8z, *a9, *a91, *a94, *a96, *a98, *a9B, *a9Q, *a9R, *a9U, *a9X, *a9a, *a9b, *a9c
            , *a9d, *a9e, *a9j, *a9k, *a9l, *a9m, *a9p, *a9s, *a9y, *a9z, *b, *b2, *b3, *b4, *b5, *b51;
    float  *a014, *a015, *a016, *a017, *a0L, *a114, *a115, *a116, *a117, *a1L, *a214, *a215, *a216, *a217, *a2L, *a2P, *a2Q, *a314, *a315, *a316, *a317, *a3K
            , *a3L, *a3P, *a3Q, *a4K, *a4L, *a4P, *a4Q, *a5K, *a5L, *a5P, *a5Q, *a614, *a615, *a616, *a617, *a6K, *a6L, *a6O, *a6P, *a714, *a715, *a716
            , *a717, *a7K, *a7L, *a7O, *a7P, *a814, *a815, *a816, *a817, *a8K, *a8O, *a8P, *a914, *a915, *a916, *a917, *a9K, *a9O, *a9P, *b61, *b71;
    int a0j, a1S, a21, a3U, a8e;
    {long i; for(i = 0; i <= 7; i++) {
        {long i2; for(i2 = 0; i2 <= 15; i2++) {
            a11 = ((__m128  *) src);
            a21 = (8 * i2);
            b = (a11 + i);
            a = (b + a21);
            s = *(a);
            a31 = (a + 512);
            s2 = *(a31);
            t = _mm_add_ps(s, s2);
            t2 = _mm_sub_ps(s, s2);
            a41 = (a + 256);
            s3 = *(a41);
            a51 = (a + 768);
            s4 = *(a51);
            t3 = _mm_add_ps(s3, s4);
            t4 = _mm_sub_ps(s3, s4);
            a61 = (a + 128);
            s5 = *(a61);
            a71 = (a + 640);
            s6 = *(a71);
            t5 = _mm_add_ps(s5, s6);
            a81 = (a + 384);
            s7 = *(a81);
            a91 = (a + 896);
            s8 = *(a91);
            t6 = _mm_add_ps(s7, s8);
            a02 = ((__m128  *) T2);
            a2 = (a02 + i2);
            s9 = _mm_add_ps(t, t3);
            *(a2) = s9;
            s01 = _mm_sub_ps(t, t3);
            a12 = (a2 + 64);
            *(a12) = s01;
            s11 = _mm_add_ps(t5, t6);
            a22 = (a2 + 16);
            *(a22) = s11;
            s21 = _mm_sub_ps(t6, t5);
            a32 = (a2 + 80);
            *(a32) = s21;
            a5 = _mm_sub_ps(s5, s6);
            a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5);
            a6 = _mm_sub_ps(s7, s8);
            a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a6);
            s31 = _mm_add_ps(a3, a4);
            s41 = _mm_sub_ps(a4, a3);
            s51 = _mm_add_ps(t2, s31);
            a7 = (a2 + 32);
            *(a7) = s51;
            s61 = _mm_sub_ps(s41, t4);
            a8 = (a2 + 48);
            *(a8) = s61;
            s71 = _mm_sub_ps(t2, s31);
            a9 = (a2 + 96);
            *(a9) = s71;
            s81 = _mm_add_ps(t4, s41);
            a01 = (a2 + 112);
            *(a01) = s81;
        }}
        a42 = ((__m128  *) T2);
        s91 = *(a42);
        a3b = (a42 + 16);
        s02 = *(a3b);
        t7 = _mm_add_ps(s91, s02);
        t8 = _mm_sub_ps(s91, s02);
        a4b = (a42 + 8);
        s12 = *(a4b);
        a5b = (a42 + 24);
        s22 = *(a5b);
        t9 = _mm_add_ps(s12, s22);
        t01 = _mm_sub_ps(s12, s22);
        a6b = (a42 + 4);
        s32 = *(a6b);
        a7b = (a42 + 20);
        s42 = *(a7b);
        t11 = _mm_add_ps(s32, s42);
        a8b = (a42 + 12);
        s52 = *(a8b);
        a9b = (a42 + 28);
        s62 = *(a9b);
        t21 = _mm_add_ps(s52, s62);
        t31 = _mm_add_ps(t7, t9);
        t41 = _mm_sub_ps(t7, t9);
        t51 = _mm_add_ps(t11, t21);
        t61 = _mm_sub_ps(t11, t21);
        a83 = _mm_sub_ps(s32, s42);
        a52 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a83);
        a93 = _mm_sub_ps(s52, s62);
        a62 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a93);
        s72 = _mm_add_ps(a52, a62);
        s82 = _mm_sub_ps(a62, a52);
        t71 = _mm_add_ps(t8, s72);
        t81 = _mm_sub_ps(s82, t01);
        t91 = _mm_sub_ps(t8, s72);
        t02 = _mm_add_ps(t01, s82);
        a0c = (a42 + 1);
        s92 = *(a0c);
        a1c = (a42 + 17);
        s03 = *(a1c);
        t12 = _mm_add_ps(s92, s03);
        t22 = _mm_sub_ps(s92, s03);
        a2c = (a42 + 9);
        s13 = *(a2c);
        a3c = (a42 + 25);
        s23 = *(a3c);
        t32 = _mm_add_ps(s13, s23);
        t42 = _mm_sub_ps(s13, s23);
        a4c = (a42 + 5);
        s33 = *(a4c);
        a5c = (a42 + 21);
        s43 = *(a5c);
        t52 = _mm_add_ps(s33, s43);
        a6c = (a42 + 13);
        s53 = *(a6c);
        a7c = (a42 + 29);
        s63 = *(a7c);
        t62 = _mm_add_ps(s53, s63);
        t72 = _mm_add_ps(t12, t32);
        t82 = _mm_sub_ps(t12, t32);
        t92 = _mm_add_ps(t52, t62);
        t03 = _mm_sub_ps(t52, t62);
        a04 = _mm_sub_ps(s33, s43);
        a72 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a04);
        a14 = _mm_sub_ps(s53, s63);
        a82 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a14);
        s73 = _mm_add_ps(a72, a82);
        s83 = _mm_sub_ps(a82, a72);
        t13 = _mm_add_ps(t22, s73);
        t23 = _mm_sub_ps(s83, t42);
        t33 = _mm_sub_ps(t22, s73);
        t43 = _mm_add_ps(t42, s83);
        a8c = (a42 + 2);
        s93 = *(a8c);
        a9c = (a42 + 18);
        s04 = *(a9c);
        t53 = _mm_add_ps(s93, s04);
        t63 = _mm_sub_ps(s93, s04);
        a0d = (a42 + 10);
        s14 = *(a0d);
        a1d = (a42 + 26);
        s24 = *(a1d);
        t73 = _mm_add_ps(s14, s24);
        t83 = _mm_sub_ps(s14, s24);
        a2d = (a42 + 6);
        s34 = *(a2d);
        a3d = (a42 + 22);
        s44 = *(a3d);
        t93 = _mm_add_ps(s34, s44);
        a4d = (a42 + 14);
        s54 = *(a4d);
        a5d = (a42 + 30);
        s64 = *(a5d);
        t04 = _mm_add_ps(s54, s64);
        t14 = _mm_add_ps(t53, t73);
        t24 = _mm_add_ps(t93, t04);
        a24 = _mm_sub_ps(s34, s44);
        a92 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a24);
        a34 = _mm_sub_ps(s54, s64);
        a03 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a34);
        s74 = _mm_add_ps(a92, a03);
        s84 = _mm_sub_ps(a03, a92);
        t34 = _mm_add_ps(t63, s74);
        t44 = _mm_sub_ps(s84, t83);
        t54 = _mm_sub_ps(t63, s74);
        t64 = _mm_add_ps(t83, s84);
        a6d = (a42 + 3);
        s94 = *(a6d);
        a7d = (a42 + 19);
        s05 = *(a7d);
        t74 = _mm_add_ps(s94, s05);
        t84 = _mm_sub_ps(s94, s05);
        a8d = (a42 + 11);
        s15 = *(a8d);
        a9d = (a42 + 27);
        s25 = *(a9d);
        t94 = _mm_add_ps(s15, s25);
        t05 = _mm_sub_ps(s15, s25);
        a0e = (a42 + 7);
        s35 = *(a0e);
        a1e = (a42 + 23);
        s45 = *(a1e);
        t15 = _mm_add_ps(s35, s45);
        a2e = (a42 + 15);
        s55 = *(a2e);
        a3e = (a42 + 31);
        s65 = *(a3e);
        t25 = _mm_add_ps(s55, s65);
        t35 = _mm_add_ps(t74, t94);
        t45 = _mm_sub_ps(t74, t94);
        t55 = _mm_add_ps(t15, t25);
        t65 = _mm_sub_ps(t15, t25);
        a44 = _mm_sub_ps(s35, s45);
        a13 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a44);
        a54 = _mm_sub_ps(s55, s65);
        a23 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a54);
        s75 = _mm_add_ps(a13, a23);
        s85 = _mm_sub_ps(a23, a13);
        t75 = _mm_add_ps(t84, s75);
        t85 = _mm_sub_ps(s85, t05);
        t95 = _mm_sub_ps(t84, s75);
        t06 = _mm_add_ps(t05, s85);
        t16 = _mm_add_ps(t31, t51);
        t26 = _mm_sub_ps(t31, t51);
        t36 = _mm_add_ps(t14, t24);
        t46 = _mm_sub_ps(t14, t24);
        t56 = _mm_add_ps(t72, t92);
        t66 = _mm_add_ps(t35, t55);
        a4e = ((__m128  *) T);
        a33 = (a4e + i);
        s95 = _mm_add_ps(t16, t36);
        *(a33) = s95;
        s06 = _mm_sub_ps(t16, t36);
        a5e = (a33 + 512);
        *(a5e) = s06;
        s16 = _mm_add_ps(t56, t66);
        a6e = (a33 + 8);
        *(a6e) = s16;
        s26 = _mm_sub_ps(t66, t56);
        a7e = (a33 + 520);
        *(a7e) = s26;
        a64 = _mm_sub_ps(t72, t92);
        a43 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a64);
        a74 = _mm_sub_ps(t35, t55);
        a53 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a74);
        s36 = _mm_add_ps(a43, a53);
        s46 = _mm_sub_ps(a53, a43);
        s56 = _mm_add_ps(t26, s36);
        a84 = (a33 + 256);
        *(a84) = s56;
        s66 = _mm_sub_ps(s46, t46);
        a94 = (a33 + 264);
        *(a94) = s66;
        s76 = _mm_sub_ps(t26, s36);
        a05 = (a33 + 768);
        *(a05) = s76;
        s86 = _mm_add_ps(t46, s46);
        a15 = (a33 + 776);
        *(a15) = s86;
        a25 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t13);
        a35 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t23);
        s96 = _mm_sub_ps(a25, a35);
        a45 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t13);
        a55 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t23);
        s07 = _mm_add_ps(a45, a55);
        a65 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t34);
        a75 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t44);
        s17 = _mm_sub_ps(a65, a75);
        a85 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t34);
        a95 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t44);
        s27 = _mm_add_ps(a85, a95);
        a06 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t75);
        a16 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t85);
        s37 = _mm_sub_ps(a06, a16);
        a26 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t75);
        a36 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t85);
        s47 = _mm_add_ps(a26, a36);
        t76 = _mm_add_ps(t71, s17);
        t86 = _mm_add_ps(t81, s27);
        t96 = _mm_sub_ps(t71, s17);
        t07 = _mm_sub_ps(t81, s27);
        t17 = _mm_add_ps(s96, s37);
        t27 = _mm_add_ps(s07, s47);
        t37 = _mm_sub_ps(s96, s37);
        t47 = _mm_sub_ps(s07, s47);
        s57 = _mm_add_ps(t76, t17);
        a46 = (a33 + 64);
        *(a46) = s57;
        s67 = _mm_add_ps(t86, t27);
        a56 = (a33 + 72);
        *(a56) = s67;
        s77 = _mm_sub_ps(t76, t17);
        a66 = (a33 + 960);
        *(a66) = s77;
        s87 = _mm_sub_ps(t27, t86);
        a76 = (a33 + 968);
        *(a76) = s87;
        s97 = _mm_add_ps(t96, t47);
        a86 = (a33 + 576);
        *(a86) = s97;
        s08 = _mm_sub_ps(t07, t37);
        a96 = (a33 + 584);
        *(a96) = s08;
        s18 = _mm_sub_ps(t96, t47);
        a07 = (a33 + 448);
        *(a07) = s18;
        a17 = _mm_add_ps(t07, t37);
        s28 = _mm_sub_ps(_mm_set1_ps(0.0f), a17);
        a27 = (a33 + 456);
        *(a27) = s28;
        a37 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t82);
        a47 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t03);
        s38 = _mm_add_ps(a37, a47);
        a57 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t82);
        a67 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t03);
        s48 = _mm_sub_ps(a57, a67);
        a77 = _mm_sub_ps(t53, t73);
        a63 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a77);
        a87 = _mm_sub_ps(t93, t04);
        a73 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a87);
        s58 = _mm_add_ps(a63, a73);
        s68 = _mm_sub_ps(a73, a63);
        a97 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t45);
        a08 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t65);
        s78 = _mm_add_ps(a97, a08);
        a18 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t45);
        a28 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t65);
        s88 = _mm_sub_ps(a18, a28);
        t57 = _mm_add_ps(t41, s58);
        t67 = _mm_sub_ps(s68, t61);
        t77 = _mm_sub_ps(t41, s58);
        t87 = _mm_add_ps(t61, s68);
        t97 = _mm_add_ps(s38, s78);
        t08 = _mm_add_ps(s48, s88);
        t18 = _mm_sub_ps(s38, s78);
        t28 = _mm_sub_ps(s48, s88);
        s98 = _mm_add_ps(t57, t97);
        a38 = (a33 + 128);
        *(a38) = s98;
        s09 = _mm_add_ps(t67, t08);
        a48 = (a33 + 136);
        *(a48) = s09;
        s19 = _mm_sub_ps(t57, t97);
        a58 = (a33 + 896);
        *(a58) = s19;
        s29 = _mm_sub_ps(t08, t67);
        a68 = (a33 + 904);
        *(a68) = s29;
        s39 = _mm_add_ps(t77, t28);
        a78 = (a33 + 640);
        *(a78) = s39;
        a88 = _mm_add_ps(t87, t18);
        s49 = _mm_sub_ps(_mm_set1_ps(0.0f), a88);
        a98 = (a33 + 648);
        *(a98) = s49;
        s59 = _mm_sub_ps(t77, t28);
        a09 = (a33 + 384);
        *(a09) = s59;
        s69 = _mm_sub_ps(t87, t18);
        a19 = (a33 + 392);
        *(a19) = s69;
        a29 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t33);
        a39 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t43);
        s79 = _mm_sub_ps(a29, a39);
        a49 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t33);
        a59 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t43);
        s89 = _mm_add_ps(a49, a59);
        a69 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t54);
        a79 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t64);
        s99 = _mm_sub_ps(a69, a79);
        a89 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t54);
        a99 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t64);
        s0a = _mm_add_ps(a89, a99);
        a0a = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t95);
        a1a = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t06);
        s1a = _mm_sub_ps(a0a, a1a);
        a2a = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t95);
        a3a = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t06);
        s2a = _mm_add_ps(a2a, a3a);
        t38 = _mm_add_ps(t91, s99);
        t48 = _mm_add_ps(t02, s0a);
        t58 = _mm_sub_ps(t91, s99);
        t68 = _mm_sub_ps(t02, s0a);
        t78 = _mm_add_ps(s79, s1a);
        t88 = _mm_add_ps(s89, s2a);
        t98 = _mm_sub_ps(s79, s1a);
        t09 = _mm_sub_ps(s89, s2a);
        s3a = _mm_add_ps(t38, t78);
        a4a = (a33 + 192);
        *(a4a) = s3a;
        s4a = _mm_add_ps(t48, t88);
        a5a = (a33 + 200);
        *(a5a) = s4a;
        s5a = _mm_sub_ps(t38, t78);
        a6a = (a33 + 832);
        *(a6a) = s5a;
        s6a = _mm_sub_ps(t88, t48);
        a7a = (a33 + 840);
        *(a7a) = s6a;
        s7a = _mm_add_ps(t58, t09);
        a8a = (a33 + 704);
        *(a8a) = s7a;
        s8a = _mm_sub_ps(t68, t98);
        a9a = (a33 + 712);
        *(a9a) = s8a;
        s9a = _mm_sub_ps(t58, t09);
        a0b = (a33 + 320);
        *(a0b) = s9a;
        a1b = _mm_add_ps(t68, t98);
        s0b = _mm_sub_ps(_mm_set1_ps(0.0f), a1b);
        a2b = (a33 + 328);
        *(a2b) = s0b;
        {long i3; for(i3 = 0; i3 <= 2; i3++) {
            a8e = (32 * i3);
            a1j = ((__m128  *) T2);
            b2 = (a1j + a8e);
            a2j = (b2 + 32);
            s1b = *(a2j);
            a3j = (b2 + 48);
            s2b = *(a3j);
            a4j = (b2 + 33);
            s3b = *(a4j);
            a5j = (b2 + 49);
            s4b = *(a5j);
            a6j = (b2 + 34);
            s5b = *(a6j);
            a7j = (b2 + 50);
            s6b = *(a7j);
            a8j = (b2 + 35);
            s7b = *(a8j);
            a9j = (b2 + 51);
            s8b = *(a9j);
            a0k = (b2 + 36);
            s9b = *(a0k);
            a1k = (b2 + 52);
            s0c = *(a1k);
            a2k = (b2 + 37);
            s1c = *(a2k);
            a3k = (b2 + 53);
            s2c = *(a3k);
            a4k = (b2 + 38);
            s3c = *(a4k);
            a5k = (b2 + 54);
            s4c = *(a5k);
            a6k = (b2 + 39);
            s5c = *(a6k);
            a7k = (b2 + 55);
            s6c = *(a7k);
            a8k = (b2 + 40);
            s7c = *(a8k);
            a9k = (b2 + 56);
            s8c = *(a9k);
            a0l = (b2 + 41);
            s9c = *(a0l);
            a1l = (b2 + 57);
            s0d = *(a1l);
            a2l = (b2 + 42);
            s1d = *(a2l);
            a3l = (b2 + 58);
            s2d = *(a3l);
            a4l = (b2 + 43);
            s3d = *(a4l);
            a5l = (b2 + 59);
            s4d = *(a5l);
            a6l = (b2 + 44);
            s5d = *(a6l);
            a7l = (b2 + 60);
            s6d = *(a7l);
            a8l = (b2 + 45);
            s7d = *(a8l);
            a9l = (b2 + 61);
            s8d = *(a9l);
            a0m = (b2 + 46);
            s9d = *(a0m);
            a1m = (b2 + 62);
            s0e = *(a1m);
            a2m = (b2 + 47);
            s1e = *(a2m);
            a3m = (b2 + 63);
            s2e = *(a3m);
            a9e = (D14 + a8e);
            a0f = *(a9e);
            a4m = (a9e + 1);
            a1f = *(a4m);
            a5m = _mm_mul_ps(a0f, s1b);
            a6m = _mm_mul_ps(a1f, s2b);
            s3e = _mm_sub_ps(a5m, a6m);
            a7m = _mm_mul_ps(a1f, s1b);
            a8m = _mm_mul_ps(a0f, s2b);
            s4e = _mm_add_ps(a7m, a8m);
            a9m = (a9e + 2);
            a2f = *(a9m);
            a0n = (a9e + 3);
            a3f = *(a0n);
            a1n = _mm_mul_ps(a2f, s3b);
            a2n = _mm_mul_ps(a3f, s4b);
            s5e = _mm_sub_ps(a1n, a2n);
            a3n = _mm_mul_ps(a3f, s3b);
            a4n = _mm_mul_ps(a2f, s4b);
            s6e = _mm_add_ps(a3n, a4n);
            a5n = (a9e + 4);
            a4f = *(a5n);
            a6n = (a9e + 5);
            a5f = *(a6n);
            a7n = _mm_mul_ps(a4f, s5b);
            a8n = _mm_mul_ps(a5f, s6b);
            s7e = _mm_sub_ps(a7n, a8n);
            a9n = _mm_mul_ps(a5f, s5b);
            a0o = _mm_mul_ps(a4f, s6b);
            s8e = _mm_add_ps(a9n, a0o);
            a1o = (a9e + 6);
            a6f = *(a1o);
            a2o = (a9e + 7);
            a7f = *(a2o);
            a3o = _mm_mul_ps(a6f, s7b);
            a4o = _mm_mul_ps(a7f, s8b);
            s9e = _mm_sub_ps(a3o, a4o);
            a5o = _mm_mul_ps(a7f, s7b);
            a6o = _mm_mul_ps(a6f, s8b);
            s0f = _mm_add_ps(a5o, a6o);
            a7o = (a9e + 8);
            a8f = *(a7o);
            a8o = (a9e + 9);
            a9f = *(a8o);
            a9o = _mm_mul_ps(a8f, s9b);
            a0p = _mm_mul_ps(a9f, s0c);
            s1f = _mm_sub_ps(a9o, a0p);
            a1p = _mm_mul_ps(a9f, s9b);
            a2p = _mm_mul_ps(a8f, s0c);
            s2f = _mm_add_ps(a1p, a2p);
            a3p = (a9e + 10);
            a0g = *(a3p);
            a4p = (a9e + 11);
            a1g = *(a4p);
            a5p = _mm_mul_ps(a0g, s1c);
            a6p = _mm_mul_ps(a1g, s2c);
            s3f = _mm_sub_ps(a5p, a6p);
            a7p = _mm_mul_ps(a1g, s1c);
            a8p = _mm_mul_ps(a0g, s2c);
            s4f = _mm_add_ps(a7p, a8p);
            a9p = (a9e + 12);
            a2g = *(a9p);
            a0q = (a9e + 13);
            a3g = *(a0q);
            a1q = _mm_mul_ps(a2g, s3c);
            a2q = _mm_mul_ps(a3g, s4c);
            s5f = _mm_sub_ps(a1q, a2q);
            a3q = _mm_mul_ps(a3g, s3c);
            a4q = _mm_mul_ps(a2g, s4c);
            s6f = _mm_add_ps(a3q, a4q);
            a5q = (a9e + 14);
            a4g = *(a5q);
            a6q = (a9e + 15);
            a5g = *(a6q);
            a7q = _mm_mul_ps(a4g, s5c);
            a8q = _mm_mul_ps(a5g, s6c);
            s7f = _mm_sub_ps(a7q, a8q);
            a9q = _mm_mul_ps(a5g, s5c);
            a0r = _mm_mul_ps(a4g, s6c);
            s8f = _mm_add_ps(a9q, a0r);
            a1r = (a9e + 16);
            a6g = *(a1r);
            a2r = (a9e + 17);
            a7g = *(a2r);
            a3r = _mm_mul_ps(a6g, s7c);
            a4r = _mm_mul_ps(a7g, s8c);
            s9f = _mm_sub_ps(a3r, a4r);
            a5r = _mm_mul_ps(a7g, s7c);
            a6r = _mm_mul_ps(a6g, s8c);
            s0g = _mm_add_ps(a5r, a6r);
            a7r = (a9e + 18);
            a8g = *(a7r);
            a8r = (a9e + 19);
            a9g = *(a8r);
            a9r = _mm_mul_ps(a8g, s9c);
            a0s = _mm_mul_ps(a9g, s0d);
            s1g = _mm_sub_ps(a9r, a0s);
            a1s = _mm_mul_ps(a9g, s9c);
            a2s = _mm_mul_ps(a8g, s0d);
            s2g = _mm_add_ps(a1s, a2s);
            a3s = (a9e + 20);
            a0h = *(a3s);
            a4s = (a9e + 21);
            a1h = *(a4s);
            a5s = _mm_mul_ps(a0h, s1d);
            a6s = _mm_mul_ps(a1h, s2d);
            s3g = _mm_sub_ps(a5s, a6s);
            a7s = _mm_mul_ps(a1h, s1d);
            a8s = _mm_mul_ps(a0h, s2d);
            s4g = _mm_add_ps(a7s, a8s);
            a9s = (a9e + 22);
            a2h = *(a9s);
            a0t = (a9e + 23);
            a3h = *(a0t);
            a1t = _mm_mul_ps(a2h, s3d);
            a2t = _mm_mul_ps(a3h, s4d);
            s5g = _mm_sub_ps(a1t, a2t);
            a3t = _mm_mul_ps(a3h, s3d);
            a4t = _mm_mul_ps(a2h, s4d);
            s6g = _mm_add_ps(a3t, a4t);
            a5t = (a9e + 24);
            a4h = *(a5t);
            a6t = (a9e + 25);
            a5h = *(a6t);
            a7t = _mm_mul_ps(a4h, s5d);
            a8t = _mm_mul_ps(a5h, s6d);
            s7g = _mm_sub_ps(a7t, a8t);
            a9t = _mm_mul_ps(a5h, s5d);
            a0u = _mm_mul_ps(a4h, s6d);
            s8g = _mm_add_ps(a9t, a0u);
            a1u = (a9e + 26);
            a6h = *(a1u);
            a2u = (a9e + 27);
            a7h = *(a2u);
            a3u = _mm_mul_ps(a6h, s7d);
            a4u = _mm_mul_ps(a7h, s8d);
            s9g = _mm_sub_ps(a3u, a4u);
            a5u = _mm_mul_ps(a7h, s7d);
            a6u = _mm_mul_ps(a6h, s8d);
            s0h = _mm_add_ps(a5u, a6u);
            a7u = (a9e + 28);
            a8h = *(a7u);
            a8u = (a9e + 29);
            a9h = *(a8u);
            a9u = _mm_mul_ps(a8h, s9d);
            a0v = _mm_mul_ps(a9h, s0e);
            s1h = _mm_sub_ps(a9u, a0v);
            a1v = _mm_mul_ps(a9h, s9d);
            a2v = _mm_mul_ps(a8h, s0e);
            s2h = _mm_add_ps(a1v, a2v);
            a3v = (a9e + 30);
            a0i = *(a3v);
            a4v = (a9e + 31);
            a1i = *(a4v);
            a5v = _mm_mul_ps(a0i, s1e);
            a6v = _mm_mul_ps(a1i, s2e);
            s3h = _mm_sub_ps(a5v, a6v);
            a7v = _mm_mul_ps(a1i, s1e);
            a8v = _mm_mul_ps(a0i, s2e);
            s4h = _mm_add_ps(a7v, a8v);
            t19 = _mm_add_ps(s3e, s9f);
            t29 = _mm_add_ps(s4e, s0g);
            t39 = _mm_sub_ps(s3e, s9f);
            t49 = _mm_sub_ps(s4e, s0g);
            t59 = _mm_add_ps(s1f, s7g);
            t69 = _mm_add_ps(s2f, s8g);
            t79 = _mm_sub_ps(s1f, s7g);
            t89 = _mm_sub_ps(s2f, s8g);
            t99 = _mm_add_ps(t19, t59);
            t0a = _mm_add_ps(t29, t69);
            t1a = _mm_sub_ps(t19, t59);
            t2a = _mm_sub_ps(t29, t69);
            t3a = _mm_add_ps(t39, t89);
            t4a = _mm_sub_ps(t49, t79);
            t5a = _mm_sub_ps(t39, t89);
            t6a = _mm_add_ps(t49, t79);
            t7a = _mm_add_ps(s5e, s1g);
            t8a = _mm_add_ps(s6e, s2g);
            t9a = _mm_sub_ps(s5e, s1g);
            t0b = _mm_sub_ps(s6e, s2g);
            t1b = _mm_add_ps(s3f, s9g);
            t2b = _mm_add_ps(s4f, s0h);
            t3b = _mm_sub_ps(s3f, s9g);
            t4b = _mm_sub_ps(s4f, s0h);
            t5b = _mm_add_ps(t7a, t1b);
            t6b = _mm_add_ps(t8a, t2b);
            a9v = _mm_sub_ps(t7a, t1b);
            a2i = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9v);
            a0w = _mm_sub_ps(t8a, t2b);
            a3i = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a0w);
            s5h = _mm_sub_ps(a2i, a3i);
            s6h = _mm_add_ps(a2i, a3i);
            t7b = _mm_add_ps(t9a, t4b);
            t8b = _mm_sub_ps(t0b, t3b);
            t9b = _mm_sub_ps(t9a, t4b);
            t0c = _mm_add_ps(t0b, t3b);
            a1w = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t7b);
            a2w = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t8b);
            s7h = _mm_sub_ps(a1w, a2w);
            a3w = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t7b);
            a4w = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8b);
            s8h = _mm_add_ps(a3w, a4w);
            a5w = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t9b);
            a6w = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t0c);
            s9h = _mm_sub_ps(a5w, a6w);
            a7w = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t9b);
            a8w = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t0c);
            s0i = _mm_add_ps(a7w, a8w);
            t1c = _mm_add_ps(s7e, s3g);
            t2c = _mm_add_ps(s8e, s4g);
            t3c = _mm_sub_ps(s7e, s3g);
            t4c = _mm_sub_ps(s8e, s4g);
            t5c = _mm_add_ps(s5f, s1h);
            t6c = _mm_add_ps(s6f, s2h);
            t7c = _mm_sub_ps(s5f, s1h);
            t8c = _mm_sub_ps(s6f, s2h);
            t9c = _mm_add_ps(t1c, t5c);
            t0d = _mm_add_ps(t2c, t6c);
            t1d = _mm_sub_ps(t1c, t5c);
            t2d = _mm_sub_ps(t2c, t6c);
            a9w = _mm_add_ps(t3c, t8c);
            a4i = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9w);
            a0x = _mm_sub_ps(t4c, t7c);
            a5i = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a0x);
            s1i = _mm_sub_ps(a4i, a5i);
            s2i = _mm_add_ps(a4i, a5i);
            a1x = _mm_sub_ps(t3c, t8c);
            a6i = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a1x);
            a2x = _mm_add_ps(t4c, t7c);
            a7i = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2x);
            s3i = _mm_sub_ps(a6i, a7i);
            s4i = _mm_add_ps(a6i, a7i);
            t3d = _mm_add_ps(s9e, s5g);
            t4d = _mm_add_ps(s0f, s6g);
            t5d = _mm_sub_ps(s9e, s5g);
            t6d = _mm_sub_ps(s0f, s6g);
            t7d = _mm_add_ps(s7f, s3h);
            t8d = _mm_add_ps(s8f, s4h);
            t9d = _mm_sub_ps(s7f, s3h);
            t0e = _mm_sub_ps(s8f, s4h);
            t1e = _mm_add_ps(t3d, t7d);
            t2e = _mm_add_ps(t4d, t8d);
            a3x = _mm_sub_ps(t3d, t7d);
            a8i = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a3x);
            a4x = _mm_sub_ps(t4d, t8d);
            a9i = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a4x);
            s5i = _mm_sub_ps(a8i, a9i);
            s6i = _mm_add_ps(a8i, a9i);
            t3e = _mm_add_ps(t5d, t0e);
            t4e = _mm_sub_ps(t6d, t9d);
            t5e = _mm_sub_ps(t5d, t0e);
            t6e = _mm_add_ps(t6d, t9d);
            a5x = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3e);
            a6x = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t4e);
            s7i = _mm_sub_ps(a5x, a6x);
            a7x = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t3e);
            a8x = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4e);
            s8i = _mm_add_ps(a7x, a8x);
            a9x = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t5e);
            a0y = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6e);
            s9i = _mm_sub_ps(a9x, a0y);
            a1y = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5e);
            a2y = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t6e);
            s0j = _mm_add_ps(a1y, a2y);
            t7e = _mm_add_ps(t99, t9c);
            t8e = _mm_add_ps(t0a, t0d);
            t9e = _mm_sub_ps(t99, t9c);
            t0f = _mm_sub_ps(t0a, t0d);
            t1f = _mm_add_ps(t5b, t1e);
            t2f = _mm_add_ps(t6b, t2e);
            t3f = _mm_sub_ps(t5b, t1e);
            t4f = _mm_sub_ps(t6b, t2e);
            a0j = (16 * i3);
            a3y = ((__m128  *) T);
            b3 = (a3y + i);
            b4 = (b3 + a0j);
            s1j = _mm_add_ps(t7e, t1f);
            a4y = (b4 + 16);
            *(a4y) = s1j;
            s2j = _mm_add_ps(t8e, t2f);
            a5y = (b4 + 24);
            *(a5y) = s2j;
            b5 = (b3 - a0j);
            s3j = _mm_sub_ps(t7e, t1f);
            a6y = (b5 + 1008);
            *(a6y) = s3j;
            s4j = _mm_sub_ps(t2f, t8e);
            a7y = (b5 + 1016);
            *(a7y) = s4j;
            s5j = _mm_add_ps(t9e, t4f);
            a8y = (b4 + 528);
            *(a8y) = s5j;
            s6j = _mm_sub_ps(t0f, t3f);
            a9y = (b4 + 536);
            *(a9y) = s6j;
            s7j = _mm_sub_ps(t9e, t4f);
            a0z = (b5 + 496);
            *(a0z) = s7j;
            a1z = _mm_add_ps(t0f, t3f);
            s8j = _mm_sub_ps(_mm_set1_ps(0.0f), a1z);
            a2z = (b5 + 504);
            *(a2z) = s8j;
            t5f = _mm_add_ps(t3a, s1i);
            t6f = _mm_sub_ps(t4a, s2i);
            t7f = _mm_sub_ps(t3a, s1i);
            t8f = _mm_add_ps(t4a, s2i);
            t9f = _mm_add_ps(s7h, s7i);
            t0g = _mm_add_ps(s8h, s8i);
            t1g = _mm_sub_ps(s7h, s7i);
            t2g = _mm_sub_ps(s8h, s8i);
            s9j = _mm_add_ps(t5f, t9f);
            a3z = (b4 + 144);
            *(a3z) = s9j;
            s0k = _mm_add_ps(t6f, t0g);
            a4z = (b4 + 152);
            *(a4z) = s0k;
            s1k = _mm_sub_ps(t5f, t9f);
            a5z = (b5 + 880);
            *(a5z) = s1k;
            s2k = _mm_sub_ps(t0g, t6f);
            a6z = (b5 + 888);
            *(a6z) = s2k;
            s3k = _mm_add_ps(t7f, t2g);
            a7z = (b4 + 656);
            *(a7z) = s3k;
            s4k = _mm_sub_ps(t8f, t1g);
            a8z = (b4 + 664);
            *(a8z) = s4k;
            s5k = _mm_sub_ps(t7f, t2g);
            a9z = (b5 + 368);
            *(a9z) = s5k;
            a0A = _mm_add_ps(t8f, t1g);
            s6k = _mm_sub_ps(_mm_set1_ps(0.0f), a0A);
            a1A = (b5 + 376);
            *(a1A) = s6k;
            t3g = _mm_add_ps(t1a, t2d);
            t4g = _mm_sub_ps(t2a, t1d);
            t5g = _mm_sub_ps(t1a, t2d);
            t6g = _mm_add_ps(t2a, t1d);
            t7g = _mm_add_ps(s5h, s5i);
            t8g = _mm_sub_ps(s6i, s6h);
            t9g = _mm_sub_ps(s5h, s5i);
            t0h = _mm_add_ps(s6h, s6i);
            s7k = _mm_add_ps(t3g, t7g);
            a2A = (b4 + 272);
            *(a2A) = s7k;
            s8k = _mm_add_ps(t4g, t8g);
            a3A = (b4 + 280);
            *(a3A) = s8k;
            s9k = _mm_sub_ps(t3g, t7g);
            a4A = (b5 + 752);
            *(a4A) = s9k;
            s0l = _mm_sub_ps(t8g, t4g);
            a5A = (b5 + 760);
            *(a5A) = s0l;
            s1l = _mm_sub_ps(t5g, t0h);
            a6A = (b4 + 784);
            *(a6A) = s1l;
            s2l = _mm_sub_ps(t6g, t9g);
            a7A = (b4 + 792);
            *(a7A) = s2l;
            s3l = _mm_add_ps(t5g, t0h);
            a8A = (b5 + 240);
            *(a8A) = s3l;
            a9A = _mm_add_ps(t6g, t9g);
            s4l = _mm_sub_ps(_mm_set1_ps(0.0f), a9A);
            a0B = (b5 + 248);
            *(a0B) = s4l;
            t1h = _mm_add_ps(t5a, s3i);
            t2h = _mm_add_ps(t6a, s4i);
            t3h = _mm_sub_ps(t5a, s3i);
            t4h = _mm_sub_ps(t6a, s4i);
            t5h = _mm_add_ps(s9h, s9i);
            t6h = _mm_add_ps(s0i, s0j);
            t7h = _mm_sub_ps(s9h, s9i);
            t8h = _mm_sub_ps(s0i, s0j);
            s5l = _mm_add_ps(t1h, t5h);
            a1B = (b4 + 400);
            *(a1B) = s5l;
            s6l = _mm_add_ps(t2h, t6h);
            a2B = (b4 + 408);
            *(a2B) = s6l;
            s7l = _mm_sub_ps(t1h, t5h);
            a3B = (b5 + 624);
            *(a3B) = s7l;
            s8l = _mm_sub_ps(t6h, t2h);
            a4B = (b5 + 632);
            *(a4B) = s8l;
            s9l = _mm_add_ps(t3h, t8h);
            a5B = (b4 + 912);
            *(a5B) = s9l;
            s0m = _mm_sub_ps(t4h, t7h);
            a6B = (b4 + 920);
            *(a6B) = s0m;
            s1m = _mm_sub_ps(t3h, t8h);
            a7B = (b5 + 112);
            *(a7B) = s1m;
            a8B = _mm_add_ps(t4h, t7h);
            s2m = _mm_sub_ps(_mm_set1_ps(0.0f), a8B);
            a9B = (b5 + 120);
            *(a9B) = s2m;
        }}
    }}
    a0C = ((__m128  *) T);
    s3m = *(a0C);
    a6Q = (a0C + 8);
    s4m = *(a6Q);
    t9h = _mm_add_ps(s3m, s4m);
    t0i = _mm_sub_ps(s3m, s4m);
    a7Q = (a0C + 4);
    s5m = *(a7Q);
    a8Q = (a0C + 12);
    s6m = *(a8Q);
    t1i = _mm_add_ps(s5m, s6m);
    t2i = _mm_sub_ps(s5m, s6m);
    a9Q = (a0C + 1);
    s7m = *(a9Q);
    a0R = (a0C + 9);
    s8m = *(a0R);
    t3i = _mm_add_ps(s7m, s8m);
    t4i = _mm_sub_ps(s7m, s8m);
    a1R = (a0C + 5);
    s9m = *(a1R);
    a2R = (a0C + 13);
    s0n = *(a2R);
    t5i = _mm_add_ps(s9m, s0n);
    t6i = _mm_sub_ps(s9m, s0n);
    a3R = (a0C + 2);
    s1n = *(a3R);
    a4R = (a0C + 10);
    s2n = *(a4R);
    t7i = _mm_add_ps(s1n, s2n);
    t8i = _mm_sub_ps(s1n, s2n);
    a5R = (a0C + 6);
    s3n = *(a5R);
    a6R = (a0C + 14);
    s4n = *(a6R);
    t9i = _mm_add_ps(s3n, s4n);
    t0j = _mm_sub_ps(s3n, s4n);
    a7R = (a0C + 3);
    s5n = *(a7R);
    a8R = (a0C + 11);
    s6n = *(a8R);
    t1j = _mm_add_ps(s5n, s6n);
    t2j = _mm_sub_ps(s5n, s6n);
    a9R = (a0C + 7);
    s7n = *(a9R);
    a0S = (a0C + 15);
    s8n = *(a0S);
    t3j = _mm_add_ps(s7n, s8n);
    t4j = _mm_sub_ps(s7n, s8n);
    s9n = _mm_shuffle_ps(t9h, t3i, _MM_SHUFFLE(2, 0, 2, 0));
    s0o = _mm_shuffle_ps(t9h, t3i, _MM_SHUFFLE(3, 1, 3, 1));
    s1o = _mm_shuffle_ps(t1i, t5i, _MM_SHUFFLE(2, 0, 2, 0));
    s2o = _mm_shuffle_ps(t1i, t5i, _MM_SHUFFLE(3, 1, 3, 1));
    t5j = _mm_add_ps(s9n, s1o);
    t6j = _mm_add_ps(s0o, s2o);
    t7j = _mm_sub_ps(s9n, s1o);
    t8j = _mm_sub_ps(s0o, s2o);
    s3o = _mm_shuffle_ps(t7i, t1j, _MM_SHUFFLE(2, 0, 2, 0));
    s4o = _mm_shuffle_ps(t7i, t1j, _MM_SHUFFLE(3, 1, 3, 1));
    s5o = _mm_shuffle_ps(t9i, t3j, _MM_SHUFFLE(2, 0, 2, 0));
    s6o = _mm_shuffle_ps(t9i, t3j, _MM_SHUFFLE(3, 1, 3, 1));
    t9j = _mm_add_ps(s3o, s5o);
    t0k = _mm_add_ps(s4o, s6o);
    t1k = _mm_sub_ps(s3o, s5o);
    t2k = _mm_sub_ps(s4o, s6o);
    t3k = _mm_add_ps(t5j, t9j);
    t4k = _mm_add_ps(t6j, t0k);
    t5k = _mm_sub_ps(t5j, t9j);
    t6k = _mm_sub_ps(t6j, t0k);
    t7k = _mm_add_ps(t7j, t2k);
    t8k = _mm_sub_ps(t8j, t1k);
    t9k = _mm_sub_ps(t7j, t2k);
    t0l = _mm_add_ps(t8j, t1k);
    s7o = _mm_unpacklo_ps(t3k, t7k);
    s8o = _mm_unpackhi_ps(t3k, t7k);
    s9o = _mm_unpacklo_ps(t4k, t8k);
    s0p = _mm_unpackhi_ps(t4k, t8k);
    s1p = _mm_unpacklo_ps(t5k, t9k);
    s2p = _mm_unpackhi_ps(t5k, t9k);
    s3p = _mm_unpacklo_ps(t6k, t0l);
    s4p = _mm_unpackhi_ps(t6k, t0l);
    s5p = _mm_shuffle_ps(s7o, s1p, _MM_SHUFFLE(1, 0, 1, 0));
    s6p = _mm_shuffle_ps(s7o, s1p, _MM_SHUFFLE(3, 2, 3, 2));
    s7p = _mm_shuffle_ps(s8o, s2p, _MM_SHUFFLE(1, 0, 1, 0));
    s8p = _mm_shuffle_ps(s8o, s2p, _MM_SHUFFLE(3, 2, 3, 2));
    s9p = _mm_shuffle_ps(s9o, s3p, _MM_SHUFFLE(1, 0, 1, 0));
    s0q = _mm_shuffle_ps(s9o, s3p, _MM_SHUFFLE(3, 2, 3, 2));
    s1q = _mm_shuffle_ps(s0p, s4p, _MM_SHUFFLE(1, 0, 1, 0));
    s2q = _mm_shuffle_ps(s0p, s4p, _MM_SHUFFLE(3, 2, 3, 2));
    a1C = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7p);
    a2C = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s1q);
    s3q = _mm_sub_ps(a1C, a2C);
    a3C = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7p);
    a4C = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1q);
    s4q = _mm_add_ps(a3C, a4C);
    t1l = _mm_add_ps(s5p, s3q);
    t2l = _mm_add_ps(s9p, s4q);
    t3l = _mm_sub_ps(s5p, s3q);
    t4l = _mm_sub_ps(s9p, s4q);
    a5C = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6p);
    a6C = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s0q);
    s5q = _mm_sub_ps(a5C, a6C);
    a7C = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s6p);
    a8C = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0q);
    s6q = _mm_add_ps(a7C, a8C);
    a9C = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8p);
    a0D = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s2q);
    s7q = _mm_sub_ps(a9C, a0D);
    a1D = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s8p);
    a2D = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2q);
    s8q = _mm_add_ps(a1D, a2D);
    t5l = _mm_add_ps(s5q, s7q);
    t6l = _mm_add_ps(s6q, s8q);
    t7l = _mm_sub_ps(s5q, s7q);
    t8l = _mm_sub_ps(s6q, s8q);
    t9l = _mm_add_ps(t1l, t5l);
    t0m = _mm_add_ps(t2l, t6l);
    t1m = _mm_sub_ps(t1l, t5l);
    t2m = _mm_sub_ps(t2l, t6l);
    t3m = _mm_add_ps(t3l, t8l);
    t4m = _mm_sub_ps(t4l, t7l);
    t5m = _mm_sub_ps(t3l, t8l);
    t6m = _mm_add_ps(t4l, t7l);
    a3D = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t9l);
    a4D = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t0m);
    s9q = _mm_sub_ps(a3D, a4D);
    a5D = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t9l);
    a6D = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t0m);
    s0r = _mm_add_ps(a5D, a6D);
    a7D = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t3m);
    a8D = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t4m);
    s1r = _mm_sub_ps(a7D, a8D);
    a9D = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t3m);
    a0E = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t4m);
    s2r = _mm_add_ps(a9D, a0E);
    a1E = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t1m);
    a2E = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t2m);
    s3r = _mm_sub_ps(a1E, a2E);
    a3E = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t1m);
    a4E = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t2m);
    s4r = _mm_add_ps(a3E, a4E);
    a5E = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t5m);
    a6E = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t6m);
    s5r = _mm_sub_ps(a5E, a6E);
    a7E = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t5m);
    a8E = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t6m);
    s6r = _mm_add_ps(a7E, a8E);
    a1F = _mm_shuffle_ps(_mm_set1_ps(0.0f), t5m, _MM_SHUFFLE(3, 2, 1, 0));
    a0F = _mm_shuffle_ps(a1F, t5m, _MM_SHUFFLE(1, 2, 3, 0));
    a4F = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9q);
    a5F = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s0r);
    a3F = _mm_add_ps(a4F, a5F);
    a7F = _mm_shuffle_ps(_mm_set1_ps(0.0f), s5r, _MM_SHUFFLE(3, 2, 1, 0));
    a6F = _mm_shuffle_ps(a7F, s5r, _MM_SHUFFLE(1, 2, 3, 0));
    a2F = _mm_sub_ps(a3F, a6F);
    b6 = _mm_add_ps(t9l, a0F);
    a9E = _mm_add_ps(b6, a2F);
    s7r = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a9E);
    a0G = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t0m);
    a2G = _mm_shuffle_ps(_mm_set1_ps(0.0f), t6m, _MM_SHUFFLE(3, 2, 1, 0));
    a1G = _mm_shuffle_ps(a2G, t6m, _MM_SHUFFLE(1, 2, 3, 0));
    a9F = _mm_sub_ps(a0G, a1G);
    a3G = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9q);
    a4G = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s0r);
    a6G = _mm_shuffle_ps(_mm_set1_ps(0.0f), s6r, _MM_SHUFFLE(3, 2, 1, 0));
    a5G = _mm_shuffle_ps(a6G, s6r, _MM_SHUFFLE(1, 2, 3, 0));
    b7 = _mm_add_ps(a9F, a3G);
    b8 = _mm_add_ps(b7, a4G);
    a8F = _mm_add_ps(b8, a5G);
    s8r = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a8F);
    a9G = _mm_shuffle_ps(t5m, t1m, _MM_SHUFFLE(3, 2, 1, 0));
    a8G = _mm_shuffle_ps(a9G, t1m, _MM_SHUFFLE(1, 2, 3, 0));
    a2H = _mm_shuffle_ps(s5r, s3r, _MM_SHUFFLE(3, 2, 1, 0));
    a1H = _mm_shuffle_ps(a2H, s3r, _MM_SHUFFLE(1, 2, 3, 0));
    a0H = _mm_sub_ps(s1r, a1H);
    b9 = _mm_add_ps(t3m, a8G);
    a7G = _mm_add_ps(b9, a0H);
    s9r = _mm_mul_ps(_mm_set1_ps(0.5f), a7G);
    a6H = _mm_shuffle_ps(t6m, t2m, _MM_SHUFFLE(3, 2, 1, 0));
    a5H = _mm_shuffle_ps(a6H, t2m, _MM_SHUFFLE(1, 2, 3, 0));
    a4H = _mm_sub_ps(t4m, a5H);
    a8H = _mm_shuffle_ps(s6r, s4r, _MM_SHUFFLE(3, 2, 1, 0));
    a7H = _mm_shuffle_ps(a8H, s4r, _MM_SHUFFLE(1, 2, 3, 0));
    b01 = _mm_add_ps(a4H, s2r);
    a3H = _mm_add_ps(b01, a7H);
    s0s = _mm_mul_ps(_mm_set1_ps(0.5f), a3H);
    a1I = _mm_shuffle_ps(t1m, t3m, _MM_SHUFFLE(3, 2, 1, 0));
    a0I = _mm_shuffle_ps(a1I, t3m, _MM_SHUFFLE(1, 2, 3, 0));
    a4I = _mm_shuffle_ps(s3r, s1r, _MM_SHUFFLE(3, 2, 1, 0));
    a3I = _mm_shuffle_ps(a4I, s1r, _MM_SHUFFLE(1, 2, 3, 0));
    a2I = _mm_sub_ps(s3r, a3I);
    b11 = _mm_add_ps(t1m, a0I);
    a9H = _mm_add_ps(b11, a2I);
    s1s = _mm_mul_ps(_mm_set1_ps(0.5f), a9H);
    a8I = _mm_shuffle_ps(t2m, t4m, _MM_SHUFFLE(3, 2, 1, 0));
    a7I = _mm_shuffle_ps(a8I, t4m, _MM_SHUFFLE(1, 2, 3, 0));
    a6I = _mm_sub_ps(t2m, a7I);
    a0J = _mm_shuffle_ps(s4r, s2r, _MM_SHUFFLE(3, 2, 1, 0));
    a9I = _mm_shuffle_ps(a0J, s2r, _MM_SHUFFLE(1, 2, 3, 0));
    b21 = _mm_add_ps(a6I, s4r);
    a5I = _mm_add_ps(b21, a9I);
    s2s = _mm_mul_ps(_mm_set1_ps(0.5f), a5I);
    a3J = _mm_shuffle_ps(t3m, t9l, _MM_SHUFFLE(3, 2, 1, 0));
    a2J = _mm_shuffle_ps(a3J, t9l, _MM_SHUFFLE(1, 2, 3, 0));
    a6J = _mm_shuffle_ps(s1r, s9q, _MM_SHUFFLE(3, 2, 1, 0));
    a5J = _mm_shuffle_ps(a6J, s9q, _MM_SHUFFLE(1, 2, 3, 0));
    a4J = _mm_sub_ps(s5r, a5J);
    b31 = _mm_add_ps(t5m, a2J);
    a1J = _mm_add_ps(b31, a4J);
    s3s = _mm_mul_ps(_mm_set1_ps(0.5f), a1J);
    a0K = _mm_shuffle_ps(t4m, t0m, _MM_SHUFFLE(3, 2, 1, 0));
    a9J = _mm_shuffle_ps(a0K, t0m, _MM_SHUFFLE(1, 2, 3, 0));
    a8J = _mm_sub_ps(t6m, a9J);
    a2K = _mm_shuffle_ps(s2r, s0r, _MM_SHUFFLE(3, 2, 1, 0));
    a1K = _mm_shuffle_ps(a2K, s0r, _MM_SHUFFLE(1, 2, 3, 0));
    b41 = _mm_add_ps(a8J, s6r);
    a7J = _mm_add_ps(b41, a1K);
    s4s = _mm_mul_ps(_mm_set1_ps(0.5f), a7J);
    s5s = _mm_unpacklo_ps(s7r, s8r);
    s6s = _mm_unpackhi_ps(s7r, s8r);
    _mm_storel_pi(((__m64  *) dst), s5s);
    a3K = (dst + 256);
    _mm_storeh_pi(((__m64  *) a3K), s5s);
    a4K = (dst + 512);
    _mm_storel_pi(((__m64  *) a4K), s6s);
    a5K = (dst + 768);
    _mm_storeh_pi(((__m64  *) a5K), s6s);
    s7s = _mm_unpacklo_ps(s9r, s0s);
    s8s = _mm_unpackhi_ps(s9r, s0s);
    a6K = (dst + 1024);
    _mm_storel_pi(((__m64  *) a6K), s7s);
    a7K = (dst + 1280);
    _mm_storeh_pi(((__m64  *) a7K), s7s);
    a8K = (dst + 1536);
    _mm_storel_pi(((__m64  *) a8K), s8s);
    a9K = (dst + 1792);
    _mm_storeh_pi(((__m64  *) a9K), s8s);
    s9s = _mm_unpacklo_ps(s1s, s2s);
    s0t = _mm_unpackhi_ps(s1s, s2s);
    a0L = (dst + 2048);
    _mm_storel_pi(((__m64  *) a0L), s9s);
    a1L = (dst + 2304);
    _mm_storeh_pi(((__m64  *) a1L), s9s);
    a2L = (dst + 2560);
    _mm_storel_pi(((__m64  *) a2L), s0t);
    a3L = (dst + 2816);
    _mm_storeh_pi(((__m64  *) a3L), s0t);
    s1t = _mm_unpacklo_ps(s3s, s4s);
    s2t = _mm_unpackhi_ps(s3s, s4s);
    a4L = (dst + 3072);
    _mm_storel_pi(((__m64  *) a4L), s1t);
    a5L = (dst + 3328);
    _mm_storeh_pi(((__m64  *) a5L), s1t);
    a6L = (dst + 3584);
    _mm_storel_pi(((__m64  *) a6L), s2t);
    a7L = (dst + 3840);
    _mm_storeh_pi(((__m64  *) a7L), s2t);
    a8L = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t0i);
    a9L = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t2i);
    s3t = _mm_add_ps(a8L, a9L);
    a0M = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t0i);
    a1M = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t2i);
    s4t = _mm_sub_ps(a0M, a1M);
    a2M = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t8i);
    a3M = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t0j);
    s5t = _mm_add_ps(a2M, a3M);
    a4M = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t8i);
    a5M = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t0j);
    s6t = _mm_sub_ps(a4M, a5M);
    t7m = _mm_add_ps(s3t, s5t);
    t8m = _mm_add_ps(s4t, s6t);
    t9m = _mm_sub_ps(s3t, s5t);
    t0n = _mm_sub_ps(s4t, s6t);
    a6M = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t4i);
    a7M = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t6i);
    s7t = _mm_add_ps(a6M, a7M);
    a8M = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t4i);
    a9M = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t6i);
    s8t = _mm_sub_ps(a8M, a9M);
    a0N = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t2j);
    a1N = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t4j);
    s9t = _mm_add_ps(a0N, a1N);
    a2N = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t2j);
    a3N = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t4j);
    s0u = _mm_sub_ps(a2N, a3N);
    t1n = _mm_add_ps(s7t, s9t);
    t2n = _mm_add_ps(s8t, s0u);
    t3n = _mm_sub_ps(s7t, s9t);
    t4n = _mm_sub_ps(s8t, s0u);
    t5n = _mm_add_ps(t7m, t1n);
    t6n = _mm_add_ps(t8m, t2n);
    t7n = _mm_sub_ps(t7m, t1n);
    t8n = _mm_sub_ps(t8m, t2n);
    t9n = _mm_add_ps(t9m, t4n);
    t0o = _mm_sub_ps(t0n, t3n);
    t1o = _mm_sub_ps(t9m, t4n);
    t2o = _mm_add_ps(t0n, t3n);
    s1u = _mm_unpacklo_ps(t5n, t9n);
    s2u = _mm_unpackhi_ps(t5n, t9n);
    s3u = _mm_unpacklo_ps(t6n, t0o);
    s4u = _mm_unpackhi_ps(t6n, t0o);
    s5u = _mm_unpacklo_ps(t7n, t1o);
    s6u = _mm_unpackhi_ps(t7n, t1o);
    s7u = _mm_unpacklo_ps(t8n, t2o);
    s8u = _mm_unpackhi_ps(t8n, t2o);
    s9u = _mm_shuffle_ps(s1u, s5u, _MM_SHUFFLE(1, 0, 1, 0));
    s0v = _mm_shuffle_ps(s1u, s5u, _MM_SHUFFLE(3, 2, 3, 2));
    s1v = _mm_shuffle_ps(s2u, s6u, _MM_SHUFFLE(1, 0, 1, 0));
    s2v = _mm_shuffle_ps(s2u, s6u, _MM_SHUFFLE(3, 2, 3, 2));
    s3v = _mm_shuffle_ps(s3u, s7u, _MM_SHUFFLE(1, 0, 1, 0));
    s4v = _mm_shuffle_ps(s3u, s7u, _MM_SHUFFLE(3, 2, 3, 2));
    s5v = _mm_shuffle_ps(s4u, s8u, _MM_SHUFFLE(1, 0, 1, 0));
    s6v = _mm_shuffle_ps(s4u, s8u, _MM_SHUFFLE(3, 2, 3, 2));
    a4N = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1v);
    a5N = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s5v);
    s7v = _mm_sub_ps(a4N, a5N);
    a6N = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s1v);
    a7N = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s5v);
    s8v = _mm_add_ps(a6N, a7N);
    t3o = _mm_add_ps(s9u, s7v);
    t4o = _mm_add_ps(s3v, s8v);
    t5o = _mm_sub_ps(s9u, s7v);
    t6o = _mm_sub_ps(s3v, s8v);
    a8N = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0v);
    a9N = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s4v);
    s9v = _mm_sub_ps(a8N, a9N);
    a0O = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s0v);
    a1O = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s4v);
    s0w = _mm_add_ps(a0O, a1O);
    a2O = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2v);
    a3O = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s6v);
    s1w = _mm_sub_ps(a2O, a3O);
    a4O = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s2v);
    a5O = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s6v);
    s2w = _mm_add_ps(a4O, a5O);
    t7o = _mm_add_ps(s9v, s1w);
    t8o = _mm_add_ps(s0w, s2w);
    t9o = _mm_sub_ps(s9v, s1w);
    t0p = _mm_sub_ps(s0w, s2w);
    t1p = _mm_add_ps(t3o, t7o);
    t2p = _mm_add_ps(t4o, t8o);
    t3p = _mm_sub_ps(t3o, t7o);
    t4p = _mm_sub_ps(t4o, t8o);
    s3w = _mm_unpacklo_ps(t1p, t2p);
    s4w = _mm_unpackhi_ps(t1p, t2p);
    a6O = (dst + 128);
    _mm_storel_pi(((__m64  *) a6O), s3w);
    a7O = (dst + 640);
    _mm_storeh_pi(((__m64  *) a7O), s3w);
    a8O = (dst + 1152);
    _mm_storel_pi(((__m64  *) a8O), s4w);
    a9O = (dst + 1664);
    _mm_storeh_pi(((__m64  *) a9O), s4w);
    a0P = _mm_unpacklo_ps(t3p, t4p);
    s5w = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a0P);
    a1P = _mm_unpackhi_ps(t3p, t4p);
    s6w = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1P);
    a2P = (dst + 3968);
    _mm_storel_pi(((__m64  *) a2P), s5w);
    a3P = (dst + 3456);
    _mm_storeh_pi(((__m64  *) a3P), s5w);
    a4P = (dst + 2944);
    _mm_storel_pi(((__m64  *) a4P), s6w);
    a5P = (dst + 2432);
    _mm_storeh_pi(((__m64  *) a5P), s6w);
    t5p = _mm_add_ps(t5o, t0p);
    t6p = _mm_sub_ps(t6o, t9o);
    t7p = _mm_sub_ps(t5o, t0p);
    t8p = _mm_add_ps(t6o, t9o);
    s7w = _mm_unpacklo_ps(t5p, t6p);
    s8w = _mm_unpackhi_ps(t5p, t6p);
    a6P = (dst + 2176);
    _mm_storel_pi(((__m64  *) a6P), s7w);
    a7P = (dst + 2688);
    _mm_storeh_pi(((__m64  *) a7P), s7w);
    a8P = (dst + 3200);
    _mm_storel_pi(((__m64  *) a8P), s8w);
    a9P = (dst + 3712);
    _mm_storeh_pi(((__m64  *) a9P), s8w);
    a0Q = _mm_unpacklo_ps(t7p, t8p);
    s9w = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a0Q);
    a1Q = _mm_unpackhi_ps(t7p, t8p);
    s0x = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1Q);
    a2Q = (dst + 1920);
    _mm_storel_pi(((__m64  *) a2Q), s9w);
    a3Q = (dst + 1408);
    _mm_storeh_pi(((__m64  *) a3Q), s9w);
    a4Q = (dst + 896);
    _mm_storel_pi(((__m64  *) a4Q), s0x);
    a5Q = (dst + 384);
    _mm_storeh_pi(((__m64  *) a5Q), s0x);
    {long i4; for(i4 = 0; i4 <= 62; i4++) {
        a1S = (16 * i4);
        a4U = ((__m128  *) T);
        b51 = (a4U + a1S);
        a5U = (b51 + 16);
        s1x = *(a5U);
        a6U = (b51 + 24);
        s2x = *(a6U);
        a7U = (b51 + 20);
        s3x = *(a7U);
        a8U = (b51 + 28);
        s4x = *(a8U);
        a2S = (D13 + a1S);
        a3S = *(a2S);
        a9U = (a2S + 1);
        a4S = *(a9U);
        a0V = _mm_mul_ps(a3S, s1x);
        a1V = _mm_mul_ps(a4S, s2x);
        s5x = _mm_sub_ps(a0V, a1V);
        a2V = _mm_mul_ps(a4S, s1x);
        a3V = _mm_mul_ps(a3S, s2x);
        s6x = _mm_add_ps(a2V, a3V);
        a4V = (a2S + 2);
        a5S = *(a4V);
        a5V = (a2S + 3);
        a6S = *(a5V);
        a6V = _mm_mul_ps(a5S, s3x);
        a7V = _mm_mul_ps(a6S, s4x);
        s7x = _mm_sub_ps(a6V, a7V);
        a8V = _mm_mul_ps(a6S, s3x);
        a9V = _mm_mul_ps(a5S, s4x);
        s8x = _mm_add_ps(a8V, a9V);
        t9p = _mm_add_ps(s5x, s7x);
        t0q = _mm_add_ps(s6x, s8x);
        t1q = _mm_sub_ps(s5x, s7x);
        t2q = _mm_sub_ps(s6x, s8x);
        a0W = (b51 + 18);
        s9x = *(a0W);
        a1W = (b51 + 26);
        s0y = *(a1W);
        a2W = (b51 + 22);
        s1y = *(a2W);
        a3W = (b51 + 30);
        s2y = *(a3W);
        a4W = (a2S + 4);
        a7S = *(a4W);
        a5W = (a2S + 5);
        a8S = *(a5W);
        a6W = _mm_mul_ps(a7S, s9x);
        a7W = _mm_mul_ps(a8S, s0y);
        s3y = _mm_sub_ps(a6W, a7W);
        a8W = _mm_mul_ps(a8S, s9x);
        a9W = _mm_mul_ps(a7S, s0y);
        s4y = _mm_add_ps(a8W, a9W);
        a0X = (a2S + 6);
        a9S = *(a0X);
        a1X = (a2S + 7);
        a0T = *(a1X);
        a2X = _mm_mul_ps(a9S, s1y);
        a3X = _mm_mul_ps(a0T, s2y);
        s5y = _mm_sub_ps(a2X, a3X);
        a4X = _mm_mul_ps(a0T, s1y);
        a5X = _mm_mul_ps(a9S, s2y);
        s6y = _mm_add_ps(a4X, a5X);
        t3q = _mm_add_ps(s3y, s5y);
        t4q = _mm_add_ps(s4y, s6y);
        t5q = _mm_sub_ps(s3y, s5y);
        t6q = _mm_sub_ps(s4y, s6y);
        t7q = _mm_add_ps(t9p, t3q);
        t8q = _mm_add_ps(t0q, t4q);
        t9q = _mm_sub_ps(t9p, t3q);
        t0r = _mm_sub_ps(t0q, t4q);
        t1r = _mm_add_ps(t1q, t6q);
        t2r = _mm_sub_ps(t2q, t5q);
        t3r = _mm_sub_ps(t1q, t6q);
        t4r = _mm_add_ps(t2q, t5q);
        s7y = _mm_unpacklo_ps(t7q, t1r);
        s8y = _mm_unpackhi_ps(t7q, t1r);
        s9y = _mm_unpacklo_ps(t8q, t2r);
        s0z = _mm_unpackhi_ps(t8q, t2r);
        s1z = _mm_unpacklo_ps(t9q, t3r);
        s2z = _mm_unpackhi_ps(t9q, t3r);
        s3z = _mm_unpacklo_ps(t0r, t4r);
        s4z = _mm_unpackhi_ps(t0r, t4r);
        s5z = _mm_shuffle_ps(s7y, s1z, _MM_SHUFFLE(1, 0, 1, 0));
        s6z = _mm_shuffle_ps(s7y, s1z, _MM_SHUFFLE(3, 2, 3, 2));
        s7z = _mm_shuffle_ps(s8y, s2z, _MM_SHUFFLE(1, 0, 1, 0));
        s8z = _mm_shuffle_ps(s8y, s2z, _MM_SHUFFLE(3, 2, 3, 2));
        s9z = _mm_shuffle_ps(s9y, s3z, _MM_SHUFFLE(1, 0, 1, 0));
        s0A = _mm_shuffle_ps(s9y, s3z, _MM_SHUFFLE(3, 2, 3, 2));
        s1A = _mm_shuffle_ps(s0z, s4z, _MM_SHUFFLE(1, 0, 1, 0));
        s2A = _mm_shuffle_ps(s0z, s4z, _MM_SHUFFLE(3, 2, 3, 2));
        a6X = (b51 + 17);
        s3A = *(a6X);
        a7X = (b51 + 25);
        s4A = *(a7X);
        a8X = (b51 + 21);
        s5A = *(a8X);
        a9X = (b51 + 29);
        s6A = *(a9X);
        a0Y = (a2S + 8);
        a1T = *(a0Y);
        a1Y = (a2S + 9);
        a2T = *(a1Y);
        a2Y = _mm_mul_ps(a1T, s3A);
        a3Y = _mm_mul_ps(a2T, s4A);
        s7A = _mm_sub_ps(a2Y, a3Y);
        a4Y = _mm_mul_ps(a2T, s3A);
        a5Y = _mm_mul_ps(a1T, s4A);
        s8A = _mm_add_ps(a4Y, a5Y);
        a6Y = (a2S + 10);
        a3T = *(a6Y);
        a7Y = (a2S + 11);
        a4T = *(a7Y);
        a8Y = _mm_mul_ps(a3T, s5A);
        a9Y = _mm_mul_ps(a4T, s6A);
        s9A = _mm_sub_ps(a8Y, a9Y);
        a0Z = _mm_mul_ps(a4T, s5A);
        a1Z = _mm_mul_ps(a3T, s6A);
        s0B = _mm_add_ps(a0Z, a1Z);
        t5r = _mm_add_ps(s7A, s9A);
        t6r = _mm_add_ps(s8A, s0B);
        t7r = _mm_sub_ps(s7A, s9A);
        t8r = _mm_sub_ps(s8A, s0B);
        a2Z = (b51 + 19);
        s1B = *(a2Z);
        a3Z = (b51 + 27);
        s2B = *(a3Z);
        a4Z = (b51 + 23);
        s3B = *(a4Z);
        a5Z = (b51 + 31);
        s4B = *(a5Z);
        a6Z = (a2S + 12);
        a5T = *(a6Z);
        a7Z = (a2S + 13);
        a6T = *(a7Z);
        a8Z = _mm_mul_ps(a5T, s1B);
        a9Z = _mm_mul_ps(a6T, s2B);
        s5B = _mm_sub_ps(a8Z, a9Z);
        a010 = _mm_mul_ps(a6T, s1B);
        a110 = _mm_mul_ps(a5T, s2B);
        s6B = _mm_add_ps(a010, a110);
        a210 = (a2S + 14);
        a7T = *(a210);
        a310 = (a2S + 15);
        a8T = *(a310);
        a410 = _mm_mul_ps(a7T, s3B);
        a510 = _mm_mul_ps(a8T, s4B);
        s7B = _mm_sub_ps(a410, a510);
        a610 = _mm_mul_ps(a8T, s3B);
        a710 = _mm_mul_ps(a7T, s4B);
        s8B = _mm_add_ps(a610, a710);
        t9r = _mm_add_ps(s5B, s7B);
        t0s = _mm_add_ps(s6B, s8B);
        t1s = _mm_sub_ps(s5B, s7B);
        t2s = _mm_sub_ps(s6B, s8B);
        t3s = _mm_add_ps(t5r, t9r);
        t4s = _mm_add_ps(t6r, t0s);
        t5s = _mm_sub_ps(t5r, t9r);
        t6s = _mm_sub_ps(t6r, t0s);
        t7s = _mm_add_ps(t7r, t2s);
        t8s = _mm_sub_ps(t8r, t1s);
        t9s = _mm_sub_ps(t7r, t2s);
        t0t = _mm_add_ps(t8r, t1s);
        s9B = _mm_unpacklo_ps(t3s, t7s);
        s0C = _mm_unpackhi_ps(t3s, t7s);
        s1C = _mm_unpacklo_ps(t4s, t8s);
        s2C = _mm_unpackhi_ps(t4s, t8s);
        s3C = _mm_unpacklo_ps(t5s, t9s);
        s4C = _mm_unpackhi_ps(t5s, t9s);
        s5C = _mm_unpacklo_ps(t6s, t0t);
        s6C = _mm_unpackhi_ps(t6s, t0t);
        s7C = _mm_shuffle_ps(s9B, s3C, _MM_SHUFFLE(1, 0, 1, 0));
        s8C = _mm_shuffle_ps(s9B, s3C, _MM_SHUFFLE(3, 2, 3, 2));
        s9C = _mm_shuffle_ps(s0C, s4C, _MM_SHUFFLE(1, 0, 1, 0));
        s0D = _mm_shuffle_ps(s0C, s4C, _MM_SHUFFLE(3, 2, 3, 2));
        s1D = _mm_shuffle_ps(s1C, s5C, _MM_SHUFFLE(1, 0, 1, 0));
        s2D = _mm_shuffle_ps(s1C, s5C, _MM_SHUFFLE(3, 2, 3, 2));
        s3D = _mm_shuffle_ps(s2C, s6C, _MM_SHUFFLE(1, 0, 1, 0));
        s4D = _mm_shuffle_ps(s2C, s6C, _MM_SHUFFLE(3, 2, 3, 2));
        a810 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7C);
        a910 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s1D);
        s5D = _mm_sub_ps(a810, a910);
        a011 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7C);
        a111 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1D);
        s6D = _mm_add_ps(a011, a111);
        t1t = _mm_add_ps(s5z, s5D);
        t2t = _mm_add_ps(s9z, s6D);
        t3t = _mm_sub_ps(s5z, s5D);
        t4t = _mm_sub_ps(s9z, s6D);
        a211 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7z);
        a311 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s1A);
        s7D = _mm_sub_ps(a211, a311);
        a411 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s7z);
        a511 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1A);
        s8D = _mm_add_ps(a411, a511);
        a611 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s9C);
        a711 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s3D);
        s9D = _mm_sub_ps(a611, a711);
        a811 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s9C);
        a911 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s3D);
        s0E = _mm_add_ps(a811, a911);
        t5t = _mm_add_ps(s7D, s9D);
        t6t = _mm_add_ps(s8D, s0E);
        t7t = _mm_sub_ps(s7D, s9D);
        t8t = _mm_sub_ps(s8D, s0E);
        t9t = _mm_add_ps(t1t, t5t);
        t0u = _mm_add_ps(t2t, t6t);
        t1u = _mm_sub_ps(t1t, t5t);
        t2u = _mm_sub_ps(t2t, t6t);
        t3u = _mm_add_ps(t3t, t8t);
        t4u = _mm_sub_ps(t4t, t7t);
        t5u = _mm_sub_ps(t3t, t8t);
        t6u = _mm_add_ps(t4t, t7t);
        a012 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6z);
        a112 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s0A);
        s1E = _mm_sub_ps(a012, a112);
        a212 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s6z);
        a312 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0A);
        s2E = _mm_add_ps(a212, a312);
        a412 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s8C);
        a512 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s2D);
        s3E = _mm_sub_ps(a412, a512);
        a612 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s8C);
        a712 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s2D);
        s4E = _mm_add_ps(a612, a712);
        t7u = _mm_add_ps(s1E, s3E);
        t8u = _mm_add_ps(s2E, s4E);
        t9u = _mm_sub_ps(s1E, s3E);
        t0v = _mm_sub_ps(s2E, s4E);
        a812 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8z);
        a912 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s2A);
        s5E = _mm_sub_ps(a812, a912);
        a013 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s8z);
        a113 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2A);
        s6E = _mm_add_ps(a013, a113);
        a213 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s0D);
        a313 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s4D);
        s7E = _mm_sub_ps(a213, a313);
        a413 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s0D);
        a513 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s4D);
        s8E = _mm_add_ps(a413, a513);
        t1v = _mm_add_ps(s5E, s7E);
        t2v = _mm_add_ps(s6E, s8E);
        t3v = _mm_sub_ps(s5E, s7E);
        t4v = _mm_sub_ps(s6E, s8E);
        t5v = _mm_add_ps(t7u, t1v);
        t6v = _mm_add_ps(t8u, t2v);
        t7v = _mm_sub_ps(t7u, t1v);
        t8v = _mm_sub_ps(t8u, t2v);
        a613 = _mm_add_ps(t9u, t4v);
        a9T = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a613);
        a713 = _mm_sub_ps(t0v, t3v);
        a0U = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a713);
        s9E = _mm_sub_ps(a9T, a0U);
        s0F = _mm_add_ps(a9T, a0U);
        a813 = _mm_sub_ps(t9u, t4v);
        a1U = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a813);
        a913 = _mm_add_ps(t0v, t3v);
        a2U = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a913);
        s1F = _mm_sub_ps(a1U, a2U);
        s2F = _mm_add_ps(a1U, a2U);
        t9v = _mm_add_ps(t9t, t5v);
        t0w = _mm_add_ps(t0u, t6v);
        t1w = _mm_sub_ps(t9t, t5v);
        t2w = _mm_sub_ps(t0u, t6v);
        s3F = _mm_unpacklo_ps(t9v, t0w);
        s4F = _mm_unpackhi_ps(t9v, t0w);
        a3U = (2 * i4);
        b61 = (dst + a3U);
        a014 = (b61 + 2);
        _mm_storel_pi(((__m64  *) a014), s3F);
        a114 = (b61 + 258);
        _mm_storeh_pi(((__m64  *) a114), s3F);
        a214 = (b61 + 514);
        _mm_storel_pi(((__m64  *) a214), s4F);
        a314 = (b61 + 770);
        _mm_storeh_pi(((__m64  *) a314), s4F);
        a414 = _mm_unpacklo_ps(t1w, t2w);
        s5F = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a414);
        a514 = _mm_unpackhi_ps(t1w, t2w);
        s6F = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a514);
        b71 = (dst - a3U);
        a614 = (b71 + 4094);
        _mm_storel_pi(((__m64  *) a614), s5F);
        a714 = (b71 + 3838);
        _mm_storeh_pi(((__m64  *) a714), s5F);
        a814 = (b71 + 3582);
        _mm_storel_pi(((__m64  *) a814), s6F);
        a914 = (b71 + 3326);
        _mm_storeh_pi(((__m64  *) a914), s6F);
        t3w = _mm_add_ps(t3u, s9E);
        t4w = _mm_sub_ps(t4u, s0F);
        t5w = _mm_sub_ps(t3u, s9E);
        t6w = _mm_add_ps(t4u, s0F);
        s7F = _mm_unpacklo_ps(t3w, t4w);
        s8F = _mm_unpackhi_ps(t3w, t4w);
        a015 = (b61 + 1026);
        _mm_storel_pi(((__m64  *) a015), s7F);
        a115 = (b61 + 1282);
        _mm_storeh_pi(((__m64  *) a115), s7F);
        a215 = (b61 + 1538);
        _mm_storel_pi(((__m64  *) a215), s8F);
        a315 = (b61 + 1794);
        _mm_storeh_pi(((__m64  *) a315), s8F);
        a415 = _mm_unpacklo_ps(t5w, t6w);
        s9F = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a415);
        a515 = _mm_unpackhi_ps(t5w, t6w);
        s0G = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a515);
        a615 = (b71 + 3070);
        _mm_storel_pi(((__m64  *) a615), s9F);
        a715 = (b71 + 2814);
        _mm_storeh_pi(((__m64  *) a715), s9F);
        a815 = (b71 + 2558);
        _mm_storel_pi(((__m64  *) a815), s0G);
        a915 = (b71 + 2302);
        _mm_storeh_pi(((__m64  *) a915), s0G);
        t7w = _mm_add_ps(t1u, t8v);
        t8w = _mm_sub_ps(t2u, t7v);
        t9w = _mm_sub_ps(t1u, t8v);
        t0x = _mm_add_ps(t2u, t7v);
        s1G = _mm_unpacklo_ps(t7w, t8w);
        s2G = _mm_unpackhi_ps(t7w, t8w);
        a016 = (b61 + 2050);
        _mm_storel_pi(((__m64  *) a016), s1G);
        a116 = (b61 + 2306);
        _mm_storeh_pi(((__m64  *) a116), s1G);
        a216 = (b61 + 2562);
        _mm_storel_pi(((__m64  *) a216), s2G);
        a316 = (b61 + 2818);
        _mm_storeh_pi(((__m64  *) a316), s2G);
        a416 = _mm_unpacklo_ps(t9w, t0x);
        s3G = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a416);
        a516 = _mm_unpackhi_ps(t9w, t0x);
        s4G = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a516);
        a616 = (b71 + 2046);
        _mm_storel_pi(((__m64  *) a616), s3G);
        a716 = (b71 + 1790);
        _mm_storeh_pi(((__m64  *) a716), s3G);
        a816 = (b71 + 1534);
        _mm_storel_pi(((__m64  *) a816), s4G);
        a916 = (b71 + 1278);
        _mm_storeh_pi(((__m64  *) a916), s4G);
        t1x = _mm_add_ps(t5u, s1F);
        t2x = _mm_add_ps(t6u, s2F);
        t3x = _mm_sub_ps(t5u, s1F);
        t4x = _mm_sub_ps(t6u, s2F);
        s5G = _mm_unpacklo_ps(t1x, t2x);
        s6G = _mm_unpackhi_ps(t1x, t2x);
        a017 = (b61 + 3074);
        _mm_storel_pi(((__m64  *) a017), s5G);
        a117 = (b61 + 3330);
        _mm_storeh_pi(((__m64  *) a117), s5G);
        a217 = (b61 + 3586);
        _mm_storel_pi(((__m64  *) a217), s6G);
        a317 = (b61 + 3842);
        _mm_storeh_pi(((__m64  *) a317), s6G);
        a417 = _mm_unpacklo_ps(t3x, t4x);
        s7G = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a417);
        a517 = _mm_unpackhi_ps(t3x, t4x);
        s8G = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a517);
        a617 = (b71 + 1022);
        _mm_storel_pi(((__m64  *) a617), s7G);
        a717 = (b71 + 766);
        _mm_storeh_pi(((__m64  *) a717), s7G);
        a817 = (b71 + 510);
        _mm_storel_pi(((__m64  *) a817), s8G);
        a917 = (b71 + 254);
        _mm_storeh_pi(((__m64  *) a917), s8G);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftfwd_float_8192_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[8192]);
     SPIRAL_ALIGNED(float T2[1024]);
    __m128 a019, a01a, a01b, a01c, a0L, a0M, a0N, a0O, a1K, a1L, a1M, a1O, a2K, a2L, a2M, a2N, a2O, a3K, a3L, a3M, a3N, a4J
            , a4L, a4M, a4N, a4O, a5J, a5M, a5N, a5O, a5T, a5U, a6J, a6K, a6L, a6M, a6N, a6O, a6T, a6U, a7K, a7L, a7N, a7O
            , a8L, a8M, a8N, a918, a919, a91a, a91b, a9M, b11, b31, b6, b9;
    __m128 a012, a013, a015, a016, a017, a018, a02, a07, a08, a09, a0A, a0B, a0C, a0H, a0I, a0J, a0K, a0R, a0S, a0T, a0X, a0Y
            , a0a, a0c, a0e, a0k, a0l, a0m, a0n, a0r, a0t, a0u, a0w, a0x, a0z, a110, a111, a115, a116, a117, a118, a12, a17, a18
            , a19, a1A, a1B, a1C, a1H, a1I, a1J, a1N, a1R, a1S, a1X, a1Y, a1a, a1c, a1e, a1k, a1l, a1m, a1n, a1r, a1t, a1u
            , a1w, a1x, a1z, a210, a211, a215, a216, a217, a218, a22, a27, a28, a29, a2A, a2B, a2C, a2H, a2I, a2J, a2R, a2S, a2X
            , a2Y, a2a, a2c, a2e, a2k, a2l, a2m, a2n, a2r, a2s, a2u, a2v, a2x, a2y, a3, a31, a310, a311, a313, a314, a315, a316
            , a317, a318, a37, a38, a3A, a3B, a3C, a3G, a3H, a3I, a3J, a3O, a3Q, a3R, a3S, a3X, a3Y, a3a, a3c, a3d, a3e, a3k
            , a3l, a3m, a3n, a3r, a3s, a3u, a3v, a3x, a3y, a4, a41, a410, a411, a413, a414, a415, a416, a417, a418, a47, a48, a4A
            , a4B, a4C, a4F, a4H, a4I, a4K, a4Q, a4R, a4S, a4X, a4Y, a4a, a4c, a4e, a4k, a4l, a4m, a4n, a4s, a4t, a4v, a4w
            , a4y, a4z, a5, a51, a513, a514, a515, a516, a517, a57, a58, a5A, a5B, a5C, a5E, a5H, a5I, a5K, a5L, a5Q, a5R, a5S
            , a5X, a5Y, a5Z, a5a, a5c, a5e, a5j, a5k, a5l, a5m, a5s, a5t, a5v, a5w, a5y, a5z, a6, a61, a613, a614, a615, a616
            , a617, a67, a68, a6A, a6B, a6C, a6D, a6G, a6H, a6I, a6Q, a6R, a6S, a6X, a6Y, a6Z, a6a, a6b, a6c, a6e, a6f, a6j
            , a6k, a6l, a6m, a6r, a6t, a6u, a6w, a6x, a6z, a7, a71, a711, a712, a715, a716, a717, a77, a78, a79, a7A, a7B, a7C
            , a7G, a7H, a7I, a7J, a7M, a7Q, a7R, a7S, a7X, a7Y, a7Z, a7a, a7c, a7d, a7e, a7j, a7k, a7l, a7m, a7r, a7t, a7u
            , a7w, a7x, a7z, a8, a81, a811, a812, a815, a816, a817, a82, a88, a89, a8A, a8B, a8G, a8H, a8I, a8J, a8K, a8Q, a8R
            , a8S, a8W, a8X, a8Z, a8a, a8b, a8d, a8e, a8j, a8k, a8l, a8m, a8r, a8s, a8u, a8v, a8x, a8y, a91, a911, a912, a914
            , a915, a916, a917, a97, a98, a99, a9A, a9B, a9G, a9H, a9I, a9J, a9K, a9L, a9N, a9Q, a9R, a9S, a9W, a9X, a9b, a9d
            , a9j, a9k, a9l, a9m, a9r, a9s, a9u, a9v, a9x, a9y, b01, b21, b41, b7, b8, s, s01, s02, s03, s04, s05, s06
            , s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0G, s0H, s0I, s0J, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i
            , s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11, s12, s13, s14, s15
            , s16, s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1F, s1G, s1H, s1I, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i
            , s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24
            , s25, s26, s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2F, s2G, s2H, s2I, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h
            , s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33
            , s34, s35, s36, s37, s38, s39, s3A, s3B, s3C, s3D, s3E, s3F, s3G, s3H, s3I, s3a, s3b, s3c, s3d, s3e, s3f, s3g
            , s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42
            , s43, s44, s45, s46, s47, s48, s49, s4A, s4B, s4C, s4D, s4E, s4F, s4G, s4H, s4I, s4a, s4b, s4c, s4d, s4e, s4f
            , s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51
            , s52, s53, s54, s55, s56, s57, s58, s59, s5A, s5B, s5C, s5D, s5E, s5F, s5G, s5H, s5I, s5a, s5b, s5c, s5d, s5e
            , s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6
            , s61, s62, s63, s64, s65, s66, s67, s68, s69, s6A, s6B, s6C, s6D, s6E, s6F, s6G, s6H, s6I, s6a, s6b, s6c, s6d
            , s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z
            , s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7A, s7B, s7C, s7D, s7E, s7F, s7G, s7H, s7I, s7a, s7b, s7c
            , s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y
            , s7z, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8A, s8B, s8C, s8D, s8E, s8F, s8G, s8H, s8I, s8a, s8b
            , s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x
            , s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9C, s9D, s9E, s9F, s9G, s9H, s9I, s9a
            , s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w
            , s9x, s9y, s9z, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i
            , t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t12, t13, t14, t15
            , t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r
            , t1s, t1t, t1u, t1v, t1w, t1x, t1y, t1z, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d
            , t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z
            , t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l
            , t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t42, t43, t44, t45, t46, t47
            , t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t
            , t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f
            , t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z, t6, t61
            , t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n
            , t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y, t6z, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79
            , t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v
            , t7w, t7x, t7y, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i
            , t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t9, t91, t92, t93, t94, t95
            , t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r
            , t9s, t9t, t9u, t9v, t9w, t9x, t9y;
    __m128  *a01, *a010, *a011, *a014, *a03, *a0D, *a0E, *a0F, *a0G, *a0W, *a0Z, *a0b, *a0d, *a0f, *a0g, *a0h, *a0i, *a0j, *a0o, *a0p, *a0q, *a0s
            , *a0v, *a0y, *a11, *a112, *a113, *a114, *a13, *a1D, *a1E, *a1F, *a1G, *a1V, *a1W, *a1Z, *a1b, *a1d, *a1f, *a1g, *a1h, *a1i, *a1j, *a1o
            , *a1p, *a1q, *a1s, *a1v, *a1y, *a2, *a21, *a212, *a213, *a214, *a2D, *a2E, *a2F, *a2G, *a2V, *a2W, *a2Z, *a2b, *a2d, *a2f, *a2g, *a2h
            , *a2i, *a2j, *a2o, *a2p, *a2q, *a2t, *a2w, *a2z, *a312, *a32, *a39, *a3D, *a3E, *a3F, *a3V, *a3W, *a3Z, *a3b, *a3f, *a3g, *a3h, *a3i
            , *a3o, *a3p, *a3q, *a3t, *a3w, *a3z, *a412, *a42, *a49, *a4D, *a4E, *a4G, *a4V, *a4W, *a4Z, *a4b, *a4d, *a4f, *a4g, *a4h, *a4i, *a4j
            , *a4o, *a4p, *a4q, *a4r, *a4u, *a4x, *a510, *a511, *a512, *a52, *a56, *a59, *a5D, *a5F, *a5G, *a5V, *a5W, *a5b, *a5d, *a5f, *a5g, *a5h
            , *a5i, *a5o, *a5p, *a5q, *a5r, *a5u, *a5x, *a610, *a611, *a612, *a62, *a66, *a69, *a6E, *a6F, *a6V, *a6d, *a6g, *a6h, *a6i, *a6n, *a6o
            , *a6p, *a6q, *a6s, *a6v, *a6y, *a710, *a713, *a714, *a72, *a76, *a7D, *a7E, *a7F, *a7V, *a7W, *a7b, *a7f, *a7g, *a7h, *a7i, *a7n, *a7o
            , *a7p, *a7q, *a7s, *a7v, *a7y, *a810, *a813, *a814, *a86, *a87, *a8C, *a8D, *a8E, *a8F, *a8V, *a8c, *a8f, *a8g, *a8h, *a8i, *a8n, *a8o
            , *a8p, *a8q, *a8t, *a8w, *a8z, *a9, *a910, *a913, *a92, *a96, *a9C, *a9D, *a9E, *a9F, *a9V, *a9Y, *a9Z, *a9a, *a9c, *a9e, *a9f, *a9g
            , *a9h, *a9i, *a9n, *a9o, *a9p, *a9q, *a9t, *a9w, *a9z, *b2, *b3, *b4, *b5, *b51;
    float  *a0P, *a0Q, *a0U, *a0V, *a119, *a11a, *a11b, *a11c, *a1P, *a1Q, *a1T, *a1U, *a219, *a21a, *a21b, *a21c, *a2P, *a2Q, *a2T, *a2U, *a319, *a31a
            , *a31b, *a31c, *a3P, *a3T, *a3U, *a419, *a41a, *a41b, *a41c, *a4P, *a4T, *a4U, *a518, *a519, *a51a, *a51b, *a5P, *a618, *a619, *a61a, *a61b, *a6P
            , *a718, *a719, *a71a, *a71b, *a7P, *a7T, *a7U, *a818, *a819, *a81a, *a81b, *a8O, *a8P, *a8T, *a8U, *a9O, *a9P, *a9T, *a9U, *b61, *b71;
    const float  *a, *a04, *a05, *a06, *a14, *a15, *a16, *a24, *a25, *a26, *a34, *a35, *a36, *a43, *a44, *a45, *a46, *a53, *a54, *a55, *a63, *a64
            , *a65, *a73, *a74, *a75, *a83, *a84, *a85, *a93, *a94, *a95, *b;
    int a23, a33, a3j, a5n, a6W, a8Y;
    {long i; for(i = 0; i <= 7; i++) {
        {long i2; for(i2 = 0; i2 <= 15; i2++) {
            a23 = (4 * i);
            a33 = (32 * i2);
            b = (src + a23);
            a = (b + a33);
            a43 = ((const float  *) a);
            s = _mm_loadu_ps(a43);
            a63 = (a + 4096);
            a53 = ((const float  *) a63);
            s2 = _mm_loadu_ps(a53);
            t = _mm_add_ps(s, s2);
            t2 = _mm_sub_ps(s, s2);
            a83 = (a + 2048);
            a73 = ((const float  *) a83);
            s3 = _mm_loadu_ps(a73);
            a04 = (a + 6144);
            a93 = ((const float  *) a04);
            s4 = _mm_loadu_ps(a93);
            t3 = _mm_add_ps(s3, s4);
            t4 = _mm_sub_ps(s3, s4);
            a24 = (a + 512);
            a14 = ((const float  *) a24);
            s5 = _mm_loadu_ps(a14);
            a44 = (a + 4608);
            a34 = ((const float  *) a44);
            s6 = _mm_loadu_ps(a34);
            t5 = _mm_add_ps(s5, s6);
            t6 = _mm_sub_ps(s5, s6);
            a64 = (a + 2560);
            a54 = ((const float  *) a64);
            s7 = _mm_loadu_ps(a54);
            a84 = (a + 6656);
            a74 = ((const float  *) a84);
            s8 = _mm_loadu_ps(a74);
            t7 = _mm_add_ps(s7, s8);
            t8 = _mm_sub_ps(s7, s8);
            a05 = (a + 1024);
            a94 = ((const float  *) a05);
            s9 = _mm_loadu_ps(a94);
            a25 = (a + 5120);
            a15 = ((const float  *) a25);
            s01 = _mm_loadu_ps(a15);
            t9 = _mm_add_ps(s9, s01);
            a45 = (a + 3072);
            a35 = ((const float  *) a45);
            s11 = _mm_loadu_ps(a35);
            a65 = (a + 7168);
            a55 = ((const float  *) a65);
            s21 = _mm_loadu_ps(a55);
            t01 = _mm_add_ps(s11, s21);
            a85 = (a + 1536);
            a75 = ((const float  *) a85);
            s31 = _mm_loadu_ps(a75);
            a06 = (a + 5632);
            a95 = ((const float  *) a06);
            s41 = _mm_loadu_ps(a95);
            t11 = _mm_add_ps(s31, s41);
            t21 = _mm_sub_ps(s31, s41);
            a26 = (a + 3584);
            a16 = ((const float  *) a26);
            s51 = _mm_loadu_ps(a16);
            a46 = (a + 7680);
            a36 = ((const float  *) a46);
            s61 = _mm_loadu_ps(a36);
            t31 = _mm_add_ps(s51, s61);
            t41 = _mm_sub_ps(s51, s61);
            t51 = _mm_add_ps(t, t3);
            t61 = _mm_sub_ps(t, t3);
            t71 = _mm_add_ps(t9, t01);
            t81 = _mm_sub_ps(t9, t01);
            t91 = _mm_add_ps(t5, t7);
            t02 = _mm_add_ps(t11, t31);
            a56 = ((__m128  *) T2);
            a2 = (a56 + i2);
            s71 = _mm_add_ps(t51, t71);
            *(a2) = s71;
            s81 = _mm_sub_ps(t51, t71);
            a66 = (a2 + 128);
            *(a66) = s81;
            s91 = _mm_add_ps(t91, t02);
            a76 = (a2 + 16);
            *(a76) = s91;
            s02 = _mm_sub_ps(t02, t91);
            a86 = (a2 + 144);
            *(a86) = s02;
            a7 = _mm_sub_ps(t5, t7);
            a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a7);
            a8 = _mm_sub_ps(t11, t31);
            a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a8);
            s12 = _mm_add_ps(a3, a4);
            s22 = _mm_sub_ps(a4, a3);
            s32 = _mm_add_ps(t61, s12);
            a9 = (a2 + 64);
            *(a9) = s32;
            s42 = _mm_sub_ps(s22, t81);
            a01 = (a2 + 80);
            *(a01) = s42;
            s52 = _mm_sub_ps(t61, s12);
            a11 = (a2 + 192);
            *(a11) = s52;
            s62 = _mm_add_ps(t81, s22);
            a21 = (a2 + 208);
            *(a21) = s62;
            a31 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6);
            a41 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t8);
            s72 = _mm_add_ps(a31, a41);
            a51 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t6);
            a61 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8);
            s82 = _mm_sub_ps(a51, a61);
            a71 = _mm_sub_ps(s9, s01);
            a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a71);
            a81 = _mm_sub_ps(s11, s21);
            a6 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a81);
            s92 = _mm_add_ps(a5, a6);
            s03 = _mm_sub_ps(a6, a5);
            a91 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t21);
            a02 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t41);
            s13 = _mm_add_ps(a91, a02);
            a12 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t21);
            a22 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t41);
            s23 = _mm_sub_ps(a12, a22);
            t12 = _mm_add_ps(t2, s92);
            t22 = _mm_sub_ps(s03, t4);
            t32 = _mm_sub_ps(t2, s92);
            t42 = _mm_add_ps(t4, s03);
            t52 = _mm_add_ps(s72, s13);
            t62 = _mm_add_ps(s82, s23);
            t72 = _mm_sub_ps(s72, s13);
            t82 = _mm_sub_ps(s82, s23);
            s33 = _mm_add_ps(t12, t52);
            a32 = (a2 + 32);
            *(a32) = s33;
            s43 = _mm_add_ps(t22, t62);
            a42 = (a2 + 48);
            *(a42) = s43;
            s53 = _mm_sub_ps(t12, t52);
            a52 = (a2 + 224);
            *(a52) = s53;
            s63 = _mm_sub_ps(t62, t22);
            a62 = (a2 + 240);
            *(a62) = s63;
            s73 = _mm_add_ps(t32, t82);
            a72 = (a2 + 160);
            *(a72) = s73;
            a82 = _mm_add_ps(t42, t72);
            s83 = _mm_sub_ps(_mm_set1_ps(0.0f), a82);
            a92 = (a2 + 176);
            *(a92) = s83;
            s93 = _mm_sub_ps(t32, t82);
            a03 = (a2 + 96);
            *(a03) = s93;
            s04 = _mm_sub_ps(t42, t72);
            a13 = (a2 + 112);
            *(a13) = s04;
        }}
        a96 = ((__m128  *) T2);
        s14 = *(a96);
        a8f = (a96 + 16);
        s24 = *(a8f);
        t92 = _mm_add_ps(s14, s24);
        t03 = _mm_sub_ps(s14, s24);
        a9f = (a96 + 8);
        s34 = *(a9f);
        a0g = (a96 + 24);
        s44 = *(a0g);
        t13 = _mm_add_ps(s34, s44);
        t23 = _mm_sub_ps(s34, s44);
        a1g = (a96 + 4);
        s54 = *(a1g);
        a2g = (a96 + 20);
        s64 = *(a2g);
        t33 = _mm_add_ps(s54, s64);
        a3g = (a96 + 12);
        s74 = *(a3g);
        a4g = (a96 + 28);
        s84 = *(a4g);
        t43 = _mm_add_ps(s74, s84);
        t53 = _mm_add_ps(t92, t13);
        t63 = _mm_sub_ps(t92, t13);
        t73 = _mm_add_ps(t33, t43);
        t83 = _mm_sub_ps(t33, t43);
        a38 = _mm_sub_ps(s54, s64);
        a07 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a38);
        a48 = _mm_sub_ps(s74, s84);
        a17 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a48);
        s94 = _mm_add_ps(a07, a17);
        s05 = _mm_sub_ps(a17, a07);
        t93 = _mm_add_ps(t03, s94);
        t04 = _mm_sub_ps(s05, t23);
        t14 = _mm_sub_ps(t03, s94);
        t24 = _mm_add_ps(t23, s05);
        a5g = (a96 + 1);
        s15 = *(a5g);
        a6g = (a96 + 17);
        s25 = *(a6g);
        t34 = _mm_add_ps(s15, s25);
        t44 = _mm_sub_ps(s15, s25);
        a7g = (a96 + 9);
        s35 = *(a7g);
        a8g = (a96 + 25);
        s45 = *(a8g);
        t54 = _mm_add_ps(s35, s45);
        t64 = _mm_sub_ps(s35, s45);
        a9g = (a96 + 5);
        s55 = *(a9g);
        a0h = (a96 + 21);
        s65 = *(a0h);
        t74 = _mm_add_ps(s55, s65);
        a1h = (a96 + 13);
        s75 = *(a1h);
        a2h = (a96 + 29);
        s85 = *(a2h);
        t84 = _mm_add_ps(s75, s85);
        t94 = _mm_add_ps(t34, t54);
        t05 = _mm_sub_ps(t34, t54);
        t15 = _mm_add_ps(t74, t84);
        t25 = _mm_sub_ps(t74, t84);
        a58 = _mm_sub_ps(s55, s65);
        a27 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a58);
        a68 = _mm_sub_ps(s75, s85);
        a37 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a68);
        s95 = _mm_add_ps(a27, a37);
        s06 = _mm_sub_ps(a37, a27);
        t35 = _mm_add_ps(t44, s95);
        t45 = _mm_sub_ps(s06, t64);
        t55 = _mm_sub_ps(t44, s95);
        t65 = _mm_add_ps(t64, s06);
        a3h = (a96 + 2);
        s16 = *(a3h);
        a4h = (a96 + 18);
        s26 = *(a4h);
        t75 = _mm_add_ps(s16, s26);
        t85 = _mm_sub_ps(s16, s26);
        a5h = (a96 + 10);
        s36 = *(a5h);
        a6h = (a96 + 26);
        s46 = *(a6h);
        t95 = _mm_add_ps(s36, s46);
        t06 = _mm_sub_ps(s36, s46);
        a7h = (a96 + 6);
        s56 = *(a7h);
        a8h = (a96 + 22);
        s66 = *(a8h);
        t16 = _mm_add_ps(s56, s66);
        a9h = (a96 + 14);
        s76 = *(a9h);
        a0i = (a96 + 30);
        s86 = *(a0i);
        t26 = _mm_add_ps(s76, s86);
        t36 = _mm_add_ps(t75, t95);
        t46 = _mm_add_ps(t16, t26);
        a78 = _mm_sub_ps(s56, s66);
        a47 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a78);
        a88 = _mm_sub_ps(s76, s86);
        a57 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a88);
        s96 = _mm_add_ps(a47, a57);
        s07 = _mm_sub_ps(a57, a47);
        t56 = _mm_add_ps(t85, s96);
        t66 = _mm_sub_ps(s07, t06);
        t76 = _mm_sub_ps(t85, s96);
        t86 = _mm_add_ps(t06, s07);
        a1i = (a96 + 3);
        s17 = *(a1i);
        a2i = (a96 + 19);
        s27 = *(a2i);
        t96 = _mm_add_ps(s17, s27);
        t07 = _mm_sub_ps(s17, s27);
        a3i = (a96 + 11);
        s37 = *(a3i);
        a4i = (a96 + 27);
        s47 = *(a4i);
        t17 = _mm_add_ps(s37, s47);
        t27 = _mm_sub_ps(s37, s47);
        a5i = (a96 + 7);
        s57 = *(a5i);
        a6i = (a96 + 23);
        s67 = *(a6i);
        t37 = _mm_add_ps(s57, s67);
        a7i = (a96 + 15);
        s77 = *(a7i);
        a8i = (a96 + 31);
        s87 = *(a8i);
        t47 = _mm_add_ps(s77, s87);
        t57 = _mm_add_ps(t96, t17);
        t67 = _mm_sub_ps(t96, t17);
        t77 = _mm_add_ps(t37, t47);
        t87 = _mm_sub_ps(t37, t47);
        a98 = _mm_sub_ps(s57, s67);
        a67 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a98);
        a09 = _mm_sub_ps(s77, s87);
        a77 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a09);
        s97 = _mm_add_ps(a67, a77);
        s08 = _mm_sub_ps(a77, a67);
        t97 = _mm_add_ps(t07, s97);
        t08 = _mm_sub_ps(s08, t27);
        t18 = _mm_sub_ps(t07, s97);
        t28 = _mm_add_ps(t27, s08);
        t38 = _mm_add_ps(t53, t73);
        t48 = _mm_sub_ps(t53, t73);
        t58 = _mm_add_ps(t36, t46);
        t68 = _mm_sub_ps(t36, t46);
        t78 = _mm_add_ps(t94, t15);
        t88 = _mm_add_ps(t57, t77);
        a9i = ((__m128  *) T);
        a87 = (a9i + i);
        s18 = _mm_add_ps(t38, t58);
        *(a87) = s18;
        s28 = _mm_sub_ps(t38, t58);
        a0j = (a87 + 1024);
        *(a0j) = s28;
        s38 = _mm_add_ps(t78, t88);
        a1j = (a87 + 8);
        *(a1j) = s38;
        s48 = _mm_sub_ps(t88, t78);
        a2j = (a87 + 1032);
        *(a2j) = s48;
        a19 = _mm_sub_ps(t94, t15);
        a97 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a19);
        a29 = _mm_sub_ps(t57, t77);
        a08 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a29);
        s58 = _mm_add_ps(a97, a08);
        s68 = _mm_sub_ps(a08, a97);
        s78 = _mm_add_ps(t48, s58);
        a39 = (a87 + 512);
        *(a39) = s78;
        s88 = _mm_sub_ps(s68, t68);
        a49 = (a87 + 520);
        *(a49) = s88;
        s98 = _mm_sub_ps(t48, s58);
        a59 = (a87 + 1536);
        *(a59) = s98;
        s09 = _mm_add_ps(t68, s68);
        a69 = (a87 + 1544);
        *(a69) = s09;
        a79 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t35);
        a89 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t45);
        s19 = _mm_sub_ps(a79, a89);
        a99 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t35);
        a0a = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t45);
        s29 = _mm_add_ps(a99, a0a);
        a1a = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t56);
        a2a = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t66);
        s39 = _mm_sub_ps(a1a, a2a);
        a3a = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t56);
        a4a = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t66);
        s49 = _mm_add_ps(a3a, a4a);
        a5a = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t97);
        a6a = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t08);
        s59 = _mm_sub_ps(a5a, a6a);
        a7a = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t97);
        a8a = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t08);
        s69 = _mm_add_ps(a7a, a8a);
        t98 = _mm_add_ps(t93, s39);
        t09 = _mm_add_ps(t04, s49);
        t19 = _mm_sub_ps(t93, s39);
        t29 = _mm_sub_ps(t04, s49);
        t39 = _mm_add_ps(s19, s59);
        t49 = _mm_add_ps(s29, s69);
        t59 = _mm_sub_ps(s19, s59);
        t69 = _mm_sub_ps(s29, s69);
        s79 = _mm_add_ps(t98, t39);
        a9a = (a87 + 128);
        *(a9a) = s79;
        s89 = _mm_add_ps(t09, t49);
        a0b = (a87 + 136);
        *(a0b) = s89;
        s99 = _mm_sub_ps(t98, t39);
        a1b = (a87 + 1920);
        *(a1b) = s99;
        s0a = _mm_sub_ps(t49, t09);
        a2b = (a87 + 1928);
        *(a2b) = s0a;
        s1a = _mm_add_ps(t19, t69);
        a3b = (a87 + 1152);
        *(a3b) = s1a;
        s2a = _mm_sub_ps(t29, t59);
        a4b = (a87 + 1160);
        *(a4b) = s2a;
        s3a = _mm_sub_ps(t19, t69);
        a5b = (a87 + 896);
        *(a5b) = s3a;
        a6b = _mm_add_ps(t29, t59);
        s4a = _mm_sub_ps(_mm_set1_ps(0.0f), a6b);
        a7b = (a87 + 904);
        *(a7b) = s4a;
        a8b = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t05);
        a9b = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t25);
        s5a = _mm_add_ps(a8b, a9b);
        a0c = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t05);
        a1c = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t25);
        s6a = _mm_sub_ps(a0c, a1c);
        a2c = _mm_sub_ps(t75, t95);
        a18 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2c);
        a3c = _mm_sub_ps(t16, t26);
        a28 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a3c);
        s7a = _mm_add_ps(a18, a28);
        s8a = _mm_sub_ps(a28, a18);
        a4c = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t67);
        a5c = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t87);
        s9a = _mm_add_ps(a4c, a5c);
        a6c = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t67);
        a7c = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t87);
        s0b = _mm_sub_ps(a6c, a7c);
        t79 = _mm_add_ps(t63, s7a);
        t89 = _mm_sub_ps(s8a, t83);
        t99 = _mm_sub_ps(t63, s7a);
        t0a = _mm_add_ps(t83, s8a);
        t1a = _mm_add_ps(s5a, s9a);
        t2a = _mm_add_ps(s6a, s0b);
        t3a = _mm_sub_ps(s5a, s9a);
        t4a = _mm_sub_ps(s6a, s0b);
        s1b = _mm_add_ps(t79, t1a);
        a8c = (a87 + 256);
        *(a8c) = s1b;
        s2b = _mm_add_ps(t89, t2a);
        a9c = (a87 + 264);
        *(a9c) = s2b;
        s3b = _mm_sub_ps(t79, t1a);
        a0d = (a87 + 1792);
        *(a0d) = s3b;
        s4b = _mm_sub_ps(t2a, t89);
        a1d = (a87 + 1800);
        *(a1d) = s4b;
        s5b = _mm_add_ps(t99, t4a);
        a2d = (a87 + 1280);
        *(a2d) = s5b;
        a3d = _mm_add_ps(t0a, t3a);
        s6b = _mm_sub_ps(_mm_set1_ps(0.0f), a3d);
        a4d = (a87 + 1288);
        *(a4d) = s6b;
        s7b = _mm_sub_ps(t99, t4a);
        a5d = (a87 + 768);
        *(a5d) = s7b;
        s8b = _mm_sub_ps(t0a, t3a);
        a6d = (a87 + 776);
        *(a6d) = s8b;
        a7d = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t55);
        a8d = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t65);
        s9b = _mm_sub_ps(a7d, a8d);
        a9d = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t55);
        a0e = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t65);
        s0c = _mm_add_ps(a9d, a0e);
        a1e = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t76);
        a2e = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t86);
        s1c = _mm_sub_ps(a1e, a2e);
        a3e = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t76);
        a4e = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t86);
        s2c = _mm_add_ps(a3e, a4e);
        a5e = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t18);
        a6e = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t28);
        s3c = _mm_sub_ps(a5e, a6e);
        a7e = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t18);
        a8e = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t28);
        s4c = _mm_add_ps(a7e, a8e);
        t5a = _mm_add_ps(t14, s1c);
        t6a = _mm_add_ps(t24, s2c);
        t7a = _mm_sub_ps(t14, s1c);
        t8a = _mm_sub_ps(t24, s2c);
        t9a = _mm_add_ps(s9b, s3c);
        t0b = _mm_add_ps(s0c, s4c);
        t1b = _mm_sub_ps(s9b, s3c);
        t2b = _mm_sub_ps(s0c, s4c);
        s5c = _mm_add_ps(t5a, t9a);
        a9e = (a87 + 384);
        *(a9e) = s5c;
        s6c = _mm_add_ps(t6a, t0b);
        a0f = (a87 + 392);
        *(a0f) = s6c;
        s7c = _mm_sub_ps(t5a, t9a);
        a1f = (a87 + 1664);
        *(a1f) = s7c;
        s8c = _mm_sub_ps(t0b, t6a);
        a2f = (a87 + 1672);
        *(a2f) = s8c;
        s9c = _mm_add_ps(t7a, t2b);
        a3f = (a87 + 1408);
        *(a3f) = s9c;
        s0d = _mm_sub_ps(t8a, t1b);
        a4f = (a87 + 1416);
        *(a4f) = s0d;
        s1d = _mm_sub_ps(t7a, t2b);
        a5f = (a87 + 640);
        *(a5f) = s1d;
        a6f = _mm_add_ps(t8a, t1b);
        s2d = _mm_sub_ps(_mm_set1_ps(0.0f), a6f);
        a7f = (a87 + 648);
        *(a7f) = s2d;
        {long i3; for(i3 = 0; i3 <= 6; i3++) {
            a3j = (32 * i3);
            a6n = ((__m128  *) T2);
            b2 = (a6n + a3j);
            a7n = (b2 + 32);
            s3d = *(a7n);
            a8n = (b2 + 48);
            s4d = *(a8n);
            a9n = (b2 + 33);
            s5d = *(a9n);
            a0o = (b2 + 49);
            s6d = *(a0o);
            a1o = (b2 + 34);
            s7d = *(a1o);
            a2o = (b2 + 50);
            s8d = *(a2o);
            a3o = (b2 + 35);
            s9d = *(a3o);
            a4o = (b2 + 51);
            s0e = *(a4o);
            a5o = (b2 + 36);
            s1e = *(a5o);
            a6o = (b2 + 52);
            s2e = *(a6o);
            a7o = (b2 + 37);
            s3e = *(a7o);
            a8o = (b2 + 53);
            s4e = *(a8o);
            a9o = (b2 + 38);
            s5e = *(a9o);
            a0p = (b2 + 54);
            s6e = *(a0p);
            a1p = (b2 + 39);
            s7e = *(a1p);
            a2p = (b2 + 55);
            s8e = *(a2p);
            a3p = (b2 + 40);
            s9e = *(a3p);
            a4p = (b2 + 56);
            s0f = *(a4p);
            a5p = (b2 + 41);
            s1f = *(a5p);
            a6p = (b2 + 57);
            s2f = *(a6p);
            a7p = (b2 + 42);
            s3f = *(a7p);
            a8p = (b2 + 58);
            s4f = *(a8p);
            a9p = (b2 + 43);
            s5f = *(a9p);
            a0q = (b2 + 59);
            s6f = *(a0q);
            a1q = (b2 + 44);
            s7f = *(a1q);
            a2q = (b2 + 60);
            s8f = *(a2q);
            a3q = (b2 + 45);
            s9f = *(a3q);
            a4q = (b2 + 61);
            s0g = *(a4q);
            a5q = (b2 + 46);
            s1g = *(a5q);
            a6q = (b2 + 62);
            s2g = *(a6q);
            a7q = (b2 + 47);
            s3g = *(a7q);
            a8q = (b2 + 63);
            s4g = *(a8q);
            a4j = (D16 + a3j);
            a5j = *(a4j);
            a9q = (a4j + 1);
            a6j = *(a9q);
            a0r = _mm_mul_ps(a5j, s3d);
            a1r = _mm_mul_ps(a6j, s4d);
            s5g = _mm_sub_ps(a0r, a1r);
            a2r = _mm_mul_ps(a6j, s3d);
            a3r = _mm_mul_ps(a5j, s4d);
            s6g = _mm_add_ps(a2r, a3r);
            a4r = (a4j + 2);
            a7j = *(a4r);
            a5r = (a4j + 3);
            a8j = *(a5r);
            a6r = _mm_mul_ps(a7j, s5d);
            a7r = _mm_mul_ps(a8j, s6d);
            s7g = _mm_sub_ps(a6r, a7r);
            a8r = _mm_mul_ps(a8j, s5d);
            a9r = _mm_mul_ps(a7j, s6d);
            s8g = _mm_add_ps(a8r, a9r);
            a0s = (a4j + 4);
            a9j = *(a0s);
            a1s = (a4j + 5);
            a0k = *(a1s);
            a2s = _mm_mul_ps(a9j, s7d);
            a3s = _mm_mul_ps(a0k, s8d);
            s9g = _mm_sub_ps(a2s, a3s);
            a4s = _mm_mul_ps(a0k, s7d);
            a5s = _mm_mul_ps(a9j, s8d);
            s0h = _mm_add_ps(a4s, a5s);
            a6s = (a4j + 6);
            a1k = *(a6s);
            a7s = (a4j + 7);
            a2k = *(a7s);
            a8s = _mm_mul_ps(a1k, s9d);
            a9s = _mm_mul_ps(a2k, s0e);
            s1h = _mm_sub_ps(a8s, a9s);
            a0t = _mm_mul_ps(a2k, s9d);
            a1t = _mm_mul_ps(a1k, s0e);
            s2h = _mm_add_ps(a0t, a1t);
            a2t = (a4j + 8);
            a3k = *(a2t);
            a3t = (a4j + 9);
            a4k = *(a3t);
            a4t = _mm_mul_ps(a3k, s1e);
            a5t = _mm_mul_ps(a4k, s2e);
            s3h = _mm_sub_ps(a4t, a5t);
            a6t = _mm_mul_ps(a4k, s1e);
            a7t = _mm_mul_ps(a3k, s2e);
            s4h = _mm_add_ps(a6t, a7t);
            a8t = (a4j + 10);
            a5k = *(a8t);
            a9t = (a4j + 11);
            a6k = *(a9t);
            a0u = _mm_mul_ps(a5k, s3e);
            a1u = _mm_mul_ps(a6k, s4e);
            s5h = _mm_sub_ps(a0u, a1u);
            a2u = _mm_mul_ps(a6k, s3e);
            a3u = _mm_mul_ps(a5k, s4e);
            s6h = _mm_add_ps(a2u, a3u);
            a4u = (a4j + 12);
            a7k = *(a4u);
            a5u = (a4j + 13);
            a8k = *(a5u);
            a6u = _mm_mul_ps(a7k, s5e);
            a7u = _mm_mul_ps(a8k, s6e);
            s7h = _mm_sub_ps(a6u, a7u);
            a8u = _mm_mul_ps(a8k, s5e);
            a9u = _mm_mul_ps(a7k, s6e);
            s8h = _mm_add_ps(a8u, a9u);
            a0v = (a4j + 14);
            a9k = *(a0v);
            a1v = (a4j + 15);
            a0l = *(a1v);
            a2v = _mm_mul_ps(a9k, s7e);
            a3v = _mm_mul_ps(a0l, s8e);
            s9h = _mm_sub_ps(a2v, a3v);
            a4v = _mm_mul_ps(a0l, s7e);
            a5v = _mm_mul_ps(a9k, s8e);
            s0i = _mm_add_ps(a4v, a5v);
            a6v = (a4j + 16);
            a1l = *(a6v);
            a7v = (a4j + 17);
            a2l = *(a7v);
            a8v = _mm_mul_ps(a1l, s9e);
            a9v = _mm_mul_ps(a2l, s0f);
            s1i = _mm_sub_ps(a8v, a9v);
            a0w = _mm_mul_ps(a2l, s9e);
            a1w = _mm_mul_ps(a1l, s0f);
            s2i = _mm_add_ps(a0w, a1w);
            a2w = (a4j + 18);
            a3l = *(a2w);
            a3w = (a4j + 19);
            a4l = *(a3w);
            a4w = _mm_mul_ps(a3l, s1f);
            a5w = _mm_mul_ps(a4l, s2f);
            s3i = _mm_sub_ps(a4w, a5w);
            a6w = _mm_mul_ps(a4l, s1f);
            a7w = _mm_mul_ps(a3l, s2f);
            s4i = _mm_add_ps(a6w, a7w);
            a8w = (a4j + 20);
            a5l = *(a8w);
            a9w = (a4j + 21);
            a6l = *(a9w);
            a0x = _mm_mul_ps(a5l, s3f);
            a1x = _mm_mul_ps(a6l, s4f);
            s5i = _mm_sub_ps(a0x, a1x);
            a2x = _mm_mul_ps(a6l, s3f);
            a3x = _mm_mul_ps(a5l, s4f);
            s6i = _mm_add_ps(a2x, a3x);
            a4x = (a4j + 22);
            a7l = *(a4x);
            a5x = (a4j + 23);
            a8l = *(a5x);
            a6x = _mm_mul_ps(a7l, s5f);
            a7x = _mm_mul_ps(a8l, s6f);
            s7i = _mm_sub_ps(a6x, a7x);
            a8x = _mm_mul_ps(a8l, s5f);
            a9x = _mm_mul_ps(a7l, s6f);
            s8i = _mm_add_ps(a8x, a9x);
            a0y = (a4j + 24);
            a9l = *(a0y);
            a1y = (a4j + 25);
            a0m = *(a1y);
            a2y = _mm_mul_ps(a9l, s7f);
            a3y = _mm_mul_ps(a0m, s8f);
            s9i = _mm_sub_ps(a2y, a3y);
            a4y = _mm_mul_ps(a0m, s7f);
            a5y = _mm_mul_ps(a9l, s8f);
            s0j = _mm_add_ps(a4y, a5y);
            a6y = (a4j + 26);
            a1m = *(a6y);
            a7y = (a4j + 27);
            a2m = *(a7y);
            a8y = _mm_mul_ps(a1m, s9f);
            a9y = _mm_mul_ps(a2m, s0g);
            s1j = _mm_sub_ps(a8y, a9y);
            a0z = _mm_mul_ps(a2m, s9f);
            a1z = _mm_mul_ps(a1m, s0g);
            s2j = _mm_add_ps(a0z, a1z);
            a2z = (a4j + 28);
            a3m = *(a2z);
            a3z = (a4j + 29);
            a4m = *(a3z);
            a4z = _mm_mul_ps(a3m, s1g);
            a5z = _mm_mul_ps(a4m, s2g);
            s3j = _mm_sub_ps(a4z, a5z);
            a6z = _mm_mul_ps(a4m, s1g);
            a7z = _mm_mul_ps(a3m, s2g);
            s4j = _mm_add_ps(a6z, a7z);
            a8z = (a4j + 30);
            a5m = *(a8z);
            a9z = (a4j + 31);
            a6m = *(a9z);
            a0A = _mm_mul_ps(a5m, s3g);
            a1A = _mm_mul_ps(a6m, s4g);
            s5j = _mm_sub_ps(a0A, a1A);
            a2A = _mm_mul_ps(a6m, s3g);
            a3A = _mm_mul_ps(a5m, s4g);
            s6j = _mm_add_ps(a2A, a3A);
            t3b = _mm_add_ps(s5g, s1i);
            t4b = _mm_add_ps(s6g, s2i);
            t5b = _mm_sub_ps(s5g, s1i);
            t6b = _mm_sub_ps(s6g, s2i);
            t7b = _mm_add_ps(s3h, s9i);
            t8b = _mm_add_ps(s4h, s0j);
            t9b = _mm_sub_ps(s3h, s9i);
            t0c = _mm_sub_ps(s4h, s0j);
            t1c = _mm_add_ps(t3b, t7b);
            t2c = _mm_add_ps(t4b, t8b);
            t3c = _mm_sub_ps(t3b, t7b);
            t4c = _mm_sub_ps(t4b, t8b);
            t5c = _mm_add_ps(t5b, t0c);
            t6c = _mm_sub_ps(t6b, t9b);
            t7c = _mm_sub_ps(t5b, t0c);
            t8c = _mm_add_ps(t6b, t9b);
            t9c = _mm_add_ps(s7g, s3i);
            t0d = _mm_add_ps(s8g, s4i);
            t1d = _mm_sub_ps(s7g, s3i);
            t2d = _mm_sub_ps(s8g, s4i);
            t3d = _mm_add_ps(s5h, s1j);
            t4d = _mm_add_ps(s6h, s2j);
            t5d = _mm_sub_ps(s5h, s1j);
            t6d = _mm_sub_ps(s6h, s2j);
            t7d = _mm_add_ps(t9c, t3d);
            t8d = _mm_add_ps(t0d, t4d);
            a4A = _mm_sub_ps(t9c, t3d);
            a7m = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4A);
            a5A = _mm_sub_ps(t0d, t4d);
            a8m = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5A);
            s7j = _mm_sub_ps(a7m, a8m);
            s8j = _mm_add_ps(a7m, a8m);
            t9d = _mm_add_ps(t1d, t6d);
            t0e = _mm_sub_ps(t2d, t5d);
            t1e = _mm_sub_ps(t1d, t6d);
            t2e = _mm_add_ps(t2d, t5d);
            a6A = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t9d);
            a7A = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t0e);
            s9j = _mm_sub_ps(a6A, a7A);
            a8A = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t9d);
            a9A = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t0e);
            s0k = _mm_add_ps(a8A, a9A);
            a0B = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1e);
            a1B = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t2e);
            s1k = _mm_sub_ps(a0B, a1B);
            a2B = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t1e);
            a3B = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2e);
            s2k = _mm_add_ps(a2B, a3B);
            t3e = _mm_add_ps(s9g, s5i);
            t4e = _mm_add_ps(s0h, s6i);
            t5e = _mm_sub_ps(s9g, s5i);
            t6e = _mm_sub_ps(s0h, s6i);
            t7e = _mm_add_ps(s7h, s3j);
            t8e = _mm_add_ps(s8h, s4j);
            t9e = _mm_sub_ps(s7h, s3j);
            t0f = _mm_sub_ps(s8h, s4j);
            t1f = _mm_add_ps(t3e, t7e);
            t2f = _mm_add_ps(t4e, t8e);
            t3f = _mm_sub_ps(t3e, t7e);
            t4f = _mm_sub_ps(t4e, t8e);
            a4B = _mm_add_ps(t5e, t0f);
            a9m = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4B);
            a5B = _mm_sub_ps(t6e, t9e);
            a0n = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5B);
            s3k = _mm_sub_ps(a9m, a0n);
            s4k = _mm_add_ps(a9m, a0n);
            a6B = _mm_sub_ps(t5e, t0f);
            a1n = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a6B);
            a7B = _mm_add_ps(t6e, t9e);
            a2n = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a7B);
            s5k = _mm_sub_ps(a1n, a2n);
            s6k = _mm_add_ps(a1n, a2n);
            t5f = _mm_add_ps(s1h, s7i);
            t6f = _mm_add_ps(s2h, s8i);
            t7f = _mm_sub_ps(s1h, s7i);
            t8f = _mm_sub_ps(s2h, s8i);
            t9f = _mm_add_ps(s9h, s5j);
            t0g = _mm_add_ps(s0i, s6j);
            t1g = _mm_sub_ps(s9h, s5j);
            t2g = _mm_sub_ps(s0i, s6j);
            t3g = _mm_add_ps(t5f, t9f);
            t4g = _mm_add_ps(t6f, t0g);
            a8B = _mm_sub_ps(t5f, t9f);
            a3n = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a8B);
            a9B = _mm_sub_ps(t6f, t0g);
            a4n = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a9B);
            s7k = _mm_sub_ps(a3n, a4n);
            s8k = _mm_add_ps(a3n, a4n);
            t5g = _mm_add_ps(t7f, t2g);
            t6g = _mm_sub_ps(t8f, t1g);
            t7g = _mm_sub_ps(t7f, t2g);
            t8g = _mm_add_ps(t8f, t1g);
            a0C = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5g);
            a1C = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t6g);
            s9k = _mm_sub_ps(a0C, a1C);
            a2C = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t5g);
            a3C = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6g);
            s0l = _mm_add_ps(a2C, a3C);
            a4C = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t7g);
            a5C = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t8g);
            s1l = _mm_sub_ps(a4C, a5C);
            a6C = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t7g);
            a7C = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t8g);
            s2l = _mm_add_ps(a6C, a7C);
            t9g = _mm_add_ps(t1c, t1f);
            t0h = _mm_add_ps(t2c, t2f);
            t1h = _mm_sub_ps(t1c, t1f);
            t2h = _mm_sub_ps(t2c, t2f);
            t3h = _mm_add_ps(t7d, t3g);
            t4h = _mm_add_ps(t8d, t4g);
            t5h = _mm_sub_ps(t7d, t3g);
            t6h = _mm_sub_ps(t8d, t4g);
            a5n = (16 * i3);
            a8C = ((__m128  *) T);
            b3 = (a8C + i);
            b4 = (b3 + a5n);
            s3l = _mm_add_ps(t9g, t3h);
            a9C = (b4 + 16);
            *(a9C) = s3l;
            s4l = _mm_add_ps(t0h, t4h);
            a0D = (b4 + 24);
            *(a0D) = s4l;
            b5 = (b3 - a5n);
            s5l = _mm_sub_ps(t9g, t3h);
            a1D = (b5 + 2032);
            *(a1D) = s5l;
            s6l = _mm_sub_ps(t4h, t0h);
            a2D = (b5 + 2040);
            *(a2D) = s6l;
            s7l = _mm_add_ps(t1h, t6h);
            a3D = (b4 + 1040);
            *(a3D) = s7l;
            s8l = _mm_sub_ps(t2h, t5h);
            a4D = (b4 + 1048);
            *(a4D) = s8l;
            s9l = _mm_sub_ps(t1h, t6h);
            a5D = (b5 + 1008);
            *(a5D) = s9l;
            a6D = _mm_add_ps(t2h, t5h);
            s0m = _mm_sub_ps(_mm_set1_ps(0.0f), a6D);
            a7D = (b5 + 1016);
            *(a7D) = s0m;
            t7h = _mm_add_ps(t5c, s3k);
            t8h = _mm_sub_ps(t6c, s4k);
            t9h = _mm_sub_ps(t5c, s3k);
            t0i = _mm_add_ps(t6c, s4k);
            t1i = _mm_add_ps(s9j, s9k);
            t2i = _mm_add_ps(s0k, s0l);
            t3i = _mm_sub_ps(s9j, s9k);
            t4i = _mm_sub_ps(s0k, s0l);
            s1m = _mm_add_ps(t7h, t1i);
            a8D = (b4 + 272);
            *(a8D) = s1m;
            s2m = _mm_add_ps(t8h, t2i);
            a9D = (b4 + 280);
            *(a9D) = s2m;
            s3m = _mm_sub_ps(t7h, t1i);
            a0E = (b5 + 1776);
            *(a0E) = s3m;
            s4m = _mm_sub_ps(t2i, t8h);
            a1E = (b5 + 1784);
            *(a1E) = s4m;
            s5m = _mm_add_ps(t9h, t4i);
            a2E = (b4 + 1296);
            *(a2E) = s5m;
            s6m = _mm_sub_ps(t0i, t3i);
            a3E = (b4 + 1304);
            *(a3E) = s6m;
            s7m = _mm_sub_ps(t9h, t4i);
            a4E = (b5 + 752);
            *(a4E) = s7m;
            a5E = _mm_add_ps(t0i, t3i);
            s8m = _mm_sub_ps(_mm_set1_ps(0.0f), a5E);
            a6E = (b5 + 760);
            *(a6E) = s8m;
            t5i = _mm_add_ps(t3c, t4f);
            t6i = _mm_sub_ps(t4c, t3f);
            t7i = _mm_sub_ps(t3c, t4f);
            t8i = _mm_add_ps(t4c, t3f);
            t9i = _mm_add_ps(s7j, s7k);
            t0j = _mm_sub_ps(s8k, s8j);
            t1j = _mm_sub_ps(s7j, s7k);
            t2j = _mm_add_ps(s8j, s8k);
            s9m = _mm_add_ps(t5i, t9i);
            a7E = (b4 + 528);
            *(a7E) = s9m;
            s0n = _mm_add_ps(t6i, t0j);
            a8E = (b4 + 536);
            *(a8E) = s0n;
            s1n = _mm_sub_ps(t5i, t9i);
            a9E = (b5 + 1520);
            *(a9E) = s1n;
            s2n = _mm_sub_ps(t0j, t6i);
            a0F = (b5 + 1528);
            *(a0F) = s2n;
            s3n = _mm_sub_ps(t7i, t2j);
            a1F = (b4 + 1552);
            *(a1F) = s3n;
            s4n = _mm_sub_ps(t8i, t1j);
            a2F = (b4 + 1560);
            *(a2F) = s4n;
            s5n = _mm_add_ps(t7i, t2j);
            a3F = (b5 + 496);
            *(a3F) = s5n;
            a4F = _mm_add_ps(t8i, t1j);
            s6n = _mm_sub_ps(_mm_set1_ps(0.0f), a4F);
            a5F = (b5 + 504);
            *(a5F) = s6n;
            t3j = _mm_add_ps(t7c, s5k);
            t4j = _mm_add_ps(t8c, s6k);
            t5j = _mm_sub_ps(t7c, s5k);
            t6j = _mm_sub_ps(t8c, s6k);
            t7j = _mm_add_ps(s1k, s1l);
            t8j = _mm_add_ps(s2k, s2l);
            t9j = _mm_sub_ps(s1k, s1l);
            t0k = _mm_sub_ps(s2k, s2l);
            s7n = _mm_add_ps(t3j, t7j);
            a6F = (b4 + 784);
            *(a6F) = s7n;
            s8n = _mm_add_ps(t4j, t8j);
            a7F = (b4 + 792);
            *(a7F) = s8n;
            s9n = _mm_sub_ps(t3j, t7j);
            a8F = (b5 + 1264);
            *(a8F) = s9n;
            s0o = _mm_sub_ps(t8j, t4j);
            a9F = (b5 + 1272);
            *(a9F) = s0o;
            s1o = _mm_add_ps(t5j, t0k);
            a0G = (b4 + 1808);
            *(a0G) = s1o;
            s2o = _mm_sub_ps(t6j, t9j);
            a1G = (b4 + 1816);
            *(a1G) = s2o;
            s3o = _mm_sub_ps(t5j, t0k);
            a2G = (b5 + 240);
            *(a2G) = s3o;
            a3G = _mm_add_ps(t6j, t9j);
            s4o = _mm_sub_ps(_mm_set1_ps(0.0f), a3G);
            a4G = (b5 + 248);
            *(a4G) = s4o;
        }}
    }}
    a5G = ((__m128  *) T);
    s5o = *(a5G);
    a1V = (a5G + 8);
    s6o = *(a1V);
    t1k = _mm_add_ps(s5o, s6o);
    t2k = _mm_sub_ps(s5o, s6o);
    a2V = (a5G + 4);
    s7o = *(a2V);
    a3V = (a5G + 12);
    s8o = *(a3V);
    t3k = _mm_add_ps(s7o, s8o);
    t4k = _mm_sub_ps(s7o, s8o);
    a4V = (a5G + 1);
    s9o = *(a4V);
    a5V = (a5G + 9);
    s0p = *(a5V);
    t5k = _mm_add_ps(s9o, s0p);
    t6k = _mm_sub_ps(s9o, s0p);
    a6V = (a5G + 5);
    s1p = *(a6V);
    a7V = (a5G + 13);
    s2p = *(a7V);
    t7k = _mm_add_ps(s1p, s2p);
    t8k = _mm_sub_ps(s1p, s2p);
    a8V = (a5G + 2);
    s3p = *(a8V);
    a9V = (a5G + 10);
    s4p = *(a9V);
    t9k = _mm_add_ps(s3p, s4p);
    t0l = _mm_sub_ps(s3p, s4p);
    a0W = (a5G + 6);
    s5p = *(a0W);
    a1W = (a5G + 14);
    s6p = *(a1W);
    t1l = _mm_add_ps(s5p, s6p);
    t2l = _mm_sub_ps(s5p, s6p);
    a2W = (a5G + 3);
    s7p = *(a2W);
    a3W = (a5G + 11);
    s8p = *(a3W);
    t3l = _mm_add_ps(s7p, s8p);
    t4l = _mm_sub_ps(s7p, s8p);
    a4W = (a5G + 7);
    s9p = *(a4W);
    a5W = (a5G + 15);
    s0q = *(a5W);
    t5l = _mm_add_ps(s9p, s0q);
    t6l = _mm_sub_ps(s9p, s0q);
    s1q = _mm_shuffle_ps(t1k, t5k, _MM_SHUFFLE(2, 0, 2, 0));
    s2q = _mm_shuffle_ps(t1k, t5k, _MM_SHUFFLE(3, 1, 3, 1));
    s3q = _mm_shuffle_ps(t3k, t7k, _MM_SHUFFLE(2, 0, 2, 0));
    s4q = _mm_shuffle_ps(t3k, t7k, _MM_SHUFFLE(3, 1, 3, 1));
    t7l = _mm_add_ps(s1q, s3q);
    t8l = _mm_add_ps(s2q, s4q);
    t9l = _mm_sub_ps(s1q, s3q);
    t0m = _mm_sub_ps(s2q, s4q);
    s5q = _mm_shuffle_ps(t9k, t3l, _MM_SHUFFLE(2, 0, 2, 0));
    s6q = _mm_shuffle_ps(t9k, t3l, _MM_SHUFFLE(3, 1, 3, 1));
    s7q = _mm_shuffle_ps(t1l, t5l, _MM_SHUFFLE(2, 0, 2, 0));
    s8q = _mm_shuffle_ps(t1l, t5l, _MM_SHUFFLE(3, 1, 3, 1));
    t1m = _mm_add_ps(s5q, s7q);
    t2m = _mm_add_ps(s6q, s8q);
    t3m = _mm_sub_ps(s5q, s7q);
    t4m = _mm_sub_ps(s6q, s8q);
    t5m = _mm_add_ps(t7l, t1m);
    t6m = _mm_add_ps(t8l, t2m);
    t7m = _mm_sub_ps(t7l, t1m);
    t8m = _mm_sub_ps(t8l, t2m);
    t9m = _mm_add_ps(t9l, t4m);
    t0n = _mm_sub_ps(t0m, t3m);
    t1n = _mm_sub_ps(t9l, t4m);
    t2n = _mm_add_ps(t0m, t3m);
    s9q = _mm_unpacklo_ps(t5m, t9m);
    s0r = _mm_unpackhi_ps(t5m, t9m);
    s1r = _mm_unpacklo_ps(t6m, t0n);
    s2r = _mm_unpackhi_ps(t6m, t0n);
    s3r = _mm_unpacklo_ps(t7m, t1n);
    s4r = _mm_unpackhi_ps(t7m, t1n);
    s5r = _mm_unpacklo_ps(t8m, t2n);
    s6r = _mm_unpackhi_ps(t8m, t2n);
    s7r = _mm_shuffle_ps(s9q, s3r, _MM_SHUFFLE(1, 0, 1, 0));
    s8r = _mm_shuffle_ps(s9q, s3r, _MM_SHUFFLE(3, 2, 3, 2));
    s9r = _mm_shuffle_ps(s0r, s4r, _MM_SHUFFLE(1, 0, 1, 0));
    s0s = _mm_shuffle_ps(s0r, s4r, _MM_SHUFFLE(3, 2, 3, 2));
    s1s = _mm_shuffle_ps(s1r, s5r, _MM_SHUFFLE(1, 0, 1, 0));
    s2s = _mm_shuffle_ps(s1r, s5r, _MM_SHUFFLE(3, 2, 3, 2));
    s3s = _mm_shuffle_ps(s2r, s6r, _MM_SHUFFLE(1, 0, 1, 0));
    s4s = _mm_shuffle_ps(s2r, s6r, _MM_SHUFFLE(3, 2, 3, 2));
    a6G = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9r);
    a7G = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3s);
    s5s = _mm_sub_ps(a6G, a7G);
    a8G = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s9r);
    a9G = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3s);
    s6s = _mm_add_ps(a8G, a9G);
    t3n = _mm_add_ps(s7r, s5s);
    t4n = _mm_add_ps(s1s, s6s);
    t5n = _mm_sub_ps(s7r, s5s);
    t6n = _mm_sub_ps(s1s, s6s);
    a0H = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s8r);
    a1H = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s2s);
    s7s = _mm_sub_ps(a0H, a1H);
    a2H = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s8r);
    a3H = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s2s);
    s8s = _mm_add_ps(a2H, a3H);
    a4H = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s0s);
    a5H = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s4s);
    s9s = _mm_sub_ps(a4H, a5H);
    a6H = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s0s);
    a7H = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s4s);
    s0t = _mm_add_ps(a6H, a7H);
    t7n = _mm_add_ps(s7s, s9s);
    t8n = _mm_add_ps(s8s, s0t);
    t9n = _mm_sub_ps(s7s, s9s);
    t0o = _mm_sub_ps(s8s, s0t);
    t1o = _mm_add_ps(t3n, t7n);
    t2o = _mm_add_ps(t4n, t8n);
    t3o = _mm_sub_ps(t3n, t7n);
    t4o = _mm_sub_ps(t4n, t8n);
    t5o = _mm_add_ps(t5n, t0o);
    t6o = _mm_sub_ps(t6n, t9n);
    t7o = _mm_sub_ps(t5n, t0o);
    t8o = _mm_add_ps(t6n, t9n);
    a8H = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t1o);
    a9H = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t2o);
    s1t = _mm_sub_ps(a8H, a9H);
    a0I = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t1o);
    a1I = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t2o);
    s2t = _mm_add_ps(a0I, a1I);
    a2I = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t5o);
    a3I = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t6o);
    s3t = _mm_sub_ps(a2I, a3I);
    a4I = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t5o);
    a5I = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t6o);
    s4t = _mm_add_ps(a4I, a5I);
    a6I = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t3o);
    a7I = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t4o);
    s5t = _mm_sub_ps(a6I, a7I);
    a8I = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t3o);
    a9I = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t4o);
    s6t = _mm_add_ps(a8I, a9I);
    a0J = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t7o);
    a1J = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t8o);
    s7t = _mm_sub_ps(a0J, a1J);
    a2J = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t7o);
    a3J = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t8o);
    s8t = _mm_add_ps(a2J, a3J);
    a6J = _mm_shuffle_ps(_mm_set1_ps(0.0f), t7o, _MM_SHUFFLE(3, 2, 1, 0));
    a5J = _mm_shuffle_ps(a6J, t7o, _MM_SHUFFLE(1, 2, 3, 0));
    a9J = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s1t);
    a0K = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s2t);
    a8J = _mm_add_ps(a9J, a0K);
    a2K = _mm_shuffle_ps(_mm_set1_ps(0.0f), s7t, _MM_SHUFFLE(3, 2, 1, 0));
    a1K = _mm_shuffle_ps(a2K, s7t, _MM_SHUFFLE(1, 2, 3, 0));
    a7J = _mm_sub_ps(a8J, a1K);
    b6 = _mm_add_ps(t1o, a5J);
    a4J = _mm_add_ps(b6, a7J);
    s9t = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a4J);
    a5K = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t2o);
    a7K = _mm_shuffle_ps(_mm_set1_ps(0.0f), t8o, _MM_SHUFFLE(3, 2, 1, 0));
    a6K = _mm_shuffle_ps(a7K, t8o, _MM_SHUFFLE(1, 2, 3, 0));
    a4K = _mm_sub_ps(a5K, a6K);
    a8K = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s1t);
    a9K = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s2t);
    a1L = _mm_shuffle_ps(_mm_set1_ps(0.0f), s8t, _MM_SHUFFLE(3, 2, 1, 0));
    a0L = _mm_shuffle_ps(a1L, s8t, _MM_SHUFFLE(1, 2, 3, 0));
    b7 = _mm_add_ps(a4K, a8K);
    b8 = _mm_add_ps(b7, a9K);
    a3K = _mm_add_ps(b8, a0L);
    s0u = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a3K);
    a4L = _mm_shuffle_ps(t7o, t3o, _MM_SHUFFLE(3, 2, 1, 0));
    a3L = _mm_shuffle_ps(a4L, t3o, _MM_SHUFFLE(1, 2, 3, 0));
    a7L = _mm_shuffle_ps(s7t, s5t, _MM_SHUFFLE(3, 2, 1, 0));
    a6L = _mm_shuffle_ps(a7L, s5t, _MM_SHUFFLE(1, 2, 3, 0));
    a5L = _mm_sub_ps(s3t, a6L);
    b9 = _mm_add_ps(t5o, a3L);
    a2L = _mm_add_ps(b9, a5L);
    s1u = _mm_mul_ps(_mm_set1_ps(0.5f), a2L);
    a1M = _mm_shuffle_ps(t8o, t4o, _MM_SHUFFLE(3, 2, 1, 0));
    a0M = _mm_shuffle_ps(a1M, t4o, _MM_SHUFFLE(1, 2, 3, 0));
    a9L = _mm_sub_ps(t6o, a0M);
    a3M = _mm_shuffle_ps(s8t, s6t, _MM_SHUFFLE(3, 2, 1, 0));
    a2M = _mm_shuffle_ps(a3M, s6t, _MM_SHUFFLE(1, 2, 3, 0));
    b01 = _mm_add_ps(a9L, s4t);
    a8L = _mm_add_ps(b01, a2M);
    s2u = _mm_mul_ps(_mm_set1_ps(0.5f), a8L);
    a6M = _mm_shuffle_ps(t3o, t5o, _MM_SHUFFLE(3, 2, 1, 0));
    a5M = _mm_shuffle_ps(a6M, t5o, _MM_SHUFFLE(1, 2, 3, 0));
    a9M = _mm_shuffle_ps(s5t, s3t, _MM_SHUFFLE(3, 2, 1, 0));
    a8M = _mm_shuffle_ps(a9M, s3t, _MM_SHUFFLE(1, 2, 3, 0));
    a7M = _mm_sub_ps(s5t, a8M);
    b11 = _mm_add_ps(t3o, a5M);
    a4M = _mm_add_ps(b11, a7M);
    s3u = _mm_mul_ps(_mm_set1_ps(0.5f), a4M);
    a3N = _mm_shuffle_ps(t4o, t6o, _MM_SHUFFLE(3, 2, 1, 0));
    a2N = _mm_shuffle_ps(a3N, t6o, _MM_SHUFFLE(1, 2, 3, 0));
    a1N = _mm_sub_ps(t4o, a2N);
    a5N = _mm_shuffle_ps(s6t, s4t, _MM_SHUFFLE(3, 2, 1, 0));
    a4N = _mm_shuffle_ps(a5N, s4t, _MM_SHUFFLE(1, 2, 3, 0));
    b21 = _mm_add_ps(a1N, s6t);
    a0N = _mm_add_ps(b21, a4N);
    s4u = _mm_mul_ps(_mm_set1_ps(0.5f), a0N);
    a8N = _mm_shuffle_ps(t5o, t1o, _MM_SHUFFLE(3, 2, 1, 0));
    a7N = _mm_shuffle_ps(a8N, t1o, _MM_SHUFFLE(1, 2, 3, 0));
    a1O = _mm_shuffle_ps(s3t, s1t, _MM_SHUFFLE(3, 2, 1, 0));
    a0O = _mm_shuffle_ps(a1O, s1t, _MM_SHUFFLE(1, 2, 3, 0));
    a9N = _mm_sub_ps(s7t, a0O);
    b31 = _mm_add_ps(t7o, a7N);
    a6N = _mm_add_ps(b31, a9N);
    s5u = _mm_mul_ps(_mm_set1_ps(0.5f), a6N);
    a5O = _mm_shuffle_ps(t6o, t2o, _MM_SHUFFLE(3, 2, 1, 0));
    a4O = _mm_shuffle_ps(a5O, t2o, _MM_SHUFFLE(1, 2, 3, 0));
    a3O = _mm_sub_ps(t8o, a4O);
    a7O = _mm_shuffle_ps(s4t, s2t, _MM_SHUFFLE(3, 2, 1, 0));
    a6O = _mm_shuffle_ps(a7O, s2t, _MM_SHUFFLE(1, 2, 3, 0));
    b41 = _mm_add_ps(a3O, s8t);
    a2O = _mm_add_ps(b41, a6O);
    s6u = _mm_mul_ps(_mm_set1_ps(0.5f), a2O);
    s7u = _mm_unpacklo_ps(s9t, s0u);
    s8u = _mm_unpackhi_ps(s9t, s0u);
    _mm_storel_pi(((__m64  *) dst), s7u);
    a8O = (dst + 512);
    _mm_storeh_pi(((__m64  *) a8O), s7u);
    a9O = (dst + 1024);
    _mm_storel_pi(((__m64  *) a9O), s8u);
    a0P = (dst + 1536);
    _mm_storeh_pi(((__m64  *) a0P), s8u);
    s9u = _mm_unpacklo_ps(s1u, s2u);
    s0v = _mm_unpackhi_ps(s1u, s2u);
    a1P = (dst + 2048);
    _mm_storel_pi(((__m64  *) a1P), s9u);
    a2P = (dst + 2560);
    _mm_storeh_pi(((__m64  *) a2P), s9u);
    a3P = (dst + 3072);
    _mm_storel_pi(((__m64  *) a3P), s0v);
    a4P = (dst + 3584);
    _mm_storeh_pi(((__m64  *) a4P), s0v);
    s1v = _mm_unpacklo_ps(s3u, s4u);
    s2v = _mm_unpackhi_ps(s3u, s4u);
    a5P = (dst + 4096);
    _mm_storel_pi(((__m64  *) a5P), s1v);
    a6P = (dst + 4608);
    _mm_storeh_pi(((__m64  *) a6P), s1v);
    a7P = (dst + 5120);
    _mm_storel_pi(((__m64  *) a7P), s2v);
    a8P = (dst + 5632);
    _mm_storeh_pi(((__m64  *) a8P), s2v);
    s3v = _mm_unpacklo_ps(s5u, s6u);
    s4v = _mm_unpackhi_ps(s5u, s6u);
    a9P = (dst + 6144);
    _mm_storel_pi(((__m64  *) a9P), s3v);
    a0Q = (dst + 6656);
    _mm_storeh_pi(((__m64  *) a0Q), s3v);
    a1Q = (dst + 7168);
    _mm_storel_pi(((__m64  *) a1Q), s4v);
    a2Q = (dst + 7680);
    _mm_storeh_pi(((__m64  *) a2Q), s4v);
    a3Q = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t2k);
    a4Q = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t4k);
    s5v = _mm_add_ps(a3Q, a4Q);
    a5Q = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t2k);
    a6Q = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t4k);
    s6v = _mm_sub_ps(a5Q, a6Q);
    a7Q = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t0l);
    a8Q = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t2l);
    s7v = _mm_add_ps(a7Q, a8Q);
    a9Q = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t0l);
    a0R = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t2l);
    s8v = _mm_sub_ps(a9Q, a0R);
    t9o = _mm_add_ps(s5v, s7v);
    t0p = _mm_add_ps(s6v, s8v);
    t1p = _mm_sub_ps(s5v, s7v);
    t2p = _mm_sub_ps(s6v, s8v);
    a1R = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t6k);
    a2R = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t8k);
    s9v = _mm_add_ps(a1R, a2R);
    a3R = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t6k);
    a4R = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t8k);
    s0w = _mm_sub_ps(a3R, a4R);
    a5R = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t4l);
    a6R = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t6l);
    s1w = _mm_add_ps(a5R, a6R);
    a7R = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t4l);
    a8R = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t6l);
    s2w = _mm_sub_ps(a7R, a8R);
    t3p = _mm_add_ps(s9v, s1w);
    t4p = _mm_add_ps(s0w, s2w);
    t5p = _mm_sub_ps(s9v, s1w);
    t6p = _mm_sub_ps(s0w, s2w);
    t7p = _mm_add_ps(t9o, t3p);
    t8p = _mm_add_ps(t0p, t4p);
    t9p = _mm_sub_ps(t9o, t3p);
    t0q = _mm_sub_ps(t0p, t4p);
    t1q = _mm_add_ps(t1p, t6p);
    t2q = _mm_sub_ps(t2p, t5p);
    t3q = _mm_sub_ps(t1p, t6p);
    t4q = _mm_add_ps(t2p, t5p);
    s3w = _mm_unpacklo_ps(t7p, t1q);
    s4w = _mm_unpackhi_ps(t7p, t1q);
    s5w = _mm_unpacklo_ps(t8p, t2q);
    s6w = _mm_unpackhi_ps(t8p, t2q);
    s7w = _mm_unpacklo_ps(t9p, t3q);
    s8w = _mm_unpackhi_ps(t9p, t3q);
    s9w = _mm_unpacklo_ps(t0q, t4q);
    s0x = _mm_unpackhi_ps(t0q, t4q);
    s1x = _mm_shuffle_ps(s3w, s7w, _MM_SHUFFLE(1, 0, 1, 0));
    s2x = _mm_shuffle_ps(s3w, s7w, _MM_SHUFFLE(3, 2, 3, 2));
    s3x = _mm_shuffle_ps(s4w, s8w, _MM_SHUFFLE(1, 0, 1, 0));
    s4x = _mm_shuffle_ps(s4w, s8w, _MM_SHUFFLE(3, 2, 3, 2));
    s5x = _mm_shuffle_ps(s5w, s9w, _MM_SHUFFLE(1, 0, 1, 0));
    s6x = _mm_shuffle_ps(s5w, s9w, _MM_SHUFFLE(3, 2, 3, 2));
    s7x = _mm_shuffle_ps(s6w, s0x, _MM_SHUFFLE(1, 0, 1, 0));
    s8x = _mm_shuffle_ps(s6w, s0x, _MM_SHUFFLE(3, 2, 3, 2));
    a9R = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3x);
    a0S = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7x);
    s9x = _mm_sub_ps(a9R, a0S);
    a1S = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3x);
    a2S = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7x);
    s0y = _mm_add_ps(a1S, a2S);
    t5q = _mm_add_ps(s1x, s9x);
    t6q = _mm_add_ps(s5x, s0y);
    t7q = _mm_sub_ps(s1x, s9x);
    t8q = _mm_sub_ps(s5x, s0y);
    a3S = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s2x);
    a4S = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s6x);
    s1y = _mm_sub_ps(a3S, a4S);
    a5S = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s2x);
    a6S = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6x);
    s2y = _mm_add_ps(a5S, a6S);
    a7S = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s4x);
    a8S = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s8x);
    s3y = _mm_sub_ps(a7S, a8S);
    a9S = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s4x);
    a0T = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8x);
    s4y = _mm_add_ps(a9S, a0T);
    t9q = _mm_add_ps(s1y, s3y);
    t0r = _mm_add_ps(s2y, s4y);
    t1r = _mm_sub_ps(s1y, s3y);
    t2r = _mm_sub_ps(s2y, s4y);
    t3r = _mm_add_ps(t5q, t9q);
    t4r = _mm_add_ps(t6q, t0r);
    t5r = _mm_sub_ps(t5q, t9q);
    t6r = _mm_sub_ps(t6q, t0r);
    s5y = _mm_unpacklo_ps(t3r, t4r);
    s6y = _mm_unpackhi_ps(t3r, t4r);
    a1T = (dst + 256);
    _mm_storel_pi(((__m64  *) a1T), s5y);
    a2T = (dst + 1280);
    _mm_storeh_pi(((__m64  *) a2T), s5y);
    a3T = (dst + 2304);
    _mm_storel_pi(((__m64  *) a3T), s6y);
    a4T = (dst + 3328);
    _mm_storeh_pi(((__m64  *) a4T), s6y);
    a5T = _mm_unpacklo_ps(t5r, t6r);
    s7y = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5T);
    a6T = _mm_unpackhi_ps(t5r, t6r);
    s8y = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6T);
    a7T = (dst + 7936);
    _mm_storel_pi(((__m64  *) a7T), s7y);
    a8T = (dst + 6912);
    _mm_storeh_pi(((__m64  *) a8T), s7y);
    a9T = (dst + 5888);
    _mm_storel_pi(((__m64  *) a9T), s8y);
    a0U = (dst + 4864);
    _mm_storeh_pi(((__m64  *) a0U), s8y);
    t7r = _mm_add_ps(t7q, t2r);
    t8r = _mm_sub_ps(t8q, t1r);
    t9r = _mm_sub_ps(t7q, t2r);
    t0s = _mm_add_ps(t8q, t1r);
    s9y = _mm_unpacklo_ps(t7r, t8r);
    s0z = _mm_unpackhi_ps(t7r, t8r);
    a1U = (dst + 4352);
    _mm_storel_pi(((__m64  *) a1U), s9y);
    a2U = (dst + 5376);
    _mm_storeh_pi(((__m64  *) a2U), s9y);
    a3U = (dst + 6400);
    _mm_storel_pi(((__m64  *) a3U), s0z);
    a4U = (dst + 7424);
    _mm_storeh_pi(((__m64  *) a4U), s0z);
    a5U = _mm_unpacklo_ps(t9r, t0s);
    s1z = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5U);
    a6U = _mm_unpackhi_ps(t9r, t0s);
    s2z = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6U);
    a7U = (dst + 3840);
    _mm_storel_pi(((__m64  *) a7U), s1z);
    a8U = (dst + 2816);
    _mm_storeh_pi(((__m64  *) a8U), s1z);
    a9U = (dst + 1792);
    _mm_storel_pi(((__m64  *) a9U), s2z);
    a0V = (dst + 768);
    _mm_storeh_pi(((__m64  *) a0V), s2z);
    {long i4; for(i4 = 0; i4 <= 126; i4++) {
        a6W = (16 * i4);
        a9Y = ((__m128  *) T);
        b51 = (a9Y + a6W);
        a0Z = (b51 + 16);
        s3z = *(a0Z);
        a1Z = (b51 + 24);
        s4z = *(a1Z);
        a2Z = (b51 + 20);
        s5z = *(a2Z);
        a3Z = (b51 + 28);
        s6z = *(a3Z);
        a7W = (D15 + a6W);
        a8W = *(a7W);
        a4Z = (a7W + 1);
        a9W = *(a4Z);
        a5Z = _mm_mul_ps(a8W, s3z);
        a6Z = _mm_mul_ps(a9W, s4z);
        s7z = _mm_sub_ps(a5Z, a6Z);
        a7Z = _mm_mul_ps(a9W, s3z);
        a8Z = _mm_mul_ps(a8W, s4z);
        s8z = _mm_add_ps(a7Z, a8Z);
        a9Z = (a7W + 2);
        a0X = *(a9Z);
        a010 = (a7W + 3);
        a1X = *(a010);
        a110 = _mm_mul_ps(a0X, s5z);
        a210 = _mm_mul_ps(a1X, s6z);
        s9z = _mm_sub_ps(a110, a210);
        a310 = _mm_mul_ps(a1X, s5z);
        a410 = _mm_mul_ps(a0X, s6z);
        s0A = _mm_add_ps(a310, a410);
        t1s = _mm_add_ps(s7z, s9z);
        t2s = _mm_add_ps(s8z, s0A);
        t3s = _mm_sub_ps(s7z, s9z);
        t4s = _mm_sub_ps(s8z, s0A);
        a510 = (b51 + 18);
        s1A = *(a510);
        a610 = (b51 + 26);
        s2A = *(a610);
        a710 = (b51 + 22);
        s3A = *(a710);
        a810 = (b51 + 30);
        s4A = *(a810);
        a910 = (a7W + 4);
        a2X = *(a910);
        a011 = (a7W + 5);
        a3X = *(a011);
        a111 = _mm_mul_ps(a2X, s1A);
        a211 = _mm_mul_ps(a3X, s2A);
        s5A = _mm_sub_ps(a111, a211);
        a311 = _mm_mul_ps(a3X, s1A);
        a411 = _mm_mul_ps(a2X, s2A);
        s6A = _mm_add_ps(a311, a411);
        a511 = (a7W + 6);
        a4X = *(a511);
        a611 = (a7W + 7);
        a5X = *(a611);
        a711 = _mm_mul_ps(a4X, s3A);
        a811 = _mm_mul_ps(a5X, s4A);
        s7A = _mm_sub_ps(a711, a811);
        a911 = _mm_mul_ps(a5X, s3A);
        a012 = _mm_mul_ps(a4X, s4A);
        s8A = _mm_add_ps(a911, a012);
        t5s = _mm_add_ps(s5A, s7A);
        t6s = _mm_add_ps(s6A, s8A);
        t7s = _mm_sub_ps(s5A, s7A);
        t8s = _mm_sub_ps(s6A, s8A);
        t9s = _mm_add_ps(t1s, t5s);
        t0t = _mm_add_ps(t2s, t6s);
        t1t = _mm_sub_ps(t1s, t5s);
        t2t = _mm_sub_ps(t2s, t6s);
        t3t = _mm_add_ps(t3s, t8s);
        t4t = _mm_sub_ps(t4s, t7s);
        t5t = _mm_sub_ps(t3s, t8s);
        t6t = _mm_add_ps(t4s, t7s);
        s9A = _mm_unpacklo_ps(t9s, t3t);
        s0B = _mm_unpackhi_ps(t9s, t3t);
        s1B = _mm_unpacklo_ps(t0t, t4t);
        s2B = _mm_unpackhi_ps(t0t, t4t);
        s3B = _mm_unpacklo_ps(t1t, t5t);
        s4B = _mm_unpackhi_ps(t1t, t5t);
        s5B = _mm_unpacklo_ps(t2t, t6t);
        s6B = _mm_unpackhi_ps(t2t, t6t);
        s7B = _mm_shuffle_ps(s9A, s3B, _MM_SHUFFLE(1, 0, 1, 0));
        s8B = _mm_shuffle_ps(s9A, s3B, _MM_SHUFFLE(3, 2, 3, 2));
        s9B = _mm_shuffle_ps(s0B, s4B, _MM_SHUFFLE(1, 0, 1, 0));
        s0C = _mm_shuffle_ps(s0B, s4B, _MM_SHUFFLE(3, 2, 3, 2));
        s1C = _mm_shuffle_ps(s1B, s5B, _MM_SHUFFLE(1, 0, 1, 0));
        s2C = _mm_shuffle_ps(s1B, s5B, _MM_SHUFFLE(3, 2, 3, 2));
        s3C = _mm_shuffle_ps(s2B, s6B, _MM_SHUFFLE(1, 0, 1, 0));
        s4C = _mm_shuffle_ps(s2B, s6B, _MM_SHUFFLE(3, 2, 3, 2));
        a112 = (b51 + 17);
        s5C = *(a112);
        a212 = (b51 + 25);
        s6C = *(a212);
        a312 = (b51 + 21);
        s7C = *(a312);
        a412 = (b51 + 29);
        s8C = *(a412);
        a512 = (a7W + 8);
        a6X = *(a512);
        a612 = (a7W + 9);
        a7X = *(a612);
        a712 = _mm_mul_ps(a6X, s5C);
        a812 = _mm_mul_ps(a7X, s6C);
        s9C = _mm_sub_ps(a712, a812);
        a912 = _mm_mul_ps(a7X, s5C);
        a013 = _mm_mul_ps(a6X, s6C);
        s0D = _mm_add_ps(a912, a013);
        a113 = (a7W + 10);
        a8X = *(a113);
        a213 = (a7W + 11);
        a9X = *(a213);
        a313 = _mm_mul_ps(a8X, s7C);
        a413 = _mm_mul_ps(a9X, s8C);
        s1D = _mm_sub_ps(a313, a413);
        a513 = _mm_mul_ps(a9X, s7C);
        a613 = _mm_mul_ps(a8X, s8C);
        s2D = _mm_add_ps(a513, a613);
        t7t = _mm_add_ps(s9C, s1D);
        t8t = _mm_add_ps(s0D, s2D);
        t9t = _mm_sub_ps(s9C, s1D);
        t0u = _mm_sub_ps(s0D, s2D);
        a713 = (b51 + 19);
        s3D = *(a713);
        a813 = (b51 + 27);
        s4D = *(a813);
        a913 = (b51 + 23);
        s5D = *(a913);
        a014 = (b51 + 31);
        s6D = *(a014);
        a114 = (a7W + 12);
        a0Y = *(a114);
        a214 = (a7W + 13);
        a1Y = *(a214);
        a314 = _mm_mul_ps(a0Y, s3D);
        a414 = _mm_mul_ps(a1Y, s4D);
        s7D = _mm_sub_ps(a314, a414);
        a514 = _mm_mul_ps(a1Y, s3D);
        a614 = _mm_mul_ps(a0Y, s4D);
        s8D = _mm_add_ps(a514, a614);
        a714 = (a7W + 14);
        a2Y = *(a714);
        a814 = (a7W + 15);
        a3Y = *(a814);
        a914 = _mm_mul_ps(a2Y, s5D);
        a015 = _mm_mul_ps(a3Y, s6D);
        s9D = _mm_sub_ps(a914, a015);
        a115 = _mm_mul_ps(a3Y, s5D);
        a215 = _mm_mul_ps(a2Y, s6D);
        s0E = _mm_add_ps(a115, a215);
        t1u = _mm_add_ps(s7D, s9D);
        t2u = _mm_add_ps(s8D, s0E);
        t3u = _mm_sub_ps(s7D, s9D);
        t4u = _mm_sub_ps(s8D, s0E);
        t5u = _mm_add_ps(t7t, t1u);
        t6u = _mm_add_ps(t8t, t2u);
        t7u = _mm_sub_ps(t7t, t1u);
        t8u = _mm_sub_ps(t8t, t2u);
        t9u = _mm_add_ps(t9t, t4u);
        t0v = _mm_sub_ps(t0u, t3u);
        t1v = _mm_sub_ps(t9t, t4u);
        t2v = _mm_add_ps(t0u, t3u);
        s1E = _mm_unpacklo_ps(t5u, t9u);
        s2E = _mm_unpackhi_ps(t5u, t9u);
        s3E = _mm_unpacklo_ps(t6u, t0v);
        s4E = _mm_unpackhi_ps(t6u, t0v);
        s5E = _mm_unpacklo_ps(t7u, t1v);
        s6E = _mm_unpackhi_ps(t7u, t1v);
        s7E = _mm_unpacklo_ps(t8u, t2v);
        s8E = _mm_unpackhi_ps(t8u, t2v);
        s9E = _mm_shuffle_ps(s1E, s5E, _MM_SHUFFLE(1, 0, 1, 0));
        s0F = _mm_shuffle_ps(s1E, s5E, _MM_SHUFFLE(3, 2, 3, 2));
        s1F = _mm_shuffle_ps(s2E, s6E, _MM_SHUFFLE(1, 0, 1, 0));
        s2F = _mm_shuffle_ps(s2E, s6E, _MM_SHUFFLE(3, 2, 3, 2));
        s3F = _mm_shuffle_ps(s3E, s7E, _MM_SHUFFLE(1, 0, 1, 0));
        s4F = _mm_shuffle_ps(s3E, s7E, _MM_SHUFFLE(3, 2, 3, 2));
        s5F = _mm_shuffle_ps(s4E, s8E, _MM_SHUFFLE(1, 0, 1, 0));
        s6F = _mm_shuffle_ps(s4E, s8E, _MM_SHUFFLE(3, 2, 3, 2));
        a315 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9E);
        a415 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3F);
        s7F = _mm_sub_ps(a315, a415);
        a515 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s9E);
        a615 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3F);
        s8F = _mm_add_ps(a515, a615);
        t3v = _mm_add_ps(s7B, s7F);
        t4v = _mm_add_ps(s1C, s8F);
        t5v = _mm_sub_ps(s7B, s7F);
        t6v = _mm_sub_ps(s1C, s8F);
        a715 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s9B);
        a815 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s3C);
        s9F = _mm_sub_ps(a715, a815);
        a915 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s9B);
        a016 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s3C);
        s0G = _mm_add_ps(a915, a016);
        a116 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1F);
        a216 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s5F);
        s1G = _mm_sub_ps(a116, a216);
        a316 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s1F);
        a416 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5F);
        s2G = _mm_add_ps(a316, a416);
        t7v = _mm_add_ps(s9F, s1G);
        t8v = _mm_add_ps(s0G, s2G);
        t9v = _mm_sub_ps(s9F, s1G);
        t0w = _mm_sub_ps(s0G, s2G);
        t1w = _mm_add_ps(t3v, t7v);
        t2w = _mm_add_ps(t4v, t8v);
        t3w = _mm_sub_ps(t3v, t7v);
        t4w = _mm_sub_ps(t4v, t8v);
        t5w = _mm_add_ps(t5v, t0w);
        t6w = _mm_sub_ps(t6v, t9v);
        t7w = _mm_sub_ps(t5v, t0w);
        t8w = _mm_add_ps(t6v, t9v);
        a516 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s8B);
        a616 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s2C);
        s3G = _mm_sub_ps(a516, a616);
        a716 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s8B);
        a816 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s2C);
        s4G = _mm_add_ps(a716, a816);
        a916 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0F);
        a017 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s4F);
        s5G = _mm_sub_ps(a916, a017);
        a117 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s0F);
        a217 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4F);
        s6G = _mm_add_ps(a117, a217);
        t9w = _mm_add_ps(s3G, s5G);
        t0x = _mm_add_ps(s4G, s6G);
        t1x = _mm_sub_ps(s3G, s5G);
        t2x = _mm_sub_ps(s4G, s6G);
        a317 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s0C);
        a417 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s4C);
        s7G = _mm_sub_ps(a317, a417);
        a517 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s0C);
        a617 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s4C);
        s8G = _mm_add_ps(a517, a617);
        a717 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2F);
        a817 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s6F);
        s9G = _mm_sub_ps(a717, a817);
        a917 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s2F);
        a018 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6F);
        s0H = _mm_add_ps(a917, a018);
        t3x = _mm_add_ps(s7G, s9G);
        t4x = _mm_add_ps(s8G, s0H);
        t5x = _mm_sub_ps(s7G, s9G);
        t6x = _mm_sub_ps(s8G, s0H);
        t7x = _mm_add_ps(t9w, t3x);
        t8x = _mm_add_ps(t0x, t4x);
        t9x = _mm_sub_ps(t9w, t3x);
        t0y = _mm_sub_ps(t0x, t4x);
        a118 = _mm_add_ps(t1x, t6x);
        a4Y = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a118);
        a218 = _mm_sub_ps(t2x, t5x);
        a5Y = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a218);
        s1H = _mm_sub_ps(a4Y, a5Y);
        s2H = _mm_add_ps(a4Y, a5Y);
        a318 = _mm_sub_ps(t1x, t6x);
        a6Y = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a318);
        a418 = _mm_add_ps(t2x, t5x);
        a7Y = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a418);
        s3H = _mm_sub_ps(a6Y, a7Y);
        s4H = _mm_add_ps(a6Y, a7Y);
        t1y = _mm_add_ps(t1w, t7x);
        t2y = _mm_add_ps(t2w, t8x);
        t3y = _mm_sub_ps(t1w, t7x);
        t4y = _mm_sub_ps(t2w, t8x);
        s5H = _mm_unpacklo_ps(t1y, t2y);
        s6H = _mm_unpackhi_ps(t1y, t2y);
        a8Y = (2 * i4);
        b61 = (dst + a8Y);
        a518 = (b61 + 2);
        _mm_storel_pi(((__m64  *) a518), s5H);
        a618 = (b61 + 514);
        _mm_storeh_pi(((__m64  *) a618), s5H);
        a718 = (b61 + 1026);
        _mm_storel_pi(((__m64  *) a718), s6H);
        a818 = (b61 + 1538);
        _mm_storeh_pi(((__m64  *) a818), s6H);
        a918 = _mm_unpacklo_ps(t3y, t4y);
        s7H = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a918);
        a019 = _mm_unpackhi_ps(t3y, t4y);
        s8H = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a019);
        b71 = (dst - a8Y);
        a119 = (b71 + 8190);
        _mm_storel_pi(((__m64  *) a119), s7H);
        a219 = (b71 + 7678);
        _mm_storeh_pi(((__m64  *) a219), s7H);
        a319 = (b71 + 7166);
        _mm_storel_pi(((__m64  *) a319), s8H);
        a419 = (b71 + 6654);
        _mm_storeh_pi(((__m64  *) a419), s8H);
        t5y = _mm_add_ps(t5w, s1H);
        t6y = _mm_sub_ps(t6w, s2H);
        t7y = _mm_sub_ps(t5w, s1H);
        t8y = _mm_add_ps(t6w, s2H);
        s9H = _mm_unpacklo_ps(t5y, t6y);
        s0I = _mm_unpackhi_ps(t5y, t6y);
        a519 = (b61 + 2050);
        _mm_storel_pi(((__m64  *) a519), s9H);
        a619 = (b61 + 2562);
        _mm_storeh_pi(((__m64  *) a619), s9H);
        a719 = (b61 + 3074);
        _mm_storel_pi(((__m64  *) a719), s0I);
        a819 = (b61 + 3586);
        _mm_storeh_pi(((__m64  *) a819), s0I);
        a919 = _mm_unpacklo_ps(t7y, t8y);
        s1I = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a919);
        a01a = _mm_unpackhi_ps(t7y, t8y);
        s2I = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a01a);
        a11a = (b71 + 6142);
        _mm_storel_pi(((__m64  *) a11a), s1I);
        a21a = (b71 + 5630);
        _mm_storeh_pi(((__m64  *) a21a), s1I);
        a31a = (b71 + 5118);
        _mm_storel_pi(((__m64  *) a31a), s2I);
        a41a = (b71 + 4606);
        _mm_storeh_pi(((__m64  *) a41a), s2I);
        t9y = _mm_add_ps(t3w, t0y);
        t0z = _mm_sub_ps(t4w, t9x);
        t1z = _mm_sub_ps(t3w, t0y);
        t2z = _mm_add_ps(t4w, t9x);
        s3I = _mm_unpacklo_ps(t9y, t0z);
        s4I = _mm_unpackhi_ps(t9y, t0z);
        a51a = (b61 + 4098);
        _mm_storel_pi(((__m64  *) a51a), s3I);
        a61a = (b61 + 4610);
        _mm_storeh_pi(((__m64  *) a61a), s3I);
        a71a = (b61 + 5122);
        _mm_storel_pi(((__m64  *) a71a), s4I);
        a81a = (b61 + 5634);
        _mm_storeh_pi(((__m64  *) a81a), s4I);
        a91a = _mm_unpacklo_ps(t1z, t2z);
        s5I = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a91a);
        a01b = _mm_unpackhi_ps(t1z, t2z);
        s6I = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a01b);
        a11b = (b71 + 4094);
        _mm_storel_pi(((__m64  *) a11b), s5I);
        a21b = (b71 + 3582);
        _mm_storeh_pi(((__m64  *) a21b), s5I);
        a31b = (b71 + 3070);
        _mm_storel_pi(((__m64  *) a31b), s6I);
        a41b = (b71 + 2558);
        _mm_storeh_pi(((__m64  *) a41b), s6I);
        t3z = _mm_add_ps(t7w, s3H);
        t4z = _mm_add_ps(t8w, s4H);
        t5z = _mm_sub_ps(t7w, s3H);
        t6z = _mm_sub_ps(t8w, s4H);
        s7I = _mm_unpacklo_ps(t3z, t4z);
        s8I = _mm_unpackhi_ps(t3z, t4z);
        a51b = (b61 + 6146);
        _mm_storel_pi(((__m64  *) a51b), s7I);
        a61b = (b61 + 6658);
        _mm_storeh_pi(((__m64  *) a61b), s7I);
        a71b = (b61 + 7170);
        _mm_storel_pi(((__m64  *) a71b), s8I);
        a81b = (b61 + 7682);
        _mm_storeh_pi(((__m64  *) a81b), s8I);
        a91b = _mm_unpacklo_ps(t5z, t6z);
        s9I = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a91b);
        a01c = _mm_unpackhi_ps(t5z, t6z);
        s0J = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a01c);
        a11c = (b71 + 2046);
        _mm_storel_pi(((__m64  *) a11c), s9I);
        a21c = (b71 + 1534);
        _mm_storeh_pi(((__m64  *) a21c), s9I);
        a31c = (b71 + 1022);
        _mm_storel_pi(((__m64  *) a31c), s0J);
        a41c = (b71 + 510);
        _mm_storeh_pi(((__m64  *) a41c), s0J);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftfwd_float_8192)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftfwd_float_8192_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[8192]);
     SPIRAL_ALIGNED(float T2[1024]);
    __m128 a0I, a0J, a0K, a0L, a0M, a0N, a0S, a0T, a1J, a1K, a1M, a1N, a2K, a2L, a2M, a317, a318, a319, a31a, a3L, a417, a418
            , a419, a41a, a4J, a4K, a4L, a4M, a5I, a5J, a5K, a5M, a6I, a6J, a6K, a6L, a6M, a7I, a7J, a7K, a7L, a8H, a8J, a8K
            , a8L, a8M, a9H, a9K, a9L, a9M, a9R, a9S, b11, b31, b6, b9;
    __m128 a012, a013, a014, a015, a016, a02, a06, a07, a09, a0A, a0B, a0C, a0F, a0G, a0H, a0P, a0Q, a0R, a0W, a0X, a0Y, a0a
            , a0b, a0d, a0e, a0i, a0j, a0k, a0l, a0q, a0s, a0t, a0v, a0w, a0y, a0z, a110, a111, a114, a115, a116, a12, a16, a17
            , a18, a19, a1A, a1B, a1F, a1G, a1H, a1I, a1L, a1P, a1Q, a1R, a1W, a1X, a1Y, a1b, a1c, a1d, a1i, a1j, a1k, a1l
            , a1q, a1s, a1t, a1v, a1w, a1y, a1z, a210, a211, a214, a215, a216, a22, a27, a28, a29, a2A, a2F, a2G, a2H, a2I, a2J
            , a2P, a2Q, a2R, a2V, a2W, a2Y, a2a, a2c, a2d, a2i, a2j, a2k, a2l, a2q, a2r, a2t, a2u, a2w, a2x, a2z, a3, a31
            , a310, a311, a313, a314, a315, a316, a36, a37, a38, a3A, a3F, a3G, a3H, a3I, a3J, a3K, a3M, a3P, a3Q, a3R, a3V, a3W
            , a3a, a3c, a3i, a3j, a3k, a3l, a3q, a3r, a3t, a3u, a3w, a3x, a3z, a4, a41, a410, a411, a413, a414, a415, a416, a45
            , a46, a47, a48, a4A, a4F, a4G, a4H, a4I, a4P, a4Q, a4R, a4V, a4W, a4a, a4c, a4i, a4j, a4k, a4l, a4p, a4r, a4s
            , a4u, a4v, a4x, a4y, a4z, a5, a51, a513, a514, a515, a516, a55, a56, a57, a58, a5A, a5F, a5G, a5H, a5L, a5P, a5Q
            , a5V, a5W, a5Y, a5Z, a5a, a5c, a5i, a5j, a5k, a5l, a5p, a5r, a5s, a5u, a5v, a5x, a5y, a5z, a6, a61, a613, a614
            , a615, a616, a65, a66, a67, a68, a6A, a6F, a6G, a6H, a6P, a6Q, a6V, a6W, a6Y, a6Z, a6a, a6c, a6i, a6j, a6k, a6l
            , a6p, a6q, a6s, a6t, a6v, a6w, a6y, a6z, a7, a71, a711, a712, a713, a714, a715, a716, a75, a76, a78, a7A, a7E, a7F
            , a7G, a7H, a7M, a7O, a7P, a7Q, a7V, a7W, a7Y, a7Z, a7a, a7b, a7c, a7i, a7j, a7k, a7l, a7p, a7q, a7s, a7t, a7v
            , a7w, a7y, a7z, a8, a81, a811, a812, a813, a814, a815, a816, a82, a85, a86, a88, a8A, a8D, a8F, a8G, a8I, a8O, a8P
            , a8Q, a8V, a8W, a8Y, a8Z, a8a, a8c, a8i, a8j, a8k, a8l, a8q, a8r, a8t, a8u, a8w, a8x, a8y, a8z, a91, a911, a912
            , a913, a914, a915, a95, a96, a98, a9A, a9C, a9F, a9G, a9I, a9J, a9O, a9P, a9Q, a9V, a9W, a9X, a9a, a9c, a9h, a9i
            , a9j, a9k, a9q, a9r, a9t, a9u, a9w, a9x, a9y, a9z, b01, b21, b41, b7, b8, s, s01, s02, s03, s04, s05, s06
            , s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0G, s0H, s0I, s0J, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i
            , s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11, s12, s13, s14, s15
            , s16, s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1F, s1G, s1H, s1I, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i
            , s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24
            , s25, s26, s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2F, s2G, s2H, s2I, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h
            , s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33
            , s34, s35, s36, s37, s38, s39, s3A, s3B, s3C, s3D, s3E, s3F, s3G, s3H, s3I, s3a, s3b, s3c, s3d, s3e, s3f, s3g
            , s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42
            , s43, s44, s45, s46, s47, s48, s49, s4A, s4B, s4C, s4D, s4E, s4F, s4G, s4H, s4I, s4a, s4b, s4c, s4d, s4e, s4f
            , s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51
            , s52, s53, s54, s55, s56, s57, s58, s59, s5A, s5B, s5C, s5D, s5E, s5F, s5G, s5H, s5I, s5a, s5b, s5c, s5d, s5e
            , s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6
            , s61, s62, s63, s64, s65, s66, s67, s68, s69, s6A, s6B, s6C, s6D, s6E, s6F, s6G, s6H, s6I, s6a, s6b, s6c, s6d
            , s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z
            , s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7A, s7B, s7C, s7D, s7E, s7F, s7G, s7H, s7I, s7a, s7b, s7c
            , s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y
            , s7z, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8A, s8B, s8C, s8D, s8E, s8F, s8G, s8H, s8I, s8a, s8b
            , s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x
            , s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9C, s9D, s9E, s9F, s9G, s9H, s9I, s9a
            , s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w
            , s9x, s9y, s9z, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i
            , t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t12, t13, t14, t15
            , t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r
            , t1s, t1t, t1u, t1v, t1w, t1x, t1y, t1z, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d
            , t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z
            , t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l
            , t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t42, t43, t44, t45, t46, t47
            , t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t
            , t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f
            , t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z, t6, t61
            , t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n
            , t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y, t6z, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79
            , t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v
            , t7w, t7x, t7y, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i
            , t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t9, t91, t92, t93, t94, t95
            , t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r
            , t9s, t9t, t9u, t9v, t9w, t9x, t9y;
    __m128  *a, *a01, *a010, *a011, *a03, *a04, *a05, *a08, *a0D, *a0E, *a0U, *a0Z, *a0c, *a0f, *a0g, *a0h, *a0m, *a0n, *a0o, *a0p, *a0r, *a0u
            , *a0x, *a11, *a112, *a113, *a13, *a14, *a15, *a1C, *a1D, *a1E, *a1U, *a1V, *a1Z, *a1a, *a1e, *a1f, *a1g, *a1h, *a1m, *a1n, *a1o, *a1p
            , *a1r, *a1u, *a1x, *a2, *a21, *a212, *a213, *a23, *a24, *a25, *a26, *a2B, *a2C, *a2D, *a2E, *a2U, *a2Z, *a2b, *a2e, *a2f, *a2g, *a2h
            , *a2m, *a2n, *a2o, *a2p, *a2s, *a2v, *a2y, *a312, *a32, *a34, *a35, *a39, *a3B, *a3C, *a3D, *a3E, *a3U, *a3X, *a3Y, *a3Z, *a3b, *a3d
            , *a3e, *a3f, *a3g, *a3h, *a3m, *a3n, *a3o, *a3p, *a3s, *a3v, *a3y, *a412, *a42, *a43, *a44, *a49, *a4B, *a4C, *a4D, *a4E, *a4U, *a4X
            , *a4Y, *a4Z, *a4b, *a4d, *a4e, *a4f, *a4g, *a4h, *a4m, *a4n, *a4o, *a4q, *a4t, *a4w, *a510, *a511, *a512, *a52, *a53, *a54, *a59, *a5B
            , *a5C, *a5D, *a5E, *a5T, *a5U, *a5X, *a5b, *a5d, *a5e, *a5f, *a5g, *a5h, *a5m, *a5n, *a5o, *a5q, *a5t, *a5w, *a610, *a611, *a612, *a62
            , *a63, *a64, *a69, *a6B, *a6C, *a6D, *a6E, *a6T, *a6U, *a6X, *a6b, *a6d, *a6e, *a6f, *a6g, *a6h, *a6m, *a6n, *a6o, *a6r, *a6u, *a6x
            , *a710, *a72, *a73, *a74, *a77, *a79, *a7B, *a7C, *a7D, *a7T, *a7U, *a7X, *a7d, *a7e, *a7f, *a7g, *a7m, *a7n, *a7o, *a7r, *a7u, *a7x
            , *a810, *a83, *a84, *a87, *a89, *a8B, *a8C, *a8E, *a8T, *a8U, *a8X, *a8b, *a8d, *a8e, *a8f, *a8g, *a8h, *a8m, *a8n, *a8o, *a8p, *a8s
            , *a8v, *a9, *a910, *a92, *a93, *a94, *a97, *a99, *a9B, *a9D, *a9E, *a9T, *a9U, *a9Y, *a9Z, *a9b, *a9d, *a9e, *a9f, *a9g, *a9m, *a9n
            , *a9o, *a9p, *a9s, *a9v, *b, *b2, *b3, *b4, *b5, *b51;
    float  *a017, *a018, *a019, *a01a, *a0O, *a117, *a118, *a119, *a11a, *a1O, *a1S, *a1T, *a217, *a218, *a219, *a21a, *a2N, *a2O, *a2S, *a2T, *a3N, *a3O
            , *a3S, *a3T, *a4N, *a4O, *a4S, *a4T, *a517, *a518, *a519, *a51a, *a5N, *a5O, *a5R, *a5S, *a617, *a618, *a619, *a61a, *a6N, *a6O, *a6R, *a6S
            , *a717, *a718, *a719, *a71a, *a7N, *a7R, *a7S, *a817, *a818, *a819, *a81a, *a8N, *a8R, *a8S, *a916, *a917, *a918, *a919, *a9N, *b61, *b71;
    int a0V, a2X, a33, a7h, a9l;
    {long i; for(i = 0; i <= 7; i++) {
        {long i2; for(i2 = 0; i2 <= 15; i2++) {
            a23 = ((__m128  *) src);
            a33 = (8 * i2);
            b = (a23 + i);
            a = (b + a33);
            s = *(a);
            a43 = (a + 1024);
            s2 = *(a43);
            t = _mm_add_ps(s, s2);
            t2 = _mm_sub_ps(s, s2);
            a53 = (a + 512);
            s3 = *(a53);
            a63 = (a + 1536);
            s4 = *(a63);
            t3 = _mm_add_ps(s3, s4);
            t4 = _mm_sub_ps(s3, s4);
            a73 = (a + 128);
            s5 = *(a73);
            a83 = (a + 1152);
            s6 = *(a83);
            t5 = _mm_add_ps(s5, s6);
            t6 = _mm_sub_ps(s5, s6);
            a93 = (a + 640);
            s7 = *(a93);
            a04 = (a + 1664);
            s8 = *(a04);
            t7 = _mm_add_ps(s7, s8);
            t8 = _mm_sub_ps(s7, s8);
            a14 = (a + 256);
            s9 = *(a14);
            a24 = (a + 1280);
            s01 = *(a24);
            t9 = _mm_add_ps(s9, s01);
            a34 = (a + 768);
            s11 = *(a34);
            a44 = (a + 1792);
            s21 = *(a44);
            t01 = _mm_add_ps(s11, s21);
            a54 = (a + 384);
            s31 = *(a54);
            a64 = (a + 1408);
            s41 = *(a64);
            t11 = _mm_add_ps(s31, s41);
            t21 = _mm_sub_ps(s31, s41);
            a74 = (a + 896);
            s51 = *(a74);
            a84 = (a + 1920);
            s61 = *(a84);
            t31 = _mm_add_ps(s51, s61);
            t41 = _mm_sub_ps(s51, s61);
            t51 = _mm_add_ps(t, t3);
            t61 = _mm_sub_ps(t, t3);
            t71 = _mm_add_ps(t9, t01);
            t81 = _mm_sub_ps(t9, t01);
            t91 = _mm_add_ps(t5, t7);
            t02 = _mm_add_ps(t11, t31);
            a94 = ((__m128  *) T2);
            a2 = (a94 + i2);
            s71 = _mm_add_ps(t51, t71);
            *(a2) = s71;
            s81 = _mm_sub_ps(t51, t71);
            a05 = (a2 + 128);
            *(a05) = s81;
            s91 = _mm_add_ps(t91, t02);
            a15 = (a2 + 16);
            *(a15) = s91;
            s02 = _mm_sub_ps(t02, t91);
            a25 = (a2 + 144);
            *(a25) = s02;
            a7 = _mm_sub_ps(t5, t7);
            a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a7);
            a8 = _mm_sub_ps(t11, t31);
            a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a8);
            s12 = _mm_add_ps(a3, a4);
            s22 = _mm_sub_ps(a4, a3);
            s32 = _mm_add_ps(t61, s12);
            a9 = (a2 + 64);
            *(a9) = s32;
            s42 = _mm_sub_ps(s22, t81);
            a01 = (a2 + 80);
            *(a01) = s42;
            s52 = _mm_sub_ps(t61, s12);
            a11 = (a2 + 192);
            *(a11) = s52;
            s62 = _mm_add_ps(t81, s22);
            a21 = (a2 + 208);
            *(a21) = s62;
            a31 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6);
            a41 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t8);
            s72 = _mm_add_ps(a31, a41);
            a51 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t6);
            a61 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8);
            s82 = _mm_sub_ps(a51, a61);
            a71 = _mm_sub_ps(s9, s01);
            a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a71);
            a81 = _mm_sub_ps(s11, s21);
            a6 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a81);
            s92 = _mm_add_ps(a5, a6);
            s03 = _mm_sub_ps(a6, a5);
            a91 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t21);
            a02 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t41);
            s13 = _mm_add_ps(a91, a02);
            a12 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t21);
            a22 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t41);
            s23 = _mm_sub_ps(a12, a22);
            t12 = _mm_add_ps(t2, s92);
            t22 = _mm_sub_ps(s03, t4);
            t32 = _mm_sub_ps(t2, s92);
            t42 = _mm_add_ps(t4, s03);
            t52 = _mm_add_ps(s72, s13);
            t62 = _mm_add_ps(s82, s23);
            t72 = _mm_sub_ps(s72, s13);
            t82 = _mm_sub_ps(s82, s23);
            s33 = _mm_add_ps(t12, t52);
            a32 = (a2 + 32);
            *(a32) = s33;
            s43 = _mm_add_ps(t22, t62);
            a42 = (a2 + 48);
            *(a42) = s43;
            s53 = _mm_sub_ps(t12, t52);
            a52 = (a2 + 224);
            *(a52) = s53;
            s63 = _mm_sub_ps(t62, t22);
            a62 = (a2 + 240);
            *(a62) = s63;
            s73 = _mm_add_ps(t32, t82);
            a72 = (a2 + 160);
            *(a72) = s73;
            a82 = _mm_add_ps(t42, t72);
            s83 = _mm_sub_ps(_mm_set1_ps(0.0f), a82);
            a92 = (a2 + 176);
            *(a92) = s83;
            s93 = _mm_sub_ps(t32, t82);
            a03 = (a2 + 96);
            *(a03) = s93;
            s04 = _mm_sub_ps(t42, t72);
            a13 = (a2 + 112);
            *(a13) = s04;
        }}
        a35 = ((__m128  *) T2);
        s14 = *(a35);
        a2e = (a35 + 16);
        s24 = *(a2e);
        t92 = _mm_add_ps(s14, s24);
        t03 = _mm_sub_ps(s14, s24);
        a3e = (a35 + 8);
        s34 = *(a3e);
        a4e = (a35 + 24);
        s44 = *(a4e);
        t13 = _mm_add_ps(s34, s44);
        t23 = _mm_sub_ps(s34, s44);
        a5e = (a35 + 4);
        s54 = *(a5e);
        a6e = (a35 + 20);
        s64 = *(a6e);
        t33 = _mm_add_ps(s54, s64);
        a7e = (a35 + 12);
        s74 = *(a7e);
        a8e = (a35 + 28);
        s84 = *(a8e);
        t43 = _mm_add_ps(s74, s84);
        t53 = _mm_add_ps(t92, t13);
        t63 = _mm_sub_ps(t92, t13);
        t73 = _mm_add_ps(t33, t43);
        t83 = _mm_sub_ps(t33, t43);
        a76 = _mm_sub_ps(s54, s64);
        a45 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a76);
        a86 = _mm_sub_ps(s74, s84);
        a55 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a86);
        s94 = _mm_add_ps(a45, a55);
        s05 = _mm_sub_ps(a55, a45);
        t93 = _mm_add_ps(t03, s94);
        t04 = _mm_sub_ps(s05, t23);
        t14 = _mm_sub_ps(t03, s94);
        t24 = _mm_add_ps(t23, s05);
        a9e = (a35 + 1);
        s15 = *(a9e);
        a0f = (a35 + 17);
        s25 = *(a0f);
        t34 = _mm_add_ps(s15, s25);
        t44 = _mm_sub_ps(s15, s25);
        a1f = (a35 + 9);
        s35 = *(a1f);
        a2f = (a35 + 25);
        s45 = *(a2f);
        t54 = _mm_add_ps(s35, s45);
        t64 = _mm_sub_ps(s35, s45);
        a3f = (a35 + 5);
        s55 = *(a3f);
        a4f = (a35 + 21);
        s65 = *(a4f);
        t74 = _mm_add_ps(s55, s65);
        a5f = (a35 + 13);
        s75 = *(a5f);
        a6f = (a35 + 29);
        s85 = *(a6f);
        t84 = _mm_add_ps(s75, s85);
        t94 = _mm_add_ps(t34, t54);
        t05 = _mm_sub_ps(t34, t54);
        t15 = _mm_add_ps(t74, t84);
        t25 = _mm_sub_ps(t74, t84);
        a96 = _mm_sub_ps(s55, s65);
        a65 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a96);
        a07 = _mm_sub_ps(s75, s85);
        a75 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a07);
        s95 = _mm_add_ps(a65, a75);
        s06 = _mm_sub_ps(a75, a65);
        t35 = _mm_add_ps(t44, s95);
        t45 = _mm_sub_ps(s06, t64);
        t55 = _mm_sub_ps(t44, s95);
        t65 = _mm_add_ps(t64, s06);
        a7f = (a35 + 2);
        s16 = *(a7f);
        a8f = (a35 + 18);
        s26 = *(a8f);
        t75 = _mm_add_ps(s16, s26);
        t85 = _mm_sub_ps(s16, s26);
        a9f = (a35 + 10);
        s36 = *(a9f);
        a0g = (a35 + 26);
        s46 = *(a0g);
        t95 = _mm_add_ps(s36, s46);
        t06 = _mm_sub_ps(s36, s46);
        a1g = (a35 + 6);
        s56 = *(a1g);
        a2g = (a35 + 22);
        s66 = *(a2g);
        t16 = _mm_add_ps(s56, s66);
        a3g = (a35 + 14);
        s76 = *(a3g);
        a4g = (a35 + 30);
        s86 = *(a4g);
        t26 = _mm_add_ps(s76, s86);
        t36 = _mm_add_ps(t75, t95);
        t46 = _mm_add_ps(t16, t26);
        a17 = _mm_sub_ps(s56, s66);
        a85 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a17);
        a27 = _mm_sub_ps(s76, s86);
        a95 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a27);
        s96 = _mm_add_ps(a85, a95);
        s07 = _mm_sub_ps(a95, a85);
        t56 = _mm_add_ps(t85, s96);
        t66 = _mm_sub_ps(s07, t06);
        t76 = _mm_sub_ps(t85, s96);
        t86 = _mm_add_ps(t06, s07);
        a5g = (a35 + 3);
        s17 = *(a5g);
        a6g = (a35 + 19);
        s27 = *(a6g);
        t96 = _mm_add_ps(s17, s27);
        t07 = _mm_sub_ps(s17, s27);
        a7g = (a35 + 11);
        s37 = *(a7g);
        a8g = (a35 + 27);
        s47 = *(a8g);
        t17 = _mm_add_ps(s37, s47);
        t27 = _mm_sub_ps(s37, s47);
        a9g = (a35 + 7);
        s57 = *(a9g);
        a0h = (a35 + 23);
        s67 = *(a0h);
        t37 = _mm_add_ps(s57, s67);
        a1h = (a35 + 15);
        s77 = *(a1h);
        a2h = (a35 + 31);
        s87 = *(a2h);
        t47 = _mm_add_ps(s77, s87);
        t57 = _mm_add_ps(t96, t17);
        t67 = _mm_sub_ps(t96, t17);
        t77 = _mm_add_ps(t37, t47);
        t87 = _mm_sub_ps(t37, t47);
        a37 = _mm_sub_ps(s57, s67);
        a06 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a37);
        a47 = _mm_sub_ps(s77, s87);
        a16 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a47);
        s97 = _mm_add_ps(a06, a16);
        s08 = _mm_sub_ps(a16, a06);
        t97 = _mm_add_ps(t07, s97);
        t08 = _mm_sub_ps(s08, t27);
        t18 = _mm_sub_ps(t07, s97);
        t28 = _mm_add_ps(t27, s08);
        t38 = _mm_add_ps(t53, t73);
        t48 = _mm_sub_ps(t53, t73);
        t58 = _mm_add_ps(t36, t46);
        t68 = _mm_sub_ps(t36, t46);
        t78 = _mm_add_ps(t94, t15);
        t88 = _mm_add_ps(t57, t77);
        a3h = ((__m128  *) T);
        a26 = (a3h + i);
        s18 = _mm_add_ps(t38, t58);
        *(a26) = s18;
        s28 = _mm_sub_ps(t38, t58);
        a4h = (a26 + 1024);
        *(a4h) = s28;
        s38 = _mm_add_ps(t78, t88);
        a5h = (a26 + 8);
        *(a5h) = s38;
        s48 = _mm_sub_ps(t88, t78);
        a6h = (a26 + 1032);
        *(a6h) = s48;
        a57 = _mm_sub_ps(t94, t15);
        a36 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a57);
        a67 = _mm_sub_ps(t57, t77);
        a46 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a67);
        s58 = _mm_add_ps(a36, a46);
        s68 = _mm_sub_ps(a46, a36);
        s78 = _mm_add_ps(t48, s58);
        a77 = (a26 + 512);
        *(a77) = s78;
        s88 = _mm_sub_ps(s68, t68);
        a87 = (a26 + 520);
        *(a87) = s88;
        s98 = _mm_sub_ps(t48, s58);
        a97 = (a26 + 1536);
        *(a97) = s98;
        s09 = _mm_add_ps(t68, s68);
        a08 = (a26 + 1544);
        *(a08) = s09;
        a18 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t35);
        a28 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t45);
        s19 = _mm_sub_ps(a18, a28);
        a38 = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t35);
        a48 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t45);
        s29 = _mm_add_ps(a38, a48);
        a58 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t56);
        a68 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t66);
        s39 = _mm_sub_ps(a58, a68);
        a78 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t56);
        a88 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t66);
        s49 = _mm_add_ps(a78, a88);
        a98 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t97);
        a09 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t08);
        s59 = _mm_sub_ps(a98, a09);
        a19 = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t97);
        a29 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t08);
        s69 = _mm_add_ps(a19, a29);
        t98 = _mm_add_ps(t93, s39);
        t09 = _mm_add_ps(t04, s49);
        t19 = _mm_sub_ps(t93, s39);
        t29 = _mm_sub_ps(t04, s49);
        t39 = _mm_add_ps(s19, s59);
        t49 = _mm_add_ps(s29, s69);
        t59 = _mm_sub_ps(s19, s59);
        t69 = _mm_sub_ps(s29, s69);
        s79 = _mm_add_ps(t98, t39);
        a39 = (a26 + 128);
        *(a39) = s79;
        s89 = _mm_add_ps(t09, t49);
        a49 = (a26 + 136);
        *(a49) = s89;
        s99 = _mm_sub_ps(t98, t39);
        a59 = (a26 + 1920);
        *(a59) = s99;
        s0a = _mm_sub_ps(t49, t09);
        a69 = (a26 + 1928);
        *(a69) = s0a;
        s1a = _mm_add_ps(t19, t69);
        a79 = (a26 + 1152);
        *(a79) = s1a;
        s2a = _mm_sub_ps(t29, t59);
        a89 = (a26 + 1160);
        *(a89) = s2a;
        s3a = _mm_sub_ps(t19, t69);
        a99 = (a26 + 896);
        *(a99) = s3a;
        a0a = _mm_add_ps(t29, t59);
        s4a = _mm_sub_ps(_mm_set1_ps(0.0f), a0a);
        a1a = (a26 + 904);
        *(a1a) = s4a;
        a2a = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t05);
        a3a = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t25);
        s5a = _mm_add_ps(a2a, a3a);
        a4a = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t05);
        a5a = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t25);
        s6a = _mm_sub_ps(a4a, a5a);
        a6a = _mm_sub_ps(t75, t95);
        a56 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6a);
        a7a = _mm_sub_ps(t16, t26);
        a66 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a7a);
        s7a = _mm_add_ps(a56, a66);
        s8a = _mm_sub_ps(a66, a56);
        a8a = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t67);
        a9a = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t87);
        s9a = _mm_add_ps(a8a, a9a);
        a0b = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t67);
        a1b = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t87);
        s0b = _mm_sub_ps(a0b, a1b);
        t79 = _mm_add_ps(t63, s7a);
        t89 = _mm_sub_ps(s8a, t83);
        t99 = _mm_sub_ps(t63, s7a);
        t0a = _mm_add_ps(t83, s8a);
        t1a = _mm_add_ps(s5a, s9a);
        t2a = _mm_add_ps(s6a, s0b);
        t3a = _mm_sub_ps(s5a, s9a);
        t4a = _mm_sub_ps(s6a, s0b);
        s1b = _mm_add_ps(t79, t1a);
        a2b = (a26 + 256);
        *(a2b) = s1b;
        s2b = _mm_add_ps(t89, t2a);
        a3b = (a26 + 264);
        *(a3b) = s2b;
        s3b = _mm_sub_ps(t79, t1a);
        a4b = (a26 + 1792);
        *(a4b) = s3b;
        s4b = _mm_sub_ps(t2a, t89);
        a5b = (a26 + 1800);
        *(a5b) = s4b;
        s5b = _mm_add_ps(t99, t4a);
        a6b = (a26 + 1280);
        *(a6b) = s5b;
        a7b = _mm_add_ps(t0a, t3a);
        s6b = _mm_sub_ps(_mm_set1_ps(0.0f), a7b);
        a8b = (a26 + 1288);
        *(a8b) = s6b;
        s7b = _mm_sub_ps(t99, t4a);
        a9b = (a26 + 768);
        *(a9b) = s7b;
        s8b = _mm_sub_ps(t0a, t3a);
        a0c = (a26 + 776);
        *(a0c) = s8b;
        a1c = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t55);
        a2c = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t65);
        s9b = _mm_sub_ps(a1c, a2c);
        a3c = _mm_mul_ps(_mm_set1_ps((-0.55557023301960218f)), t55);
        a4c = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t65);
        s0c = _mm_add_ps(a3c, a4c);
        a5c = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t76);
        a6c = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t86);
        s1c = _mm_sub_ps(a5c, a6c);
        a7c = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t76);
        a8c = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t86);
        s2c = _mm_add_ps(a7c, a8c);
        a9c = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t18);
        a0d = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t28);
        s3c = _mm_sub_ps(a9c, a0d);
        a1d = _mm_mul_ps(_mm_set1_ps((-0.98078528040323043f)), t18);
        a2d = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t28);
        s4c = _mm_add_ps(a1d, a2d);
        t5a = _mm_add_ps(t14, s1c);
        t6a = _mm_add_ps(t24, s2c);
        t7a = _mm_sub_ps(t14, s1c);
        t8a = _mm_sub_ps(t24, s2c);
        t9a = _mm_add_ps(s9b, s3c);
        t0b = _mm_add_ps(s0c, s4c);
        t1b = _mm_sub_ps(s9b, s3c);
        t2b = _mm_sub_ps(s0c, s4c);
        s5c = _mm_add_ps(t5a, t9a);
        a3d = (a26 + 384);
        *(a3d) = s5c;
        s6c = _mm_add_ps(t6a, t0b);
        a4d = (a26 + 392);
        *(a4d) = s6c;
        s7c = _mm_sub_ps(t5a, t9a);
        a5d = (a26 + 1664);
        *(a5d) = s7c;
        s8c = _mm_sub_ps(t0b, t6a);
        a6d = (a26 + 1672);
        *(a6d) = s8c;
        s9c = _mm_add_ps(t7a, t2b);
        a7d = (a26 + 1408);
        *(a7d) = s9c;
        s0d = _mm_sub_ps(t8a, t1b);
        a8d = (a26 + 1416);
        *(a8d) = s0d;
        s1d = _mm_sub_ps(t7a, t2b);
        a9d = (a26 + 640);
        *(a9d) = s1d;
        a0e = _mm_add_ps(t8a, t1b);
        s2d = _mm_sub_ps(_mm_set1_ps(0.0f), a0e);
        a1e = (a26 + 648);
        *(a1e) = s2d;
        {long i3; for(i3 = 0; i3 <= 6; i3++) {
            a7h = (32 * i3);
            a0m = ((__m128  *) T2);
            b2 = (a0m + a7h);
            a1m = (b2 + 32);
            s3d = *(a1m);
            a2m = (b2 + 48);
            s4d = *(a2m);
            a3m = (b2 + 33);
            s5d = *(a3m);
            a4m = (b2 + 49);
            s6d = *(a4m);
            a5m = (b2 + 34);
            s7d = *(a5m);
            a6m = (b2 + 50);
            s8d = *(a6m);
            a7m = (b2 + 35);
            s9d = *(a7m);
            a8m = (b2 + 51);
            s0e = *(a8m);
            a9m = (b2 + 36);
            s1e = *(a9m);
            a0n = (b2 + 52);
            s2e = *(a0n);
            a1n = (b2 + 37);
            s3e = *(a1n);
            a2n = (b2 + 53);
            s4e = *(a2n);
            a3n = (b2 + 38);
            s5e = *(a3n);
            a4n = (b2 + 54);
            s6e = *(a4n);
            a5n = (b2 + 39);
            s7e = *(a5n);
            a6n = (b2 + 55);
            s8e = *(a6n);
            a7n = (b2 + 40);
            s9e = *(a7n);
            a8n = (b2 + 56);
            s0f = *(a8n);
            a9n = (b2 + 41);
            s1f = *(a9n);
            a0o = (b2 + 57);
            s2f = *(a0o);
            a1o = (b2 + 42);
            s3f = *(a1o);
            a2o = (b2 + 58);
            s4f = *(a2o);
            a3o = (b2 + 43);
            s5f = *(a3o);
            a4o = (b2 + 59);
            s6f = *(a4o);
            a5o = (b2 + 44);
            s7f = *(a5o);
            a6o = (b2 + 60);
            s8f = *(a6o);
            a7o = (b2 + 45);
            s9f = *(a7o);
            a8o = (b2 + 61);
            s0g = *(a8o);
            a9o = (b2 + 46);
            s1g = *(a9o);
            a0p = (b2 + 62);
            s2g = *(a0p);
            a1p = (b2 + 47);
            s3g = *(a1p);
            a2p = (b2 + 63);
            s4g = *(a2p);
            a8h = (D18 + a7h);
            a9h = *(a8h);
            a3p = (a8h + 1);
            a0i = *(a3p);
            a4p = _mm_mul_ps(a9h, s3d);
            a5p = _mm_mul_ps(a0i, s4d);
            s5g = _mm_sub_ps(a4p, a5p);
            a6p = _mm_mul_ps(a0i, s3d);
            a7p = _mm_mul_ps(a9h, s4d);
            s6g = _mm_add_ps(a6p, a7p);
            a8p = (a8h + 2);
            a1i = *(a8p);
            a9p = (a8h + 3);
            a2i = *(a9p);
            a0q = _mm_mul_ps(a1i, s5d);
            a1q = _mm_mul_ps(a2i, s6d);
            s7g = _mm_sub_ps(a0q, a1q);
            a2q = _mm_mul_ps(a2i, s5d);
            a3q = _mm_mul_ps(a1i, s6d);
            s8g = _mm_add_ps(a2q, a3q);
            a4q = (a8h + 4);
            a3i = *(a4q);
            a5q = (a8h + 5);
            a4i = *(a5q);
            a6q = _mm_mul_ps(a3i, s7d);
            a7q = _mm_mul_ps(a4i, s8d);
            s9g = _mm_sub_ps(a6q, a7q);
            a8q = _mm_mul_ps(a4i, s7d);
            a9q = _mm_mul_ps(a3i, s8d);
            s0h = _mm_add_ps(a8q, a9q);
            a0r = (a8h + 6);
            a5i = *(a0r);
            a1r = (a8h + 7);
            a6i = *(a1r);
            a2r = _mm_mul_ps(a5i, s9d);
            a3r = _mm_mul_ps(a6i, s0e);
            s1h = _mm_sub_ps(a2r, a3r);
            a4r = _mm_mul_ps(a6i, s9d);
            a5r = _mm_mul_ps(a5i, s0e);
            s2h = _mm_add_ps(a4r, a5r);
            a6r = (a8h + 8);
            a7i = *(a6r);
            a7r = (a8h + 9);
            a8i = *(a7r);
            a8r = _mm_mul_ps(a7i, s1e);
            a9r = _mm_mul_ps(a8i, s2e);
            s3h = _mm_sub_ps(a8r, a9r);
            a0s = _mm_mul_ps(a8i, s1e);
            a1s = _mm_mul_ps(a7i, s2e);
            s4h = _mm_add_ps(a0s, a1s);
            a2s = (a8h + 10);
            a9i = *(a2s);
            a3s = (a8h + 11);
            a0j = *(a3s);
            a4s = _mm_mul_ps(a9i, s3e);
            a5s = _mm_mul_ps(a0j, s4e);
            s5h = _mm_sub_ps(a4s, a5s);
            a6s = _mm_mul_ps(a0j, s3e);
            a7s = _mm_mul_ps(a9i, s4e);
            s6h = _mm_add_ps(a6s, a7s);
            a8s = (a8h + 12);
            a1j = *(a8s);
            a9s = (a8h + 13);
            a2j = *(a9s);
            a0t = _mm_mul_ps(a1j, s5e);
            a1t = _mm_mul_ps(a2j, s6e);
            s7h = _mm_sub_ps(a0t, a1t);
            a2t = _mm_mul_ps(a2j, s5e);
            a3t = _mm_mul_ps(a1j, s6e);
            s8h = _mm_add_ps(a2t, a3t);
            a4t = (a8h + 14);
            a3j = *(a4t);
            a5t = (a8h + 15);
            a4j = *(a5t);
            a6t = _mm_mul_ps(a3j, s7e);
            a7t = _mm_mul_ps(a4j, s8e);
            s9h = _mm_sub_ps(a6t, a7t);
            a8t = _mm_mul_ps(a4j, s7e);
            a9t = _mm_mul_ps(a3j, s8e);
            s0i = _mm_add_ps(a8t, a9t);
            a0u = (a8h + 16);
            a5j = *(a0u);
            a1u = (a8h + 17);
            a6j = *(a1u);
            a2u = _mm_mul_ps(a5j, s9e);
            a3u = _mm_mul_ps(a6j, s0f);
            s1i = _mm_sub_ps(a2u, a3u);
            a4u = _mm_mul_ps(a6j, s9e);
            a5u = _mm_mul_ps(a5j, s0f);
            s2i = _mm_add_ps(a4u, a5u);
            a6u = (a8h + 18);
            a7j = *(a6u);
            a7u = (a8h + 19);
            a8j = *(a7u);
            a8u = _mm_mul_ps(a7j, s1f);
            a9u = _mm_mul_ps(a8j, s2f);
            s3i = _mm_sub_ps(a8u, a9u);
            a0v = _mm_mul_ps(a8j, s1f);
            a1v = _mm_mul_ps(a7j, s2f);
            s4i = _mm_add_ps(a0v, a1v);
            a2v = (a8h + 20);
            a9j = *(a2v);
            a3v = (a8h + 21);
            a0k = *(a3v);
            a4v = _mm_mul_ps(a9j, s3f);
            a5v = _mm_mul_ps(a0k, s4f);
            s5i = _mm_sub_ps(a4v, a5v);
            a6v = _mm_mul_ps(a0k, s3f);
            a7v = _mm_mul_ps(a9j, s4f);
            s6i = _mm_add_ps(a6v, a7v);
            a8v = (a8h + 22);
            a1k = *(a8v);
            a9v = (a8h + 23);
            a2k = *(a9v);
            a0w = _mm_mul_ps(a1k, s5f);
            a1w = _mm_mul_ps(a2k, s6f);
            s7i = _mm_sub_ps(a0w, a1w);
            a2w = _mm_mul_ps(a2k, s5f);
            a3w = _mm_mul_ps(a1k, s6f);
            s8i = _mm_add_ps(a2w, a3w);
            a4w = (a8h + 24);
            a3k = *(a4w);
            a5w = (a8h + 25);
            a4k = *(a5w);
            a6w = _mm_mul_ps(a3k, s7f);
            a7w = _mm_mul_ps(a4k, s8f);
            s9i = _mm_sub_ps(a6w, a7w);
            a8w = _mm_mul_ps(a4k, s7f);
            a9w = _mm_mul_ps(a3k, s8f);
            s0j = _mm_add_ps(a8w, a9w);
            a0x = (a8h + 26);
            a5k = *(a0x);
            a1x = (a8h + 27);
            a6k = *(a1x);
            a2x = _mm_mul_ps(a5k, s9f);
            a3x = _mm_mul_ps(a6k, s0g);
            s1j = _mm_sub_ps(a2x, a3x);
            a4x = _mm_mul_ps(a6k, s9f);
            a5x = _mm_mul_ps(a5k, s0g);
            s2j = _mm_add_ps(a4x, a5x);
            a6x = (a8h + 28);
            a7k = *(a6x);
            a7x = (a8h + 29);
            a8k = *(a7x);
            a8x = _mm_mul_ps(a7k, s1g);
            a9x = _mm_mul_ps(a8k, s2g);
            s3j = _mm_sub_ps(a8x, a9x);
            a0y = _mm_mul_ps(a8k, s1g);
            a1y = _mm_mul_ps(a7k, s2g);
            s4j = _mm_add_ps(a0y, a1y);
            a2y = (a8h + 30);
            a9k = *(a2y);
            a3y = (a8h + 31);
            a0l = *(a3y);
            a4y = _mm_mul_ps(a9k, s3g);
            a5y = _mm_mul_ps(a0l, s4g);
            s5j = _mm_sub_ps(a4y, a5y);
            a6y = _mm_mul_ps(a0l, s3g);
            a7y = _mm_mul_ps(a9k, s4g);
            s6j = _mm_add_ps(a6y, a7y);
            t3b = _mm_add_ps(s5g, s1i);
            t4b = _mm_add_ps(s6g, s2i);
            t5b = _mm_sub_ps(s5g, s1i);
            t6b = _mm_sub_ps(s6g, s2i);
            t7b = _mm_add_ps(s3h, s9i);
            t8b = _mm_add_ps(s4h, s0j);
            t9b = _mm_sub_ps(s3h, s9i);
            t0c = _mm_sub_ps(s4h, s0j);
            t1c = _mm_add_ps(t3b, t7b);
            t2c = _mm_add_ps(t4b, t8b);
            t3c = _mm_sub_ps(t3b, t7b);
            t4c = _mm_sub_ps(t4b, t8b);
            t5c = _mm_add_ps(t5b, t0c);
            t6c = _mm_sub_ps(t6b, t9b);
            t7c = _mm_sub_ps(t5b, t0c);
            t8c = _mm_add_ps(t6b, t9b);
            t9c = _mm_add_ps(s7g, s3i);
            t0d = _mm_add_ps(s8g, s4i);
            t1d = _mm_sub_ps(s7g, s3i);
            t2d = _mm_sub_ps(s8g, s4i);
            t3d = _mm_add_ps(s5h, s1j);
            t4d = _mm_add_ps(s6h, s2j);
            t5d = _mm_sub_ps(s5h, s1j);
            t6d = _mm_sub_ps(s6h, s2j);
            t7d = _mm_add_ps(t9c, t3d);
            t8d = _mm_add_ps(t0d, t4d);
            a8y = _mm_sub_ps(t9c, t3d);
            a1l = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a8y);
            a9y = _mm_sub_ps(t0d, t4d);
            a2l = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a9y);
            s7j = _mm_sub_ps(a1l, a2l);
            s8j = _mm_add_ps(a1l, a2l);
            t9d = _mm_add_ps(t1d, t6d);
            t0e = _mm_sub_ps(t2d, t5d);
            t1e = _mm_sub_ps(t1d, t6d);
            t2e = _mm_add_ps(t2d, t5d);
            a0z = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t9d);
            a1z = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t0e);
            s9j = _mm_sub_ps(a0z, a1z);
            a2z = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t9d);
            a3z = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t0e);
            s0k = _mm_add_ps(a2z, a3z);
            a4z = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1e);
            a5z = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t2e);
            s1k = _mm_sub_ps(a4z, a5z);
            a6z = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t1e);
            a7z = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2e);
            s2k = _mm_add_ps(a6z, a7z);
            t3e = _mm_add_ps(s9g, s5i);
            t4e = _mm_add_ps(s0h, s6i);
            t5e = _mm_sub_ps(s9g, s5i);
            t6e = _mm_sub_ps(s0h, s6i);
            t7e = _mm_add_ps(s7h, s3j);
            t8e = _mm_add_ps(s8h, s4j);
            t9e = _mm_sub_ps(s7h, s3j);
            t0f = _mm_sub_ps(s8h, s4j);
            t1f = _mm_add_ps(t3e, t7e);
            t2f = _mm_add_ps(t4e, t8e);
            t3f = _mm_sub_ps(t3e, t7e);
            t4f = _mm_sub_ps(t4e, t8e);
            a8z = _mm_add_ps(t5e, t0f);
            a3l = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a8z);
            a9z = _mm_sub_ps(t6e, t9e);
            a4l = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a9z);
            s3k = _mm_sub_ps(a3l, a4l);
            s4k = _mm_add_ps(a3l, a4l);
            a0A = _mm_sub_ps(t5e, t0f);
            a5l = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a0A);
            a1A = _mm_add_ps(t6e, t9e);
            a6l = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a1A);
            s5k = _mm_sub_ps(a5l, a6l);
            s6k = _mm_add_ps(a5l, a6l);
            t5f = _mm_add_ps(s1h, s7i);
            t6f = _mm_add_ps(s2h, s8i);
            t7f = _mm_sub_ps(s1h, s7i);
            t8f = _mm_sub_ps(s2h, s8i);
            t9f = _mm_add_ps(s9h, s5j);
            t0g = _mm_add_ps(s0i, s6j);
            t1g = _mm_sub_ps(s9h, s5j);
            t2g = _mm_sub_ps(s0i, s6j);
            t3g = _mm_add_ps(t5f, t9f);
            t4g = _mm_add_ps(t6f, t0g);
            a2A = _mm_sub_ps(t5f, t9f);
            a7l = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2A);
            a3A = _mm_sub_ps(t6f, t0g);
            a8l = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a3A);
            s7k = _mm_sub_ps(a7l, a8l);
            s8k = _mm_add_ps(a7l, a8l);
            t5g = _mm_add_ps(t7f, t2g);
            t6g = _mm_sub_ps(t8f, t1g);
            t7g = _mm_sub_ps(t7f, t2g);
            t8g = _mm_add_ps(t8f, t1g);
            a4A = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5g);
            a5A = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t6g);
            s9k = _mm_sub_ps(a4A, a5A);
            a6A = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t5g);
            a7A = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6g);
            s0l = _mm_add_ps(a6A, a7A);
            a8A = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t7g);
            a9A = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t8g);
            s1l = _mm_sub_ps(a8A, a9A);
            a0B = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t7g);
            a1B = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t8g);
            s2l = _mm_add_ps(a0B, a1B);
            t9g = _mm_add_ps(t1c, t1f);
            t0h = _mm_add_ps(t2c, t2f);
            t1h = _mm_sub_ps(t1c, t1f);
            t2h = _mm_sub_ps(t2c, t2f);
            t3h = _mm_add_ps(t7d, t3g);
            t4h = _mm_add_ps(t8d, t4g);
            t5h = _mm_sub_ps(t7d, t3g);
            t6h = _mm_sub_ps(t8d, t4g);
            a9l = (16 * i3);
            a2B = ((__m128  *) T);
            b3 = (a2B + i);
            b4 = (b3 + a9l);
            s3l = _mm_add_ps(t9g, t3h);
            a3B = (b4 + 16);
            *(a3B) = s3l;
            s4l = _mm_add_ps(t0h, t4h);
            a4B = (b4 + 24);
            *(a4B) = s4l;
            b5 = (b3 - a9l);
            s5l = _mm_sub_ps(t9g, t3h);
            a5B = (b5 + 2032);
            *(a5B) = s5l;
            s6l = _mm_sub_ps(t4h, t0h);
            a6B = (b5 + 2040);
            *(a6B) = s6l;
            s7l = _mm_add_ps(t1h, t6h);
            a7B = (b4 + 1040);
            *(a7B) = s7l;
            s8l = _mm_sub_ps(t2h, t5h);
            a8B = (b4 + 1048);
            *(a8B) = s8l;
            s9l = _mm_sub_ps(t1h, t6h);
            a9B = (b5 + 1008);
            *(a9B) = s9l;
            a0C = _mm_add_ps(t2h, t5h);
            s0m = _mm_sub_ps(_mm_set1_ps(0.0f), a0C);
            a1C = (b5 + 1016);
            *(a1C) = s0m;
            t7h = _mm_add_ps(t5c, s3k);
            t8h = _mm_sub_ps(t6c, s4k);
            t9h = _mm_sub_ps(t5c, s3k);
            t0i = _mm_add_ps(t6c, s4k);
            t1i = _mm_add_ps(s9j, s9k);
            t2i = _mm_add_ps(s0k, s0l);
            t3i = _mm_sub_ps(s9j, s9k);
            t4i = _mm_sub_ps(s0k, s0l);
            s1m = _mm_add_ps(t7h, t1i);
            a2C = (b4 + 272);
            *(a2C) = s1m;
            s2m = _mm_add_ps(t8h, t2i);
            a3C = (b4 + 280);
            *(a3C) = s2m;
            s3m = _mm_sub_ps(t7h, t1i);
            a4C = (b5 + 1776);
            *(a4C) = s3m;
            s4m = _mm_sub_ps(t2i, t8h);
            a5C = (b5 + 1784);
            *(a5C) = s4m;
            s5m = _mm_add_ps(t9h, t4i);
            a6C = (b4 + 1296);
            *(a6C) = s5m;
            s6m = _mm_sub_ps(t0i, t3i);
            a7C = (b4 + 1304);
            *(a7C) = s6m;
            s7m = _mm_sub_ps(t9h, t4i);
            a8C = (b5 + 752);
            *(a8C) = s7m;
            a9C = _mm_add_ps(t0i, t3i);
            s8m = _mm_sub_ps(_mm_set1_ps(0.0f), a9C);
            a0D = (b5 + 760);
            *(a0D) = s8m;
            t5i = _mm_add_ps(t3c, t4f);
            t6i = _mm_sub_ps(t4c, t3f);
            t7i = _mm_sub_ps(t3c, t4f);
            t8i = _mm_add_ps(t4c, t3f);
            t9i = _mm_add_ps(s7j, s7k);
            t0j = _mm_sub_ps(s8k, s8j);
            t1j = _mm_sub_ps(s7j, s7k);
            t2j = _mm_add_ps(s8j, s8k);
            s9m = _mm_add_ps(t5i, t9i);
            a1D = (b4 + 528);
            *(a1D) = s9m;
            s0n = _mm_add_ps(t6i, t0j);
            a2D = (b4 + 536);
            *(a2D) = s0n;
            s1n = _mm_sub_ps(t5i, t9i);
            a3D = (b5 + 1520);
            *(a3D) = s1n;
            s2n = _mm_sub_ps(t0j, t6i);
            a4D = (b5 + 1528);
            *(a4D) = s2n;
            s3n = _mm_sub_ps(t7i, t2j);
            a5D = (b4 + 1552);
            *(a5D) = s3n;
            s4n = _mm_sub_ps(t8i, t1j);
            a6D = (b4 + 1560);
            *(a6D) = s4n;
            s5n = _mm_add_ps(t7i, t2j);
            a7D = (b5 + 496);
            *(a7D) = s5n;
            a8D = _mm_add_ps(t8i, t1j);
            s6n = _mm_sub_ps(_mm_set1_ps(0.0f), a8D);
            a9D = (b5 + 504);
            *(a9D) = s6n;
            t3j = _mm_add_ps(t7c, s5k);
            t4j = _mm_add_ps(t8c, s6k);
            t5j = _mm_sub_ps(t7c, s5k);
            t6j = _mm_sub_ps(t8c, s6k);
            t7j = _mm_add_ps(s1k, s1l);
            t8j = _mm_add_ps(s2k, s2l);
            t9j = _mm_sub_ps(s1k, s1l);
            t0k = _mm_sub_ps(s2k, s2l);
            s7n = _mm_add_ps(t3j, t7j);
            a0E = (b4 + 784);
            *(a0E) = s7n;
            s8n = _mm_add_ps(t4j, t8j);
            a1E = (b4 + 792);
            *(a1E) = s8n;
            s9n = _mm_sub_ps(t3j, t7j);
            a2E = (b5 + 1264);
            *(a2E) = s9n;
            s0o = _mm_sub_ps(t8j, t4j);
            a3E = (b5 + 1272);
            *(a3E) = s0o;
            s1o = _mm_add_ps(t5j, t0k);
            a4E = (b4 + 1808);
            *(a4E) = s1o;
            s2o = _mm_sub_ps(t6j, t9j);
            a5E = (b4 + 1816);
            *(a5E) = s2o;
            s3o = _mm_sub_ps(t5j, t0k);
            a6E = (b5 + 240);
            *(a6E) = s3o;
            a7E = _mm_add_ps(t6j, t9j);
            s4o = _mm_sub_ps(_mm_set1_ps(0.0f), a7E);
            a8E = (b5 + 248);
            *(a8E) = s4o;
        }}
    }}
    a9E = ((__m128  *) T);
    s5o = *(a9E);
    a5T = (a9E + 8);
    s6o = *(a5T);
    t1k = _mm_add_ps(s5o, s6o);
    t2k = _mm_sub_ps(s5o, s6o);
    a6T = (a9E + 4);
    s7o = *(a6T);
    a7T = (a9E + 12);
    s8o = *(a7T);
    t3k = _mm_add_ps(s7o, s8o);
    t4k = _mm_sub_ps(s7o, s8o);
    a8T = (a9E + 1);
    s9o = *(a8T);
    a9T = (a9E + 9);
    s0p = *(a9T);
    t5k = _mm_add_ps(s9o, s0p);
    t6k = _mm_sub_ps(s9o, s0p);
    a0U = (a9E + 5);
    s1p = *(a0U);
    a1U = (a9E + 13);
    s2p = *(a1U);
    t7k = _mm_add_ps(s1p, s2p);
    t8k = _mm_sub_ps(s1p, s2p);
    a2U = (a9E + 2);
    s3p = *(a2U);
    a3U = (a9E + 10);
    s4p = *(a3U);
    t9k = _mm_add_ps(s3p, s4p);
    t0l = _mm_sub_ps(s3p, s4p);
    a4U = (a9E + 6);
    s5p = *(a4U);
    a5U = (a9E + 14);
    s6p = *(a5U);
    t1l = _mm_add_ps(s5p, s6p);
    t2l = _mm_sub_ps(s5p, s6p);
    a6U = (a9E + 3);
    s7p = *(a6U);
    a7U = (a9E + 11);
    s8p = *(a7U);
    t3l = _mm_add_ps(s7p, s8p);
    t4l = _mm_sub_ps(s7p, s8p);
    a8U = (a9E + 7);
    s9p = *(a8U);
    a9U = (a9E + 15);
    s0q = *(a9U);
    t5l = _mm_add_ps(s9p, s0q);
    t6l = _mm_sub_ps(s9p, s0q);
    s1q = _mm_shuffle_ps(t1k, t5k, _MM_SHUFFLE(2, 0, 2, 0));
    s2q = _mm_shuffle_ps(t1k, t5k, _MM_SHUFFLE(3, 1, 3, 1));
    s3q = _mm_shuffle_ps(t3k, t7k, _MM_SHUFFLE(2, 0, 2, 0));
    s4q = _mm_shuffle_ps(t3k, t7k, _MM_SHUFFLE(3, 1, 3, 1));
    t7l = _mm_add_ps(s1q, s3q);
    t8l = _mm_add_ps(s2q, s4q);
    t9l = _mm_sub_ps(s1q, s3q);
    t0m = _mm_sub_ps(s2q, s4q);
    s5q = _mm_shuffle_ps(t9k, t3l, _MM_SHUFFLE(2, 0, 2, 0));
    s6q = _mm_shuffle_ps(t9k, t3l, _MM_SHUFFLE(3, 1, 3, 1));
    s7q = _mm_shuffle_ps(t1l, t5l, _MM_SHUFFLE(2, 0, 2, 0));
    s8q = _mm_shuffle_ps(t1l, t5l, _MM_SHUFFLE(3, 1, 3, 1));
    t1m = _mm_add_ps(s5q, s7q);
    t2m = _mm_add_ps(s6q, s8q);
    t3m = _mm_sub_ps(s5q, s7q);
    t4m = _mm_sub_ps(s6q, s8q);
    t5m = _mm_add_ps(t7l, t1m);
    t6m = _mm_add_ps(t8l, t2m);
    t7m = _mm_sub_ps(t7l, t1m);
    t8m = _mm_sub_ps(t8l, t2m);
    t9m = _mm_add_ps(t9l, t4m);
    t0n = _mm_sub_ps(t0m, t3m);
    t1n = _mm_sub_ps(t9l, t4m);
    t2n = _mm_add_ps(t0m, t3m);
    s9q = _mm_unpacklo_ps(t5m, t9m);
    s0r = _mm_unpackhi_ps(t5m, t9m);
    s1r = _mm_unpacklo_ps(t6m, t0n);
    s2r = _mm_unpackhi_ps(t6m, t0n);
    s3r = _mm_unpacklo_ps(t7m, t1n);
    s4r = _mm_unpackhi_ps(t7m, t1n);
    s5r = _mm_unpacklo_ps(t8m, t2n);
    s6r = _mm_unpackhi_ps(t8m, t2n);
    s7r = _mm_shuffle_ps(s9q, s3r, _MM_SHUFFLE(1, 0, 1, 0));
    s8r = _mm_shuffle_ps(s9q, s3r, _MM_SHUFFLE(3, 2, 3, 2));
    s9r = _mm_shuffle_ps(s0r, s4r, _MM_SHUFFLE(1, 0, 1, 0));
    s0s = _mm_shuffle_ps(s0r, s4r, _MM_SHUFFLE(3, 2, 3, 2));
    s1s = _mm_shuffle_ps(s1r, s5r, _MM_SHUFFLE(1, 0, 1, 0));
    s2s = _mm_shuffle_ps(s1r, s5r, _MM_SHUFFLE(3, 2, 3, 2));
    s3s = _mm_shuffle_ps(s2r, s6r, _MM_SHUFFLE(1, 0, 1, 0));
    s4s = _mm_shuffle_ps(s2r, s6r, _MM_SHUFFLE(3, 2, 3, 2));
    a0F = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9r);
    a1F = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3s);
    s5s = _mm_sub_ps(a0F, a1F);
    a2F = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s9r);
    a3F = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3s);
    s6s = _mm_add_ps(a2F, a3F);
    t3n = _mm_add_ps(s7r, s5s);
    t4n = _mm_add_ps(s1s, s6s);
    t5n = _mm_sub_ps(s7r, s5s);
    t6n = _mm_sub_ps(s1s, s6s);
    a4F = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s8r);
    a5F = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s2s);
    s7s = _mm_sub_ps(a4F, a5F);
    a6F = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s8r);
    a7F = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s2s);
    s8s = _mm_add_ps(a6F, a7F);
    a8F = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s0s);
    a9F = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s4s);
    s9s = _mm_sub_ps(a8F, a9F);
    a0G = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s0s);
    a1G = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s4s);
    s0t = _mm_add_ps(a0G, a1G);
    t7n = _mm_add_ps(s7s, s9s);
    t8n = _mm_add_ps(s8s, s0t);
    t9n = _mm_sub_ps(s7s, s9s);
    t0o = _mm_sub_ps(s8s, s0t);
    t1o = _mm_add_ps(t3n, t7n);
    t2o = _mm_add_ps(t4n, t8n);
    t3o = _mm_sub_ps(t3n, t7n);
    t4o = _mm_sub_ps(t4n, t8n);
    t5o = _mm_add_ps(t5n, t0o);
    t6o = _mm_sub_ps(t6n, t9n);
    t7o = _mm_sub_ps(t5n, t0o);
    t8o = _mm_add_ps(t6n, t9n);
    a2G = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t1o);
    a3G = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t2o);
    s1t = _mm_sub_ps(a2G, a3G);
    a4G = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), 0.0f), t1o);
    a5G = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), t2o);
    s2t = _mm_add_ps(a4G, a5G);
    a6G = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t5o);
    a7G = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t6o);
    s3t = _mm_sub_ps(a6G, a7G);
    a8G = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t5o);
    a9G = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), t6o);
    s4t = _mm_add_ps(a8G, a9G);
    a0H = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t3o);
    a1H = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t4o);
    s5t = _mm_sub_ps(a0H, a1H);
    a2H = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), t3o);
    a3H = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), t4o);
    s6t = _mm_add_ps(a2H, a3H);
    a4H = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t7o);
    a5H = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t8o);
    s7t = _mm_sub_ps(a4H, a5H);
    a6H = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.83146961230254524f, 0.70710678118654757f), t7o);
    a7H = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), t8o);
    s8t = _mm_add_ps(a6H, a7H);
    a0I = _mm_shuffle_ps(_mm_set1_ps(0.0f), t7o, _MM_SHUFFLE(3, 2, 1, 0));
    a9H = _mm_shuffle_ps(a0I, t7o, _MM_SHUFFLE(1, 2, 3, 0));
    a3I = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s1t);
    a4I = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s2t);
    a2I = _mm_add_ps(a3I, a4I);
    a6I = _mm_shuffle_ps(_mm_set1_ps(0.0f), s7t, _MM_SHUFFLE(3, 2, 1, 0));
    a5I = _mm_shuffle_ps(a6I, s7t, _MM_SHUFFLE(1, 2, 3, 0));
    a1I = _mm_sub_ps(a2I, a5I);
    b6 = _mm_add_ps(t1o, a9H);
    a8H = _mm_add_ps(b6, a1I);
    s9t = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a8H);
    a9I = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), t2o);
    a1J = _mm_shuffle_ps(_mm_set1_ps(0.0f), t8o, _MM_SHUFFLE(3, 2, 1, 0));
    a0J = _mm_shuffle_ps(a1J, t8o, _MM_SHUFFLE(1, 2, 3, 0));
    a8I = _mm_sub_ps(a9I, a0J);
    a2J = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s1t);
    a3J = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s2t);
    a5J = _mm_shuffle_ps(_mm_set1_ps(0.0f), s8t, _MM_SHUFFLE(3, 2, 1, 0));
    a4J = _mm_shuffle_ps(a5J, s8t, _MM_SHUFFLE(1, 2, 3, 0));
    b7 = _mm_add_ps(a8I, a2J);
    b8 = _mm_add_ps(b7, a3J);
    a7I = _mm_add_ps(b8, a4J);
    s0u = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a7I);
    a8J = _mm_shuffle_ps(t7o, t3o, _MM_SHUFFLE(3, 2, 1, 0));
    a7J = _mm_shuffle_ps(a8J, t3o, _MM_SHUFFLE(1, 2, 3, 0));
    a1K = _mm_shuffle_ps(s7t, s5t, _MM_SHUFFLE(3, 2, 1, 0));
    a0K = _mm_shuffle_ps(a1K, s5t, _MM_SHUFFLE(1, 2, 3, 0));
    a9J = _mm_sub_ps(s3t, a0K);
    b9 = _mm_add_ps(t5o, a7J);
    a6J = _mm_add_ps(b9, a9J);
    s1u = _mm_mul_ps(_mm_set1_ps(0.5f), a6J);
    a5K = _mm_shuffle_ps(t8o, t4o, _MM_SHUFFLE(3, 2, 1, 0));
    a4K = _mm_shuffle_ps(a5K, t4o, _MM_SHUFFLE(1, 2, 3, 0));
    a3K = _mm_sub_ps(t6o, a4K);
    a7K = _mm_shuffle_ps(s8t, s6t, _MM_SHUFFLE(3, 2, 1, 0));
    a6K = _mm_shuffle_ps(a7K, s6t, _MM_SHUFFLE(1, 2, 3, 0));
    b01 = _mm_add_ps(a3K, s4t);
    a2K = _mm_add_ps(b01, a6K);
    s2u = _mm_mul_ps(_mm_set1_ps(0.5f), a2K);
    a0L = _mm_shuffle_ps(t3o, t5o, _MM_SHUFFLE(3, 2, 1, 0));
    a9K = _mm_shuffle_ps(a0L, t5o, _MM_SHUFFLE(1, 2, 3, 0));
    a3L = _mm_shuffle_ps(s5t, s3t, _MM_SHUFFLE(3, 2, 1, 0));
    a2L = _mm_shuffle_ps(a3L, s3t, _MM_SHUFFLE(1, 2, 3, 0));
    a1L = _mm_sub_ps(s5t, a2L);
    b11 = _mm_add_ps(t3o, a9K);
    a8K = _mm_add_ps(b11, a1L);
    s3u = _mm_mul_ps(_mm_set1_ps(0.5f), a8K);
    a7L = _mm_shuffle_ps(t4o, t6o, _MM_SHUFFLE(3, 2, 1, 0));
    a6L = _mm_shuffle_ps(a7L, t6o, _MM_SHUFFLE(1, 2, 3, 0));
    a5L = _mm_sub_ps(t4o, a6L);
    a9L = _mm_shuffle_ps(s6t, s4t, _MM_SHUFFLE(3, 2, 1, 0));
    a8L = _mm_shuffle_ps(a9L, s4t, _MM_SHUFFLE(1, 2, 3, 0));
    b21 = _mm_add_ps(a5L, s6t);
    a4L = _mm_add_ps(b21, a8L);
    s4u = _mm_mul_ps(_mm_set1_ps(0.5f), a4L);
    a2M = _mm_shuffle_ps(t5o, t1o, _MM_SHUFFLE(3, 2, 1, 0));
    a1M = _mm_shuffle_ps(a2M, t1o, _MM_SHUFFLE(1, 2, 3, 0));
    a5M = _mm_shuffle_ps(s3t, s1t, _MM_SHUFFLE(3, 2, 1, 0));
    a4M = _mm_shuffle_ps(a5M, s1t, _MM_SHUFFLE(1, 2, 3, 0));
    a3M = _mm_sub_ps(s7t, a4M);
    b31 = _mm_add_ps(t7o, a1M);
    a0M = _mm_add_ps(b31, a3M);
    s5u = _mm_mul_ps(_mm_set1_ps(0.5f), a0M);
    a9M = _mm_shuffle_ps(t6o, t2o, _MM_SHUFFLE(3, 2, 1, 0));
    a8M = _mm_shuffle_ps(a9M, t2o, _MM_SHUFFLE(1, 2, 3, 0));
    a7M = _mm_sub_ps(t8o, a8M);
    a1N = _mm_shuffle_ps(s4t, s2t, _MM_SHUFFLE(3, 2, 1, 0));
    a0N = _mm_shuffle_ps(a1N, s2t, _MM_SHUFFLE(1, 2, 3, 0));
    b41 = _mm_add_ps(a7M, s8t);
    a6M = _mm_add_ps(b41, a0N);
    s6u = _mm_mul_ps(_mm_set1_ps(0.5f), a6M);
    s7u = _mm_unpacklo_ps(s9t, s0u);
    s8u = _mm_unpackhi_ps(s9t, s0u);
    _mm_storel_pi(((__m64  *) dst), s7u);
    a2N = (dst + 512);
    _mm_storeh_pi(((__m64  *) a2N), s7u);
    a3N = (dst + 1024);
    _mm_storel_pi(((__m64  *) a3N), s8u);
    a4N = (dst + 1536);
    _mm_storeh_pi(((__m64  *) a4N), s8u);
    s9u = _mm_unpacklo_ps(s1u, s2u);
    s0v = _mm_unpackhi_ps(s1u, s2u);
    a5N = (dst + 2048);
    _mm_storel_pi(((__m64  *) a5N), s9u);
    a6N = (dst + 2560);
    _mm_storeh_pi(((__m64  *) a6N), s9u);
    a7N = (dst + 3072);
    _mm_storel_pi(((__m64  *) a7N), s0v);
    a8N = (dst + 3584);
    _mm_storeh_pi(((__m64  *) a8N), s0v);
    s1v = _mm_unpacklo_ps(s3u, s4u);
    s2v = _mm_unpackhi_ps(s3u, s4u);
    a9N = (dst + 4096);
    _mm_storel_pi(((__m64  *) a9N), s1v);
    a0O = (dst + 4608);
    _mm_storeh_pi(((__m64  *) a0O), s1v);
    a1O = (dst + 5120);
    _mm_storel_pi(((__m64  *) a1O), s2v);
    a2O = (dst + 5632);
    _mm_storeh_pi(((__m64  *) a2O), s2v);
    s3v = _mm_unpacklo_ps(s5u, s6u);
    s4v = _mm_unpackhi_ps(s5u, s6u);
    a3O = (dst + 6144);
    _mm_storel_pi(((__m64  *) a3O), s3v);
    a4O = (dst + 6656);
    _mm_storeh_pi(((__m64  *) a4O), s3v);
    a5O = (dst + 7168);
    _mm_storel_pi(((__m64  *) a5O), s4v);
    a6O = (dst + 7680);
    _mm_storeh_pi(((__m64  *) a6O), s4v);
    a7O = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t2k);
    a8O = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t4k);
    s5v = _mm_add_ps(a7O, a8O);
    a9O = _mm_mul_ps(_mm_set_ps((-0.29028467725446239f), (-0.19509032201612828f), (-0.098017140329560604f), 0.0f), t2k);
    a0P = _mm_mul_ps(_mm_set_ps(0.95694033573220882f, 0.98078528040323043f, 0.99518472667219693f, 1.0f), t4k);
    s6v = _mm_sub_ps(a9O, a0P);
    a1P = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t0l);
    a2P = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t2l);
    s7v = _mm_add_ps(a1P, a2P);
    a3P = _mm_mul_ps(_mm_set_ps((-0.88192126434835505f), (-0.83146961230254524f), (-0.77301045336273699f), (-0.70710678118654757f)), t0l);
    a4P = _mm_mul_ps(_mm_set_ps(0.47139673682599764f, 0.55557023301960218f, 0.63439328416364549f, 0.70710678118654757f), t2l);
    s8v = _mm_sub_ps(a3P, a4P);
    t9o = _mm_add_ps(s5v, s7v);
    t0p = _mm_add_ps(s6v, s8v);
    t1p = _mm_sub_ps(s5v, s7v);
    t2p = _mm_sub_ps(s6v, s8v);
    a5P = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t6k);
    a6P = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t8k);
    s9v = _mm_add_ps(a5P, a6P);
    a7P = _mm_mul_ps(_mm_set_ps((-0.63439328416364549f), (-0.55557023301960218f), (-0.47139673682599764f), (-0.38268343236508978f)), t6k);
    a8P = _mm_mul_ps(_mm_set_ps(0.77301045336273699f, 0.83146961230254524f, 0.88192126434835505f, 0.92387953251128674f), t8k);
    s0w = _mm_sub_ps(a7P, a8P);
    a9P = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t4l);
    a0Q = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t6l);
    s1w = _mm_add_ps(a9P, a0Q);
    a1Q = _mm_mul_ps(_mm_set_ps((-0.99518472667219693f), (-0.98078528040323043f), (-0.95694033573220882f), (-0.92387953251128674f)), t4l);
    a2Q = _mm_mul_ps(_mm_set_ps(0.098017140329560604f, 0.19509032201612828f, 0.29028467725446239f, 0.38268343236508978f), t6l);
    s2w = _mm_sub_ps(a1Q, a2Q);
    t3p = _mm_add_ps(s9v, s1w);
    t4p = _mm_add_ps(s0w, s2w);
    t5p = _mm_sub_ps(s9v, s1w);
    t6p = _mm_sub_ps(s0w, s2w);
    t7p = _mm_add_ps(t9o, t3p);
    t8p = _mm_add_ps(t0p, t4p);
    t9p = _mm_sub_ps(t9o, t3p);
    t0q = _mm_sub_ps(t0p, t4p);
    t1q = _mm_add_ps(t1p, t6p);
    t2q = _mm_sub_ps(t2p, t5p);
    t3q = _mm_sub_ps(t1p, t6p);
    t4q = _mm_add_ps(t2p, t5p);
    s3w = _mm_unpacklo_ps(t7p, t1q);
    s4w = _mm_unpackhi_ps(t7p, t1q);
    s5w = _mm_unpacklo_ps(t8p, t2q);
    s6w = _mm_unpackhi_ps(t8p, t2q);
    s7w = _mm_unpacklo_ps(t9p, t3q);
    s8w = _mm_unpackhi_ps(t9p, t3q);
    s9w = _mm_unpacklo_ps(t0q, t4q);
    s0x = _mm_unpackhi_ps(t0q, t4q);
    s1x = _mm_shuffle_ps(s3w, s7w, _MM_SHUFFLE(1, 0, 1, 0));
    s2x = _mm_shuffle_ps(s3w, s7w, _MM_SHUFFLE(3, 2, 3, 2));
    s3x = _mm_shuffle_ps(s4w, s8w, _MM_SHUFFLE(1, 0, 1, 0));
    s4x = _mm_shuffle_ps(s4w, s8w, _MM_SHUFFLE(3, 2, 3, 2));
    s5x = _mm_shuffle_ps(s5w, s9w, _MM_SHUFFLE(1, 0, 1, 0));
    s6x = _mm_shuffle_ps(s5w, s9w, _MM_SHUFFLE(3, 2, 3, 2));
    s7x = _mm_shuffle_ps(s6w, s0x, _MM_SHUFFLE(1, 0, 1, 0));
    s8x = _mm_shuffle_ps(s6w, s0x, _MM_SHUFFLE(3, 2, 3, 2));
    a3Q = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3x);
    a4Q = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s7x);
    s9x = _mm_sub_ps(a3Q, a4Q);
    a5Q = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3x);
    a6Q = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7x);
    s0y = _mm_add_ps(a5Q, a6Q);
    t5q = _mm_add_ps(s1x, s9x);
    t6q = _mm_add_ps(s5x, s0y);
    t7q = _mm_sub_ps(s1x, s9x);
    t8q = _mm_sub_ps(s5x, s0y);
    a7Q = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s2x);
    a8Q = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s6x);
    s1y = _mm_sub_ps(a7Q, a8Q);
    a9Q = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s2x);
    a0R = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6x);
    s2y = _mm_add_ps(a9Q, a0R);
    a1R = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s4x);
    a2R = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s8x);
    s3y = _mm_sub_ps(a1R, a2R);
    a3R = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s4x);
    a4R = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8x);
    s4y = _mm_add_ps(a3R, a4R);
    t9q = _mm_add_ps(s1y, s3y);
    t0r = _mm_add_ps(s2y, s4y);
    t1r = _mm_sub_ps(s1y, s3y);
    t2r = _mm_sub_ps(s2y, s4y);
    t3r = _mm_add_ps(t5q, t9q);
    t4r = _mm_add_ps(t6q, t0r);
    t5r = _mm_sub_ps(t5q, t9q);
    t6r = _mm_sub_ps(t6q, t0r);
    s5y = _mm_unpacklo_ps(t3r, t4r);
    s6y = _mm_unpackhi_ps(t3r, t4r);
    a5R = (dst + 256);
    _mm_storel_pi(((__m64  *) a5R), s5y);
    a6R = (dst + 1280);
    _mm_storeh_pi(((__m64  *) a6R), s5y);
    a7R = (dst + 2304);
    _mm_storel_pi(((__m64  *) a7R), s6y);
    a8R = (dst + 3328);
    _mm_storeh_pi(((__m64  *) a8R), s6y);
    a9R = _mm_unpacklo_ps(t5r, t6r);
    s7y = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9R);
    a0S = _mm_unpackhi_ps(t5r, t6r);
    s8y = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a0S);
    a1S = (dst + 7936);
    _mm_storel_pi(((__m64  *) a1S), s7y);
    a2S = (dst + 6912);
    _mm_storeh_pi(((__m64  *) a2S), s7y);
    a3S = (dst + 5888);
    _mm_storel_pi(((__m64  *) a3S), s8y);
    a4S = (dst + 4864);
    _mm_storeh_pi(((__m64  *) a4S), s8y);
    t7r = _mm_add_ps(t7q, t2r);
    t8r = _mm_sub_ps(t8q, t1r);
    t9r = _mm_sub_ps(t7q, t2r);
    t0s = _mm_add_ps(t8q, t1r);
    s9y = _mm_unpacklo_ps(t7r, t8r);
    s0z = _mm_unpackhi_ps(t7r, t8r);
    a5S = (dst + 4352);
    _mm_storel_pi(((__m64  *) a5S), s9y);
    a6S = (dst + 5376);
    _mm_storeh_pi(((__m64  *) a6S), s9y);
    a7S = (dst + 6400);
    _mm_storel_pi(((__m64  *) a7S), s0z);
    a8S = (dst + 7424);
    _mm_storeh_pi(((__m64  *) a8S), s0z);
    a9S = _mm_unpacklo_ps(t9r, t0s);
    s1z = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9S);
    a0T = _mm_unpackhi_ps(t9r, t0s);
    s2z = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a0T);
    a1T = (dst + 3840);
    _mm_storel_pi(((__m64  *) a1T), s1z);
    a2T = (dst + 2816);
    _mm_storeh_pi(((__m64  *) a2T), s1z);
    a3T = (dst + 1792);
    _mm_storel_pi(((__m64  *) a3T), s2z);
    a4T = (dst + 768);
    _mm_storeh_pi(((__m64  *) a4T), s2z);
    {long i4; for(i4 = 0; i4 <= 126; i4++) {
        a0V = (16 * i4);
        a3X = ((__m128  *) T);
        b51 = (a3X + a0V);
        a4X = (b51 + 16);
        s3z = *(a4X);
        a5X = (b51 + 24);
        s4z = *(a5X);
        a6X = (b51 + 20);
        s5z = *(a6X);
        a7X = (b51 + 28);
        s6z = *(a7X);
        a1V = (D17 + a0V);
        a2V = *(a1V);
        a8X = (a1V + 1);
        a3V = *(a8X);
        a9X = _mm_mul_ps(a2V, s3z);
        a0Y = _mm_mul_ps(a3V, s4z);
        s7z = _mm_sub_ps(a9X, a0Y);
        a1Y = _mm_mul_ps(a3V, s3z);
        a2Y = _mm_mul_ps(a2V, s4z);
        s8z = _mm_add_ps(a1Y, a2Y);
        a3Y = (a1V + 2);
        a4V = *(a3Y);
        a4Y = (a1V + 3);
        a5V = *(a4Y);
        a5Y = _mm_mul_ps(a4V, s5z);
        a6Y = _mm_mul_ps(a5V, s6z);
        s9z = _mm_sub_ps(a5Y, a6Y);
        a7Y = _mm_mul_ps(a5V, s5z);
        a8Y = _mm_mul_ps(a4V, s6z);
        s0A = _mm_add_ps(a7Y, a8Y);
        t1s = _mm_add_ps(s7z, s9z);
        t2s = _mm_add_ps(s8z, s0A);
        t3s = _mm_sub_ps(s7z, s9z);
        t4s = _mm_sub_ps(s8z, s0A);
        a9Y = (b51 + 18);
        s1A = *(a9Y);
        a0Z = (b51 + 26);
        s2A = *(a0Z);
        a1Z = (b51 + 22);
        s3A = *(a1Z);
        a2Z = (b51 + 30);
        s4A = *(a2Z);
        a3Z = (a1V + 4);
        a6V = *(a3Z);
        a4Z = (a1V + 5);
        a7V = *(a4Z);
        a5Z = _mm_mul_ps(a6V, s1A);
        a6Z = _mm_mul_ps(a7V, s2A);
        s5A = _mm_sub_ps(a5Z, a6Z);
        a7Z = _mm_mul_ps(a7V, s1A);
        a8Z = _mm_mul_ps(a6V, s2A);
        s6A = _mm_add_ps(a7Z, a8Z);
        a9Z = (a1V + 6);
        a8V = *(a9Z);
        a010 = (a1V + 7);
        a9V = *(a010);
        a110 = _mm_mul_ps(a8V, s3A);
        a210 = _mm_mul_ps(a9V, s4A);
        s7A = _mm_sub_ps(a110, a210);
        a310 = _mm_mul_ps(a9V, s3A);
        a410 = _mm_mul_ps(a8V, s4A);
        s8A = _mm_add_ps(a310, a410);
        t5s = _mm_add_ps(s5A, s7A);
        t6s = _mm_add_ps(s6A, s8A);
        t7s = _mm_sub_ps(s5A, s7A);
        t8s = _mm_sub_ps(s6A, s8A);
        t9s = _mm_add_ps(t1s, t5s);
        t0t = _mm_add_ps(t2s, t6s);
        t1t = _mm_sub_ps(t1s, t5s);
        t2t = _mm_sub_ps(t2s, t6s);
        t3t = _mm_add_ps(t3s, t8s);
        t4t = _mm_sub_ps(t4s, t7s);
        t5t = _mm_sub_ps(t3s, t8s);
        t6t = _mm_add_ps(t4s, t7s);
        s9A = _mm_unpacklo_ps(t9s, t3t);
        s0B = _mm_unpackhi_ps(t9s, t3t);
        s1B = _mm_unpacklo_ps(t0t, t4t);
        s2B = _mm_unpackhi_ps(t0t, t4t);
        s3B = _mm_unpacklo_ps(t1t, t5t);
        s4B = _mm_unpackhi_ps(t1t, t5t);
        s5B = _mm_unpacklo_ps(t2t, t6t);
        s6B = _mm_unpackhi_ps(t2t, t6t);
        s7B = _mm_shuffle_ps(s9A, s3B, _MM_SHUFFLE(1, 0, 1, 0));
        s8B = _mm_shuffle_ps(s9A, s3B, _MM_SHUFFLE(3, 2, 3, 2));
        s9B = _mm_shuffle_ps(s0B, s4B, _MM_SHUFFLE(1, 0, 1, 0));
        s0C = _mm_shuffle_ps(s0B, s4B, _MM_SHUFFLE(3, 2, 3, 2));
        s1C = _mm_shuffle_ps(s1B, s5B, _MM_SHUFFLE(1, 0, 1, 0));
        s2C = _mm_shuffle_ps(s1B, s5B, _MM_SHUFFLE(3, 2, 3, 2));
        s3C = _mm_shuffle_ps(s2B, s6B, _MM_SHUFFLE(1, 0, 1, 0));
        s4C = _mm_shuffle_ps(s2B, s6B, _MM_SHUFFLE(3, 2, 3, 2));
        a510 = (b51 + 17);
        s5C = *(a510);
        a610 = (b51 + 25);
        s6C = *(a610);
        a710 = (b51 + 21);
        s7C = *(a710);
        a810 = (b51 + 29);
        s8C = *(a810);
        a910 = (a1V + 8);
        a0W = *(a910);
        a011 = (a1V + 9);
        a1W = *(a011);
        a111 = _mm_mul_ps(a0W, s5C);
        a211 = _mm_mul_ps(a1W, s6C);
        s9C = _mm_sub_ps(a111, a211);
        a311 = _mm_mul_ps(a1W, s5C);
        a411 = _mm_mul_ps(a0W, s6C);
        s0D = _mm_add_ps(a311, a411);
        a511 = (a1V + 10);
        a2W = *(a511);
        a611 = (a1V + 11);
        a3W = *(a611);
        a711 = _mm_mul_ps(a2W, s7C);
        a811 = _mm_mul_ps(a3W, s8C);
        s1D = _mm_sub_ps(a711, a811);
        a911 = _mm_mul_ps(a3W, s7C);
        a012 = _mm_mul_ps(a2W, s8C);
        s2D = _mm_add_ps(a911, a012);
        t7t = _mm_add_ps(s9C, s1D);
        t8t = _mm_add_ps(s0D, s2D);
        t9t = _mm_sub_ps(s9C, s1D);
        t0u = _mm_sub_ps(s0D, s2D);
        a112 = (b51 + 19);
        s3D = *(a112);
        a212 = (b51 + 27);
        s4D = *(a212);
        a312 = (b51 + 23);
        s5D = *(a312);
        a412 = (b51 + 31);
        s6D = *(a412);
        a512 = (a1V + 12);
        a4W = *(a512);
        a612 = (a1V + 13);
        a5W = *(a612);
        a712 = _mm_mul_ps(a4W, s3D);
        a812 = _mm_mul_ps(a5W, s4D);
        s7D = _mm_sub_ps(a712, a812);
        a912 = _mm_mul_ps(a5W, s3D);
        a013 = _mm_mul_ps(a4W, s4D);
        s8D = _mm_add_ps(a912, a013);
        a113 = (a1V + 14);
        a6W = *(a113);
        a213 = (a1V + 15);
        a7W = *(a213);
        a313 = _mm_mul_ps(a6W, s5D);
        a413 = _mm_mul_ps(a7W, s6D);
        s9D = _mm_sub_ps(a313, a413);
        a513 = _mm_mul_ps(a7W, s5D);
        a613 = _mm_mul_ps(a6W, s6D);
        s0E = _mm_add_ps(a513, a613);
        t1u = _mm_add_ps(s7D, s9D);
        t2u = _mm_add_ps(s8D, s0E);
        t3u = _mm_sub_ps(s7D, s9D);
        t4u = _mm_sub_ps(s8D, s0E);
        t5u = _mm_add_ps(t7t, t1u);
        t6u = _mm_add_ps(t8t, t2u);
        t7u = _mm_sub_ps(t7t, t1u);
        t8u = _mm_sub_ps(t8t, t2u);
        t9u = _mm_add_ps(t9t, t4u);
        t0v = _mm_sub_ps(t0u, t3u);
        t1v = _mm_sub_ps(t9t, t4u);
        t2v = _mm_add_ps(t0u, t3u);
        s1E = _mm_unpacklo_ps(t5u, t9u);
        s2E = _mm_unpackhi_ps(t5u, t9u);
        s3E = _mm_unpacklo_ps(t6u, t0v);
        s4E = _mm_unpackhi_ps(t6u, t0v);
        s5E = _mm_unpacklo_ps(t7u, t1v);
        s6E = _mm_unpackhi_ps(t7u, t1v);
        s7E = _mm_unpacklo_ps(t8u, t2v);
        s8E = _mm_unpackhi_ps(t8u, t2v);
        s9E = _mm_shuffle_ps(s1E, s5E, _MM_SHUFFLE(1, 0, 1, 0));
        s0F = _mm_shuffle_ps(s1E, s5E, _MM_SHUFFLE(3, 2, 3, 2));
        s1F = _mm_shuffle_ps(s2E, s6E, _MM_SHUFFLE(1, 0, 1, 0));
        s2F = _mm_shuffle_ps(s2E, s6E, _MM_SHUFFLE(3, 2, 3, 2));
        s3F = _mm_shuffle_ps(s3E, s7E, _MM_SHUFFLE(1, 0, 1, 0));
        s4F = _mm_shuffle_ps(s3E, s7E, _MM_SHUFFLE(3, 2, 3, 2));
        s5F = _mm_shuffle_ps(s4E, s8E, _MM_SHUFFLE(1, 0, 1, 0));
        s6F = _mm_shuffle_ps(s4E, s8E, _MM_SHUFFLE(3, 2, 3, 2));
        a713 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9E);
        a813 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s3F);
        s7F = _mm_sub_ps(a713, a813);
        a913 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), (-1.0f), (-0.70710678118654757f), 0.0f), s9E);
        a014 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3F);
        s8F = _mm_add_ps(a913, a014);
        t3v = _mm_add_ps(s7B, s7F);
        t4v = _mm_add_ps(s1C, s8F);
        t5v = _mm_sub_ps(s7B, s7F);
        t6v = _mm_sub_ps(s1C, s8F);
        a114 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s9B);
        a214 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s3C);
        s9F = _mm_sub_ps(a114, a214);
        a314 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), (-0.38268343236508978f), 0.0f), s9B);
        a414 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s3C);
        s0G = _mm_add_ps(a314, a414);
        a514 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1F);
        a614 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s5F);
        s1G = _mm_sub_ps(a514, a614);
        a714 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, (-0.70710678118654757f), (-0.92387953251128674f), 0.0f), s1F);
        a814 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5F);
        s2G = _mm_add_ps(a714, a814);
        t7v = _mm_add_ps(s9F, s1G);
        t8v = _mm_add_ps(s0G, s2G);
        t9v = _mm_sub_ps(s9F, s1G);
        t0w = _mm_sub_ps(s0G, s2G);
        t1w = _mm_add_ps(t3v, t7v);
        t2w = _mm_add_ps(t4v, t8v);
        t3w = _mm_sub_ps(t3v, t7v);
        t4w = _mm_sub_ps(t4v, t8v);
        t5w = _mm_add_ps(t5v, t0w);
        t6w = _mm_sub_ps(t6v, t9v);
        t7w = _mm_sub_ps(t5v, t0w);
        t8w = _mm_add_ps(t6v, t9v);
        a914 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s8B);
        a015 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s2C);
        s3G = _mm_sub_ps(a914, a015);
        a115 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s8B);
        a215 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s2C);
        s4G = _mm_add_ps(a115, a215);
        a315 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0F);
        a415 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s4F);
        s5G = _mm_sub_ps(a315, a415);
        a515 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.92387953251128674f), (-0.83146961230254524f), 0.0f), s0F);
        a615 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4F);
        s6G = _mm_add_ps(a515, a615);
        t9w = _mm_add_ps(s3G, s5G);
        t0x = _mm_add_ps(s4G, s6G);
        t1x = _mm_sub_ps(s3G, s5G);
        t2x = _mm_sub_ps(s4G, s6G);
        a715 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s0C);
        a815 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s4C);
        s7G = _mm_sub_ps(a715, a815);
        a915 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.55557023301960218f), 0.0f), s0C);
        a016 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s4C);
        s8G = _mm_add_ps(a915, a016);
        a116 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2F);
        a216 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s6F);
        s9G = _mm_sub_ps(a116, a216);
        a316 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, (-0.38268343236508978f), (-0.98078528040323043f), 0.0f), s2F);
        a416 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6F);
        s0H = _mm_add_ps(a316, a416);
        t3x = _mm_add_ps(s7G, s9G);
        t4x = _mm_add_ps(s8G, s0H);
        t5x = _mm_sub_ps(s7G, s9G);
        t6x = _mm_sub_ps(s8G, s0H);
        t7x = _mm_add_ps(t9w, t3x);
        t8x = _mm_add_ps(t0x, t4x);
        t9x = _mm_sub_ps(t9w, t3x);
        t0y = _mm_sub_ps(t0x, t4x);
        a516 = _mm_add_ps(t1x, t6x);
        a8W = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a516);
        a616 = _mm_sub_ps(t2x, t5x);
        a9W = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a616);
        s1H = _mm_sub_ps(a8W, a9W);
        s2H = _mm_add_ps(a8W, a9W);
        a716 = _mm_sub_ps(t1x, t6x);
        a0X = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a716);
        a816 = _mm_add_ps(t2x, t5x);
        a1X = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a816);
        s3H = _mm_sub_ps(a0X, a1X);
        s4H = _mm_add_ps(a0X, a1X);
        t1y = _mm_add_ps(t1w, t7x);
        t2y = _mm_add_ps(t2w, t8x);
        t3y = _mm_sub_ps(t1w, t7x);
        t4y = _mm_sub_ps(t2w, t8x);
        s5H = _mm_unpacklo_ps(t1y, t2y);
        s6H = _mm_unpackhi_ps(t1y, t2y);
        a2X = (2 * i4);
        b61 = (dst + a2X);
        a916 = (b61 + 2);
        _mm_storel_pi(((__m64  *) a916), s5H);
        a017 = (b61 + 514);
        _mm_storeh_pi(((__m64  *) a017), s5H);
        a117 = (b61 + 1026);
        _mm_storel_pi(((__m64  *) a117), s6H);
        a217 = (b61 + 1538);
        _mm_storeh_pi(((__m64  *) a217), s6H);
        a317 = _mm_unpacklo_ps(t3y, t4y);
        s7H = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a317);
        a417 = _mm_unpackhi_ps(t3y, t4y);
        s8H = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a417);
        b71 = (dst - a2X);
        a517 = (b71 + 8190);
        _mm_storel_pi(((__m64  *) a517), s7H);
        a617 = (b71 + 7678);
        _mm_storeh_pi(((__m64  *) a617), s7H);
        a717 = (b71 + 7166);
        _mm_storel_pi(((__m64  *) a717), s8H);
        a817 = (b71 + 6654);
        _mm_storeh_pi(((__m64  *) a817), s8H);
        t5y = _mm_add_ps(t5w, s1H);
        t6y = _mm_sub_ps(t6w, s2H);
        t7y = _mm_sub_ps(t5w, s1H);
        t8y = _mm_add_ps(t6w, s2H);
        s9H = _mm_unpacklo_ps(t5y, t6y);
        s0I = _mm_unpackhi_ps(t5y, t6y);
        a917 = (b61 + 2050);
        _mm_storel_pi(((__m64  *) a917), s9H);
        a018 = (b61 + 2562);
        _mm_storeh_pi(((__m64  *) a018), s9H);
        a118 = (b61 + 3074);
        _mm_storel_pi(((__m64  *) a118), s0I);
        a218 = (b61 + 3586);
        _mm_storeh_pi(((__m64  *) a218), s0I);
        a318 = _mm_unpacklo_ps(t7y, t8y);
        s1I = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a318);
        a418 = _mm_unpackhi_ps(t7y, t8y);
        s2I = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a418);
        a518 = (b71 + 6142);
        _mm_storel_pi(((__m64  *) a518), s1I);
        a618 = (b71 + 5630);
        _mm_storeh_pi(((__m64  *) a618), s1I);
        a718 = (b71 + 5118);
        _mm_storel_pi(((__m64  *) a718), s2I);
        a818 = (b71 + 4606);
        _mm_storeh_pi(((__m64  *) a818), s2I);
        t9y = _mm_add_ps(t3w, t0y);
        t0z = _mm_sub_ps(t4w, t9x);
        t1z = _mm_sub_ps(t3w, t0y);
        t2z = _mm_add_ps(t4w, t9x);
        s3I = _mm_unpacklo_ps(t9y, t0z);
        s4I = _mm_unpackhi_ps(t9y, t0z);
        a918 = (b61 + 4098);
        _mm_storel_pi(((__m64  *) a918), s3I);
        a019 = (b61 + 4610);
        _mm_storeh_pi(((__m64  *) a019), s3I);
        a119 = (b61 + 5122);
        _mm_storel_pi(((__m64  *) a119), s4I);
        a219 = (b61 + 5634);
        _mm_storeh_pi(((__m64  *) a219), s4I);
        a319 = _mm_unpacklo_ps(t1z, t2z);
        s5I = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a319);
        a419 = _mm_unpackhi_ps(t1z, t2z);
        s6I = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a419);
        a519 = (b71 + 4094);
        _mm_storel_pi(((__m64  *) a519), s5I);
        a619 = (b71 + 3582);
        _mm_storeh_pi(((__m64  *) a619), s5I);
        a719 = (b71 + 3070);
        _mm_storel_pi(((__m64  *) a719), s6I);
        a819 = (b71 + 2558);
        _mm_storeh_pi(((__m64  *) a819), s6I);
        t3z = _mm_add_ps(t7w, s3H);
        t4z = _mm_add_ps(t8w, s4H);
        t5z = _mm_sub_ps(t7w, s3H);
        t6z = _mm_sub_ps(t8w, s4H);
        s7I = _mm_unpacklo_ps(t3z, t4z);
        s8I = _mm_unpackhi_ps(t3z, t4z);
        a919 = (b61 + 6146);
        _mm_storel_pi(((__m64  *) a919), s7I);
        a01a = (b61 + 6658);
        _mm_storeh_pi(((__m64  *) a01a), s7I);
        a11a = (b61 + 7170);
        _mm_storel_pi(((__m64  *) a11a), s8I);
        a21a = (b61 + 7682);
        _mm_storeh_pi(((__m64  *) a21a), s8I);
        a31a = _mm_unpacklo_ps(t5z, t6z);
        s9I = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a31a);
        a41a = _mm_unpackhi_ps(t5z, t6z);
        s0J = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a41a);
        a51a = (b71 + 2046);
        _mm_storel_pi(((__m64  *) a51a), s9I);
        a61a = (b71 + 1534);
        _mm_storeh_pi(((__m64  *) a61a), s9I);
        a71a = (b71 + 1022);
        _mm_storel_pi(((__m64  *) a71a), s0J);
        a81a = (b71 + 510);
        _mm_storeh_pi(((__m64  *) a81a), s0J);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_API(spiral_status_t, spiral_rfftinv_float_2)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {float s, s2, s3, s4;
    s = *(src);
    s2 = *((src + 1));
    s3 = (s + s2);
    *(dst) = s3;
    s4 = (s - s2);
    *((dst + 1)) = s4;
    }
    
    return SPIRAL_OK;
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftinv_float_4_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {__m128 a2, a21, a3, a31, a61, a7, a71, a8, s;
    __m128 a, a11, a6, b, b2;
    const float  *a01, *a4, *a41, *a5, *a51, *a81, *a9;
    a5 = (src + 1);
    a4 = ((const float  *) a5);
    a3 = _mm_load_ss(a4);
    a2 = _mm_shuffle_ps(a3, a3, _MM_SHUFFLE(0, 0, 0, 0));
    a = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2);
    a01 = (src + 2);
    a9 = ((const float  *) a01);
    a8 = _mm_load_ss(a9);
    a7 = _mm_shuffle_ps(a8, a8, _MM_SHUFFLE(0, 0, 0, 0));
    a6 = _mm_mul_ps(_mm_set_ps(0.0f, (-2.0f), 0.0f, 2.0f), a7);
    a51 = (src + 3);
    a41 = ((const float  *) a51);
    a31 = _mm_load_ss(a41);
    a21 = _mm_shuffle_ps(a31, a31, _MM_SHUFFLE(0, 0, 0, 0));
    a11 = _mm_mul_ps(_mm_set_ps(2.0f, 0.0f, (-2.0f), 0.0f), a21);
    a81 = ((const float  *) src);
    a71 = _mm_load_ss(a81);
    a61 = _mm_shuffle_ps(a71, a71, _MM_SHUFFLE(0, 0, 0, 0));
    b = _mm_add_ps(a, a6);
    b2 = _mm_add_ps(b, a11);
    s = _mm_add_ps(b2, a61);
    _mm_storeu_ps(((float  *) dst), s);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftinv_float_4)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftinv_float_4_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {__m128 a2, a21, a3, a31, a61, a7, a71, a8, s;
    __m128 a, a11, a6, b, b2;
    __m128  *a91;
    const float  *a01, *a4, *a41, *a5, *a51, *a81, *a9;
    a5 = (src + 1);
    a4 = ((const float  *) a5);
    a3 = _mm_load_ss(a4);
    a2 = _mm_shuffle_ps(a3, a3, _MM_SHUFFLE(0, 0, 0, 0));
    a = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2);
    a01 = (src + 2);
    a9 = ((const float  *) a01);
    a8 = _mm_load_ss(a9);
    a7 = _mm_shuffle_ps(a8, a8, _MM_SHUFFLE(0, 0, 0, 0));
    a6 = _mm_mul_ps(_mm_set_ps(0.0f, (-2.0f), 0.0f, 2.0f), a7);
    a51 = (src + 3);
    a41 = ((const float  *) a51);
    a31 = _mm_load_ss(a41);
    a21 = _mm_shuffle_ps(a31, a31, _MM_SHUFFLE(0, 0, 0, 0));
    a11 = _mm_mul_ps(_mm_set_ps(2.0f, 0.0f, (-2.0f), 0.0f), a21);
    a81 = ((const float  *) src);
    a71 = _mm_load_ss(a81);
    a61 = _mm_shuffle_ps(a71, a71, _MM_SHUFFLE(0, 0, 0, 0));
    b = _mm_add_ps(a, a6);
    b2 = _mm_add_ps(b, a11);
    s = _mm_add_ps(b2, a61);
    a91 = ((__m128  *) dst);
    *(a91) = s;
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_API(spiral_status_t, spiral_rfftinv_float_8)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {float a, a2, s, s01, s02, s11, s2, s21, s3, s31, s4, s41, s5, s51, s6, s61, s7, s71, s8, s81, s9, s91
            , t, t2, t3, t4, t5, t6;
    s = *(src);
    s2 = *((src + 1));
    t = (s + s2);
    t2 = (s - s2);
    s3 = (2**((src + 4)));
    t3 = (t + s3);
    t4 = (t - s3);
    s4 = (2**((src + 5)));
    t5 = (t2 - s4);
    t6 = (t2 + s4);
    s5 = *((src + 2));
    s6 = *((src + 3));
    s7 = *((src + 6));
    s8 = *((src + 7));
    s9 = (2.0f*(s5 + s7));
    s01 = (2.0f*(s6 - s8));
    a = (1.4142135623730951f*(s5 - s7));
    a2 = (1.4142135623730951f*(s6 + s8));
    s11 = (a - a2);
    s21 = (a + a2);
    s31 = (t3 + s9);
    *(dst) = s31;
    s41 = (t3 - s9);
    *((dst + 4)) = s41;
    s51 = (t4 - s01);
    *((dst + 2)) = s51;
    s61 = (t4 + s01);
    *((dst + 6)) = s61;
    s71 = (t5 + s11);
    *((dst + 1)) = s71;
    s81 = (t5 - s11);
    *((dst + 5)) = s81;
    s91 = (t6 - s21);
    *((dst + 3)) = s91;
    s02 = (t6 + s21);
    *((dst + 7)) = s02;
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftinv_float_16)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {float a, a2, a3, a4, s, s01, s02, s03, s04, s11, s12, s13, s14, s2, s21, s22, s23, s24, s3, s31, s32, s33
            , s34, s4, s41, s42, s43, s44, s5, s51, s52, s53, s6, s61, s62, s63, s7, s71, s72, s73, s8, s81, s82, s83
            , s9, s91, s92, s93, t, t01, t02, t11, t12, t2, t21, t22, t3, t31, t32, t4, t41, t42, t5, t51, t52, t6
            , t61, t62, t7, t71, t8, t81, t9, t91;
    s = *(src);
    s2 = *((src + 1));
    t = (s + s2);
    t2 = (s - s2);
    s3 = (2**((src + 8)));
    t3 = (t + s3);
    t4 = (t - s3);
    s4 = (2**((src + 9)));
    t5 = (t2 - s4);
    t6 = (t2 + s4);
    s5 = *((src + 4));
    s6 = *((src + 5));
    s7 = *((src + 12));
    s8 = *((src + 13));
    s9 = (2.0f*(s5 + s7));
    s01 = (2.0f*(s6 - s8));
    a = (1.4142135623730951f*(s5 - s7));
    a2 = (1.4142135623730951f*(s6 + s8));
    s11 = (a - a2);
    s21 = (a + a2);
    t7 = (t3 + s9);
    t8 = (t3 - s9);
    t9 = (t4 - s01);
    t01 = (t4 + s01);
    t11 = (t5 + s11);
    t21 = (t5 - s11);
    t31 = (t6 - s21);
    t41 = (t6 + s21);
    s31 = *((src + 2));
    s41 = *((src + 3));
    s51 = *((src + 14));
    s61 = *((src + 15));
    t51 = (s31 + s51);
    t61 = (s41 - s61);
    t71 = (s31 - s51);
    t81 = (s41 + s61);
    s71 = *((src + 10));
    s81 = *((src + 11));
    s91 = *((src + 6));
    s02 = *((src + 7));
    t91 = (s71 + s91);
    t02 = (s81 - s02);
    t12 = (s71 - s91);
    t22 = (s81 + s02);
    t32 = (t71 - t22);
    t42 = (t81 + t12);
    t52 = (t71 + t22);
    t62 = (t81 - t12);
    s12 = (2.0f*(t51 + t91));
    s22 = (2.0f*(t61 + t02));
    s32 = ((1.8477590650225735f*t32) - (0.76536686473017956f*t42));
    s42 = ((0.76536686473017956f*t32) + (1.8477590650225735f*t42));
    a3 = (1.4142135623730951f*(t51 - t91));
    a4 = (1.4142135623730951f*(t61 - t02));
    s52 = (a3 - a4);
    s62 = (a3 + a4);
    s72 = ((0.76536686473017956f*t52) - (1.8477590650225735f*t62));
    s82 = ((1.8477590650225735f*t52) + (0.76536686473017956f*t62));
    s92 = (t7 + s12);
    *(dst) = s92;
    s03 = (t7 - s12);
    *((dst + 8)) = s03;
    s13 = (t8 - s22);
    *((dst + 4)) = s13;
    s23 = (t8 + s22);
    *((dst + 12)) = s23;
    s33 = (t11 + s32);
    *((dst + 1)) = s33;
    s43 = (t11 - s32);
    *((dst + 9)) = s43;
    s53 = (t21 - s42);
    *((dst + 5)) = s53;
    s63 = (t21 + s42);
    *((dst + 13)) = s63;
    s73 = (t9 + s52);
    *((dst + 2)) = s73;
    s83 = (t9 - s52);
    *((dst + 10)) = s83;
    s93 = (t01 - s62);
    *((dst + 6)) = s93;
    s04 = (t01 + s62);
    *((dst + 14)) = s04;
    s14 = (t31 + s72);
    *((dst + 3)) = s14;
    s24 = (t31 - s72);
    *((dst + 11)) = s24;
    s34 = (t41 - s82);
    *((dst + 7)) = s34;
    s44 = (t41 + s82);
    *((dst + 15)) = s44;
    }
    
    return SPIRAL_OK;
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftinv_float_32_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {__m128 a, a03, a12, a13, a21, a23, a3, a33, a42, a43, a51, a52, a53, a6, a62, a63, a72, a73, a81, a82, a83, a9
            , a92, a93, s07, s36, s46, s56, s66, s76, s86, s96;
    __m128 a04, a05, a06, a07, a08, a14, a15, a16, a17, a18, a24, a25, a26, a27, a34, a35, a36, a37, a44, a45, a46, a47
            , a54, a55, a56, a57, a64, a65, a66, a67, a74, a75, a76, a77, a84, a85, a86, a87, a94, a95, a96, a97, b, b2
            , b3, b4, b5, b6, b7, b8, b9, s, s01, s02, s03, s04, s05, s06, s11, s12, s13, s14, s15, s16, s2, s21
            , s22, s23, s24, s25, s26, s3, s31, s32, s33, s34, s35, s4, s41, s42, s43, s44, s45, s5, s51, s52, s53, s54
            , s55, s6, s61, s62, s63, s64, s65, s7, s71, s72, s73, s74, s75, s8, s81, s82, s83, s84, s85, s9, s91, s92
            , s93, s94, s95, t, t01, t02, t03, t11, t12, t13, t2, t21, t22, t23, t3, t31, t32, t4, t41, t42, t5, t51
            , t52, t6, t61, t62, t7, t71, t72, t8, t81, t82, t9, t91, t92;
    float  *a28, *a38, *a48, *a58, *a68, *a78, *a88;
    const float  *a01, *a02, *a11, *a2, *a22, *a31, *a32, *a4, *a41, *a5, *a61, *a7, *a71, *a8, *a91;
    a2 = ((const float  *) src);
    a = _mm_loadu_ps(a2);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a);
    a5 = (src + 4);
    a4 = ((const float  *) a5);
    a3 = _mm_loadu_ps(a4);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a3);
    a8 = (src + 8);
    a7 = ((const float  *) a8);
    a6 = _mm_loadu_ps(a7);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a6);
    a11 = (src + 12);
    a01 = ((const float  *) a11);
    a9 = _mm_loadu_ps(a01);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a9);
    a41 = (src + 16);
    a31 = ((const float  *) a41);
    a21 = _mm_loadu_ps(a31);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a21);
    a71 = (src + 20);
    a61 = ((const float  *) a71);
    a51 = _mm_loadu_ps(a61);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a51);
    a02 = (src + 24);
    a91 = ((const float  *) a02);
    a81 = _mm_loadu_ps(a91);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a81);
    a32 = (src + 28);
    a22 = ((const float  *) a32);
    a12 = _mm_loadu_ps(a22);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a12);
    a42 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a42);
    a52 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a52);
    a62 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a62);
    a72 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a72);
    a82 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a82);
    a92 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a92);
    a03 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a03);
    a13 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a13);
    a23 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a23, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a33 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a33, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a43 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a43, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a53 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a53, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a63 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a63, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a73 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a73, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a83 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a83, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a93 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a93, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a14 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a24 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a04 = _mm_add_ps(a14, a24);
    s52 = _mm_sub_ps(a04, s02);
    a34 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a44 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a34, a44);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a64 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a74 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a54 = _mm_sub_ps(a64, a74);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a54);
    a94 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a84 = _mm_sub_ps(a94, s42);
    a05 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a15 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a84, a05);
    s43 = _mm_add_ps(b3, a15);
    a35 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a45 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a25 = _mm_sub_ps(a35, a45);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a25);
    a55 = _mm_sub_ps(s21, s12);
    a65 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a75 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a55, a65);
    s63 = _mm_add_ps(b5, a75);
    a95 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a06 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a85 = _mm_sub_ps(a95, a06);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a85);
    a16 = _mm_sub_ps(s41, s22);
    a26 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a36 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a16, a26);
    s83 = _mm_add_ps(b7, a36);
    a56 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a66 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a46 = _mm_sub_ps(a56, a66);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a46);
    a76 = _mm_sub_ps(s61, s32);
    a86 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a96 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a76, a86);
    s04 = _mm_add_ps(b9, a96);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a07 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a17 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a07, a17);
    a27 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a37 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a27, a37);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a47 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a57 = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a47, a57);
    a67 = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a77 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a67, a77);
    a87 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a97 = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a87, a97);
    a08 = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a18 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a08, a18);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    _mm_storeu_ps(((float  *) dst), s36);
    s46 = _mm_unpackhi_ps(t52, t62);
    a28 = (dst + 4);
    _mm_storeu_ps(((float  *) a28), s46);
    s56 = _mm_unpacklo_ps(t72, t82);
    a38 = (dst + 16);
    _mm_storeu_ps(((float  *) a38), s56);
    s66 = _mm_unpackhi_ps(t72, t82);
    a48 = (dst + 20);
    _mm_storeu_ps(((float  *) a48), s66);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    a58 = (dst + 8);
    _mm_storeu_ps(((float  *) a58), s76);
    s86 = _mm_unpackhi_ps(t92, t03);
    a68 = (dst + 12);
    _mm_storeu_ps(((float  *) a68), s86);
    s96 = _mm_unpacklo_ps(t13, t23);
    a78 = (dst + 24);
    _mm_storeu_ps(((float  *) a78), s96);
    s07 = _mm_unpackhi_ps(t13, t23);
    a88 = (dst + 28);
    _mm_storeu_ps(((float  *) a88), s07);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftinv_float_32)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftinv_float_32_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {__m128 a02, a03, a12, a13, a22, a23, a32, a33, a42, a52, a62, a72, a81, a82, a91, a92, s07, s36, s46, s56, s66, s76
            , s86, s96;
    __m128 a01, a04, a05, a06, a07, a14, a15, a16, a17, a21, a24, a25, a26, a27, a3, a34, a35, a36, a37, a4, a41, a43
            , a44, a45, a46, a47, a53, a54, a55, a56, a57, a6, a61, a63, a64, a65, a66, a73, a74, a75, a76, a8, a83, a84
            , a85, a86, a93, a94, a95, a96, b, b2, b3, b4, b5, b6, b7, b8, b9, s, s01, s02, s03, s04, s05, s06
            , s11, s12, s13, s14, s15, s16, s2, s21, s22, s23, s24, s25, s26, s3, s31, s32, s33, s34, s35, s4, s41, s42
            , s43, s44, s45, s5, s51, s52, s53, s54, s55, s6, s61, s62, s63, s64, s65, s7, s71, s72, s73, s74, s75, s8
            , s81, s82, s83, s84, s85, s9, s91, s92, s93, s94, s95, t, t01, t02, t03, t11, t12, t13, t2, t21, t22, t23
            , t3, t31, t32, t4, t41, t42, t5, t51, t52, t6, t61, t62, t7, t71, t72, t8, t81, t82, t9, t91, t92;
    __m128  *a, *a08, *a11, *a18, *a2, *a28, *a31, *a5, *a51, *a67, *a7, *a71, *a77, *a87, *a9, *a97;
    a = ((__m128  *) src);
    a3 = *(a);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a3);
    a5 = (a + 1);
    a4 = *(a5);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a4);
    a7 = (a + 2);
    a6 = *(a7);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a6);
    a9 = (a + 3);
    a8 = *(a9);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a8);
    a11 = (a + 4);
    a01 = *(a11);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a01);
    a31 = (a + 5);
    a21 = *(a31);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a21);
    a51 = (a + 6);
    a41 = *(a51);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a41);
    a71 = (a + 7);
    a61 = *(a71);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a61);
    a81 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a81);
    a91 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a91);
    a02 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a02);
    a12 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a12);
    a22 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a22);
    a32 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a32);
    a42 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a42);
    a52 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a52);
    a62 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a62, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a72 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a72, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a82 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a82, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a92 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a92, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a03 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a03, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a13 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a13, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a23 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a23, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a33 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a33, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a53 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a63 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a43 = _mm_add_ps(a53, a63);
    s52 = _mm_sub_ps(a43, s02);
    a73 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a83 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a73, a83);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a04 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a14 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a93 = _mm_sub_ps(a04, a14);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a93);
    a34 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a24 = _mm_sub_ps(a34, s42);
    a44 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a54 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a24, a44);
    s43 = _mm_add_ps(b3, a54);
    a74 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a84 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a64 = _mm_sub_ps(a74, a84);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a64);
    a94 = _mm_sub_ps(s21, s12);
    a05 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a15 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a94, a05);
    s63 = _mm_add_ps(b5, a15);
    a35 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a45 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a25 = _mm_sub_ps(a35, a45);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a25);
    a55 = _mm_sub_ps(s41, s22);
    a65 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a75 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a55, a65);
    s83 = _mm_add_ps(b7, a75);
    a95 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a06 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a85 = _mm_sub_ps(a95, a06);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a85);
    a16 = _mm_sub_ps(s61, s32);
    a26 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a36 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a16, a26);
    s04 = _mm_add_ps(b9, a36);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a46 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a56 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a46, a56);
    a66 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a76 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a66, a76);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a86 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a96 = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a86, a96);
    a07 = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a17 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a07, a17);
    a27 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a37 = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a27, a37);
    a47 = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a57 = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a47, a57);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    a2 = ((__m128  *) dst);
    s36 = _mm_unpacklo_ps(t52, t62);
    *(a2) = s36;
    s46 = _mm_unpackhi_ps(t52, t62);
    a67 = (a2 + 1);
    *(a67) = s46;
    s56 = _mm_unpacklo_ps(t72, t82);
    a77 = (a2 + 4);
    *(a77) = s56;
    s66 = _mm_unpackhi_ps(t72, t82);
    a87 = (a2 + 5);
    *(a87) = s66;
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    a97 = (a2 + 2);
    *(a97) = s76;
    s86 = _mm_unpackhi_ps(t92, t03);
    a08 = (a2 + 3);
    *(a08) = s86;
    s96 = _mm_unpacklo_ps(t13, t23);
    a18 = (a2 + 6);
    *(a18) = s96;
    s07 = _mm_unpackhi_ps(t13, t23);
    a28 = (a2 + 7);
    *(a28) = s07;
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftinv_float_64_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {__m128 a, a03, a05, a06, a13, a15, a16, a1b, a1c, a2, a21, a24, a25, a26, a2d, a31, a34, a35, a36, a3d, a42, a45
            , a4e, a52, a55, a5e, a6, a63, a65, a6a, a6b, a6c, a7, a73, a75, a7c, a81, a84, a85, a8d, a91, a94, a95, a9d;
    __m128 a07, a08, a09, a0a, a0f, a0g, a0h, a17, a18, a19, a1a, a1f, a1g, a1h, a27, a28, a29, a2a, a2f, a2g, a2h, a37
            , a38, a39, a3a, a3f, a3g, a3h, a46, a47, a48, a49, a4a, a4f, a4g, a4h, a56, a57, a58, a59, a5a, a5f, a5g, a5h
            , a66, a67, a68, a69, a6f, a6g, a6h, a76, a77, a78, a79, a7f, a7g, a7h, a86, a87, a88, a89, a8f, a8g, a96, a97
            , a98, a99, a9f, a9g, b, b2, b3, b4, b5, b6, b7, b8, b9, s, s01, s02, s03, s04, s05, s06, s07, s08
            , s09, s0a, s0b, s0c, s0d, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s2, s21, s22, s23
            , s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b
            , s3c, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s5, s51, s52, s53, s54, s55, s56, s57
            , s58, s59, s5a, s5b, s5c, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s7, s71, s72, s73
            , s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c
            , s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, t, t01, t02, t03, t04, t05, t06, t11, t12
            , t13, t14, t15, t16, t2, t21, t22, t23, t24, t25, t26, t3, t31, t32, t33, t34, t35, t36, t4, t41, t42, t43
            , t44, t45, t46, t5, t51, t52, t53, t54, t55, t6, t61, t62, t63, t64, t65, t7, t71, t72, t73, t74, t75, t8
            , t81, t82, t83, t84, t85, t9, t91, t92, t93, t94, t95;
    const __m64  *a01, *a02, *a04, *a0d, *a0e, *a22, *a23, *a2b, *a2c, *a2e, *a3, *a4, *a41, *a43, *a44, *a4b, *a4c, *a4d, *a61, *a62, *a64, *a6d
            , *a6e, *a7a, *a7b, *a8, *a82, *a83, *a8c, *a8e, *a9a, *a9b;
    float  *a0i, *a0j, *a1i, *a1j, *a2i, *a2j, *a3i, *a4i, *a5i, *a6i, *a7i, *a8h, *a8i, *a9h, *a9i;
    const float  *a0b, *a0c, *a11, *a12, *a14, *a1d, *a1e, *a32, *a33, *a3b, *a3c, *a3e, *a5, *a51, *a53, *a54, *a5b, *a5c, *a5d, *a71, *a72, *a74
            , *a7d, *a7e, *a8a, *a8b, *a9, *a92, *a93, *a9c, *a9e;
    a3 = ((const __m64  *) src);
    a2 = _mm_loadl_pi(_mm_set1_ps(0.0f), a3);
    a5 = (src + 4);
    a4 = ((const __m64  *) a5);
    a = _mm_loadh_pi(a2, a4);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a);
    a9 = (src + 8);
    a8 = ((const __m64  *) a9);
    a7 = _mm_loadl_pi(_mm_set1_ps(0.0f), a8);
    a11 = (src + 12);
    a01 = ((const __m64  *) a11);
    a6 = _mm_loadh_pi(a7, a01);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a6);
    a51 = (src + 16);
    a41 = ((const __m64  *) a51);
    a31 = _mm_loadl_pi(_mm_set1_ps(0.0f), a41);
    a71 = (src + 20);
    a61 = ((const __m64  *) a71);
    a21 = _mm_loadh_pi(a31, a61);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a21);
    a12 = (src + 24);
    a02 = ((const __m64  *) a12);
    a91 = _mm_loadl_pi(_mm_set1_ps(0.0f), a02);
    a32 = (src + 28);
    a22 = ((const __m64  *) a32);
    a81 = _mm_loadh_pi(a91, a22);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a81);
    a72 = (src + 32);
    a62 = ((const __m64  *) a72);
    a52 = _mm_loadl_pi(_mm_set1_ps(0.0f), a62);
    a92 = (src + 36);
    a82 = ((const __m64  *) a92);
    a42 = _mm_loadh_pi(a52, a82);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a42);
    a33 = (src + 40);
    a23 = ((const __m64  *) a33);
    a13 = _mm_loadl_pi(_mm_set1_ps(0.0f), a23);
    a53 = (src + 44);
    a43 = ((const __m64  *) a53);
    a03 = _mm_loadh_pi(a13, a43);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a03);
    a93 = (src + 48);
    a83 = ((const __m64  *) a93);
    a73 = _mm_loadl_pi(_mm_set1_ps(0.0f), a83);
    a14 = (src + 52);
    a04 = ((const __m64  *) a14);
    a63 = _mm_loadh_pi(a73, a04);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a63);
    a54 = (src + 56);
    a44 = ((const __m64  *) a54);
    a34 = _mm_loadl_pi(_mm_set1_ps(0.0f), a44);
    a74 = (src + 60);
    a64 = ((const __m64  *) a74);
    a24 = _mm_loadh_pi(a34, a64);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a24);
    a84 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a84);
    a94 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a94);
    a05 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a05);
    a15 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a25 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a35 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a45 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a55 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a55);
    a65 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a65, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a75 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a75, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a85, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a95, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a06 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a06, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a16 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a16, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a26, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a36, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a56 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a66 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a46 = _mm_add_ps(a56, a66);
    s52 = _mm_sub_ps(a46, s02);
    a76 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a86 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a76, a86);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a07 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a17 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a96 = _mm_sub_ps(a07, a17);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a96);
    a37 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a27 = _mm_sub_ps(a37, s42);
    a47 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a57 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a27, a47);
    s43 = _mm_add_ps(b3, a57);
    a77 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a87 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a67 = _mm_sub_ps(a77, a87);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a67);
    a97 = _mm_sub_ps(s21, s12);
    a08 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a18 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a97, a08);
    s63 = _mm_add_ps(b5, a18);
    a38 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a48 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a28 = _mm_sub_ps(a38, a48);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a28);
    a58 = _mm_sub_ps(s41, s22);
    a68 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a78 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a58, a68);
    s83 = _mm_add_ps(b7, a78);
    a98 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a09 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a88 = _mm_sub_ps(a98, a09);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a88);
    a19 = _mm_sub_ps(s61, s32);
    a29 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a39 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a19, a29);
    s04 = _mm_add_ps(b9, a39);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a49 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a59 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a49, a59);
    a69 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a79 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a69, a79);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a89 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a99 = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a89, a99);
    a0a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a1a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a0a, a1a);
    a2a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a3a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a2a, a3a);
    a4a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a5a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a4a, a5a);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a8a = (src + 2);
    a7a = ((const __m64  *) a8a);
    a6a = _mm_loadl_pi(_mm_set1_ps(0.0f), a7a);
    a0b = (src + 10);
    a9a = ((const __m64  *) a0b);
    s17 = _mm_loadh_pi(a6a, a9a);
    a3b = (src + 18);
    a2b = ((const __m64  *) a3b);
    a1b = _mm_loadl_pi(_mm_set1_ps(0.0f), a2b);
    a5b = (src + 26);
    a4b = ((const __m64  *) a5b);
    s27 = _mm_loadh_pi(a1b, a4b);
    a8b = (src + 34);
    a7b = ((const __m64  *) a8b);
    a6b = _mm_loadl_pi(_mm_set1_ps(0.0f), a7b);
    a0c = (src + 42);
    a9b = ((const __m64  *) a0c);
    s37 = _mm_loadh_pi(a6b, a9b);
    a3c = (src + 50);
    a2c = ((const __m64  *) a3c);
    a1c = _mm_loadl_pi(_mm_set1_ps(0.0f), a2c);
    a5c = (src + 58);
    a4c = ((const __m64  *) a5c);
    s47 = _mm_loadh_pi(a1c, a4c);
    a9c = (src + 62);
    a8c = ((const __m64  *) a9c);
    a7c = _mm_loadl_pi(_mm_set1_ps(0.0f), a8c);
    a1d = (src + 54);
    a0d = ((const __m64  *) a1d);
    a6c = _mm_loadh_pi(a7c, a0d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6c);
    a5d = (src + 46);
    a4d = ((const __m64  *) a5d);
    a3d = _mm_loadl_pi(_mm_set1_ps(0.0f), a4d);
    a7d = (src + 38);
    a6d = ((const __m64  *) a7d);
    a2d = _mm_loadh_pi(a3d, a6d);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2d);
    a1e = (src + 30);
    a0e = ((const __m64  *) a1e);
    a9d = _mm_loadl_pi(_mm_set1_ps(0.0f), a0e);
    a3e = (src + 22);
    a2e = ((const __m64  *) a3e);
    a8d = _mm_loadh_pi(a9d, a2e);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8d);
    a7e = (src + 14);
    a6e = ((const __m64  *) a7e);
    a5e = _mm_loadl_pi(_mm_set1_ps(0.0f), a6e);
    a9e = (src + 6);
    a8e = ((const __m64  *) a9e);
    a4e = _mm_loadh_pi(a5e, a8e);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a4e);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a0f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a1f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a0f, a1f);
    a2f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a3f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a2f, a3f);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a4f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a5f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a4f, a5f);
    a6f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a7f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a6f, a7f);
    a8f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a9f = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a8f, a9f);
    a0g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a1g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a0g, a1g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a2g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t75);
    a3g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t85);
    s9a = _mm_sub_ps(a2g, a3g);
    a4g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t75);
    a5g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t85);
    s0b = _mm_add_ps(a4g, a5g);
    a6g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t95);
    a7g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t06);
    s1b = _mm_sub_ps(a6g, a7g);
    a8g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t95);
    a9g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t06);
    s2b = _mm_add_ps(a8g, a9g);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a0h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t16);
    a1h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t26);
    s3b = _mm_sub_ps(a0h, a1h);
    a2h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t16);
    a3h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t26);
    s4b = _mm_add_ps(a2h, a3h);
    a4h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t36);
    a5h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t46);
    s5b = _mm_sub_ps(a4h, a5h);
    a6h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t36);
    a7h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t46);
    s6b = _mm_add_ps(a6h, a7h);
    s7b = _mm_add_ps(s36, s9a);
    _mm_storeu_ps(((float  *) dst), s7b);
    s8b = _mm_sub_ps(s36, s9a);
    a8h = (dst + 32);
    _mm_storeu_ps(((float  *) a8h), s8b);
    s9b = _mm_sub_ps(s56, s0b);
    a9h = (dst + 16);
    _mm_storeu_ps(((float  *) a9h), s9b);
    s0c = _mm_add_ps(s56, s0b);
    a0i = (dst + 48);
    _mm_storeu_ps(((float  *) a0i), s0c);
    s1c = _mm_add_ps(s46, s3b);
    a1i = (dst + 4);
    _mm_storeu_ps(((float  *) a1i), s1c);
    s2c = _mm_sub_ps(s46, s3b);
    a2i = (dst + 36);
    _mm_storeu_ps(((float  *) a2i), s2c);
    s3c = _mm_sub_ps(s66, s4b);
    a3i = (dst + 20);
    _mm_storeu_ps(((float  *) a3i), s3c);
    s4c = _mm_add_ps(s66, s4b);
    a4i = (dst + 52);
    _mm_storeu_ps(((float  *) a4i), s4c);
    s5c = _mm_add_ps(s76, s1b);
    a5i = (dst + 8);
    _mm_storeu_ps(((float  *) a5i), s5c);
    s6c = _mm_sub_ps(s76, s1b);
    a6i = (dst + 40);
    _mm_storeu_ps(((float  *) a6i), s6c);
    s7c = _mm_sub_ps(s96, s2b);
    a7i = (dst + 24);
    _mm_storeu_ps(((float  *) a7i), s7c);
    s8c = _mm_add_ps(s96, s2b);
    a8i = (dst + 56);
    _mm_storeu_ps(((float  *) a8i), s8c);
    s9c = _mm_add_ps(s86, s5b);
    a9i = (dst + 12);
    _mm_storeu_ps(((float  *) a9i), s9c);
    s0d = _mm_sub_ps(s86, s5b);
    a0j = (dst + 44);
    _mm_storeu_ps(((float  *) a0j), s0d);
    s1d = _mm_sub_ps(s07, s6b);
    a1j = (dst + 28);
    _mm_storeu_ps(((float  *) a1j), s1d);
    s2d = _mm_add_ps(s07, s6b);
    a2j = (dst + 60);
    _mm_storeu_ps(((float  *) a2j), s2d);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftinv_float_64)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftinv_float_64_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {__m128 a02, a05, a06, a0e, a13, a15, a16, a2, a23, a25, a26, a2b, a2c, a3, a31, a34, a35, a36, a3d, a41, a44, a45
            , a46, a4d, a52, a55, a5e, a62, a65, a6e, a7, a73, a75, a7a, a7b, a7c, a8, a83, a85, a8c, a91, a94, a95, a9d;
    __m128 a07, a08, a09, a0a, a0g, a0h, a17, a18, a19, a1a, a1f, a1g, a1h, a27, a28, a29, a2a, a2f, a2g, a2h, a37, a38
            , a39, a3a, a3f, a3g, a3h, a47, a48, a49, a4a, a4f, a4g, a4h, a56, a57, a58, a59, a5a, a5f, a5g, a5h, a66, a67
            , a68, a69, a6a, a6f, a6g, a6h, a76, a77, a78, a79, a7f, a7g, a7h, a86, a87, a88, a89, a8f, a8g, a8h, a96, a97
            , a98, a99, a9f, a9g, b, b2, b3, b4, b5, b6, b7, b8, b9, s, s01, s02, s03, s04, s05, s06, s07, s08
            , s09, s0a, s0b, s0c, s0d, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s2, s21, s22, s23
            , s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b
            , s3c, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s5, s51, s52, s53, s54, s55, s56, s57
            , s58, s59, s5a, s5b, s5c, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s7, s71, s72, s73
            , s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c
            , s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, t, t01, t02, t03, t04, t05, t06, t11, t12
            , t13, t14, t15, t16, t2, t21, t22, t23, t24, t25, t26, t3, t31, t32, t33, t34, t35, t36, t4, t41, t42, t43
            , t44, t45, t46, t5, t51, t52, t53, t54, t55, t6, t61, t62, t63, t64, t65, t7, t71, t72, t73, t74, t75, t8
            , t81, t82, t83, t84, t85, t9, t91, t92, t93, t94, t95;
    const __m64  *a0b, *a0c, *a11, *a12, *a14, *a1d, *a1e, *a32, *a33, *a3b, *a3c, *a3e, *a4, *a5, *a51, *a53, *a54, *a5b, *a5c, *a5d, *a71, *a72
            , *a74, *a7d, *a7e, *a8a, *a8b, *a9, *a92, *a93, *a9c, *a9e;
    __m128  *a, *a0i, *a0j, *a1i, *a1j, *a2i, *a2j, *a3i, *a3j, *a4i, *a5i, *a6i, *a7i, *a8i, *a9h, *a9i;
    const float  *a01, *a03, *a04, *a0d, *a0f, *a1b, *a1c, *a21, *a22, *a24, *a2d, *a2e, *a42, *a43, *a4b, *a4c, *a4e, *a6, *a61, *a63, *a64, *a6b
            , *a6c, *a6d, *a81, *a82, *a84, *a8d, *a8e, *a9a, *a9b;
    a4 = ((const __m64  *) src);
    a3 = _mm_loadl_pi(_mm_set1_ps(0.0f), a4);
    a6 = (src + 4);
    a5 = ((const __m64  *) a6);
    a2 = _mm_loadh_pi(a3, a5);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a2);
    a01 = (src + 8);
    a9 = ((const __m64  *) a01);
    a8 = _mm_loadl_pi(_mm_set1_ps(0.0f), a9);
    a21 = (src + 12);
    a11 = ((const __m64  *) a21);
    a7 = _mm_loadh_pi(a8, a11);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a7);
    a61 = (src + 16);
    a51 = ((const __m64  *) a61);
    a41 = _mm_loadl_pi(_mm_set1_ps(0.0f), a51);
    a81 = (src + 20);
    a71 = ((const __m64  *) a81);
    a31 = _mm_loadh_pi(a41, a71);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a31);
    a22 = (src + 24);
    a12 = ((const __m64  *) a22);
    a02 = _mm_loadl_pi(_mm_set1_ps(0.0f), a12);
    a42 = (src + 28);
    a32 = ((const __m64  *) a42);
    a91 = _mm_loadh_pi(a02, a32);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a91);
    a82 = (src + 32);
    a72 = ((const __m64  *) a82);
    a62 = _mm_loadl_pi(_mm_set1_ps(0.0f), a72);
    a03 = (src + 36);
    a92 = ((const __m64  *) a03);
    a52 = _mm_loadh_pi(a62, a92);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a52);
    a43 = (src + 40);
    a33 = ((const __m64  *) a43);
    a23 = _mm_loadl_pi(_mm_set1_ps(0.0f), a33);
    a63 = (src + 44);
    a53 = ((const __m64  *) a63);
    a13 = _mm_loadh_pi(a23, a53);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a13);
    a04 = (src + 48);
    a93 = ((const __m64  *) a04);
    a83 = _mm_loadl_pi(_mm_set1_ps(0.0f), a93);
    a24 = (src + 52);
    a14 = ((const __m64  *) a24);
    a73 = _mm_loadh_pi(a83, a14);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a73);
    a64 = (src + 56);
    a54 = ((const __m64  *) a64);
    a44 = _mm_loadl_pi(_mm_set1_ps(0.0f), a54);
    a84 = (src + 60);
    a74 = ((const __m64  *) a84);
    a34 = _mm_loadh_pi(a44, a74);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a34);
    a94 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a94);
    a05 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a05);
    a15 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a25 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a35 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a45 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a55 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a55);
    a65 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a65);
    a75 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a75, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a85, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a95, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a06 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a06, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a16 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a16, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a26, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a36, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a46 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a46, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a76 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a56 = _mm_add_ps(a66, a76);
    s52 = _mm_sub_ps(a56, s02);
    a86 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a96 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a86, a96);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a17 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a27 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a07 = _mm_sub_ps(a17, a27);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a07);
    a47 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a37 = _mm_sub_ps(a47, s42);
    a57 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a67 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a37, a57);
    s43 = _mm_add_ps(b3, a67);
    a87 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a97 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a77 = _mm_sub_ps(a87, a97);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a77);
    a08 = _mm_sub_ps(s21, s12);
    a18 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a28 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a08, a18);
    s63 = _mm_add_ps(b5, a28);
    a48 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a58 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a38 = _mm_sub_ps(a48, a58);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a38);
    a68 = _mm_sub_ps(s41, s22);
    a78 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a88 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a68, a78);
    s83 = _mm_add_ps(b7, a88);
    a09 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a19 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a98 = _mm_sub_ps(a09, a19);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a98);
    a29 = _mm_sub_ps(s61, s32);
    a39 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a49 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a29, a39);
    s04 = _mm_add_ps(b9, a49);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a59 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a69 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a59, a69);
    a79 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a89 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a79, a89);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a99 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a0a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a99, a0a);
    a1a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a2a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a1a, a2a);
    a3a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a4a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a6a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a5a, a6a);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a9a = (src + 2);
    a8a = ((const __m64  *) a9a);
    a7a = _mm_loadl_pi(_mm_set1_ps(0.0f), a8a);
    a1b = (src + 10);
    a0b = ((const __m64  *) a1b);
    s17 = _mm_loadh_pi(a7a, a0b);
    a4b = (src + 18);
    a3b = ((const __m64  *) a4b);
    a2b = _mm_loadl_pi(_mm_set1_ps(0.0f), a3b);
    a6b = (src + 26);
    a5b = ((const __m64  *) a6b);
    s27 = _mm_loadh_pi(a2b, a5b);
    a9b = (src + 34);
    a8b = ((const __m64  *) a9b);
    a7b = _mm_loadl_pi(_mm_set1_ps(0.0f), a8b);
    a1c = (src + 42);
    a0c = ((const __m64  *) a1c);
    s37 = _mm_loadh_pi(a7b, a0c);
    a4c = (src + 50);
    a3c = ((const __m64  *) a4c);
    a2c = _mm_loadl_pi(_mm_set1_ps(0.0f), a3c);
    a6c = (src + 58);
    a5c = ((const __m64  *) a6c);
    s47 = _mm_loadh_pi(a2c, a5c);
    a0d = (src + 62);
    a9c = ((const __m64  *) a0d);
    a8c = _mm_loadl_pi(_mm_set1_ps(0.0f), a9c);
    a2d = (src + 54);
    a1d = ((const __m64  *) a2d);
    a7c = _mm_loadh_pi(a8c, a1d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7c);
    a6d = (src + 46);
    a5d = ((const __m64  *) a6d);
    a4d = _mm_loadl_pi(_mm_set1_ps(0.0f), a5d);
    a8d = (src + 38);
    a7d = ((const __m64  *) a8d);
    a3d = _mm_loadh_pi(a4d, a7d);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3d);
    a2e = (src + 30);
    a1e = ((const __m64  *) a2e);
    a0e = _mm_loadl_pi(_mm_set1_ps(0.0f), a1e);
    a4e = (src + 22);
    a3e = ((const __m64  *) a4e);
    a9d = _mm_loadh_pi(a0e, a3e);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9d);
    a8e = (src + 14);
    a7e = ((const __m64  *) a8e);
    a6e = _mm_loadl_pi(_mm_set1_ps(0.0f), a7e);
    a0f = (src + 6);
    a9e = ((const __m64  *) a0f);
    a5e = _mm_loadh_pi(a6e, a9e);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a1f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a2f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a4f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a3f, a4f);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a5f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a6f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a5f, a6f);
    a7f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a8f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a7f, a8f);
    a9f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a0g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a2g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a1g, a2g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a3g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t75);
    a4g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t85);
    s9a = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t75);
    a6g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t85);
    s0b = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t95);
    a8g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t06);
    s1b = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t95);
    a0h = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t06);
    s2b = _mm_add_ps(a9g, a0h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a1h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t16);
    a2h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t26);
    s3b = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t16);
    a4h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t26);
    s4b = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t36);
    a6h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t46);
    s5b = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t36);
    a8h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t46);
    s6b = _mm_add_ps(a7h, a8h);
    a = ((__m128  *) dst);
    s7b = _mm_add_ps(s36, s9a);
    *(a) = s7b;
    s8b = _mm_sub_ps(s36, s9a);
    a9h = (a + 8);
    *(a9h) = s8b;
    s9b = _mm_sub_ps(s56, s0b);
    a0i = (a + 4);
    *(a0i) = s9b;
    s0c = _mm_add_ps(s56, s0b);
    a1i = (a + 12);
    *(a1i) = s0c;
    s1c = _mm_add_ps(s46, s3b);
    a2i = (a + 1);
    *(a2i) = s1c;
    s2c = _mm_sub_ps(s46, s3b);
    a3i = (a + 9);
    *(a3i) = s2c;
    s3c = _mm_sub_ps(s66, s4b);
    a4i = (a + 5);
    *(a4i) = s3c;
    s4c = _mm_add_ps(s66, s4b);
    a5i = (a + 13);
    *(a5i) = s4c;
    s5c = _mm_add_ps(s76, s1b);
    a6i = (a + 2);
    *(a6i) = s5c;
    s6c = _mm_sub_ps(s76, s1b);
    a7i = (a + 10);
    *(a7i) = s6c;
    s7c = _mm_sub_ps(s96, s2b);
    a8i = (a + 6);
    *(a8i) = s7c;
    s8c = _mm_add_ps(s96, s2b);
    a9i = (a + 14);
    *(a9i) = s8c;
    s9c = _mm_add_ps(s86, s5b);
    a0j = (a + 3);
    *(a0j) = s9c;
    s0d = _mm_sub_ps(s86, s5b);
    a1j = (a + 11);
    *(a1j) = s0d;
    s1d = _mm_sub_ps(s07, s6b);
    a2j = (a + 7);
    *(a2j) = s1d;
    s2d = _mm_add_ps(s07, s6b);
    a3j = (a + 15);
    *(a3j) = s2d;
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftinv_float_128_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {__m128 a01, a02, a05, a06, a07, a0e, a0t, a12, a15, a16, a17, a1e, a1j, a1k, a1t, a23, a26, a2f, a2l, a33, a36, a3f
            , a3l, a3q, a3r, a41, a44, a46, a4b, a4c, a4d, a4m, a4s, a51, a54, a56, a5d, a5m, a5s, a62, a65, a66, a6e, a6i
            , a6j, a6k, a6t, a72, a75, a76, a7e, a7k, a7t, a83, a85, a86, a8l, a8p, a8q, a8r, a9, a93, a95, a96, a9b, a9c
            , a9l, a9r;
    __m128 a, a08, a09, a0a, a0b, a0g, a0h, a0i, a0n, a0o, a0p, a0v, a0w, a0x, a18, a19, a1a, a1b, a1g, a1h, a1i, a1n
            , a1o, a1p, a1v, a1w, a1x, a2, a27, a28, a29, a2a, a2b, a2g, a2h, a2i, a2n, a2o, a2p, a2u, a2v, a2w, a2x, a3
            , a37, a38, a39, a3a, a3b, a3g, a3h, a3i, a3n, a3o, a3p, a3u, a3v, a3w, a3x, a4, a47, a48, a49, a4a, a4g, a4h
            , a4i, a4n, a4o, a4p, a4u, a4v, a4w, a4x, a5, a57, a58, a59, a5a, a5g, a5h, a5i, a5n, a5o, a5p, a5u, a5v, a5w
            , a5x, a6, a67, a68, a69, a6a, a6g, a6h, a6n, a6o, a6p, a6u, a6v, a6w, a6x, a7, a77, a78, a79, a7a, a7g, a7h
            , a7n, a7o, a7p, a7u, a7v, a7w, a7x, a8, a87, a88, a89, a8a, a8f, a8g, a8h, a8n, a8o, a8u, a8v, a8w, a97, a98
            , a99, a9a, a9f, a9g, a9h, a9n, a9o, a9u, a9v, a9w, b, b2, b3, b4, b5, b6, b7, b8, b9, s, s01, s02
            , s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o
            , s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m
            , s1n, s1o, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j
            , s2k, s2l, s2m, s2n, s2o, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g
            , s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d
            , s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a
            , s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s6, s61, s62, s63, s64, s65, s66, s67
            , s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s7, s71, s72, s73, s74
            , s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s8, s81
            , s82, s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n
            , s8o, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k
            , s9l, s9m, s9n, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t11, t12, t13
            , t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29
            , t2a, t2b, t2c, t2d, t2e, t2f, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t4
            , t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t5, t51, t52, t53, t54, t55, t56, t57
            , t58, t59, t5a, t5b, t5c, t5d, t5e, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e
            , t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t8, t81, t82, t83, t84, t85, t86
            , t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d
            , t9e;
    const __m64  *a03, *a04, *a0c, *a0d, *a0f, *a0l, *a0m, *a0s, *a0u, *a11, *a1q, *a1r, *a21, *a22, *a24, *a25, *a2c, *a2d, *a2e, *a2j, *a2k, *a2m
            , *a2s, *a2t, *a42, *a43, *a45, *a4e, *a4f, *a4j, *a4k, *a4l, *a4q, *a4r, *a4t, *a5b, *a5c, *a61, *a63, *a64, *a6d, *a6f, *a6l, *a6m
            , *a6q, *a6r, *a6s, *a7b, *a7c, *a7i, *a7j, *a81, *a82, *a84, *a8d, *a8e, *a8k, *a8m, *a8s, *a8t, *a9i, *a9j, *a9p, *a9q;
    float  *a0A, *a0y, *a0z, *a1A, *a1y, *a1z, *a2A, *a2y, *a2z, *a3A, *a3y, *a3z, *a4A, *a4y, *a4z, *a5A, *a5y, *a5z, *a6A, *a6y, *a6z, *a7A
            , *a7y, *a7z, *a8A, *a8x, *a8y, *a8z, *a9x, *a9y, *a9z;
    const float  *a0j, *a0k, *a0q, *a0r, *a13, *a14, *a1c, *a1d, *a1f, *a1l, *a1m, *a1s, *a1u, *a2q, *a2r, *a31, *a32, *a34, *a35, *a3c, *a3d, *a3e
            , *a3j, *a3k, *a3m, *a3s, *a3t, *a52, *a53, *a55, *a5e, *a5f, *a5j, *a5k, *a5l, *a5q, *a5r, *a5t, *a6b, *a6c, *a71, *a73, *a74, *a7d
            , *a7f, *a7l, *a7m, *a7q, *a7r, *a7s, *a8b, *a8c, *a8i, *a8j, *a91, *a92, *a94, *a9d, *a9e, *a9k, *a9m, *a9s, *a9t;
    a11 = ((const __m64  *) src);
    a01 = _mm_loadl_pi(_mm_set1_ps(0.0f), a11);
    a31 = (src + 8);
    a21 = ((const __m64  *) a31);
    a9 = _mm_loadh_pi(a01, a21);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a9);
    a71 = (src + 16);
    a61 = ((const __m64  *) a71);
    a51 = _mm_loadl_pi(_mm_set1_ps(0.0f), a61);
    a91 = (src + 24);
    a81 = ((const __m64  *) a91);
    a41 = _mm_loadh_pi(a51, a81);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a41);
    a32 = (src + 32);
    a22 = ((const __m64  *) a32);
    a12 = _mm_loadl_pi(_mm_set1_ps(0.0f), a22);
    a52 = (src + 40);
    a42 = ((const __m64  *) a52);
    a02 = _mm_loadh_pi(a12, a42);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a02);
    a92 = (src + 48);
    a82 = ((const __m64  *) a92);
    a72 = _mm_loadl_pi(_mm_set1_ps(0.0f), a82);
    a13 = (src + 56);
    a03 = ((const __m64  *) a13);
    a62 = _mm_loadh_pi(a72, a03);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a62);
    a53 = (src + 64);
    a43 = ((const __m64  *) a53);
    a33 = _mm_loadl_pi(_mm_set1_ps(0.0f), a43);
    a73 = (src + 72);
    a63 = ((const __m64  *) a73);
    a23 = _mm_loadh_pi(a33, a63);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a23);
    a14 = (src + 80);
    a04 = ((const __m64  *) a14);
    a93 = _mm_loadl_pi(_mm_set1_ps(0.0f), a04);
    a34 = (src + 88);
    a24 = ((const __m64  *) a34);
    a83 = _mm_loadh_pi(a93, a24);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a83);
    a74 = (src + 96);
    a64 = ((const __m64  *) a74);
    a54 = _mm_loadl_pi(_mm_set1_ps(0.0f), a64);
    a94 = (src + 104);
    a84 = ((const __m64  *) a94);
    a44 = _mm_loadh_pi(a54, a84);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a44);
    a35 = (src + 112);
    a25 = ((const __m64  *) a35);
    a15 = _mm_loadl_pi(_mm_set1_ps(0.0f), a25);
    a55 = (src + 120);
    a45 = ((const __m64  *) a55);
    a05 = _mm_loadh_pi(a15, a45);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a05);
    a65 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a65);
    a75 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a75);
    a85 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a85);
    a95 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a95);
    a06 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a06);
    a16 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a16);
    a26 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a26);
    a36 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a36);
    a46 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a46, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a56 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a56, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a66, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a76 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a76, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a86 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a86, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a96 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a96, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a07 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a07, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a17 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a17, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a37 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a47 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a27 = _mm_add_ps(a37, a47);
    s52 = _mm_sub_ps(a27, s02);
    a57 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a67 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a57, a67);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a87 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a97 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a77 = _mm_sub_ps(a87, a97);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a77);
    a18 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a08 = _mm_sub_ps(a18, s42);
    a28 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a38 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a08, a28);
    s43 = _mm_add_ps(b3, a38);
    a58 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a68 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a48 = _mm_sub_ps(a58, a68);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a48);
    a78 = _mm_sub_ps(s21, s12);
    a88 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a98 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a78, a88);
    s63 = _mm_add_ps(b5, a98);
    a19 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a29 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a09 = _mm_sub_ps(a19, a29);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a09);
    a39 = _mm_sub_ps(s41, s22);
    a49 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a59 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a39, a49);
    s83 = _mm_add_ps(b7, a59);
    a79 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a89 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a69 = _mm_sub_ps(a79, a89);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a69);
    a99 = _mm_sub_ps(s61, s32);
    a0a = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a1a = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a99, a0a);
    s04 = _mm_add_ps(b9, a1a);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a2a = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a3a = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a2a, a3a);
    a4a = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a5a = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a4a, a5a);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a6a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a7a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a6a, a7a);
    a8a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a9a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a8a, a9a);
    a0b = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a1b = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a0b, a1b);
    a2b = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a3b = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a2b, a3b);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a6b = (src + 2);
    a5b = ((const __m64  *) a6b);
    a4b = _mm_loadl_pi(_mm_set1_ps(0.0f), a5b);
    a8b = (src + 18);
    a7b = ((const __m64  *) a8b);
    s17 = _mm_loadh_pi(a4b, a7b);
    a1c = (src + 34);
    a0c = ((const __m64  *) a1c);
    a9b = _mm_loadl_pi(_mm_set1_ps(0.0f), a0c);
    a3c = (src + 50);
    a2c = ((const __m64  *) a3c);
    s27 = _mm_loadh_pi(a9b, a2c);
    a6c = (src + 66);
    a5c = ((const __m64  *) a6c);
    a4c = _mm_loadl_pi(_mm_set1_ps(0.0f), a5c);
    a8c = (src + 82);
    a7c = ((const __m64  *) a8c);
    s37 = _mm_loadh_pi(a4c, a7c);
    a1d = (src + 98);
    a0d = ((const __m64  *) a1d);
    a9c = _mm_loadl_pi(_mm_set1_ps(0.0f), a0d);
    a3d = (src + 114);
    a2d = ((const __m64  *) a3d);
    s47 = _mm_loadh_pi(a9c, a2d);
    a7d = (src + 126);
    a6d = ((const __m64  *) a7d);
    a5d = _mm_loadl_pi(_mm_set1_ps(0.0f), a6d);
    a9d = (src + 110);
    a8d = ((const __m64  *) a9d);
    a4d = _mm_loadh_pi(a5d, a8d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a4d);
    a3e = (src + 94);
    a2e = ((const __m64  *) a3e);
    a1e = _mm_loadl_pi(_mm_set1_ps(0.0f), a2e);
    a5e = (src + 78);
    a4e = ((const __m64  *) a5e);
    a0e = _mm_loadh_pi(a1e, a4e);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a0e);
    a9e = (src + 62);
    a8e = ((const __m64  *) a9e);
    a7e = _mm_loadl_pi(_mm_set1_ps(0.0f), a8e);
    a1f = (src + 46);
    a0f = ((const __m64  *) a1f);
    a6e = _mm_loadh_pi(a7e, a0f);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6e);
    a5f = (src + 30);
    a4f = ((const __m64  *) a5f);
    a3f = _mm_loadl_pi(_mm_set1_ps(0.0f), a4f);
    a7f = (src + 14);
    a6f = ((const __m64  *) a7f);
    a2f = _mm_loadh_pi(a3f, a6f);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2f);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a8f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a9f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a8f, a9f);
    a0g = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a1g = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a0g, a1g);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a2g = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a3g = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a2g, a3g);
    a4g = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a5g = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a4g, a5g);
    a6g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a7g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a6g, a7g);
    a8g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a9g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a8g, a9g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a0h = _mm_mul_ps(_mm_set_ps(1.978353019929562f, 1.9903694533443939f, 1.9975909124103448f, 2.0f), t75);
    a1h = _mm_mul_ps(_mm_set_ps(0.2934609489107235f, 0.19603428065912121f, 0.09813534865483603f, 0.0f), t85);
    s9a = _mm_sub_ps(a0h, a1h);
    a2h = _mm_mul_ps(_mm_set_ps(0.2934609489107235f, 0.19603428065912121f, 0.09813534865483603f, 0.0f), t75);
    a3h = _mm_mul_ps(_mm_set_ps(1.978353019929562f, 1.9903694533443939f, 1.9975909124103448f, 2.0f), t85);
    s0b = _mm_add_ps(a2h, a3h);
    a4h = _mm_mul_ps(_mm_set_ps(1.7154572200005442f, 1.7638425286967101f, 1.8079785862468867f, 1.8477590650225735f), t95);
    a5h = _mm_mul_ps(_mm_set_ps(1.0282054883864435f, 0.94279347365199528f, 0.85511018686056417f, 0.76536686473017956f), t06);
    s1b = _mm_sub_ps(a4h, a5h);
    a6h = _mm_mul_ps(_mm_set_ps(1.0282054883864435f, 0.94279347365199528f, 0.85511018686056417f, 0.76536686473017956f), t95);
    a7h = _mm_mul_ps(_mm_set_ps(1.7154572200005442f, 1.7638425286967101f, 1.8079785862468867f, 1.8477590650225735f), t06);
    s2b = _mm_add_ps(a6h, a7h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a8h = _mm_mul_ps(_mm_set_ps(1.8830881303660416f, 1.9138806714644176f, 1.9400625063890879f, 1.9615705608064609f), t16);
    a9h = _mm_mul_ps(_mm_set_ps(0.6737797067844401f, 0.58056935450892477f, 0.4859603598065278f, 0.39018064403225655f), t26);
    s3b = _mm_sub_ps(a8h, a9h);
    a0i = _mm_mul_ps(_mm_set_ps(0.6737797067844401f, 0.58056935450892477f, 0.4859603598065278f, 0.39018064403225655f), t16);
    a1i = _mm_mul_ps(_mm_set_ps(1.8830881303660416f, 1.9138806714644176f, 1.9400625063890879f, 1.9615705608064609f), t26);
    s4b = _mm_add_ps(a0i, a1i);
    a2i = _mm_mul_ps(_mm_set_ps(1.4819022507099182f, 1.546020906725474f, 1.6064150629612899f, 1.6629392246050905f), t36);
    a3i = _mm_mul_ps(_mm_set_ps(1.3431179096940369f, 1.268786568327291f, 1.1913986089848667f, 1.1111404660392044f), t46);
    s5b = _mm_sub_ps(a2i, a3i);
    a4i = _mm_mul_ps(_mm_set_ps(1.3431179096940369f, 1.268786568327291f, 1.1913986089848667f, 1.1111404660392044f), t36);
    a5i = _mm_mul_ps(_mm_set_ps(1.4819022507099182f, 1.546020906725474f, 1.6064150629612899f, 1.6629392246050905f), t46);
    s6b = _mm_add_ps(a4i, a5i);
    a8i = (src + 4);
    a7i = ((const __m64  *) a8i);
    a6i = _mm_loadl_pi(_mm_set1_ps(0.0f), a7i);
    a0j = (src + 20);
    a9i = ((const __m64  *) a0j);
    s7b = _mm_loadh_pi(a6i, a9i);
    a3j = (src + 36);
    a2j = ((const __m64  *) a3j);
    a1j = _mm_loadl_pi(_mm_set1_ps(0.0f), a2j);
    a5j = (src + 52);
    a4j = ((const __m64  *) a5j);
    s8b = _mm_loadh_pi(a1j, a4j);
    a8j = (src + 68);
    a7j = ((const __m64  *) a8j);
    a6j = _mm_loadl_pi(_mm_set1_ps(0.0f), a7j);
    a0k = (src + 84);
    a9j = ((const __m64  *) a0k);
    s9b = _mm_loadh_pi(a6j, a9j);
    a3k = (src + 100);
    a2k = ((const __m64  *) a3k);
    a1k = _mm_loadl_pi(_mm_set1_ps(0.0f), a2k);
    a5k = (src + 116);
    a4k = ((const __m64  *) a5k);
    s0c = _mm_loadh_pi(a1k, a4k);
    a9k = (src + 124);
    a8k = ((const __m64  *) a9k);
    a7k = _mm_loadl_pi(_mm_set1_ps(0.0f), a8k);
    a1l = (src + 108);
    a0l = ((const __m64  *) a1l);
    a6k = _mm_loadh_pi(a7k, a0l);
    s1c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6k);
    a5l = (src + 92);
    a4l = ((const __m64  *) a5l);
    a3l = _mm_loadl_pi(_mm_set1_ps(0.0f), a4l);
    a7l = (src + 76);
    a6l = ((const __m64  *) a7l);
    a2l = _mm_loadh_pi(a3l, a6l);
    s2c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a2l);
    a1m = (src + 60);
    a0m = ((const __m64  *) a1m);
    a9l = _mm_loadl_pi(_mm_set1_ps(0.0f), a0m);
    a3m = (src + 44);
    a2m = ((const __m64  *) a3m);
    a8l = _mm_loadh_pi(a9l, a2m);
    s3c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8l);
    a7m = (src + 28);
    a6m = ((const __m64  *) a7m);
    a5m = _mm_loadl_pi(_mm_set1_ps(0.0f), a6m);
    a9m = (src + 12);
    a8m = ((const __m64  *) a9m);
    a4m = _mm_loadh_pi(a5m, a8m);
    s4c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a4m);
    s5c = _mm_shuffle_ps(s7b, s8b, _MM_SHUFFLE(2, 0, 2, 0));
    s6c = _mm_shuffle_ps(s7b, s8b, _MM_SHUFFLE(3, 1, 3, 1));
    s7c = _mm_shuffle_ps(s1c, s2c, _MM_SHUFFLE(2, 0, 2, 0));
    s8c = _mm_shuffle_ps(s1c, s2c, _MM_SHUFFLE(3, 1, 3, 1));
    t56 = _mm_add_ps(s5c, s7c);
    t66 = _mm_add_ps(s6c, s8c);
    t76 = _mm_sub_ps(s5c, s7c);
    t86 = _mm_sub_ps(s6c, s8c);
    s9c = _mm_shuffle_ps(s9b, s0c, _MM_SHUFFLE(2, 0, 2, 0));
    s0d = _mm_shuffle_ps(s9b, s0c, _MM_SHUFFLE(3, 1, 3, 1));
    s1d = _mm_shuffle_ps(s3c, s4c, _MM_SHUFFLE(2, 0, 2, 0));
    s2d = _mm_shuffle_ps(s3c, s4c, _MM_SHUFFLE(3, 1, 3, 1));
    t96 = _mm_add_ps(s9c, s1d);
    t07 = _mm_add_ps(s0d, s2d);
    t17 = _mm_sub_ps(s9c, s1d);
    t27 = _mm_sub_ps(s0d, s2d);
    t37 = _mm_add_ps(t56, t96);
    t47 = _mm_add_ps(t66, t07);
    t57 = _mm_sub_ps(t56, t96);
    t67 = _mm_sub_ps(t66, t07);
    t77 = _mm_sub_ps(t76, t27);
    t87 = _mm_add_ps(t86, t17);
    t97 = _mm_add_ps(t76, t27);
    t08 = _mm_sub_ps(t86, t17);
    s3d = _mm_unpacklo_ps(t37, t77);
    s4d = _mm_unpackhi_ps(t37, t77);
    s5d = _mm_unpacklo_ps(t47, t87);
    s6d = _mm_unpackhi_ps(t47, t87);
    s7d = _mm_unpacklo_ps(t57, t97);
    s8d = _mm_unpackhi_ps(t57, t97);
    s9d = _mm_unpacklo_ps(t67, t08);
    s0e = _mm_unpackhi_ps(t67, t08);
    s1e = _mm_shuffle_ps(s3d, s7d, _MM_SHUFFLE(1, 0, 1, 0));
    s2e = _mm_shuffle_ps(s3d, s7d, _MM_SHUFFLE(3, 2, 3, 2));
    s3e = _mm_shuffle_ps(s4d, s8d, _MM_SHUFFLE(1, 0, 1, 0));
    s4e = _mm_shuffle_ps(s4d, s8d, _MM_SHUFFLE(3, 2, 3, 2));
    s5e = _mm_shuffle_ps(s5d, s9d, _MM_SHUFFLE(1, 0, 1, 0));
    s6e = _mm_shuffle_ps(s5d, s9d, _MM_SHUFFLE(3, 2, 3, 2));
    s7e = _mm_shuffle_ps(s6d, s0e, _MM_SHUFFLE(1, 0, 1, 0));
    s8e = _mm_shuffle_ps(s6d, s0e, _MM_SHUFFLE(3, 2, 3, 2));
    a0n = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3e);
    a1n = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s7e);
    s9e = _mm_sub_ps(a0n, a1n);
    a2n = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3e);
    a3n = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7e);
    s0f = _mm_add_ps(a2n, a3n);
    t18 = _mm_add_ps(s1e, s9e);
    t28 = _mm_add_ps(s5e, s0f);
    t38 = _mm_sub_ps(s1e, s9e);
    t48 = _mm_sub_ps(s5e, s0f);
    a4n = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s2e);
    a5n = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s6e);
    s1f = _mm_sub_ps(a4n, a5n);
    a6n = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s2e);
    a7n = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6e);
    s2f = _mm_add_ps(a6n, a7n);
    a8n = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s4e);
    a9n = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s8e);
    s3f = _mm_sub_ps(a8n, a9n);
    a0o = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s4e);
    a1o = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8e);
    s4f = _mm_add_ps(a0o, a1o);
    t58 = _mm_add_ps(s1f, s3f);
    t68 = _mm_add_ps(s2f, s4f);
    t78 = _mm_sub_ps(s1f, s3f);
    t88 = _mm_sub_ps(s2f, s4f);
    t98 = _mm_add_ps(t18, t58);
    t09 = _mm_add_ps(t28, t68);
    t19 = _mm_sub_ps(t18, t58);
    t29 = _mm_sub_ps(t28, t68);
    a2o = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t98);
    a3o = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t09);
    s5f = _mm_sub_ps(a2o, a3o);
    a4o = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t98);
    a5o = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t09);
    s6f = _mm_add_ps(a4o, a5o);
    a6o = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t19);
    a7o = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t29);
    s7f = _mm_sub_ps(a6o, a7o);
    a8o = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t19);
    a9o = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t29);
    s8f = _mm_add_ps(a8o, a9o);
    t39 = _mm_sub_ps(t38, t88);
    t49 = _mm_add_ps(t48, t78);
    t59 = _mm_add_ps(t38, t88);
    t69 = _mm_sub_ps(t48, t78);
    a0p = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t39);
    a1p = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t49);
    s9f = _mm_sub_ps(a0p, a1p);
    a2p = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t39);
    a3p = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t49);
    s0g = _mm_add_ps(a2p, a3p);
    a4p = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t59);
    a5p = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t69);
    s1g = _mm_sub_ps(a4p, a5p);
    a6p = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t59);
    a7p = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t69);
    s2g = _mm_add_ps(a6p, a7p);
    a0q = (src + 6);
    a9p = ((const __m64  *) a0q);
    a8p = _mm_loadl_pi(_mm_set1_ps(0.0f), a9p);
    a2q = (src + 22);
    a1q = ((const __m64  *) a2q);
    s3g = _mm_loadh_pi(a8p, a1q);
    a5q = (src + 38);
    a4q = ((const __m64  *) a5q);
    a3q = _mm_loadl_pi(_mm_set1_ps(0.0f), a4q);
    a7q = (src + 54);
    a6q = ((const __m64  *) a7q);
    s4g = _mm_loadh_pi(a3q, a6q);
    a0r = (src + 70);
    a9q = ((const __m64  *) a0r);
    a8q = _mm_loadl_pi(_mm_set1_ps(0.0f), a9q);
    a2r = (src + 86);
    a1r = ((const __m64  *) a2r);
    s5g = _mm_loadh_pi(a8q, a1r);
    a5r = (src + 102);
    a4r = ((const __m64  *) a5r);
    a3r = _mm_loadl_pi(_mm_set1_ps(0.0f), a4r);
    a7r = (src + 118);
    a6r = ((const __m64  *) a7r);
    s6g = _mm_loadh_pi(a3r, a6r);
    a1s = (src + 122);
    a0s = ((const __m64  *) a1s);
    a9r = _mm_loadl_pi(_mm_set1_ps(0.0f), a0s);
    a3s = (src + 106);
    a2s = ((const __m64  *) a3s);
    a8r = _mm_loadh_pi(a9r, a2s);
    s7g = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a8r);
    a7s = (src + 90);
    a6s = ((const __m64  *) a7s);
    a5s = _mm_loadl_pi(_mm_set1_ps(0.0f), a6s);
    a9s = (src + 74);
    a8s = ((const __m64  *) a9s);
    a4s = _mm_loadh_pi(a5s, a8s);
    s8g = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a4s);
    a3t = (src + 58);
    a2t = ((const __m64  *) a3t);
    a1t = _mm_loadl_pi(_mm_set1_ps(0.0f), a2t);
    a5t = (src + 42);
    a4t = ((const __m64  *) a5t);
    a0t = _mm_loadh_pi(a1t, a4t);
    s9g = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a0t);
    a9t = (src + 26);
    a8t = ((const __m64  *) a9t);
    a7t = _mm_loadl_pi(_mm_set1_ps(0.0f), a8t);
    a1u = (src + 10);
    a0u = ((const __m64  *) a1u);
    a6t = _mm_loadh_pi(a7t, a0u);
    s0h = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a6t);
    s1h = _mm_shuffle_ps(s3g, s4g, _MM_SHUFFLE(2, 0, 2, 0));
    s2h = _mm_shuffle_ps(s3g, s4g, _MM_SHUFFLE(3, 1, 3, 1));
    s3h = _mm_shuffle_ps(s7g, s8g, _MM_SHUFFLE(2, 0, 2, 0));
    s4h = _mm_shuffle_ps(s7g, s8g, _MM_SHUFFLE(3, 1, 3, 1));
    t79 = _mm_add_ps(s1h, s3h);
    t89 = _mm_add_ps(s2h, s4h);
    t99 = _mm_sub_ps(s1h, s3h);
    t0a = _mm_sub_ps(s2h, s4h);
    s5h = _mm_shuffle_ps(s5g, s6g, _MM_SHUFFLE(2, 0, 2, 0));
    s6h = _mm_shuffle_ps(s5g, s6g, _MM_SHUFFLE(3, 1, 3, 1));
    s7h = _mm_shuffle_ps(s9g, s0h, _MM_SHUFFLE(2, 0, 2, 0));
    s8h = _mm_shuffle_ps(s9g, s0h, _MM_SHUFFLE(3, 1, 3, 1));
    t1a = _mm_add_ps(s5h, s7h);
    t2a = _mm_add_ps(s6h, s8h);
    t3a = _mm_sub_ps(s5h, s7h);
    t4a = _mm_sub_ps(s6h, s8h);
    t5a = _mm_add_ps(t79, t1a);
    t6a = _mm_add_ps(t89, t2a);
    t7a = _mm_sub_ps(t79, t1a);
    t8a = _mm_sub_ps(t89, t2a);
    t9a = _mm_sub_ps(t99, t4a);
    t0b = _mm_add_ps(t0a, t3a);
    t1b = _mm_add_ps(t99, t4a);
    t2b = _mm_sub_ps(t0a, t3a);
    s9h = _mm_unpacklo_ps(t5a, t9a);
    s0i = _mm_unpackhi_ps(t5a, t9a);
    s1i = _mm_unpacklo_ps(t6a, t0b);
    s2i = _mm_unpackhi_ps(t6a, t0b);
    s3i = _mm_unpacklo_ps(t7a, t1b);
    s4i = _mm_unpackhi_ps(t7a, t1b);
    s5i = _mm_unpacklo_ps(t8a, t2b);
    s6i = _mm_unpackhi_ps(t8a, t2b);
    s7i = _mm_shuffle_ps(s9h, s3i, _MM_SHUFFLE(1, 0, 1, 0));
    s8i = _mm_shuffle_ps(s9h, s3i, _MM_SHUFFLE(3, 2, 3, 2));
    s9i = _mm_shuffle_ps(s0i, s4i, _MM_SHUFFLE(1, 0, 1, 0));
    s0j = _mm_shuffle_ps(s0i, s4i, _MM_SHUFFLE(3, 2, 3, 2));
    s1j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(1, 0, 1, 0));
    s2j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(3, 2, 3, 2));
    s3j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(1, 0, 1, 0));
    s4j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(3, 2, 3, 2));
    a2u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9i);
    a3u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3j);
    s5j = _mm_sub_ps(a2u, a3u);
    a4u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s9i);
    a5u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3j);
    s6j = _mm_add_ps(a4u, a5u);
    t3b = _mm_add_ps(s7i, s5j);
    t4b = _mm_add_ps(s1j, s6j);
    t5b = _mm_sub_ps(s7i, s5j);
    t6b = _mm_sub_ps(s1j, s6j);
    a6u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s8i);
    a7u = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s2j);
    s7j = _mm_sub_ps(a6u, a7u);
    a8u = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s8i);
    a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s2j);
    s8j = _mm_add_ps(a8u, a9u);
    a0v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s0j);
    a1v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s4j);
    s9j = _mm_sub_ps(a0v, a1v);
    a2v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s0j);
    a3v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s4j);
    s0k = _mm_add_ps(a2v, a3v);
    t7b = _mm_add_ps(s7j, s9j);
    t8b = _mm_add_ps(s8j, s0k);
    t9b = _mm_sub_ps(s7j, s9j);
    t0c = _mm_sub_ps(s8j, s0k);
    t1c = _mm_add_ps(t3b, t7b);
    t2c = _mm_add_ps(t4b, t8b);
    t3c = _mm_sub_ps(t3b, t7b);
    t4c = _mm_sub_ps(t4b, t8b);
    a4v = _mm_mul_ps(_mm_set_ps(1.8079785862468867f, 1.9138806714644176f, 1.978353019929562f, 2.0f), t1c);
    a5v = _mm_mul_ps(_mm_set_ps(0.85511018686056417f, 0.58056935450892477f, 0.2934609489107235f, 0.0f), t2c);
    s1k = _mm_sub_ps(a4v, a5v);
    a6v = _mm_mul_ps(_mm_set_ps(0.85511018686056417f, 0.58056935450892477f, 0.2934609489107235f, 0.0f), t1c);
    a7v = _mm_mul_ps(_mm_set_ps(1.8079785862468867f, 1.9138806714644176f, 1.978353019929562f, 2.0f), t2c);
    s2k = _mm_add_ps(a6v, a7v);
    a8v = _mm_mul_ps(_mm_set_ps((-0.09813534865483603f), 0.19603428065912121f, 0.4859603598065278f, 0.76536686473017956f), t3c);
    a9v = _mm_mul_ps(_mm_set_ps(1.9975909124103448f, 1.9903694533443939f, 1.9400625063890879f, 1.8477590650225735f), t4c);
    s3k = _mm_sub_ps(a8v, a9v);
    a0w = _mm_mul_ps(_mm_set_ps(1.9975909124103448f, 1.9903694533443939f, 1.9400625063890879f, 1.8477590650225735f), t3c);
    a1w = _mm_mul_ps(_mm_set_ps((-0.09813534865483603f), 0.19603428065912121f, 0.4859603598065278f, 0.76536686473017956f), t4c);
    s4k = _mm_add_ps(a0w, a1w);
    t5c = _mm_sub_ps(t5b, t0c);
    t6c = _mm_add_ps(t6b, t9b);
    t7c = _mm_add_ps(t5b, t0c);
    t8c = _mm_sub_ps(t6b, t9b);
    a2w = _mm_mul_ps(_mm_set_ps(1.0282054883864435f, 1.268786568327291f, 1.4819022507099182f, 1.6629392246050905f), t5c);
    a3w = _mm_mul_ps(_mm_set_ps(1.7154572200005442f, 1.546020906725474f, 1.3431179096940369f, 1.1111404660392044f), t6c);
    s5k = _mm_sub_ps(a2w, a3w);
    a4w = _mm_mul_ps(_mm_set_ps(1.7154572200005442f, 1.546020906725474f, 1.3431179096940369f, 1.1111404660392044f), t5c);
    a5w = _mm_mul_ps(_mm_set_ps(1.0282054883864435f, 1.268786568327291f, 1.4819022507099182f, 1.6629392246050905f), t6c);
    s6k = _mm_add_ps(a4w, a5w);
    a6w = _mm_mul_ps(_mm_set_ps((-1.1913986089848667f), (-0.94279347365199528f), (-0.6737797067844401f), (-0.39018064403225655f)), t7c);
    a7w = _mm_mul_ps(_mm_set_ps(1.6064150629612899f, 1.7638425286967101f, 1.8830881303660416f, 1.9615705608064609f), t8c);
    s7k = _mm_sub_ps(a6w, a7w);
    a8w = _mm_mul_ps(_mm_set_ps(1.6064150629612899f, 1.7638425286967101f, 1.8830881303660416f, 1.9615705608064609f), t7c);
    a9w = _mm_mul_ps(_mm_set_ps((-1.1913986089848667f), (-0.94279347365199528f), (-0.6737797067844401f), (-0.39018064403225655f)), t8c);
    s8k = _mm_add_ps(a8w, a9w);
    t9c = _mm_add_ps(s36, s5f);
    t0d = _mm_sub_ps(s36, s5f);
    t1d = _mm_sub_ps(s56, s6f);
    t2d = _mm_add_ps(s56, s6f);
    t3d = _mm_add_ps(s9a, s1k);
    t4d = _mm_sub_ps(s0b, s2k);
    a0x = _mm_sub_ps(s9a, s1k);
    a = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0x);
    a1x = _mm_add_ps(s0b, s2k);
    a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1x);
    s9k = _mm_sub_ps(a, a2);
    s0l = _mm_add_ps(a, a2);
    s1l = _mm_add_ps(t9c, t3d);
    _mm_storeu_ps(((float  *) dst), s1l);
    s2l = _mm_sub_ps(t9c, t3d);
    a8x = (dst + 64);
    _mm_storeu_ps(((float  *) a8x), s2l);
    s3l = _mm_sub_ps(t0d, t4d);
    a9x = (dst + 32);
    _mm_storeu_ps(((float  *) a9x), s3l);
    s4l = _mm_add_ps(t0d, t4d);
    a0y = (dst + 96);
    _mm_storeu_ps(((float  *) a0y), s4l);
    s5l = _mm_add_ps(t1d, s9k);
    a1y = (dst + 16);
    _mm_storeu_ps(((float  *) a1y), s5l);
    s6l = _mm_sub_ps(t1d, s9k);
    a2y = (dst + 80);
    _mm_storeu_ps(((float  *) a2y), s6l);
    s7l = _mm_sub_ps(t2d, s0l);
    a3y = (dst + 48);
    _mm_storeu_ps(((float  *) a3y), s7l);
    s8l = _mm_add_ps(t2d, s0l);
    a4y = (dst + 112);
    _mm_storeu_ps(((float  *) a4y), s8l);
    t5d = _mm_add_ps(s46, s9f);
    t6d = _mm_sub_ps(s46, s9f);
    t7d = _mm_sub_ps(s66, s0g);
    t8d = _mm_add_ps(s66, s0g);
    t9d = _mm_add_ps(s3b, s5k);
    t0e = _mm_sub_ps(s4b, s6k);
    a2x = _mm_sub_ps(s3b, s5k);
    a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2x);
    a3x = _mm_add_ps(s4b, s6k);
    a4 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3x);
    s9l = _mm_sub_ps(a3, a4);
    s0m = _mm_add_ps(a3, a4);
    s1m = _mm_add_ps(t5d, t9d);
    a5y = (dst + 4);
    _mm_storeu_ps(((float  *) a5y), s1m);
    s2m = _mm_sub_ps(t5d, t9d);
    a6y = (dst + 68);
    _mm_storeu_ps(((float  *) a6y), s2m);
    s3m = _mm_sub_ps(t6d, t0e);
    a7y = (dst + 36);
    _mm_storeu_ps(((float  *) a7y), s3m);
    s4m = _mm_add_ps(t6d, t0e);
    a8y = (dst + 100);
    _mm_storeu_ps(((float  *) a8y), s4m);
    s5m = _mm_add_ps(t7d, s9l);
    a9y = (dst + 20);
    _mm_storeu_ps(((float  *) a9y), s5m);
    s6m = _mm_sub_ps(t7d, s9l);
    a0z = (dst + 84);
    _mm_storeu_ps(((float  *) a0z), s6m);
    s7m = _mm_sub_ps(t8d, s0m);
    a1z = (dst + 52);
    _mm_storeu_ps(((float  *) a1z), s7m);
    s8m = _mm_add_ps(t8d, s0m);
    a2z = (dst + 116);
    _mm_storeu_ps(((float  *) a2z), s8m);
    t1e = _mm_add_ps(s76, s7f);
    t2e = _mm_sub_ps(s76, s7f);
    t3e = _mm_sub_ps(s96, s8f);
    t4e = _mm_add_ps(s96, s8f);
    t5e = _mm_add_ps(s1b, s3k);
    t6e = _mm_sub_ps(s2b, s4k);
    a4x = _mm_sub_ps(s1b, s3k);
    a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4x);
    a5x = _mm_add_ps(s2b, s4k);
    a6 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5x);
    s9m = _mm_sub_ps(a5, a6);
    s0n = _mm_add_ps(a5, a6);
    s1n = _mm_add_ps(t1e, t5e);
    a3z = (dst + 8);
    _mm_storeu_ps(((float  *) a3z), s1n);
    s2n = _mm_sub_ps(t1e, t5e);
    a4z = (dst + 72);
    _mm_storeu_ps(((float  *) a4z), s2n);
    s3n = _mm_sub_ps(t2e, t6e);
    a5z = (dst + 40);
    _mm_storeu_ps(((float  *) a5z), s3n);
    s4n = _mm_add_ps(t2e, t6e);
    a6z = (dst + 104);
    _mm_storeu_ps(((float  *) a6z), s4n);
    s5n = _mm_add_ps(t3e, s9m);
    a7z = (dst + 24);
    _mm_storeu_ps(((float  *) a7z), s5n);
    s6n = _mm_sub_ps(t3e, s9m);
    a8z = (dst + 88);
    _mm_storeu_ps(((float  *) a8z), s6n);
    s7n = _mm_sub_ps(t4e, s0n);
    a9z = (dst + 56);
    _mm_storeu_ps(((float  *) a9z), s7n);
    s8n = _mm_add_ps(t4e, s0n);
    a0A = (dst + 120);
    _mm_storeu_ps(((float  *) a0A), s8n);
    t7e = _mm_add_ps(s86, s1g);
    t8e = _mm_sub_ps(s86, s1g);
    t9e = _mm_sub_ps(s07, s2g);
    t0f = _mm_add_ps(s07, s2g);
    t1f = _mm_add_ps(s5b, s7k);
    t2f = _mm_sub_ps(s6b, s8k);
    a6x = _mm_sub_ps(s5b, s7k);
    a7 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6x);
    a7x = _mm_add_ps(s6b, s8k);
    a8 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a7x);
    s9n = _mm_sub_ps(a7, a8);
    s0o = _mm_add_ps(a7, a8);
    s1o = _mm_add_ps(t7e, t1f);
    a1A = (dst + 12);
    _mm_storeu_ps(((float  *) a1A), s1o);
    s2o = _mm_sub_ps(t7e, t1f);
    a2A = (dst + 76);
    _mm_storeu_ps(((float  *) a2A), s2o);
    s3o = _mm_sub_ps(t8e, t2f);
    a3A = (dst + 44);
    _mm_storeu_ps(((float  *) a3A), s3o);
    s4o = _mm_add_ps(t8e, t2f);
    a4A = (dst + 108);
    _mm_storeu_ps(((float  *) a4A), s4o);
    s5o = _mm_add_ps(t9e, s9n);
    a5A = (dst + 28);
    _mm_storeu_ps(((float  *) a5A), s5o);
    s6o = _mm_sub_ps(t9e, s9n);
    a6A = (dst + 92);
    _mm_storeu_ps(((float  *) a6A), s6o);
    s7o = _mm_sub_ps(t0f, s0o);
    a7A = (dst + 60);
    _mm_storeu_ps(((float  *) a7A), s7o);
    s8o = _mm_add_ps(t0f, s0o);
    a8A = (dst + 124);
    _mm_storeu_ps(((float  *) a8A), s8o);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftinv_float_128)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftinv_float_128_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    {__m128 a01, a04, a06, a07, a0c, a0d, a0m, a0s, a11, a12, a15, a16, a17, a1e, a1t, a22, a25, a26, a27, a2e, a2j, a2k
            , a2t, a33, a36, a3f, a3l, a43, a46, a4f, a4l, a4q, a4r, a51, a54, a56, a5b, a5c, a5d, a5m, a5s, a61, a64, a66
            , a6d, a6m, a6s, a72, a75, a76, a7e, a7i, a7j, a7k, a7t, a82, a85, a86, a8e, a8k, a8t, a93, a95, a96, a9l, a9p
            , a9q, a9r;
    __m128 a, a08, a09, a0a, a0b, a0g, a0h, a0i, a0o, a0p, a0v, a0w, a0x, a18, a19, a1a, a1b, a1g, a1h, a1i, a1n, a1o
            , a1p, a1v, a1w, a1x, a2, a28, a29, a2a, a2b, a2g, a2h, a2i, a2n, a2o, a2p, a2v, a2w, a2x, a37, a38, a39, a3a
            , a3b, a3g, a3h, a3i, a3n, a3o, a3p, a3u, a3v, a3w, a3x, a4, a47, a48, a49, a4a, a4b, a4g, a4h, a4i, a4n, a4o
            , a4p, a4u, a4v, a4w, a4x, a5, a57, a58, a59, a5a, a5g, a5h, a5i, a5n, a5o, a5p, a5u, a5v, a5w, a5x, a6, a67
            , a68, a69, a6a, a6g, a6h, a6i, a6n, a6o, a6p, a6u, a6v, a6w, a6x, a7, a77, a78, a79, a7a, a7g, a7h, a7n, a7o
            , a7p, a7u, a7v, a7w, a7x, a8, a87, a88, a89, a8a, a8g, a8h, a8n, a8o, a8p, a8u, a8v, a8w, a8x, a9, a97, a98
            , a99, a9a, a9f, a9g, a9h, a9n, a9o, a9u, a9v, a9w, b, b2, b3, b4, b5, b6, b7, b8, b9, s, s01, s02
            , s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o
            , s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m
            , s1n, s1o, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j
            , s2k, s2l, s2m, s2n, s2o, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g
            , s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d
            , s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a
            , s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s6, s61, s62, s63, s64, s65, s66, s67
            , s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s7, s71, s72, s73, s74
            , s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s8, s81
            , s82, s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n
            , s8o, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k
            , s9l, s9m, s9n, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t11, t12, t13
            , t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29
            , t2a, t2b, t2c, t2d, t2e, t2f, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t4
            , t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t5, t51, t52, t53, t54, t55, t56, t57
            , t58, t59, t5a, t5b, t5c, t5d, t5e, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e
            , t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t8, t81, t82, t83, t84, t85, t86
            , t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d
            , t9e;
    const __m64  *a0j, *a0k, *a0q, *a0r, *a13, *a14, *a1c, *a1d, *a1f, *a1l, *a1m, *a1s, *a1u, *a21, *a2q, *a2r, *a31, *a32, *a34, *a35, *a3c, *a3d
            , *a3e, *a3j, *a3k, *a3m, *a3s, *a3t, *a52, *a53, *a55, *a5e, *a5f, *a5j, *a5k, *a5l, *a5q, *a5r, *a5t, *a6b, *a6c, *a71, *a73, *a74
            , *a7d, *a7f, *a7l, *a7m, *a7q, *a7r, *a7s, *a8b, *a8c, *a8i, *a8j, *a91, *a92, *a94, *a9d, *a9e, *a9k, *a9m, *a9s, *a9t;
    __m128  *a0A, *a0y, *a0z, *a1A, *a1y, *a1z, *a2A, *a2y, *a2z, *a3, *a3A, *a3y, *a3z, *a4A, *a4y, *a4z, *a5A, *a5y, *a5z, *a6A, *a6y, *a6z
            , *a7A, *a7y, *a7z, *a8A, *a8y, *a8z, *a9A, *a9x, *a9y, *a9z;
    const float  *a02, *a03, *a05, *a0e, *a0f, *a0l, *a0n, *a0t, *a0u, *a1j, *a1k, *a1q, *a1r, *a23, *a24, *a2c, *a2d, *a2f, *a2l, *a2m, *a2s, *a2u
            , *a3q, *a3r, *a41, *a42, *a44, *a45, *a4c, *a4d, *a4e, *a4j, *a4k, *a4m, *a4s, *a4t, *a62, *a63, *a65, *a6e, *a6f, *a6j, *a6k, *a6l
            , *a6q, *a6r, *a6t, *a7b, *a7c, *a81, *a83, *a84, *a8d, *a8f, *a8l, *a8m, *a8q, *a8r, *a8s, *a9b, *a9c, *a9i, *a9j;
    a21 = ((const __m64  *) src);
    a11 = _mm_loadl_pi(_mm_set1_ps(0.0f), a21);
    a41 = (src + 8);
    a31 = ((const __m64  *) a41);
    a01 = _mm_loadh_pi(a11, a31);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a01);
    a81 = (src + 16);
    a71 = ((const __m64  *) a81);
    a61 = _mm_loadl_pi(_mm_set1_ps(0.0f), a71);
    a02 = (src + 24);
    a91 = ((const __m64  *) a02);
    a51 = _mm_loadh_pi(a61, a91);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a51);
    a42 = (src + 32);
    a32 = ((const __m64  *) a42);
    a22 = _mm_loadl_pi(_mm_set1_ps(0.0f), a32);
    a62 = (src + 40);
    a52 = ((const __m64  *) a62);
    a12 = _mm_loadh_pi(a22, a52);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a12);
    a03 = (src + 48);
    a92 = ((const __m64  *) a03);
    a82 = _mm_loadl_pi(_mm_set1_ps(0.0f), a92);
    a23 = (src + 56);
    a13 = ((const __m64  *) a23);
    a72 = _mm_loadh_pi(a82, a13);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a72);
    a63 = (src + 64);
    a53 = ((const __m64  *) a63);
    a43 = _mm_loadl_pi(_mm_set1_ps(0.0f), a53);
    a83 = (src + 72);
    a73 = ((const __m64  *) a83);
    a33 = _mm_loadh_pi(a43, a73);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a33);
    a24 = (src + 80);
    a14 = ((const __m64  *) a24);
    a04 = _mm_loadl_pi(_mm_set1_ps(0.0f), a14);
    a44 = (src + 88);
    a34 = ((const __m64  *) a44);
    a93 = _mm_loadh_pi(a04, a34);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a93);
    a84 = (src + 96);
    a74 = ((const __m64  *) a84);
    a64 = _mm_loadl_pi(_mm_set1_ps(0.0f), a74);
    a05 = (src + 104);
    a94 = ((const __m64  *) a05);
    a54 = _mm_loadh_pi(a64, a94);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a54);
    a45 = (src + 112);
    a35 = ((const __m64  *) a45);
    a25 = _mm_loadl_pi(_mm_set1_ps(0.0f), a35);
    a65 = (src + 120);
    a55 = ((const __m64  *) a65);
    a15 = _mm_loadh_pi(a25, a55);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a15);
    a75 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a75);
    a85 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a85);
    a95 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a95);
    a06 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a06);
    a16 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a16);
    a26 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a26);
    a36 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a36);
    a46 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a46);
    a56 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a56, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a66, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a76 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a76, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a86 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a86, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a96 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a96, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a07 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a07, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a17 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a17, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a27 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a27, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a47 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a57 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a37 = _mm_add_ps(a47, a57);
    s52 = _mm_sub_ps(a37, s02);
    a67 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a77 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a67, a77);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a97 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a08 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a87 = _mm_sub_ps(a97, a08);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a87);
    a28 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a18 = _mm_sub_ps(a28, s42);
    a38 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a48 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a18, a38);
    s43 = _mm_add_ps(b3, a48);
    a68 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a78 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a58 = _mm_sub_ps(a68, a78);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a58);
    a88 = _mm_sub_ps(s21, s12);
    a98 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a09 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a88, a98);
    s63 = _mm_add_ps(b5, a09);
    a29 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a39 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a19 = _mm_sub_ps(a29, a39);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a19);
    a49 = _mm_sub_ps(s41, s22);
    a59 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a69 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a49, a59);
    s83 = _mm_add_ps(b7, a69);
    a89 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a99 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a79 = _mm_sub_ps(a89, a99);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a79);
    a0a = _mm_sub_ps(s61, s32);
    a1a = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a2a = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a0a, a1a);
    s04 = _mm_add_ps(b9, a2a);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a3a = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a4a = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a6a = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a5a, a6a);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a7a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a8a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a7a, a8a);
    a9a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a0b = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a9a, a0b);
    a1b = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a2b = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a1b, a2b);
    a3b = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a4b = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a3b, a4b);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a7b = (src + 2);
    a6b = ((const __m64  *) a7b);
    a5b = _mm_loadl_pi(_mm_set1_ps(0.0f), a6b);
    a9b = (src + 18);
    a8b = ((const __m64  *) a9b);
    s17 = _mm_loadh_pi(a5b, a8b);
    a2c = (src + 34);
    a1c = ((const __m64  *) a2c);
    a0c = _mm_loadl_pi(_mm_set1_ps(0.0f), a1c);
    a4c = (src + 50);
    a3c = ((const __m64  *) a4c);
    s27 = _mm_loadh_pi(a0c, a3c);
    a7c = (src + 66);
    a6c = ((const __m64  *) a7c);
    a5c = _mm_loadl_pi(_mm_set1_ps(0.0f), a6c);
    a9c = (src + 82);
    a8c = ((const __m64  *) a9c);
    s37 = _mm_loadh_pi(a5c, a8c);
    a2d = (src + 98);
    a1d = ((const __m64  *) a2d);
    a0d = _mm_loadl_pi(_mm_set1_ps(0.0f), a1d);
    a4d = (src + 114);
    a3d = ((const __m64  *) a4d);
    s47 = _mm_loadh_pi(a0d, a3d);
    a8d = (src + 126);
    a7d = ((const __m64  *) a8d);
    a6d = _mm_loadl_pi(_mm_set1_ps(0.0f), a7d);
    a0e = (src + 110);
    a9d = ((const __m64  *) a0e);
    a5d = _mm_loadh_pi(a6d, a9d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5d);
    a4e = (src + 94);
    a3e = ((const __m64  *) a4e);
    a2e = _mm_loadl_pi(_mm_set1_ps(0.0f), a3e);
    a6e = (src + 78);
    a5e = ((const __m64  *) a6e);
    a1e = _mm_loadh_pi(a2e, a5e);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1e);
    a0f = (src + 62);
    a9e = ((const __m64  *) a0f);
    a8e = _mm_loadl_pi(_mm_set1_ps(0.0f), a9e);
    a2f = (src + 46);
    a1f = ((const __m64  *) a2f);
    a7e = _mm_loadh_pi(a8e, a1f);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7e);
    a6f = (src + 30);
    a5f = ((const __m64  *) a6f);
    a4f = _mm_loadl_pi(_mm_set1_ps(0.0f), a5f);
    a8f = (src + 14);
    a7f = ((const __m64  *) a8f);
    a3f = _mm_loadh_pi(a4f, a7f);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3f);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a9f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a0g = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a2g = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a1g, a2g);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a3g = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a4g = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a6g = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a8g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a0h = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a9g, a0h);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a1h = _mm_mul_ps(_mm_set_ps(1.978353019929562f, 1.9903694533443939f, 1.9975909124103448f, 2.0f), t75);
    a2h = _mm_mul_ps(_mm_set_ps(0.2934609489107235f, 0.19603428065912121f, 0.09813534865483603f, 0.0f), t85);
    s9a = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps(0.2934609489107235f, 0.19603428065912121f, 0.09813534865483603f, 0.0f), t75);
    a4h = _mm_mul_ps(_mm_set_ps(1.978353019929562f, 1.9903694533443939f, 1.9975909124103448f, 2.0f), t85);
    s0b = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps(1.7154572200005442f, 1.7638425286967101f, 1.8079785862468867f, 1.8477590650225735f), t95);
    a6h = _mm_mul_ps(_mm_set_ps(1.0282054883864435f, 0.94279347365199528f, 0.85511018686056417f, 0.76536686473017956f), t06);
    s1b = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps(1.0282054883864435f, 0.94279347365199528f, 0.85511018686056417f, 0.76536686473017956f), t95);
    a8h = _mm_mul_ps(_mm_set_ps(1.7154572200005442f, 1.7638425286967101f, 1.8079785862468867f, 1.8477590650225735f), t06);
    s2b = _mm_add_ps(a7h, a8h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a9h = _mm_mul_ps(_mm_set_ps(1.8830881303660416f, 1.9138806714644176f, 1.9400625063890879f, 1.9615705608064609f), t16);
    a0i = _mm_mul_ps(_mm_set_ps(0.6737797067844401f, 0.58056935450892477f, 0.4859603598065278f, 0.39018064403225655f), t26);
    s3b = _mm_sub_ps(a9h, a0i);
    a1i = _mm_mul_ps(_mm_set_ps(0.6737797067844401f, 0.58056935450892477f, 0.4859603598065278f, 0.39018064403225655f), t16);
    a2i = _mm_mul_ps(_mm_set_ps(1.8830881303660416f, 1.9138806714644176f, 1.9400625063890879f, 1.9615705608064609f), t26);
    s4b = _mm_add_ps(a1i, a2i);
    a3i = _mm_mul_ps(_mm_set_ps(1.4819022507099182f, 1.546020906725474f, 1.6064150629612899f, 1.6629392246050905f), t36);
    a4i = _mm_mul_ps(_mm_set_ps(1.3431179096940369f, 1.268786568327291f, 1.1913986089848667f, 1.1111404660392044f), t46);
    s5b = _mm_sub_ps(a3i, a4i);
    a5i = _mm_mul_ps(_mm_set_ps(1.3431179096940369f, 1.268786568327291f, 1.1913986089848667f, 1.1111404660392044f), t36);
    a6i = _mm_mul_ps(_mm_set_ps(1.4819022507099182f, 1.546020906725474f, 1.6064150629612899f, 1.6629392246050905f), t46);
    s6b = _mm_add_ps(a5i, a6i);
    a9i = (src + 4);
    a8i = ((const __m64  *) a9i);
    a7i = _mm_loadl_pi(_mm_set1_ps(0.0f), a8i);
    a1j = (src + 20);
    a0j = ((const __m64  *) a1j);
    s7b = _mm_loadh_pi(a7i, a0j);
    a4j = (src + 36);
    a3j = ((const __m64  *) a4j);
    a2j = _mm_loadl_pi(_mm_set1_ps(0.0f), a3j);
    a6j = (src + 52);
    a5j = ((const __m64  *) a6j);
    s8b = _mm_loadh_pi(a2j, a5j);
    a9j = (src + 68);
    a8j = ((const __m64  *) a9j);
    a7j = _mm_loadl_pi(_mm_set1_ps(0.0f), a8j);
    a1k = (src + 84);
    a0k = ((const __m64  *) a1k);
    s9b = _mm_loadh_pi(a7j, a0k);
    a4k = (src + 100);
    a3k = ((const __m64  *) a4k);
    a2k = _mm_loadl_pi(_mm_set1_ps(0.0f), a3k);
    a6k = (src + 116);
    a5k = ((const __m64  *) a6k);
    s0c = _mm_loadh_pi(a2k, a5k);
    a0l = (src + 124);
    a9k = ((const __m64  *) a0l);
    a8k = _mm_loadl_pi(_mm_set1_ps(0.0f), a9k);
    a2l = (src + 108);
    a1l = ((const __m64  *) a2l);
    a7k = _mm_loadh_pi(a8k, a1l);
    s1c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7k);
    a6l = (src + 92);
    a5l = ((const __m64  *) a6l);
    a4l = _mm_loadl_pi(_mm_set1_ps(0.0f), a5l);
    a8l = (src + 76);
    a7l = ((const __m64  *) a8l);
    a3l = _mm_loadh_pi(a4l, a7l);
    s2c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3l);
    a2m = (src + 60);
    a1m = ((const __m64  *) a2m);
    a0m = _mm_loadl_pi(_mm_set1_ps(0.0f), a1m);
    a4m = (src + 44);
    a3m = ((const __m64  *) a4m);
    a9l = _mm_loadh_pi(a0m, a3m);
    s3c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9l);
    a8m = (src + 28);
    a7m = ((const __m64  *) a8m);
    a6m = _mm_loadl_pi(_mm_set1_ps(0.0f), a7m);
    a0n = (src + 12);
    a9m = ((const __m64  *) a0n);
    a5m = _mm_loadh_pi(a6m, a9m);
    s4c = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5m);
    s5c = _mm_shuffle_ps(s7b, s8b, _MM_SHUFFLE(2, 0, 2, 0));
    s6c = _mm_shuffle_ps(s7b, s8b, _MM_SHUFFLE(3, 1, 3, 1));
    s7c = _mm_shuffle_ps(s1c, s2c, _MM_SHUFFLE(2, 0, 2, 0));
    s8c = _mm_shuffle_ps(s1c, s2c, _MM_SHUFFLE(3, 1, 3, 1));
    t56 = _mm_add_ps(s5c, s7c);
    t66 = _mm_add_ps(s6c, s8c);
    t76 = _mm_sub_ps(s5c, s7c);
    t86 = _mm_sub_ps(s6c, s8c);
    s9c = _mm_shuffle_ps(s9b, s0c, _MM_SHUFFLE(2, 0, 2, 0));
    s0d = _mm_shuffle_ps(s9b, s0c, _MM_SHUFFLE(3, 1, 3, 1));
    s1d = _mm_shuffle_ps(s3c, s4c, _MM_SHUFFLE(2, 0, 2, 0));
    s2d = _mm_shuffle_ps(s3c, s4c, _MM_SHUFFLE(3, 1, 3, 1));
    t96 = _mm_add_ps(s9c, s1d);
    t07 = _mm_add_ps(s0d, s2d);
    t17 = _mm_sub_ps(s9c, s1d);
    t27 = _mm_sub_ps(s0d, s2d);
    t37 = _mm_add_ps(t56, t96);
    t47 = _mm_add_ps(t66, t07);
    t57 = _mm_sub_ps(t56, t96);
    t67 = _mm_sub_ps(t66, t07);
    t77 = _mm_sub_ps(t76, t27);
    t87 = _mm_add_ps(t86, t17);
    t97 = _mm_add_ps(t76, t27);
    t08 = _mm_sub_ps(t86, t17);
    s3d = _mm_unpacklo_ps(t37, t77);
    s4d = _mm_unpackhi_ps(t37, t77);
    s5d = _mm_unpacklo_ps(t47, t87);
    s6d = _mm_unpackhi_ps(t47, t87);
    s7d = _mm_unpacklo_ps(t57, t97);
    s8d = _mm_unpackhi_ps(t57, t97);
    s9d = _mm_unpacklo_ps(t67, t08);
    s0e = _mm_unpackhi_ps(t67, t08);
    s1e = _mm_shuffle_ps(s3d, s7d, _MM_SHUFFLE(1, 0, 1, 0));
    s2e = _mm_shuffle_ps(s3d, s7d, _MM_SHUFFLE(3, 2, 3, 2));
    s3e = _mm_shuffle_ps(s4d, s8d, _MM_SHUFFLE(1, 0, 1, 0));
    s4e = _mm_shuffle_ps(s4d, s8d, _MM_SHUFFLE(3, 2, 3, 2));
    s5e = _mm_shuffle_ps(s5d, s9d, _MM_SHUFFLE(1, 0, 1, 0));
    s6e = _mm_shuffle_ps(s5d, s9d, _MM_SHUFFLE(3, 2, 3, 2));
    s7e = _mm_shuffle_ps(s6d, s0e, _MM_SHUFFLE(1, 0, 1, 0));
    s8e = _mm_shuffle_ps(s6d, s0e, _MM_SHUFFLE(3, 2, 3, 2));
    a1n = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3e);
    a2n = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s7e);
    s9e = _mm_sub_ps(a1n, a2n);
    a3n = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3e);
    a4n = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s7e);
    s0f = _mm_add_ps(a3n, a4n);
    t18 = _mm_add_ps(s1e, s9e);
    t28 = _mm_add_ps(s5e, s0f);
    t38 = _mm_sub_ps(s1e, s9e);
    t48 = _mm_sub_ps(s5e, s0f);
    a5n = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s2e);
    a6n = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s6e);
    s1f = _mm_sub_ps(a5n, a6n);
    a7n = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s2e);
    a8n = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s6e);
    s2f = _mm_add_ps(a7n, a8n);
    a9n = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s4e);
    a0o = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s8e);
    s3f = _mm_sub_ps(a9n, a0o);
    a1o = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s4e);
    a2o = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s8e);
    s4f = _mm_add_ps(a1o, a2o);
    t58 = _mm_add_ps(s1f, s3f);
    t68 = _mm_add_ps(s2f, s4f);
    t78 = _mm_sub_ps(s1f, s3f);
    t88 = _mm_sub_ps(s2f, s4f);
    t98 = _mm_add_ps(t18, t58);
    t09 = _mm_add_ps(t28, t68);
    t19 = _mm_sub_ps(t18, t58);
    t29 = _mm_sub_ps(t28, t68);
    a3o = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t98);
    a4o = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t09);
    s5f = _mm_sub_ps(a3o, a4o);
    a5o = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t98);
    a6o = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t09);
    s6f = _mm_add_ps(a5o, a6o);
    a7o = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t19);
    a8o = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t29);
    s7f = _mm_sub_ps(a7o, a8o);
    a9o = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t19);
    a0p = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t29);
    s8f = _mm_add_ps(a9o, a0p);
    t39 = _mm_sub_ps(t38, t88);
    t49 = _mm_add_ps(t48, t78);
    t59 = _mm_add_ps(t38, t88);
    t69 = _mm_sub_ps(t48, t78);
    a1p = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t39);
    a2p = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t49);
    s9f = _mm_sub_ps(a1p, a2p);
    a3p = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t39);
    a4p = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t49);
    s0g = _mm_add_ps(a3p, a4p);
    a5p = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t59);
    a6p = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t69);
    s1g = _mm_sub_ps(a5p, a6p);
    a7p = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t59);
    a8p = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t69);
    s2g = _mm_add_ps(a7p, a8p);
    a1q = (src + 6);
    a0q = ((const __m64  *) a1q);
    a9p = _mm_loadl_pi(_mm_set1_ps(0.0f), a0q);
    a3q = (src + 22);
    a2q = ((const __m64  *) a3q);
    s3g = _mm_loadh_pi(a9p, a2q);
    a6q = (src + 38);
    a5q = ((const __m64  *) a6q);
    a4q = _mm_loadl_pi(_mm_set1_ps(0.0f), a5q);
    a8q = (src + 54);
    a7q = ((const __m64  *) a8q);
    s4g = _mm_loadh_pi(a4q, a7q);
    a1r = (src + 70);
    a0r = ((const __m64  *) a1r);
    a9q = _mm_loadl_pi(_mm_set1_ps(0.0f), a0r);
    a3r = (src + 86);
    a2r = ((const __m64  *) a3r);
    s5g = _mm_loadh_pi(a9q, a2r);
    a6r = (src + 102);
    a5r = ((const __m64  *) a6r);
    a4r = _mm_loadl_pi(_mm_set1_ps(0.0f), a5r);
    a8r = (src + 118);
    a7r = ((const __m64  *) a8r);
    s6g = _mm_loadh_pi(a4r, a7r);
    a2s = (src + 122);
    a1s = ((const __m64  *) a2s);
    a0s = _mm_loadl_pi(_mm_set1_ps(0.0f), a1s);
    a4s = (src + 106);
    a3s = ((const __m64  *) a4s);
    a9r = _mm_loadh_pi(a0s, a3s);
    s7g = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9r);
    a8s = (src + 90);
    a7s = ((const __m64  *) a8s);
    a6s = _mm_loadl_pi(_mm_set1_ps(0.0f), a7s);
    a0t = (src + 74);
    a9s = ((const __m64  *) a0t);
    a5s = _mm_loadh_pi(a6s, a9s);
    s8g = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5s);
    a4t = (src + 58);
    a3t = ((const __m64  *) a4t);
    a2t = _mm_loadl_pi(_mm_set1_ps(0.0f), a3t);
    a6t = (src + 42);
    a5t = ((const __m64  *) a6t);
    a1t = _mm_loadh_pi(a2t, a5t);
    s9g = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1t);
    a0u = (src + 26);
    a9t = ((const __m64  *) a0u);
    a8t = _mm_loadl_pi(_mm_set1_ps(0.0f), a9t);
    a2u = (src + 10);
    a1u = ((const __m64  *) a2u);
    a7t = _mm_loadh_pi(a8t, a1u);
    s0h = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7t);
    s1h = _mm_shuffle_ps(s3g, s4g, _MM_SHUFFLE(2, 0, 2, 0));
    s2h = _mm_shuffle_ps(s3g, s4g, _MM_SHUFFLE(3, 1, 3, 1));
    s3h = _mm_shuffle_ps(s7g, s8g, _MM_SHUFFLE(2, 0, 2, 0));
    s4h = _mm_shuffle_ps(s7g, s8g, _MM_SHUFFLE(3, 1, 3, 1));
    t79 = _mm_add_ps(s1h, s3h);
    t89 = _mm_add_ps(s2h, s4h);
    t99 = _mm_sub_ps(s1h, s3h);
    t0a = _mm_sub_ps(s2h, s4h);
    s5h = _mm_shuffle_ps(s5g, s6g, _MM_SHUFFLE(2, 0, 2, 0));
    s6h = _mm_shuffle_ps(s5g, s6g, _MM_SHUFFLE(3, 1, 3, 1));
    s7h = _mm_shuffle_ps(s9g, s0h, _MM_SHUFFLE(2, 0, 2, 0));
    s8h = _mm_shuffle_ps(s9g, s0h, _MM_SHUFFLE(3, 1, 3, 1));
    t1a = _mm_add_ps(s5h, s7h);
    t2a = _mm_add_ps(s6h, s8h);
    t3a = _mm_sub_ps(s5h, s7h);
    t4a = _mm_sub_ps(s6h, s8h);
    t5a = _mm_add_ps(t79, t1a);
    t6a = _mm_add_ps(t89, t2a);
    t7a = _mm_sub_ps(t79, t1a);
    t8a = _mm_sub_ps(t89, t2a);
    t9a = _mm_sub_ps(t99, t4a);
    t0b = _mm_add_ps(t0a, t3a);
    t1b = _mm_add_ps(t99, t4a);
    t2b = _mm_sub_ps(t0a, t3a);
    s9h = _mm_unpacklo_ps(t5a, t9a);
    s0i = _mm_unpackhi_ps(t5a, t9a);
    s1i = _mm_unpacklo_ps(t6a, t0b);
    s2i = _mm_unpackhi_ps(t6a, t0b);
    s3i = _mm_unpacklo_ps(t7a, t1b);
    s4i = _mm_unpackhi_ps(t7a, t1b);
    s5i = _mm_unpacklo_ps(t8a, t2b);
    s6i = _mm_unpackhi_ps(t8a, t2b);
    s7i = _mm_shuffle_ps(s9h, s3i, _MM_SHUFFLE(1, 0, 1, 0));
    s8i = _mm_shuffle_ps(s9h, s3i, _MM_SHUFFLE(3, 2, 3, 2));
    s9i = _mm_shuffle_ps(s0i, s4i, _MM_SHUFFLE(1, 0, 1, 0));
    s0j = _mm_shuffle_ps(s0i, s4i, _MM_SHUFFLE(3, 2, 3, 2));
    s1j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(1, 0, 1, 0));
    s2j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(3, 2, 3, 2));
    s3j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(1, 0, 1, 0));
    s4j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(3, 2, 3, 2));
    a3u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9i);
    a4u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3j);
    s5j = _mm_sub_ps(a3u, a4u);
    a5u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s9i);
    a6u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3j);
    s6j = _mm_add_ps(a5u, a6u);
    t3b = _mm_add_ps(s7i, s5j);
    t4b = _mm_add_ps(s1j, s6j);
    t5b = _mm_sub_ps(s7i, s5j);
    t6b = _mm_sub_ps(s1j, s6j);
    a7u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s8i);
    a8u = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s2j);
    s7j = _mm_sub_ps(a7u, a8u);
    a9u = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s8i);
    a0v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s2j);
    s8j = _mm_add_ps(a9u, a0v);
    a1v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s0j);
    a2v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s4j);
    s9j = _mm_sub_ps(a1v, a2v);
    a3v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s0j);
    a4v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s4j);
    s0k = _mm_add_ps(a3v, a4v);
    t7b = _mm_add_ps(s7j, s9j);
    t8b = _mm_add_ps(s8j, s0k);
    t9b = _mm_sub_ps(s7j, s9j);
    t0c = _mm_sub_ps(s8j, s0k);
    t1c = _mm_add_ps(t3b, t7b);
    t2c = _mm_add_ps(t4b, t8b);
    t3c = _mm_sub_ps(t3b, t7b);
    t4c = _mm_sub_ps(t4b, t8b);
    a5v = _mm_mul_ps(_mm_set_ps(1.8079785862468867f, 1.9138806714644176f, 1.978353019929562f, 2.0f), t1c);
    a6v = _mm_mul_ps(_mm_set_ps(0.85511018686056417f, 0.58056935450892477f, 0.2934609489107235f, 0.0f), t2c);
    s1k = _mm_sub_ps(a5v, a6v);
    a7v = _mm_mul_ps(_mm_set_ps(0.85511018686056417f, 0.58056935450892477f, 0.2934609489107235f, 0.0f), t1c);
    a8v = _mm_mul_ps(_mm_set_ps(1.8079785862468867f, 1.9138806714644176f, 1.978353019929562f, 2.0f), t2c);
    s2k = _mm_add_ps(a7v, a8v);
    a9v = _mm_mul_ps(_mm_set_ps((-0.09813534865483603f), 0.19603428065912121f, 0.4859603598065278f, 0.76536686473017956f), t3c);
    a0w = _mm_mul_ps(_mm_set_ps(1.9975909124103448f, 1.9903694533443939f, 1.9400625063890879f, 1.8477590650225735f), t4c);
    s3k = _mm_sub_ps(a9v, a0w);
    a1w = _mm_mul_ps(_mm_set_ps(1.9975909124103448f, 1.9903694533443939f, 1.9400625063890879f, 1.8477590650225735f), t3c);
    a2w = _mm_mul_ps(_mm_set_ps((-0.09813534865483603f), 0.19603428065912121f, 0.4859603598065278f, 0.76536686473017956f), t4c);
    s4k = _mm_add_ps(a1w, a2w);
    t5c = _mm_sub_ps(t5b, t0c);
    t6c = _mm_add_ps(t6b, t9b);
    t7c = _mm_add_ps(t5b, t0c);
    t8c = _mm_sub_ps(t6b, t9b);
    a3w = _mm_mul_ps(_mm_set_ps(1.0282054883864435f, 1.268786568327291f, 1.4819022507099182f, 1.6629392246050905f), t5c);
    a4w = _mm_mul_ps(_mm_set_ps(1.7154572200005442f, 1.546020906725474f, 1.3431179096940369f, 1.1111404660392044f), t6c);
    s5k = _mm_sub_ps(a3w, a4w);
    a5w = _mm_mul_ps(_mm_set_ps(1.7154572200005442f, 1.546020906725474f, 1.3431179096940369f, 1.1111404660392044f), t5c);
    a6w = _mm_mul_ps(_mm_set_ps(1.0282054883864435f, 1.268786568327291f, 1.4819022507099182f, 1.6629392246050905f), t6c);
    s6k = _mm_add_ps(a5w, a6w);
    a7w = _mm_mul_ps(_mm_set_ps((-1.1913986089848667f), (-0.94279347365199528f), (-0.6737797067844401f), (-0.39018064403225655f)), t7c);
    a8w = _mm_mul_ps(_mm_set_ps(1.6064150629612899f, 1.7638425286967101f, 1.8830881303660416f, 1.9615705608064609f), t8c);
    s7k = _mm_sub_ps(a7w, a8w);
    a9w = _mm_mul_ps(_mm_set_ps(1.6064150629612899f, 1.7638425286967101f, 1.8830881303660416f, 1.9615705608064609f), t7c);
    a0x = _mm_mul_ps(_mm_set_ps((-1.1913986089848667f), (-0.94279347365199528f), (-0.6737797067844401f), (-0.39018064403225655f)), t8c);
    s8k = _mm_add_ps(a9w, a0x);
    t9c = _mm_add_ps(s36, s5f);
    t0d = _mm_sub_ps(s36, s5f);
    t1d = _mm_sub_ps(s56, s6f);
    t2d = _mm_add_ps(s56, s6f);
    t3d = _mm_add_ps(s9a, s1k);
    t4d = _mm_sub_ps(s0b, s2k);
    a1x = _mm_sub_ps(s9a, s1k);
    a = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1x);
    a2x = _mm_add_ps(s0b, s2k);
    a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2x);
    s9k = _mm_sub_ps(a, a2);
    s0l = _mm_add_ps(a, a2);
    a3 = ((__m128  *) dst);
    s1l = _mm_add_ps(t9c, t3d);
    *(a3) = s1l;
    s2l = _mm_sub_ps(t9c, t3d);
    a9x = (a3 + 16);
    *(a9x) = s2l;
    s3l = _mm_sub_ps(t0d, t4d);
    a0y = (a3 + 8);
    *(a0y) = s3l;
    s4l = _mm_add_ps(t0d, t4d);
    a1y = (a3 + 24);
    *(a1y) = s4l;
    s5l = _mm_add_ps(t1d, s9k);
    a2y = (a3 + 4);
    *(a2y) = s5l;
    s6l = _mm_sub_ps(t1d, s9k);
    a3y = (a3 + 20);
    *(a3y) = s6l;
    s7l = _mm_sub_ps(t2d, s0l);
    a4y = (a3 + 12);
    *(a4y) = s7l;
    s8l = _mm_add_ps(t2d, s0l);
    a5y = (a3 + 28);
    *(a5y) = s8l;
    t5d = _mm_add_ps(s46, s9f);
    t6d = _mm_sub_ps(s46, s9f);
    t7d = _mm_sub_ps(s66, s0g);
    t8d = _mm_add_ps(s66, s0g);
    t9d = _mm_add_ps(s3b, s5k);
    t0e = _mm_sub_ps(s4b, s6k);
    a3x = _mm_sub_ps(s3b, s5k);
    a4 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3x);
    a4x = _mm_add_ps(s4b, s6k);
    a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4x);
    s9l = _mm_sub_ps(a4, a5);
    s0m = _mm_add_ps(a4, a5);
    s1m = _mm_add_ps(t5d, t9d);
    a6y = (a3 + 1);
    *(a6y) = s1m;
    s2m = _mm_sub_ps(t5d, t9d);
    a7y = (a3 + 17);
    *(a7y) = s2m;
    s3m = _mm_sub_ps(t6d, t0e);
    a8y = (a3 + 9);
    *(a8y) = s3m;
    s4m = _mm_add_ps(t6d, t0e);
    a9y = (a3 + 25);
    *(a9y) = s4m;
    s5m = _mm_add_ps(t7d, s9l);
    a0z = (a3 + 5);
    *(a0z) = s5m;
    s6m = _mm_sub_ps(t7d, s9l);
    a1z = (a3 + 21);
    *(a1z) = s6m;
    s7m = _mm_sub_ps(t8d, s0m);
    a2z = (a3 + 13);
    *(a2z) = s7m;
    s8m = _mm_add_ps(t8d, s0m);
    a3z = (a3 + 29);
    *(a3z) = s8m;
    t1e = _mm_add_ps(s76, s7f);
    t2e = _mm_sub_ps(s76, s7f);
    t3e = _mm_sub_ps(s96, s8f);
    t4e = _mm_add_ps(s96, s8f);
    t5e = _mm_add_ps(s1b, s3k);
    t6e = _mm_sub_ps(s2b, s4k);
    a5x = _mm_sub_ps(s1b, s3k);
    a6 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5x);
    a6x = _mm_add_ps(s2b, s4k);
    a7 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6x);
    s9m = _mm_sub_ps(a6, a7);
    s0n = _mm_add_ps(a6, a7);
    s1n = _mm_add_ps(t1e, t5e);
    a4z = (a3 + 2);
    *(a4z) = s1n;
    s2n = _mm_sub_ps(t1e, t5e);
    a5z = (a3 + 18);
    *(a5z) = s2n;
    s3n = _mm_sub_ps(t2e, t6e);
    a6z = (a3 + 10);
    *(a6z) = s3n;
    s4n = _mm_add_ps(t2e, t6e);
    a7z = (a3 + 26);
    *(a7z) = s4n;
    s5n = _mm_add_ps(t3e, s9m);
    a8z = (a3 + 6);
    *(a8z) = s5n;
    s6n = _mm_sub_ps(t3e, s9m);
    a9z = (a3 + 22);
    *(a9z) = s6n;
    s7n = _mm_sub_ps(t4e, s0n);
    a0A = (a3 + 14);
    *(a0A) = s7n;
    s8n = _mm_add_ps(t4e, s0n);
    a1A = (a3 + 30);
    *(a1A) = s8n;
    t7e = _mm_add_ps(s86, s1g);
    t8e = _mm_sub_ps(s86, s1g);
    t9e = _mm_sub_ps(s07, s2g);
    t0f = _mm_add_ps(s07, s2g);
    t1f = _mm_add_ps(s5b, s7k);
    t2f = _mm_sub_ps(s6b, s8k);
    a7x = _mm_sub_ps(s5b, s7k);
    a8 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a7x);
    a8x = _mm_add_ps(s6b, s8k);
    a9 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a8x);
    s9n = _mm_sub_ps(a8, a9);
    s0o = _mm_add_ps(a8, a9);
    s1o = _mm_add_ps(t7e, t1f);
    a2A = (a3 + 3);
    *(a2A) = s1o;
    s2o = _mm_sub_ps(t7e, t1f);
    a3A = (a3 + 19);
    *(a3A) = s2o;
    s3o = _mm_sub_ps(t8e, t2f);
    a4A = (a3 + 11);
    *(a4A) = s3o;
    s4o = _mm_add_ps(t8e, t2f);
    a5A = (a3 + 27);
    *(a5A) = s4o;
    s5o = _mm_add_ps(t9e, s9n);
    a6A = (a3 + 7);
    *(a6A) = s5o;
    s6o = _mm_sub_ps(t9e, s9n);
    a7A = (a3 + 23);
    *(a7A) = s6o;
    s7o = _mm_sub_ps(t0f, s0o);
    a8A = (a3 + 15);
    *(a8A) = s7o;
    s8o = _mm_add_ps(t0f, s0o);
    a9A = (a3 + 31);
    *(a9A) = s8o;
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftinv_float_256_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[256]);
    __m128 a02, a05, a06, a0e, a0r, a0u, a13, a15, a16, a1s, a2, a23, a25, a26, a2b, a2c, a2m, a2n, a2o, a2p, a2s, a3
            , a31, a34, a35, a36, a3d, a3q, a3t, a41, a44, a45, a46, a4d, a4q, a4t, a52, a55, a5e, a5r, a62, a65, a6e, a6r
            , a7, a73, a75, a7a, a7b, a7c, a7l, a7m, a7n, a7o, a7p, a7s, a8, a83, a85, a8c, a8p, a8s, a91, a94, a95, a9d
            , a9q, a9t;
    __m128 a07, a08, a09, a0A, a0C, a0D, a0F, a0a, a0g, a0h, a0l, a0v, a0w, a0x, a0z, a17, a18, a19, a1A, a1a, a1f, a1g
            , a1h, a1k, a1l, a1v, a1w, a1x, a1y, a1z, a27, a28, a29, a2C, a2D, a2E, a2a, a2f, a2g, a2h, a2k, a2l, a2v, a2w
            , a2x, a2y, a37, a38, a39, a3A, a3B, a3C, a3D, a3E, a3a, a3f, a3g, a3h, a3k, a3l, a3v, a3w, a3x, a47, a48, a49
            , a4A, a4B, a4a, a4f, a4g, a4h, a4k, a4l, a4v, a4w, a4x, a4y, a56, a57, a58, a59, a5D, a5a, a5f, a5g, a5h, a5j
            , a5k, a5l, a5u, a5v, a5w, a5x, a5y, a66, a67, a68, a69, a6A, a6B, a6D, a6a, a6f, a6g, a6h, a6j, a6k, a6l, a6u
            , a6v, a6w, a6x, a76, a77, a78, a79, a7A, a7B, a7f, a7g, a7h, a7j, a7k, a7u, a7v, a7w, a7y, a7z, a86, a87, a88
            , a89, a8D, a8f, a8g, a8h, a8j, a8k, a8u, a8v, a8w, a8y, a8z, a96, a97, a98, a99, a9B, a9C, a9D, a9E, a9f, a9g
            , a9k, a9u, a9v, a9w, b, b2, b3, b4, b5, b6, b7, b8, b9, s, s01, s02, s03, s04, s05, s06, s07, s08
            , s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s11, s12, s13, s14, s15, s16
            , s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s2, s21, s22, s23
            , s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s3
            , s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m
            , s3n, s3o, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j
            , s4k, s4l, s4m, s4n, s4o, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g
            , s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d
            , s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a
            , s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s8, s81, s82, s83, s84, s85, s86, s87
            , s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s9, s91, s92, s93, s94
            , s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, t, t01, t02
            , t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a
            , t1b, t1c, t1d, t1e, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t3, t31, t32
            , t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49
            , t4a, t4b, t4c, t4d, t4e, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t6, t61
            , t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t7, t71, t72, t73, t74, t75, t76, t77, t78
            , t79, t7a, t7b, t7c, t7d, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t9, t91, t92
            , t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d;
    const __m64  *a0b, *a0c, *a0m, *a0n, *a0o, *a0p, *a11, *a12, *a14, *a1d, *a1e, *a1q, *a1r, *a1t, *a1u, *a32, *a33, *a3b, *a3c, *a3e, *a3m, *a3n
            , *a3o, *a3p, *a3r, *a3s, *a3u, *a4, *a5, *a51, *a53, *a54, *a5b, *a5c, *a5d, *a5m, *a5n, *a5o, *a5p, *a5q, *a5s, *a5t, *a71, *a72
            , *a74, *a7d, *a7e, *a7q, *a7r, *a7t, *a8a, *a8b, *a8l, *a8m, *a8n, *a8o, *a9, *a92, *a93, *a9c, *a9e, *a9p, *a9r, *a9s;
    __m128  *a, *a0B, *a0E, *a0i, *a0j, *a0k, *a0y, *a1B, *a1C, *a1D, *a1E, *a1F, *a1i, *a1j, *a2A, *a2B, *a2F, *a2i, *a2j, *a2z, *a3F, *a3i
            , *a3j, *a3y, *a3z, *a4C, *a4D, *a4F, *a4i, *a4z, *a5A, *a5B, *a5C, *a5E, *a5i, *a5z, *a6C, *a6E, *a6i, *a6y, *a6z, *a7C, *a7D, *a7E
            , *a7i, *a7x, *a8A, *a8B, *a8C, *a8E, *a8i, *a8x, *a9A, *a9h, *a9i, *a9x, *a9y, *a9z, *b21;
    float  *a0G, *a1G, *a2G, *a4E, *a6F, *a7F, *a8F, *a9F;
    const float  *a01, *a03, *a04, *a0d, *a0f, *a0q, *a0s, *a0t, *a1b, *a1c, *a1m, *a1n, *a1o, *a1p, *a21, *a22, *a24, *a2d, *a2e, *a2q, *a2r, *a2t
            , *a2u, *a42, *a43, *a4b, *a4c, *a4e, *a4m, *a4n, *a4o, *a4p, *a4r, *a4s, *a4u, *a6, *a61, *a63, *a64, *a6b, *a6c, *a6d, *a6m, *a6n
            , *a6o, *a6p, *a6q, *a6s, *a6t, *a81, *a82, *a84, *a8d, *a8e, *a8q, *a8r, *a8t, *a9a, *a9b, *a9l, *a9m, *a9n, *a9o, *b01, *b11;
    int a4j, a5F, a9j;
    a4 = ((const __m64  *) src);
    a3 = _mm_loadl_pi(_mm_set1_ps(0.0f), a4);
    a6 = (src + 16);
    a5 = ((const __m64  *) a6);
    a2 = _mm_loadh_pi(a3, a5);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a2);
    a01 = (src + 32);
    a9 = ((const __m64  *) a01);
    a8 = _mm_loadl_pi(_mm_set1_ps(0.0f), a9);
    a21 = (src + 48);
    a11 = ((const __m64  *) a21);
    a7 = _mm_loadh_pi(a8, a11);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a7);
    a61 = (src + 64);
    a51 = ((const __m64  *) a61);
    a41 = _mm_loadl_pi(_mm_set1_ps(0.0f), a51);
    a81 = (src + 80);
    a71 = ((const __m64  *) a81);
    a31 = _mm_loadh_pi(a41, a71);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a31);
    a22 = (src + 96);
    a12 = ((const __m64  *) a22);
    a02 = _mm_loadl_pi(_mm_set1_ps(0.0f), a12);
    a42 = (src + 112);
    a32 = ((const __m64  *) a42);
    a91 = _mm_loadh_pi(a02, a32);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a91);
    a82 = (src + 128);
    a72 = ((const __m64  *) a82);
    a62 = _mm_loadl_pi(_mm_set1_ps(0.0f), a72);
    a03 = (src + 144);
    a92 = ((const __m64  *) a03);
    a52 = _mm_loadh_pi(a62, a92);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a52);
    a43 = (src + 160);
    a33 = ((const __m64  *) a43);
    a23 = _mm_loadl_pi(_mm_set1_ps(0.0f), a33);
    a63 = (src + 176);
    a53 = ((const __m64  *) a63);
    a13 = _mm_loadh_pi(a23, a53);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a13);
    a04 = (src + 192);
    a93 = ((const __m64  *) a04);
    a83 = _mm_loadl_pi(_mm_set1_ps(0.0f), a93);
    a24 = (src + 208);
    a14 = ((const __m64  *) a24);
    a73 = _mm_loadh_pi(a83, a14);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a73);
    a64 = (src + 224);
    a54 = ((const __m64  *) a64);
    a44 = _mm_loadl_pi(_mm_set1_ps(0.0f), a54);
    a84 = (src + 240);
    a74 = ((const __m64  *) a84);
    a34 = _mm_loadh_pi(a44, a74);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a34);
    a94 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a94);
    a05 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a05);
    a15 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a25 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a35 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a45 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a55 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a55);
    a65 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a65);
    a75 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a75, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a85, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a95, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a06 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a06, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a16 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a16, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a26, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a36, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a46 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a46, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a76 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a56 = _mm_add_ps(a66, a76);
    s52 = _mm_sub_ps(a56, s02);
    a86 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a96 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a86, a96);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a17 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a27 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a07 = _mm_sub_ps(a17, a27);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a07);
    a47 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a37 = _mm_sub_ps(a47, s42);
    a57 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a67 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a37, a57);
    s43 = _mm_add_ps(b3, a67);
    a87 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a97 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a77 = _mm_sub_ps(a87, a97);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a77);
    a08 = _mm_sub_ps(s21, s12);
    a18 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a28 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a08, a18);
    s63 = _mm_add_ps(b5, a28);
    a48 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a58 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a38 = _mm_sub_ps(a48, a58);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a38);
    a68 = _mm_sub_ps(s41, s22);
    a78 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a88 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a68, a78);
    s83 = _mm_add_ps(b7, a88);
    a09 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a19 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a98 = _mm_sub_ps(a09, a19);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a98);
    a29 = _mm_sub_ps(s61, s32);
    a39 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a49 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a29, a39);
    s04 = _mm_add_ps(b9, a49);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a59 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a69 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a59, a69);
    a79 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a89 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a79, a89);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a99 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a0a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a99, a0a);
    a1a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a2a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a1a, a2a);
    a3a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a4a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a6a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a5a, a6a);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a9a = (src + 8);
    a8a = ((const __m64  *) a9a);
    a7a = _mm_loadl_pi(_mm_set1_ps(0.0f), a8a);
    a1b = (src + 40);
    a0b = ((const __m64  *) a1b);
    s17 = _mm_loadh_pi(a7a, a0b);
    a4b = (src + 72);
    a3b = ((const __m64  *) a4b);
    a2b = _mm_loadl_pi(_mm_set1_ps(0.0f), a3b);
    a6b = (src + 104);
    a5b = ((const __m64  *) a6b);
    s27 = _mm_loadh_pi(a2b, a5b);
    a9b = (src + 136);
    a8b = ((const __m64  *) a9b);
    a7b = _mm_loadl_pi(_mm_set1_ps(0.0f), a8b);
    a1c = (src + 168);
    a0c = ((const __m64  *) a1c);
    s37 = _mm_loadh_pi(a7b, a0c);
    a4c = (src + 200);
    a3c = ((const __m64  *) a4c);
    a2c = _mm_loadl_pi(_mm_set1_ps(0.0f), a3c);
    a6c = (src + 232);
    a5c = ((const __m64  *) a6c);
    s47 = _mm_loadh_pi(a2c, a5c);
    a0d = (src + 248);
    a9c = ((const __m64  *) a0d);
    a8c = _mm_loadl_pi(_mm_set1_ps(0.0f), a9c);
    a2d = (src + 216);
    a1d = ((const __m64  *) a2d);
    a7c = _mm_loadh_pi(a8c, a1d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7c);
    a6d = (src + 184);
    a5d = ((const __m64  *) a6d);
    a4d = _mm_loadl_pi(_mm_set1_ps(0.0f), a5d);
    a8d = (src + 152);
    a7d = ((const __m64  *) a8d);
    a3d = _mm_loadh_pi(a4d, a7d);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3d);
    a2e = (src + 120);
    a1e = ((const __m64  *) a2e);
    a0e = _mm_loadl_pi(_mm_set1_ps(0.0f), a1e);
    a4e = (src + 88);
    a3e = ((const __m64  *) a4e);
    a9d = _mm_loadh_pi(a0e, a3e);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9d);
    a8e = (src + 56);
    a7e = ((const __m64  *) a8e);
    a6e = _mm_loadl_pi(_mm_set1_ps(0.0f), a7e);
    a0f = (src + 24);
    a9e = ((const __m64  *) a0f);
    a5e = _mm_loadh_pi(a6e, a9e);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a1f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a2f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a4f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a3f, a4f);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a5f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a6f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a5f, a6f);
    a7f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a8f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a7f, a8f);
    a9f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a0g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a2g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a1g, a2g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a3g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t75);
    a4g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t85);
    s9a = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t75);
    a6g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t85);
    s0b = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t95);
    a8g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t06);
    s1b = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t95);
    a0h = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t06);
    s2b = _mm_add_ps(a9g, a0h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a1h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t16);
    a2h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t26);
    s3b = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t16);
    a4h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t26);
    s4b = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t36);
    a6h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t46);
    s5b = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t36);
    a8h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t46);
    s6b = _mm_add_ps(a7h, a8h);
    a = ((__m128  *) T);
    s7b = _mm_add_ps(s36, s9a);
    *(a) = s7b;
    s8b = _mm_sub_ps(s36, s9a);
    a9h = (a + 8);
    *(a9h) = s8b;
    s9b = _mm_sub_ps(s56, s0b);
    a0i = (a + 4);
    *(a0i) = s9b;
    s0c = _mm_add_ps(s56, s0b);
    a1i = (a + 12);
    *(a1i) = s0c;
    s1c = _mm_add_ps(s46, s3b);
    a2i = (a + 1);
    *(a2i) = s1c;
    s2c = _mm_sub_ps(s46, s3b);
    a3i = (a + 9);
    *(a3i) = s2c;
    s3c = _mm_sub_ps(s66, s4b);
    a4i = (a + 5);
    *(a4i) = s3c;
    s4c = _mm_add_ps(s66, s4b);
    a5i = (a + 13);
    *(a5i) = s4c;
    s5c = _mm_add_ps(s76, s1b);
    a6i = (a + 2);
    *(a6i) = s5c;
    s6c = _mm_sub_ps(s76, s1b);
    a7i = (a + 10);
    *(a7i) = s6c;
    s7c = _mm_sub_ps(s96, s2b);
    a8i = (a + 6);
    *(a8i) = s7c;
    s8c = _mm_add_ps(s96, s2b);
    a9i = (a + 14);
    *(a9i) = s8c;
    s9c = _mm_add_ps(s86, s5b);
    a0j = (a + 3);
    *(a0j) = s9c;
    s0d = _mm_sub_ps(s86, s5b);
    a1j = (a + 11);
    *(a1j) = s0d;
    s1d = _mm_sub_ps(s07, s6b);
    a2j = (a + 7);
    *(a2j) = s1d;
    s2d = _mm_add_ps(s07, s6b);
    a3j = (a + 15);
    *(a3j) = s2d;
    {long i; for(i = 0; i <= 2; i++) {
        a4j = (2 * i);
        b01 = (src + a4j);
        a9l = (b01 + 2);
        a8l = ((const __m64  *) a9l);
        a7l = _mm_loadl_pi(_mm_set1_ps(0.0f), a8l);
        a1m = (b01 + 18);
        a0m = ((const __m64  *) a1m);
        s3d = _mm_loadh_pi(a7l, a0m);
        a4m = (b01 + 34);
        a3m = ((const __m64  *) a4m);
        a2m = _mm_loadl_pi(_mm_set1_ps(0.0f), a3m);
        a6m = (b01 + 50);
        a5m = ((const __m64  *) a6m);
        s4d = _mm_loadh_pi(a2m, a5m);
        a9m = (b01 + 66);
        a8m = ((const __m64  *) a9m);
        a7m = _mm_loadl_pi(_mm_set1_ps(0.0f), a8m);
        a1n = (b01 + 82);
        a0n = ((const __m64  *) a1n);
        s5d = _mm_loadh_pi(a7m, a0n);
        a4n = (b01 + 98);
        a3n = ((const __m64  *) a4n);
        a2n = _mm_loadl_pi(_mm_set1_ps(0.0f), a3n);
        a6n = (b01 + 114);
        a5n = ((const __m64  *) a6n);
        s6d = _mm_loadh_pi(a2n, a5n);
        a9n = (b01 + 130);
        a8n = ((const __m64  *) a9n);
        a7n = _mm_loadl_pi(_mm_set1_ps(0.0f), a8n);
        a1o = (b01 + 146);
        a0o = ((const __m64  *) a1o);
        s7d = _mm_loadh_pi(a7n, a0o);
        a4o = (b01 + 162);
        a3o = ((const __m64  *) a4o);
        a2o = _mm_loadl_pi(_mm_set1_ps(0.0f), a3o);
        a6o = (b01 + 178);
        a5o = ((const __m64  *) a6o);
        s8d = _mm_loadh_pi(a2o, a5o);
        a9o = (b01 + 194);
        a8o = ((const __m64  *) a9o);
        a7o = _mm_loadl_pi(_mm_set1_ps(0.0f), a8o);
        a1p = (b01 + 210);
        a0p = ((const __m64  *) a1p);
        s9d = _mm_loadh_pi(a7o, a0p);
        a4p = (b01 + 226);
        a3p = ((const __m64  *) a4p);
        a2p = _mm_loadl_pi(_mm_set1_ps(0.0f), a3p);
        a6p = (b01 + 242);
        a5p = ((const __m64  *) a6p);
        s0e = _mm_loadh_pi(a2p, a5p);
        b11 = (src - a4j);
        a0q = (b11 + 254);
        a9p = ((const __m64  *) a0q);
        a8p = _mm_loadl_pi(_mm_set1_ps(0.0f), a9p);
        a2q = (b11 + 238);
        a1q = ((const __m64  *) a2q);
        a7p = _mm_loadh_pi(a8p, a1q);
        s1e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7p);
        a6q = (b11 + 222);
        a5q = ((const __m64  *) a6q);
        a4q = _mm_loadl_pi(_mm_set1_ps(0.0f), a5q);
        a8q = (b11 + 206);
        a7q = ((const __m64  *) a8q);
        a3q = _mm_loadh_pi(a4q, a7q);
        s2e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3q);
        a2r = (b11 + 190);
        a1r = ((const __m64  *) a2r);
        a0r = _mm_loadl_pi(_mm_set1_ps(0.0f), a1r);
        a4r = (b11 + 174);
        a3r = ((const __m64  *) a4r);
        a9q = _mm_loadh_pi(a0r, a3r);
        s3e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9q);
        a8r = (b11 + 158);
        a7r = ((const __m64  *) a8r);
        a6r = _mm_loadl_pi(_mm_set1_ps(0.0f), a7r);
        a0s = (b11 + 142);
        a9r = ((const __m64  *) a0s);
        a5r = _mm_loadh_pi(a6r, a9r);
        s4e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5r);
        a4s = (b11 + 126);
        a3s = ((const __m64  *) a4s);
        a2s = _mm_loadl_pi(_mm_set1_ps(0.0f), a3s);
        a6s = (b11 + 110);
        a5s = ((const __m64  *) a6s);
        a1s = _mm_loadh_pi(a2s, a5s);
        s5e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1s);
        a0t = (b11 + 94);
        a9s = ((const __m64  *) a0t);
        a8s = _mm_loadl_pi(_mm_set1_ps(0.0f), a9s);
        a2t = (b11 + 78);
        a1t = ((const __m64  *) a2t);
        a7s = _mm_loadh_pi(a8s, a1t);
        s6e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7s);
        a6t = (b11 + 62);
        a5t = ((const __m64  *) a6t);
        a4t = _mm_loadl_pi(_mm_set1_ps(0.0f), a5t);
        a8t = (b11 + 46);
        a7t = ((const __m64  *) a8t);
        a3t = _mm_loadh_pi(a4t, a7t);
        s7e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3t);
        a2u = (b11 + 30);
        a1u = ((const __m64  *) a2u);
        a0u = _mm_loadl_pi(_mm_set1_ps(0.0f), a1u);
        a4u = (b11 + 14);
        a3u = ((const __m64  *) a4u);
        a9t = _mm_loadh_pi(a0u, a3u);
        s8e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9t);
        s9e = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(2, 0, 2, 0));
        s0f = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(3, 1, 3, 1));
        s1f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(2, 0, 2, 0));
        s2f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(3, 1, 3, 1));
        t56 = _mm_add_ps(s9e, s1f);
        t66 = _mm_add_ps(s0f, s2f);
        t76 = _mm_sub_ps(s9e, s1f);
        t86 = _mm_sub_ps(s0f, s2f);
        s3f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(2, 0, 2, 0));
        s4f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(3, 1, 3, 1));
        s5f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(2, 0, 2, 0));
        s6f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(3, 1, 3, 1));
        t96 = _mm_add_ps(s3f, s5f);
        t07 = _mm_add_ps(s4f, s6f);
        t17 = _mm_sub_ps(s3f, s5f);
        t27 = _mm_sub_ps(s4f, s6f);
        t37 = _mm_add_ps(t56, t96);
        t47 = _mm_add_ps(t66, t07);
        t57 = _mm_sub_ps(t56, t96);
        t67 = _mm_sub_ps(t66, t07);
        t77 = _mm_sub_ps(t76, t27);
        t87 = _mm_add_ps(t86, t17);
        t97 = _mm_add_ps(t76, t27);
        t08 = _mm_sub_ps(t86, t17);
        s7f = _mm_unpacklo_ps(t37, t77);
        s8f = _mm_unpackhi_ps(t37, t77);
        s9f = _mm_unpacklo_ps(t47, t87);
        s0g = _mm_unpackhi_ps(t47, t87);
        s1g = _mm_unpacklo_ps(t57, t97);
        s2g = _mm_unpackhi_ps(t57, t97);
        s3g = _mm_unpacklo_ps(t67, t08);
        s4g = _mm_unpackhi_ps(t67, t08);
        s5g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(1, 0, 1, 0));
        s6g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(3, 2, 3, 2));
        s7g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(1, 0, 1, 0));
        s8g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(3, 2, 3, 2));
        s9g = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(1, 0, 1, 0));
        s0h = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(3, 2, 3, 2));
        s1h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(1, 0, 1, 0));
        s2h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(3, 2, 3, 2));
        s3h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(2, 0, 2, 0));
        s4h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(3, 1, 3, 1));
        s5h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(2, 0, 2, 0));
        s6h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(3, 1, 3, 1));
        t18 = _mm_add_ps(s3h, s5h);
        t28 = _mm_add_ps(s4h, s6h);
        t38 = _mm_sub_ps(s3h, s5h);
        t48 = _mm_sub_ps(s4h, s6h);
        s7h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(2, 0, 2, 0));
        s8h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(3, 1, 3, 1));
        s9h = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(2, 0, 2, 0));
        s0i = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(3, 1, 3, 1));
        t58 = _mm_add_ps(s7h, s9h);
        t68 = _mm_add_ps(s8h, s0i);
        t78 = _mm_sub_ps(s7h, s9h);
        t88 = _mm_sub_ps(s8h, s0i);
        t98 = _mm_add_ps(t18, t58);
        t09 = _mm_add_ps(t28, t68);
        t19 = _mm_sub_ps(t18, t58);
        t29 = _mm_sub_ps(t28, t68);
        t39 = _mm_sub_ps(t38, t88);
        t49 = _mm_add_ps(t48, t78);
        t59 = _mm_add_ps(t38, t88);
        t69 = _mm_sub_ps(t48, t78);
        s1i = _mm_unpacklo_ps(t98, t39);
        s2i = _mm_unpackhi_ps(t98, t39);
        s3i = _mm_unpacklo_ps(t09, t49);
        s4i = _mm_unpackhi_ps(t09, t49);
        s5i = _mm_unpacklo_ps(t19, t59);
        s6i = _mm_unpackhi_ps(t19, t59);
        s7i = _mm_unpacklo_ps(t29, t69);
        s8i = _mm_unpackhi_ps(t29, t69);
        s9i = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(1, 0, 1, 0));
        s0j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(3, 2, 3, 2));
        s1j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(1, 0, 1, 0));
        s2j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(3, 2, 3, 2));
        s3j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(1, 0, 1, 0));
        s4j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(3, 2, 3, 2));
        s5j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(1, 0, 1, 0));
        s6j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(3, 2, 3, 2));
        a5u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9i);
        a6u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3j);
        s7j = _mm_sub_ps(a5u, a6u);
        a7u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s9i);
        a8u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3j);
        s8j = _mm_add_ps(a7u, a8u);
        t79 = _mm_add_ps(s5g, s7j);
        t89 = _mm_add_ps(s9g, s8j);
        t99 = _mm_sub_ps(s5g, s7j);
        t0a = _mm_sub_ps(s9g, s8j);
        a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7g);
        a0v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s1h);
        s9j = _mm_sub_ps(a9u, a0v);
        a1v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s7g);
        a2v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1h);
        s0k = _mm_add_ps(a1v, a2v);
        a3v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1j);
        a4v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s5j);
        s1k = _mm_sub_ps(a3v, a4v);
        a5v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s1j);
        a6v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5j);
        s2k = _mm_add_ps(a5v, a6v);
        t1a = _mm_add_ps(s9j, s1k);
        t2a = _mm_add_ps(s0k, s2k);
        t3a = _mm_sub_ps(s9j, s1k);
        t4a = _mm_sub_ps(s0k, s2k);
        t5a = _mm_add_ps(t79, t1a);
        t6a = _mm_add_ps(t89, t2a);
        t7a = _mm_sub_ps(t79, t1a);
        t8a = _mm_sub_ps(t89, t2a);
        t9a = _mm_sub_ps(t99, t4a);
        t0b = _mm_add_ps(t0a, t3a);
        t1b = _mm_add_ps(t99, t4a);
        t2b = _mm_sub_ps(t0a, t3a);
        a7v = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6g);
        a8v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s0h);
        s3k = _mm_sub_ps(a7v, a8v);
        a9v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s6g);
        a0w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0h);
        s4k = _mm_add_ps(a9v, a0w);
        a1w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0j);
        a2w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s4j);
        s5k = _mm_sub_ps(a1w, a2w);
        a3w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s0j);
        a4w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4j);
        s6k = _mm_add_ps(a3w, a4w);
        t3b = _mm_add_ps(s3k, s5k);
        t4b = _mm_add_ps(s4k, s6k);
        t5b = _mm_sub_ps(s3k, s5k);
        t6b = _mm_sub_ps(s4k, s6k);
        a5w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8g);
        a6w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s2h);
        s7k = _mm_sub_ps(a5w, a6w);
        a7w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s8g);
        a8w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2h);
        s8k = _mm_add_ps(a7w, a8w);
        a9w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2j);
        a0x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s6j);
        s9k = _mm_sub_ps(a9w, a0x);
        a1x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s2j);
        a2x = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6j);
        s0l = _mm_add_ps(a1x, a2x);
        t7b = _mm_add_ps(s7k, s9k);
        t8b = _mm_add_ps(s8k, s0l);
        t9b = _mm_sub_ps(s7k, s9k);
        t0c = _mm_sub_ps(s8k, s0l);
        t1c = _mm_add_ps(t3b, t7b);
        t2c = _mm_add_ps(t4b, t8b);
        t3c = _mm_sub_ps(t3b, t7b);
        t4c = _mm_sub_ps(t4b, t8b);
        a3x = _mm_sub_ps(t5b, t0c);
        a5j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3x);
        a4x = _mm_add_ps(t6b, t9b);
        a6j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4x);
        s1l = _mm_sub_ps(a5j, a6j);
        s2l = _mm_add_ps(a5j, a6j);
        a5x = _mm_add_ps(t5b, t0c);
        a7j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5x);
        a6x = _mm_sub_ps(t6b, t9b);
        a8j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6x);
        s3l = _mm_sub_ps(a7j, a8j);
        s4l = _mm_add_ps(a7j, a8j);
        t5c = _mm_add_ps(t5a, t1c);
        t6c = _mm_add_ps(t6a, t2c);
        t7c = _mm_sub_ps(t5a, t1c);
        t8c = _mm_sub_ps(t6a, t2c);
        a9j = (16 * i);
        a0k = (D19 + a9j);
        a1k = *(a0k);
        a7x = (a0k + 1);
        a2k = *(a7x);
        a8x = (a0k + 2);
        a3k = *(a8x);
        a9x = (a0k + 3);
        a4k = *(a9x);
        a0y = ((__m128  *) T);
        b21 = (a0y + a9j);
        a1y = _mm_mul_ps(a1k, t5c);
        a2y = _mm_mul_ps(a2k, t6c);
        s5l = _mm_sub_ps(a1y, a2y);
        a3y = (b21 + 16);
        *(a3y) = s5l;
        a4y = _mm_mul_ps(a2k, t5c);
        a5y = _mm_mul_ps(a1k, t6c);
        s6l = _mm_add_ps(a4y, a5y);
        a6y = (b21 + 24);
        *(a6y) = s6l;
        a7y = _mm_mul_ps(a3k, t7c);
        a8y = _mm_mul_ps(a4k, t8c);
        s7l = _mm_sub_ps(a7y, a8y);
        a9y = (b21 + 20);
        *(a9y) = s7l;
        a0z = _mm_mul_ps(a4k, t7c);
        a1z = _mm_mul_ps(a3k, t8c);
        s8l = _mm_add_ps(a0z, a1z);
        a2z = (b21 + 28);
        *(a2z) = s8l;
        t9c = _mm_add_ps(t9a, s1l);
        t0d = _mm_add_ps(t0b, s2l);
        t1d = _mm_sub_ps(t9a, s1l);
        t2d = _mm_sub_ps(t0b, s2l);
        a3z = (a0k + 4);
        a5k = *(a3z);
        a4z = (a0k + 5);
        a6k = *(a4z);
        a5z = (a0k + 6);
        a7k = *(a5z);
        a6z = (a0k + 7);
        a8k = *(a6z);
        a7z = _mm_mul_ps(a5k, t9c);
        a8z = _mm_mul_ps(a6k, t0d);
        s9l = _mm_sub_ps(a7z, a8z);
        a9z = (b21 + 17);
        *(a9z) = s9l;
        a0A = _mm_mul_ps(a6k, t9c);
        a1A = _mm_mul_ps(a5k, t0d);
        s0m = _mm_add_ps(a0A, a1A);
        a2A = (b21 + 25);
        *(a2A) = s0m;
        a3A = _mm_mul_ps(a7k, t1d);
        a4A = _mm_mul_ps(a8k, t2d);
        s1m = _mm_sub_ps(a3A, a4A);
        a5A = (b21 + 21);
        *(a5A) = s1m;
        a6A = _mm_mul_ps(a8k, t1d);
        a7A = _mm_mul_ps(a7k, t2d);
        s2m = _mm_add_ps(a6A, a7A);
        a8A = (b21 + 29);
        *(a8A) = s2m;
        t3d = _mm_sub_ps(t7a, t4c);
        t4d = _mm_add_ps(t8a, t3c);
        t5d = _mm_add_ps(t7a, t4c);
        t6d = _mm_sub_ps(t8a, t3c);
        a9A = (a0k + 8);
        a9k = *(a9A);
        a0B = (a0k + 9);
        a0l = *(a0B);
        a1B = (a0k + 10);
        a1l = *(a1B);
        a2B = (a0k + 11);
        a2l = *(a2B);
        a3B = _mm_mul_ps(a9k, t3d);
        a4B = _mm_mul_ps(a0l, t4d);
        s3m = _mm_sub_ps(a3B, a4B);
        a5B = (b21 + 18);
        *(a5B) = s3m;
        a6B = _mm_mul_ps(a0l, t3d);
        a7B = _mm_mul_ps(a9k, t4d);
        s4m = _mm_add_ps(a6B, a7B);
        a8B = (b21 + 26);
        *(a8B) = s4m;
        a9B = _mm_mul_ps(a1l, t5d);
        a0C = _mm_mul_ps(a2l, t6d);
        s5m = _mm_sub_ps(a9B, a0C);
        a1C = (b21 + 22);
        *(a1C) = s5m;
        a2C = _mm_mul_ps(a2l, t5d);
        a3C = _mm_mul_ps(a1l, t6d);
        s6m = _mm_add_ps(a2C, a3C);
        a4C = (b21 + 30);
        *(a4C) = s6m;
        t7d = _mm_add_ps(t1b, s3l);
        t8d = _mm_sub_ps(t2b, s4l);
        t9d = _mm_sub_ps(t1b, s3l);
        t0e = _mm_add_ps(t2b, s4l);
        a5C = (a0k + 12);
        a3l = *(a5C);
        a6C = (a0k + 13);
        a4l = *(a6C);
        a7C = (a0k + 14);
        a5l = *(a7C);
        a8C = (a0k + 15);
        a6l = *(a8C);
        a9C = _mm_mul_ps(a3l, t7d);
        a0D = _mm_mul_ps(a4l, t8d);
        s7m = _mm_sub_ps(a9C, a0D);
        a1D = (b21 + 19);
        *(a1D) = s7m;
        a2D = _mm_mul_ps(a4l, t7d);
        a3D = _mm_mul_ps(a3l, t8d);
        s8m = _mm_add_ps(a2D, a3D);
        a4D = (b21 + 27);
        *(a4D) = s8m;
        a5D = _mm_mul_ps(a5l, t9d);
        a6D = _mm_mul_ps(a6l, t0e);
        s9m = _mm_sub_ps(a5D, a6D);
        a7D = (b21 + 23);
        *(a7D) = s9m;
        a8D = _mm_mul_ps(a6l, t9d);
        a9D = _mm_mul_ps(a5l, t0e);
        s0n = _mm_add_ps(a8D, a9D);
        a0E = (b21 + 31);
        *(a0E) = s0n;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a1F = ((__m128  *) T);
        a1E = (a1F + i2);
        s1n = *(a1E);
        a2F = (a1E + 32);
        s2n = *(a2F);
        t1e = _mm_add_ps(s1n, s2n);
        t2e = _mm_sub_ps(s1n, s2n);
        a3F = (a1E + 8);
        s3n = *(a3F);
        a4F = (a1E + 40);
        s4n = *(a4F);
        t3e = _mm_sub_ps(s3n, s4n);
        t4e = _mm_add_ps(s3n, s4n);
        a5E = (a1E + 16);
        s5n = *(a5E);
        a6E = (a1E + 24);
        s6n = *(a6E);
        a7E = (a1E + 48);
        s7n = *(a7E);
        a8E = (a1E + 56);
        s8n = *(a8E);
        t5e = _mm_add_ps(s5n, s7n);
        t6e = _mm_sub_ps(s6n, s8n);
        a9E = _mm_sub_ps(s5n, s7n);
        a2E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9E);
        a0F = _mm_add_ps(s6n, s8n);
        a3E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0F);
        s9n = _mm_sub_ps(a2E, a3E);
        s0o = _mm_add_ps(a2E, a3E);
        a5F = (4 * i2);
        a4E = (dst + a5F);
        s1o = _mm_add_ps(t1e, t5e);
        _mm_storeu_ps(((float  *) a4E), s1o);
        s2o = _mm_sub_ps(t1e, t5e);
        a6F = (a4E + 128);
        _mm_storeu_ps(((float  *) a6F), s2o);
        s3o = _mm_sub_ps(t2e, t6e);
        a7F = (a4E + 64);
        _mm_storeu_ps(((float  *) a7F), s3o);
        s4o = _mm_add_ps(t2e, t6e);
        a8F = (a4E + 192);
        _mm_storeu_ps(((float  *) a8F), s4o);
        s5o = _mm_add_ps(t3e, s9n);
        a9F = (a4E + 32);
        _mm_storeu_ps(((float  *) a9F), s5o);
        s6o = _mm_sub_ps(t3e, s9n);
        a0G = (a4E + 160);
        _mm_storeu_ps(((float  *) a0G), s6o);
        s7o = _mm_sub_ps(t4e, s0o);
        a1G = (a4E + 96);
        _mm_storeu_ps(((float  *) a1G), s7o);
        s8o = _mm_add_ps(t4e, s0o);
        a2G = (a4E + 224);
        _mm_storeu_ps(((float  *) a2G), s8o);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftinv_float_256)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftinv_float_256_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[256]);
    __m128 a02, a05, a06, a0e, a0r, a0u, a13, a15, a16, a1s, a2, a23, a25, a26, a2b, a2c, a2m, a2n, a2o, a2p, a2s, a3
            , a31, a34, a35, a36, a3d, a3q, a3t, a41, a44, a45, a46, a4d, a4q, a4t, a52, a55, a5e, a5r, a62, a65, a6e, a6r
            , a7, a73, a75, a7a, a7b, a7c, a7l, a7m, a7n, a7o, a7p, a7s, a8, a83, a85, a8c, a8p, a8s, a91, a94, a95, a9d
            , a9q, a9t;
    __m128 a07, a08, a09, a0A, a0C, a0D, a0F, a0a, a0g, a0h, a0l, a0v, a0w, a0x, a0z, a17, a18, a19, a1A, a1a, a1f, a1g
            , a1h, a1k, a1l, a1v, a1w, a1x, a1y, a1z, a27, a28, a29, a2C, a2D, a2E, a2a, a2f, a2g, a2h, a2k, a2l, a2v, a2w
            , a2x, a2y, a37, a38, a39, a3A, a3B, a3C, a3D, a3E, a3a, a3f, a3g, a3h, a3k, a3l, a3v, a3w, a3x, a47, a48, a49
            , a4A, a4B, a4a, a4f, a4g, a4h, a4k, a4l, a4v, a4w, a4x, a4y, a56, a57, a58, a59, a5D, a5a, a5f, a5g, a5h, a5j
            , a5k, a5l, a5u, a5v, a5w, a5x, a5y, a66, a67, a68, a69, a6A, a6B, a6D, a6a, a6f, a6g, a6h, a6j, a6k, a6l, a6u
            , a6v, a6w, a6x, a76, a77, a78, a79, a7A, a7B, a7f, a7g, a7h, a7j, a7k, a7u, a7v, a7w, a7y, a7z, a86, a87, a88
            , a89, a8D, a8f, a8g, a8h, a8j, a8k, a8u, a8v, a8w, a8y, a8z, a96, a97, a98, a99, a9B, a9C, a9D, a9E, a9f, a9g
            , a9k, a9u, a9v, a9w, b, b2, b3, b4, b5, b6, b7, b8, b9, s, s01, s02, s03, s04, s05, s06, s07, s08
            , s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s11, s12, s13, s14, s15, s16
            , s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s2, s21, s22, s23
            , s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s3
            , s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m
            , s3n, s3o, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j
            , s4k, s4l, s4m, s4n, s4o, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g
            , s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d
            , s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a
            , s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s8, s81, s82, s83, s84, s85, s86, s87
            , s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s9, s91, s92, s93, s94
            , s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, t, t01, t02
            , t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a
            , t1b, t1c, t1d, t1e, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t3, t31, t32
            , t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49
            , t4a, t4b, t4c, t4d, t4e, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t6, t61
            , t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t7, t71, t72, t73, t74, t75, t76, t77, t78
            , t79, t7a, t7b, t7c, t7d, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t9, t91, t92
            , t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d;
    const __m64  *a0b, *a0c, *a0m, *a0n, *a0o, *a0p, *a11, *a12, *a14, *a1d, *a1e, *a1q, *a1r, *a1t, *a1u, *a32, *a33, *a3b, *a3c, *a3e, *a3m, *a3n
            , *a3o, *a3p, *a3r, *a3s, *a3u, *a4, *a5, *a51, *a53, *a54, *a5b, *a5c, *a5d, *a5m, *a5n, *a5o, *a5p, *a5q, *a5s, *a5t, *a71, *a72
            , *a74, *a7d, *a7e, *a7q, *a7r, *a7t, *a8a, *a8b, *a8l, *a8m, *a8n, *a8o, *a9, *a92, *a93, *a9c, *a9e, *a9p, *a9r, *a9s;
    __m128  *a, *a0B, *a0E, *a0G, *a0i, *a0j, *a0k, *a0y, *a1B, *a1C, *a1D, *a1E, *a1F, *a1G, *a1i, *a1j, *a2A, *a2B, *a2F, *a2G, *a2i, *a2j
            , *a2z, *a3F, *a3i, *a3j, *a3y, *a3z, *a4C, *a4D, *a4E, *a4F, *a4i, *a4z, *a5A, *a5B, *a5C, *a5E, *a5F, *a5i, *a5z, *a6C, *a6E, *a6F
            , *a6i, *a6y, *a6z, *a7C, *a7D, *a7E, *a7F, *a7i, *a7x, *a8A, *a8B, *a8C, *a8E, *a8F, *a8i, *a8x, *a9A, *a9F, *a9h, *a9i, *a9x, *a9y
            , *a9z, *b21;
    const float  *a01, *a03, *a04, *a0d, *a0f, *a0q, *a0s, *a0t, *a1b, *a1c, *a1m, *a1n, *a1o, *a1p, *a21, *a22, *a24, *a2d, *a2e, *a2q, *a2r, *a2t
            , *a2u, *a42, *a43, *a4b, *a4c, *a4e, *a4m, *a4n, *a4o, *a4p, *a4r, *a4s, *a4u, *a6, *a61, *a63, *a64, *a6b, *a6c, *a6d, *a6m, *a6n
            , *a6o, *a6p, *a6q, *a6s, *a6t, *a81, *a82, *a84, *a8d, *a8e, *a8q, *a8r, *a8t, *a9a, *a9b, *a9l, *a9m, *a9n, *a9o, *b01, *b11;
    int a4j, a9j;
    a4 = ((const __m64  *) src);
    a3 = _mm_loadl_pi(_mm_set1_ps(0.0f), a4);
    a6 = (src + 16);
    a5 = ((const __m64  *) a6);
    a2 = _mm_loadh_pi(a3, a5);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a2);
    a01 = (src + 32);
    a9 = ((const __m64  *) a01);
    a8 = _mm_loadl_pi(_mm_set1_ps(0.0f), a9);
    a21 = (src + 48);
    a11 = ((const __m64  *) a21);
    a7 = _mm_loadh_pi(a8, a11);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a7);
    a61 = (src + 64);
    a51 = ((const __m64  *) a61);
    a41 = _mm_loadl_pi(_mm_set1_ps(0.0f), a51);
    a81 = (src + 80);
    a71 = ((const __m64  *) a81);
    a31 = _mm_loadh_pi(a41, a71);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a31);
    a22 = (src + 96);
    a12 = ((const __m64  *) a22);
    a02 = _mm_loadl_pi(_mm_set1_ps(0.0f), a12);
    a42 = (src + 112);
    a32 = ((const __m64  *) a42);
    a91 = _mm_loadh_pi(a02, a32);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a91);
    a82 = (src + 128);
    a72 = ((const __m64  *) a82);
    a62 = _mm_loadl_pi(_mm_set1_ps(0.0f), a72);
    a03 = (src + 144);
    a92 = ((const __m64  *) a03);
    a52 = _mm_loadh_pi(a62, a92);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a52);
    a43 = (src + 160);
    a33 = ((const __m64  *) a43);
    a23 = _mm_loadl_pi(_mm_set1_ps(0.0f), a33);
    a63 = (src + 176);
    a53 = ((const __m64  *) a63);
    a13 = _mm_loadh_pi(a23, a53);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a13);
    a04 = (src + 192);
    a93 = ((const __m64  *) a04);
    a83 = _mm_loadl_pi(_mm_set1_ps(0.0f), a93);
    a24 = (src + 208);
    a14 = ((const __m64  *) a24);
    a73 = _mm_loadh_pi(a83, a14);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a73);
    a64 = (src + 224);
    a54 = ((const __m64  *) a64);
    a44 = _mm_loadl_pi(_mm_set1_ps(0.0f), a54);
    a84 = (src + 240);
    a74 = ((const __m64  *) a84);
    a34 = _mm_loadh_pi(a44, a74);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a34);
    a94 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a94);
    a05 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a05);
    a15 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a25 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a35 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a45 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a55 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a55);
    a65 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a65);
    a75 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a75, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a85, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a95, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a06 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a06, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a16 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a16, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a26, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a36, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a46 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a46, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a76 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a56 = _mm_add_ps(a66, a76);
    s52 = _mm_sub_ps(a56, s02);
    a86 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a96 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a86, a96);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a17 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a27 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a07 = _mm_sub_ps(a17, a27);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a07);
    a47 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a37 = _mm_sub_ps(a47, s42);
    a57 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a67 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a37, a57);
    s43 = _mm_add_ps(b3, a67);
    a87 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a97 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a77 = _mm_sub_ps(a87, a97);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a77);
    a08 = _mm_sub_ps(s21, s12);
    a18 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a28 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a08, a18);
    s63 = _mm_add_ps(b5, a28);
    a48 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a58 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a38 = _mm_sub_ps(a48, a58);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a38);
    a68 = _mm_sub_ps(s41, s22);
    a78 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a88 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a68, a78);
    s83 = _mm_add_ps(b7, a88);
    a09 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a19 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a98 = _mm_sub_ps(a09, a19);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a98);
    a29 = _mm_sub_ps(s61, s32);
    a39 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a49 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a29, a39);
    s04 = _mm_add_ps(b9, a49);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a59 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a69 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a59, a69);
    a79 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a89 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a79, a89);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a99 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a0a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a99, a0a);
    a1a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a2a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a1a, a2a);
    a3a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a4a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a6a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a5a, a6a);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a9a = (src + 8);
    a8a = ((const __m64  *) a9a);
    a7a = _mm_loadl_pi(_mm_set1_ps(0.0f), a8a);
    a1b = (src + 40);
    a0b = ((const __m64  *) a1b);
    s17 = _mm_loadh_pi(a7a, a0b);
    a4b = (src + 72);
    a3b = ((const __m64  *) a4b);
    a2b = _mm_loadl_pi(_mm_set1_ps(0.0f), a3b);
    a6b = (src + 104);
    a5b = ((const __m64  *) a6b);
    s27 = _mm_loadh_pi(a2b, a5b);
    a9b = (src + 136);
    a8b = ((const __m64  *) a9b);
    a7b = _mm_loadl_pi(_mm_set1_ps(0.0f), a8b);
    a1c = (src + 168);
    a0c = ((const __m64  *) a1c);
    s37 = _mm_loadh_pi(a7b, a0c);
    a4c = (src + 200);
    a3c = ((const __m64  *) a4c);
    a2c = _mm_loadl_pi(_mm_set1_ps(0.0f), a3c);
    a6c = (src + 232);
    a5c = ((const __m64  *) a6c);
    s47 = _mm_loadh_pi(a2c, a5c);
    a0d = (src + 248);
    a9c = ((const __m64  *) a0d);
    a8c = _mm_loadl_pi(_mm_set1_ps(0.0f), a9c);
    a2d = (src + 216);
    a1d = ((const __m64  *) a2d);
    a7c = _mm_loadh_pi(a8c, a1d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7c);
    a6d = (src + 184);
    a5d = ((const __m64  *) a6d);
    a4d = _mm_loadl_pi(_mm_set1_ps(0.0f), a5d);
    a8d = (src + 152);
    a7d = ((const __m64  *) a8d);
    a3d = _mm_loadh_pi(a4d, a7d);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3d);
    a2e = (src + 120);
    a1e = ((const __m64  *) a2e);
    a0e = _mm_loadl_pi(_mm_set1_ps(0.0f), a1e);
    a4e = (src + 88);
    a3e = ((const __m64  *) a4e);
    a9d = _mm_loadh_pi(a0e, a3e);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9d);
    a8e = (src + 56);
    a7e = ((const __m64  *) a8e);
    a6e = _mm_loadl_pi(_mm_set1_ps(0.0f), a7e);
    a0f = (src + 24);
    a9e = ((const __m64  *) a0f);
    a5e = _mm_loadh_pi(a6e, a9e);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a1f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a2f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a4f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a3f, a4f);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a5f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a6f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a5f, a6f);
    a7f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a8f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a7f, a8f);
    a9f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a0g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a2g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a1g, a2g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a3g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t75);
    a4g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t85);
    s9a = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t75);
    a6g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t85);
    s0b = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t95);
    a8g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t06);
    s1b = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t95);
    a0h = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t06);
    s2b = _mm_add_ps(a9g, a0h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a1h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t16);
    a2h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t26);
    s3b = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t16);
    a4h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t26);
    s4b = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t36);
    a6h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t46);
    s5b = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t36);
    a8h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t46);
    s6b = _mm_add_ps(a7h, a8h);
    a = ((__m128  *) T);
    s7b = _mm_add_ps(s36, s9a);
    *(a) = s7b;
    s8b = _mm_sub_ps(s36, s9a);
    a9h = (a + 8);
    *(a9h) = s8b;
    s9b = _mm_sub_ps(s56, s0b);
    a0i = (a + 4);
    *(a0i) = s9b;
    s0c = _mm_add_ps(s56, s0b);
    a1i = (a + 12);
    *(a1i) = s0c;
    s1c = _mm_add_ps(s46, s3b);
    a2i = (a + 1);
    *(a2i) = s1c;
    s2c = _mm_sub_ps(s46, s3b);
    a3i = (a + 9);
    *(a3i) = s2c;
    s3c = _mm_sub_ps(s66, s4b);
    a4i = (a + 5);
    *(a4i) = s3c;
    s4c = _mm_add_ps(s66, s4b);
    a5i = (a + 13);
    *(a5i) = s4c;
    s5c = _mm_add_ps(s76, s1b);
    a6i = (a + 2);
    *(a6i) = s5c;
    s6c = _mm_sub_ps(s76, s1b);
    a7i = (a + 10);
    *(a7i) = s6c;
    s7c = _mm_sub_ps(s96, s2b);
    a8i = (a + 6);
    *(a8i) = s7c;
    s8c = _mm_add_ps(s96, s2b);
    a9i = (a + 14);
    *(a9i) = s8c;
    s9c = _mm_add_ps(s86, s5b);
    a0j = (a + 3);
    *(a0j) = s9c;
    s0d = _mm_sub_ps(s86, s5b);
    a1j = (a + 11);
    *(a1j) = s0d;
    s1d = _mm_sub_ps(s07, s6b);
    a2j = (a + 7);
    *(a2j) = s1d;
    s2d = _mm_add_ps(s07, s6b);
    a3j = (a + 15);
    *(a3j) = s2d;
    {long i; for(i = 0; i <= 2; i++) {
        a4j = (2 * i);
        b01 = (src + a4j);
        a9l = (b01 + 2);
        a8l = ((const __m64  *) a9l);
        a7l = _mm_loadl_pi(_mm_set1_ps(0.0f), a8l);
        a1m = (b01 + 18);
        a0m = ((const __m64  *) a1m);
        s3d = _mm_loadh_pi(a7l, a0m);
        a4m = (b01 + 34);
        a3m = ((const __m64  *) a4m);
        a2m = _mm_loadl_pi(_mm_set1_ps(0.0f), a3m);
        a6m = (b01 + 50);
        a5m = ((const __m64  *) a6m);
        s4d = _mm_loadh_pi(a2m, a5m);
        a9m = (b01 + 66);
        a8m = ((const __m64  *) a9m);
        a7m = _mm_loadl_pi(_mm_set1_ps(0.0f), a8m);
        a1n = (b01 + 82);
        a0n = ((const __m64  *) a1n);
        s5d = _mm_loadh_pi(a7m, a0n);
        a4n = (b01 + 98);
        a3n = ((const __m64  *) a4n);
        a2n = _mm_loadl_pi(_mm_set1_ps(0.0f), a3n);
        a6n = (b01 + 114);
        a5n = ((const __m64  *) a6n);
        s6d = _mm_loadh_pi(a2n, a5n);
        a9n = (b01 + 130);
        a8n = ((const __m64  *) a9n);
        a7n = _mm_loadl_pi(_mm_set1_ps(0.0f), a8n);
        a1o = (b01 + 146);
        a0o = ((const __m64  *) a1o);
        s7d = _mm_loadh_pi(a7n, a0o);
        a4o = (b01 + 162);
        a3o = ((const __m64  *) a4o);
        a2o = _mm_loadl_pi(_mm_set1_ps(0.0f), a3o);
        a6o = (b01 + 178);
        a5o = ((const __m64  *) a6o);
        s8d = _mm_loadh_pi(a2o, a5o);
        a9o = (b01 + 194);
        a8o = ((const __m64  *) a9o);
        a7o = _mm_loadl_pi(_mm_set1_ps(0.0f), a8o);
        a1p = (b01 + 210);
        a0p = ((const __m64  *) a1p);
        s9d = _mm_loadh_pi(a7o, a0p);
        a4p = (b01 + 226);
        a3p = ((const __m64  *) a4p);
        a2p = _mm_loadl_pi(_mm_set1_ps(0.0f), a3p);
        a6p = (b01 + 242);
        a5p = ((const __m64  *) a6p);
        s0e = _mm_loadh_pi(a2p, a5p);
        b11 = (src - a4j);
        a0q = (b11 + 254);
        a9p = ((const __m64  *) a0q);
        a8p = _mm_loadl_pi(_mm_set1_ps(0.0f), a9p);
        a2q = (b11 + 238);
        a1q = ((const __m64  *) a2q);
        a7p = _mm_loadh_pi(a8p, a1q);
        s1e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7p);
        a6q = (b11 + 222);
        a5q = ((const __m64  *) a6q);
        a4q = _mm_loadl_pi(_mm_set1_ps(0.0f), a5q);
        a8q = (b11 + 206);
        a7q = ((const __m64  *) a8q);
        a3q = _mm_loadh_pi(a4q, a7q);
        s2e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3q);
        a2r = (b11 + 190);
        a1r = ((const __m64  *) a2r);
        a0r = _mm_loadl_pi(_mm_set1_ps(0.0f), a1r);
        a4r = (b11 + 174);
        a3r = ((const __m64  *) a4r);
        a9q = _mm_loadh_pi(a0r, a3r);
        s3e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9q);
        a8r = (b11 + 158);
        a7r = ((const __m64  *) a8r);
        a6r = _mm_loadl_pi(_mm_set1_ps(0.0f), a7r);
        a0s = (b11 + 142);
        a9r = ((const __m64  *) a0s);
        a5r = _mm_loadh_pi(a6r, a9r);
        s4e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5r);
        a4s = (b11 + 126);
        a3s = ((const __m64  *) a4s);
        a2s = _mm_loadl_pi(_mm_set1_ps(0.0f), a3s);
        a6s = (b11 + 110);
        a5s = ((const __m64  *) a6s);
        a1s = _mm_loadh_pi(a2s, a5s);
        s5e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1s);
        a0t = (b11 + 94);
        a9s = ((const __m64  *) a0t);
        a8s = _mm_loadl_pi(_mm_set1_ps(0.0f), a9s);
        a2t = (b11 + 78);
        a1t = ((const __m64  *) a2t);
        a7s = _mm_loadh_pi(a8s, a1t);
        s6e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7s);
        a6t = (b11 + 62);
        a5t = ((const __m64  *) a6t);
        a4t = _mm_loadl_pi(_mm_set1_ps(0.0f), a5t);
        a8t = (b11 + 46);
        a7t = ((const __m64  *) a8t);
        a3t = _mm_loadh_pi(a4t, a7t);
        s7e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3t);
        a2u = (b11 + 30);
        a1u = ((const __m64  *) a2u);
        a0u = _mm_loadl_pi(_mm_set1_ps(0.0f), a1u);
        a4u = (b11 + 14);
        a3u = ((const __m64  *) a4u);
        a9t = _mm_loadh_pi(a0u, a3u);
        s8e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9t);
        s9e = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(2, 0, 2, 0));
        s0f = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(3, 1, 3, 1));
        s1f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(2, 0, 2, 0));
        s2f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(3, 1, 3, 1));
        t56 = _mm_add_ps(s9e, s1f);
        t66 = _mm_add_ps(s0f, s2f);
        t76 = _mm_sub_ps(s9e, s1f);
        t86 = _mm_sub_ps(s0f, s2f);
        s3f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(2, 0, 2, 0));
        s4f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(3, 1, 3, 1));
        s5f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(2, 0, 2, 0));
        s6f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(3, 1, 3, 1));
        t96 = _mm_add_ps(s3f, s5f);
        t07 = _mm_add_ps(s4f, s6f);
        t17 = _mm_sub_ps(s3f, s5f);
        t27 = _mm_sub_ps(s4f, s6f);
        t37 = _mm_add_ps(t56, t96);
        t47 = _mm_add_ps(t66, t07);
        t57 = _mm_sub_ps(t56, t96);
        t67 = _mm_sub_ps(t66, t07);
        t77 = _mm_sub_ps(t76, t27);
        t87 = _mm_add_ps(t86, t17);
        t97 = _mm_add_ps(t76, t27);
        t08 = _mm_sub_ps(t86, t17);
        s7f = _mm_unpacklo_ps(t37, t77);
        s8f = _mm_unpackhi_ps(t37, t77);
        s9f = _mm_unpacklo_ps(t47, t87);
        s0g = _mm_unpackhi_ps(t47, t87);
        s1g = _mm_unpacklo_ps(t57, t97);
        s2g = _mm_unpackhi_ps(t57, t97);
        s3g = _mm_unpacklo_ps(t67, t08);
        s4g = _mm_unpackhi_ps(t67, t08);
        s5g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(1, 0, 1, 0));
        s6g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(3, 2, 3, 2));
        s7g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(1, 0, 1, 0));
        s8g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(3, 2, 3, 2));
        s9g = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(1, 0, 1, 0));
        s0h = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(3, 2, 3, 2));
        s1h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(1, 0, 1, 0));
        s2h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(3, 2, 3, 2));
        s3h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(2, 0, 2, 0));
        s4h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(3, 1, 3, 1));
        s5h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(2, 0, 2, 0));
        s6h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(3, 1, 3, 1));
        t18 = _mm_add_ps(s3h, s5h);
        t28 = _mm_add_ps(s4h, s6h);
        t38 = _mm_sub_ps(s3h, s5h);
        t48 = _mm_sub_ps(s4h, s6h);
        s7h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(2, 0, 2, 0));
        s8h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(3, 1, 3, 1));
        s9h = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(2, 0, 2, 0));
        s0i = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(3, 1, 3, 1));
        t58 = _mm_add_ps(s7h, s9h);
        t68 = _mm_add_ps(s8h, s0i);
        t78 = _mm_sub_ps(s7h, s9h);
        t88 = _mm_sub_ps(s8h, s0i);
        t98 = _mm_add_ps(t18, t58);
        t09 = _mm_add_ps(t28, t68);
        t19 = _mm_sub_ps(t18, t58);
        t29 = _mm_sub_ps(t28, t68);
        t39 = _mm_sub_ps(t38, t88);
        t49 = _mm_add_ps(t48, t78);
        t59 = _mm_add_ps(t38, t88);
        t69 = _mm_sub_ps(t48, t78);
        s1i = _mm_unpacklo_ps(t98, t39);
        s2i = _mm_unpackhi_ps(t98, t39);
        s3i = _mm_unpacklo_ps(t09, t49);
        s4i = _mm_unpackhi_ps(t09, t49);
        s5i = _mm_unpacklo_ps(t19, t59);
        s6i = _mm_unpackhi_ps(t19, t59);
        s7i = _mm_unpacklo_ps(t29, t69);
        s8i = _mm_unpackhi_ps(t29, t69);
        s9i = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(1, 0, 1, 0));
        s0j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(3, 2, 3, 2));
        s1j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(1, 0, 1, 0));
        s2j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(3, 2, 3, 2));
        s3j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(1, 0, 1, 0));
        s4j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(3, 2, 3, 2));
        s5j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(1, 0, 1, 0));
        s6j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(3, 2, 3, 2));
        a5u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9i);
        a6u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3j);
        s7j = _mm_sub_ps(a5u, a6u);
        a7u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s9i);
        a8u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3j);
        s8j = _mm_add_ps(a7u, a8u);
        t79 = _mm_add_ps(s5g, s7j);
        t89 = _mm_add_ps(s9g, s8j);
        t99 = _mm_sub_ps(s5g, s7j);
        t0a = _mm_sub_ps(s9g, s8j);
        a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7g);
        a0v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s1h);
        s9j = _mm_sub_ps(a9u, a0v);
        a1v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s7g);
        a2v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1h);
        s0k = _mm_add_ps(a1v, a2v);
        a3v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1j);
        a4v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s5j);
        s1k = _mm_sub_ps(a3v, a4v);
        a5v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s1j);
        a6v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5j);
        s2k = _mm_add_ps(a5v, a6v);
        t1a = _mm_add_ps(s9j, s1k);
        t2a = _mm_add_ps(s0k, s2k);
        t3a = _mm_sub_ps(s9j, s1k);
        t4a = _mm_sub_ps(s0k, s2k);
        t5a = _mm_add_ps(t79, t1a);
        t6a = _mm_add_ps(t89, t2a);
        t7a = _mm_sub_ps(t79, t1a);
        t8a = _mm_sub_ps(t89, t2a);
        t9a = _mm_sub_ps(t99, t4a);
        t0b = _mm_add_ps(t0a, t3a);
        t1b = _mm_add_ps(t99, t4a);
        t2b = _mm_sub_ps(t0a, t3a);
        a7v = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6g);
        a8v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s0h);
        s3k = _mm_sub_ps(a7v, a8v);
        a9v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s6g);
        a0w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0h);
        s4k = _mm_add_ps(a9v, a0w);
        a1w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0j);
        a2w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s4j);
        s5k = _mm_sub_ps(a1w, a2w);
        a3w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s0j);
        a4w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4j);
        s6k = _mm_add_ps(a3w, a4w);
        t3b = _mm_add_ps(s3k, s5k);
        t4b = _mm_add_ps(s4k, s6k);
        t5b = _mm_sub_ps(s3k, s5k);
        t6b = _mm_sub_ps(s4k, s6k);
        a5w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8g);
        a6w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s2h);
        s7k = _mm_sub_ps(a5w, a6w);
        a7w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s8g);
        a8w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2h);
        s8k = _mm_add_ps(a7w, a8w);
        a9w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2j);
        a0x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s6j);
        s9k = _mm_sub_ps(a9w, a0x);
        a1x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s2j);
        a2x = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6j);
        s0l = _mm_add_ps(a1x, a2x);
        t7b = _mm_add_ps(s7k, s9k);
        t8b = _mm_add_ps(s8k, s0l);
        t9b = _mm_sub_ps(s7k, s9k);
        t0c = _mm_sub_ps(s8k, s0l);
        t1c = _mm_add_ps(t3b, t7b);
        t2c = _mm_add_ps(t4b, t8b);
        t3c = _mm_sub_ps(t3b, t7b);
        t4c = _mm_sub_ps(t4b, t8b);
        a3x = _mm_sub_ps(t5b, t0c);
        a5j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3x);
        a4x = _mm_add_ps(t6b, t9b);
        a6j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4x);
        s1l = _mm_sub_ps(a5j, a6j);
        s2l = _mm_add_ps(a5j, a6j);
        a5x = _mm_add_ps(t5b, t0c);
        a7j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5x);
        a6x = _mm_sub_ps(t6b, t9b);
        a8j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6x);
        s3l = _mm_sub_ps(a7j, a8j);
        s4l = _mm_add_ps(a7j, a8j);
        t5c = _mm_add_ps(t5a, t1c);
        t6c = _mm_add_ps(t6a, t2c);
        t7c = _mm_sub_ps(t5a, t1c);
        t8c = _mm_sub_ps(t6a, t2c);
        a9j = (16 * i);
        a0k = (D20 + a9j);
        a1k = *(a0k);
        a7x = (a0k + 1);
        a2k = *(a7x);
        a8x = (a0k + 2);
        a3k = *(a8x);
        a9x = (a0k + 3);
        a4k = *(a9x);
        a0y = ((__m128  *) T);
        b21 = (a0y + a9j);
        a1y = _mm_mul_ps(a1k, t5c);
        a2y = _mm_mul_ps(a2k, t6c);
        s5l = _mm_sub_ps(a1y, a2y);
        a3y = (b21 + 16);
        *(a3y) = s5l;
        a4y = _mm_mul_ps(a2k, t5c);
        a5y = _mm_mul_ps(a1k, t6c);
        s6l = _mm_add_ps(a4y, a5y);
        a6y = (b21 + 24);
        *(a6y) = s6l;
        a7y = _mm_mul_ps(a3k, t7c);
        a8y = _mm_mul_ps(a4k, t8c);
        s7l = _mm_sub_ps(a7y, a8y);
        a9y = (b21 + 20);
        *(a9y) = s7l;
        a0z = _mm_mul_ps(a4k, t7c);
        a1z = _mm_mul_ps(a3k, t8c);
        s8l = _mm_add_ps(a0z, a1z);
        a2z = (b21 + 28);
        *(a2z) = s8l;
        t9c = _mm_add_ps(t9a, s1l);
        t0d = _mm_add_ps(t0b, s2l);
        t1d = _mm_sub_ps(t9a, s1l);
        t2d = _mm_sub_ps(t0b, s2l);
        a3z = (a0k + 4);
        a5k = *(a3z);
        a4z = (a0k + 5);
        a6k = *(a4z);
        a5z = (a0k + 6);
        a7k = *(a5z);
        a6z = (a0k + 7);
        a8k = *(a6z);
        a7z = _mm_mul_ps(a5k, t9c);
        a8z = _mm_mul_ps(a6k, t0d);
        s9l = _mm_sub_ps(a7z, a8z);
        a9z = (b21 + 17);
        *(a9z) = s9l;
        a0A = _mm_mul_ps(a6k, t9c);
        a1A = _mm_mul_ps(a5k, t0d);
        s0m = _mm_add_ps(a0A, a1A);
        a2A = (b21 + 25);
        *(a2A) = s0m;
        a3A = _mm_mul_ps(a7k, t1d);
        a4A = _mm_mul_ps(a8k, t2d);
        s1m = _mm_sub_ps(a3A, a4A);
        a5A = (b21 + 21);
        *(a5A) = s1m;
        a6A = _mm_mul_ps(a8k, t1d);
        a7A = _mm_mul_ps(a7k, t2d);
        s2m = _mm_add_ps(a6A, a7A);
        a8A = (b21 + 29);
        *(a8A) = s2m;
        t3d = _mm_sub_ps(t7a, t4c);
        t4d = _mm_add_ps(t8a, t3c);
        t5d = _mm_add_ps(t7a, t4c);
        t6d = _mm_sub_ps(t8a, t3c);
        a9A = (a0k + 8);
        a9k = *(a9A);
        a0B = (a0k + 9);
        a0l = *(a0B);
        a1B = (a0k + 10);
        a1l = *(a1B);
        a2B = (a0k + 11);
        a2l = *(a2B);
        a3B = _mm_mul_ps(a9k, t3d);
        a4B = _mm_mul_ps(a0l, t4d);
        s3m = _mm_sub_ps(a3B, a4B);
        a5B = (b21 + 18);
        *(a5B) = s3m;
        a6B = _mm_mul_ps(a0l, t3d);
        a7B = _mm_mul_ps(a9k, t4d);
        s4m = _mm_add_ps(a6B, a7B);
        a8B = (b21 + 26);
        *(a8B) = s4m;
        a9B = _mm_mul_ps(a1l, t5d);
        a0C = _mm_mul_ps(a2l, t6d);
        s5m = _mm_sub_ps(a9B, a0C);
        a1C = (b21 + 22);
        *(a1C) = s5m;
        a2C = _mm_mul_ps(a2l, t5d);
        a3C = _mm_mul_ps(a1l, t6d);
        s6m = _mm_add_ps(a2C, a3C);
        a4C = (b21 + 30);
        *(a4C) = s6m;
        t7d = _mm_add_ps(t1b, s3l);
        t8d = _mm_sub_ps(t2b, s4l);
        t9d = _mm_sub_ps(t1b, s3l);
        t0e = _mm_add_ps(t2b, s4l);
        a5C = (a0k + 12);
        a3l = *(a5C);
        a6C = (a0k + 13);
        a4l = *(a6C);
        a7C = (a0k + 14);
        a5l = *(a7C);
        a8C = (a0k + 15);
        a6l = *(a8C);
        a9C = _mm_mul_ps(a3l, t7d);
        a0D = _mm_mul_ps(a4l, t8d);
        s7m = _mm_sub_ps(a9C, a0D);
        a1D = (b21 + 19);
        *(a1D) = s7m;
        a2D = _mm_mul_ps(a4l, t7d);
        a3D = _mm_mul_ps(a3l, t8d);
        s8m = _mm_add_ps(a2D, a3D);
        a4D = (b21 + 27);
        *(a4D) = s8m;
        a5D = _mm_mul_ps(a5l, t9d);
        a6D = _mm_mul_ps(a6l, t0e);
        s9m = _mm_sub_ps(a5D, a6D);
        a7D = (b21 + 23);
        *(a7D) = s9m;
        a8D = _mm_mul_ps(a6l, t9d);
        a9D = _mm_mul_ps(a5l, t0e);
        s0n = _mm_add_ps(a8D, a9D);
        a0E = (b21 + 31);
        *(a0E) = s0n;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a1F = ((__m128  *) T);
        a1E = (a1F + i2);
        s1n = *(a1E);
        a2F = (a1E + 32);
        s2n = *(a2F);
        t1e = _mm_add_ps(s1n, s2n);
        t2e = _mm_sub_ps(s1n, s2n);
        a3F = (a1E + 8);
        s3n = *(a3F);
        a4F = (a1E + 40);
        s4n = *(a4F);
        t3e = _mm_sub_ps(s3n, s4n);
        t4e = _mm_add_ps(s3n, s4n);
        a5E = (a1E + 16);
        s5n = *(a5E);
        a6E = (a1E + 24);
        s6n = *(a6E);
        a7E = (a1E + 48);
        s7n = *(a7E);
        a8E = (a1E + 56);
        s8n = *(a8E);
        t5e = _mm_add_ps(s5n, s7n);
        t6e = _mm_sub_ps(s6n, s8n);
        a9E = _mm_sub_ps(s5n, s7n);
        a2E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9E);
        a0F = _mm_add_ps(s6n, s8n);
        a3E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0F);
        s9n = _mm_sub_ps(a2E, a3E);
        s0o = _mm_add_ps(a2E, a3E);
        a5F = ((__m128  *) dst);
        a4E = (a5F + i2);
        s1o = _mm_add_ps(t1e, t5e);
        *(a4E) = s1o;
        s2o = _mm_sub_ps(t1e, t5e);
        a6F = (a4E + 32);
        *(a6F) = s2o;
        s3o = _mm_sub_ps(t2e, t6e);
        a7F = (a4E + 16);
        *(a7F) = s3o;
        s4o = _mm_add_ps(t2e, t6e);
        a8F = (a4E + 48);
        *(a8F) = s4o;
        s5o = _mm_add_ps(t3e, s9n);
        a9F = (a4E + 8);
        *(a9F) = s5o;
        s6o = _mm_sub_ps(t3e, s9n);
        a0G = (a4E + 40);
        *(a0G) = s6o;
        s7o = _mm_sub_ps(t4e, s0o);
        a1G = (a4E + 24);
        *(a1G) = s7o;
        s8o = _mm_add_ps(t4e, s0o);
        a2G = (a4E + 56);
        *(a2G) = s8o;
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftinv_float_512_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[512]);
    __m128 a02, a05, a06, a0e, a0r, a0u, a13, a15, a16, a1s, a2, a23, a25, a26, a2b, a2c, a2m, a2n, a2o, a2p, a2s, a3
            , a31, a34, a35, a36, a3d, a3q, a3t, a41, a44, a45, a46, a4d, a4q, a4t, a52, a55, a5e, a5r, a62, a65, a6e, a6r
            , a7, a73, a75, a7a, a7b, a7c, a7l, a7m, a7n, a7o, a7p, a7s, a8, a83, a85, a8c, a8p, a8s, a91, a94, a95, a9d
            , a9q, a9t;
    __m128 a07, a08, a09, a0A, a0C, a0D, a0H, a0a, a0g, a0h, a0l, a0v, a0w, a0x, a0z, a17, a18, a19, a1A, a1G, a1H, a1a
            , a1f, a1g, a1h, a1k, a1l, a1v, a1w, a1x, a1y, a1z, a27, a28, a29, a2C, a2D, a2E, a2G, a2H, a2a, a2f, a2g, a2h
            , a2k, a2l, a2v, a2w, a2x, a2y, a37, a38, a39, a3A, a3B, a3C, a3D, a3E, a3F, a3H, a3a, a3f, a3g, a3h, a3k, a3l
            , a3v, a3w, a3x, a47, a48, a49, a4A, a4B, a4E, a4F, a4H, a4a, a4f, a4g, a4h, a4k, a4l, a4v, a4w, a4x, a4y, a56
            , a57, a58, a59, a5D, a5E, a5F, a5a, a5f, a5g, a5h, a5j, a5k, a5l, a5u, a5v, a5w, a5x, a5y, a66, a67, a68, a69
            , a6A, a6B, a6D, a6F, a6a, a6f, a6g, a6h, a6j, a6k, a6l, a6u, a6v, a6w, a6x, a76, a77, a78, a79, a7A, a7B, a7E
            , a7G, a7f, a7g, a7h, a7j, a7k, a7u, a7v, a7w, a7y, a7z, a86, a87, a88, a89, a8D, a8E, a8G, a8f, a8g, a8h, a8j
            , a8k, a8u, a8v, a8w, a8y, a8z, a96, a97, a98, a99, a9B, a9C, a9D, a9G, a9f, a9g, a9k, a9u, a9v, a9w, b, b2
            , b3, b4, b5, b6, b7, b8, b9, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e
            , s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s11, s12, s13, s14, s15, s16, s17, s18, s19
            , s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s2, s21, s22, s23
            , s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p
            , s2q, s2r, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j
            , s3k, s3l, s3m, s3n, s3o, s3p, s3q, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e
            , s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59
            , s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s6, s61, s62, s63, s64
            , s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q
            , s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l
            , s7m, s7n, s7o, s7p, s7q, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g
            , s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b
            , s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, t, t01, t02, t03, t04, t05, t06
            , t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c
            , t1d, t1e, t1f, t1g, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t3
            , t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t4, t41, t42, t43, t44, t45
            , t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a
            , t5b, t5c, t5d, t5e, t5f, t5g, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f
            , t6g, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t8, t81, t82, t83, t84
            , t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a
            , t9b, t9c, t9d, t9e, t9f;
    const __m64  *a0b, *a0c, *a0m, *a0n, *a0o, *a0p, *a11, *a12, *a14, *a1d, *a1e, *a1q, *a1r, *a1t, *a1u, *a32, *a33, *a3b, *a3c, *a3e, *a3m, *a3n
            , *a3o, *a3p, *a3r, *a3s, *a3u, *a4, *a5, *a51, *a53, *a54, *a5b, *a5c, *a5d, *a5m, *a5n, *a5o, *a5p, *a5q, *a5s, *a5t, *a71, *a72
            , *a74, *a7d, *a7e, *a7q, *a7r, *a7t, *a8a, *a8b, *a8l, *a8m, *a8n, *a8o, *a9, *a92, *a93, *a9c, *a9e, *a9p, *a9r, *a9s;
    __m128  *a, *a0B, *a0E, *a0F, *a0G, *a0i, *a0j, *a0k, *a0y, *a1B, *a1C, *a1D, *a1E, *a1F, *a1i, *a1j, *a2A, *a2B, *a2F, *a2i, *a2j, *a2z
            , *a3G, *a3i, *a3j, *a3y, *a3z, *a4C, *a4D, *a4G, *a4i, *a4z, *a5A, *a5B, *a5C, *a5G, *a5H, *a5i, *a5z, *a6C, *a6G, *a6H, *a6i, *a6y
            , *a6z, *a7C, *a7D, *a7F, *a7H, *a7i, *a7x, *a8A, *a8B, *a8C, *a8F, *a8H, *a8i, *a8x, *a9A, *a9E, *a9F, *a9h, *a9i, *a9x, *a9y, *a9z
            , *b21;
    float  *a0I, *a0J, *a1I, *a1J, *a2I, *a2J, *a3I, *a3J, *a4I, *a4J, *a5I, *a6E, *a6I, *a7I, *a8I, *a9I;
    const float  *a01, *a03, *a04, *a0d, *a0f, *a0q, *a0s, *a0t, *a1b, *a1c, *a1m, *a1n, *a1o, *a1p, *a21, *a22, *a24, *a2d, *a2e, *a2q, *a2r, *a2t
            , *a2u, *a42, *a43, *a4b, *a4c, *a4e, *a4m, *a4n, *a4o, *a4p, *a4r, *a4s, *a4u, *a6, *a61, *a63, *a64, *a6b, *a6c, *a6d, *a6m, *a6n
            , *a6o, *a6p, *a6q, *a6s, *a6t, *a81, *a82, *a84, *a8d, *a8e, *a8q, *a8r, *a8t, *a9a, *a9b, *a9l, *a9m, *a9n, *a9o, *b01, *b11;
    int a4j, a9H, a9j;
    a4 = ((const __m64  *) src);
    a3 = _mm_loadl_pi(_mm_set1_ps(0.0f), a4);
    a6 = (src + 32);
    a5 = ((const __m64  *) a6);
    a2 = _mm_loadh_pi(a3, a5);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a2);
    a01 = (src + 64);
    a9 = ((const __m64  *) a01);
    a8 = _mm_loadl_pi(_mm_set1_ps(0.0f), a9);
    a21 = (src + 96);
    a11 = ((const __m64  *) a21);
    a7 = _mm_loadh_pi(a8, a11);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a7);
    a61 = (src + 128);
    a51 = ((const __m64  *) a61);
    a41 = _mm_loadl_pi(_mm_set1_ps(0.0f), a51);
    a81 = (src + 160);
    a71 = ((const __m64  *) a81);
    a31 = _mm_loadh_pi(a41, a71);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a31);
    a22 = (src + 192);
    a12 = ((const __m64  *) a22);
    a02 = _mm_loadl_pi(_mm_set1_ps(0.0f), a12);
    a42 = (src + 224);
    a32 = ((const __m64  *) a42);
    a91 = _mm_loadh_pi(a02, a32);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a91);
    a82 = (src + 256);
    a72 = ((const __m64  *) a82);
    a62 = _mm_loadl_pi(_mm_set1_ps(0.0f), a72);
    a03 = (src + 288);
    a92 = ((const __m64  *) a03);
    a52 = _mm_loadh_pi(a62, a92);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a52);
    a43 = (src + 320);
    a33 = ((const __m64  *) a43);
    a23 = _mm_loadl_pi(_mm_set1_ps(0.0f), a33);
    a63 = (src + 352);
    a53 = ((const __m64  *) a63);
    a13 = _mm_loadh_pi(a23, a53);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a13);
    a04 = (src + 384);
    a93 = ((const __m64  *) a04);
    a83 = _mm_loadl_pi(_mm_set1_ps(0.0f), a93);
    a24 = (src + 416);
    a14 = ((const __m64  *) a24);
    a73 = _mm_loadh_pi(a83, a14);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a73);
    a64 = (src + 448);
    a54 = ((const __m64  *) a64);
    a44 = _mm_loadl_pi(_mm_set1_ps(0.0f), a54);
    a84 = (src + 480);
    a74 = ((const __m64  *) a84);
    a34 = _mm_loadh_pi(a44, a74);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a34);
    a94 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a94);
    a05 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a05);
    a15 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a25 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a35 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a45 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a55 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a55);
    a65 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a65);
    a75 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a75, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a85, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a95, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a06 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a06, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a16 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a16, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a26, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a36, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a46 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a46, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a76 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a56 = _mm_add_ps(a66, a76);
    s52 = _mm_sub_ps(a56, s02);
    a86 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a96 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a86, a96);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a17 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a27 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a07 = _mm_sub_ps(a17, a27);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a07);
    a47 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a37 = _mm_sub_ps(a47, s42);
    a57 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a67 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a37, a57);
    s43 = _mm_add_ps(b3, a67);
    a87 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a97 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a77 = _mm_sub_ps(a87, a97);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a77);
    a08 = _mm_sub_ps(s21, s12);
    a18 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a28 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a08, a18);
    s63 = _mm_add_ps(b5, a28);
    a48 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a58 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a38 = _mm_sub_ps(a48, a58);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a38);
    a68 = _mm_sub_ps(s41, s22);
    a78 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a88 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a68, a78);
    s83 = _mm_add_ps(b7, a88);
    a09 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a19 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a98 = _mm_sub_ps(a09, a19);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a98);
    a29 = _mm_sub_ps(s61, s32);
    a39 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a49 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a29, a39);
    s04 = _mm_add_ps(b9, a49);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a59 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a69 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a59, a69);
    a79 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a89 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a79, a89);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a99 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a0a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a99, a0a);
    a1a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a2a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a1a, a2a);
    a3a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a4a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a6a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a5a, a6a);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a9a = (src + 16);
    a8a = ((const __m64  *) a9a);
    a7a = _mm_loadl_pi(_mm_set1_ps(0.0f), a8a);
    a1b = (src + 80);
    a0b = ((const __m64  *) a1b);
    s17 = _mm_loadh_pi(a7a, a0b);
    a4b = (src + 144);
    a3b = ((const __m64  *) a4b);
    a2b = _mm_loadl_pi(_mm_set1_ps(0.0f), a3b);
    a6b = (src + 208);
    a5b = ((const __m64  *) a6b);
    s27 = _mm_loadh_pi(a2b, a5b);
    a9b = (src + 272);
    a8b = ((const __m64  *) a9b);
    a7b = _mm_loadl_pi(_mm_set1_ps(0.0f), a8b);
    a1c = (src + 336);
    a0c = ((const __m64  *) a1c);
    s37 = _mm_loadh_pi(a7b, a0c);
    a4c = (src + 400);
    a3c = ((const __m64  *) a4c);
    a2c = _mm_loadl_pi(_mm_set1_ps(0.0f), a3c);
    a6c = (src + 464);
    a5c = ((const __m64  *) a6c);
    s47 = _mm_loadh_pi(a2c, a5c);
    a0d = (src + 496);
    a9c = ((const __m64  *) a0d);
    a8c = _mm_loadl_pi(_mm_set1_ps(0.0f), a9c);
    a2d = (src + 432);
    a1d = ((const __m64  *) a2d);
    a7c = _mm_loadh_pi(a8c, a1d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7c);
    a6d = (src + 368);
    a5d = ((const __m64  *) a6d);
    a4d = _mm_loadl_pi(_mm_set1_ps(0.0f), a5d);
    a8d = (src + 304);
    a7d = ((const __m64  *) a8d);
    a3d = _mm_loadh_pi(a4d, a7d);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3d);
    a2e = (src + 240);
    a1e = ((const __m64  *) a2e);
    a0e = _mm_loadl_pi(_mm_set1_ps(0.0f), a1e);
    a4e = (src + 176);
    a3e = ((const __m64  *) a4e);
    a9d = _mm_loadh_pi(a0e, a3e);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9d);
    a8e = (src + 112);
    a7e = ((const __m64  *) a8e);
    a6e = _mm_loadl_pi(_mm_set1_ps(0.0f), a7e);
    a0f = (src + 48);
    a9e = ((const __m64  *) a0f);
    a5e = _mm_loadh_pi(a6e, a9e);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a1f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a2f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a4f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a3f, a4f);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a5f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a6f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a5f, a6f);
    a7f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a8f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a7f, a8f);
    a9f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a0g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a2g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a1g, a2g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a3g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t75);
    a4g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t85);
    s9a = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t75);
    a6g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t85);
    s0b = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t95);
    a8g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t06);
    s1b = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t95);
    a0h = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t06);
    s2b = _mm_add_ps(a9g, a0h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a1h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t16);
    a2h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t26);
    s3b = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t16);
    a4h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t26);
    s4b = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t36);
    a6h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t46);
    s5b = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t36);
    a8h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t46);
    s6b = _mm_add_ps(a7h, a8h);
    a = ((__m128  *) T);
    s7b = _mm_add_ps(s36, s9a);
    *(a) = s7b;
    s8b = _mm_sub_ps(s36, s9a);
    a9h = (a + 8);
    *(a9h) = s8b;
    s9b = _mm_sub_ps(s56, s0b);
    a0i = (a + 4);
    *(a0i) = s9b;
    s0c = _mm_add_ps(s56, s0b);
    a1i = (a + 12);
    *(a1i) = s0c;
    s1c = _mm_add_ps(s46, s3b);
    a2i = (a + 1);
    *(a2i) = s1c;
    s2c = _mm_sub_ps(s46, s3b);
    a3i = (a + 9);
    *(a3i) = s2c;
    s3c = _mm_sub_ps(s66, s4b);
    a4i = (a + 5);
    *(a4i) = s3c;
    s4c = _mm_add_ps(s66, s4b);
    a5i = (a + 13);
    *(a5i) = s4c;
    s5c = _mm_add_ps(s76, s1b);
    a6i = (a + 2);
    *(a6i) = s5c;
    s6c = _mm_sub_ps(s76, s1b);
    a7i = (a + 10);
    *(a7i) = s6c;
    s7c = _mm_sub_ps(s96, s2b);
    a8i = (a + 6);
    *(a8i) = s7c;
    s8c = _mm_add_ps(s96, s2b);
    a9i = (a + 14);
    *(a9i) = s8c;
    s9c = _mm_add_ps(s86, s5b);
    a0j = (a + 3);
    *(a0j) = s9c;
    s0d = _mm_sub_ps(s86, s5b);
    a1j = (a + 11);
    *(a1j) = s0d;
    s1d = _mm_sub_ps(s07, s6b);
    a2j = (a + 7);
    *(a2j) = s1d;
    s2d = _mm_add_ps(s07, s6b);
    a3j = (a + 15);
    *(a3j) = s2d;
    {long i; for(i = 0; i <= 6; i++) {
        a4j = (2 * i);
        b01 = (src + a4j);
        a9l = (b01 + 2);
        a8l = ((const __m64  *) a9l);
        a7l = _mm_loadl_pi(_mm_set1_ps(0.0f), a8l);
        a1m = (b01 + 34);
        a0m = ((const __m64  *) a1m);
        s3d = _mm_loadh_pi(a7l, a0m);
        a4m = (b01 + 66);
        a3m = ((const __m64  *) a4m);
        a2m = _mm_loadl_pi(_mm_set1_ps(0.0f), a3m);
        a6m = (b01 + 98);
        a5m = ((const __m64  *) a6m);
        s4d = _mm_loadh_pi(a2m, a5m);
        a9m = (b01 + 130);
        a8m = ((const __m64  *) a9m);
        a7m = _mm_loadl_pi(_mm_set1_ps(0.0f), a8m);
        a1n = (b01 + 162);
        a0n = ((const __m64  *) a1n);
        s5d = _mm_loadh_pi(a7m, a0n);
        a4n = (b01 + 194);
        a3n = ((const __m64  *) a4n);
        a2n = _mm_loadl_pi(_mm_set1_ps(0.0f), a3n);
        a6n = (b01 + 226);
        a5n = ((const __m64  *) a6n);
        s6d = _mm_loadh_pi(a2n, a5n);
        a9n = (b01 + 258);
        a8n = ((const __m64  *) a9n);
        a7n = _mm_loadl_pi(_mm_set1_ps(0.0f), a8n);
        a1o = (b01 + 290);
        a0o = ((const __m64  *) a1o);
        s7d = _mm_loadh_pi(a7n, a0o);
        a4o = (b01 + 322);
        a3o = ((const __m64  *) a4o);
        a2o = _mm_loadl_pi(_mm_set1_ps(0.0f), a3o);
        a6o = (b01 + 354);
        a5o = ((const __m64  *) a6o);
        s8d = _mm_loadh_pi(a2o, a5o);
        a9o = (b01 + 386);
        a8o = ((const __m64  *) a9o);
        a7o = _mm_loadl_pi(_mm_set1_ps(0.0f), a8o);
        a1p = (b01 + 418);
        a0p = ((const __m64  *) a1p);
        s9d = _mm_loadh_pi(a7o, a0p);
        a4p = (b01 + 450);
        a3p = ((const __m64  *) a4p);
        a2p = _mm_loadl_pi(_mm_set1_ps(0.0f), a3p);
        a6p = (b01 + 482);
        a5p = ((const __m64  *) a6p);
        s0e = _mm_loadh_pi(a2p, a5p);
        b11 = (src - a4j);
        a0q = (b11 + 510);
        a9p = ((const __m64  *) a0q);
        a8p = _mm_loadl_pi(_mm_set1_ps(0.0f), a9p);
        a2q = (b11 + 478);
        a1q = ((const __m64  *) a2q);
        a7p = _mm_loadh_pi(a8p, a1q);
        s1e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7p);
        a6q = (b11 + 446);
        a5q = ((const __m64  *) a6q);
        a4q = _mm_loadl_pi(_mm_set1_ps(0.0f), a5q);
        a8q = (b11 + 414);
        a7q = ((const __m64  *) a8q);
        a3q = _mm_loadh_pi(a4q, a7q);
        s2e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3q);
        a2r = (b11 + 382);
        a1r = ((const __m64  *) a2r);
        a0r = _mm_loadl_pi(_mm_set1_ps(0.0f), a1r);
        a4r = (b11 + 350);
        a3r = ((const __m64  *) a4r);
        a9q = _mm_loadh_pi(a0r, a3r);
        s3e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9q);
        a8r = (b11 + 318);
        a7r = ((const __m64  *) a8r);
        a6r = _mm_loadl_pi(_mm_set1_ps(0.0f), a7r);
        a0s = (b11 + 286);
        a9r = ((const __m64  *) a0s);
        a5r = _mm_loadh_pi(a6r, a9r);
        s4e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5r);
        a4s = (b11 + 254);
        a3s = ((const __m64  *) a4s);
        a2s = _mm_loadl_pi(_mm_set1_ps(0.0f), a3s);
        a6s = (b11 + 222);
        a5s = ((const __m64  *) a6s);
        a1s = _mm_loadh_pi(a2s, a5s);
        s5e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1s);
        a0t = (b11 + 190);
        a9s = ((const __m64  *) a0t);
        a8s = _mm_loadl_pi(_mm_set1_ps(0.0f), a9s);
        a2t = (b11 + 158);
        a1t = ((const __m64  *) a2t);
        a7s = _mm_loadh_pi(a8s, a1t);
        s6e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7s);
        a6t = (b11 + 126);
        a5t = ((const __m64  *) a6t);
        a4t = _mm_loadl_pi(_mm_set1_ps(0.0f), a5t);
        a8t = (b11 + 94);
        a7t = ((const __m64  *) a8t);
        a3t = _mm_loadh_pi(a4t, a7t);
        s7e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3t);
        a2u = (b11 + 62);
        a1u = ((const __m64  *) a2u);
        a0u = _mm_loadl_pi(_mm_set1_ps(0.0f), a1u);
        a4u = (b11 + 30);
        a3u = ((const __m64  *) a4u);
        a9t = _mm_loadh_pi(a0u, a3u);
        s8e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9t);
        s9e = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(2, 0, 2, 0));
        s0f = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(3, 1, 3, 1));
        s1f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(2, 0, 2, 0));
        s2f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(3, 1, 3, 1));
        t56 = _mm_add_ps(s9e, s1f);
        t66 = _mm_add_ps(s0f, s2f);
        t76 = _mm_sub_ps(s9e, s1f);
        t86 = _mm_sub_ps(s0f, s2f);
        s3f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(2, 0, 2, 0));
        s4f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(3, 1, 3, 1));
        s5f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(2, 0, 2, 0));
        s6f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(3, 1, 3, 1));
        t96 = _mm_add_ps(s3f, s5f);
        t07 = _mm_add_ps(s4f, s6f);
        t17 = _mm_sub_ps(s3f, s5f);
        t27 = _mm_sub_ps(s4f, s6f);
        t37 = _mm_add_ps(t56, t96);
        t47 = _mm_add_ps(t66, t07);
        t57 = _mm_sub_ps(t56, t96);
        t67 = _mm_sub_ps(t66, t07);
        t77 = _mm_sub_ps(t76, t27);
        t87 = _mm_add_ps(t86, t17);
        t97 = _mm_add_ps(t76, t27);
        t08 = _mm_sub_ps(t86, t17);
        s7f = _mm_unpacklo_ps(t37, t77);
        s8f = _mm_unpackhi_ps(t37, t77);
        s9f = _mm_unpacklo_ps(t47, t87);
        s0g = _mm_unpackhi_ps(t47, t87);
        s1g = _mm_unpacklo_ps(t57, t97);
        s2g = _mm_unpackhi_ps(t57, t97);
        s3g = _mm_unpacklo_ps(t67, t08);
        s4g = _mm_unpackhi_ps(t67, t08);
        s5g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(1, 0, 1, 0));
        s6g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(3, 2, 3, 2));
        s7g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(1, 0, 1, 0));
        s8g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(3, 2, 3, 2));
        s9g = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(1, 0, 1, 0));
        s0h = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(3, 2, 3, 2));
        s1h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(1, 0, 1, 0));
        s2h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(3, 2, 3, 2));
        s3h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(2, 0, 2, 0));
        s4h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(3, 1, 3, 1));
        s5h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(2, 0, 2, 0));
        s6h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(3, 1, 3, 1));
        t18 = _mm_add_ps(s3h, s5h);
        t28 = _mm_add_ps(s4h, s6h);
        t38 = _mm_sub_ps(s3h, s5h);
        t48 = _mm_sub_ps(s4h, s6h);
        s7h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(2, 0, 2, 0));
        s8h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(3, 1, 3, 1));
        s9h = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(2, 0, 2, 0));
        s0i = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(3, 1, 3, 1));
        t58 = _mm_add_ps(s7h, s9h);
        t68 = _mm_add_ps(s8h, s0i);
        t78 = _mm_sub_ps(s7h, s9h);
        t88 = _mm_sub_ps(s8h, s0i);
        t98 = _mm_add_ps(t18, t58);
        t09 = _mm_add_ps(t28, t68);
        t19 = _mm_sub_ps(t18, t58);
        t29 = _mm_sub_ps(t28, t68);
        t39 = _mm_sub_ps(t38, t88);
        t49 = _mm_add_ps(t48, t78);
        t59 = _mm_add_ps(t38, t88);
        t69 = _mm_sub_ps(t48, t78);
        s1i = _mm_unpacklo_ps(t98, t39);
        s2i = _mm_unpackhi_ps(t98, t39);
        s3i = _mm_unpacklo_ps(t09, t49);
        s4i = _mm_unpackhi_ps(t09, t49);
        s5i = _mm_unpacklo_ps(t19, t59);
        s6i = _mm_unpackhi_ps(t19, t59);
        s7i = _mm_unpacklo_ps(t29, t69);
        s8i = _mm_unpackhi_ps(t29, t69);
        s9i = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(1, 0, 1, 0));
        s0j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(3, 2, 3, 2));
        s1j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(1, 0, 1, 0));
        s2j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(3, 2, 3, 2));
        s3j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(1, 0, 1, 0));
        s4j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(3, 2, 3, 2));
        s5j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(1, 0, 1, 0));
        s6j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(3, 2, 3, 2));
        a5u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9i);
        a6u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3j);
        s7j = _mm_sub_ps(a5u, a6u);
        a7u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s9i);
        a8u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3j);
        s8j = _mm_add_ps(a7u, a8u);
        t79 = _mm_add_ps(s5g, s7j);
        t89 = _mm_add_ps(s9g, s8j);
        t99 = _mm_sub_ps(s5g, s7j);
        t0a = _mm_sub_ps(s9g, s8j);
        a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7g);
        a0v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s1h);
        s9j = _mm_sub_ps(a9u, a0v);
        a1v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s7g);
        a2v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1h);
        s0k = _mm_add_ps(a1v, a2v);
        a3v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1j);
        a4v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s5j);
        s1k = _mm_sub_ps(a3v, a4v);
        a5v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s1j);
        a6v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5j);
        s2k = _mm_add_ps(a5v, a6v);
        t1a = _mm_add_ps(s9j, s1k);
        t2a = _mm_add_ps(s0k, s2k);
        t3a = _mm_sub_ps(s9j, s1k);
        t4a = _mm_sub_ps(s0k, s2k);
        t5a = _mm_add_ps(t79, t1a);
        t6a = _mm_add_ps(t89, t2a);
        t7a = _mm_sub_ps(t79, t1a);
        t8a = _mm_sub_ps(t89, t2a);
        t9a = _mm_sub_ps(t99, t4a);
        t0b = _mm_add_ps(t0a, t3a);
        t1b = _mm_add_ps(t99, t4a);
        t2b = _mm_sub_ps(t0a, t3a);
        a7v = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6g);
        a8v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s0h);
        s3k = _mm_sub_ps(a7v, a8v);
        a9v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s6g);
        a0w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0h);
        s4k = _mm_add_ps(a9v, a0w);
        a1w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0j);
        a2w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s4j);
        s5k = _mm_sub_ps(a1w, a2w);
        a3w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s0j);
        a4w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4j);
        s6k = _mm_add_ps(a3w, a4w);
        t3b = _mm_add_ps(s3k, s5k);
        t4b = _mm_add_ps(s4k, s6k);
        t5b = _mm_sub_ps(s3k, s5k);
        t6b = _mm_sub_ps(s4k, s6k);
        a5w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8g);
        a6w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s2h);
        s7k = _mm_sub_ps(a5w, a6w);
        a7w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s8g);
        a8w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2h);
        s8k = _mm_add_ps(a7w, a8w);
        a9w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2j);
        a0x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s6j);
        s9k = _mm_sub_ps(a9w, a0x);
        a1x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s2j);
        a2x = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6j);
        s0l = _mm_add_ps(a1x, a2x);
        t7b = _mm_add_ps(s7k, s9k);
        t8b = _mm_add_ps(s8k, s0l);
        t9b = _mm_sub_ps(s7k, s9k);
        t0c = _mm_sub_ps(s8k, s0l);
        t1c = _mm_add_ps(t3b, t7b);
        t2c = _mm_add_ps(t4b, t8b);
        t3c = _mm_sub_ps(t3b, t7b);
        t4c = _mm_sub_ps(t4b, t8b);
        a3x = _mm_sub_ps(t5b, t0c);
        a5j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3x);
        a4x = _mm_add_ps(t6b, t9b);
        a6j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4x);
        s1l = _mm_sub_ps(a5j, a6j);
        s2l = _mm_add_ps(a5j, a6j);
        a5x = _mm_add_ps(t5b, t0c);
        a7j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5x);
        a6x = _mm_sub_ps(t6b, t9b);
        a8j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6x);
        s3l = _mm_sub_ps(a7j, a8j);
        s4l = _mm_add_ps(a7j, a8j);
        t5c = _mm_add_ps(t5a, t1c);
        t6c = _mm_add_ps(t6a, t2c);
        t7c = _mm_sub_ps(t5a, t1c);
        t8c = _mm_sub_ps(t6a, t2c);
        a9j = (16 * i);
        a0k = (D21 + a9j);
        a1k = *(a0k);
        a7x = (a0k + 1);
        a2k = *(a7x);
        a8x = (a0k + 2);
        a3k = *(a8x);
        a9x = (a0k + 3);
        a4k = *(a9x);
        a0y = ((__m128  *) T);
        b21 = (a0y + a9j);
        a1y = _mm_mul_ps(a1k, t5c);
        a2y = _mm_mul_ps(a2k, t6c);
        s5l = _mm_sub_ps(a1y, a2y);
        a3y = (b21 + 16);
        *(a3y) = s5l;
        a4y = _mm_mul_ps(a2k, t5c);
        a5y = _mm_mul_ps(a1k, t6c);
        s6l = _mm_add_ps(a4y, a5y);
        a6y = (b21 + 24);
        *(a6y) = s6l;
        a7y = _mm_mul_ps(a3k, t7c);
        a8y = _mm_mul_ps(a4k, t8c);
        s7l = _mm_sub_ps(a7y, a8y);
        a9y = (b21 + 20);
        *(a9y) = s7l;
        a0z = _mm_mul_ps(a4k, t7c);
        a1z = _mm_mul_ps(a3k, t8c);
        s8l = _mm_add_ps(a0z, a1z);
        a2z = (b21 + 28);
        *(a2z) = s8l;
        t9c = _mm_add_ps(t9a, s1l);
        t0d = _mm_add_ps(t0b, s2l);
        t1d = _mm_sub_ps(t9a, s1l);
        t2d = _mm_sub_ps(t0b, s2l);
        a3z = (a0k + 4);
        a5k = *(a3z);
        a4z = (a0k + 5);
        a6k = *(a4z);
        a5z = (a0k + 6);
        a7k = *(a5z);
        a6z = (a0k + 7);
        a8k = *(a6z);
        a7z = _mm_mul_ps(a5k, t9c);
        a8z = _mm_mul_ps(a6k, t0d);
        s9l = _mm_sub_ps(a7z, a8z);
        a9z = (b21 + 17);
        *(a9z) = s9l;
        a0A = _mm_mul_ps(a6k, t9c);
        a1A = _mm_mul_ps(a5k, t0d);
        s0m = _mm_add_ps(a0A, a1A);
        a2A = (b21 + 25);
        *(a2A) = s0m;
        a3A = _mm_mul_ps(a7k, t1d);
        a4A = _mm_mul_ps(a8k, t2d);
        s1m = _mm_sub_ps(a3A, a4A);
        a5A = (b21 + 21);
        *(a5A) = s1m;
        a6A = _mm_mul_ps(a8k, t1d);
        a7A = _mm_mul_ps(a7k, t2d);
        s2m = _mm_add_ps(a6A, a7A);
        a8A = (b21 + 29);
        *(a8A) = s2m;
        t3d = _mm_sub_ps(t7a, t4c);
        t4d = _mm_add_ps(t8a, t3c);
        t5d = _mm_add_ps(t7a, t4c);
        t6d = _mm_sub_ps(t8a, t3c);
        a9A = (a0k + 8);
        a9k = *(a9A);
        a0B = (a0k + 9);
        a0l = *(a0B);
        a1B = (a0k + 10);
        a1l = *(a1B);
        a2B = (a0k + 11);
        a2l = *(a2B);
        a3B = _mm_mul_ps(a9k, t3d);
        a4B = _mm_mul_ps(a0l, t4d);
        s3m = _mm_sub_ps(a3B, a4B);
        a5B = (b21 + 18);
        *(a5B) = s3m;
        a6B = _mm_mul_ps(a0l, t3d);
        a7B = _mm_mul_ps(a9k, t4d);
        s4m = _mm_add_ps(a6B, a7B);
        a8B = (b21 + 26);
        *(a8B) = s4m;
        a9B = _mm_mul_ps(a1l, t5d);
        a0C = _mm_mul_ps(a2l, t6d);
        s5m = _mm_sub_ps(a9B, a0C);
        a1C = (b21 + 22);
        *(a1C) = s5m;
        a2C = _mm_mul_ps(a2l, t5d);
        a3C = _mm_mul_ps(a1l, t6d);
        s6m = _mm_add_ps(a2C, a3C);
        a4C = (b21 + 30);
        *(a4C) = s6m;
        t7d = _mm_add_ps(t1b, s3l);
        t8d = _mm_sub_ps(t2b, s4l);
        t9d = _mm_sub_ps(t1b, s3l);
        t0e = _mm_add_ps(t2b, s4l);
        a5C = (a0k + 12);
        a3l = *(a5C);
        a6C = (a0k + 13);
        a4l = *(a6C);
        a7C = (a0k + 14);
        a5l = *(a7C);
        a8C = (a0k + 15);
        a6l = *(a8C);
        a9C = _mm_mul_ps(a3l, t7d);
        a0D = _mm_mul_ps(a4l, t8d);
        s7m = _mm_sub_ps(a9C, a0D);
        a1D = (b21 + 19);
        *(a1D) = s7m;
        a2D = _mm_mul_ps(a4l, t7d);
        a3D = _mm_mul_ps(a3l, t8d);
        s8m = _mm_add_ps(a2D, a3D);
        a4D = (b21 + 27);
        *(a4D) = s8m;
        a5D = _mm_mul_ps(a5l, t9d);
        a6D = _mm_mul_ps(a6l, t0e);
        s9m = _mm_sub_ps(a5D, a6D);
        a7D = (b21 + 23);
        *(a7D) = s9m;
        a8D = _mm_mul_ps(a6l, t9d);
        a9D = _mm_mul_ps(a5l, t0e);
        s0n = _mm_add_ps(a8D, a9D);
        a0E = (b21 + 31);
        *(a0E) = s0n;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a5H = ((__m128  *) T);
        a1E = (a5H + i2);
        s1n = *(a1E);
        a6H = (a1E + 64);
        s2n = *(a6H);
        t1e = _mm_add_ps(s1n, s2n);
        t2e = _mm_sub_ps(s1n, s2n);
        a7H = (a1E + 8);
        s3n = *(a7H);
        a8H = (a1E + 72);
        s4n = *(a8H);
        t3e = _mm_sub_ps(s3n, s4n);
        t4e = _mm_add_ps(s3n, s4n);
        a9E = (a1E + 16);
        s5n = *(a9E);
        a0F = (a1E + 24);
        s6n = *(a0F);
        a1F = (a1E + 112);
        s7n = *(a1F);
        a2F = (a1E + 120);
        s8n = *(a2F);
        t5e = _mm_add_ps(s5n, s7n);
        t6e = _mm_sub_ps(s6n, s8n);
        t7e = _mm_sub_ps(s5n, s7n);
        t8e = _mm_add_ps(s6n, s8n);
        a3F = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t7e);
        a4F = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t8e);
        s9n = _mm_sub_ps(a3F, a4F);
        a5F = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t7e);
        a6F = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8e);
        s0o = _mm_add_ps(a5F, a6F);
        a7F = (a1E + 32);
        s1o = *(a7F);
        a8F = (a1E + 40);
        s2o = *(a8F);
        a9F = (a1E + 96);
        s3o = *(a9F);
        a0G = (a1E + 104);
        s4o = *(a0G);
        t9e = _mm_add_ps(s1o, s3o);
        t0f = _mm_sub_ps(s2o, s4o);
        a1G = _mm_sub_ps(s1o, s3o);
        a2E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1G);
        a2G = _mm_add_ps(s2o, s4o);
        a3E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2G);
        s5o = _mm_sub_ps(a2E, a3E);
        s6o = _mm_add_ps(a2E, a3E);
        a3G = (a1E + 48);
        s7o = *(a3G);
        a4G = (a1E + 56);
        s8o = *(a4G);
        a5G = (a1E + 80);
        s9o = *(a5G);
        a6G = (a1E + 88);
        s0p = *(a6G);
        t1f = _mm_add_ps(s7o, s9o);
        t2f = _mm_sub_ps(s8o, s0p);
        t3f = _mm_sub_ps(s7o, s9o);
        t4f = _mm_add_ps(s8o, s0p);
        a7G = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3f);
        a8G = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4f);
        s1p = _mm_sub_ps(a7G, a8G);
        a9G = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3f);
        a0H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4f);
        s2p = _mm_add_ps(a9G, a0H);
        t5f = _mm_add_ps(t1e, t9e);
        t6f = _mm_sub_ps(t1e, t9e);
        t7f = _mm_sub_ps(t2e, t0f);
        t8f = _mm_add_ps(t2e, t0f);
        t9f = _mm_add_ps(t5e, t1f);
        t0g = _mm_sub_ps(t6e, t2f);
        a1H = _mm_sub_ps(t5e, t1f);
        a4E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1H);
        a2H = _mm_add_ps(t6e, t2f);
        a5E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2H);
        s3p = _mm_sub_ps(a4E, a5E);
        s4p = _mm_add_ps(a4E, a5E);
        a9H = (4 * i2);
        a6E = (dst + a9H);
        s5p = _mm_add_ps(t5f, t9f);
        _mm_storeu_ps(((float  *) a6E), s5p);
        s6p = _mm_sub_ps(t5f, t9f);
        a0I = (a6E + 256);
        _mm_storeu_ps(((float  *) a0I), s6p);
        s7p = _mm_sub_ps(t6f, t0g);
        a1I = (a6E + 128);
        _mm_storeu_ps(((float  *) a1I), s7p);
        s8p = _mm_add_ps(t6f, t0g);
        a2I = (a6E + 384);
        _mm_storeu_ps(((float  *) a2I), s8p);
        s9p = _mm_add_ps(t7f, s3p);
        a3I = (a6E + 64);
        _mm_storeu_ps(((float  *) a3I), s9p);
        s0q = _mm_sub_ps(t7f, s3p);
        a4I = (a6E + 320);
        _mm_storeu_ps(((float  *) a4I), s0q);
        s1q = _mm_sub_ps(t8f, s4p);
        a5I = (a6E + 192);
        _mm_storeu_ps(((float  *) a5I), s1q);
        s2q = _mm_add_ps(t8f, s4p);
        a6I = (a6E + 448);
        _mm_storeu_ps(((float  *) a6I), s2q);
        t1g = _mm_add_ps(t3e, s5o);
        t2g = _mm_sub_ps(t3e, s5o);
        t3g = _mm_sub_ps(t4e, s6o);
        t4g = _mm_add_ps(t4e, s6o);
        t5g = _mm_add_ps(s9n, s1p);
        t6g = _mm_sub_ps(s0o, s2p);
        a3H = _mm_sub_ps(s9n, s1p);
        a7E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3H);
        a4H = _mm_add_ps(s0o, s2p);
        a8E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4H);
        s3q = _mm_sub_ps(a7E, a8E);
        s4q = _mm_add_ps(a7E, a8E);
        s5q = _mm_add_ps(t1g, t5g);
        a7I = (a6E + 32);
        _mm_storeu_ps(((float  *) a7I), s5q);
        s6q = _mm_sub_ps(t1g, t5g);
        a8I = (a6E + 288);
        _mm_storeu_ps(((float  *) a8I), s6q);
        s7q = _mm_sub_ps(t2g, t6g);
        a9I = (a6E + 160);
        _mm_storeu_ps(((float  *) a9I), s7q);
        s8q = _mm_add_ps(t2g, t6g);
        a0J = (a6E + 416);
        _mm_storeu_ps(((float  *) a0J), s8q);
        s9q = _mm_add_ps(t3g, s3q);
        a1J = (a6E + 96);
        _mm_storeu_ps(((float  *) a1J), s9q);
        s0r = _mm_sub_ps(t3g, s3q);
        a2J = (a6E + 352);
        _mm_storeu_ps(((float  *) a2J), s0r);
        s1r = _mm_sub_ps(t4g, s4q);
        a3J = (a6E + 224);
        _mm_storeu_ps(((float  *) a3J), s1r);
        s2r = _mm_add_ps(t4g, s4q);
        a4J = (a6E + 480);
        _mm_storeu_ps(((float  *) a4J), s2r);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftinv_float_512)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftinv_float_512_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[512]);
    __m128 a02, a05, a06, a0e, a0r, a0u, a13, a15, a16, a1s, a2, a23, a25, a26, a2b, a2c, a2m, a2n, a2o, a2p, a2s, a3
            , a31, a34, a35, a36, a3d, a3q, a3t, a41, a44, a45, a46, a4d, a4q, a4t, a52, a55, a5e, a5r, a62, a65, a6e, a6r
            , a7, a73, a75, a7a, a7b, a7c, a7l, a7m, a7n, a7o, a7p, a7s, a8, a83, a85, a8c, a8p, a8s, a91, a94, a95, a9d
            , a9q, a9t;
    __m128 a07, a08, a09, a0A, a0C, a0D, a0H, a0a, a0g, a0h, a0l, a0v, a0w, a0x, a0z, a17, a18, a19, a1A, a1G, a1H, a1a
            , a1f, a1g, a1h, a1k, a1l, a1v, a1w, a1x, a1y, a1z, a27, a28, a29, a2C, a2D, a2E, a2G, a2H, a2a, a2f, a2g, a2h
            , a2k, a2l, a2v, a2w, a2x, a2y, a37, a38, a39, a3A, a3B, a3C, a3D, a3E, a3F, a3H, a3a, a3f, a3g, a3h, a3k, a3l
            , a3v, a3w, a3x, a47, a48, a49, a4A, a4B, a4E, a4F, a4H, a4a, a4f, a4g, a4h, a4k, a4l, a4v, a4w, a4x, a4y, a56
            , a57, a58, a59, a5D, a5E, a5F, a5a, a5f, a5g, a5h, a5j, a5k, a5l, a5u, a5v, a5w, a5x, a5y, a66, a67, a68, a69
            , a6A, a6B, a6D, a6F, a6a, a6f, a6g, a6h, a6j, a6k, a6l, a6u, a6v, a6w, a6x, a76, a77, a78, a79, a7A, a7B, a7E
            , a7G, a7f, a7g, a7h, a7j, a7k, a7u, a7v, a7w, a7y, a7z, a86, a87, a88, a89, a8D, a8E, a8G, a8f, a8g, a8h, a8j
            , a8k, a8u, a8v, a8w, a8y, a8z, a96, a97, a98, a99, a9B, a9C, a9D, a9G, a9f, a9g, a9k, a9u, a9v, a9w, b, b2
            , b3, b4, b5, b6, b7, b8, b9, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e
            , s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s11, s12, s13, s14, s15, s16, s17, s18, s19
            , s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s2, s21, s22, s23
            , s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p
            , s2q, s2r, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j
            , s3k, s3l, s3m, s3n, s3o, s3p, s3q, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e
            , s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59
            , s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s6, s61, s62, s63, s64
            , s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q
            , s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l
            , s7m, s7n, s7o, s7p, s7q, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g
            , s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b
            , s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, t, t01, t02, t03, t04, t05, t06
            , t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c
            , t1d, t1e, t1f, t1g, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t3
            , t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t4, t41, t42, t43, t44, t45
            , t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a
            , t5b, t5c, t5d, t5e, t5f, t5g, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f
            , t6g, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t8, t81, t82, t83, t84
            , t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a
            , t9b, t9c, t9d, t9e, t9f;
    const __m64  *a0b, *a0c, *a0m, *a0n, *a0o, *a0p, *a11, *a12, *a14, *a1d, *a1e, *a1q, *a1r, *a1t, *a1u, *a32, *a33, *a3b, *a3c, *a3e, *a3m, *a3n
            , *a3o, *a3p, *a3r, *a3s, *a3u, *a4, *a5, *a51, *a53, *a54, *a5b, *a5c, *a5d, *a5m, *a5n, *a5o, *a5p, *a5q, *a5s, *a5t, *a71, *a72
            , *a74, *a7d, *a7e, *a7q, *a7r, *a7t, *a8a, *a8b, *a8l, *a8m, *a8n, *a8o, *a9, *a92, *a93, *a9c, *a9e, *a9p, *a9r, *a9s;
    __m128  *a, *a0B, *a0E, *a0F, *a0G, *a0I, *a0J, *a0i, *a0j, *a0k, *a0y, *a1B, *a1C, *a1D, *a1E, *a1F, *a1I, *a1J, *a1i, *a1j, *a2A, *a2B
            , *a2F, *a2I, *a2J, *a2i, *a2j, *a2z, *a3G, *a3I, *a3J, *a3i, *a3j, *a3y, *a3z, *a4C, *a4D, *a4G, *a4I, *a4J, *a4i, *a4z, *a5A, *a5B
            , *a5C, *a5G, *a5H, *a5I, *a5i, *a5z, *a6C, *a6E, *a6G, *a6H, *a6I, *a6i, *a6y, *a6z, *a7C, *a7D, *a7F, *a7H, *a7I, *a7i, *a7x, *a8A
            , *a8B, *a8C, *a8F, *a8H, *a8I, *a8i, *a8x, *a9A, *a9E, *a9F, *a9H, *a9I, *a9h, *a9i, *a9x, *a9y, *a9z, *b21;
    const float  *a01, *a03, *a04, *a0d, *a0f, *a0q, *a0s, *a0t, *a1b, *a1c, *a1m, *a1n, *a1o, *a1p, *a21, *a22, *a24, *a2d, *a2e, *a2q, *a2r, *a2t
            , *a2u, *a42, *a43, *a4b, *a4c, *a4e, *a4m, *a4n, *a4o, *a4p, *a4r, *a4s, *a4u, *a6, *a61, *a63, *a64, *a6b, *a6c, *a6d, *a6m, *a6n
            , *a6o, *a6p, *a6q, *a6s, *a6t, *a81, *a82, *a84, *a8d, *a8e, *a8q, *a8r, *a8t, *a9a, *a9b, *a9l, *a9m, *a9n, *a9o, *b01, *b11;
    int a4j, a9j;
    a4 = ((const __m64  *) src);
    a3 = _mm_loadl_pi(_mm_set1_ps(0.0f), a4);
    a6 = (src + 32);
    a5 = ((const __m64  *) a6);
    a2 = _mm_loadh_pi(a3, a5);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a2);
    a01 = (src + 64);
    a9 = ((const __m64  *) a01);
    a8 = _mm_loadl_pi(_mm_set1_ps(0.0f), a9);
    a21 = (src + 96);
    a11 = ((const __m64  *) a21);
    a7 = _mm_loadh_pi(a8, a11);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a7);
    a61 = (src + 128);
    a51 = ((const __m64  *) a61);
    a41 = _mm_loadl_pi(_mm_set1_ps(0.0f), a51);
    a81 = (src + 160);
    a71 = ((const __m64  *) a81);
    a31 = _mm_loadh_pi(a41, a71);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a31);
    a22 = (src + 192);
    a12 = ((const __m64  *) a22);
    a02 = _mm_loadl_pi(_mm_set1_ps(0.0f), a12);
    a42 = (src + 224);
    a32 = ((const __m64  *) a42);
    a91 = _mm_loadh_pi(a02, a32);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a91);
    a82 = (src + 256);
    a72 = ((const __m64  *) a82);
    a62 = _mm_loadl_pi(_mm_set1_ps(0.0f), a72);
    a03 = (src + 288);
    a92 = ((const __m64  *) a03);
    a52 = _mm_loadh_pi(a62, a92);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a52);
    a43 = (src + 320);
    a33 = ((const __m64  *) a43);
    a23 = _mm_loadl_pi(_mm_set1_ps(0.0f), a33);
    a63 = (src + 352);
    a53 = ((const __m64  *) a63);
    a13 = _mm_loadh_pi(a23, a53);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a13);
    a04 = (src + 384);
    a93 = ((const __m64  *) a04);
    a83 = _mm_loadl_pi(_mm_set1_ps(0.0f), a93);
    a24 = (src + 416);
    a14 = ((const __m64  *) a24);
    a73 = _mm_loadh_pi(a83, a14);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a73);
    a64 = (src + 448);
    a54 = ((const __m64  *) a64);
    a44 = _mm_loadl_pi(_mm_set1_ps(0.0f), a54);
    a84 = (src + 480);
    a74 = ((const __m64  *) a84);
    a34 = _mm_loadh_pi(a44, a74);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a34);
    a94 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a94);
    a05 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a05);
    a15 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a25 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a35 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a45 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a55 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a55);
    a65 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a65);
    a75 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a75, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a85, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a95, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a06 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a06, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a16 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a16, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a26, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a36, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a46 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a46, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a76 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a56 = _mm_add_ps(a66, a76);
    s52 = _mm_sub_ps(a56, s02);
    a86 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a96 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a86, a96);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a17 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a27 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a07 = _mm_sub_ps(a17, a27);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a07);
    a47 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a37 = _mm_sub_ps(a47, s42);
    a57 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a67 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a37, a57);
    s43 = _mm_add_ps(b3, a67);
    a87 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a97 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a77 = _mm_sub_ps(a87, a97);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a77);
    a08 = _mm_sub_ps(s21, s12);
    a18 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a28 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a08, a18);
    s63 = _mm_add_ps(b5, a28);
    a48 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a58 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a38 = _mm_sub_ps(a48, a58);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a38);
    a68 = _mm_sub_ps(s41, s22);
    a78 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a88 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a68, a78);
    s83 = _mm_add_ps(b7, a88);
    a09 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a19 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a98 = _mm_sub_ps(a09, a19);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a98);
    a29 = _mm_sub_ps(s61, s32);
    a39 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a49 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a29, a39);
    s04 = _mm_add_ps(b9, a49);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a59 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a69 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a59, a69);
    a79 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a89 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a79, a89);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a99 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a0a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a99, a0a);
    a1a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a2a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a1a, a2a);
    a3a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a4a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a6a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a5a, a6a);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a9a = (src + 16);
    a8a = ((const __m64  *) a9a);
    a7a = _mm_loadl_pi(_mm_set1_ps(0.0f), a8a);
    a1b = (src + 80);
    a0b = ((const __m64  *) a1b);
    s17 = _mm_loadh_pi(a7a, a0b);
    a4b = (src + 144);
    a3b = ((const __m64  *) a4b);
    a2b = _mm_loadl_pi(_mm_set1_ps(0.0f), a3b);
    a6b = (src + 208);
    a5b = ((const __m64  *) a6b);
    s27 = _mm_loadh_pi(a2b, a5b);
    a9b = (src + 272);
    a8b = ((const __m64  *) a9b);
    a7b = _mm_loadl_pi(_mm_set1_ps(0.0f), a8b);
    a1c = (src + 336);
    a0c = ((const __m64  *) a1c);
    s37 = _mm_loadh_pi(a7b, a0c);
    a4c = (src + 400);
    a3c = ((const __m64  *) a4c);
    a2c = _mm_loadl_pi(_mm_set1_ps(0.0f), a3c);
    a6c = (src + 464);
    a5c = ((const __m64  *) a6c);
    s47 = _mm_loadh_pi(a2c, a5c);
    a0d = (src + 496);
    a9c = ((const __m64  *) a0d);
    a8c = _mm_loadl_pi(_mm_set1_ps(0.0f), a9c);
    a2d = (src + 432);
    a1d = ((const __m64  *) a2d);
    a7c = _mm_loadh_pi(a8c, a1d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7c);
    a6d = (src + 368);
    a5d = ((const __m64  *) a6d);
    a4d = _mm_loadl_pi(_mm_set1_ps(0.0f), a5d);
    a8d = (src + 304);
    a7d = ((const __m64  *) a8d);
    a3d = _mm_loadh_pi(a4d, a7d);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3d);
    a2e = (src + 240);
    a1e = ((const __m64  *) a2e);
    a0e = _mm_loadl_pi(_mm_set1_ps(0.0f), a1e);
    a4e = (src + 176);
    a3e = ((const __m64  *) a4e);
    a9d = _mm_loadh_pi(a0e, a3e);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9d);
    a8e = (src + 112);
    a7e = ((const __m64  *) a8e);
    a6e = _mm_loadl_pi(_mm_set1_ps(0.0f), a7e);
    a0f = (src + 48);
    a9e = ((const __m64  *) a0f);
    a5e = _mm_loadh_pi(a6e, a9e);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a1f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a2f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a4f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a3f, a4f);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a5f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a6f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a5f, a6f);
    a7f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a8f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a7f, a8f);
    a9f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a0g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a2g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a1g, a2g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a3g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t75);
    a4g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t85);
    s9a = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t75);
    a6g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t85);
    s0b = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t95);
    a8g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t06);
    s1b = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t95);
    a0h = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t06);
    s2b = _mm_add_ps(a9g, a0h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a1h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t16);
    a2h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t26);
    s3b = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t16);
    a4h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t26);
    s4b = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t36);
    a6h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t46);
    s5b = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t36);
    a8h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t46);
    s6b = _mm_add_ps(a7h, a8h);
    a = ((__m128  *) T);
    s7b = _mm_add_ps(s36, s9a);
    *(a) = s7b;
    s8b = _mm_sub_ps(s36, s9a);
    a9h = (a + 8);
    *(a9h) = s8b;
    s9b = _mm_sub_ps(s56, s0b);
    a0i = (a + 4);
    *(a0i) = s9b;
    s0c = _mm_add_ps(s56, s0b);
    a1i = (a + 12);
    *(a1i) = s0c;
    s1c = _mm_add_ps(s46, s3b);
    a2i = (a + 1);
    *(a2i) = s1c;
    s2c = _mm_sub_ps(s46, s3b);
    a3i = (a + 9);
    *(a3i) = s2c;
    s3c = _mm_sub_ps(s66, s4b);
    a4i = (a + 5);
    *(a4i) = s3c;
    s4c = _mm_add_ps(s66, s4b);
    a5i = (a + 13);
    *(a5i) = s4c;
    s5c = _mm_add_ps(s76, s1b);
    a6i = (a + 2);
    *(a6i) = s5c;
    s6c = _mm_sub_ps(s76, s1b);
    a7i = (a + 10);
    *(a7i) = s6c;
    s7c = _mm_sub_ps(s96, s2b);
    a8i = (a + 6);
    *(a8i) = s7c;
    s8c = _mm_add_ps(s96, s2b);
    a9i = (a + 14);
    *(a9i) = s8c;
    s9c = _mm_add_ps(s86, s5b);
    a0j = (a + 3);
    *(a0j) = s9c;
    s0d = _mm_sub_ps(s86, s5b);
    a1j = (a + 11);
    *(a1j) = s0d;
    s1d = _mm_sub_ps(s07, s6b);
    a2j = (a + 7);
    *(a2j) = s1d;
    s2d = _mm_add_ps(s07, s6b);
    a3j = (a + 15);
    *(a3j) = s2d;
    {long i; for(i = 0; i <= 6; i++) {
        a4j = (2 * i);
        b01 = (src + a4j);
        a9l = (b01 + 2);
        a8l = ((const __m64  *) a9l);
        a7l = _mm_loadl_pi(_mm_set1_ps(0.0f), a8l);
        a1m = (b01 + 34);
        a0m = ((const __m64  *) a1m);
        s3d = _mm_loadh_pi(a7l, a0m);
        a4m = (b01 + 66);
        a3m = ((const __m64  *) a4m);
        a2m = _mm_loadl_pi(_mm_set1_ps(0.0f), a3m);
        a6m = (b01 + 98);
        a5m = ((const __m64  *) a6m);
        s4d = _mm_loadh_pi(a2m, a5m);
        a9m = (b01 + 130);
        a8m = ((const __m64  *) a9m);
        a7m = _mm_loadl_pi(_mm_set1_ps(0.0f), a8m);
        a1n = (b01 + 162);
        a0n = ((const __m64  *) a1n);
        s5d = _mm_loadh_pi(a7m, a0n);
        a4n = (b01 + 194);
        a3n = ((const __m64  *) a4n);
        a2n = _mm_loadl_pi(_mm_set1_ps(0.0f), a3n);
        a6n = (b01 + 226);
        a5n = ((const __m64  *) a6n);
        s6d = _mm_loadh_pi(a2n, a5n);
        a9n = (b01 + 258);
        a8n = ((const __m64  *) a9n);
        a7n = _mm_loadl_pi(_mm_set1_ps(0.0f), a8n);
        a1o = (b01 + 290);
        a0o = ((const __m64  *) a1o);
        s7d = _mm_loadh_pi(a7n, a0o);
        a4o = (b01 + 322);
        a3o = ((const __m64  *) a4o);
        a2o = _mm_loadl_pi(_mm_set1_ps(0.0f), a3o);
        a6o = (b01 + 354);
        a5o = ((const __m64  *) a6o);
        s8d = _mm_loadh_pi(a2o, a5o);
        a9o = (b01 + 386);
        a8o = ((const __m64  *) a9o);
        a7o = _mm_loadl_pi(_mm_set1_ps(0.0f), a8o);
        a1p = (b01 + 418);
        a0p = ((const __m64  *) a1p);
        s9d = _mm_loadh_pi(a7o, a0p);
        a4p = (b01 + 450);
        a3p = ((const __m64  *) a4p);
        a2p = _mm_loadl_pi(_mm_set1_ps(0.0f), a3p);
        a6p = (b01 + 482);
        a5p = ((const __m64  *) a6p);
        s0e = _mm_loadh_pi(a2p, a5p);
        b11 = (src - a4j);
        a0q = (b11 + 510);
        a9p = ((const __m64  *) a0q);
        a8p = _mm_loadl_pi(_mm_set1_ps(0.0f), a9p);
        a2q = (b11 + 478);
        a1q = ((const __m64  *) a2q);
        a7p = _mm_loadh_pi(a8p, a1q);
        s1e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7p);
        a6q = (b11 + 446);
        a5q = ((const __m64  *) a6q);
        a4q = _mm_loadl_pi(_mm_set1_ps(0.0f), a5q);
        a8q = (b11 + 414);
        a7q = ((const __m64  *) a8q);
        a3q = _mm_loadh_pi(a4q, a7q);
        s2e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3q);
        a2r = (b11 + 382);
        a1r = ((const __m64  *) a2r);
        a0r = _mm_loadl_pi(_mm_set1_ps(0.0f), a1r);
        a4r = (b11 + 350);
        a3r = ((const __m64  *) a4r);
        a9q = _mm_loadh_pi(a0r, a3r);
        s3e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9q);
        a8r = (b11 + 318);
        a7r = ((const __m64  *) a8r);
        a6r = _mm_loadl_pi(_mm_set1_ps(0.0f), a7r);
        a0s = (b11 + 286);
        a9r = ((const __m64  *) a0s);
        a5r = _mm_loadh_pi(a6r, a9r);
        s4e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5r);
        a4s = (b11 + 254);
        a3s = ((const __m64  *) a4s);
        a2s = _mm_loadl_pi(_mm_set1_ps(0.0f), a3s);
        a6s = (b11 + 222);
        a5s = ((const __m64  *) a6s);
        a1s = _mm_loadh_pi(a2s, a5s);
        s5e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1s);
        a0t = (b11 + 190);
        a9s = ((const __m64  *) a0t);
        a8s = _mm_loadl_pi(_mm_set1_ps(0.0f), a9s);
        a2t = (b11 + 158);
        a1t = ((const __m64  *) a2t);
        a7s = _mm_loadh_pi(a8s, a1t);
        s6e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7s);
        a6t = (b11 + 126);
        a5t = ((const __m64  *) a6t);
        a4t = _mm_loadl_pi(_mm_set1_ps(0.0f), a5t);
        a8t = (b11 + 94);
        a7t = ((const __m64  *) a8t);
        a3t = _mm_loadh_pi(a4t, a7t);
        s7e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3t);
        a2u = (b11 + 62);
        a1u = ((const __m64  *) a2u);
        a0u = _mm_loadl_pi(_mm_set1_ps(0.0f), a1u);
        a4u = (b11 + 30);
        a3u = ((const __m64  *) a4u);
        a9t = _mm_loadh_pi(a0u, a3u);
        s8e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9t);
        s9e = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(2, 0, 2, 0));
        s0f = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(3, 1, 3, 1));
        s1f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(2, 0, 2, 0));
        s2f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(3, 1, 3, 1));
        t56 = _mm_add_ps(s9e, s1f);
        t66 = _mm_add_ps(s0f, s2f);
        t76 = _mm_sub_ps(s9e, s1f);
        t86 = _mm_sub_ps(s0f, s2f);
        s3f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(2, 0, 2, 0));
        s4f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(3, 1, 3, 1));
        s5f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(2, 0, 2, 0));
        s6f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(3, 1, 3, 1));
        t96 = _mm_add_ps(s3f, s5f);
        t07 = _mm_add_ps(s4f, s6f);
        t17 = _mm_sub_ps(s3f, s5f);
        t27 = _mm_sub_ps(s4f, s6f);
        t37 = _mm_add_ps(t56, t96);
        t47 = _mm_add_ps(t66, t07);
        t57 = _mm_sub_ps(t56, t96);
        t67 = _mm_sub_ps(t66, t07);
        t77 = _mm_sub_ps(t76, t27);
        t87 = _mm_add_ps(t86, t17);
        t97 = _mm_add_ps(t76, t27);
        t08 = _mm_sub_ps(t86, t17);
        s7f = _mm_unpacklo_ps(t37, t77);
        s8f = _mm_unpackhi_ps(t37, t77);
        s9f = _mm_unpacklo_ps(t47, t87);
        s0g = _mm_unpackhi_ps(t47, t87);
        s1g = _mm_unpacklo_ps(t57, t97);
        s2g = _mm_unpackhi_ps(t57, t97);
        s3g = _mm_unpacklo_ps(t67, t08);
        s4g = _mm_unpackhi_ps(t67, t08);
        s5g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(1, 0, 1, 0));
        s6g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(3, 2, 3, 2));
        s7g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(1, 0, 1, 0));
        s8g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(3, 2, 3, 2));
        s9g = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(1, 0, 1, 0));
        s0h = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(3, 2, 3, 2));
        s1h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(1, 0, 1, 0));
        s2h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(3, 2, 3, 2));
        s3h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(2, 0, 2, 0));
        s4h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(3, 1, 3, 1));
        s5h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(2, 0, 2, 0));
        s6h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(3, 1, 3, 1));
        t18 = _mm_add_ps(s3h, s5h);
        t28 = _mm_add_ps(s4h, s6h);
        t38 = _mm_sub_ps(s3h, s5h);
        t48 = _mm_sub_ps(s4h, s6h);
        s7h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(2, 0, 2, 0));
        s8h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(3, 1, 3, 1));
        s9h = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(2, 0, 2, 0));
        s0i = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(3, 1, 3, 1));
        t58 = _mm_add_ps(s7h, s9h);
        t68 = _mm_add_ps(s8h, s0i);
        t78 = _mm_sub_ps(s7h, s9h);
        t88 = _mm_sub_ps(s8h, s0i);
        t98 = _mm_add_ps(t18, t58);
        t09 = _mm_add_ps(t28, t68);
        t19 = _mm_sub_ps(t18, t58);
        t29 = _mm_sub_ps(t28, t68);
        t39 = _mm_sub_ps(t38, t88);
        t49 = _mm_add_ps(t48, t78);
        t59 = _mm_add_ps(t38, t88);
        t69 = _mm_sub_ps(t48, t78);
        s1i = _mm_unpacklo_ps(t98, t39);
        s2i = _mm_unpackhi_ps(t98, t39);
        s3i = _mm_unpacklo_ps(t09, t49);
        s4i = _mm_unpackhi_ps(t09, t49);
        s5i = _mm_unpacklo_ps(t19, t59);
        s6i = _mm_unpackhi_ps(t19, t59);
        s7i = _mm_unpacklo_ps(t29, t69);
        s8i = _mm_unpackhi_ps(t29, t69);
        s9i = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(1, 0, 1, 0));
        s0j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(3, 2, 3, 2));
        s1j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(1, 0, 1, 0));
        s2j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(3, 2, 3, 2));
        s3j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(1, 0, 1, 0));
        s4j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(3, 2, 3, 2));
        s5j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(1, 0, 1, 0));
        s6j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(3, 2, 3, 2));
        a5u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9i);
        a6u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3j);
        s7j = _mm_sub_ps(a5u, a6u);
        a7u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s9i);
        a8u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3j);
        s8j = _mm_add_ps(a7u, a8u);
        t79 = _mm_add_ps(s5g, s7j);
        t89 = _mm_add_ps(s9g, s8j);
        t99 = _mm_sub_ps(s5g, s7j);
        t0a = _mm_sub_ps(s9g, s8j);
        a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7g);
        a0v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s1h);
        s9j = _mm_sub_ps(a9u, a0v);
        a1v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s7g);
        a2v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1h);
        s0k = _mm_add_ps(a1v, a2v);
        a3v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1j);
        a4v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s5j);
        s1k = _mm_sub_ps(a3v, a4v);
        a5v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s1j);
        a6v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5j);
        s2k = _mm_add_ps(a5v, a6v);
        t1a = _mm_add_ps(s9j, s1k);
        t2a = _mm_add_ps(s0k, s2k);
        t3a = _mm_sub_ps(s9j, s1k);
        t4a = _mm_sub_ps(s0k, s2k);
        t5a = _mm_add_ps(t79, t1a);
        t6a = _mm_add_ps(t89, t2a);
        t7a = _mm_sub_ps(t79, t1a);
        t8a = _mm_sub_ps(t89, t2a);
        t9a = _mm_sub_ps(t99, t4a);
        t0b = _mm_add_ps(t0a, t3a);
        t1b = _mm_add_ps(t99, t4a);
        t2b = _mm_sub_ps(t0a, t3a);
        a7v = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6g);
        a8v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s0h);
        s3k = _mm_sub_ps(a7v, a8v);
        a9v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s6g);
        a0w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0h);
        s4k = _mm_add_ps(a9v, a0w);
        a1w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0j);
        a2w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s4j);
        s5k = _mm_sub_ps(a1w, a2w);
        a3w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s0j);
        a4w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4j);
        s6k = _mm_add_ps(a3w, a4w);
        t3b = _mm_add_ps(s3k, s5k);
        t4b = _mm_add_ps(s4k, s6k);
        t5b = _mm_sub_ps(s3k, s5k);
        t6b = _mm_sub_ps(s4k, s6k);
        a5w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8g);
        a6w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s2h);
        s7k = _mm_sub_ps(a5w, a6w);
        a7w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s8g);
        a8w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2h);
        s8k = _mm_add_ps(a7w, a8w);
        a9w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2j);
        a0x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s6j);
        s9k = _mm_sub_ps(a9w, a0x);
        a1x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s2j);
        a2x = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6j);
        s0l = _mm_add_ps(a1x, a2x);
        t7b = _mm_add_ps(s7k, s9k);
        t8b = _mm_add_ps(s8k, s0l);
        t9b = _mm_sub_ps(s7k, s9k);
        t0c = _mm_sub_ps(s8k, s0l);
        t1c = _mm_add_ps(t3b, t7b);
        t2c = _mm_add_ps(t4b, t8b);
        t3c = _mm_sub_ps(t3b, t7b);
        t4c = _mm_sub_ps(t4b, t8b);
        a3x = _mm_sub_ps(t5b, t0c);
        a5j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3x);
        a4x = _mm_add_ps(t6b, t9b);
        a6j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4x);
        s1l = _mm_sub_ps(a5j, a6j);
        s2l = _mm_add_ps(a5j, a6j);
        a5x = _mm_add_ps(t5b, t0c);
        a7j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5x);
        a6x = _mm_sub_ps(t6b, t9b);
        a8j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6x);
        s3l = _mm_sub_ps(a7j, a8j);
        s4l = _mm_add_ps(a7j, a8j);
        t5c = _mm_add_ps(t5a, t1c);
        t6c = _mm_add_ps(t6a, t2c);
        t7c = _mm_sub_ps(t5a, t1c);
        t8c = _mm_sub_ps(t6a, t2c);
        a9j = (16 * i);
        a0k = (D22 + a9j);
        a1k = *(a0k);
        a7x = (a0k + 1);
        a2k = *(a7x);
        a8x = (a0k + 2);
        a3k = *(a8x);
        a9x = (a0k + 3);
        a4k = *(a9x);
        a0y = ((__m128  *) T);
        b21 = (a0y + a9j);
        a1y = _mm_mul_ps(a1k, t5c);
        a2y = _mm_mul_ps(a2k, t6c);
        s5l = _mm_sub_ps(a1y, a2y);
        a3y = (b21 + 16);
        *(a3y) = s5l;
        a4y = _mm_mul_ps(a2k, t5c);
        a5y = _mm_mul_ps(a1k, t6c);
        s6l = _mm_add_ps(a4y, a5y);
        a6y = (b21 + 24);
        *(a6y) = s6l;
        a7y = _mm_mul_ps(a3k, t7c);
        a8y = _mm_mul_ps(a4k, t8c);
        s7l = _mm_sub_ps(a7y, a8y);
        a9y = (b21 + 20);
        *(a9y) = s7l;
        a0z = _mm_mul_ps(a4k, t7c);
        a1z = _mm_mul_ps(a3k, t8c);
        s8l = _mm_add_ps(a0z, a1z);
        a2z = (b21 + 28);
        *(a2z) = s8l;
        t9c = _mm_add_ps(t9a, s1l);
        t0d = _mm_add_ps(t0b, s2l);
        t1d = _mm_sub_ps(t9a, s1l);
        t2d = _mm_sub_ps(t0b, s2l);
        a3z = (a0k + 4);
        a5k = *(a3z);
        a4z = (a0k + 5);
        a6k = *(a4z);
        a5z = (a0k + 6);
        a7k = *(a5z);
        a6z = (a0k + 7);
        a8k = *(a6z);
        a7z = _mm_mul_ps(a5k, t9c);
        a8z = _mm_mul_ps(a6k, t0d);
        s9l = _mm_sub_ps(a7z, a8z);
        a9z = (b21 + 17);
        *(a9z) = s9l;
        a0A = _mm_mul_ps(a6k, t9c);
        a1A = _mm_mul_ps(a5k, t0d);
        s0m = _mm_add_ps(a0A, a1A);
        a2A = (b21 + 25);
        *(a2A) = s0m;
        a3A = _mm_mul_ps(a7k, t1d);
        a4A = _mm_mul_ps(a8k, t2d);
        s1m = _mm_sub_ps(a3A, a4A);
        a5A = (b21 + 21);
        *(a5A) = s1m;
        a6A = _mm_mul_ps(a8k, t1d);
        a7A = _mm_mul_ps(a7k, t2d);
        s2m = _mm_add_ps(a6A, a7A);
        a8A = (b21 + 29);
        *(a8A) = s2m;
        t3d = _mm_sub_ps(t7a, t4c);
        t4d = _mm_add_ps(t8a, t3c);
        t5d = _mm_add_ps(t7a, t4c);
        t6d = _mm_sub_ps(t8a, t3c);
        a9A = (a0k + 8);
        a9k = *(a9A);
        a0B = (a0k + 9);
        a0l = *(a0B);
        a1B = (a0k + 10);
        a1l = *(a1B);
        a2B = (a0k + 11);
        a2l = *(a2B);
        a3B = _mm_mul_ps(a9k, t3d);
        a4B = _mm_mul_ps(a0l, t4d);
        s3m = _mm_sub_ps(a3B, a4B);
        a5B = (b21 + 18);
        *(a5B) = s3m;
        a6B = _mm_mul_ps(a0l, t3d);
        a7B = _mm_mul_ps(a9k, t4d);
        s4m = _mm_add_ps(a6B, a7B);
        a8B = (b21 + 26);
        *(a8B) = s4m;
        a9B = _mm_mul_ps(a1l, t5d);
        a0C = _mm_mul_ps(a2l, t6d);
        s5m = _mm_sub_ps(a9B, a0C);
        a1C = (b21 + 22);
        *(a1C) = s5m;
        a2C = _mm_mul_ps(a2l, t5d);
        a3C = _mm_mul_ps(a1l, t6d);
        s6m = _mm_add_ps(a2C, a3C);
        a4C = (b21 + 30);
        *(a4C) = s6m;
        t7d = _mm_add_ps(t1b, s3l);
        t8d = _mm_sub_ps(t2b, s4l);
        t9d = _mm_sub_ps(t1b, s3l);
        t0e = _mm_add_ps(t2b, s4l);
        a5C = (a0k + 12);
        a3l = *(a5C);
        a6C = (a0k + 13);
        a4l = *(a6C);
        a7C = (a0k + 14);
        a5l = *(a7C);
        a8C = (a0k + 15);
        a6l = *(a8C);
        a9C = _mm_mul_ps(a3l, t7d);
        a0D = _mm_mul_ps(a4l, t8d);
        s7m = _mm_sub_ps(a9C, a0D);
        a1D = (b21 + 19);
        *(a1D) = s7m;
        a2D = _mm_mul_ps(a4l, t7d);
        a3D = _mm_mul_ps(a3l, t8d);
        s8m = _mm_add_ps(a2D, a3D);
        a4D = (b21 + 27);
        *(a4D) = s8m;
        a5D = _mm_mul_ps(a5l, t9d);
        a6D = _mm_mul_ps(a6l, t0e);
        s9m = _mm_sub_ps(a5D, a6D);
        a7D = (b21 + 23);
        *(a7D) = s9m;
        a8D = _mm_mul_ps(a6l, t9d);
        a9D = _mm_mul_ps(a5l, t0e);
        s0n = _mm_add_ps(a8D, a9D);
        a0E = (b21 + 31);
        *(a0E) = s0n;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a5H = ((__m128  *) T);
        a1E = (a5H + i2);
        s1n = *(a1E);
        a6H = (a1E + 64);
        s2n = *(a6H);
        t1e = _mm_add_ps(s1n, s2n);
        t2e = _mm_sub_ps(s1n, s2n);
        a7H = (a1E + 8);
        s3n = *(a7H);
        a8H = (a1E + 72);
        s4n = *(a8H);
        t3e = _mm_sub_ps(s3n, s4n);
        t4e = _mm_add_ps(s3n, s4n);
        a9E = (a1E + 16);
        s5n = *(a9E);
        a0F = (a1E + 24);
        s6n = *(a0F);
        a1F = (a1E + 112);
        s7n = *(a1F);
        a2F = (a1E + 120);
        s8n = *(a2F);
        t5e = _mm_add_ps(s5n, s7n);
        t6e = _mm_sub_ps(s6n, s8n);
        t7e = _mm_sub_ps(s5n, s7n);
        t8e = _mm_add_ps(s6n, s8n);
        a3F = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t7e);
        a4F = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t8e);
        s9n = _mm_sub_ps(a3F, a4F);
        a5F = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t7e);
        a6F = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8e);
        s0o = _mm_add_ps(a5F, a6F);
        a7F = (a1E + 32);
        s1o = *(a7F);
        a8F = (a1E + 40);
        s2o = *(a8F);
        a9F = (a1E + 96);
        s3o = *(a9F);
        a0G = (a1E + 104);
        s4o = *(a0G);
        t9e = _mm_add_ps(s1o, s3o);
        t0f = _mm_sub_ps(s2o, s4o);
        a1G = _mm_sub_ps(s1o, s3o);
        a2E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1G);
        a2G = _mm_add_ps(s2o, s4o);
        a3E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2G);
        s5o = _mm_sub_ps(a2E, a3E);
        s6o = _mm_add_ps(a2E, a3E);
        a3G = (a1E + 48);
        s7o = *(a3G);
        a4G = (a1E + 56);
        s8o = *(a4G);
        a5G = (a1E + 80);
        s9o = *(a5G);
        a6G = (a1E + 88);
        s0p = *(a6G);
        t1f = _mm_add_ps(s7o, s9o);
        t2f = _mm_sub_ps(s8o, s0p);
        t3f = _mm_sub_ps(s7o, s9o);
        t4f = _mm_add_ps(s8o, s0p);
        a7G = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3f);
        a8G = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4f);
        s1p = _mm_sub_ps(a7G, a8G);
        a9G = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3f);
        a0H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4f);
        s2p = _mm_add_ps(a9G, a0H);
        t5f = _mm_add_ps(t1e, t9e);
        t6f = _mm_sub_ps(t1e, t9e);
        t7f = _mm_sub_ps(t2e, t0f);
        t8f = _mm_add_ps(t2e, t0f);
        t9f = _mm_add_ps(t5e, t1f);
        t0g = _mm_sub_ps(t6e, t2f);
        a1H = _mm_sub_ps(t5e, t1f);
        a4E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1H);
        a2H = _mm_add_ps(t6e, t2f);
        a5E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2H);
        s3p = _mm_sub_ps(a4E, a5E);
        s4p = _mm_add_ps(a4E, a5E);
        a9H = ((__m128  *) dst);
        a6E = (a9H + i2);
        s5p = _mm_add_ps(t5f, t9f);
        *(a6E) = s5p;
        s6p = _mm_sub_ps(t5f, t9f);
        a0I = (a6E + 64);
        *(a0I) = s6p;
        s7p = _mm_sub_ps(t6f, t0g);
        a1I = (a6E + 32);
        *(a1I) = s7p;
        s8p = _mm_add_ps(t6f, t0g);
        a2I = (a6E + 96);
        *(a2I) = s8p;
        s9p = _mm_add_ps(t7f, s3p);
        a3I = (a6E + 16);
        *(a3I) = s9p;
        s0q = _mm_sub_ps(t7f, s3p);
        a4I = (a6E + 80);
        *(a4I) = s0q;
        s1q = _mm_sub_ps(t8f, s4p);
        a5I = (a6E + 48);
        *(a5I) = s1q;
        s2q = _mm_add_ps(t8f, s4p);
        a6I = (a6E + 112);
        *(a6I) = s2q;
        t1g = _mm_add_ps(t3e, s5o);
        t2g = _mm_sub_ps(t3e, s5o);
        t3g = _mm_sub_ps(t4e, s6o);
        t4g = _mm_add_ps(t4e, s6o);
        t5g = _mm_add_ps(s9n, s1p);
        t6g = _mm_sub_ps(s0o, s2p);
        a3H = _mm_sub_ps(s9n, s1p);
        a7E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3H);
        a4H = _mm_add_ps(s0o, s2p);
        a8E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4H);
        s3q = _mm_sub_ps(a7E, a8E);
        s4q = _mm_add_ps(a7E, a8E);
        s5q = _mm_add_ps(t1g, t5g);
        a7I = (a6E + 8);
        *(a7I) = s5q;
        s6q = _mm_sub_ps(t1g, t5g);
        a8I = (a6E + 72);
        *(a8I) = s6q;
        s7q = _mm_sub_ps(t2g, t6g);
        a9I = (a6E + 40);
        *(a9I) = s7q;
        s8q = _mm_add_ps(t2g, t6g);
        a0J = (a6E + 104);
        *(a0J) = s8q;
        s9q = _mm_add_ps(t3g, s3q);
        a1J = (a6E + 24);
        *(a1J) = s9q;
        s0r = _mm_sub_ps(t3g, s3q);
        a2J = (a6E + 88);
        *(a2J) = s0r;
        s1r = _mm_sub_ps(t4g, s4q);
        a3J = (a6E + 56);
        *(a3J) = s1r;
        s2r = _mm_add_ps(t4g, s4q);
        a4J = (a6E + 120);
        *(a4J) = s2r;
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftinv_float_1024_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[1024]);
    __m128 a02, a05, a06, a0e, a0r, a0u, a13, a15, a16, a1s, a2, a23, a25, a26, a2b, a2c, a2m, a2n, a2o, a2p, a2s, a3
            , a31, a34, a35, a36, a3d, a3q, a3t, a41, a44, a45, a46, a4d, a4q, a4t, a52, a55, a5e, a5r, a62, a65, a6e, a6r
            , a7, a73, a75, a7a, a7b, a7c, a7l, a7m, a7n, a7o, a7p, a7s, a8, a83, a85, a8c, a8p, a8s, a91, a94, a95, a9d
            , a9q, a9t;
    __m128 a07, a08, a09, a0A, a0C, a0D, a0F, a0G, a0H, a0I, a0J, a0L, a0M, a0a, a0g, a0h, a0l, a0v, a0w, a0x, a0z, a17
            , a18, a19, a1A, a1F, a1H, a1J, a1L, a1M, a1a, a1f, a1g, a1h, a1k, a1l, a1v, a1w, a1x, a1y, a1z, a27, a28, a29
            , a2C, a2D, a2E, a2F, a2H, a2J, a2L, a2M, a2a, a2f, a2g, a2h, a2k, a2l, a2v, a2w, a2x, a2y, a37, a38, a39, a3A
            , a3B, a3C, a3D, a3E, a3F, a3H, a3J, a3L, a3M, a3a, a3f, a3g, a3h, a3k, a3l, a3v, a3w, a3x, a47, a48, a49, a4A
            , a4B, a4E, a4F, a4H, a4J, a4L, a4M, a4a, a4f, a4g, a4h, a4k, a4l, a4v, a4w, a4x, a4y, a56, a57, a58, a59, a5D
            , a5E, a5H, a5J, a5L, a5M, a5a, a5f, a5g, a5h, a5j, a5k, a5l, a5u, a5v, a5w, a5x, a5y, a66, a67, a68, a69, a6A
            , a6B, a6D, a6E, a6H, a6J, a6L, a6M, a6a, a6f, a6g, a6h, a6j, a6k, a6l, a6u, a6v, a6w, a6x, a76, a77, a78, a79
            , a7A, a7B, a7E, a7H, a7J, a7K, a7L, a7f, a7g, a7h, a7j, a7k, a7u, a7v, a7w, a7y, a7z, a86, a87, a88, a89, a8D
            , a8H, a8J, a8K, a8L, a8f, a8g, a8h, a8j, a8k, a8u, a8v, a8w, a8y, a8z, a96, a97, a98, a99, a9B, a9C, a9D, a9E
            , a9F, a9G, a9H, a9I, a9K, a9L, a9f, a9g, a9k, a9u, a9v, a9w, b, b2, b3, b4, b5, b6, b7, b8, b9, s
            , s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m
            , s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c
            , s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s2, s21
            , s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n
            , s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c
            , s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s4, s41, s42
            , s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o
            , s4p, s4q, s4r, s4s, s4t, s4u, s4v, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e
            , s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s6, s61, s62, s63, s64
            , s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q
            , s6r, s6s, s6t, s6u, s6v, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g
            , s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s8, s81, s82, s83, s84, s85, s86
            , s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s
            , s8t, s8u, s8v, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i
            , s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, t, t01, t02, t03, t04, t05, t06, t07, t08
            , t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t11, t12, t13, t14, t15, t16, t17, t18
            , t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t2, t21, t22, t23, t24, t25, t26, t27
            , t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t3, t31, t32, t33, t34, t35, t36
            , t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t4, t41, t42, t43, t44, t45
            , t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t5, t51, t52, t53, t54
            , t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t6, t61, t62, t63, t64
            , t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t7, t71, t72, t73, t74
            , t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t8, t81, t82, t83, t84
            , t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t9, t91, t92, t93, t94
            , t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l;
    const __m64  *a0b, *a0c, *a0m, *a0n, *a0o, *a0p, *a11, *a12, *a14, *a1d, *a1e, *a1q, *a1r, *a1t, *a1u, *a32, *a33, *a3b, *a3c, *a3e, *a3m, *a3n
            , *a3o, *a3p, *a3r, *a3s, *a3u, *a4, *a5, *a51, *a53, *a54, *a5b, *a5c, *a5d, *a5m, *a5n, *a5o, *a5p, *a5q, *a5s, *a5t, *a71, *a72
            , *a74, *a7d, *a7e, *a7q, *a7r, *a7t, *a8a, *a8b, *a8l, *a8m, *a8n, *a8o, *a9, *a92, *a93, *a9c, *a9e, *a9p, *a9r, *a9s;
    __m128  *a, *a0B, *a0E, *a0K, *a0N, *a0i, *a0j, *a0k, *a0y, *a1B, *a1C, *a1D, *a1E, *a1G, *a1I, *a1K, *a1i, *a1j, *a2A, *a2B, *a2G, *a2I
            , *a2K, *a2i, *a2j, *a2z, *a3G, *a3I, *a3K, *a3i, *a3j, *a3y, *a3z, *a4C, *a4D, *a4G, *a4I, *a4K, *a4i, *a4z, *a5A, *a5B, *a5C, *a5F
            , *a5G, *a5I, *a5K, *a5i, *a5z, *a6C, *a6F, *a6G, *a6I, *a6K, *a6i, *a6y, *a6z, *a7C, *a7D, *a7F, *a7G, *a7I, *a7M, *a7i, *a7x, *a8A
            , *a8B, *a8C, *a8F, *a8G, *a8I, *a8M, *a8i, *a8x, *a9A, *a9J, *a9M, *a9h, *a9i, *a9x, *a9y, *a9z, *b21;
    float  *a0O, *a0P, *a0Q, *a1O, *a1P, *a1Q, *a2N, *a2O, *a2P, *a2Q, *a3N, *a3O, *a3P, *a4N, *a4O, *a4P, *a5N, *a5O, *a5P, *a6N, *a6O, *a6P
            , *a7N, *a7O, *a7P, *a8E, *a8N, *a8O, *a8P, *a9N, *a9O, *a9P;
    const float  *a01, *a03, *a04, *a0d, *a0f, *a0q, *a0s, *a0t, *a1b, *a1c, *a1m, *a1n, *a1o, *a1p, *a21, *a22, *a24, *a2d, *a2e, *a2q, *a2r, *a2t
            , *a2u, *a42, *a43, *a4b, *a4c, *a4e, *a4m, *a4n, *a4o, *a4p, *a4r, *a4s, *a4u, *a6, *a61, *a63, *a64, *a6b, *a6c, *a6d, *a6m, *a6n
            , *a6o, *a6p, *a6q, *a6s, *a6t, *a81, *a82, *a84, *a8d, *a8e, *a8q, *a8r, *a8t, *a9a, *a9b, *a9l, *a9m, *a9n, *a9o, *b01, *b11;
    int a1N, a4j, a9j;
    a4 = ((const __m64  *) src);
    a3 = _mm_loadl_pi(_mm_set1_ps(0.0f), a4);
    a6 = (src + 64);
    a5 = ((const __m64  *) a6);
    a2 = _mm_loadh_pi(a3, a5);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a2);
    a01 = (src + 128);
    a9 = ((const __m64  *) a01);
    a8 = _mm_loadl_pi(_mm_set1_ps(0.0f), a9);
    a21 = (src + 192);
    a11 = ((const __m64  *) a21);
    a7 = _mm_loadh_pi(a8, a11);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a7);
    a61 = (src + 256);
    a51 = ((const __m64  *) a61);
    a41 = _mm_loadl_pi(_mm_set1_ps(0.0f), a51);
    a81 = (src + 320);
    a71 = ((const __m64  *) a81);
    a31 = _mm_loadh_pi(a41, a71);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a31);
    a22 = (src + 384);
    a12 = ((const __m64  *) a22);
    a02 = _mm_loadl_pi(_mm_set1_ps(0.0f), a12);
    a42 = (src + 448);
    a32 = ((const __m64  *) a42);
    a91 = _mm_loadh_pi(a02, a32);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a91);
    a82 = (src + 512);
    a72 = ((const __m64  *) a82);
    a62 = _mm_loadl_pi(_mm_set1_ps(0.0f), a72);
    a03 = (src + 576);
    a92 = ((const __m64  *) a03);
    a52 = _mm_loadh_pi(a62, a92);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a52);
    a43 = (src + 640);
    a33 = ((const __m64  *) a43);
    a23 = _mm_loadl_pi(_mm_set1_ps(0.0f), a33);
    a63 = (src + 704);
    a53 = ((const __m64  *) a63);
    a13 = _mm_loadh_pi(a23, a53);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a13);
    a04 = (src + 768);
    a93 = ((const __m64  *) a04);
    a83 = _mm_loadl_pi(_mm_set1_ps(0.0f), a93);
    a24 = (src + 832);
    a14 = ((const __m64  *) a24);
    a73 = _mm_loadh_pi(a83, a14);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a73);
    a64 = (src + 896);
    a54 = ((const __m64  *) a64);
    a44 = _mm_loadl_pi(_mm_set1_ps(0.0f), a54);
    a84 = (src + 960);
    a74 = ((const __m64  *) a84);
    a34 = _mm_loadh_pi(a44, a74);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a34);
    a94 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a94);
    a05 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a05);
    a15 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a25 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a35 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a45 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a55 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a55);
    a65 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a65);
    a75 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a75, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a85, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a95, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a06 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a06, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a16 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a16, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a26, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a36, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a46 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a46, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a76 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a56 = _mm_add_ps(a66, a76);
    s52 = _mm_sub_ps(a56, s02);
    a86 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a96 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a86, a96);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a17 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a27 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a07 = _mm_sub_ps(a17, a27);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a07);
    a47 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a37 = _mm_sub_ps(a47, s42);
    a57 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a67 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a37, a57);
    s43 = _mm_add_ps(b3, a67);
    a87 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a97 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a77 = _mm_sub_ps(a87, a97);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a77);
    a08 = _mm_sub_ps(s21, s12);
    a18 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a28 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a08, a18);
    s63 = _mm_add_ps(b5, a28);
    a48 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a58 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a38 = _mm_sub_ps(a48, a58);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a38);
    a68 = _mm_sub_ps(s41, s22);
    a78 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a88 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a68, a78);
    s83 = _mm_add_ps(b7, a88);
    a09 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a19 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a98 = _mm_sub_ps(a09, a19);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a98);
    a29 = _mm_sub_ps(s61, s32);
    a39 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a49 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a29, a39);
    s04 = _mm_add_ps(b9, a49);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a59 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a69 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a59, a69);
    a79 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a89 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a79, a89);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a99 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a0a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a99, a0a);
    a1a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a2a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a1a, a2a);
    a3a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a4a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a6a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a5a, a6a);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a9a = (src + 32);
    a8a = ((const __m64  *) a9a);
    a7a = _mm_loadl_pi(_mm_set1_ps(0.0f), a8a);
    a1b = (src + 160);
    a0b = ((const __m64  *) a1b);
    s17 = _mm_loadh_pi(a7a, a0b);
    a4b = (src + 288);
    a3b = ((const __m64  *) a4b);
    a2b = _mm_loadl_pi(_mm_set1_ps(0.0f), a3b);
    a6b = (src + 416);
    a5b = ((const __m64  *) a6b);
    s27 = _mm_loadh_pi(a2b, a5b);
    a9b = (src + 544);
    a8b = ((const __m64  *) a9b);
    a7b = _mm_loadl_pi(_mm_set1_ps(0.0f), a8b);
    a1c = (src + 672);
    a0c = ((const __m64  *) a1c);
    s37 = _mm_loadh_pi(a7b, a0c);
    a4c = (src + 800);
    a3c = ((const __m64  *) a4c);
    a2c = _mm_loadl_pi(_mm_set1_ps(0.0f), a3c);
    a6c = (src + 928);
    a5c = ((const __m64  *) a6c);
    s47 = _mm_loadh_pi(a2c, a5c);
    a0d = (src + 992);
    a9c = ((const __m64  *) a0d);
    a8c = _mm_loadl_pi(_mm_set1_ps(0.0f), a9c);
    a2d = (src + 864);
    a1d = ((const __m64  *) a2d);
    a7c = _mm_loadh_pi(a8c, a1d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7c);
    a6d = (src + 736);
    a5d = ((const __m64  *) a6d);
    a4d = _mm_loadl_pi(_mm_set1_ps(0.0f), a5d);
    a8d = (src + 608);
    a7d = ((const __m64  *) a8d);
    a3d = _mm_loadh_pi(a4d, a7d);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3d);
    a2e = (src + 480);
    a1e = ((const __m64  *) a2e);
    a0e = _mm_loadl_pi(_mm_set1_ps(0.0f), a1e);
    a4e = (src + 352);
    a3e = ((const __m64  *) a4e);
    a9d = _mm_loadh_pi(a0e, a3e);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9d);
    a8e = (src + 224);
    a7e = ((const __m64  *) a8e);
    a6e = _mm_loadl_pi(_mm_set1_ps(0.0f), a7e);
    a0f = (src + 96);
    a9e = ((const __m64  *) a0f);
    a5e = _mm_loadh_pi(a6e, a9e);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a1f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a2f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a4f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a3f, a4f);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a5f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a6f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a5f, a6f);
    a7f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a8f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a7f, a8f);
    a9f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a0g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a2g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a1g, a2g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a3g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t75);
    a4g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t85);
    s9a = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t75);
    a6g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t85);
    s0b = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t95);
    a8g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t06);
    s1b = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t95);
    a0h = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t06);
    s2b = _mm_add_ps(a9g, a0h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a1h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t16);
    a2h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t26);
    s3b = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t16);
    a4h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t26);
    s4b = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t36);
    a6h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t46);
    s5b = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t36);
    a8h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t46);
    s6b = _mm_add_ps(a7h, a8h);
    a = ((__m128  *) T);
    s7b = _mm_add_ps(s36, s9a);
    *(a) = s7b;
    s8b = _mm_sub_ps(s36, s9a);
    a9h = (a + 8);
    *(a9h) = s8b;
    s9b = _mm_sub_ps(s56, s0b);
    a0i = (a + 4);
    *(a0i) = s9b;
    s0c = _mm_add_ps(s56, s0b);
    a1i = (a + 12);
    *(a1i) = s0c;
    s1c = _mm_add_ps(s46, s3b);
    a2i = (a + 1);
    *(a2i) = s1c;
    s2c = _mm_sub_ps(s46, s3b);
    a3i = (a + 9);
    *(a3i) = s2c;
    s3c = _mm_sub_ps(s66, s4b);
    a4i = (a + 5);
    *(a4i) = s3c;
    s4c = _mm_add_ps(s66, s4b);
    a5i = (a + 13);
    *(a5i) = s4c;
    s5c = _mm_add_ps(s76, s1b);
    a6i = (a + 2);
    *(a6i) = s5c;
    s6c = _mm_sub_ps(s76, s1b);
    a7i = (a + 10);
    *(a7i) = s6c;
    s7c = _mm_sub_ps(s96, s2b);
    a8i = (a + 6);
    *(a8i) = s7c;
    s8c = _mm_add_ps(s96, s2b);
    a9i = (a + 14);
    *(a9i) = s8c;
    s9c = _mm_add_ps(s86, s5b);
    a0j = (a + 3);
    *(a0j) = s9c;
    s0d = _mm_sub_ps(s86, s5b);
    a1j = (a + 11);
    *(a1j) = s0d;
    s1d = _mm_sub_ps(s07, s6b);
    a2j = (a + 7);
    *(a2j) = s1d;
    s2d = _mm_add_ps(s07, s6b);
    a3j = (a + 15);
    *(a3j) = s2d;
    {long i; for(i = 0; i <= 14; i++) {
        a4j = (2 * i);
        b01 = (src + a4j);
        a9l = (b01 + 2);
        a8l = ((const __m64  *) a9l);
        a7l = _mm_loadl_pi(_mm_set1_ps(0.0f), a8l);
        a1m = (b01 + 66);
        a0m = ((const __m64  *) a1m);
        s3d = _mm_loadh_pi(a7l, a0m);
        a4m = (b01 + 130);
        a3m = ((const __m64  *) a4m);
        a2m = _mm_loadl_pi(_mm_set1_ps(0.0f), a3m);
        a6m = (b01 + 194);
        a5m = ((const __m64  *) a6m);
        s4d = _mm_loadh_pi(a2m, a5m);
        a9m = (b01 + 258);
        a8m = ((const __m64  *) a9m);
        a7m = _mm_loadl_pi(_mm_set1_ps(0.0f), a8m);
        a1n = (b01 + 322);
        a0n = ((const __m64  *) a1n);
        s5d = _mm_loadh_pi(a7m, a0n);
        a4n = (b01 + 386);
        a3n = ((const __m64  *) a4n);
        a2n = _mm_loadl_pi(_mm_set1_ps(0.0f), a3n);
        a6n = (b01 + 450);
        a5n = ((const __m64  *) a6n);
        s6d = _mm_loadh_pi(a2n, a5n);
        a9n = (b01 + 514);
        a8n = ((const __m64  *) a9n);
        a7n = _mm_loadl_pi(_mm_set1_ps(0.0f), a8n);
        a1o = (b01 + 578);
        a0o = ((const __m64  *) a1o);
        s7d = _mm_loadh_pi(a7n, a0o);
        a4o = (b01 + 642);
        a3o = ((const __m64  *) a4o);
        a2o = _mm_loadl_pi(_mm_set1_ps(0.0f), a3o);
        a6o = (b01 + 706);
        a5o = ((const __m64  *) a6o);
        s8d = _mm_loadh_pi(a2o, a5o);
        a9o = (b01 + 770);
        a8o = ((const __m64  *) a9o);
        a7o = _mm_loadl_pi(_mm_set1_ps(0.0f), a8o);
        a1p = (b01 + 834);
        a0p = ((const __m64  *) a1p);
        s9d = _mm_loadh_pi(a7o, a0p);
        a4p = (b01 + 898);
        a3p = ((const __m64  *) a4p);
        a2p = _mm_loadl_pi(_mm_set1_ps(0.0f), a3p);
        a6p = (b01 + 962);
        a5p = ((const __m64  *) a6p);
        s0e = _mm_loadh_pi(a2p, a5p);
        b11 = (src - a4j);
        a0q = (b11 + 1022);
        a9p = ((const __m64  *) a0q);
        a8p = _mm_loadl_pi(_mm_set1_ps(0.0f), a9p);
        a2q = (b11 + 958);
        a1q = ((const __m64  *) a2q);
        a7p = _mm_loadh_pi(a8p, a1q);
        s1e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7p);
        a6q = (b11 + 894);
        a5q = ((const __m64  *) a6q);
        a4q = _mm_loadl_pi(_mm_set1_ps(0.0f), a5q);
        a8q = (b11 + 830);
        a7q = ((const __m64  *) a8q);
        a3q = _mm_loadh_pi(a4q, a7q);
        s2e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3q);
        a2r = (b11 + 766);
        a1r = ((const __m64  *) a2r);
        a0r = _mm_loadl_pi(_mm_set1_ps(0.0f), a1r);
        a4r = (b11 + 702);
        a3r = ((const __m64  *) a4r);
        a9q = _mm_loadh_pi(a0r, a3r);
        s3e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9q);
        a8r = (b11 + 638);
        a7r = ((const __m64  *) a8r);
        a6r = _mm_loadl_pi(_mm_set1_ps(0.0f), a7r);
        a0s = (b11 + 574);
        a9r = ((const __m64  *) a0s);
        a5r = _mm_loadh_pi(a6r, a9r);
        s4e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5r);
        a4s = (b11 + 510);
        a3s = ((const __m64  *) a4s);
        a2s = _mm_loadl_pi(_mm_set1_ps(0.0f), a3s);
        a6s = (b11 + 446);
        a5s = ((const __m64  *) a6s);
        a1s = _mm_loadh_pi(a2s, a5s);
        s5e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1s);
        a0t = (b11 + 382);
        a9s = ((const __m64  *) a0t);
        a8s = _mm_loadl_pi(_mm_set1_ps(0.0f), a9s);
        a2t = (b11 + 318);
        a1t = ((const __m64  *) a2t);
        a7s = _mm_loadh_pi(a8s, a1t);
        s6e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7s);
        a6t = (b11 + 254);
        a5t = ((const __m64  *) a6t);
        a4t = _mm_loadl_pi(_mm_set1_ps(0.0f), a5t);
        a8t = (b11 + 190);
        a7t = ((const __m64  *) a8t);
        a3t = _mm_loadh_pi(a4t, a7t);
        s7e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3t);
        a2u = (b11 + 126);
        a1u = ((const __m64  *) a2u);
        a0u = _mm_loadl_pi(_mm_set1_ps(0.0f), a1u);
        a4u = (b11 + 62);
        a3u = ((const __m64  *) a4u);
        a9t = _mm_loadh_pi(a0u, a3u);
        s8e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9t);
        s9e = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(2, 0, 2, 0));
        s0f = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(3, 1, 3, 1));
        s1f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(2, 0, 2, 0));
        s2f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(3, 1, 3, 1));
        t56 = _mm_add_ps(s9e, s1f);
        t66 = _mm_add_ps(s0f, s2f);
        t76 = _mm_sub_ps(s9e, s1f);
        t86 = _mm_sub_ps(s0f, s2f);
        s3f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(2, 0, 2, 0));
        s4f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(3, 1, 3, 1));
        s5f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(2, 0, 2, 0));
        s6f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(3, 1, 3, 1));
        t96 = _mm_add_ps(s3f, s5f);
        t07 = _mm_add_ps(s4f, s6f);
        t17 = _mm_sub_ps(s3f, s5f);
        t27 = _mm_sub_ps(s4f, s6f);
        t37 = _mm_add_ps(t56, t96);
        t47 = _mm_add_ps(t66, t07);
        t57 = _mm_sub_ps(t56, t96);
        t67 = _mm_sub_ps(t66, t07);
        t77 = _mm_sub_ps(t76, t27);
        t87 = _mm_add_ps(t86, t17);
        t97 = _mm_add_ps(t76, t27);
        t08 = _mm_sub_ps(t86, t17);
        s7f = _mm_unpacklo_ps(t37, t77);
        s8f = _mm_unpackhi_ps(t37, t77);
        s9f = _mm_unpacklo_ps(t47, t87);
        s0g = _mm_unpackhi_ps(t47, t87);
        s1g = _mm_unpacklo_ps(t57, t97);
        s2g = _mm_unpackhi_ps(t57, t97);
        s3g = _mm_unpacklo_ps(t67, t08);
        s4g = _mm_unpackhi_ps(t67, t08);
        s5g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(1, 0, 1, 0));
        s6g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(3, 2, 3, 2));
        s7g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(1, 0, 1, 0));
        s8g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(3, 2, 3, 2));
        s9g = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(1, 0, 1, 0));
        s0h = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(3, 2, 3, 2));
        s1h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(1, 0, 1, 0));
        s2h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(3, 2, 3, 2));
        s3h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(2, 0, 2, 0));
        s4h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(3, 1, 3, 1));
        s5h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(2, 0, 2, 0));
        s6h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(3, 1, 3, 1));
        t18 = _mm_add_ps(s3h, s5h);
        t28 = _mm_add_ps(s4h, s6h);
        t38 = _mm_sub_ps(s3h, s5h);
        t48 = _mm_sub_ps(s4h, s6h);
        s7h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(2, 0, 2, 0));
        s8h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(3, 1, 3, 1));
        s9h = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(2, 0, 2, 0));
        s0i = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(3, 1, 3, 1));
        t58 = _mm_add_ps(s7h, s9h);
        t68 = _mm_add_ps(s8h, s0i);
        t78 = _mm_sub_ps(s7h, s9h);
        t88 = _mm_sub_ps(s8h, s0i);
        t98 = _mm_add_ps(t18, t58);
        t09 = _mm_add_ps(t28, t68);
        t19 = _mm_sub_ps(t18, t58);
        t29 = _mm_sub_ps(t28, t68);
        t39 = _mm_sub_ps(t38, t88);
        t49 = _mm_add_ps(t48, t78);
        t59 = _mm_add_ps(t38, t88);
        t69 = _mm_sub_ps(t48, t78);
        s1i = _mm_unpacklo_ps(t98, t39);
        s2i = _mm_unpackhi_ps(t98, t39);
        s3i = _mm_unpacklo_ps(t09, t49);
        s4i = _mm_unpackhi_ps(t09, t49);
        s5i = _mm_unpacklo_ps(t19, t59);
        s6i = _mm_unpackhi_ps(t19, t59);
        s7i = _mm_unpacklo_ps(t29, t69);
        s8i = _mm_unpackhi_ps(t29, t69);
        s9i = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(1, 0, 1, 0));
        s0j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(3, 2, 3, 2));
        s1j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(1, 0, 1, 0));
        s2j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(3, 2, 3, 2));
        s3j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(1, 0, 1, 0));
        s4j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(3, 2, 3, 2));
        s5j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(1, 0, 1, 0));
        s6j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(3, 2, 3, 2));
        a5u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9i);
        a6u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3j);
        s7j = _mm_sub_ps(a5u, a6u);
        a7u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s9i);
        a8u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3j);
        s8j = _mm_add_ps(a7u, a8u);
        t79 = _mm_add_ps(s5g, s7j);
        t89 = _mm_add_ps(s9g, s8j);
        t99 = _mm_sub_ps(s5g, s7j);
        t0a = _mm_sub_ps(s9g, s8j);
        a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7g);
        a0v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s1h);
        s9j = _mm_sub_ps(a9u, a0v);
        a1v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s7g);
        a2v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1h);
        s0k = _mm_add_ps(a1v, a2v);
        a3v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1j);
        a4v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s5j);
        s1k = _mm_sub_ps(a3v, a4v);
        a5v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s1j);
        a6v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5j);
        s2k = _mm_add_ps(a5v, a6v);
        t1a = _mm_add_ps(s9j, s1k);
        t2a = _mm_add_ps(s0k, s2k);
        t3a = _mm_sub_ps(s9j, s1k);
        t4a = _mm_sub_ps(s0k, s2k);
        t5a = _mm_add_ps(t79, t1a);
        t6a = _mm_add_ps(t89, t2a);
        t7a = _mm_sub_ps(t79, t1a);
        t8a = _mm_sub_ps(t89, t2a);
        t9a = _mm_sub_ps(t99, t4a);
        t0b = _mm_add_ps(t0a, t3a);
        t1b = _mm_add_ps(t99, t4a);
        t2b = _mm_sub_ps(t0a, t3a);
        a7v = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6g);
        a8v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s0h);
        s3k = _mm_sub_ps(a7v, a8v);
        a9v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s6g);
        a0w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0h);
        s4k = _mm_add_ps(a9v, a0w);
        a1w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0j);
        a2w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s4j);
        s5k = _mm_sub_ps(a1w, a2w);
        a3w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s0j);
        a4w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4j);
        s6k = _mm_add_ps(a3w, a4w);
        t3b = _mm_add_ps(s3k, s5k);
        t4b = _mm_add_ps(s4k, s6k);
        t5b = _mm_sub_ps(s3k, s5k);
        t6b = _mm_sub_ps(s4k, s6k);
        a5w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8g);
        a6w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s2h);
        s7k = _mm_sub_ps(a5w, a6w);
        a7w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s8g);
        a8w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2h);
        s8k = _mm_add_ps(a7w, a8w);
        a9w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2j);
        a0x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s6j);
        s9k = _mm_sub_ps(a9w, a0x);
        a1x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s2j);
        a2x = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6j);
        s0l = _mm_add_ps(a1x, a2x);
        t7b = _mm_add_ps(s7k, s9k);
        t8b = _mm_add_ps(s8k, s0l);
        t9b = _mm_sub_ps(s7k, s9k);
        t0c = _mm_sub_ps(s8k, s0l);
        t1c = _mm_add_ps(t3b, t7b);
        t2c = _mm_add_ps(t4b, t8b);
        t3c = _mm_sub_ps(t3b, t7b);
        t4c = _mm_sub_ps(t4b, t8b);
        a3x = _mm_sub_ps(t5b, t0c);
        a5j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3x);
        a4x = _mm_add_ps(t6b, t9b);
        a6j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4x);
        s1l = _mm_sub_ps(a5j, a6j);
        s2l = _mm_add_ps(a5j, a6j);
        a5x = _mm_add_ps(t5b, t0c);
        a7j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5x);
        a6x = _mm_sub_ps(t6b, t9b);
        a8j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6x);
        s3l = _mm_sub_ps(a7j, a8j);
        s4l = _mm_add_ps(a7j, a8j);
        t5c = _mm_add_ps(t5a, t1c);
        t6c = _mm_add_ps(t6a, t2c);
        t7c = _mm_sub_ps(t5a, t1c);
        t8c = _mm_sub_ps(t6a, t2c);
        a9j = (16 * i);
        a0k = (D23 + a9j);
        a1k = *(a0k);
        a7x = (a0k + 1);
        a2k = *(a7x);
        a8x = (a0k + 2);
        a3k = *(a8x);
        a9x = (a0k + 3);
        a4k = *(a9x);
        a0y = ((__m128  *) T);
        b21 = (a0y + a9j);
        a1y = _mm_mul_ps(a1k, t5c);
        a2y = _mm_mul_ps(a2k, t6c);
        s5l = _mm_sub_ps(a1y, a2y);
        a3y = (b21 + 16);
        *(a3y) = s5l;
        a4y = _mm_mul_ps(a2k, t5c);
        a5y = _mm_mul_ps(a1k, t6c);
        s6l = _mm_add_ps(a4y, a5y);
        a6y = (b21 + 24);
        *(a6y) = s6l;
        a7y = _mm_mul_ps(a3k, t7c);
        a8y = _mm_mul_ps(a4k, t8c);
        s7l = _mm_sub_ps(a7y, a8y);
        a9y = (b21 + 20);
        *(a9y) = s7l;
        a0z = _mm_mul_ps(a4k, t7c);
        a1z = _mm_mul_ps(a3k, t8c);
        s8l = _mm_add_ps(a0z, a1z);
        a2z = (b21 + 28);
        *(a2z) = s8l;
        t9c = _mm_add_ps(t9a, s1l);
        t0d = _mm_add_ps(t0b, s2l);
        t1d = _mm_sub_ps(t9a, s1l);
        t2d = _mm_sub_ps(t0b, s2l);
        a3z = (a0k + 4);
        a5k = *(a3z);
        a4z = (a0k + 5);
        a6k = *(a4z);
        a5z = (a0k + 6);
        a7k = *(a5z);
        a6z = (a0k + 7);
        a8k = *(a6z);
        a7z = _mm_mul_ps(a5k, t9c);
        a8z = _mm_mul_ps(a6k, t0d);
        s9l = _mm_sub_ps(a7z, a8z);
        a9z = (b21 + 17);
        *(a9z) = s9l;
        a0A = _mm_mul_ps(a6k, t9c);
        a1A = _mm_mul_ps(a5k, t0d);
        s0m = _mm_add_ps(a0A, a1A);
        a2A = (b21 + 25);
        *(a2A) = s0m;
        a3A = _mm_mul_ps(a7k, t1d);
        a4A = _mm_mul_ps(a8k, t2d);
        s1m = _mm_sub_ps(a3A, a4A);
        a5A = (b21 + 21);
        *(a5A) = s1m;
        a6A = _mm_mul_ps(a8k, t1d);
        a7A = _mm_mul_ps(a7k, t2d);
        s2m = _mm_add_ps(a6A, a7A);
        a8A = (b21 + 29);
        *(a8A) = s2m;
        t3d = _mm_sub_ps(t7a, t4c);
        t4d = _mm_add_ps(t8a, t3c);
        t5d = _mm_add_ps(t7a, t4c);
        t6d = _mm_sub_ps(t8a, t3c);
        a9A = (a0k + 8);
        a9k = *(a9A);
        a0B = (a0k + 9);
        a0l = *(a0B);
        a1B = (a0k + 10);
        a1l = *(a1B);
        a2B = (a0k + 11);
        a2l = *(a2B);
        a3B = _mm_mul_ps(a9k, t3d);
        a4B = _mm_mul_ps(a0l, t4d);
        s3m = _mm_sub_ps(a3B, a4B);
        a5B = (b21 + 18);
        *(a5B) = s3m;
        a6B = _mm_mul_ps(a0l, t3d);
        a7B = _mm_mul_ps(a9k, t4d);
        s4m = _mm_add_ps(a6B, a7B);
        a8B = (b21 + 26);
        *(a8B) = s4m;
        a9B = _mm_mul_ps(a1l, t5d);
        a0C = _mm_mul_ps(a2l, t6d);
        s5m = _mm_sub_ps(a9B, a0C);
        a1C = (b21 + 22);
        *(a1C) = s5m;
        a2C = _mm_mul_ps(a2l, t5d);
        a3C = _mm_mul_ps(a1l, t6d);
        s6m = _mm_add_ps(a2C, a3C);
        a4C = (b21 + 30);
        *(a4C) = s6m;
        t7d = _mm_add_ps(t1b, s3l);
        t8d = _mm_sub_ps(t2b, s4l);
        t9d = _mm_sub_ps(t1b, s3l);
        t0e = _mm_add_ps(t2b, s4l);
        a5C = (a0k + 12);
        a3l = *(a5C);
        a6C = (a0k + 13);
        a4l = *(a6C);
        a7C = (a0k + 14);
        a5l = *(a7C);
        a8C = (a0k + 15);
        a6l = *(a8C);
        a9C = _mm_mul_ps(a3l, t7d);
        a0D = _mm_mul_ps(a4l, t8d);
        s7m = _mm_sub_ps(a9C, a0D);
        a1D = (b21 + 19);
        *(a1D) = s7m;
        a2D = _mm_mul_ps(a4l, t7d);
        a3D = _mm_mul_ps(a3l, t8d);
        s8m = _mm_add_ps(a2D, a3D);
        a4D = (b21 + 27);
        *(a4D) = s8m;
        a5D = _mm_mul_ps(a5l, t9d);
        a6D = _mm_mul_ps(a6l, t0e);
        s9m = _mm_sub_ps(a5D, a6D);
        a7D = (b21 + 23);
        *(a7D) = s9m;
        a8D = _mm_mul_ps(a6l, t9d);
        a9D = _mm_mul_ps(a5l, t0e);
        s0n = _mm_add_ps(a8D, a9D);
        a0E = (b21 + 31);
        *(a0E) = s0n;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a7M = ((__m128  *) T);
        a1E = (a7M + i2);
        s1n = *(a1E);
        a8M = (a1E + 128);
        s2n = *(a8M);
        t1e = _mm_add_ps(s1n, s2n);
        t2e = _mm_sub_ps(s1n, s2n);
        a9M = (a1E + 8);
        s3n = *(a9M);
        a0N = (a1E + 136);
        s4n = *(a0N);
        t3e = _mm_sub_ps(s3n, s4n);
        t4e = _mm_add_ps(s3n, s4n);
        a5F = (a1E + 64);
        s5n = *(a5F);
        a6F = (a1E + 72);
        s6n = *(a6F);
        a7F = (a1E + 192);
        s7n = *(a7F);
        a8F = (a1E + 200);
        s8n = *(a8F);
        t5e = _mm_add_ps(s5n, s7n);
        t6e = _mm_sub_ps(s6n, s8n);
        a9F = _mm_sub_ps(s5n, s7n);
        a2E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9F);
        a0G = _mm_add_ps(s6n, s8n);
        a3E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0G);
        s9n = _mm_sub_ps(a2E, a3E);
        s0o = _mm_add_ps(a2E, a3E);
        t7e = _mm_add_ps(t1e, t5e);
        t8e = _mm_sub_ps(t1e, t5e);
        t9e = _mm_sub_ps(t2e, t6e);
        t0f = _mm_add_ps(t2e, t6e);
        t1f = _mm_add_ps(t3e, s9n);
        t2f = _mm_sub_ps(t3e, s9n);
        t3f = _mm_sub_ps(t4e, s0o);
        t4f = _mm_add_ps(t4e, s0o);
        a1G = (a1E + 16);
        s1o = *(a1G);
        a2G = (a1E + 24);
        s2o = *(a2G);
        a3G = (a1E + 240);
        s3o = *(a3G);
        a4G = (a1E + 248);
        s4o = *(a4G);
        t5f = _mm_add_ps(s1o, s3o);
        t6f = _mm_sub_ps(s2o, s4o);
        t7f = _mm_sub_ps(s1o, s3o);
        t8f = _mm_add_ps(s2o, s4o);
        a5G = (a1E + 144);
        s5o = *(a5G);
        a6G = (a1E + 152);
        s6o = *(a6G);
        a7G = (a1E + 112);
        s7o = *(a7G);
        a8G = (a1E + 120);
        s8o = *(a8G);
        t9f = _mm_add_ps(s5o, s7o);
        t0g = _mm_sub_ps(s6o, s8o);
        t1g = _mm_sub_ps(s5o, s7o);
        t2g = _mm_add_ps(s6o, s8o);
        t3g = _mm_add_ps(t5f, t9f);
        t4g = _mm_add_ps(t6f, t0g);
        t5g = _mm_sub_ps(t5f, t9f);
        t6g = _mm_sub_ps(t6f, t0g);
        t7g = _mm_sub_ps(t7f, t2g);
        t8g = _mm_add_ps(t8f, t1g);
        t9g = _mm_add_ps(t7f, t2g);
        t0h = _mm_sub_ps(t8f, t1g);
        a9G = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t7g);
        a0H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t8g);
        s9o = _mm_sub_ps(a9G, a0H);
        a1H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t7g);
        a2H = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t8g);
        s0p = _mm_add_ps(a1H, a2H);
        a3H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5g);
        a4H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6g);
        s1p = _mm_sub_ps(a3H, a4H);
        a5H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5g);
        a6H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6g);
        s2p = _mm_add_ps(a5H, a6H);
        a7H = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t9g);
        a8H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t0h);
        s3p = _mm_sub_ps(a7H, a8H);
        a9H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t9g);
        a0I = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t0h);
        s4p = _mm_add_ps(a9H, a0I);
        a1I = (a1E + 32);
        s5p = *(a1I);
        a2I = (a1E + 40);
        s6p = *(a2I);
        a3I = (a1E + 224);
        s7p = *(a3I);
        a4I = (a1E + 232);
        s8p = *(a4I);
        t1h = _mm_add_ps(s5p, s7p);
        t2h = _mm_sub_ps(s6p, s8p);
        t3h = _mm_sub_ps(s5p, s7p);
        t4h = _mm_add_ps(s6p, s8p);
        a5I = (a1E + 160);
        s9p = *(a5I);
        a6I = (a1E + 168);
        s0q = *(a6I);
        a7I = (a1E + 96);
        s1q = *(a7I);
        a8I = (a1E + 104);
        s2q = *(a8I);
        t5h = _mm_add_ps(s9p, s1q);
        t6h = _mm_sub_ps(s0q, s2q);
        t7h = _mm_sub_ps(s9p, s1q);
        t8h = _mm_add_ps(s0q, s2q);
        t9h = _mm_add_ps(t1h, t5h);
        t0i = _mm_add_ps(t2h, t6h);
        t1i = _mm_sub_ps(t3h, t8h);
        t2i = _mm_add_ps(t4h, t7h);
        t3i = _mm_add_ps(t3h, t8h);
        t4i = _mm_sub_ps(t4h, t7h);
        a9I = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1i);
        a0J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2i);
        s3q = _mm_sub_ps(a9I, a0J);
        a1J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1i);
        a2J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2i);
        s4q = _mm_add_ps(a1J, a2J);
        a3J = _mm_sub_ps(t1h, t5h);
        a4E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3J);
        a4J = _mm_sub_ps(t2h, t6h);
        a5E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4J);
        s5q = _mm_sub_ps(a4E, a5E);
        s6q = _mm_add_ps(a4E, a5E);
        a5J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3i);
        a6J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4i);
        s7q = _mm_sub_ps(a5J, a6J);
        a7J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3i);
        a8J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4i);
        s8q = _mm_add_ps(a7J, a8J);
        a9J = (a1E + 48);
        s9q = *(a9J);
        a0K = (a1E + 56);
        s0r = *(a0K);
        a1K = (a1E + 208);
        s1r = *(a1K);
        a2K = (a1E + 216);
        s2r = *(a2K);
        t5i = _mm_add_ps(s9q, s1r);
        t6i = _mm_sub_ps(s0r, s2r);
        t7i = _mm_sub_ps(s9q, s1r);
        t8i = _mm_add_ps(s0r, s2r);
        a3K = (a1E + 176);
        s3r = *(a3K);
        a4K = (a1E + 184);
        s4r = *(a4K);
        a5K = (a1E + 80);
        s5r = *(a5K);
        a6K = (a1E + 88);
        s6r = *(a6K);
        t9i = _mm_add_ps(s3r, s5r);
        t0j = _mm_sub_ps(s4r, s6r);
        t1j = _mm_sub_ps(s3r, s5r);
        t2j = _mm_add_ps(s4r, s6r);
        t3j = _mm_add_ps(t5i, t9i);
        t4j = _mm_add_ps(t6i, t0j);
        t5j = _mm_sub_ps(t5i, t9i);
        t6j = _mm_sub_ps(t6i, t0j);
        t7j = _mm_sub_ps(t7i, t2j);
        t8j = _mm_add_ps(t8i, t1j);
        t9j = _mm_add_ps(t7i, t2j);
        t0k = _mm_sub_ps(t8i, t1j);
        a7K = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t7j);
        a8K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t8j);
        s7r = _mm_sub_ps(a7K, a8K);
        a9K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t7j);
        a0L = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t8j);
        s8r = _mm_add_ps(a9K, a0L);
        a1L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5j);
        a2L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6j);
        s9r = _mm_sub_ps(a1L, a2L);
        a3L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5j);
        a4L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6j);
        s0s = _mm_add_ps(a3L, a4L);
        a5L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t9j);
        a6L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t0k);
        s1s = _mm_sub_ps(a5L, a6L);
        a7L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t9j);
        a8L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t0k);
        s2s = _mm_add_ps(a7L, a8L);
        t1k = _mm_add_ps(t7e, t9h);
        t2k = _mm_sub_ps(t7e, t9h);
        t3k = _mm_sub_ps(t8e, t0i);
        t4k = _mm_add_ps(t8e, t0i);
        t5k = _mm_add_ps(t3g, t3j);
        t6k = _mm_sub_ps(t4g, t4j);
        a9L = _mm_sub_ps(t3g, t3j);
        a6E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9L);
        a0M = _mm_add_ps(t4g, t4j);
        a7E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0M);
        s3s = _mm_sub_ps(a6E, a7E);
        s4s = _mm_add_ps(a6E, a7E);
        a1N = (4 * i2);
        a8E = (dst + a1N);
        s5s = _mm_add_ps(t1k, t5k);
        _mm_storeu_ps(((float  *) a8E), s5s);
        s6s = _mm_sub_ps(t1k, t5k);
        a2N = (a8E + 512);
        _mm_storeu_ps(((float  *) a2N), s6s);
        s7s = _mm_sub_ps(t2k, t6k);
        a3N = (a8E + 256);
        _mm_storeu_ps(((float  *) a3N), s7s);
        s8s = _mm_add_ps(t2k, t6k);
        a4N = (a8E + 768);
        _mm_storeu_ps(((float  *) a4N), s8s);
        s9s = _mm_add_ps(t3k, s3s);
        a5N = (a8E + 128);
        _mm_storeu_ps(((float  *) a5N), s9s);
        s0t = _mm_sub_ps(t3k, s3s);
        a6N = (a8E + 640);
        _mm_storeu_ps(((float  *) a6N), s0t);
        s1t = _mm_sub_ps(t4k, s4s);
        a7N = (a8E + 384);
        _mm_storeu_ps(((float  *) a7N), s1t);
        s2t = _mm_add_ps(t4k, s4s);
        a8N = (a8E + 896);
        _mm_storeu_ps(((float  *) a8N), s2t);
        t7k = _mm_add_ps(t1f, s3q);
        t8k = _mm_sub_ps(t1f, s3q);
        t9k = _mm_sub_ps(t2f, s4q);
        t0l = _mm_add_ps(t2f, s4q);
        t1l = _mm_add_ps(s9o, s7r);
        t2l = _mm_sub_ps(s0p, s8r);
        a1M = _mm_sub_ps(s9o, s7r);
        a9E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1M);
        a2M = _mm_add_ps(s0p, s8r);
        a0F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2M);
        s3t = _mm_sub_ps(a9E, a0F);
        s4t = _mm_add_ps(a9E, a0F);
        s5t = _mm_add_ps(t7k, t1l);
        a9N = (a8E + 32);
        _mm_storeu_ps(((float  *) a9N), s5t);
        s6t = _mm_sub_ps(t7k, t1l);
        a0O = (a8E + 544);
        _mm_storeu_ps(((float  *) a0O), s6t);
        s7t = _mm_sub_ps(t8k, t2l);
        a1O = (a8E + 288);
        _mm_storeu_ps(((float  *) a1O), s7t);
        s8t = _mm_add_ps(t8k, t2l);
        a2O = (a8E + 800);
        _mm_storeu_ps(((float  *) a2O), s8t);
        s9t = _mm_add_ps(t9k, s3t);
        a3O = (a8E + 160);
        _mm_storeu_ps(((float  *) a3O), s9t);
        s0u = _mm_sub_ps(t9k, s3t);
        a4O = (a8E + 672);
        _mm_storeu_ps(((float  *) a4O), s0u);
        s1u = _mm_sub_ps(t0l, s4t);
        a5O = (a8E + 416);
        _mm_storeu_ps(((float  *) a5O), s1u);
        s2u = _mm_add_ps(t0l, s4t);
        a6O = (a8E + 928);
        _mm_storeu_ps(((float  *) a6O), s2u);
        t3l = _mm_add_ps(t9e, s5q);
        t4l = _mm_sub_ps(t9e, s5q);
        t5l = _mm_sub_ps(t0f, s6q);
        t6l = _mm_add_ps(t0f, s6q);
        t7l = _mm_add_ps(s1p, s9r);
        t8l = _mm_sub_ps(s2p, s0s);
        a3M = _mm_sub_ps(s1p, s9r);
        a1F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3M);
        a4M = _mm_add_ps(s2p, s0s);
        a2F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4M);
        s3u = _mm_sub_ps(a1F, a2F);
        s4u = _mm_add_ps(a1F, a2F);
        s5u = _mm_add_ps(t3l, t7l);
        a7O = (a8E + 64);
        _mm_storeu_ps(((float  *) a7O), s5u);
        s6u = _mm_sub_ps(t3l, t7l);
        a8O = (a8E + 576);
        _mm_storeu_ps(((float  *) a8O), s6u);
        s7u = _mm_sub_ps(t4l, t8l);
        a9O = (a8E + 320);
        _mm_storeu_ps(((float  *) a9O), s7u);
        s8u = _mm_add_ps(t4l, t8l);
        a0P = (a8E + 832);
        _mm_storeu_ps(((float  *) a0P), s8u);
        s9u = _mm_add_ps(t5l, s3u);
        a1P = (a8E + 192);
        _mm_storeu_ps(((float  *) a1P), s9u);
        s0v = _mm_sub_ps(t5l, s3u);
        a2P = (a8E + 704);
        _mm_storeu_ps(((float  *) a2P), s0v);
        s1v = _mm_sub_ps(t6l, s4u);
        a3P = (a8E + 448);
        _mm_storeu_ps(((float  *) a3P), s1v);
        s2v = _mm_add_ps(t6l, s4u);
        a4P = (a8E + 960);
        _mm_storeu_ps(((float  *) a4P), s2v);
        t9l = _mm_add_ps(t3f, s7q);
        t0m = _mm_sub_ps(t3f, s7q);
        t1m = _mm_sub_ps(t4f, s8q);
        t2m = _mm_add_ps(t4f, s8q);
        t3m = _mm_add_ps(s3p, s1s);
        t4m = _mm_sub_ps(s4p, s2s);
        a5M = _mm_sub_ps(s3p, s1s);
        a3F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5M);
        a6M = _mm_add_ps(s4p, s2s);
        a4F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6M);
        s3v = _mm_sub_ps(a3F, a4F);
        s4v = _mm_add_ps(a3F, a4F);
        s5v = _mm_add_ps(t9l, t3m);
        a5P = (a8E + 96);
        _mm_storeu_ps(((float  *) a5P), s5v);
        s6v = _mm_sub_ps(t9l, t3m);
        a6P = (a8E + 608);
        _mm_storeu_ps(((float  *) a6P), s6v);
        s7v = _mm_sub_ps(t0m, t4m);
        a7P = (a8E + 352);
        _mm_storeu_ps(((float  *) a7P), s7v);
        s8v = _mm_add_ps(t0m, t4m);
        a8P = (a8E + 864);
        _mm_storeu_ps(((float  *) a8P), s8v);
        s9v = _mm_add_ps(t1m, s3v);
        a9P = (a8E + 224);
        _mm_storeu_ps(((float  *) a9P), s9v);
        s0w = _mm_sub_ps(t1m, s3v);
        a0Q = (a8E + 736);
        _mm_storeu_ps(((float  *) a0Q), s0w);
        s1w = _mm_sub_ps(t2m, s4v);
        a1Q = (a8E + 480);
        _mm_storeu_ps(((float  *) a1Q), s1w);
        s2w = _mm_add_ps(t2m, s4v);
        a2Q = (a8E + 992);
        _mm_storeu_ps(((float  *) a2Q), s2w);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftinv_float_1024)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftinv_float_1024_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[1024]);
    __m128 a02, a05, a06, a0e, a0r, a0u, a13, a15, a16, a1s, a2, a23, a25, a26, a2b, a2c, a2m, a2n, a2o, a2p, a2s, a3
            , a31, a34, a35, a36, a3d, a3q, a3t, a41, a44, a45, a46, a4d, a4q, a4t, a52, a55, a5e, a5r, a62, a65, a6e, a6r
            , a7, a73, a75, a7a, a7b, a7c, a7l, a7m, a7n, a7o, a7p, a7s, a8, a83, a85, a8c, a8p, a8s, a91, a94, a95, a9d
            , a9q, a9t;
    __m128 a07, a08, a09, a0A, a0C, a0D, a0F, a0G, a0H, a0I, a0J, a0L, a0M, a0a, a0g, a0h, a0l, a0v, a0w, a0x, a0z, a17
            , a18, a19, a1A, a1F, a1H, a1J, a1L, a1M, a1a, a1f, a1g, a1h, a1k, a1l, a1v, a1w, a1x, a1y, a1z, a27, a28, a29
            , a2C, a2D, a2E, a2F, a2H, a2J, a2L, a2M, a2a, a2f, a2g, a2h, a2k, a2l, a2v, a2w, a2x, a2y, a37, a38, a39, a3A
            , a3B, a3C, a3D, a3E, a3F, a3H, a3J, a3L, a3M, a3a, a3f, a3g, a3h, a3k, a3l, a3v, a3w, a3x, a47, a48, a49, a4A
            , a4B, a4E, a4F, a4H, a4J, a4L, a4M, a4a, a4f, a4g, a4h, a4k, a4l, a4v, a4w, a4x, a4y, a56, a57, a58, a59, a5D
            , a5E, a5H, a5J, a5L, a5M, a5a, a5f, a5g, a5h, a5j, a5k, a5l, a5u, a5v, a5w, a5x, a5y, a66, a67, a68, a69, a6A
            , a6B, a6D, a6E, a6H, a6J, a6L, a6M, a6a, a6f, a6g, a6h, a6j, a6k, a6l, a6u, a6v, a6w, a6x, a76, a77, a78, a79
            , a7A, a7B, a7E, a7H, a7J, a7K, a7L, a7f, a7g, a7h, a7j, a7k, a7u, a7v, a7w, a7y, a7z, a86, a87, a88, a89, a8D
            , a8H, a8J, a8K, a8L, a8f, a8g, a8h, a8j, a8k, a8u, a8v, a8w, a8y, a8z, a96, a97, a98, a99, a9B, a9C, a9D, a9E
            , a9F, a9G, a9H, a9I, a9K, a9L, a9f, a9g, a9k, a9u, a9v, a9w, b, b2, b3, b4, b5, b6, b7, b8, b9, s
            , s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m
            , s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c
            , s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s2, s21
            , s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n
            , s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c
            , s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s4, s41, s42
            , s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o
            , s4p, s4q, s4r, s4s, s4t, s4u, s4v, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e
            , s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s6, s61, s62, s63, s64
            , s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q
            , s6r, s6s, s6t, s6u, s6v, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g
            , s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s8, s81, s82, s83, s84, s85, s86
            , s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s
            , s8t, s8u, s8v, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i
            , s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, t, t01, t02, t03, t04, t05, t06, t07, t08
            , t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t11, t12, t13, t14, t15, t16, t17, t18
            , t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t2, t21, t22, t23, t24, t25, t26, t27
            , t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t3, t31, t32, t33, t34, t35, t36
            , t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t4, t41, t42, t43, t44, t45
            , t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t5, t51, t52, t53, t54
            , t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t6, t61, t62, t63, t64
            , t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t7, t71, t72, t73, t74
            , t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t8, t81, t82, t83, t84
            , t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t9, t91, t92, t93, t94
            , t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l;
    const __m64  *a0b, *a0c, *a0m, *a0n, *a0o, *a0p, *a11, *a12, *a14, *a1d, *a1e, *a1q, *a1r, *a1t, *a1u, *a32, *a33, *a3b, *a3c, *a3e, *a3m, *a3n
            , *a3o, *a3p, *a3r, *a3s, *a3u, *a4, *a5, *a51, *a53, *a54, *a5b, *a5c, *a5d, *a5m, *a5n, *a5o, *a5p, *a5q, *a5s, *a5t, *a71, *a72
            , *a74, *a7d, *a7e, *a7q, *a7r, *a7t, *a8a, *a8b, *a8l, *a8m, *a8n, *a8o, *a9, *a92, *a93, *a9c, *a9e, *a9p, *a9r, *a9s;
    __m128  *a, *a0B, *a0E, *a0K, *a0N, *a0O, *a0P, *a0Q, *a0i, *a0j, *a0k, *a0y, *a1B, *a1C, *a1D, *a1E, *a1G, *a1I, *a1K, *a1N, *a1O, *a1P
            , *a1Q, *a1i, *a1j, *a2A, *a2B, *a2G, *a2I, *a2K, *a2N, *a2O, *a2P, *a2Q, *a2i, *a2j, *a2z, *a3G, *a3I, *a3K, *a3N, *a3O, *a3P, *a3i
            , *a3j, *a3y, *a3z, *a4C, *a4D, *a4G, *a4I, *a4K, *a4N, *a4O, *a4P, *a4i, *a4z, *a5A, *a5B, *a5C, *a5F, *a5G, *a5I, *a5K, *a5N, *a5O
            , *a5P, *a5i, *a5z, *a6C, *a6F, *a6G, *a6I, *a6K, *a6N, *a6O, *a6P, *a6i, *a6y, *a6z, *a7C, *a7D, *a7F, *a7G, *a7I, *a7M, *a7N, *a7O
            , *a7P, *a7i, *a7x, *a8A, *a8B, *a8C, *a8E, *a8F, *a8G, *a8I, *a8M, *a8N, *a8O, *a8P, *a8i, *a8x, *a9A, *a9J, *a9M, *a9N, *a9O, *a9P
            , *a9h, *a9i, *a9x, *a9y, *a9z, *b21;
    const float  *a01, *a03, *a04, *a0d, *a0f, *a0q, *a0s, *a0t, *a1b, *a1c, *a1m, *a1n, *a1o, *a1p, *a21, *a22, *a24, *a2d, *a2e, *a2q, *a2r, *a2t
            , *a2u, *a42, *a43, *a4b, *a4c, *a4e, *a4m, *a4n, *a4o, *a4p, *a4r, *a4s, *a4u, *a6, *a61, *a63, *a64, *a6b, *a6c, *a6d, *a6m, *a6n
            , *a6o, *a6p, *a6q, *a6s, *a6t, *a81, *a82, *a84, *a8d, *a8e, *a8q, *a8r, *a8t, *a9a, *a9b, *a9l, *a9m, *a9n, *a9o, *b01, *b11;
    int a4j, a9j;
    a4 = ((const __m64  *) src);
    a3 = _mm_loadl_pi(_mm_set1_ps(0.0f), a4);
    a6 = (src + 64);
    a5 = ((const __m64  *) a6);
    a2 = _mm_loadh_pi(a3, a5);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a2);
    a01 = (src + 128);
    a9 = ((const __m64  *) a01);
    a8 = _mm_loadl_pi(_mm_set1_ps(0.0f), a9);
    a21 = (src + 192);
    a11 = ((const __m64  *) a21);
    a7 = _mm_loadh_pi(a8, a11);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a7);
    a61 = (src + 256);
    a51 = ((const __m64  *) a61);
    a41 = _mm_loadl_pi(_mm_set1_ps(0.0f), a51);
    a81 = (src + 320);
    a71 = ((const __m64  *) a81);
    a31 = _mm_loadh_pi(a41, a71);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a31);
    a22 = (src + 384);
    a12 = ((const __m64  *) a22);
    a02 = _mm_loadl_pi(_mm_set1_ps(0.0f), a12);
    a42 = (src + 448);
    a32 = ((const __m64  *) a42);
    a91 = _mm_loadh_pi(a02, a32);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a91);
    a82 = (src + 512);
    a72 = ((const __m64  *) a82);
    a62 = _mm_loadl_pi(_mm_set1_ps(0.0f), a72);
    a03 = (src + 576);
    a92 = ((const __m64  *) a03);
    a52 = _mm_loadh_pi(a62, a92);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a52);
    a43 = (src + 640);
    a33 = ((const __m64  *) a43);
    a23 = _mm_loadl_pi(_mm_set1_ps(0.0f), a33);
    a63 = (src + 704);
    a53 = ((const __m64  *) a63);
    a13 = _mm_loadh_pi(a23, a53);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a13);
    a04 = (src + 768);
    a93 = ((const __m64  *) a04);
    a83 = _mm_loadl_pi(_mm_set1_ps(0.0f), a93);
    a24 = (src + 832);
    a14 = ((const __m64  *) a24);
    a73 = _mm_loadh_pi(a83, a14);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a73);
    a64 = (src + 896);
    a54 = ((const __m64  *) a64);
    a44 = _mm_loadl_pi(_mm_set1_ps(0.0f), a54);
    a84 = (src + 960);
    a74 = ((const __m64  *) a84);
    a34 = _mm_loadh_pi(a44, a74);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a34);
    a94 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a94);
    a05 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a05);
    a15 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a25 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a35 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a45 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a55 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a55);
    a65 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a65);
    a75 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a75, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a85, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a95, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a06 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a06, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a16 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a16, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a26, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a36, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a46 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a46, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a76 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a56 = _mm_add_ps(a66, a76);
    s52 = _mm_sub_ps(a56, s02);
    a86 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a96 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a86, a96);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a17 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a27 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a07 = _mm_sub_ps(a17, a27);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a07);
    a47 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a37 = _mm_sub_ps(a47, s42);
    a57 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a67 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a37, a57);
    s43 = _mm_add_ps(b3, a67);
    a87 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a97 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a77 = _mm_sub_ps(a87, a97);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a77);
    a08 = _mm_sub_ps(s21, s12);
    a18 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a28 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a08, a18);
    s63 = _mm_add_ps(b5, a28);
    a48 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a58 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a38 = _mm_sub_ps(a48, a58);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a38);
    a68 = _mm_sub_ps(s41, s22);
    a78 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a88 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a68, a78);
    s83 = _mm_add_ps(b7, a88);
    a09 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a19 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a98 = _mm_sub_ps(a09, a19);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a98);
    a29 = _mm_sub_ps(s61, s32);
    a39 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a49 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a29, a39);
    s04 = _mm_add_ps(b9, a49);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a59 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a69 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a59, a69);
    a79 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a89 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a79, a89);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a99 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a0a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a99, a0a);
    a1a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a2a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a1a, a2a);
    a3a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a4a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a6a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a5a, a6a);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a9a = (src + 32);
    a8a = ((const __m64  *) a9a);
    a7a = _mm_loadl_pi(_mm_set1_ps(0.0f), a8a);
    a1b = (src + 160);
    a0b = ((const __m64  *) a1b);
    s17 = _mm_loadh_pi(a7a, a0b);
    a4b = (src + 288);
    a3b = ((const __m64  *) a4b);
    a2b = _mm_loadl_pi(_mm_set1_ps(0.0f), a3b);
    a6b = (src + 416);
    a5b = ((const __m64  *) a6b);
    s27 = _mm_loadh_pi(a2b, a5b);
    a9b = (src + 544);
    a8b = ((const __m64  *) a9b);
    a7b = _mm_loadl_pi(_mm_set1_ps(0.0f), a8b);
    a1c = (src + 672);
    a0c = ((const __m64  *) a1c);
    s37 = _mm_loadh_pi(a7b, a0c);
    a4c = (src + 800);
    a3c = ((const __m64  *) a4c);
    a2c = _mm_loadl_pi(_mm_set1_ps(0.0f), a3c);
    a6c = (src + 928);
    a5c = ((const __m64  *) a6c);
    s47 = _mm_loadh_pi(a2c, a5c);
    a0d = (src + 992);
    a9c = ((const __m64  *) a0d);
    a8c = _mm_loadl_pi(_mm_set1_ps(0.0f), a9c);
    a2d = (src + 864);
    a1d = ((const __m64  *) a2d);
    a7c = _mm_loadh_pi(a8c, a1d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7c);
    a6d = (src + 736);
    a5d = ((const __m64  *) a6d);
    a4d = _mm_loadl_pi(_mm_set1_ps(0.0f), a5d);
    a8d = (src + 608);
    a7d = ((const __m64  *) a8d);
    a3d = _mm_loadh_pi(a4d, a7d);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3d);
    a2e = (src + 480);
    a1e = ((const __m64  *) a2e);
    a0e = _mm_loadl_pi(_mm_set1_ps(0.0f), a1e);
    a4e = (src + 352);
    a3e = ((const __m64  *) a4e);
    a9d = _mm_loadh_pi(a0e, a3e);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9d);
    a8e = (src + 224);
    a7e = ((const __m64  *) a8e);
    a6e = _mm_loadl_pi(_mm_set1_ps(0.0f), a7e);
    a0f = (src + 96);
    a9e = ((const __m64  *) a0f);
    a5e = _mm_loadh_pi(a6e, a9e);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a1f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a2f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a4f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a3f, a4f);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a5f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a6f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a5f, a6f);
    a7f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a8f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a7f, a8f);
    a9f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a0g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a2g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a1g, a2g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a3g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t75);
    a4g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t85);
    s9a = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t75);
    a6g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t85);
    s0b = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t95);
    a8g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t06);
    s1b = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t95);
    a0h = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t06);
    s2b = _mm_add_ps(a9g, a0h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a1h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t16);
    a2h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t26);
    s3b = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t16);
    a4h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t26);
    s4b = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t36);
    a6h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t46);
    s5b = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t36);
    a8h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t46);
    s6b = _mm_add_ps(a7h, a8h);
    a = ((__m128  *) T);
    s7b = _mm_add_ps(s36, s9a);
    *(a) = s7b;
    s8b = _mm_sub_ps(s36, s9a);
    a9h = (a + 8);
    *(a9h) = s8b;
    s9b = _mm_sub_ps(s56, s0b);
    a0i = (a + 4);
    *(a0i) = s9b;
    s0c = _mm_add_ps(s56, s0b);
    a1i = (a + 12);
    *(a1i) = s0c;
    s1c = _mm_add_ps(s46, s3b);
    a2i = (a + 1);
    *(a2i) = s1c;
    s2c = _mm_sub_ps(s46, s3b);
    a3i = (a + 9);
    *(a3i) = s2c;
    s3c = _mm_sub_ps(s66, s4b);
    a4i = (a + 5);
    *(a4i) = s3c;
    s4c = _mm_add_ps(s66, s4b);
    a5i = (a + 13);
    *(a5i) = s4c;
    s5c = _mm_add_ps(s76, s1b);
    a6i = (a + 2);
    *(a6i) = s5c;
    s6c = _mm_sub_ps(s76, s1b);
    a7i = (a + 10);
    *(a7i) = s6c;
    s7c = _mm_sub_ps(s96, s2b);
    a8i = (a + 6);
    *(a8i) = s7c;
    s8c = _mm_add_ps(s96, s2b);
    a9i = (a + 14);
    *(a9i) = s8c;
    s9c = _mm_add_ps(s86, s5b);
    a0j = (a + 3);
    *(a0j) = s9c;
    s0d = _mm_sub_ps(s86, s5b);
    a1j = (a + 11);
    *(a1j) = s0d;
    s1d = _mm_sub_ps(s07, s6b);
    a2j = (a + 7);
    *(a2j) = s1d;
    s2d = _mm_add_ps(s07, s6b);
    a3j = (a + 15);
    *(a3j) = s2d;
    {long i; for(i = 0; i <= 14; i++) {
        a4j = (2 * i);
        b01 = (src + a4j);
        a9l = (b01 + 2);
        a8l = ((const __m64  *) a9l);
        a7l = _mm_loadl_pi(_mm_set1_ps(0.0f), a8l);
        a1m = (b01 + 66);
        a0m = ((const __m64  *) a1m);
        s3d = _mm_loadh_pi(a7l, a0m);
        a4m = (b01 + 130);
        a3m = ((const __m64  *) a4m);
        a2m = _mm_loadl_pi(_mm_set1_ps(0.0f), a3m);
        a6m = (b01 + 194);
        a5m = ((const __m64  *) a6m);
        s4d = _mm_loadh_pi(a2m, a5m);
        a9m = (b01 + 258);
        a8m = ((const __m64  *) a9m);
        a7m = _mm_loadl_pi(_mm_set1_ps(0.0f), a8m);
        a1n = (b01 + 322);
        a0n = ((const __m64  *) a1n);
        s5d = _mm_loadh_pi(a7m, a0n);
        a4n = (b01 + 386);
        a3n = ((const __m64  *) a4n);
        a2n = _mm_loadl_pi(_mm_set1_ps(0.0f), a3n);
        a6n = (b01 + 450);
        a5n = ((const __m64  *) a6n);
        s6d = _mm_loadh_pi(a2n, a5n);
        a9n = (b01 + 514);
        a8n = ((const __m64  *) a9n);
        a7n = _mm_loadl_pi(_mm_set1_ps(0.0f), a8n);
        a1o = (b01 + 578);
        a0o = ((const __m64  *) a1o);
        s7d = _mm_loadh_pi(a7n, a0o);
        a4o = (b01 + 642);
        a3o = ((const __m64  *) a4o);
        a2o = _mm_loadl_pi(_mm_set1_ps(0.0f), a3o);
        a6o = (b01 + 706);
        a5o = ((const __m64  *) a6o);
        s8d = _mm_loadh_pi(a2o, a5o);
        a9o = (b01 + 770);
        a8o = ((const __m64  *) a9o);
        a7o = _mm_loadl_pi(_mm_set1_ps(0.0f), a8o);
        a1p = (b01 + 834);
        a0p = ((const __m64  *) a1p);
        s9d = _mm_loadh_pi(a7o, a0p);
        a4p = (b01 + 898);
        a3p = ((const __m64  *) a4p);
        a2p = _mm_loadl_pi(_mm_set1_ps(0.0f), a3p);
        a6p = (b01 + 962);
        a5p = ((const __m64  *) a6p);
        s0e = _mm_loadh_pi(a2p, a5p);
        b11 = (src - a4j);
        a0q = (b11 + 1022);
        a9p = ((const __m64  *) a0q);
        a8p = _mm_loadl_pi(_mm_set1_ps(0.0f), a9p);
        a2q = (b11 + 958);
        a1q = ((const __m64  *) a2q);
        a7p = _mm_loadh_pi(a8p, a1q);
        s1e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7p);
        a6q = (b11 + 894);
        a5q = ((const __m64  *) a6q);
        a4q = _mm_loadl_pi(_mm_set1_ps(0.0f), a5q);
        a8q = (b11 + 830);
        a7q = ((const __m64  *) a8q);
        a3q = _mm_loadh_pi(a4q, a7q);
        s2e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3q);
        a2r = (b11 + 766);
        a1r = ((const __m64  *) a2r);
        a0r = _mm_loadl_pi(_mm_set1_ps(0.0f), a1r);
        a4r = (b11 + 702);
        a3r = ((const __m64  *) a4r);
        a9q = _mm_loadh_pi(a0r, a3r);
        s3e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9q);
        a8r = (b11 + 638);
        a7r = ((const __m64  *) a8r);
        a6r = _mm_loadl_pi(_mm_set1_ps(0.0f), a7r);
        a0s = (b11 + 574);
        a9r = ((const __m64  *) a0s);
        a5r = _mm_loadh_pi(a6r, a9r);
        s4e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5r);
        a4s = (b11 + 510);
        a3s = ((const __m64  *) a4s);
        a2s = _mm_loadl_pi(_mm_set1_ps(0.0f), a3s);
        a6s = (b11 + 446);
        a5s = ((const __m64  *) a6s);
        a1s = _mm_loadh_pi(a2s, a5s);
        s5e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1s);
        a0t = (b11 + 382);
        a9s = ((const __m64  *) a0t);
        a8s = _mm_loadl_pi(_mm_set1_ps(0.0f), a9s);
        a2t = (b11 + 318);
        a1t = ((const __m64  *) a2t);
        a7s = _mm_loadh_pi(a8s, a1t);
        s6e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7s);
        a6t = (b11 + 254);
        a5t = ((const __m64  *) a6t);
        a4t = _mm_loadl_pi(_mm_set1_ps(0.0f), a5t);
        a8t = (b11 + 190);
        a7t = ((const __m64  *) a8t);
        a3t = _mm_loadh_pi(a4t, a7t);
        s7e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3t);
        a2u = (b11 + 126);
        a1u = ((const __m64  *) a2u);
        a0u = _mm_loadl_pi(_mm_set1_ps(0.0f), a1u);
        a4u = (b11 + 62);
        a3u = ((const __m64  *) a4u);
        a9t = _mm_loadh_pi(a0u, a3u);
        s8e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9t);
        s9e = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(2, 0, 2, 0));
        s0f = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(3, 1, 3, 1));
        s1f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(2, 0, 2, 0));
        s2f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(3, 1, 3, 1));
        t56 = _mm_add_ps(s9e, s1f);
        t66 = _mm_add_ps(s0f, s2f);
        t76 = _mm_sub_ps(s9e, s1f);
        t86 = _mm_sub_ps(s0f, s2f);
        s3f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(2, 0, 2, 0));
        s4f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(3, 1, 3, 1));
        s5f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(2, 0, 2, 0));
        s6f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(3, 1, 3, 1));
        t96 = _mm_add_ps(s3f, s5f);
        t07 = _mm_add_ps(s4f, s6f);
        t17 = _mm_sub_ps(s3f, s5f);
        t27 = _mm_sub_ps(s4f, s6f);
        t37 = _mm_add_ps(t56, t96);
        t47 = _mm_add_ps(t66, t07);
        t57 = _mm_sub_ps(t56, t96);
        t67 = _mm_sub_ps(t66, t07);
        t77 = _mm_sub_ps(t76, t27);
        t87 = _mm_add_ps(t86, t17);
        t97 = _mm_add_ps(t76, t27);
        t08 = _mm_sub_ps(t86, t17);
        s7f = _mm_unpacklo_ps(t37, t77);
        s8f = _mm_unpackhi_ps(t37, t77);
        s9f = _mm_unpacklo_ps(t47, t87);
        s0g = _mm_unpackhi_ps(t47, t87);
        s1g = _mm_unpacklo_ps(t57, t97);
        s2g = _mm_unpackhi_ps(t57, t97);
        s3g = _mm_unpacklo_ps(t67, t08);
        s4g = _mm_unpackhi_ps(t67, t08);
        s5g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(1, 0, 1, 0));
        s6g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(3, 2, 3, 2));
        s7g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(1, 0, 1, 0));
        s8g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(3, 2, 3, 2));
        s9g = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(1, 0, 1, 0));
        s0h = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(3, 2, 3, 2));
        s1h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(1, 0, 1, 0));
        s2h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(3, 2, 3, 2));
        s3h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(2, 0, 2, 0));
        s4h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(3, 1, 3, 1));
        s5h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(2, 0, 2, 0));
        s6h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(3, 1, 3, 1));
        t18 = _mm_add_ps(s3h, s5h);
        t28 = _mm_add_ps(s4h, s6h);
        t38 = _mm_sub_ps(s3h, s5h);
        t48 = _mm_sub_ps(s4h, s6h);
        s7h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(2, 0, 2, 0));
        s8h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(3, 1, 3, 1));
        s9h = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(2, 0, 2, 0));
        s0i = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(3, 1, 3, 1));
        t58 = _mm_add_ps(s7h, s9h);
        t68 = _mm_add_ps(s8h, s0i);
        t78 = _mm_sub_ps(s7h, s9h);
        t88 = _mm_sub_ps(s8h, s0i);
        t98 = _mm_add_ps(t18, t58);
        t09 = _mm_add_ps(t28, t68);
        t19 = _mm_sub_ps(t18, t58);
        t29 = _mm_sub_ps(t28, t68);
        t39 = _mm_sub_ps(t38, t88);
        t49 = _mm_add_ps(t48, t78);
        t59 = _mm_add_ps(t38, t88);
        t69 = _mm_sub_ps(t48, t78);
        s1i = _mm_unpacklo_ps(t98, t39);
        s2i = _mm_unpackhi_ps(t98, t39);
        s3i = _mm_unpacklo_ps(t09, t49);
        s4i = _mm_unpackhi_ps(t09, t49);
        s5i = _mm_unpacklo_ps(t19, t59);
        s6i = _mm_unpackhi_ps(t19, t59);
        s7i = _mm_unpacklo_ps(t29, t69);
        s8i = _mm_unpackhi_ps(t29, t69);
        s9i = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(1, 0, 1, 0));
        s0j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(3, 2, 3, 2));
        s1j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(1, 0, 1, 0));
        s2j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(3, 2, 3, 2));
        s3j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(1, 0, 1, 0));
        s4j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(3, 2, 3, 2));
        s5j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(1, 0, 1, 0));
        s6j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(3, 2, 3, 2));
        a5u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9i);
        a6u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3j);
        s7j = _mm_sub_ps(a5u, a6u);
        a7u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s9i);
        a8u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3j);
        s8j = _mm_add_ps(a7u, a8u);
        t79 = _mm_add_ps(s5g, s7j);
        t89 = _mm_add_ps(s9g, s8j);
        t99 = _mm_sub_ps(s5g, s7j);
        t0a = _mm_sub_ps(s9g, s8j);
        a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7g);
        a0v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s1h);
        s9j = _mm_sub_ps(a9u, a0v);
        a1v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s7g);
        a2v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1h);
        s0k = _mm_add_ps(a1v, a2v);
        a3v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1j);
        a4v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s5j);
        s1k = _mm_sub_ps(a3v, a4v);
        a5v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s1j);
        a6v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5j);
        s2k = _mm_add_ps(a5v, a6v);
        t1a = _mm_add_ps(s9j, s1k);
        t2a = _mm_add_ps(s0k, s2k);
        t3a = _mm_sub_ps(s9j, s1k);
        t4a = _mm_sub_ps(s0k, s2k);
        t5a = _mm_add_ps(t79, t1a);
        t6a = _mm_add_ps(t89, t2a);
        t7a = _mm_sub_ps(t79, t1a);
        t8a = _mm_sub_ps(t89, t2a);
        t9a = _mm_sub_ps(t99, t4a);
        t0b = _mm_add_ps(t0a, t3a);
        t1b = _mm_add_ps(t99, t4a);
        t2b = _mm_sub_ps(t0a, t3a);
        a7v = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6g);
        a8v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s0h);
        s3k = _mm_sub_ps(a7v, a8v);
        a9v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s6g);
        a0w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0h);
        s4k = _mm_add_ps(a9v, a0w);
        a1w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0j);
        a2w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s4j);
        s5k = _mm_sub_ps(a1w, a2w);
        a3w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s0j);
        a4w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4j);
        s6k = _mm_add_ps(a3w, a4w);
        t3b = _mm_add_ps(s3k, s5k);
        t4b = _mm_add_ps(s4k, s6k);
        t5b = _mm_sub_ps(s3k, s5k);
        t6b = _mm_sub_ps(s4k, s6k);
        a5w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8g);
        a6w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s2h);
        s7k = _mm_sub_ps(a5w, a6w);
        a7w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s8g);
        a8w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2h);
        s8k = _mm_add_ps(a7w, a8w);
        a9w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2j);
        a0x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s6j);
        s9k = _mm_sub_ps(a9w, a0x);
        a1x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s2j);
        a2x = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6j);
        s0l = _mm_add_ps(a1x, a2x);
        t7b = _mm_add_ps(s7k, s9k);
        t8b = _mm_add_ps(s8k, s0l);
        t9b = _mm_sub_ps(s7k, s9k);
        t0c = _mm_sub_ps(s8k, s0l);
        t1c = _mm_add_ps(t3b, t7b);
        t2c = _mm_add_ps(t4b, t8b);
        t3c = _mm_sub_ps(t3b, t7b);
        t4c = _mm_sub_ps(t4b, t8b);
        a3x = _mm_sub_ps(t5b, t0c);
        a5j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3x);
        a4x = _mm_add_ps(t6b, t9b);
        a6j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4x);
        s1l = _mm_sub_ps(a5j, a6j);
        s2l = _mm_add_ps(a5j, a6j);
        a5x = _mm_add_ps(t5b, t0c);
        a7j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5x);
        a6x = _mm_sub_ps(t6b, t9b);
        a8j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6x);
        s3l = _mm_sub_ps(a7j, a8j);
        s4l = _mm_add_ps(a7j, a8j);
        t5c = _mm_add_ps(t5a, t1c);
        t6c = _mm_add_ps(t6a, t2c);
        t7c = _mm_sub_ps(t5a, t1c);
        t8c = _mm_sub_ps(t6a, t2c);
        a9j = (16 * i);
        a0k = (D24 + a9j);
        a1k = *(a0k);
        a7x = (a0k + 1);
        a2k = *(a7x);
        a8x = (a0k + 2);
        a3k = *(a8x);
        a9x = (a0k + 3);
        a4k = *(a9x);
        a0y = ((__m128  *) T);
        b21 = (a0y + a9j);
        a1y = _mm_mul_ps(a1k, t5c);
        a2y = _mm_mul_ps(a2k, t6c);
        s5l = _mm_sub_ps(a1y, a2y);
        a3y = (b21 + 16);
        *(a3y) = s5l;
        a4y = _mm_mul_ps(a2k, t5c);
        a5y = _mm_mul_ps(a1k, t6c);
        s6l = _mm_add_ps(a4y, a5y);
        a6y = (b21 + 24);
        *(a6y) = s6l;
        a7y = _mm_mul_ps(a3k, t7c);
        a8y = _mm_mul_ps(a4k, t8c);
        s7l = _mm_sub_ps(a7y, a8y);
        a9y = (b21 + 20);
        *(a9y) = s7l;
        a0z = _mm_mul_ps(a4k, t7c);
        a1z = _mm_mul_ps(a3k, t8c);
        s8l = _mm_add_ps(a0z, a1z);
        a2z = (b21 + 28);
        *(a2z) = s8l;
        t9c = _mm_add_ps(t9a, s1l);
        t0d = _mm_add_ps(t0b, s2l);
        t1d = _mm_sub_ps(t9a, s1l);
        t2d = _mm_sub_ps(t0b, s2l);
        a3z = (a0k + 4);
        a5k = *(a3z);
        a4z = (a0k + 5);
        a6k = *(a4z);
        a5z = (a0k + 6);
        a7k = *(a5z);
        a6z = (a0k + 7);
        a8k = *(a6z);
        a7z = _mm_mul_ps(a5k, t9c);
        a8z = _mm_mul_ps(a6k, t0d);
        s9l = _mm_sub_ps(a7z, a8z);
        a9z = (b21 + 17);
        *(a9z) = s9l;
        a0A = _mm_mul_ps(a6k, t9c);
        a1A = _mm_mul_ps(a5k, t0d);
        s0m = _mm_add_ps(a0A, a1A);
        a2A = (b21 + 25);
        *(a2A) = s0m;
        a3A = _mm_mul_ps(a7k, t1d);
        a4A = _mm_mul_ps(a8k, t2d);
        s1m = _mm_sub_ps(a3A, a4A);
        a5A = (b21 + 21);
        *(a5A) = s1m;
        a6A = _mm_mul_ps(a8k, t1d);
        a7A = _mm_mul_ps(a7k, t2d);
        s2m = _mm_add_ps(a6A, a7A);
        a8A = (b21 + 29);
        *(a8A) = s2m;
        t3d = _mm_sub_ps(t7a, t4c);
        t4d = _mm_add_ps(t8a, t3c);
        t5d = _mm_add_ps(t7a, t4c);
        t6d = _mm_sub_ps(t8a, t3c);
        a9A = (a0k + 8);
        a9k = *(a9A);
        a0B = (a0k + 9);
        a0l = *(a0B);
        a1B = (a0k + 10);
        a1l = *(a1B);
        a2B = (a0k + 11);
        a2l = *(a2B);
        a3B = _mm_mul_ps(a9k, t3d);
        a4B = _mm_mul_ps(a0l, t4d);
        s3m = _mm_sub_ps(a3B, a4B);
        a5B = (b21 + 18);
        *(a5B) = s3m;
        a6B = _mm_mul_ps(a0l, t3d);
        a7B = _mm_mul_ps(a9k, t4d);
        s4m = _mm_add_ps(a6B, a7B);
        a8B = (b21 + 26);
        *(a8B) = s4m;
        a9B = _mm_mul_ps(a1l, t5d);
        a0C = _mm_mul_ps(a2l, t6d);
        s5m = _mm_sub_ps(a9B, a0C);
        a1C = (b21 + 22);
        *(a1C) = s5m;
        a2C = _mm_mul_ps(a2l, t5d);
        a3C = _mm_mul_ps(a1l, t6d);
        s6m = _mm_add_ps(a2C, a3C);
        a4C = (b21 + 30);
        *(a4C) = s6m;
        t7d = _mm_add_ps(t1b, s3l);
        t8d = _mm_sub_ps(t2b, s4l);
        t9d = _mm_sub_ps(t1b, s3l);
        t0e = _mm_add_ps(t2b, s4l);
        a5C = (a0k + 12);
        a3l = *(a5C);
        a6C = (a0k + 13);
        a4l = *(a6C);
        a7C = (a0k + 14);
        a5l = *(a7C);
        a8C = (a0k + 15);
        a6l = *(a8C);
        a9C = _mm_mul_ps(a3l, t7d);
        a0D = _mm_mul_ps(a4l, t8d);
        s7m = _mm_sub_ps(a9C, a0D);
        a1D = (b21 + 19);
        *(a1D) = s7m;
        a2D = _mm_mul_ps(a4l, t7d);
        a3D = _mm_mul_ps(a3l, t8d);
        s8m = _mm_add_ps(a2D, a3D);
        a4D = (b21 + 27);
        *(a4D) = s8m;
        a5D = _mm_mul_ps(a5l, t9d);
        a6D = _mm_mul_ps(a6l, t0e);
        s9m = _mm_sub_ps(a5D, a6D);
        a7D = (b21 + 23);
        *(a7D) = s9m;
        a8D = _mm_mul_ps(a6l, t9d);
        a9D = _mm_mul_ps(a5l, t0e);
        s0n = _mm_add_ps(a8D, a9D);
        a0E = (b21 + 31);
        *(a0E) = s0n;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a7M = ((__m128  *) T);
        a1E = (a7M + i2);
        s1n = *(a1E);
        a8M = (a1E + 128);
        s2n = *(a8M);
        t1e = _mm_add_ps(s1n, s2n);
        t2e = _mm_sub_ps(s1n, s2n);
        a9M = (a1E + 8);
        s3n = *(a9M);
        a0N = (a1E + 136);
        s4n = *(a0N);
        t3e = _mm_sub_ps(s3n, s4n);
        t4e = _mm_add_ps(s3n, s4n);
        a5F = (a1E + 64);
        s5n = *(a5F);
        a6F = (a1E + 72);
        s6n = *(a6F);
        a7F = (a1E + 192);
        s7n = *(a7F);
        a8F = (a1E + 200);
        s8n = *(a8F);
        t5e = _mm_add_ps(s5n, s7n);
        t6e = _mm_sub_ps(s6n, s8n);
        a9F = _mm_sub_ps(s5n, s7n);
        a2E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9F);
        a0G = _mm_add_ps(s6n, s8n);
        a3E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0G);
        s9n = _mm_sub_ps(a2E, a3E);
        s0o = _mm_add_ps(a2E, a3E);
        t7e = _mm_add_ps(t1e, t5e);
        t8e = _mm_sub_ps(t1e, t5e);
        t9e = _mm_sub_ps(t2e, t6e);
        t0f = _mm_add_ps(t2e, t6e);
        t1f = _mm_add_ps(t3e, s9n);
        t2f = _mm_sub_ps(t3e, s9n);
        t3f = _mm_sub_ps(t4e, s0o);
        t4f = _mm_add_ps(t4e, s0o);
        a1G = (a1E + 16);
        s1o = *(a1G);
        a2G = (a1E + 24);
        s2o = *(a2G);
        a3G = (a1E + 240);
        s3o = *(a3G);
        a4G = (a1E + 248);
        s4o = *(a4G);
        t5f = _mm_add_ps(s1o, s3o);
        t6f = _mm_sub_ps(s2o, s4o);
        t7f = _mm_sub_ps(s1o, s3o);
        t8f = _mm_add_ps(s2o, s4o);
        a5G = (a1E + 144);
        s5o = *(a5G);
        a6G = (a1E + 152);
        s6o = *(a6G);
        a7G = (a1E + 112);
        s7o = *(a7G);
        a8G = (a1E + 120);
        s8o = *(a8G);
        t9f = _mm_add_ps(s5o, s7o);
        t0g = _mm_sub_ps(s6o, s8o);
        t1g = _mm_sub_ps(s5o, s7o);
        t2g = _mm_add_ps(s6o, s8o);
        t3g = _mm_add_ps(t5f, t9f);
        t4g = _mm_add_ps(t6f, t0g);
        t5g = _mm_sub_ps(t5f, t9f);
        t6g = _mm_sub_ps(t6f, t0g);
        t7g = _mm_sub_ps(t7f, t2g);
        t8g = _mm_add_ps(t8f, t1g);
        t9g = _mm_add_ps(t7f, t2g);
        t0h = _mm_sub_ps(t8f, t1g);
        a9G = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t7g);
        a0H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t8g);
        s9o = _mm_sub_ps(a9G, a0H);
        a1H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t7g);
        a2H = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t8g);
        s0p = _mm_add_ps(a1H, a2H);
        a3H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5g);
        a4H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6g);
        s1p = _mm_sub_ps(a3H, a4H);
        a5H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5g);
        a6H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6g);
        s2p = _mm_add_ps(a5H, a6H);
        a7H = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t9g);
        a8H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t0h);
        s3p = _mm_sub_ps(a7H, a8H);
        a9H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t9g);
        a0I = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t0h);
        s4p = _mm_add_ps(a9H, a0I);
        a1I = (a1E + 32);
        s5p = *(a1I);
        a2I = (a1E + 40);
        s6p = *(a2I);
        a3I = (a1E + 224);
        s7p = *(a3I);
        a4I = (a1E + 232);
        s8p = *(a4I);
        t1h = _mm_add_ps(s5p, s7p);
        t2h = _mm_sub_ps(s6p, s8p);
        t3h = _mm_sub_ps(s5p, s7p);
        t4h = _mm_add_ps(s6p, s8p);
        a5I = (a1E + 160);
        s9p = *(a5I);
        a6I = (a1E + 168);
        s0q = *(a6I);
        a7I = (a1E + 96);
        s1q = *(a7I);
        a8I = (a1E + 104);
        s2q = *(a8I);
        t5h = _mm_add_ps(s9p, s1q);
        t6h = _mm_sub_ps(s0q, s2q);
        t7h = _mm_sub_ps(s9p, s1q);
        t8h = _mm_add_ps(s0q, s2q);
        t9h = _mm_add_ps(t1h, t5h);
        t0i = _mm_add_ps(t2h, t6h);
        t1i = _mm_sub_ps(t3h, t8h);
        t2i = _mm_add_ps(t4h, t7h);
        t3i = _mm_add_ps(t3h, t8h);
        t4i = _mm_sub_ps(t4h, t7h);
        a9I = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1i);
        a0J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2i);
        s3q = _mm_sub_ps(a9I, a0J);
        a1J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1i);
        a2J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2i);
        s4q = _mm_add_ps(a1J, a2J);
        a3J = _mm_sub_ps(t1h, t5h);
        a4E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3J);
        a4J = _mm_sub_ps(t2h, t6h);
        a5E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4J);
        s5q = _mm_sub_ps(a4E, a5E);
        s6q = _mm_add_ps(a4E, a5E);
        a5J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3i);
        a6J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4i);
        s7q = _mm_sub_ps(a5J, a6J);
        a7J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3i);
        a8J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4i);
        s8q = _mm_add_ps(a7J, a8J);
        a9J = (a1E + 48);
        s9q = *(a9J);
        a0K = (a1E + 56);
        s0r = *(a0K);
        a1K = (a1E + 208);
        s1r = *(a1K);
        a2K = (a1E + 216);
        s2r = *(a2K);
        t5i = _mm_add_ps(s9q, s1r);
        t6i = _mm_sub_ps(s0r, s2r);
        t7i = _mm_sub_ps(s9q, s1r);
        t8i = _mm_add_ps(s0r, s2r);
        a3K = (a1E + 176);
        s3r = *(a3K);
        a4K = (a1E + 184);
        s4r = *(a4K);
        a5K = (a1E + 80);
        s5r = *(a5K);
        a6K = (a1E + 88);
        s6r = *(a6K);
        t9i = _mm_add_ps(s3r, s5r);
        t0j = _mm_sub_ps(s4r, s6r);
        t1j = _mm_sub_ps(s3r, s5r);
        t2j = _mm_add_ps(s4r, s6r);
        t3j = _mm_add_ps(t5i, t9i);
        t4j = _mm_add_ps(t6i, t0j);
        t5j = _mm_sub_ps(t5i, t9i);
        t6j = _mm_sub_ps(t6i, t0j);
        t7j = _mm_sub_ps(t7i, t2j);
        t8j = _mm_add_ps(t8i, t1j);
        t9j = _mm_add_ps(t7i, t2j);
        t0k = _mm_sub_ps(t8i, t1j);
        a7K = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t7j);
        a8K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t8j);
        s7r = _mm_sub_ps(a7K, a8K);
        a9K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t7j);
        a0L = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t8j);
        s8r = _mm_add_ps(a9K, a0L);
        a1L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5j);
        a2L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6j);
        s9r = _mm_sub_ps(a1L, a2L);
        a3L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5j);
        a4L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6j);
        s0s = _mm_add_ps(a3L, a4L);
        a5L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t9j);
        a6L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t0k);
        s1s = _mm_sub_ps(a5L, a6L);
        a7L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t9j);
        a8L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t0k);
        s2s = _mm_add_ps(a7L, a8L);
        t1k = _mm_add_ps(t7e, t9h);
        t2k = _mm_sub_ps(t7e, t9h);
        t3k = _mm_sub_ps(t8e, t0i);
        t4k = _mm_add_ps(t8e, t0i);
        t5k = _mm_add_ps(t3g, t3j);
        t6k = _mm_sub_ps(t4g, t4j);
        a9L = _mm_sub_ps(t3g, t3j);
        a6E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9L);
        a0M = _mm_add_ps(t4g, t4j);
        a7E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0M);
        s3s = _mm_sub_ps(a6E, a7E);
        s4s = _mm_add_ps(a6E, a7E);
        a1N = ((__m128  *) dst);
        a8E = (a1N + i2);
        s5s = _mm_add_ps(t1k, t5k);
        *(a8E) = s5s;
        s6s = _mm_sub_ps(t1k, t5k);
        a2N = (a8E + 128);
        *(a2N) = s6s;
        s7s = _mm_sub_ps(t2k, t6k);
        a3N = (a8E + 64);
        *(a3N) = s7s;
        s8s = _mm_add_ps(t2k, t6k);
        a4N = (a8E + 192);
        *(a4N) = s8s;
        s9s = _mm_add_ps(t3k, s3s);
        a5N = (a8E + 32);
        *(a5N) = s9s;
        s0t = _mm_sub_ps(t3k, s3s);
        a6N = (a8E + 160);
        *(a6N) = s0t;
        s1t = _mm_sub_ps(t4k, s4s);
        a7N = (a8E + 96);
        *(a7N) = s1t;
        s2t = _mm_add_ps(t4k, s4s);
        a8N = (a8E + 224);
        *(a8N) = s2t;
        t7k = _mm_add_ps(t1f, s3q);
        t8k = _mm_sub_ps(t1f, s3q);
        t9k = _mm_sub_ps(t2f, s4q);
        t0l = _mm_add_ps(t2f, s4q);
        t1l = _mm_add_ps(s9o, s7r);
        t2l = _mm_sub_ps(s0p, s8r);
        a1M = _mm_sub_ps(s9o, s7r);
        a9E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1M);
        a2M = _mm_add_ps(s0p, s8r);
        a0F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2M);
        s3t = _mm_sub_ps(a9E, a0F);
        s4t = _mm_add_ps(a9E, a0F);
        s5t = _mm_add_ps(t7k, t1l);
        a9N = (a8E + 8);
        *(a9N) = s5t;
        s6t = _mm_sub_ps(t7k, t1l);
        a0O = (a8E + 136);
        *(a0O) = s6t;
        s7t = _mm_sub_ps(t8k, t2l);
        a1O = (a8E + 72);
        *(a1O) = s7t;
        s8t = _mm_add_ps(t8k, t2l);
        a2O = (a8E + 200);
        *(a2O) = s8t;
        s9t = _mm_add_ps(t9k, s3t);
        a3O = (a8E + 40);
        *(a3O) = s9t;
        s0u = _mm_sub_ps(t9k, s3t);
        a4O = (a8E + 168);
        *(a4O) = s0u;
        s1u = _mm_sub_ps(t0l, s4t);
        a5O = (a8E + 104);
        *(a5O) = s1u;
        s2u = _mm_add_ps(t0l, s4t);
        a6O = (a8E + 232);
        *(a6O) = s2u;
        t3l = _mm_add_ps(t9e, s5q);
        t4l = _mm_sub_ps(t9e, s5q);
        t5l = _mm_sub_ps(t0f, s6q);
        t6l = _mm_add_ps(t0f, s6q);
        t7l = _mm_add_ps(s1p, s9r);
        t8l = _mm_sub_ps(s2p, s0s);
        a3M = _mm_sub_ps(s1p, s9r);
        a1F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3M);
        a4M = _mm_add_ps(s2p, s0s);
        a2F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4M);
        s3u = _mm_sub_ps(a1F, a2F);
        s4u = _mm_add_ps(a1F, a2F);
        s5u = _mm_add_ps(t3l, t7l);
        a7O = (a8E + 16);
        *(a7O) = s5u;
        s6u = _mm_sub_ps(t3l, t7l);
        a8O = (a8E + 144);
        *(a8O) = s6u;
        s7u = _mm_sub_ps(t4l, t8l);
        a9O = (a8E + 80);
        *(a9O) = s7u;
        s8u = _mm_add_ps(t4l, t8l);
        a0P = (a8E + 208);
        *(a0P) = s8u;
        s9u = _mm_add_ps(t5l, s3u);
        a1P = (a8E + 48);
        *(a1P) = s9u;
        s0v = _mm_sub_ps(t5l, s3u);
        a2P = (a8E + 176);
        *(a2P) = s0v;
        s1v = _mm_sub_ps(t6l, s4u);
        a3P = (a8E + 112);
        *(a3P) = s1v;
        s2v = _mm_add_ps(t6l, s4u);
        a4P = (a8E + 240);
        *(a4P) = s2v;
        t9l = _mm_add_ps(t3f, s7q);
        t0m = _mm_sub_ps(t3f, s7q);
        t1m = _mm_sub_ps(t4f, s8q);
        t2m = _mm_add_ps(t4f, s8q);
        t3m = _mm_add_ps(s3p, s1s);
        t4m = _mm_sub_ps(s4p, s2s);
        a5M = _mm_sub_ps(s3p, s1s);
        a3F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5M);
        a6M = _mm_add_ps(s4p, s2s);
        a4F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6M);
        s3v = _mm_sub_ps(a3F, a4F);
        s4v = _mm_add_ps(a3F, a4F);
        s5v = _mm_add_ps(t9l, t3m);
        a5P = (a8E + 24);
        *(a5P) = s5v;
        s6v = _mm_sub_ps(t9l, t3m);
        a6P = (a8E + 152);
        *(a6P) = s6v;
        s7v = _mm_sub_ps(t0m, t4m);
        a7P = (a8E + 88);
        *(a7P) = s7v;
        s8v = _mm_add_ps(t0m, t4m);
        a8P = (a8E + 216);
        *(a8P) = s8v;
        s9v = _mm_add_ps(t1m, s3v);
        a9P = (a8E + 56);
        *(a9P) = s9v;
        s0w = _mm_sub_ps(t1m, s3v);
        a0Q = (a8E + 184);
        *(a0Q) = s0w;
        s1w = _mm_sub_ps(t2m, s4v);
        a1Q = (a8E + 120);
        *(a1Q) = s1w;
        s2w = _mm_add_ps(t2m, s4v);
        a2Q = (a8E + 248);
        *(a2Q) = s2w;
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftinv_float_2048_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[2048]);
     SPIRAL_ALIGNED(float T2[256]);
    __m128 a02, a05, a06, a0e, a0r, a0u, a13, a15, a16, a1s, a2, a23, a25, a26, a2b, a2c, a2m, a2n, a2o, a2p, a2s, a3
            , a31, a34, a35, a36, a3d, a3q, a3t, a41, a44, a45, a46, a4d, a4q, a4t, a52, a55, a5e, a5r, a62, a65, a6e, a6r
            , a7, a73, a75, a7a, a7b, a7c, a7l, a7m, a7n, a7o, a7p, a7s, a8, a83, a85, a8c, a8p, a8s, a91, a94, a95, a9d
            , a9q, a9t;
    __m128 a011, a013, a014, a07, a08, a09, a0A, a0C, a0D, a0F, a0G, a0H, a0I, a0J, a0L, a0M, a0R, a0T, a0V, a0W, a0X, a0Y
            , a0Z, a0a, a0g, a0h, a0l, a0v, a0w, a0x, a0z, a110, a111, a112, a113, a115, a17, a18, a19, a1A, a1F, a1H, a1J, a1L
            , a1M, a1R, a1T, a1V, a1W, a1X, a1Y, a1a, a1f, a1g, a1h, a1k, a1l, a1v, a1w, a1x, a1y, a1z, a210, a212, a214, a215
            , a27, a28, a29, a2C, a2D, a2E, a2F, a2H, a2J, a2L, a2M, a2Q, a2T, a2W, a2Z, a2a, a2f, a2g, a2h, a2k, a2l, a2v
            , a2w, a2x, a2y, a311, a313, a314, a37, a38, a39, a3A, a3B, a3C, a3D, a3E, a3F, a3H, a3J, a3L, a3M, a3Q, a3T, a3W
            , a3Y, a3Z, a3a, a3f, a3g, a3h, a3k, a3l, a3v, a3w, a3x, a410, a411, a412, a413, a415, a47, a48, a49, a4A, a4B, a4E
            , a4F, a4H, a4J, a4L, a4M, a4Q, a4T, a4W, a4X, a4Y, a4a, a4f, a4g, a4h, a4k, a4l, a4v, a4w, a4x, a4y, a510, a512
            , a514, a515, a56, a57, a58, a59, a5D, a5E, a5H, a5J, a5L, a5M, a5Q, a5T, a5W, a5X, a5Z, a5a, a5f, a5g, a5h, a5j
            , a5k, a5l, a5u, a5v, a5w, a5x, a5y, a613, a614, a66, a67, a68, a69, a6A, a6B, a6D, a6E, a6H, a6J, a6L, a6M, a6Q
            , a6T, a6W, a6Y, a6Z, a6a, a6f, a6g, a6h, a6j, a6k, a6l, a6u, a6v, a6w, a6x, a710, a712, a713, a715, a76, a77, a78
            , a79, a7A, a7B, a7E, a7H, a7J, a7K, a7L, a7Q, a7T, a7W, a7X, a7Y, a7f, a7g, a7h, a7j, a7k, a7u, a7v, a7w, a7y
            , a7z, a810, a811, a812, a814, a815, a86, a87, a88, a89, a8D, a8H, a8J, a8K, a8L, a8Q, a8T, a8U, a8W, a8X, a8Z, a8f
            , a8g, a8h, a8j, a8k, a8u, a8v, a8w, a8y, a8z, a911, a913, a914, a96, a97, a98, a99, a9B, a9C, a9D, a9E, a9F, a9G
            , a9H, a9I, a9K, a9L, a9Q, a9T, a9U, a9W, a9Y, a9Z, a9f, a9g, a9k, a9u, a9v, a9w, b, b2, b3, b4, b5, b6
            , b7, b8, b9, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0a, s0b, s0c
            , s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y
            , s0z, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1a, s1b, s1c, s1d, s1e, s1f, s1g
            , s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22
            , s23, s24, s25, s26, s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j
            , s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33, s34, s35
            , s36, s37, s38, s39, s3A, s3B, s3C, s3D, s3E, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m
            , s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44, s45, s46, s47, s48
            , s49, s4A, s4B, s4C, s4D, s4E, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p
            , s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5A, s5B
            , s5C, s5D, s5E, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s
            , s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6A, s6B, s6C, s6D, s6E
            , s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v
            , s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7A, s7B, s7C, s7D, s7E, s7a, s7b, s7c
            , s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y
            , s7z, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8A, s8B, s8C, s8D, s8E, s8a, s8b, s8c, s8d, s8e, s8f
            , s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x, s8y, s8z, s9, s91
            , s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9C, s9D, s9E, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i
            , s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y, s9z, t, t01, t02, t03, t04
            , t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q
            , t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e
            , t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v, t1w, t1x, t2, t21, t22
            , t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o
            , t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c
            , t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t4
            , t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m
            , t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a
            , t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w
            , t5x, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k
            , t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t7, t71, t72, t73, t74, t75, t76, t77, t78
            , t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u
            , t7v, t7w, t7x, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i
            , t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t9, t91, t92, t93, t94, t95, t96
            , t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s
            , t9t, t9u, t9v, t9w, t9x;
    const __m64  *a0b, *a0c, *a0m, *a0n, *a0o, *a0p, *a11, *a12, *a14, *a1d, *a1e, *a1q, *a1r, *a1t, *a1u, *a32, *a33, *a3b, *a3c, *a3e, *a3m, *a3n
            , *a3o, *a3p, *a3r, *a3s, *a3u, *a4, *a5, *a51, *a53, *a54, *a5b, *a5c, *a5d, *a5m, *a5n, *a5o, *a5p, *a5q, *a5s, *a5t, *a71, *a72
            , *a74, *a7d, *a7e, *a7q, *a7r, *a7t, *a8a, *a8b, *a8l, *a8m, *a8n, *a8o, *a9, *a92, *a93, *a9c, *a9e, *a9p, *a9r, *a9s;
    __m128  *a, *a010, *a012, *a015, *a016, *a0B, *a0E, *a0K, *a0N, *a0O, *a0P, *a0Q, *a0S, *a0U, *a0i, *a0j, *a0k, *a0y, *a114, *a1B, *a1C, *a1D
            , *a1E, *a1G, *a1I, *a1K, *a1N, *a1O, *a1P, *a1Q, *a1S, *a1U, *a1Z, *a1i, *a1j, *a211, *a213, *a216, *a2A, *a2B, *a2G, *a2I, *a2K, *a2N
            , *a2O, *a2P, *a2R, *a2S, *a2U, *a2V, *a2X, *a2Y, *a2i, *a2j, *a2z, *a310, *a312, *a315, *a316, *a3G, *a3I, *a3K, *a3N, *a3O, *a3P, *a3R
            , *a3S, *a3U, *a3V, *a3X, *a3i, *a3j, *a3y, *a3z, *a414, *a4C, *a4D, *a4G, *a4I, *a4K, *a4N, *a4O, *a4P, *a4R, *a4S, *a4U, *a4V, *a4Z
            , *a4i, *a4z, *a511, *a513, *a5A, *a5B, *a5C, *a5F, *a5G, *a5I, *a5K, *a5N, *a5O, *a5P, *a5R, *a5S, *a5U, *a5V, *a5Y, *a5i, *a5z, *a610
            , *a611, *a612, *a615, *a6C, *a6F, *a6G, *a6I, *a6K, *a6N, *a6O, *a6P, *a6R, *a6S, *a6U, *a6V, *a6X, *a6i, *a6y, *a6z, *a711, *a714, *a716
            , *a7C, *a7D, *a7F, *a7G, *a7I, *a7M, *a7N, *a7O, *a7P, *a7R, *a7S, *a7U, *a7V, *a7Z, *a7i, *a7x, *a813, *a816, *a8A, *a8B, *a8C, *a8E
            , *a8F, *a8G, *a8I, *a8M, *a8N, *a8O, *a8P, *a8R, *a8S, *a8V, *a8Y, *a8i, *a8x, *a910, *a912, *a915, *a9A, *a9J, *a9M, *a9N, *a9O, *a9P
            , *a9R, *a9S, *a9V, *a9X, *a9h, *a9i, *a9x, *a9y, *a9z, *b21, *b31;
    float  *a017, *a116, *a616, *a916, *b41;
    const float  *a01, *a03, *a04, *a0d, *a0f, *a0q, *a0s, *a0t, *a1b, *a1c, *a1m, *a1n, *a1o, *a1p, *a21, *a22, *a24, *a2d, *a2e, *a2q, *a2r, *a2t
            , *a2u, *a42, *a43, *a4b, *a4c, *a4e, *a4m, *a4n, *a4o, *a4p, *a4r, *a4s, *a4u, *a6, *a61, *a63, *a64, *a6b, *a6c, *a6d, *a6m, *a6n
            , *a6o, *a6p, *a6q, *a6s, *a6t, *a81, *a82, *a84, *a8d, *a8e, *a8q, *a8r, *a8t, *a9a, *a9b, *a9l, *a9m, *a9n, *a9o, *b01, *b11;
    int a416, a4j, a516, a9j;
    a4 = ((const __m64  *) src);
    a3 = _mm_loadl_pi(_mm_set1_ps(0.0f), a4);
    a6 = (src + 128);
    a5 = ((const __m64  *) a6);
    a2 = _mm_loadh_pi(a3, a5);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a2);
    a01 = (src + 256);
    a9 = ((const __m64  *) a01);
    a8 = _mm_loadl_pi(_mm_set1_ps(0.0f), a9);
    a21 = (src + 384);
    a11 = ((const __m64  *) a21);
    a7 = _mm_loadh_pi(a8, a11);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a7);
    a61 = (src + 512);
    a51 = ((const __m64  *) a61);
    a41 = _mm_loadl_pi(_mm_set1_ps(0.0f), a51);
    a81 = (src + 640);
    a71 = ((const __m64  *) a81);
    a31 = _mm_loadh_pi(a41, a71);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a31);
    a22 = (src + 768);
    a12 = ((const __m64  *) a22);
    a02 = _mm_loadl_pi(_mm_set1_ps(0.0f), a12);
    a42 = (src + 896);
    a32 = ((const __m64  *) a42);
    a91 = _mm_loadh_pi(a02, a32);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a91);
    a82 = (src + 1024);
    a72 = ((const __m64  *) a82);
    a62 = _mm_loadl_pi(_mm_set1_ps(0.0f), a72);
    a03 = (src + 1152);
    a92 = ((const __m64  *) a03);
    a52 = _mm_loadh_pi(a62, a92);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a52);
    a43 = (src + 1280);
    a33 = ((const __m64  *) a43);
    a23 = _mm_loadl_pi(_mm_set1_ps(0.0f), a33);
    a63 = (src + 1408);
    a53 = ((const __m64  *) a63);
    a13 = _mm_loadh_pi(a23, a53);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a13);
    a04 = (src + 1536);
    a93 = ((const __m64  *) a04);
    a83 = _mm_loadl_pi(_mm_set1_ps(0.0f), a93);
    a24 = (src + 1664);
    a14 = ((const __m64  *) a24);
    a73 = _mm_loadh_pi(a83, a14);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a73);
    a64 = (src + 1792);
    a54 = ((const __m64  *) a64);
    a44 = _mm_loadl_pi(_mm_set1_ps(0.0f), a54);
    a84 = (src + 1920);
    a74 = ((const __m64  *) a84);
    a34 = _mm_loadh_pi(a44, a74);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a34);
    a94 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a94);
    a05 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a05);
    a15 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a25 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a35 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a45 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a55 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a55);
    a65 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a65);
    a75 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a75, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a85, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a95, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a06 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a06, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a16 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a16, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a26, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a36, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a46 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a46, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a76 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a56 = _mm_add_ps(a66, a76);
    s52 = _mm_sub_ps(a56, s02);
    a86 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a96 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a86, a96);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a17 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a27 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a07 = _mm_sub_ps(a17, a27);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a07);
    a47 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a37 = _mm_sub_ps(a47, s42);
    a57 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a67 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a37, a57);
    s43 = _mm_add_ps(b3, a67);
    a87 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a97 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a77 = _mm_sub_ps(a87, a97);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a77);
    a08 = _mm_sub_ps(s21, s12);
    a18 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a28 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a08, a18);
    s63 = _mm_add_ps(b5, a28);
    a48 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a58 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a38 = _mm_sub_ps(a48, a58);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a38);
    a68 = _mm_sub_ps(s41, s22);
    a78 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a88 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a68, a78);
    s83 = _mm_add_ps(b7, a88);
    a09 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a19 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a98 = _mm_sub_ps(a09, a19);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a98);
    a29 = _mm_sub_ps(s61, s32);
    a39 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a49 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a29, a39);
    s04 = _mm_add_ps(b9, a49);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a59 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a69 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a59, a69);
    a79 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a89 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a79, a89);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a99 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a0a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a99, a0a);
    a1a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a2a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a1a, a2a);
    a3a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a4a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a6a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a5a, a6a);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a9a = (src + 64);
    a8a = ((const __m64  *) a9a);
    a7a = _mm_loadl_pi(_mm_set1_ps(0.0f), a8a);
    a1b = (src + 320);
    a0b = ((const __m64  *) a1b);
    s17 = _mm_loadh_pi(a7a, a0b);
    a4b = (src + 576);
    a3b = ((const __m64  *) a4b);
    a2b = _mm_loadl_pi(_mm_set1_ps(0.0f), a3b);
    a6b = (src + 832);
    a5b = ((const __m64  *) a6b);
    s27 = _mm_loadh_pi(a2b, a5b);
    a9b = (src + 1088);
    a8b = ((const __m64  *) a9b);
    a7b = _mm_loadl_pi(_mm_set1_ps(0.0f), a8b);
    a1c = (src + 1344);
    a0c = ((const __m64  *) a1c);
    s37 = _mm_loadh_pi(a7b, a0c);
    a4c = (src + 1600);
    a3c = ((const __m64  *) a4c);
    a2c = _mm_loadl_pi(_mm_set1_ps(0.0f), a3c);
    a6c = (src + 1856);
    a5c = ((const __m64  *) a6c);
    s47 = _mm_loadh_pi(a2c, a5c);
    a0d = (src + 1984);
    a9c = ((const __m64  *) a0d);
    a8c = _mm_loadl_pi(_mm_set1_ps(0.0f), a9c);
    a2d = (src + 1728);
    a1d = ((const __m64  *) a2d);
    a7c = _mm_loadh_pi(a8c, a1d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7c);
    a6d = (src + 1472);
    a5d = ((const __m64  *) a6d);
    a4d = _mm_loadl_pi(_mm_set1_ps(0.0f), a5d);
    a8d = (src + 1216);
    a7d = ((const __m64  *) a8d);
    a3d = _mm_loadh_pi(a4d, a7d);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3d);
    a2e = (src + 960);
    a1e = ((const __m64  *) a2e);
    a0e = _mm_loadl_pi(_mm_set1_ps(0.0f), a1e);
    a4e = (src + 704);
    a3e = ((const __m64  *) a4e);
    a9d = _mm_loadh_pi(a0e, a3e);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9d);
    a8e = (src + 448);
    a7e = ((const __m64  *) a8e);
    a6e = _mm_loadl_pi(_mm_set1_ps(0.0f), a7e);
    a0f = (src + 192);
    a9e = ((const __m64  *) a0f);
    a5e = _mm_loadh_pi(a6e, a9e);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a1f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a2f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a4f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a3f, a4f);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a5f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a6f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a5f, a6f);
    a7f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a8f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a7f, a8f);
    a9f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a0g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a2g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a1g, a2g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a3g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t75);
    a4g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t85);
    s9a = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t75);
    a6g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t85);
    s0b = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t95);
    a8g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t06);
    s1b = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t95);
    a0h = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t06);
    s2b = _mm_add_ps(a9g, a0h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a1h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t16);
    a2h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t26);
    s3b = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t16);
    a4h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t26);
    s4b = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t36);
    a6h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t46);
    s5b = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t36);
    a8h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t46);
    s6b = _mm_add_ps(a7h, a8h);
    a = ((__m128  *) T);
    s7b = _mm_add_ps(s36, s9a);
    *(a) = s7b;
    s8b = _mm_sub_ps(s36, s9a);
    a9h = (a + 8);
    *(a9h) = s8b;
    s9b = _mm_sub_ps(s56, s0b);
    a0i = (a + 4);
    *(a0i) = s9b;
    s0c = _mm_add_ps(s56, s0b);
    a1i = (a + 12);
    *(a1i) = s0c;
    s1c = _mm_add_ps(s46, s3b);
    a2i = (a + 1);
    *(a2i) = s1c;
    s2c = _mm_sub_ps(s46, s3b);
    a3i = (a + 9);
    *(a3i) = s2c;
    s3c = _mm_sub_ps(s66, s4b);
    a4i = (a + 5);
    *(a4i) = s3c;
    s4c = _mm_add_ps(s66, s4b);
    a5i = (a + 13);
    *(a5i) = s4c;
    s5c = _mm_add_ps(s76, s1b);
    a6i = (a + 2);
    *(a6i) = s5c;
    s6c = _mm_sub_ps(s76, s1b);
    a7i = (a + 10);
    *(a7i) = s6c;
    s7c = _mm_sub_ps(s96, s2b);
    a8i = (a + 6);
    *(a8i) = s7c;
    s8c = _mm_add_ps(s96, s2b);
    a9i = (a + 14);
    *(a9i) = s8c;
    s9c = _mm_add_ps(s86, s5b);
    a0j = (a + 3);
    *(a0j) = s9c;
    s0d = _mm_sub_ps(s86, s5b);
    a1j = (a + 11);
    *(a1j) = s0d;
    s1d = _mm_sub_ps(s07, s6b);
    a2j = (a + 7);
    *(a2j) = s1d;
    s2d = _mm_add_ps(s07, s6b);
    a3j = (a + 15);
    *(a3j) = s2d;
    {long i; for(i = 0; i <= 30; i++) {
        a4j = (2 * i);
        b01 = (src + a4j);
        a9l = (b01 + 2);
        a8l = ((const __m64  *) a9l);
        a7l = _mm_loadl_pi(_mm_set1_ps(0.0f), a8l);
        a1m = (b01 + 130);
        a0m = ((const __m64  *) a1m);
        s3d = _mm_loadh_pi(a7l, a0m);
        a4m = (b01 + 258);
        a3m = ((const __m64  *) a4m);
        a2m = _mm_loadl_pi(_mm_set1_ps(0.0f), a3m);
        a6m = (b01 + 386);
        a5m = ((const __m64  *) a6m);
        s4d = _mm_loadh_pi(a2m, a5m);
        a9m = (b01 + 514);
        a8m = ((const __m64  *) a9m);
        a7m = _mm_loadl_pi(_mm_set1_ps(0.0f), a8m);
        a1n = (b01 + 642);
        a0n = ((const __m64  *) a1n);
        s5d = _mm_loadh_pi(a7m, a0n);
        a4n = (b01 + 770);
        a3n = ((const __m64  *) a4n);
        a2n = _mm_loadl_pi(_mm_set1_ps(0.0f), a3n);
        a6n = (b01 + 898);
        a5n = ((const __m64  *) a6n);
        s6d = _mm_loadh_pi(a2n, a5n);
        a9n = (b01 + 1026);
        a8n = ((const __m64  *) a9n);
        a7n = _mm_loadl_pi(_mm_set1_ps(0.0f), a8n);
        a1o = (b01 + 1154);
        a0o = ((const __m64  *) a1o);
        s7d = _mm_loadh_pi(a7n, a0o);
        a4o = (b01 + 1282);
        a3o = ((const __m64  *) a4o);
        a2o = _mm_loadl_pi(_mm_set1_ps(0.0f), a3o);
        a6o = (b01 + 1410);
        a5o = ((const __m64  *) a6o);
        s8d = _mm_loadh_pi(a2o, a5o);
        a9o = (b01 + 1538);
        a8o = ((const __m64  *) a9o);
        a7o = _mm_loadl_pi(_mm_set1_ps(0.0f), a8o);
        a1p = (b01 + 1666);
        a0p = ((const __m64  *) a1p);
        s9d = _mm_loadh_pi(a7o, a0p);
        a4p = (b01 + 1794);
        a3p = ((const __m64  *) a4p);
        a2p = _mm_loadl_pi(_mm_set1_ps(0.0f), a3p);
        a6p = (b01 + 1922);
        a5p = ((const __m64  *) a6p);
        s0e = _mm_loadh_pi(a2p, a5p);
        b11 = (src - a4j);
        a0q = (b11 + 2046);
        a9p = ((const __m64  *) a0q);
        a8p = _mm_loadl_pi(_mm_set1_ps(0.0f), a9p);
        a2q = (b11 + 1918);
        a1q = ((const __m64  *) a2q);
        a7p = _mm_loadh_pi(a8p, a1q);
        s1e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7p);
        a6q = (b11 + 1790);
        a5q = ((const __m64  *) a6q);
        a4q = _mm_loadl_pi(_mm_set1_ps(0.0f), a5q);
        a8q = (b11 + 1662);
        a7q = ((const __m64  *) a8q);
        a3q = _mm_loadh_pi(a4q, a7q);
        s2e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3q);
        a2r = (b11 + 1534);
        a1r = ((const __m64  *) a2r);
        a0r = _mm_loadl_pi(_mm_set1_ps(0.0f), a1r);
        a4r = (b11 + 1406);
        a3r = ((const __m64  *) a4r);
        a9q = _mm_loadh_pi(a0r, a3r);
        s3e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9q);
        a8r = (b11 + 1278);
        a7r = ((const __m64  *) a8r);
        a6r = _mm_loadl_pi(_mm_set1_ps(0.0f), a7r);
        a0s = (b11 + 1150);
        a9r = ((const __m64  *) a0s);
        a5r = _mm_loadh_pi(a6r, a9r);
        s4e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5r);
        a4s = (b11 + 1022);
        a3s = ((const __m64  *) a4s);
        a2s = _mm_loadl_pi(_mm_set1_ps(0.0f), a3s);
        a6s = (b11 + 894);
        a5s = ((const __m64  *) a6s);
        a1s = _mm_loadh_pi(a2s, a5s);
        s5e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1s);
        a0t = (b11 + 766);
        a9s = ((const __m64  *) a0t);
        a8s = _mm_loadl_pi(_mm_set1_ps(0.0f), a9s);
        a2t = (b11 + 638);
        a1t = ((const __m64  *) a2t);
        a7s = _mm_loadh_pi(a8s, a1t);
        s6e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7s);
        a6t = (b11 + 510);
        a5t = ((const __m64  *) a6t);
        a4t = _mm_loadl_pi(_mm_set1_ps(0.0f), a5t);
        a8t = (b11 + 382);
        a7t = ((const __m64  *) a8t);
        a3t = _mm_loadh_pi(a4t, a7t);
        s7e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3t);
        a2u = (b11 + 254);
        a1u = ((const __m64  *) a2u);
        a0u = _mm_loadl_pi(_mm_set1_ps(0.0f), a1u);
        a4u = (b11 + 126);
        a3u = ((const __m64  *) a4u);
        a9t = _mm_loadh_pi(a0u, a3u);
        s8e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9t);
        s9e = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(2, 0, 2, 0));
        s0f = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(3, 1, 3, 1));
        s1f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(2, 0, 2, 0));
        s2f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(3, 1, 3, 1));
        t56 = _mm_add_ps(s9e, s1f);
        t66 = _mm_add_ps(s0f, s2f);
        t76 = _mm_sub_ps(s9e, s1f);
        t86 = _mm_sub_ps(s0f, s2f);
        s3f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(2, 0, 2, 0));
        s4f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(3, 1, 3, 1));
        s5f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(2, 0, 2, 0));
        s6f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(3, 1, 3, 1));
        t96 = _mm_add_ps(s3f, s5f);
        t07 = _mm_add_ps(s4f, s6f);
        t17 = _mm_sub_ps(s3f, s5f);
        t27 = _mm_sub_ps(s4f, s6f);
        t37 = _mm_add_ps(t56, t96);
        t47 = _mm_add_ps(t66, t07);
        t57 = _mm_sub_ps(t56, t96);
        t67 = _mm_sub_ps(t66, t07);
        t77 = _mm_sub_ps(t76, t27);
        t87 = _mm_add_ps(t86, t17);
        t97 = _mm_add_ps(t76, t27);
        t08 = _mm_sub_ps(t86, t17);
        s7f = _mm_unpacklo_ps(t37, t77);
        s8f = _mm_unpackhi_ps(t37, t77);
        s9f = _mm_unpacklo_ps(t47, t87);
        s0g = _mm_unpackhi_ps(t47, t87);
        s1g = _mm_unpacklo_ps(t57, t97);
        s2g = _mm_unpackhi_ps(t57, t97);
        s3g = _mm_unpacklo_ps(t67, t08);
        s4g = _mm_unpackhi_ps(t67, t08);
        s5g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(1, 0, 1, 0));
        s6g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(3, 2, 3, 2));
        s7g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(1, 0, 1, 0));
        s8g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(3, 2, 3, 2));
        s9g = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(1, 0, 1, 0));
        s0h = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(3, 2, 3, 2));
        s1h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(1, 0, 1, 0));
        s2h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(3, 2, 3, 2));
        s3h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(2, 0, 2, 0));
        s4h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(3, 1, 3, 1));
        s5h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(2, 0, 2, 0));
        s6h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(3, 1, 3, 1));
        t18 = _mm_add_ps(s3h, s5h);
        t28 = _mm_add_ps(s4h, s6h);
        t38 = _mm_sub_ps(s3h, s5h);
        t48 = _mm_sub_ps(s4h, s6h);
        s7h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(2, 0, 2, 0));
        s8h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(3, 1, 3, 1));
        s9h = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(2, 0, 2, 0));
        s0i = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(3, 1, 3, 1));
        t58 = _mm_add_ps(s7h, s9h);
        t68 = _mm_add_ps(s8h, s0i);
        t78 = _mm_sub_ps(s7h, s9h);
        t88 = _mm_sub_ps(s8h, s0i);
        t98 = _mm_add_ps(t18, t58);
        t09 = _mm_add_ps(t28, t68);
        t19 = _mm_sub_ps(t18, t58);
        t29 = _mm_sub_ps(t28, t68);
        t39 = _mm_sub_ps(t38, t88);
        t49 = _mm_add_ps(t48, t78);
        t59 = _mm_add_ps(t38, t88);
        t69 = _mm_sub_ps(t48, t78);
        s1i = _mm_unpacklo_ps(t98, t39);
        s2i = _mm_unpackhi_ps(t98, t39);
        s3i = _mm_unpacklo_ps(t09, t49);
        s4i = _mm_unpackhi_ps(t09, t49);
        s5i = _mm_unpacklo_ps(t19, t59);
        s6i = _mm_unpackhi_ps(t19, t59);
        s7i = _mm_unpacklo_ps(t29, t69);
        s8i = _mm_unpackhi_ps(t29, t69);
        s9i = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(1, 0, 1, 0));
        s0j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(3, 2, 3, 2));
        s1j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(1, 0, 1, 0));
        s2j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(3, 2, 3, 2));
        s3j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(1, 0, 1, 0));
        s4j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(3, 2, 3, 2));
        s5j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(1, 0, 1, 0));
        s6j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(3, 2, 3, 2));
        a5u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9i);
        a6u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3j);
        s7j = _mm_sub_ps(a5u, a6u);
        a7u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s9i);
        a8u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3j);
        s8j = _mm_add_ps(a7u, a8u);
        t79 = _mm_add_ps(s5g, s7j);
        t89 = _mm_add_ps(s9g, s8j);
        t99 = _mm_sub_ps(s5g, s7j);
        t0a = _mm_sub_ps(s9g, s8j);
        a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7g);
        a0v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s1h);
        s9j = _mm_sub_ps(a9u, a0v);
        a1v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s7g);
        a2v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1h);
        s0k = _mm_add_ps(a1v, a2v);
        a3v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1j);
        a4v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s5j);
        s1k = _mm_sub_ps(a3v, a4v);
        a5v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s1j);
        a6v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5j);
        s2k = _mm_add_ps(a5v, a6v);
        t1a = _mm_add_ps(s9j, s1k);
        t2a = _mm_add_ps(s0k, s2k);
        t3a = _mm_sub_ps(s9j, s1k);
        t4a = _mm_sub_ps(s0k, s2k);
        t5a = _mm_add_ps(t79, t1a);
        t6a = _mm_add_ps(t89, t2a);
        t7a = _mm_sub_ps(t79, t1a);
        t8a = _mm_sub_ps(t89, t2a);
        t9a = _mm_sub_ps(t99, t4a);
        t0b = _mm_add_ps(t0a, t3a);
        t1b = _mm_add_ps(t99, t4a);
        t2b = _mm_sub_ps(t0a, t3a);
        a7v = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6g);
        a8v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s0h);
        s3k = _mm_sub_ps(a7v, a8v);
        a9v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s6g);
        a0w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0h);
        s4k = _mm_add_ps(a9v, a0w);
        a1w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0j);
        a2w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s4j);
        s5k = _mm_sub_ps(a1w, a2w);
        a3w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s0j);
        a4w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4j);
        s6k = _mm_add_ps(a3w, a4w);
        t3b = _mm_add_ps(s3k, s5k);
        t4b = _mm_add_ps(s4k, s6k);
        t5b = _mm_sub_ps(s3k, s5k);
        t6b = _mm_sub_ps(s4k, s6k);
        a5w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8g);
        a6w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s2h);
        s7k = _mm_sub_ps(a5w, a6w);
        a7w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s8g);
        a8w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2h);
        s8k = _mm_add_ps(a7w, a8w);
        a9w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2j);
        a0x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s6j);
        s9k = _mm_sub_ps(a9w, a0x);
        a1x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s2j);
        a2x = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6j);
        s0l = _mm_add_ps(a1x, a2x);
        t7b = _mm_add_ps(s7k, s9k);
        t8b = _mm_add_ps(s8k, s0l);
        t9b = _mm_sub_ps(s7k, s9k);
        t0c = _mm_sub_ps(s8k, s0l);
        t1c = _mm_add_ps(t3b, t7b);
        t2c = _mm_add_ps(t4b, t8b);
        t3c = _mm_sub_ps(t3b, t7b);
        t4c = _mm_sub_ps(t4b, t8b);
        a3x = _mm_sub_ps(t5b, t0c);
        a5j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3x);
        a4x = _mm_add_ps(t6b, t9b);
        a6j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4x);
        s1l = _mm_sub_ps(a5j, a6j);
        s2l = _mm_add_ps(a5j, a6j);
        a5x = _mm_add_ps(t5b, t0c);
        a7j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5x);
        a6x = _mm_sub_ps(t6b, t9b);
        a8j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6x);
        s3l = _mm_sub_ps(a7j, a8j);
        s4l = _mm_add_ps(a7j, a8j);
        t5c = _mm_add_ps(t5a, t1c);
        t6c = _mm_add_ps(t6a, t2c);
        t7c = _mm_sub_ps(t5a, t1c);
        t8c = _mm_sub_ps(t6a, t2c);
        a9j = (16 * i);
        a0k = (D26 + a9j);
        a1k = *(a0k);
        a7x = (a0k + 1);
        a2k = *(a7x);
        a8x = (a0k + 2);
        a3k = *(a8x);
        a9x = (a0k + 3);
        a4k = *(a9x);
        a0y = ((__m128  *) T);
        b21 = (a0y + a9j);
        a1y = _mm_mul_ps(a1k, t5c);
        a2y = _mm_mul_ps(a2k, t6c);
        s5l = _mm_sub_ps(a1y, a2y);
        a3y = (b21 + 16);
        *(a3y) = s5l;
        a4y = _mm_mul_ps(a2k, t5c);
        a5y = _mm_mul_ps(a1k, t6c);
        s6l = _mm_add_ps(a4y, a5y);
        a6y = (b21 + 24);
        *(a6y) = s6l;
        a7y = _mm_mul_ps(a3k, t7c);
        a8y = _mm_mul_ps(a4k, t8c);
        s7l = _mm_sub_ps(a7y, a8y);
        a9y = (b21 + 20);
        *(a9y) = s7l;
        a0z = _mm_mul_ps(a4k, t7c);
        a1z = _mm_mul_ps(a3k, t8c);
        s8l = _mm_add_ps(a0z, a1z);
        a2z = (b21 + 28);
        *(a2z) = s8l;
        t9c = _mm_add_ps(t9a, s1l);
        t0d = _mm_add_ps(t0b, s2l);
        t1d = _mm_sub_ps(t9a, s1l);
        t2d = _mm_sub_ps(t0b, s2l);
        a3z = (a0k + 4);
        a5k = *(a3z);
        a4z = (a0k + 5);
        a6k = *(a4z);
        a5z = (a0k + 6);
        a7k = *(a5z);
        a6z = (a0k + 7);
        a8k = *(a6z);
        a7z = _mm_mul_ps(a5k, t9c);
        a8z = _mm_mul_ps(a6k, t0d);
        s9l = _mm_sub_ps(a7z, a8z);
        a9z = (b21 + 17);
        *(a9z) = s9l;
        a0A = _mm_mul_ps(a6k, t9c);
        a1A = _mm_mul_ps(a5k, t0d);
        s0m = _mm_add_ps(a0A, a1A);
        a2A = (b21 + 25);
        *(a2A) = s0m;
        a3A = _mm_mul_ps(a7k, t1d);
        a4A = _mm_mul_ps(a8k, t2d);
        s1m = _mm_sub_ps(a3A, a4A);
        a5A = (b21 + 21);
        *(a5A) = s1m;
        a6A = _mm_mul_ps(a8k, t1d);
        a7A = _mm_mul_ps(a7k, t2d);
        s2m = _mm_add_ps(a6A, a7A);
        a8A = (b21 + 29);
        *(a8A) = s2m;
        t3d = _mm_sub_ps(t7a, t4c);
        t4d = _mm_add_ps(t8a, t3c);
        t5d = _mm_add_ps(t7a, t4c);
        t6d = _mm_sub_ps(t8a, t3c);
        a9A = (a0k + 8);
        a9k = *(a9A);
        a0B = (a0k + 9);
        a0l = *(a0B);
        a1B = (a0k + 10);
        a1l = *(a1B);
        a2B = (a0k + 11);
        a2l = *(a2B);
        a3B = _mm_mul_ps(a9k, t3d);
        a4B = _mm_mul_ps(a0l, t4d);
        s3m = _mm_sub_ps(a3B, a4B);
        a5B = (b21 + 18);
        *(a5B) = s3m;
        a6B = _mm_mul_ps(a0l, t3d);
        a7B = _mm_mul_ps(a9k, t4d);
        s4m = _mm_add_ps(a6B, a7B);
        a8B = (b21 + 26);
        *(a8B) = s4m;
        a9B = _mm_mul_ps(a1l, t5d);
        a0C = _mm_mul_ps(a2l, t6d);
        s5m = _mm_sub_ps(a9B, a0C);
        a1C = (b21 + 22);
        *(a1C) = s5m;
        a2C = _mm_mul_ps(a2l, t5d);
        a3C = _mm_mul_ps(a1l, t6d);
        s6m = _mm_add_ps(a2C, a3C);
        a4C = (b21 + 30);
        *(a4C) = s6m;
        t7d = _mm_add_ps(t1b, s3l);
        t8d = _mm_sub_ps(t2b, s4l);
        t9d = _mm_sub_ps(t1b, s3l);
        t0e = _mm_add_ps(t2b, s4l);
        a5C = (a0k + 12);
        a3l = *(a5C);
        a6C = (a0k + 13);
        a4l = *(a6C);
        a7C = (a0k + 14);
        a5l = *(a7C);
        a8C = (a0k + 15);
        a6l = *(a8C);
        a9C = _mm_mul_ps(a3l, t7d);
        a0D = _mm_mul_ps(a4l, t8d);
        s7m = _mm_sub_ps(a9C, a0D);
        a1D = (b21 + 19);
        *(a1D) = s7m;
        a2D = _mm_mul_ps(a4l, t7d);
        a3D = _mm_mul_ps(a3l, t8d);
        s8m = _mm_add_ps(a2D, a3D);
        a4D = (b21 + 27);
        *(a4D) = s8m;
        a5D = _mm_mul_ps(a5l, t9d);
        a6D = _mm_mul_ps(a6l, t0e);
        s9m = _mm_sub_ps(a5D, a6D);
        a7D = (b21 + 23);
        *(a7D) = s9m;
        a8D = _mm_mul_ps(a6l, t9d);
        a9D = _mm_mul_ps(a5l, t0e);
        s0n = _mm_add_ps(a8D, a9D);
        a0E = (b21 + 31);
        *(a0E) = s0n;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a7M = ((__m128  *) T);
        a1E = (a7M + i2);
        s1n = *(a1E);
        a8M = (a1E + 256);
        s2n = *(a8M);
        t1e = _mm_add_ps(s1n, s2n);
        t2e = _mm_sub_ps(s1n, s2n);
        a9M = (a1E + 8);
        s3n = *(a9M);
        a0N = (a1E + 264);
        s4n = *(a0N);
        t3e = _mm_sub_ps(s3n, s4n);
        t4e = _mm_add_ps(s3n, s4n);
        a5F = (a1E + 128);
        s5n = *(a5F);
        a6F = (a1E + 136);
        s6n = *(a6F);
        a7F = (a1E + 384);
        s7n = *(a7F);
        a8F = (a1E + 392);
        s8n = *(a8F);
        t5e = _mm_add_ps(s5n, s7n);
        t6e = _mm_sub_ps(s6n, s8n);
        a9F = _mm_sub_ps(s5n, s7n);
        a2E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9F);
        a0G = _mm_add_ps(s6n, s8n);
        a3E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0G);
        s9n = _mm_sub_ps(a2E, a3E);
        s0o = _mm_add_ps(a2E, a3E);
        t7e = _mm_add_ps(t1e, t5e);
        t8e = _mm_sub_ps(t1e, t5e);
        t9e = _mm_sub_ps(t2e, t6e);
        t0f = _mm_add_ps(t2e, t6e);
        t1f = _mm_add_ps(t3e, s9n);
        t2f = _mm_sub_ps(t3e, s9n);
        t3f = _mm_sub_ps(t4e, s0o);
        t4f = _mm_add_ps(t4e, s0o);
        a1G = (a1E + 32);
        s1o = *(a1G);
        a2G = (a1E + 40);
        s2o = *(a2G);
        a3G = (a1E + 480);
        s3o = *(a3G);
        a4G = (a1E + 488);
        s4o = *(a4G);
        t5f = _mm_add_ps(s1o, s3o);
        t6f = _mm_sub_ps(s2o, s4o);
        t7f = _mm_sub_ps(s1o, s3o);
        t8f = _mm_add_ps(s2o, s4o);
        a5G = (a1E + 288);
        s5o = *(a5G);
        a6G = (a1E + 296);
        s6o = *(a6G);
        a7G = (a1E + 224);
        s7o = *(a7G);
        a8G = (a1E + 232);
        s8o = *(a8G);
        t9f = _mm_add_ps(s5o, s7o);
        t0g = _mm_sub_ps(s6o, s8o);
        t1g = _mm_sub_ps(s5o, s7o);
        t2g = _mm_add_ps(s6o, s8o);
        t3g = _mm_add_ps(t5f, t9f);
        t4g = _mm_add_ps(t6f, t0g);
        t5g = _mm_sub_ps(t5f, t9f);
        t6g = _mm_sub_ps(t6f, t0g);
        t7g = _mm_sub_ps(t7f, t2g);
        t8g = _mm_add_ps(t8f, t1g);
        t9g = _mm_add_ps(t7f, t2g);
        t0h = _mm_sub_ps(t8f, t1g);
        a9G = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t7g);
        a0H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t8g);
        s9o = _mm_sub_ps(a9G, a0H);
        a1H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t7g);
        a2H = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t8g);
        s0p = _mm_add_ps(a1H, a2H);
        a3H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5g);
        a4H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6g);
        s1p = _mm_sub_ps(a3H, a4H);
        a5H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5g);
        a6H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6g);
        s2p = _mm_add_ps(a5H, a6H);
        a7H = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t9g);
        a8H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t0h);
        s3p = _mm_sub_ps(a7H, a8H);
        a9H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t9g);
        a0I = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t0h);
        s4p = _mm_add_ps(a9H, a0I);
        a1I = (a1E + 64);
        s5p = *(a1I);
        a2I = (a1E + 72);
        s6p = *(a2I);
        a3I = (a1E + 448);
        s7p = *(a3I);
        a4I = (a1E + 456);
        s8p = *(a4I);
        t1h = _mm_add_ps(s5p, s7p);
        t2h = _mm_sub_ps(s6p, s8p);
        t3h = _mm_sub_ps(s5p, s7p);
        t4h = _mm_add_ps(s6p, s8p);
        a5I = (a1E + 320);
        s9p = *(a5I);
        a6I = (a1E + 328);
        s0q = *(a6I);
        a7I = (a1E + 192);
        s1q = *(a7I);
        a8I = (a1E + 200);
        s2q = *(a8I);
        t5h = _mm_add_ps(s9p, s1q);
        t6h = _mm_sub_ps(s0q, s2q);
        t7h = _mm_sub_ps(s9p, s1q);
        t8h = _mm_add_ps(s0q, s2q);
        t9h = _mm_add_ps(t1h, t5h);
        t0i = _mm_add_ps(t2h, t6h);
        t1i = _mm_sub_ps(t3h, t8h);
        t2i = _mm_add_ps(t4h, t7h);
        t3i = _mm_add_ps(t3h, t8h);
        t4i = _mm_sub_ps(t4h, t7h);
        a9I = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1i);
        a0J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2i);
        s3q = _mm_sub_ps(a9I, a0J);
        a1J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1i);
        a2J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2i);
        s4q = _mm_add_ps(a1J, a2J);
        a3J = _mm_sub_ps(t1h, t5h);
        a4E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3J);
        a4J = _mm_sub_ps(t2h, t6h);
        a5E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4J);
        s5q = _mm_sub_ps(a4E, a5E);
        s6q = _mm_add_ps(a4E, a5E);
        a5J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3i);
        a6J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4i);
        s7q = _mm_sub_ps(a5J, a6J);
        a7J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3i);
        a8J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4i);
        s8q = _mm_add_ps(a7J, a8J);
        a9J = (a1E + 96);
        s9q = *(a9J);
        a0K = (a1E + 104);
        s0r = *(a0K);
        a1K = (a1E + 416);
        s1r = *(a1K);
        a2K = (a1E + 424);
        s2r = *(a2K);
        t5i = _mm_add_ps(s9q, s1r);
        t6i = _mm_sub_ps(s0r, s2r);
        t7i = _mm_sub_ps(s9q, s1r);
        t8i = _mm_add_ps(s0r, s2r);
        a3K = (a1E + 352);
        s3r = *(a3K);
        a4K = (a1E + 360);
        s4r = *(a4K);
        a5K = (a1E + 160);
        s5r = *(a5K);
        a6K = (a1E + 168);
        s6r = *(a6K);
        t9i = _mm_add_ps(s3r, s5r);
        t0j = _mm_sub_ps(s4r, s6r);
        t1j = _mm_sub_ps(s3r, s5r);
        t2j = _mm_add_ps(s4r, s6r);
        t3j = _mm_add_ps(t5i, t9i);
        t4j = _mm_add_ps(t6i, t0j);
        t5j = _mm_sub_ps(t5i, t9i);
        t6j = _mm_sub_ps(t6i, t0j);
        t7j = _mm_sub_ps(t7i, t2j);
        t8j = _mm_add_ps(t8i, t1j);
        t9j = _mm_add_ps(t7i, t2j);
        t0k = _mm_sub_ps(t8i, t1j);
        a7K = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t7j);
        a8K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t8j);
        s7r = _mm_sub_ps(a7K, a8K);
        a9K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t7j);
        a0L = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t8j);
        s8r = _mm_add_ps(a9K, a0L);
        a1L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5j);
        a2L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6j);
        s9r = _mm_sub_ps(a1L, a2L);
        a3L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5j);
        a4L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6j);
        s0s = _mm_add_ps(a3L, a4L);
        a5L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t9j);
        a6L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t0k);
        s1s = _mm_sub_ps(a5L, a6L);
        a7L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t9j);
        a8L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t0k);
        s2s = _mm_add_ps(a7L, a8L);
        t1k = _mm_add_ps(t7e, t9h);
        t2k = _mm_sub_ps(t7e, t9h);
        t3k = _mm_sub_ps(t8e, t0i);
        t4k = _mm_add_ps(t8e, t0i);
        t5k = _mm_add_ps(t3g, t3j);
        t6k = _mm_sub_ps(t4g, t4j);
        a9L = _mm_sub_ps(t3g, t3j);
        a6E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9L);
        a0M = _mm_add_ps(t4g, t4j);
        a7E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0M);
        s3s = _mm_sub_ps(a6E, a7E);
        s4s = _mm_add_ps(a6E, a7E);
        a8E = ((__m128  *) T2);
        s5s = _mm_add_ps(t1k, t5k);
        *(a8E) = s5s;
        s6s = _mm_sub_ps(t1k, t5k);
        a1N = (a8E + 16);
        *(a1N) = s6s;
        s7s = _mm_sub_ps(t2k, t6k);
        a2N = (a8E + 8);
        *(a2N) = s7s;
        s8s = _mm_add_ps(t2k, t6k);
        a3N = (a8E + 24);
        *(a3N) = s8s;
        s9s = _mm_add_ps(t3k, s3s);
        a4N = (a8E + 4);
        *(a4N) = s9s;
        s0t = _mm_sub_ps(t3k, s3s);
        a5N = (a8E + 20);
        *(a5N) = s0t;
        s1t = _mm_sub_ps(t4k, s4s);
        a6N = (a8E + 12);
        *(a6N) = s1t;
        s2t = _mm_add_ps(t4k, s4s);
        a7N = (a8E + 28);
        *(a7N) = s2t;
        t7k = _mm_add_ps(t1f, s3q);
        t8k = _mm_sub_ps(t1f, s3q);
        t9k = _mm_sub_ps(t2f, s4q);
        t0l = _mm_add_ps(t2f, s4q);
        t1l = _mm_add_ps(s9o, s7r);
        t2l = _mm_sub_ps(s0p, s8r);
        a1M = _mm_sub_ps(s9o, s7r);
        a9E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1M);
        a2M = _mm_add_ps(s0p, s8r);
        a0F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2M);
        s3t = _mm_sub_ps(a9E, a0F);
        s4t = _mm_add_ps(a9E, a0F);
        s5t = _mm_add_ps(t7k, t1l);
        a8N = (a8E + 1);
        *(a8N) = s5t;
        s6t = _mm_sub_ps(t7k, t1l);
        a9N = (a8E + 17);
        *(a9N) = s6t;
        s7t = _mm_sub_ps(t8k, t2l);
        a0O = (a8E + 9);
        *(a0O) = s7t;
        s8t = _mm_add_ps(t8k, t2l);
        a1O = (a8E + 25);
        *(a1O) = s8t;
        s9t = _mm_add_ps(t9k, s3t);
        a2O = (a8E + 5);
        *(a2O) = s9t;
        s0u = _mm_sub_ps(t9k, s3t);
        a3O = (a8E + 21);
        *(a3O) = s0u;
        s1u = _mm_sub_ps(t0l, s4t);
        a4O = (a8E + 13);
        *(a4O) = s1u;
        s2u = _mm_add_ps(t0l, s4t);
        a5O = (a8E + 29);
        *(a5O) = s2u;
        t3l = _mm_add_ps(t9e, s5q);
        t4l = _mm_sub_ps(t9e, s5q);
        t5l = _mm_sub_ps(t0f, s6q);
        t6l = _mm_add_ps(t0f, s6q);
        t7l = _mm_add_ps(s1p, s9r);
        t8l = _mm_sub_ps(s2p, s0s);
        a3M = _mm_sub_ps(s1p, s9r);
        a1F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3M);
        a4M = _mm_add_ps(s2p, s0s);
        a2F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4M);
        s3u = _mm_sub_ps(a1F, a2F);
        s4u = _mm_add_ps(a1F, a2F);
        s5u = _mm_add_ps(t3l, t7l);
        a6O = (a8E + 2);
        *(a6O) = s5u;
        s6u = _mm_sub_ps(t3l, t7l);
        a7O = (a8E + 18);
        *(a7O) = s6u;
        s7u = _mm_sub_ps(t4l, t8l);
        a8O = (a8E + 10);
        *(a8O) = s7u;
        s8u = _mm_add_ps(t4l, t8l);
        a9O = (a8E + 26);
        *(a9O) = s8u;
        s9u = _mm_add_ps(t5l, s3u);
        a0P = (a8E + 6);
        *(a0P) = s9u;
        s0v = _mm_sub_ps(t5l, s3u);
        a1P = (a8E + 22);
        *(a1P) = s0v;
        s1v = _mm_sub_ps(t6l, s4u);
        a2P = (a8E + 14);
        *(a2P) = s1v;
        s2v = _mm_add_ps(t6l, s4u);
        a3P = (a8E + 30);
        *(a3P) = s2v;
        t9l = _mm_add_ps(t3f, s7q);
        t0m = _mm_sub_ps(t3f, s7q);
        t1m = _mm_sub_ps(t4f, s8q);
        t2m = _mm_add_ps(t4f, s8q);
        t3m = _mm_add_ps(s3p, s1s);
        t4m = _mm_sub_ps(s4p, s2s);
        a5M = _mm_sub_ps(s3p, s1s);
        a3F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5M);
        a6M = _mm_add_ps(s4p, s2s);
        a4F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6M);
        s3v = _mm_sub_ps(a3F, a4F);
        s4v = _mm_add_ps(a3F, a4F);
        s5v = _mm_add_ps(t9l, t3m);
        a4P = (a8E + 3);
        *(a4P) = s5v;
        s6v = _mm_sub_ps(t9l, t3m);
        a5P = (a8E + 19);
        *(a5P) = s6v;
        s7v = _mm_sub_ps(t0m, t4m);
        a6P = (a8E + 11);
        *(a6P) = s7v;
        s8v = _mm_add_ps(t0m, t4m);
        a7P = (a8E + 27);
        *(a7P) = s8v;
        s9v = _mm_add_ps(t1m, s3v);
        a8P = (a8E + 7);
        *(a8P) = s9v;
        s0w = _mm_sub_ps(t1m, s3v);
        a9P = (a8E + 23);
        *(a9P) = s0w;
        s1w = _mm_sub_ps(t2m, s4v);
        a0Q = (a8E + 15);
        *(a0Q) = s1w;
        s2w = _mm_add_ps(t2m, s4v);
        a1Q = (a8E + 31);
        *(a1Q) = s2w;
        a3R = ((__m128  *) T);
        b31 = (a3R + i2);
        a4R = (b31 + 16);
        s3w = *(a4R);
        a5R = (b31 + 24);
        s4w = *(a5R);
        a6R = (b31 + 496);
        s5w = *(a6R);
        a7R = (b31 + 504);
        s6w = *(a7R);
        t5m = _mm_add_ps(s3w, s5w);
        t6m = _mm_sub_ps(s4w, s6w);
        t7m = _mm_sub_ps(s3w, s5w);
        t8m = _mm_add_ps(s4w, s6w);
        a8R = (b31 + 272);
        s7w = *(a8R);
        a9R = (b31 + 280);
        s8w = *(a9R);
        a0S = (b31 + 240);
        s9w = *(a0S);
        a1S = (b31 + 248);
        s0x = *(a1S);
        t9m = _mm_add_ps(s7w, s9w);
        t0n = _mm_sub_ps(s8w, s0x);
        t1n = _mm_sub_ps(s7w, s9w);
        t2n = _mm_add_ps(s8w, s0x);
        t3n = _mm_add_ps(t5m, t9m);
        t4n = _mm_add_ps(t6m, t0n);
        t5n = _mm_sub_ps(t5m, t9m);
        t6n = _mm_sub_ps(t6m, t0n);
        t7n = _mm_sub_ps(t7m, t2n);
        t8n = _mm_add_ps(t8m, t1n);
        t9n = _mm_add_ps(t7m, t2n);
        t0o = _mm_sub_ps(t8m, t1n);
        a2S = (b31 + 80);
        s1x = *(a2S);
        a3S = (b31 + 88);
        s2x = *(a3S);
        a4S = (b31 + 432);
        s3x = *(a4S);
        a5S = (b31 + 440);
        s4x = *(a5S);
        t1o = _mm_add_ps(s1x, s3x);
        t2o = _mm_sub_ps(s2x, s4x);
        t3o = _mm_sub_ps(s1x, s3x);
        t4o = _mm_add_ps(s2x, s4x);
        a6S = (b31 + 336);
        s5x = *(a6S);
        a7S = (b31 + 344);
        s6x = *(a7S);
        a8S = (b31 + 176);
        s7x = *(a8S);
        a9S = (b31 + 184);
        s8x = *(a9S);
        t5o = _mm_add_ps(s5x, s7x);
        t6o = _mm_sub_ps(s6x, s8x);
        t7o = _mm_sub_ps(s5x, s7x);
        t8o = _mm_add_ps(s6x, s8x);
        t9o = _mm_add_ps(t1o, t5o);
        t0p = _mm_add_ps(t2o, t6o);
        a0T = _mm_sub_ps(t1o, t5o);
        a2Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0T);
        a1T = _mm_sub_ps(t2o, t6o);
        a3Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1T);
        s9x = _mm_sub_ps(a2Q, a3Q);
        s0y = _mm_add_ps(a2Q, a3Q);
        t1p = _mm_sub_ps(t3o, t8o);
        t2p = _mm_add_ps(t4o, t7o);
        t3p = _mm_add_ps(t3o, t8o);
        t4p = _mm_sub_ps(t4o, t7o);
        a2T = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1p);
        a3T = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2p);
        s1y = _mm_sub_ps(a2T, a3T);
        a4T = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1p);
        a5T = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2p);
        s2y = _mm_add_ps(a4T, a5T);
        a6T = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3p);
        a7T = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4p);
        s3y = _mm_sub_ps(a6T, a7T);
        a8T = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3p);
        a9T = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4p);
        s4y = _mm_add_ps(a8T, a9T);
        a0U = (b31 + 144);
        s5y = *(a0U);
        a1U = (b31 + 152);
        s6y = *(a1U);
        a2U = (b31 + 368);
        s7y = *(a2U);
        a3U = (b31 + 376);
        s8y = *(a3U);
        t5p = _mm_add_ps(s5y, s7y);
        t6p = _mm_sub_ps(s6y, s8y);
        t7p = _mm_sub_ps(s5y, s7y);
        t8p = _mm_add_ps(s6y, s8y);
        a4U = (b31 + 400);
        s9y = *(a4U);
        a5U = (b31 + 408);
        s0z = *(a5U);
        a6U = (b31 + 112);
        s1z = *(a6U);
        a7U = (b31 + 120);
        s2z = *(a7U);
        t9p = _mm_add_ps(s9y, s1z);
        t0q = _mm_sub_ps(s0z, s2z);
        t1q = _mm_sub_ps(s9y, s1z);
        t2q = _mm_add_ps(s0z, s2z);
        t3q = _mm_add_ps(t5p, t9p);
        t4q = _mm_add_ps(t6p, t0q);
        t5q = _mm_sub_ps(t5p, t9p);
        t6q = _mm_sub_ps(t6p, t0q);
        a8U = _mm_sub_ps(t7p, t2q);
        a4Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a8U);
        a9U = _mm_add_ps(t8p, t1q);
        a5Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9U);
        s3z = _mm_sub_ps(a4Q, a5Q);
        s4z = _mm_add_ps(a4Q, a5Q);
        a0V = _mm_add_ps(t7p, t2q);
        a6Q = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a0V);
        a1V = _mm_sub_ps(t8p, t1q);
        a7Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1V);
        s5z = _mm_sub_ps(a6Q, a7Q);
        s6z = _mm_add_ps(a6Q, a7Q);
        a2V = (b31 + 208);
        s7z = *(a2V);
        a3V = (b31 + 216);
        s8z = *(a3V);
        a4V = (b31 + 304);
        s9z = *(a4V);
        a5V = (b31 + 312);
        s0A = *(a5V);
        t7q = _mm_add_ps(s7z, s9z);
        t8q = _mm_sub_ps(s8z, s0A);
        t9q = _mm_sub_ps(s7z, s9z);
        t0r = _mm_add_ps(s8z, s0A);
        a6V = (b31 + 464);
        s1A = *(a6V);
        a7V = (b31 + 472);
        s2A = *(a7V);
        a8V = (b31 + 48);
        s3A = *(a8V);
        a9V = (b31 + 56);
        s4A = *(a9V);
        t1r = _mm_add_ps(s1A, s3A);
        t2r = _mm_sub_ps(s2A, s4A);
        t3r = _mm_sub_ps(s1A, s3A);
        t4r = _mm_add_ps(s2A, s4A);
        t5r = _mm_add_ps(t7q, t1r);
        t6r = _mm_add_ps(t8q, t2r);
        a0W = _mm_sub_ps(t7q, t1r);
        a8Q = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a0W);
        a1W = _mm_sub_ps(t8q, t2r);
        a9Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1W);
        s5A = _mm_sub_ps(a8Q, a9Q);
        s6A = _mm_add_ps(a8Q, a9Q);
        t7r = _mm_sub_ps(t9q, t4r);
        t8r = _mm_add_ps(t0r, t3r);
        t9r = _mm_add_ps(t9q, t4r);
        t0s = _mm_sub_ps(t0r, t3r);
        a2W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t7r);
        a3W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8r);
        s7A = _mm_sub_ps(a2W, a3W);
        a4W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t7r);
        a5W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t8r);
        s8A = _mm_add_ps(a4W, a5W);
        a6W = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t9r);
        a7W = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t0s);
        s9A = _mm_sub_ps(a6W, a7W);
        a8W = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t9r);
        a9W = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t0s);
        s0B = _mm_add_ps(a8W, a9W);
        t1s = _mm_add_ps(t3n, t3q);
        t2s = _mm_add_ps(t4n, t4q);
        t3s = _mm_sub_ps(t3n, t3q);
        t4s = _mm_sub_ps(t4n, t4q);
        t5s = _mm_add_ps(t9o, t5r);
        t6s = _mm_add_ps(t0p, t6r);
        t7s = _mm_sub_ps(t9o, t5r);
        t8s = _mm_sub_ps(t0p, t6r);
        t9s = _mm_sub_ps(t3s, t8s);
        t0t = _mm_add_ps(t4s, t7s);
        t1t = _mm_add_ps(t3s, t8s);
        t2t = _mm_sub_ps(t4s, t7s);
        t3t = _mm_add_ps(t7n, s3z);
        t4t = _mm_add_ps(t8n, s4z);
        t5t = _mm_sub_ps(t7n, s3z);
        t6t = _mm_sub_ps(t8n, s4z);
        t7t = _mm_add_ps(s1y, s7A);
        t8t = _mm_add_ps(s2y, s8A);
        t9t = _mm_sub_ps(s1y, s7A);
        t0u = _mm_sub_ps(s2y, s8A);
        t1u = _mm_add_ps(t3t, t7t);
        t2u = _mm_add_ps(t4t, t8t);
        t3u = _mm_sub_ps(t3t, t7t);
        t4u = _mm_sub_ps(t4t, t8t);
        t5u = _mm_sub_ps(t5t, t0u);
        t6u = _mm_add_ps(t6t, t9t);
        t7u = _mm_add_ps(t5t, t0u);
        t8u = _mm_sub_ps(t6t, t9t);
        t9u = _mm_sub_ps(t5n, t6q);
        t0v = _mm_add_ps(t6n, t5q);
        t1v = _mm_add_ps(t5n, t6q);
        t2v = _mm_sub_ps(t6n, t5q);
        t3v = _mm_add_ps(s9x, s5A);
        t4v = _mm_sub_ps(s0y, s6A);
        t5v = _mm_sub_ps(s9x, s5A);
        t6v = _mm_add_ps(s0y, s6A);
        t7v = _mm_add_ps(t9u, t3v);
        t8v = _mm_add_ps(t0v, t4v);
        t9v = _mm_sub_ps(t9u, t3v);
        t0w = _mm_sub_ps(t0v, t4v);
        t1w = _mm_sub_ps(t1v, t6v);
        t2w = _mm_add_ps(t2v, t5v);
        t3w = _mm_add_ps(t1v, t6v);
        t4w = _mm_sub_ps(t2v, t5v);
        t5w = _mm_add_ps(t9n, s5z);
        t6w = _mm_sub_ps(t0o, s6z);
        t7w = _mm_sub_ps(t9n, s5z);
        t8w = _mm_add_ps(t0o, s6z);
        t9w = _mm_add_ps(s3y, s9A);
        t0x = _mm_add_ps(s4y, s0B);
        t1x = _mm_sub_ps(s3y, s9A);
        t2x = _mm_sub_ps(s4y, s0B);
        t3x = _mm_add_ps(t5w, t9w);
        t4x = _mm_add_ps(t6w, t0x);
        t5x = _mm_sub_ps(t5w, t9w);
        t6x = _mm_sub_ps(t6w, t0x);
        t7x = _mm_sub_ps(t7w, t2x);
        t8x = _mm_add_ps(t8w, t1x);
        t9x = _mm_add_ps(t7w, t2x);
        t0y = _mm_sub_ps(t8w, t1x);
        a0X = _mm_sub_ps(t1s, t5s);
        a0R = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0X);
        a1X = _mm_sub_ps(t2s, t6s);
        a1R = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1X);
        a2R = ((__m128  *) T2);
        s1B = _mm_add_ps(t1s, t5s);
        a2X = (a2R + 32);
        *(a2X) = s1B;
        s2B = _mm_add_ps(t2s, t6s);
        a3X = (a2R + 48);
        *(a3X) = s2B;
        a4X = _mm_mul_ps(_mm_set1_ps(0.99518472667219693f), t1u);
        a5X = _mm_mul_ps(_mm_set1_ps(0.098017140329560604f), t2u);
        s3B = _mm_sub_ps(a4X, a5X);
        a6X = (a2R + 33);
        *(a6X) = s3B;
        a7X = _mm_mul_ps(_mm_set1_ps(0.098017140329560604f), t1u);
        a8X = _mm_mul_ps(_mm_set1_ps(0.99518472667219693f), t2u);
        s4B = _mm_add_ps(a7X, a8X);
        a9X = (a2R + 49);
        *(a9X) = s4B;
        a0Y = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t7v);
        a1Y = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t8v);
        s5B = _mm_sub_ps(a0Y, a1Y);
        a2Y = (a2R + 34);
        *(a2Y) = s5B;
        a3Y = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t7v);
        a4Y = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t8v);
        s6B = _mm_add_ps(a3Y, a4Y);
        a5Y = (a2R + 50);
        *(a5Y) = s6B;
        a6Y = _mm_mul_ps(_mm_set1_ps(0.95694033573220882f), t3x);
        a7Y = _mm_mul_ps(_mm_set1_ps(0.29028467725446239f), t4x);
        s7B = _mm_sub_ps(a6Y, a7Y);
        a8Y = (a2R + 35);
        *(a8Y) = s7B;
        a9Y = _mm_mul_ps(_mm_set1_ps(0.29028467725446239f), t3x);
        a0Z = _mm_mul_ps(_mm_set1_ps(0.95694033573220882f), t4x);
        s8B = _mm_add_ps(a9Y, a0Z);
        a1Z = (a2R + 51);
        *(a1Z) = s8B;
        a2Z = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t9s);
        a3Z = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t0t);
        s9B = _mm_sub_ps(a2Z, a3Z);
        a4Z = (a2R + 36);
        *(a4Z) = s9B;
        a5Z = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t9s);
        a6Z = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t0t);
        s0C = _mm_add_ps(a5Z, a6Z);
        a7Z = (a2R + 52);
        *(a7Z) = s0C;
        a8Z = _mm_mul_ps(_mm_set1_ps(0.88192126434835505f), t5u);
        a9Z = _mm_mul_ps(_mm_set1_ps(0.47139673682599764f), t6u);
        s1C = _mm_sub_ps(a8Z, a9Z);
        a010 = (a2R + 37);
        *(a010) = s1C;
        a110 = _mm_mul_ps(_mm_set1_ps(0.47139673682599764f), t5u);
        a210 = _mm_mul_ps(_mm_set1_ps(0.88192126434835505f), t6u);
        s2C = _mm_add_ps(a110, a210);
        a310 = (a2R + 53);
        *(a310) = s2C;
        a410 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t1w);
        a510 = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t2w);
        s3C = _mm_sub_ps(a410, a510);
        a610 = (a2R + 38);
        *(a610) = s3C;
        a710 = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t1w);
        a810 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t2w);
        s4C = _mm_add_ps(a710, a810);
        a910 = (a2R + 54);
        *(a910) = s4C;
        a011 = _mm_mul_ps(_mm_set1_ps(0.77301045336273699f), t7x);
        a111 = _mm_mul_ps(_mm_set1_ps(0.63439328416364549f), t8x);
        s5C = _mm_sub_ps(a011, a111);
        a211 = (a2R + 39);
        *(a211) = s5C;
        a311 = _mm_mul_ps(_mm_set1_ps(0.63439328416364549f), t7x);
        a411 = _mm_mul_ps(_mm_set1_ps(0.77301045336273699f), t8x);
        s6C = _mm_add_ps(a311, a411);
        a511 = (a2R + 55);
        *(a511) = s6C;
        s7C = _mm_sub_ps(a0R, a1R);
        a611 = (a2R + 40);
        *(a611) = s7C;
        s8C = _mm_add_ps(a0R, a1R);
        a711 = (a2R + 56);
        *(a711) = s8C;
        a811 = _mm_mul_ps(_mm_set1_ps(0.63439328416364549f), t3u);
        a911 = _mm_mul_ps(_mm_set1_ps(0.77301045336273699f), t4u);
        s9C = _mm_sub_ps(a811, a911);
        a012 = (a2R + 41);
        *(a012) = s9C;
        a112 = _mm_mul_ps(_mm_set1_ps(0.77301045336273699f), t3u);
        a212 = _mm_mul_ps(_mm_set1_ps(0.63439328416364549f), t4u);
        s0D = _mm_add_ps(a112, a212);
        a312 = (a2R + 57);
        *(a312) = s0D;
        a412 = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t9v);
        a512 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t0w);
        s1D = _mm_sub_ps(a412, a512);
        a612 = (a2R + 42);
        *(a612) = s1D;
        a712 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t9v);
        a812 = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t0w);
        s2D = _mm_add_ps(a712, a812);
        a912 = (a2R + 58);
        *(a912) = s2D;
        a013 = _mm_mul_ps(_mm_set1_ps(0.47139673682599764f), t5x);
        a113 = _mm_mul_ps(_mm_set1_ps(0.88192126434835505f), t6x);
        s3D = _mm_sub_ps(a013, a113);
        a213 = (a2R + 43);
        *(a213) = s3D;
        a313 = _mm_mul_ps(_mm_set1_ps(0.88192126434835505f), t5x);
        a413 = _mm_mul_ps(_mm_set1_ps(0.47139673682599764f), t6x);
        s4D = _mm_add_ps(a313, a413);
        a513 = (a2R + 59);
        *(a513) = s4D;
        a613 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1t);
        a713 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2t);
        s5D = _mm_sub_ps(a613, a713);
        a813 = (a2R + 44);
        *(a813) = s5D;
        a913 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1t);
        a014 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2t);
        s6D = _mm_add_ps(a913, a014);
        a114 = (a2R + 60);
        *(a114) = s6D;
        a214 = _mm_mul_ps(_mm_set1_ps(0.29028467725446239f), t7u);
        a314 = _mm_mul_ps(_mm_set1_ps(0.95694033573220882f), t8u);
        s7D = _mm_sub_ps(a214, a314);
        a414 = (a2R + 45);
        *(a414) = s7D;
        a514 = _mm_mul_ps(_mm_set1_ps(0.95694033573220882f), t7u);
        a614 = _mm_mul_ps(_mm_set1_ps(0.29028467725446239f), t8u);
        s8D = _mm_add_ps(a514, a614);
        a714 = (a2R + 61);
        *(a714) = s8D;
        a814 = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t3w);
        a914 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t4w);
        s9D = _mm_sub_ps(a814, a914);
        a015 = (a2R + 46);
        *(a015) = s9D;
        a115 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t3w);
        a215 = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t4w);
        s0E = _mm_add_ps(a115, a215);
        a315 = (a2R + 62);
        *(a315) = s0E;
        a415 = _mm_mul_ps(_mm_set1_ps(0.098017140329560604f), t9x);
        a515 = _mm_mul_ps(_mm_set1_ps(0.99518472667219693f), t0y);
        s1E = _mm_sub_ps(a415, a515);
        a615 = (a2R + 47);
        *(a615) = s1E;
        a715 = _mm_mul_ps(_mm_set1_ps(0.99518472667219693f), t9x);
        a815 = _mm_mul_ps(_mm_set1_ps(0.098017140329560604f), t0y);
        s2E = _mm_add_ps(a715, a815);
        a915 = (a2R + 63);
        *(a915) = s2E;
        {long i3; for(i3 = 0; i3 <= 15; i3++) {
            a216 = ((__m128  *) T2);
            a016 = (a216 + i3);
            s3E = *(a016);
            a316 = (a016 + 32);
            s4E = *(a316);
            a416 = (4 * i2);
            a516 = (32 * i3);
            b41 = (dst + a416);
            a116 = (b41 + a516);
            s5E = _mm_add_ps(s3E, s4E);
            _mm_storeu_ps(((float  *) a116), s5E);
            s6E = _mm_sub_ps(s3E, s4E);
            a616 = (a116 + 1024);
            _mm_storeu_ps(((float  *) a616), s6E);
            a716 = (a016 + 16);
            s7E = *(a716);
            a816 = (a016 + 48);
            s8E = *(a816);
            s9E = _mm_sub_ps(s7E, s8E);
            a916 = (a116 + 512);
            _mm_storeu_ps(((float  *) a916), s9E);
            s0F = _mm_add_ps(s7E, s8E);
            a017 = (a116 + 1536);
            _mm_storeu_ps(((float  *) a017), s0F);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftinv_float_2048)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftinv_float_2048_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[2048]);
     SPIRAL_ALIGNED(float T2[256]);
    __m128 a02, a05, a06, a0e, a0r, a0u, a13, a15, a16, a1s, a2, a23, a25, a26, a2b, a2c, a2m, a2n, a2o, a2p, a2s, a3
            , a31, a34, a35, a36, a3d, a3q, a3t, a41, a44, a45, a46, a4d, a4q, a4t, a52, a55, a5e, a5r, a62, a65, a6e, a6r
            , a7, a73, a75, a7a, a7b, a7c, a7l, a7m, a7n, a7o, a7p, a7s, a8, a83, a85, a8c, a8p, a8s, a91, a94, a95, a9d
            , a9q, a9t;
    __m128 a011, a013, a014, a07, a08, a09, a0A, a0C, a0D, a0F, a0G, a0H, a0I, a0J, a0L, a0M, a0R, a0T, a0V, a0W, a0X, a0Y
            , a0Z, a0a, a0g, a0h, a0l, a0v, a0w, a0x, a0z, a110, a111, a112, a113, a115, a17, a18, a19, a1A, a1F, a1H, a1J, a1L
            , a1M, a1R, a1T, a1V, a1W, a1X, a1Y, a1a, a1f, a1g, a1h, a1k, a1l, a1v, a1w, a1x, a1y, a1z, a210, a212, a214, a215
            , a27, a28, a29, a2C, a2D, a2E, a2F, a2H, a2J, a2L, a2M, a2Q, a2T, a2W, a2Z, a2a, a2f, a2g, a2h, a2k, a2l, a2v
            , a2w, a2x, a2y, a311, a313, a314, a37, a38, a39, a3A, a3B, a3C, a3D, a3E, a3F, a3H, a3J, a3L, a3M, a3Q, a3T, a3W
            , a3Y, a3Z, a3a, a3f, a3g, a3h, a3k, a3l, a3v, a3w, a3x, a410, a411, a412, a413, a415, a47, a48, a49, a4A, a4B, a4E
            , a4F, a4H, a4J, a4L, a4M, a4Q, a4T, a4W, a4X, a4Y, a4a, a4f, a4g, a4h, a4k, a4l, a4v, a4w, a4x, a4y, a510, a512
            , a514, a515, a56, a57, a58, a59, a5D, a5E, a5H, a5J, a5L, a5M, a5Q, a5T, a5W, a5X, a5Z, a5a, a5f, a5g, a5h, a5j
            , a5k, a5l, a5u, a5v, a5w, a5x, a5y, a613, a614, a66, a67, a68, a69, a6A, a6B, a6D, a6E, a6H, a6J, a6L, a6M, a6Q
            , a6T, a6W, a6Y, a6Z, a6a, a6f, a6g, a6h, a6j, a6k, a6l, a6u, a6v, a6w, a6x, a710, a712, a713, a715, a76, a77, a78
            , a79, a7A, a7B, a7E, a7H, a7J, a7K, a7L, a7Q, a7T, a7W, a7X, a7Y, a7f, a7g, a7h, a7j, a7k, a7u, a7v, a7w, a7y
            , a7z, a810, a811, a812, a814, a815, a86, a87, a88, a89, a8D, a8H, a8J, a8K, a8L, a8Q, a8T, a8U, a8W, a8X, a8Z, a8f
            , a8g, a8h, a8j, a8k, a8u, a8v, a8w, a8y, a8z, a911, a913, a914, a96, a97, a98, a99, a9B, a9C, a9D, a9E, a9F, a9G
            , a9H, a9I, a9K, a9L, a9Q, a9T, a9U, a9W, a9Y, a9Z, a9f, a9g, a9k, a9u, a9v, a9w, b, b2, b3, b4, b5, b6
            , b7, b8, b9, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0a, s0b, s0c
            , s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y
            , s0z, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1a, s1b, s1c, s1d, s1e, s1f, s1g
            , s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22
            , s23, s24, s25, s26, s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j
            , s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33, s34, s35
            , s36, s37, s38, s39, s3A, s3B, s3C, s3D, s3E, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m
            , s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44, s45, s46, s47, s48
            , s49, s4A, s4B, s4C, s4D, s4E, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p
            , s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5A, s5B
            , s5C, s5D, s5E, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s
            , s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6A, s6B, s6C, s6D, s6E
            , s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v
            , s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7A, s7B, s7C, s7D, s7E, s7a, s7b, s7c
            , s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y
            , s7z, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8A, s8B, s8C, s8D, s8E, s8a, s8b, s8c, s8d, s8e, s8f
            , s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x, s8y, s8z, s9, s91
            , s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9C, s9D, s9E, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i
            , s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y, s9z, t, t01, t02, t03, t04
            , t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q
            , t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e
            , t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v, t1w, t1x, t2, t21, t22
            , t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o
            , t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c
            , t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t4
            , t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m
            , t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a
            , t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w
            , t5x, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k
            , t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t7, t71, t72, t73, t74, t75, t76, t77, t78
            , t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u
            , t7v, t7w, t7x, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i
            , t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t9, t91, t92, t93, t94, t95, t96
            , t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s
            , t9t, t9u, t9v, t9w, t9x;
    const __m64  *a0b, *a0c, *a0m, *a0n, *a0o, *a0p, *a11, *a12, *a14, *a1d, *a1e, *a1q, *a1r, *a1t, *a1u, *a32, *a33, *a3b, *a3c, *a3e, *a3m, *a3n
            , *a3o, *a3p, *a3r, *a3s, *a3u, *a4, *a5, *a51, *a53, *a54, *a5b, *a5c, *a5d, *a5m, *a5n, *a5o, *a5p, *a5q, *a5s, *a5t, *a71, *a72
            , *a74, *a7d, *a7e, *a7q, *a7r, *a7t, *a8a, *a8b, *a8l, *a8m, *a8n, *a8o, *a9, *a92, *a93, *a9c, *a9e, *a9p, *a9r, *a9s;
    __m128  *a, *a010, *a012, *a015, *a016, *a017, *a0B, *a0E, *a0K, *a0N, *a0O, *a0P, *a0Q, *a0S, *a0U, *a0i, *a0j, *a0k, *a0y, *a114, *a116, *a1B
            , *a1C, *a1D, *a1E, *a1G, *a1I, *a1K, *a1N, *a1O, *a1P, *a1Q, *a1S, *a1U, *a1Z, *a1i, *a1j, *a211, *a213, *a216, *a2A, *a2B, *a2G, *a2I
            , *a2K, *a2N, *a2O, *a2P, *a2R, *a2S, *a2U, *a2V, *a2X, *a2Y, *a2i, *a2j, *a2z, *a310, *a312, *a315, *a316, *a3G, *a3I, *a3K, *a3N, *a3O
            , *a3P, *a3R, *a3S, *a3U, *a3V, *a3X, *a3i, *a3j, *a3y, *a3z, *a414, *a416, *a4C, *a4D, *a4G, *a4I, *a4K, *a4N, *a4O, *a4P, *a4R, *a4S
            , *a4U, *a4V, *a4Z, *a4i, *a4z, *a511, *a513, *a5A, *a5B, *a5C, *a5F, *a5G, *a5I, *a5K, *a5N, *a5O, *a5P, *a5R, *a5S, *a5U, *a5V, *a5Y
            , *a5i, *a5z, *a610, *a611, *a612, *a615, *a616, *a6C, *a6F, *a6G, *a6I, *a6K, *a6N, *a6O, *a6P, *a6R, *a6S, *a6U, *a6V, *a6X, *a6i, *a6y
            , *a6z, *a711, *a714, *a716, *a7C, *a7D, *a7F, *a7G, *a7I, *a7M, *a7N, *a7O, *a7P, *a7R, *a7S, *a7U, *a7V, *a7Z, *a7i, *a7x, *a813, *a816
            , *a8A, *a8B, *a8C, *a8E, *a8F, *a8G, *a8I, *a8M, *a8N, *a8O, *a8P, *a8R, *a8S, *a8V, *a8Y, *a8i, *a8x, *a910, *a912, *a915, *a916, *a9A
            , *a9J, *a9M, *a9N, *a9O, *a9P, *a9R, *a9S, *a9V, *a9X, *a9h, *a9i, *a9x, *a9y, *a9z, *b21, *b31, *b41;
    const float  *a01, *a03, *a04, *a0d, *a0f, *a0q, *a0s, *a0t, *a1b, *a1c, *a1m, *a1n, *a1o, *a1p, *a21, *a22, *a24, *a2d, *a2e, *a2q, *a2r, *a2t
            , *a2u, *a42, *a43, *a4b, *a4c, *a4e, *a4m, *a4n, *a4o, *a4p, *a4r, *a4s, *a4u, *a6, *a61, *a63, *a64, *a6b, *a6c, *a6d, *a6m, *a6n
            , *a6o, *a6p, *a6q, *a6s, *a6t, *a81, *a82, *a84, *a8d, *a8e, *a8q, *a8r, *a8t, *a9a, *a9b, *a9l, *a9m, *a9n, *a9o, *b01, *b11;
    int a4j, a516, a9j;
    a4 = ((const __m64  *) src);
    a3 = _mm_loadl_pi(_mm_set1_ps(0.0f), a4);
    a6 = (src + 128);
    a5 = ((const __m64  *) a6);
    a2 = _mm_loadh_pi(a3, a5);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a2);
    a01 = (src + 256);
    a9 = ((const __m64  *) a01);
    a8 = _mm_loadl_pi(_mm_set1_ps(0.0f), a9);
    a21 = (src + 384);
    a11 = ((const __m64  *) a21);
    a7 = _mm_loadh_pi(a8, a11);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a7);
    a61 = (src + 512);
    a51 = ((const __m64  *) a61);
    a41 = _mm_loadl_pi(_mm_set1_ps(0.0f), a51);
    a81 = (src + 640);
    a71 = ((const __m64  *) a81);
    a31 = _mm_loadh_pi(a41, a71);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a31);
    a22 = (src + 768);
    a12 = ((const __m64  *) a22);
    a02 = _mm_loadl_pi(_mm_set1_ps(0.0f), a12);
    a42 = (src + 896);
    a32 = ((const __m64  *) a42);
    a91 = _mm_loadh_pi(a02, a32);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a91);
    a82 = (src + 1024);
    a72 = ((const __m64  *) a82);
    a62 = _mm_loadl_pi(_mm_set1_ps(0.0f), a72);
    a03 = (src + 1152);
    a92 = ((const __m64  *) a03);
    a52 = _mm_loadh_pi(a62, a92);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a52);
    a43 = (src + 1280);
    a33 = ((const __m64  *) a43);
    a23 = _mm_loadl_pi(_mm_set1_ps(0.0f), a33);
    a63 = (src + 1408);
    a53 = ((const __m64  *) a63);
    a13 = _mm_loadh_pi(a23, a53);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a13);
    a04 = (src + 1536);
    a93 = ((const __m64  *) a04);
    a83 = _mm_loadl_pi(_mm_set1_ps(0.0f), a93);
    a24 = (src + 1664);
    a14 = ((const __m64  *) a24);
    a73 = _mm_loadh_pi(a83, a14);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a73);
    a64 = (src + 1792);
    a54 = ((const __m64  *) a64);
    a44 = _mm_loadl_pi(_mm_set1_ps(0.0f), a54);
    a84 = (src + 1920);
    a74 = ((const __m64  *) a84);
    a34 = _mm_loadh_pi(a44, a74);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a34);
    a94 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a94);
    a05 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a05);
    a15 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a25 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a35 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a45 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a55 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a55);
    a65 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a65);
    a75 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a75, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a85, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a95, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a06 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a06, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a16 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a16, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a26, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a36, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a46 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a46, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a76 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a56 = _mm_add_ps(a66, a76);
    s52 = _mm_sub_ps(a56, s02);
    a86 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a96 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a86, a96);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a17 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a27 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a07 = _mm_sub_ps(a17, a27);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a07);
    a47 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a37 = _mm_sub_ps(a47, s42);
    a57 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a67 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a37, a57);
    s43 = _mm_add_ps(b3, a67);
    a87 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a97 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a77 = _mm_sub_ps(a87, a97);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a77);
    a08 = _mm_sub_ps(s21, s12);
    a18 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a28 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a08, a18);
    s63 = _mm_add_ps(b5, a28);
    a48 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a58 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a38 = _mm_sub_ps(a48, a58);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a38);
    a68 = _mm_sub_ps(s41, s22);
    a78 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a88 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a68, a78);
    s83 = _mm_add_ps(b7, a88);
    a09 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a19 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a98 = _mm_sub_ps(a09, a19);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a98);
    a29 = _mm_sub_ps(s61, s32);
    a39 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a49 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a29, a39);
    s04 = _mm_add_ps(b9, a49);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a59 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a69 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a59, a69);
    a79 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a89 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a79, a89);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a99 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a0a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a99, a0a);
    a1a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a2a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a1a, a2a);
    a3a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a4a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a6a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a5a, a6a);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a9a = (src + 64);
    a8a = ((const __m64  *) a9a);
    a7a = _mm_loadl_pi(_mm_set1_ps(0.0f), a8a);
    a1b = (src + 320);
    a0b = ((const __m64  *) a1b);
    s17 = _mm_loadh_pi(a7a, a0b);
    a4b = (src + 576);
    a3b = ((const __m64  *) a4b);
    a2b = _mm_loadl_pi(_mm_set1_ps(0.0f), a3b);
    a6b = (src + 832);
    a5b = ((const __m64  *) a6b);
    s27 = _mm_loadh_pi(a2b, a5b);
    a9b = (src + 1088);
    a8b = ((const __m64  *) a9b);
    a7b = _mm_loadl_pi(_mm_set1_ps(0.0f), a8b);
    a1c = (src + 1344);
    a0c = ((const __m64  *) a1c);
    s37 = _mm_loadh_pi(a7b, a0c);
    a4c = (src + 1600);
    a3c = ((const __m64  *) a4c);
    a2c = _mm_loadl_pi(_mm_set1_ps(0.0f), a3c);
    a6c = (src + 1856);
    a5c = ((const __m64  *) a6c);
    s47 = _mm_loadh_pi(a2c, a5c);
    a0d = (src + 1984);
    a9c = ((const __m64  *) a0d);
    a8c = _mm_loadl_pi(_mm_set1_ps(0.0f), a9c);
    a2d = (src + 1728);
    a1d = ((const __m64  *) a2d);
    a7c = _mm_loadh_pi(a8c, a1d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7c);
    a6d = (src + 1472);
    a5d = ((const __m64  *) a6d);
    a4d = _mm_loadl_pi(_mm_set1_ps(0.0f), a5d);
    a8d = (src + 1216);
    a7d = ((const __m64  *) a8d);
    a3d = _mm_loadh_pi(a4d, a7d);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3d);
    a2e = (src + 960);
    a1e = ((const __m64  *) a2e);
    a0e = _mm_loadl_pi(_mm_set1_ps(0.0f), a1e);
    a4e = (src + 704);
    a3e = ((const __m64  *) a4e);
    a9d = _mm_loadh_pi(a0e, a3e);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9d);
    a8e = (src + 448);
    a7e = ((const __m64  *) a8e);
    a6e = _mm_loadl_pi(_mm_set1_ps(0.0f), a7e);
    a0f = (src + 192);
    a9e = ((const __m64  *) a0f);
    a5e = _mm_loadh_pi(a6e, a9e);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a1f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a2f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a4f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a3f, a4f);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a5f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a6f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a5f, a6f);
    a7f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a8f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a7f, a8f);
    a9f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a0g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a2g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a1g, a2g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a3g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t75);
    a4g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t85);
    s9a = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t75);
    a6g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t85);
    s0b = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t95);
    a8g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t06);
    s1b = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t95);
    a0h = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t06);
    s2b = _mm_add_ps(a9g, a0h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a1h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t16);
    a2h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t26);
    s3b = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t16);
    a4h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t26);
    s4b = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t36);
    a6h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t46);
    s5b = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t36);
    a8h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t46);
    s6b = _mm_add_ps(a7h, a8h);
    a = ((__m128  *) T);
    s7b = _mm_add_ps(s36, s9a);
    *(a) = s7b;
    s8b = _mm_sub_ps(s36, s9a);
    a9h = (a + 8);
    *(a9h) = s8b;
    s9b = _mm_sub_ps(s56, s0b);
    a0i = (a + 4);
    *(a0i) = s9b;
    s0c = _mm_add_ps(s56, s0b);
    a1i = (a + 12);
    *(a1i) = s0c;
    s1c = _mm_add_ps(s46, s3b);
    a2i = (a + 1);
    *(a2i) = s1c;
    s2c = _mm_sub_ps(s46, s3b);
    a3i = (a + 9);
    *(a3i) = s2c;
    s3c = _mm_sub_ps(s66, s4b);
    a4i = (a + 5);
    *(a4i) = s3c;
    s4c = _mm_add_ps(s66, s4b);
    a5i = (a + 13);
    *(a5i) = s4c;
    s5c = _mm_add_ps(s76, s1b);
    a6i = (a + 2);
    *(a6i) = s5c;
    s6c = _mm_sub_ps(s76, s1b);
    a7i = (a + 10);
    *(a7i) = s6c;
    s7c = _mm_sub_ps(s96, s2b);
    a8i = (a + 6);
    *(a8i) = s7c;
    s8c = _mm_add_ps(s96, s2b);
    a9i = (a + 14);
    *(a9i) = s8c;
    s9c = _mm_add_ps(s86, s5b);
    a0j = (a + 3);
    *(a0j) = s9c;
    s0d = _mm_sub_ps(s86, s5b);
    a1j = (a + 11);
    *(a1j) = s0d;
    s1d = _mm_sub_ps(s07, s6b);
    a2j = (a + 7);
    *(a2j) = s1d;
    s2d = _mm_add_ps(s07, s6b);
    a3j = (a + 15);
    *(a3j) = s2d;
    {long i; for(i = 0; i <= 30; i++) {
        a4j = (2 * i);
        b01 = (src + a4j);
        a9l = (b01 + 2);
        a8l = ((const __m64  *) a9l);
        a7l = _mm_loadl_pi(_mm_set1_ps(0.0f), a8l);
        a1m = (b01 + 130);
        a0m = ((const __m64  *) a1m);
        s3d = _mm_loadh_pi(a7l, a0m);
        a4m = (b01 + 258);
        a3m = ((const __m64  *) a4m);
        a2m = _mm_loadl_pi(_mm_set1_ps(0.0f), a3m);
        a6m = (b01 + 386);
        a5m = ((const __m64  *) a6m);
        s4d = _mm_loadh_pi(a2m, a5m);
        a9m = (b01 + 514);
        a8m = ((const __m64  *) a9m);
        a7m = _mm_loadl_pi(_mm_set1_ps(0.0f), a8m);
        a1n = (b01 + 642);
        a0n = ((const __m64  *) a1n);
        s5d = _mm_loadh_pi(a7m, a0n);
        a4n = (b01 + 770);
        a3n = ((const __m64  *) a4n);
        a2n = _mm_loadl_pi(_mm_set1_ps(0.0f), a3n);
        a6n = (b01 + 898);
        a5n = ((const __m64  *) a6n);
        s6d = _mm_loadh_pi(a2n, a5n);
        a9n = (b01 + 1026);
        a8n = ((const __m64  *) a9n);
        a7n = _mm_loadl_pi(_mm_set1_ps(0.0f), a8n);
        a1o = (b01 + 1154);
        a0o = ((const __m64  *) a1o);
        s7d = _mm_loadh_pi(a7n, a0o);
        a4o = (b01 + 1282);
        a3o = ((const __m64  *) a4o);
        a2o = _mm_loadl_pi(_mm_set1_ps(0.0f), a3o);
        a6o = (b01 + 1410);
        a5o = ((const __m64  *) a6o);
        s8d = _mm_loadh_pi(a2o, a5o);
        a9o = (b01 + 1538);
        a8o = ((const __m64  *) a9o);
        a7o = _mm_loadl_pi(_mm_set1_ps(0.0f), a8o);
        a1p = (b01 + 1666);
        a0p = ((const __m64  *) a1p);
        s9d = _mm_loadh_pi(a7o, a0p);
        a4p = (b01 + 1794);
        a3p = ((const __m64  *) a4p);
        a2p = _mm_loadl_pi(_mm_set1_ps(0.0f), a3p);
        a6p = (b01 + 1922);
        a5p = ((const __m64  *) a6p);
        s0e = _mm_loadh_pi(a2p, a5p);
        b11 = (src - a4j);
        a0q = (b11 + 2046);
        a9p = ((const __m64  *) a0q);
        a8p = _mm_loadl_pi(_mm_set1_ps(0.0f), a9p);
        a2q = (b11 + 1918);
        a1q = ((const __m64  *) a2q);
        a7p = _mm_loadh_pi(a8p, a1q);
        s1e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7p);
        a6q = (b11 + 1790);
        a5q = ((const __m64  *) a6q);
        a4q = _mm_loadl_pi(_mm_set1_ps(0.0f), a5q);
        a8q = (b11 + 1662);
        a7q = ((const __m64  *) a8q);
        a3q = _mm_loadh_pi(a4q, a7q);
        s2e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3q);
        a2r = (b11 + 1534);
        a1r = ((const __m64  *) a2r);
        a0r = _mm_loadl_pi(_mm_set1_ps(0.0f), a1r);
        a4r = (b11 + 1406);
        a3r = ((const __m64  *) a4r);
        a9q = _mm_loadh_pi(a0r, a3r);
        s3e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9q);
        a8r = (b11 + 1278);
        a7r = ((const __m64  *) a8r);
        a6r = _mm_loadl_pi(_mm_set1_ps(0.0f), a7r);
        a0s = (b11 + 1150);
        a9r = ((const __m64  *) a0s);
        a5r = _mm_loadh_pi(a6r, a9r);
        s4e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5r);
        a4s = (b11 + 1022);
        a3s = ((const __m64  *) a4s);
        a2s = _mm_loadl_pi(_mm_set1_ps(0.0f), a3s);
        a6s = (b11 + 894);
        a5s = ((const __m64  *) a6s);
        a1s = _mm_loadh_pi(a2s, a5s);
        s5e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1s);
        a0t = (b11 + 766);
        a9s = ((const __m64  *) a0t);
        a8s = _mm_loadl_pi(_mm_set1_ps(0.0f), a9s);
        a2t = (b11 + 638);
        a1t = ((const __m64  *) a2t);
        a7s = _mm_loadh_pi(a8s, a1t);
        s6e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7s);
        a6t = (b11 + 510);
        a5t = ((const __m64  *) a6t);
        a4t = _mm_loadl_pi(_mm_set1_ps(0.0f), a5t);
        a8t = (b11 + 382);
        a7t = ((const __m64  *) a8t);
        a3t = _mm_loadh_pi(a4t, a7t);
        s7e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3t);
        a2u = (b11 + 254);
        a1u = ((const __m64  *) a2u);
        a0u = _mm_loadl_pi(_mm_set1_ps(0.0f), a1u);
        a4u = (b11 + 126);
        a3u = ((const __m64  *) a4u);
        a9t = _mm_loadh_pi(a0u, a3u);
        s8e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9t);
        s9e = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(2, 0, 2, 0));
        s0f = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(3, 1, 3, 1));
        s1f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(2, 0, 2, 0));
        s2f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(3, 1, 3, 1));
        t56 = _mm_add_ps(s9e, s1f);
        t66 = _mm_add_ps(s0f, s2f);
        t76 = _mm_sub_ps(s9e, s1f);
        t86 = _mm_sub_ps(s0f, s2f);
        s3f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(2, 0, 2, 0));
        s4f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(3, 1, 3, 1));
        s5f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(2, 0, 2, 0));
        s6f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(3, 1, 3, 1));
        t96 = _mm_add_ps(s3f, s5f);
        t07 = _mm_add_ps(s4f, s6f);
        t17 = _mm_sub_ps(s3f, s5f);
        t27 = _mm_sub_ps(s4f, s6f);
        t37 = _mm_add_ps(t56, t96);
        t47 = _mm_add_ps(t66, t07);
        t57 = _mm_sub_ps(t56, t96);
        t67 = _mm_sub_ps(t66, t07);
        t77 = _mm_sub_ps(t76, t27);
        t87 = _mm_add_ps(t86, t17);
        t97 = _mm_add_ps(t76, t27);
        t08 = _mm_sub_ps(t86, t17);
        s7f = _mm_unpacklo_ps(t37, t77);
        s8f = _mm_unpackhi_ps(t37, t77);
        s9f = _mm_unpacklo_ps(t47, t87);
        s0g = _mm_unpackhi_ps(t47, t87);
        s1g = _mm_unpacklo_ps(t57, t97);
        s2g = _mm_unpackhi_ps(t57, t97);
        s3g = _mm_unpacklo_ps(t67, t08);
        s4g = _mm_unpackhi_ps(t67, t08);
        s5g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(1, 0, 1, 0));
        s6g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(3, 2, 3, 2));
        s7g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(1, 0, 1, 0));
        s8g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(3, 2, 3, 2));
        s9g = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(1, 0, 1, 0));
        s0h = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(3, 2, 3, 2));
        s1h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(1, 0, 1, 0));
        s2h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(3, 2, 3, 2));
        s3h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(2, 0, 2, 0));
        s4h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(3, 1, 3, 1));
        s5h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(2, 0, 2, 0));
        s6h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(3, 1, 3, 1));
        t18 = _mm_add_ps(s3h, s5h);
        t28 = _mm_add_ps(s4h, s6h);
        t38 = _mm_sub_ps(s3h, s5h);
        t48 = _mm_sub_ps(s4h, s6h);
        s7h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(2, 0, 2, 0));
        s8h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(3, 1, 3, 1));
        s9h = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(2, 0, 2, 0));
        s0i = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(3, 1, 3, 1));
        t58 = _mm_add_ps(s7h, s9h);
        t68 = _mm_add_ps(s8h, s0i);
        t78 = _mm_sub_ps(s7h, s9h);
        t88 = _mm_sub_ps(s8h, s0i);
        t98 = _mm_add_ps(t18, t58);
        t09 = _mm_add_ps(t28, t68);
        t19 = _mm_sub_ps(t18, t58);
        t29 = _mm_sub_ps(t28, t68);
        t39 = _mm_sub_ps(t38, t88);
        t49 = _mm_add_ps(t48, t78);
        t59 = _mm_add_ps(t38, t88);
        t69 = _mm_sub_ps(t48, t78);
        s1i = _mm_unpacklo_ps(t98, t39);
        s2i = _mm_unpackhi_ps(t98, t39);
        s3i = _mm_unpacklo_ps(t09, t49);
        s4i = _mm_unpackhi_ps(t09, t49);
        s5i = _mm_unpacklo_ps(t19, t59);
        s6i = _mm_unpackhi_ps(t19, t59);
        s7i = _mm_unpacklo_ps(t29, t69);
        s8i = _mm_unpackhi_ps(t29, t69);
        s9i = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(1, 0, 1, 0));
        s0j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(3, 2, 3, 2));
        s1j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(1, 0, 1, 0));
        s2j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(3, 2, 3, 2));
        s3j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(1, 0, 1, 0));
        s4j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(3, 2, 3, 2));
        s5j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(1, 0, 1, 0));
        s6j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(3, 2, 3, 2));
        a5u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9i);
        a6u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3j);
        s7j = _mm_sub_ps(a5u, a6u);
        a7u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s9i);
        a8u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3j);
        s8j = _mm_add_ps(a7u, a8u);
        t79 = _mm_add_ps(s5g, s7j);
        t89 = _mm_add_ps(s9g, s8j);
        t99 = _mm_sub_ps(s5g, s7j);
        t0a = _mm_sub_ps(s9g, s8j);
        a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7g);
        a0v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s1h);
        s9j = _mm_sub_ps(a9u, a0v);
        a1v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s7g);
        a2v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1h);
        s0k = _mm_add_ps(a1v, a2v);
        a3v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1j);
        a4v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s5j);
        s1k = _mm_sub_ps(a3v, a4v);
        a5v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s1j);
        a6v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5j);
        s2k = _mm_add_ps(a5v, a6v);
        t1a = _mm_add_ps(s9j, s1k);
        t2a = _mm_add_ps(s0k, s2k);
        t3a = _mm_sub_ps(s9j, s1k);
        t4a = _mm_sub_ps(s0k, s2k);
        t5a = _mm_add_ps(t79, t1a);
        t6a = _mm_add_ps(t89, t2a);
        t7a = _mm_sub_ps(t79, t1a);
        t8a = _mm_sub_ps(t89, t2a);
        t9a = _mm_sub_ps(t99, t4a);
        t0b = _mm_add_ps(t0a, t3a);
        t1b = _mm_add_ps(t99, t4a);
        t2b = _mm_sub_ps(t0a, t3a);
        a7v = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6g);
        a8v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s0h);
        s3k = _mm_sub_ps(a7v, a8v);
        a9v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s6g);
        a0w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0h);
        s4k = _mm_add_ps(a9v, a0w);
        a1w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0j);
        a2w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s4j);
        s5k = _mm_sub_ps(a1w, a2w);
        a3w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s0j);
        a4w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4j);
        s6k = _mm_add_ps(a3w, a4w);
        t3b = _mm_add_ps(s3k, s5k);
        t4b = _mm_add_ps(s4k, s6k);
        t5b = _mm_sub_ps(s3k, s5k);
        t6b = _mm_sub_ps(s4k, s6k);
        a5w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8g);
        a6w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s2h);
        s7k = _mm_sub_ps(a5w, a6w);
        a7w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s8g);
        a8w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2h);
        s8k = _mm_add_ps(a7w, a8w);
        a9w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2j);
        a0x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s6j);
        s9k = _mm_sub_ps(a9w, a0x);
        a1x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s2j);
        a2x = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6j);
        s0l = _mm_add_ps(a1x, a2x);
        t7b = _mm_add_ps(s7k, s9k);
        t8b = _mm_add_ps(s8k, s0l);
        t9b = _mm_sub_ps(s7k, s9k);
        t0c = _mm_sub_ps(s8k, s0l);
        t1c = _mm_add_ps(t3b, t7b);
        t2c = _mm_add_ps(t4b, t8b);
        t3c = _mm_sub_ps(t3b, t7b);
        t4c = _mm_sub_ps(t4b, t8b);
        a3x = _mm_sub_ps(t5b, t0c);
        a5j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3x);
        a4x = _mm_add_ps(t6b, t9b);
        a6j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4x);
        s1l = _mm_sub_ps(a5j, a6j);
        s2l = _mm_add_ps(a5j, a6j);
        a5x = _mm_add_ps(t5b, t0c);
        a7j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5x);
        a6x = _mm_sub_ps(t6b, t9b);
        a8j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6x);
        s3l = _mm_sub_ps(a7j, a8j);
        s4l = _mm_add_ps(a7j, a8j);
        t5c = _mm_add_ps(t5a, t1c);
        t6c = _mm_add_ps(t6a, t2c);
        t7c = _mm_sub_ps(t5a, t1c);
        t8c = _mm_sub_ps(t6a, t2c);
        a9j = (16 * i);
        a0k = (D28 + a9j);
        a1k = *(a0k);
        a7x = (a0k + 1);
        a2k = *(a7x);
        a8x = (a0k + 2);
        a3k = *(a8x);
        a9x = (a0k + 3);
        a4k = *(a9x);
        a0y = ((__m128  *) T);
        b21 = (a0y + a9j);
        a1y = _mm_mul_ps(a1k, t5c);
        a2y = _mm_mul_ps(a2k, t6c);
        s5l = _mm_sub_ps(a1y, a2y);
        a3y = (b21 + 16);
        *(a3y) = s5l;
        a4y = _mm_mul_ps(a2k, t5c);
        a5y = _mm_mul_ps(a1k, t6c);
        s6l = _mm_add_ps(a4y, a5y);
        a6y = (b21 + 24);
        *(a6y) = s6l;
        a7y = _mm_mul_ps(a3k, t7c);
        a8y = _mm_mul_ps(a4k, t8c);
        s7l = _mm_sub_ps(a7y, a8y);
        a9y = (b21 + 20);
        *(a9y) = s7l;
        a0z = _mm_mul_ps(a4k, t7c);
        a1z = _mm_mul_ps(a3k, t8c);
        s8l = _mm_add_ps(a0z, a1z);
        a2z = (b21 + 28);
        *(a2z) = s8l;
        t9c = _mm_add_ps(t9a, s1l);
        t0d = _mm_add_ps(t0b, s2l);
        t1d = _mm_sub_ps(t9a, s1l);
        t2d = _mm_sub_ps(t0b, s2l);
        a3z = (a0k + 4);
        a5k = *(a3z);
        a4z = (a0k + 5);
        a6k = *(a4z);
        a5z = (a0k + 6);
        a7k = *(a5z);
        a6z = (a0k + 7);
        a8k = *(a6z);
        a7z = _mm_mul_ps(a5k, t9c);
        a8z = _mm_mul_ps(a6k, t0d);
        s9l = _mm_sub_ps(a7z, a8z);
        a9z = (b21 + 17);
        *(a9z) = s9l;
        a0A = _mm_mul_ps(a6k, t9c);
        a1A = _mm_mul_ps(a5k, t0d);
        s0m = _mm_add_ps(a0A, a1A);
        a2A = (b21 + 25);
        *(a2A) = s0m;
        a3A = _mm_mul_ps(a7k, t1d);
        a4A = _mm_mul_ps(a8k, t2d);
        s1m = _mm_sub_ps(a3A, a4A);
        a5A = (b21 + 21);
        *(a5A) = s1m;
        a6A = _mm_mul_ps(a8k, t1d);
        a7A = _mm_mul_ps(a7k, t2d);
        s2m = _mm_add_ps(a6A, a7A);
        a8A = (b21 + 29);
        *(a8A) = s2m;
        t3d = _mm_sub_ps(t7a, t4c);
        t4d = _mm_add_ps(t8a, t3c);
        t5d = _mm_add_ps(t7a, t4c);
        t6d = _mm_sub_ps(t8a, t3c);
        a9A = (a0k + 8);
        a9k = *(a9A);
        a0B = (a0k + 9);
        a0l = *(a0B);
        a1B = (a0k + 10);
        a1l = *(a1B);
        a2B = (a0k + 11);
        a2l = *(a2B);
        a3B = _mm_mul_ps(a9k, t3d);
        a4B = _mm_mul_ps(a0l, t4d);
        s3m = _mm_sub_ps(a3B, a4B);
        a5B = (b21 + 18);
        *(a5B) = s3m;
        a6B = _mm_mul_ps(a0l, t3d);
        a7B = _mm_mul_ps(a9k, t4d);
        s4m = _mm_add_ps(a6B, a7B);
        a8B = (b21 + 26);
        *(a8B) = s4m;
        a9B = _mm_mul_ps(a1l, t5d);
        a0C = _mm_mul_ps(a2l, t6d);
        s5m = _mm_sub_ps(a9B, a0C);
        a1C = (b21 + 22);
        *(a1C) = s5m;
        a2C = _mm_mul_ps(a2l, t5d);
        a3C = _mm_mul_ps(a1l, t6d);
        s6m = _mm_add_ps(a2C, a3C);
        a4C = (b21 + 30);
        *(a4C) = s6m;
        t7d = _mm_add_ps(t1b, s3l);
        t8d = _mm_sub_ps(t2b, s4l);
        t9d = _mm_sub_ps(t1b, s3l);
        t0e = _mm_add_ps(t2b, s4l);
        a5C = (a0k + 12);
        a3l = *(a5C);
        a6C = (a0k + 13);
        a4l = *(a6C);
        a7C = (a0k + 14);
        a5l = *(a7C);
        a8C = (a0k + 15);
        a6l = *(a8C);
        a9C = _mm_mul_ps(a3l, t7d);
        a0D = _mm_mul_ps(a4l, t8d);
        s7m = _mm_sub_ps(a9C, a0D);
        a1D = (b21 + 19);
        *(a1D) = s7m;
        a2D = _mm_mul_ps(a4l, t7d);
        a3D = _mm_mul_ps(a3l, t8d);
        s8m = _mm_add_ps(a2D, a3D);
        a4D = (b21 + 27);
        *(a4D) = s8m;
        a5D = _mm_mul_ps(a5l, t9d);
        a6D = _mm_mul_ps(a6l, t0e);
        s9m = _mm_sub_ps(a5D, a6D);
        a7D = (b21 + 23);
        *(a7D) = s9m;
        a8D = _mm_mul_ps(a6l, t9d);
        a9D = _mm_mul_ps(a5l, t0e);
        s0n = _mm_add_ps(a8D, a9D);
        a0E = (b21 + 31);
        *(a0E) = s0n;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a7M = ((__m128  *) T);
        a1E = (a7M + i2);
        s1n = *(a1E);
        a8M = (a1E + 256);
        s2n = *(a8M);
        t1e = _mm_add_ps(s1n, s2n);
        t2e = _mm_sub_ps(s1n, s2n);
        a9M = (a1E + 8);
        s3n = *(a9M);
        a0N = (a1E + 264);
        s4n = *(a0N);
        t3e = _mm_sub_ps(s3n, s4n);
        t4e = _mm_add_ps(s3n, s4n);
        a5F = (a1E + 128);
        s5n = *(a5F);
        a6F = (a1E + 136);
        s6n = *(a6F);
        a7F = (a1E + 384);
        s7n = *(a7F);
        a8F = (a1E + 392);
        s8n = *(a8F);
        t5e = _mm_add_ps(s5n, s7n);
        t6e = _mm_sub_ps(s6n, s8n);
        a9F = _mm_sub_ps(s5n, s7n);
        a2E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9F);
        a0G = _mm_add_ps(s6n, s8n);
        a3E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0G);
        s9n = _mm_sub_ps(a2E, a3E);
        s0o = _mm_add_ps(a2E, a3E);
        t7e = _mm_add_ps(t1e, t5e);
        t8e = _mm_sub_ps(t1e, t5e);
        t9e = _mm_sub_ps(t2e, t6e);
        t0f = _mm_add_ps(t2e, t6e);
        t1f = _mm_add_ps(t3e, s9n);
        t2f = _mm_sub_ps(t3e, s9n);
        t3f = _mm_sub_ps(t4e, s0o);
        t4f = _mm_add_ps(t4e, s0o);
        a1G = (a1E + 32);
        s1o = *(a1G);
        a2G = (a1E + 40);
        s2o = *(a2G);
        a3G = (a1E + 480);
        s3o = *(a3G);
        a4G = (a1E + 488);
        s4o = *(a4G);
        t5f = _mm_add_ps(s1o, s3o);
        t6f = _mm_sub_ps(s2o, s4o);
        t7f = _mm_sub_ps(s1o, s3o);
        t8f = _mm_add_ps(s2o, s4o);
        a5G = (a1E + 288);
        s5o = *(a5G);
        a6G = (a1E + 296);
        s6o = *(a6G);
        a7G = (a1E + 224);
        s7o = *(a7G);
        a8G = (a1E + 232);
        s8o = *(a8G);
        t9f = _mm_add_ps(s5o, s7o);
        t0g = _mm_sub_ps(s6o, s8o);
        t1g = _mm_sub_ps(s5o, s7o);
        t2g = _mm_add_ps(s6o, s8o);
        t3g = _mm_add_ps(t5f, t9f);
        t4g = _mm_add_ps(t6f, t0g);
        t5g = _mm_sub_ps(t5f, t9f);
        t6g = _mm_sub_ps(t6f, t0g);
        t7g = _mm_sub_ps(t7f, t2g);
        t8g = _mm_add_ps(t8f, t1g);
        t9g = _mm_add_ps(t7f, t2g);
        t0h = _mm_sub_ps(t8f, t1g);
        a9G = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t7g);
        a0H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t8g);
        s9o = _mm_sub_ps(a9G, a0H);
        a1H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t7g);
        a2H = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t8g);
        s0p = _mm_add_ps(a1H, a2H);
        a3H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5g);
        a4H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6g);
        s1p = _mm_sub_ps(a3H, a4H);
        a5H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5g);
        a6H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6g);
        s2p = _mm_add_ps(a5H, a6H);
        a7H = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t9g);
        a8H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t0h);
        s3p = _mm_sub_ps(a7H, a8H);
        a9H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t9g);
        a0I = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t0h);
        s4p = _mm_add_ps(a9H, a0I);
        a1I = (a1E + 64);
        s5p = *(a1I);
        a2I = (a1E + 72);
        s6p = *(a2I);
        a3I = (a1E + 448);
        s7p = *(a3I);
        a4I = (a1E + 456);
        s8p = *(a4I);
        t1h = _mm_add_ps(s5p, s7p);
        t2h = _mm_sub_ps(s6p, s8p);
        t3h = _mm_sub_ps(s5p, s7p);
        t4h = _mm_add_ps(s6p, s8p);
        a5I = (a1E + 320);
        s9p = *(a5I);
        a6I = (a1E + 328);
        s0q = *(a6I);
        a7I = (a1E + 192);
        s1q = *(a7I);
        a8I = (a1E + 200);
        s2q = *(a8I);
        t5h = _mm_add_ps(s9p, s1q);
        t6h = _mm_sub_ps(s0q, s2q);
        t7h = _mm_sub_ps(s9p, s1q);
        t8h = _mm_add_ps(s0q, s2q);
        t9h = _mm_add_ps(t1h, t5h);
        t0i = _mm_add_ps(t2h, t6h);
        t1i = _mm_sub_ps(t3h, t8h);
        t2i = _mm_add_ps(t4h, t7h);
        t3i = _mm_add_ps(t3h, t8h);
        t4i = _mm_sub_ps(t4h, t7h);
        a9I = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1i);
        a0J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2i);
        s3q = _mm_sub_ps(a9I, a0J);
        a1J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1i);
        a2J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2i);
        s4q = _mm_add_ps(a1J, a2J);
        a3J = _mm_sub_ps(t1h, t5h);
        a4E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3J);
        a4J = _mm_sub_ps(t2h, t6h);
        a5E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4J);
        s5q = _mm_sub_ps(a4E, a5E);
        s6q = _mm_add_ps(a4E, a5E);
        a5J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3i);
        a6J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4i);
        s7q = _mm_sub_ps(a5J, a6J);
        a7J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3i);
        a8J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4i);
        s8q = _mm_add_ps(a7J, a8J);
        a9J = (a1E + 96);
        s9q = *(a9J);
        a0K = (a1E + 104);
        s0r = *(a0K);
        a1K = (a1E + 416);
        s1r = *(a1K);
        a2K = (a1E + 424);
        s2r = *(a2K);
        t5i = _mm_add_ps(s9q, s1r);
        t6i = _mm_sub_ps(s0r, s2r);
        t7i = _mm_sub_ps(s9q, s1r);
        t8i = _mm_add_ps(s0r, s2r);
        a3K = (a1E + 352);
        s3r = *(a3K);
        a4K = (a1E + 360);
        s4r = *(a4K);
        a5K = (a1E + 160);
        s5r = *(a5K);
        a6K = (a1E + 168);
        s6r = *(a6K);
        t9i = _mm_add_ps(s3r, s5r);
        t0j = _mm_sub_ps(s4r, s6r);
        t1j = _mm_sub_ps(s3r, s5r);
        t2j = _mm_add_ps(s4r, s6r);
        t3j = _mm_add_ps(t5i, t9i);
        t4j = _mm_add_ps(t6i, t0j);
        t5j = _mm_sub_ps(t5i, t9i);
        t6j = _mm_sub_ps(t6i, t0j);
        t7j = _mm_sub_ps(t7i, t2j);
        t8j = _mm_add_ps(t8i, t1j);
        t9j = _mm_add_ps(t7i, t2j);
        t0k = _mm_sub_ps(t8i, t1j);
        a7K = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t7j);
        a8K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t8j);
        s7r = _mm_sub_ps(a7K, a8K);
        a9K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t7j);
        a0L = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t8j);
        s8r = _mm_add_ps(a9K, a0L);
        a1L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5j);
        a2L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6j);
        s9r = _mm_sub_ps(a1L, a2L);
        a3L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5j);
        a4L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6j);
        s0s = _mm_add_ps(a3L, a4L);
        a5L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t9j);
        a6L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t0k);
        s1s = _mm_sub_ps(a5L, a6L);
        a7L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t9j);
        a8L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t0k);
        s2s = _mm_add_ps(a7L, a8L);
        t1k = _mm_add_ps(t7e, t9h);
        t2k = _mm_sub_ps(t7e, t9h);
        t3k = _mm_sub_ps(t8e, t0i);
        t4k = _mm_add_ps(t8e, t0i);
        t5k = _mm_add_ps(t3g, t3j);
        t6k = _mm_sub_ps(t4g, t4j);
        a9L = _mm_sub_ps(t3g, t3j);
        a6E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9L);
        a0M = _mm_add_ps(t4g, t4j);
        a7E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0M);
        s3s = _mm_sub_ps(a6E, a7E);
        s4s = _mm_add_ps(a6E, a7E);
        a8E = ((__m128  *) T2);
        s5s = _mm_add_ps(t1k, t5k);
        *(a8E) = s5s;
        s6s = _mm_sub_ps(t1k, t5k);
        a1N = (a8E + 16);
        *(a1N) = s6s;
        s7s = _mm_sub_ps(t2k, t6k);
        a2N = (a8E + 8);
        *(a2N) = s7s;
        s8s = _mm_add_ps(t2k, t6k);
        a3N = (a8E + 24);
        *(a3N) = s8s;
        s9s = _mm_add_ps(t3k, s3s);
        a4N = (a8E + 4);
        *(a4N) = s9s;
        s0t = _mm_sub_ps(t3k, s3s);
        a5N = (a8E + 20);
        *(a5N) = s0t;
        s1t = _mm_sub_ps(t4k, s4s);
        a6N = (a8E + 12);
        *(a6N) = s1t;
        s2t = _mm_add_ps(t4k, s4s);
        a7N = (a8E + 28);
        *(a7N) = s2t;
        t7k = _mm_add_ps(t1f, s3q);
        t8k = _mm_sub_ps(t1f, s3q);
        t9k = _mm_sub_ps(t2f, s4q);
        t0l = _mm_add_ps(t2f, s4q);
        t1l = _mm_add_ps(s9o, s7r);
        t2l = _mm_sub_ps(s0p, s8r);
        a1M = _mm_sub_ps(s9o, s7r);
        a9E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1M);
        a2M = _mm_add_ps(s0p, s8r);
        a0F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2M);
        s3t = _mm_sub_ps(a9E, a0F);
        s4t = _mm_add_ps(a9E, a0F);
        s5t = _mm_add_ps(t7k, t1l);
        a8N = (a8E + 1);
        *(a8N) = s5t;
        s6t = _mm_sub_ps(t7k, t1l);
        a9N = (a8E + 17);
        *(a9N) = s6t;
        s7t = _mm_sub_ps(t8k, t2l);
        a0O = (a8E + 9);
        *(a0O) = s7t;
        s8t = _mm_add_ps(t8k, t2l);
        a1O = (a8E + 25);
        *(a1O) = s8t;
        s9t = _mm_add_ps(t9k, s3t);
        a2O = (a8E + 5);
        *(a2O) = s9t;
        s0u = _mm_sub_ps(t9k, s3t);
        a3O = (a8E + 21);
        *(a3O) = s0u;
        s1u = _mm_sub_ps(t0l, s4t);
        a4O = (a8E + 13);
        *(a4O) = s1u;
        s2u = _mm_add_ps(t0l, s4t);
        a5O = (a8E + 29);
        *(a5O) = s2u;
        t3l = _mm_add_ps(t9e, s5q);
        t4l = _mm_sub_ps(t9e, s5q);
        t5l = _mm_sub_ps(t0f, s6q);
        t6l = _mm_add_ps(t0f, s6q);
        t7l = _mm_add_ps(s1p, s9r);
        t8l = _mm_sub_ps(s2p, s0s);
        a3M = _mm_sub_ps(s1p, s9r);
        a1F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3M);
        a4M = _mm_add_ps(s2p, s0s);
        a2F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4M);
        s3u = _mm_sub_ps(a1F, a2F);
        s4u = _mm_add_ps(a1F, a2F);
        s5u = _mm_add_ps(t3l, t7l);
        a6O = (a8E + 2);
        *(a6O) = s5u;
        s6u = _mm_sub_ps(t3l, t7l);
        a7O = (a8E + 18);
        *(a7O) = s6u;
        s7u = _mm_sub_ps(t4l, t8l);
        a8O = (a8E + 10);
        *(a8O) = s7u;
        s8u = _mm_add_ps(t4l, t8l);
        a9O = (a8E + 26);
        *(a9O) = s8u;
        s9u = _mm_add_ps(t5l, s3u);
        a0P = (a8E + 6);
        *(a0P) = s9u;
        s0v = _mm_sub_ps(t5l, s3u);
        a1P = (a8E + 22);
        *(a1P) = s0v;
        s1v = _mm_sub_ps(t6l, s4u);
        a2P = (a8E + 14);
        *(a2P) = s1v;
        s2v = _mm_add_ps(t6l, s4u);
        a3P = (a8E + 30);
        *(a3P) = s2v;
        t9l = _mm_add_ps(t3f, s7q);
        t0m = _mm_sub_ps(t3f, s7q);
        t1m = _mm_sub_ps(t4f, s8q);
        t2m = _mm_add_ps(t4f, s8q);
        t3m = _mm_add_ps(s3p, s1s);
        t4m = _mm_sub_ps(s4p, s2s);
        a5M = _mm_sub_ps(s3p, s1s);
        a3F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5M);
        a6M = _mm_add_ps(s4p, s2s);
        a4F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6M);
        s3v = _mm_sub_ps(a3F, a4F);
        s4v = _mm_add_ps(a3F, a4F);
        s5v = _mm_add_ps(t9l, t3m);
        a4P = (a8E + 3);
        *(a4P) = s5v;
        s6v = _mm_sub_ps(t9l, t3m);
        a5P = (a8E + 19);
        *(a5P) = s6v;
        s7v = _mm_sub_ps(t0m, t4m);
        a6P = (a8E + 11);
        *(a6P) = s7v;
        s8v = _mm_add_ps(t0m, t4m);
        a7P = (a8E + 27);
        *(a7P) = s8v;
        s9v = _mm_add_ps(t1m, s3v);
        a8P = (a8E + 7);
        *(a8P) = s9v;
        s0w = _mm_sub_ps(t1m, s3v);
        a9P = (a8E + 23);
        *(a9P) = s0w;
        s1w = _mm_sub_ps(t2m, s4v);
        a0Q = (a8E + 15);
        *(a0Q) = s1w;
        s2w = _mm_add_ps(t2m, s4v);
        a1Q = (a8E + 31);
        *(a1Q) = s2w;
        a3R = ((__m128  *) T);
        b31 = (a3R + i2);
        a4R = (b31 + 16);
        s3w = *(a4R);
        a5R = (b31 + 24);
        s4w = *(a5R);
        a6R = (b31 + 496);
        s5w = *(a6R);
        a7R = (b31 + 504);
        s6w = *(a7R);
        t5m = _mm_add_ps(s3w, s5w);
        t6m = _mm_sub_ps(s4w, s6w);
        t7m = _mm_sub_ps(s3w, s5w);
        t8m = _mm_add_ps(s4w, s6w);
        a8R = (b31 + 272);
        s7w = *(a8R);
        a9R = (b31 + 280);
        s8w = *(a9R);
        a0S = (b31 + 240);
        s9w = *(a0S);
        a1S = (b31 + 248);
        s0x = *(a1S);
        t9m = _mm_add_ps(s7w, s9w);
        t0n = _mm_sub_ps(s8w, s0x);
        t1n = _mm_sub_ps(s7w, s9w);
        t2n = _mm_add_ps(s8w, s0x);
        t3n = _mm_add_ps(t5m, t9m);
        t4n = _mm_add_ps(t6m, t0n);
        t5n = _mm_sub_ps(t5m, t9m);
        t6n = _mm_sub_ps(t6m, t0n);
        t7n = _mm_sub_ps(t7m, t2n);
        t8n = _mm_add_ps(t8m, t1n);
        t9n = _mm_add_ps(t7m, t2n);
        t0o = _mm_sub_ps(t8m, t1n);
        a2S = (b31 + 80);
        s1x = *(a2S);
        a3S = (b31 + 88);
        s2x = *(a3S);
        a4S = (b31 + 432);
        s3x = *(a4S);
        a5S = (b31 + 440);
        s4x = *(a5S);
        t1o = _mm_add_ps(s1x, s3x);
        t2o = _mm_sub_ps(s2x, s4x);
        t3o = _mm_sub_ps(s1x, s3x);
        t4o = _mm_add_ps(s2x, s4x);
        a6S = (b31 + 336);
        s5x = *(a6S);
        a7S = (b31 + 344);
        s6x = *(a7S);
        a8S = (b31 + 176);
        s7x = *(a8S);
        a9S = (b31 + 184);
        s8x = *(a9S);
        t5o = _mm_add_ps(s5x, s7x);
        t6o = _mm_sub_ps(s6x, s8x);
        t7o = _mm_sub_ps(s5x, s7x);
        t8o = _mm_add_ps(s6x, s8x);
        t9o = _mm_add_ps(t1o, t5o);
        t0p = _mm_add_ps(t2o, t6o);
        a0T = _mm_sub_ps(t1o, t5o);
        a2Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0T);
        a1T = _mm_sub_ps(t2o, t6o);
        a3Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1T);
        s9x = _mm_sub_ps(a2Q, a3Q);
        s0y = _mm_add_ps(a2Q, a3Q);
        t1p = _mm_sub_ps(t3o, t8o);
        t2p = _mm_add_ps(t4o, t7o);
        t3p = _mm_add_ps(t3o, t8o);
        t4p = _mm_sub_ps(t4o, t7o);
        a2T = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1p);
        a3T = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2p);
        s1y = _mm_sub_ps(a2T, a3T);
        a4T = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1p);
        a5T = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2p);
        s2y = _mm_add_ps(a4T, a5T);
        a6T = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3p);
        a7T = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4p);
        s3y = _mm_sub_ps(a6T, a7T);
        a8T = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3p);
        a9T = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4p);
        s4y = _mm_add_ps(a8T, a9T);
        a0U = (b31 + 144);
        s5y = *(a0U);
        a1U = (b31 + 152);
        s6y = *(a1U);
        a2U = (b31 + 368);
        s7y = *(a2U);
        a3U = (b31 + 376);
        s8y = *(a3U);
        t5p = _mm_add_ps(s5y, s7y);
        t6p = _mm_sub_ps(s6y, s8y);
        t7p = _mm_sub_ps(s5y, s7y);
        t8p = _mm_add_ps(s6y, s8y);
        a4U = (b31 + 400);
        s9y = *(a4U);
        a5U = (b31 + 408);
        s0z = *(a5U);
        a6U = (b31 + 112);
        s1z = *(a6U);
        a7U = (b31 + 120);
        s2z = *(a7U);
        t9p = _mm_add_ps(s9y, s1z);
        t0q = _mm_sub_ps(s0z, s2z);
        t1q = _mm_sub_ps(s9y, s1z);
        t2q = _mm_add_ps(s0z, s2z);
        t3q = _mm_add_ps(t5p, t9p);
        t4q = _mm_add_ps(t6p, t0q);
        t5q = _mm_sub_ps(t5p, t9p);
        t6q = _mm_sub_ps(t6p, t0q);
        a8U = _mm_sub_ps(t7p, t2q);
        a4Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a8U);
        a9U = _mm_add_ps(t8p, t1q);
        a5Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9U);
        s3z = _mm_sub_ps(a4Q, a5Q);
        s4z = _mm_add_ps(a4Q, a5Q);
        a0V = _mm_add_ps(t7p, t2q);
        a6Q = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a0V);
        a1V = _mm_sub_ps(t8p, t1q);
        a7Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1V);
        s5z = _mm_sub_ps(a6Q, a7Q);
        s6z = _mm_add_ps(a6Q, a7Q);
        a2V = (b31 + 208);
        s7z = *(a2V);
        a3V = (b31 + 216);
        s8z = *(a3V);
        a4V = (b31 + 304);
        s9z = *(a4V);
        a5V = (b31 + 312);
        s0A = *(a5V);
        t7q = _mm_add_ps(s7z, s9z);
        t8q = _mm_sub_ps(s8z, s0A);
        t9q = _mm_sub_ps(s7z, s9z);
        t0r = _mm_add_ps(s8z, s0A);
        a6V = (b31 + 464);
        s1A = *(a6V);
        a7V = (b31 + 472);
        s2A = *(a7V);
        a8V = (b31 + 48);
        s3A = *(a8V);
        a9V = (b31 + 56);
        s4A = *(a9V);
        t1r = _mm_add_ps(s1A, s3A);
        t2r = _mm_sub_ps(s2A, s4A);
        t3r = _mm_sub_ps(s1A, s3A);
        t4r = _mm_add_ps(s2A, s4A);
        t5r = _mm_add_ps(t7q, t1r);
        t6r = _mm_add_ps(t8q, t2r);
        a0W = _mm_sub_ps(t7q, t1r);
        a8Q = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a0W);
        a1W = _mm_sub_ps(t8q, t2r);
        a9Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1W);
        s5A = _mm_sub_ps(a8Q, a9Q);
        s6A = _mm_add_ps(a8Q, a9Q);
        t7r = _mm_sub_ps(t9q, t4r);
        t8r = _mm_add_ps(t0r, t3r);
        t9r = _mm_add_ps(t9q, t4r);
        t0s = _mm_sub_ps(t0r, t3r);
        a2W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t7r);
        a3W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8r);
        s7A = _mm_sub_ps(a2W, a3W);
        a4W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t7r);
        a5W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t8r);
        s8A = _mm_add_ps(a4W, a5W);
        a6W = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t9r);
        a7W = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t0s);
        s9A = _mm_sub_ps(a6W, a7W);
        a8W = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t9r);
        a9W = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t0s);
        s0B = _mm_add_ps(a8W, a9W);
        t1s = _mm_add_ps(t3n, t3q);
        t2s = _mm_add_ps(t4n, t4q);
        t3s = _mm_sub_ps(t3n, t3q);
        t4s = _mm_sub_ps(t4n, t4q);
        t5s = _mm_add_ps(t9o, t5r);
        t6s = _mm_add_ps(t0p, t6r);
        t7s = _mm_sub_ps(t9o, t5r);
        t8s = _mm_sub_ps(t0p, t6r);
        t9s = _mm_sub_ps(t3s, t8s);
        t0t = _mm_add_ps(t4s, t7s);
        t1t = _mm_add_ps(t3s, t8s);
        t2t = _mm_sub_ps(t4s, t7s);
        t3t = _mm_add_ps(t7n, s3z);
        t4t = _mm_add_ps(t8n, s4z);
        t5t = _mm_sub_ps(t7n, s3z);
        t6t = _mm_sub_ps(t8n, s4z);
        t7t = _mm_add_ps(s1y, s7A);
        t8t = _mm_add_ps(s2y, s8A);
        t9t = _mm_sub_ps(s1y, s7A);
        t0u = _mm_sub_ps(s2y, s8A);
        t1u = _mm_add_ps(t3t, t7t);
        t2u = _mm_add_ps(t4t, t8t);
        t3u = _mm_sub_ps(t3t, t7t);
        t4u = _mm_sub_ps(t4t, t8t);
        t5u = _mm_sub_ps(t5t, t0u);
        t6u = _mm_add_ps(t6t, t9t);
        t7u = _mm_add_ps(t5t, t0u);
        t8u = _mm_sub_ps(t6t, t9t);
        t9u = _mm_sub_ps(t5n, t6q);
        t0v = _mm_add_ps(t6n, t5q);
        t1v = _mm_add_ps(t5n, t6q);
        t2v = _mm_sub_ps(t6n, t5q);
        t3v = _mm_add_ps(s9x, s5A);
        t4v = _mm_sub_ps(s0y, s6A);
        t5v = _mm_sub_ps(s9x, s5A);
        t6v = _mm_add_ps(s0y, s6A);
        t7v = _mm_add_ps(t9u, t3v);
        t8v = _mm_add_ps(t0v, t4v);
        t9v = _mm_sub_ps(t9u, t3v);
        t0w = _mm_sub_ps(t0v, t4v);
        t1w = _mm_sub_ps(t1v, t6v);
        t2w = _mm_add_ps(t2v, t5v);
        t3w = _mm_add_ps(t1v, t6v);
        t4w = _mm_sub_ps(t2v, t5v);
        t5w = _mm_add_ps(t9n, s5z);
        t6w = _mm_sub_ps(t0o, s6z);
        t7w = _mm_sub_ps(t9n, s5z);
        t8w = _mm_add_ps(t0o, s6z);
        t9w = _mm_add_ps(s3y, s9A);
        t0x = _mm_add_ps(s4y, s0B);
        t1x = _mm_sub_ps(s3y, s9A);
        t2x = _mm_sub_ps(s4y, s0B);
        t3x = _mm_add_ps(t5w, t9w);
        t4x = _mm_add_ps(t6w, t0x);
        t5x = _mm_sub_ps(t5w, t9w);
        t6x = _mm_sub_ps(t6w, t0x);
        t7x = _mm_sub_ps(t7w, t2x);
        t8x = _mm_add_ps(t8w, t1x);
        t9x = _mm_add_ps(t7w, t2x);
        t0y = _mm_sub_ps(t8w, t1x);
        a0X = _mm_sub_ps(t1s, t5s);
        a0R = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0X);
        a1X = _mm_sub_ps(t2s, t6s);
        a1R = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1X);
        a2R = ((__m128  *) T2);
        s1B = _mm_add_ps(t1s, t5s);
        a2X = (a2R + 32);
        *(a2X) = s1B;
        s2B = _mm_add_ps(t2s, t6s);
        a3X = (a2R + 48);
        *(a3X) = s2B;
        a4X = _mm_mul_ps(_mm_set1_ps(0.99518472667219693f), t1u);
        a5X = _mm_mul_ps(_mm_set1_ps(0.098017140329560604f), t2u);
        s3B = _mm_sub_ps(a4X, a5X);
        a6X = (a2R + 33);
        *(a6X) = s3B;
        a7X = _mm_mul_ps(_mm_set1_ps(0.098017140329560604f), t1u);
        a8X = _mm_mul_ps(_mm_set1_ps(0.99518472667219693f), t2u);
        s4B = _mm_add_ps(a7X, a8X);
        a9X = (a2R + 49);
        *(a9X) = s4B;
        a0Y = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t7v);
        a1Y = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t8v);
        s5B = _mm_sub_ps(a0Y, a1Y);
        a2Y = (a2R + 34);
        *(a2Y) = s5B;
        a3Y = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t7v);
        a4Y = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t8v);
        s6B = _mm_add_ps(a3Y, a4Y);
        a5Y = (a2R + 50);
        *(a5Y) = s6B;
        a6Y = _mm_mul_ps(_mm_set1_ps(0.95694033573220882f), t3x);
        a7Y = _mm_mul_ps(_mm_set1_ps(0.29028467725446239f), t4x);
        s7B = _mm_sub_ps(a6Y, a7Y);
        a8Y = (a2R + 35);
        *(a8Y) = s7B;
        a9Y = _mm_mul_ps(_mm_set1_ps(0.29028467725446239f), t3x);
        a0Z = _mm_mul_ps(_mm_set1_ps(0.95694033573220882f), t4x);
        s8B = _mm_add_ps(a9Y, a0Z);
        a1Z = (a2R + 51);
        *(a1Z) = s8B;
        a2Z = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t9s);
        a3Z = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t0t);
        s9B = _mm_sub_ps(a2Z, a3Z);
        a4Z = (a2R + 36);
        *(a4Z) = s9B;
        a5Z = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t9s);
        a6Z = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t0t);
        s0C = _mm_add_ps(a5Z, a6Z);
        a7Z = (a2R + 52);
        *(a7Z) = s0C;
        a8Z = _mm_mul_ps(_mm_set1_ps(0.88192126434835505f), t5u);
        a9Z = _mm_mul_ps(_mm_set1_ps(0.47139673682599764f), t6u);
        s1C = _mm_sub_ps(a8Z, a9Z);
        a010 = (a2R + 37);
        *(a010) = s1C;
        a110 = _mm_mul_ps(_mm_set1_ps(0.47139673682599764f), t5u);
        a210 = _mm_mul_ps(_mm_set1_ps(0.88192126434835505f), t6u);
        s2C = _mm_add_ps(a110, a210);
        a310 = (a2R + 53);
        *(a310) = s2C;
        a410 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t1w);
        a510 = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t2w);
        s3C = _mm_sub_ps(a410, a510);
        a610 = (a2R + 38);
        *(a610) = s3C;
        a710 = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t1w);
        a810 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t2w);
        s4C = _mm_add_ps(a710, a810);
        a910 = (a2R + 54);
        *(a910) = s4C;
        a011 = _mm_mul_ps(_mm_set1_ps(0.77301045336273699f), t7x);
        a111 = _mm_mul_ps(_mm_set1_ps(0.63439328416364549f), t8x);
        s5C = _mm_sub_ps(a011, a111);
        a211 = (a2R + 39);
        *(a211) = s5C;
        a311 = _mm_mul_ps(_mm_set1_ps(0.63439328416364549f), t7x);
        a411 = _mm_mul_ps(_mm_set1_ps(0.77301045336273699f), t8x);
        s6C = _mm_add_ps(a311, a411);
        a511 = (a2R + 55);
        *(a511) = s6C;
        s7C = _mm_sub_ps(a0R, a1R);
        a611 = (a2R + 40);
        *(a611) = s7C;
        s8C = _mm_add_ps(a0R, a1R);
        a711 = (a2R + 56);
        *(a711) = s8C;
        a811 = _mm_mul_ps(_mm_set1_ps(0.63439328416364549f), t3u);
        a911 = _mm_mul_ps(_mm_set1_ps(0.77301045336273699f), t4u);
        s9C = _mm_sub_ps(a811, a911);
        a012 = (a2R + 41);
        *(a012) = s9C;
        a112 = _mm_mul_ps(_mm_set1_ps(0.77301045336273699f), t3u);
        a212 = _mm_mul_ps(_mm_set1_ps(0.63439328416364549f), t4u);
        s0D = _mm_add_ps(a112, a212);
        a312 = (a2R + 57);
        *(a312) = s0D;
        a412 = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t9v);
        a512 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t0w);
        s1D = _mm_sub_ps(a412, a512);
        a612 = (a2R + 42);
        *(a612) = s1D;
        a712 = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t9v);
        a812 = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t0w);
        s2D = _mm_add_ps(a712, a812);
        a912 = (a2R + 58);
        *(a912) = s2D;
        a013 = _mm_mul_ps(_mm_set1_ps(0.47139673682599764f), t5x);
        a113 = _mm_mul_ps(_mm_set1_ps(0.88192126434835505f), t6x);
        s3D = _mm_sub_ps(a013, a113);
        a213 = (a2R + 43);
        *(a213) = s3D;
        a313 = _mm_mul_ps(_mm_set1_ps(0.88192126434835505f), t5x);
        a413 = _mm_mul_ps(_mm_set1_ps(0.47139673682599764f), t6x);
        s4D = _mm_add_ps(a313, a413);
        a513 = (a2R + 59);
        *(a513) = s4D;
        a613 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1t);
        a713 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2t);
        s5D = _mm_sub_ps(a613, a713);
        a813 = (a2R + 44);
        *(a813) = s5D;
        a913 = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1t);
        a014 = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2t);
        s6D = _mm_add_ps(a913, a014);
        a114 = (a2R + 60);
        *(a114) = s6D;
        a214 = _mm_mul_ps(_mm_set1_ps(0.29028467725446239f), t7u);
        a314 = _mm_mul_ps(_mm_set1_ps(0.95694033573220882f), t8u);
        s7D = _mm_sub_ps(a214, a314);
        a414 = (a2R + 45);
        *(a414) = s7D;
        a514 = _mm_mul_ps(_mm_set1_ps(0.95694033573220882f), t7u);
        a614 = _mm_mul_ps(_mm_set1_ps(0.29028467725446239f), t8u);
        s8D = _mm_add_ps(a514, a614);
        a714 = (a2R + 61);
        *(a714) = s8D;
        a814 = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t3w);
        a914 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t4w);
        s9D = _mm_sub_ps(a814, a914);
        a015 = (a2R + 46);
        *(a015) = s9D;
        a115 = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t3w);
        a215 = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t4w);
        s0E = _mm_add_ps(a115, a215);
        a315 = (a2R + 62);
        *(a315) = s0E;
        a415 = _mm_mul_ps(_mm_set1_ps(0.098017140329560604f), t9x);
        a515 = _mm_mul_ps(_mm_set1_ps(0.99518472667219693f), t0y);
        s1E = _mm_sub_ps(a415, a515);
        a615 = (a2R + 47);
        *(a615) = s1E;
        a715 = _mm_mul_ps(_mm_set1_ps(0.99518472667219693f), t9x);
        a815 = _mm_mul_ps(_mm_set1_ps(0.098017140329560604f), t0y);
        s2E = _mm_add_ps(a715, a815);
        a915 = (a2R + 63);
        *(a915) = s2E;
        {long i3; for(i3 = 0; i3 <= 15; i3++) {
            a216 = ((__m128  *) T2);
            a016 = (a216 + i3);
            s3E = *(a016);
            a316 = (a016 + 32);
            s4E = *(a316);
            a416 = ((__m128  *) dst);
            a516 = (8 * i3);
            b41 = (a416 + i2);
            a116 = (b41 + a516);
            s5E = _mm_add_ps(s3E, s4E);
            *(a116) = s5E;
            s6E = _mm_sub_ps(s3E, s4E);
            a616 = (a116 + 256);
            *(a616) = s6E;
            a716 = (a016 + 16);
            s7E = *(a716);
            a816 = (a016 + 48);
            s8E = *(a816);
            s9E = _mm_sub_ps(s7E, s8E);
            a916 = (a116 + 128);
            *(a916) = s9E;
            s0F = _mm_add_ps(s7E, s8E);
            a017 = (a116 + 384);
            *(a017) = s0F;
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftinv_float_4096_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[4096]);
     SPIRAL_ALIGNED(float T2[512]);
    __m128 a02, a05, a06, a0e, a0r, a0u, a13, a15, a16, a1s, a2, a23, a25, a26, a2b, a2c, a2m, a2n, a2o, a2p, a2s, a3
            , a31, a34, a35, a36, a3d, a3q, a3t, a41, a44, a45, a46, a4d, a4q, a4t, a52, a55, a5e, a5r, a62, a65, a6e, a6r
            , a7, a73, a75, a7a, a7b, a7c, a7l, a7m, a7n, a7o, a7p, a7s, a8, a83, a85, a8c, a8p, a8s, a91, a94, a95, a9d
            , a9q, a9t;
    __m128 a010, a014, a015, a017, a018, a01a, a01b, a07, a08, a09, a0A, a0C, a0D, a0F, a0G, a0H, a0I, a0J, a0L, a0M, a0R, a0S
            , a0T, a0U, a0X, a0Y, a0a, a0g, a0h, a0l, a0v, a0w, a0x, a0z, a110, a114, a116, a117, a119, a11a, a11c, a11d, a17, a18
            , a19, a1A, a1F, a1H, a1J, a1L, a1M, a1S, a1T, a1U, a1X, a1Y, a1a, a1f, a1g, a1h, a1k, a1l, a1v, a1w, a1x, a1y
            , a1z, a215, a216, a218, a219, a21b, a21c, a21d, a27, a28, a29, a2C, a2D, a2E, a2F, a2H, a2J, a2L, a2M, a2S, a2T, a2U
            , a2W, a2Y, a2Z, a2a, a2f, a2g, a2h, a2k, a2l, a2v, a2w, a2x, a2y, a314, a315, a317, a318, a31a, a31b, a37, a38, a39
            , a3A, a3B, a3C, a3D, a3E, a3F, a3H, a3J, a3L, a3M, a3Q, a3R, a3S, a3T, a3U, a3W, a3Y, a3Z, a3a, a3f, a3g, a3h
            , a3k, a3l, a3v, a3w, a3x, a413, a414, a416, a417, a419, a41a, a41c, a47, a48, a49, a4A, a4B, a4E, a4F, a4H, a4J, a4L
            , a4M, a4Q, a4R, a4S, a4T, a4U, a4W, a4Z, a4a, a4f, a4g, a4h, a4k, a4l, a4v, a4w, a4x, a4y, a513, a515, a516, a518
            , a519, a51b, a51c, a56, a57, a58, a59, a5D, a5E, a5H, a5J, a5L, a5M, a5Q, a5R, a5S, a5T, a5W, a5Z, a5a, a5f, a5g
            , a5h, a5j, a5k, a5l, a5u, a5v, a5w, a5x, a5y, a614, a615, a617, a618, a61a, a61b, a66, a67, a68, a69, a6A, a6B, a6D
            , a6E, a6H, a6J, a6L, a6M, a6Q, a6R, a6S, a6T, a6W, a6Z, a6a, a6f, a6g, a6h, a6j, a6k, a6l, a6u, a6v, a6w, a6x
            , a713, a714, a716, a717, a719, a71a, a71c, a76, a77, a78, a79, a7A, a7B, a7E, a7H, a7J, a7K, a7L, a7Q, a7R, a7S, a7T
            , a7W, a7Z, a7f, a7g, a7h, a7j, a7k, a7u, a7v, a7w, a7y, a7z, a813, a815, a816, a818, a819, a81b, a81c, a81d, a86, a87
            , a88, a89, a8D, a8H, a8J, a8K, a8L, a8Q, a8R, a8S, a8T, a8W, a8Z, a8f, a8g, a8h, a8j, a8k, a8u, a8v, a8w, a8y
            , a8z, a914, a915, a917, a918, a91a, a91b, a91d, a96, a97, a98, a99, a9B, a9C, a9D, a9E, a9F, a9G, a9H, a9I, a9K, a9L
            , a9Q, a9R, a9S, a9T, a9W, a9Z, a9f, a9g, a9k, a9u, a9v, a9w, b, b2, b3, b4, b5, b6, b7, b8, b9, s
            , s01, s02, s03, s04, s05, s06, s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0G, s0a, s0b, s0c, s0d, s0e, s0f
            , s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11, s12
            , s13, s14, s15, s16, s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1F, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i
            , s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24
            , s25, s26, s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2F, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k
            , s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33, s34, s35, s36
            , s37, s38, s39, s3A, s3B, s3C, s3D, s3E, s3F, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m
            , s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44, s45, s46, s47, s48
            , s49, s4A, s4B, s4C, s4D, s4E, s4F, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o
            , s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5A
            , s5B, s5C, s5D, s5E, s5F, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q
            , s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6A, s6B, s6C
            , s6D, s6E, s6F, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s
            , s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7A, s7B, s7C, s7D, s7E
            , s7F, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u
            , s7v, s7w, s7x, s7y, s7z, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8A, s8B, s8C, s8D, s8E, s8F, s8a
            , s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w
            , s8x, s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9C, s9D, s9E, s9F, s9a, s9b, s9c
            , s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y
            , s9z, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k
            , t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t12, t13, t14, t15, t16, t17
            , t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t
            , t1u, t1v, t1w, t1x, t1y, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g
            , t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t3, t31, t32, t33
            , t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p
            , t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c
            , t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y
            , t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l
            , t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t6, t61, t62, t63, t64, t65, t66, t67, t68
            , t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u
            , t6v, t6w, t6x, t6y, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h
            , t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t8, t81, t82, t83, t84
            , t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q
            , t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d
            , t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y;
    const __m64  *a0b, *a0c, *a0m, *a0n, *a0o, *a0p, *a11, *a12, *a14, *a1d, *a1e, *a1q, *a1r, *a1t, *a1u, *a32, *a33, *a3b, *a3c, *a3e, *a3m, *a3n
            , *a3o, *a3p, *a3r, *a3s, *a3u, *a4, *a5, *a51, *a53, *a54, *a5b, *a5c, *a5d, *a5m, *a5n, *a5o, *a5p, *a5q, *a5s, *a5t, *a71, *a72
            , *a74, *a7d, *a7e, *a7q, *a7r, *a7t, *a8a, *a8b, *a8l, *a8m, *a8n, *a8o, *a9, *a92, *a93, *a9c, *a9e, *a9p, *a9r, *a9s;
    __m128  *a, *a011, *a012, *a013, *a016, *a019, *a01c, *a01d, *a01e, *a0B, *a0E, *a0K, *a0N, *a0O, *a0P, *a0Q, *a0V, *a0W, *a0Z, *a0i, *a0j, *a0k
            , *a0y, *a111, *a112, *a113, *a115, *a118, *a11b, *a11e, *a1B, *a1C, *a1D, *a1E, *a1G, *a1I, *a1K, *a1N, *a1O, *a1P, *a1Q, *a1V, *a1W, *a1Z
            , *a1i, *a1j, *a210, *a211, *a212, *a213, *a214, *a217, *a21a, *a21e, *a2A, *a2B, *a2G, *a2I, *a2K, *a2N, *a2O, *a2P, *a2R, *a2V, *a2X, *a2i
            , *a2j, *a2z, *a310, *a311, *a312, *a313, *a316, *a319, *a31c, *a31e, *a3G, *a3I, *a3K, *a3N, *a3O, *a3P, *a3V, *a3X, *a3i, *a3j, *a3y, *a3z
            , *a410, *a411, *a412, *a415, *a418, *a41b, *a41d, *a4C, *a4D, *a4G, *a4I, *a4K, *a4N, *a4O, *a4P, *a4V, *a4X, *a4Y, *a4i, *a4z, *a510, *a511
            , *a512, *a514, *a517, *a51a, *a51d, *a5A, *a5B, *a5C, *a5F, *a5G, *a5I, *a5K, *a5N, *a5O, *a5P, *a5U, *a5V, *a5X, *a5Y, *a5i, *a5z, *a610
            , *a611, *a612, *a613, *a616, *a619, *a61c, *a61d, *a6C, *a6F, *a6G, *a6I, *a6K, *a6N, *a6O, *a6P, *a6U, *a6V, *a6X, *a6Y, *a6i, *a6y, *a6z
            , *a710, *a711, *a712, *a715, *a718, *a71b, *a71d, *a7C, *a7D, *a7F, *a7G, *a7I, *a7M, *a7N, *a7O, *a7P, *a7U, *a7V, *a7X, *a7Y, *a7i, *a7x
            , *a810, *a811, *a812, *a814, *a817, *a81a, *a8A, *a8B, *a8C, *a8E, *a8F, *a8G, *a8I, *a8M, *a8N, *a8O, *a8P, *a8U, *a8V, *a8X, *a8Y, *a8i
            , *a8x, *a910, *a911, *a912, *a913, *a916, *a919, *a91c, *a9A, *a9J, *a9M, *a9N, *a9O, *a9P, *a9U, *a9V, *a9X, *a9Y, *a9h, *a9i, *a9x, *a9y
            , *a9z, *b21, *b31, *b41, *b51, *b61;
    float  *a01f, *a11f, *a21f, *a31d, *a61e, *a71e, *a81e, *a91e, *b71;
    const float  *a01, *a03, *a04, *a0d, *a0f, *a0q, *a0s, *a0t, *a1b, *a1c, *a1m, *a1n, *a1o, *a1p, *a21, *a22, *a24, *a2d, *a2e, *a2q, *a2r, *a2t
            , *a2u, *a42, *a43, *a4b, *a4c, *a4e, *a4m, *a4n, *a4o, *a4p, *a4r, *a4s, *a4u, *a6, *a61, *a63, *a64, *a6b, *a6c, *a6d, *a6m, *a6n
            , *a6o, *a6p, *a6q, *a6s, *a6t, *a81, *a82, *a84, *a8d, *a8e, *a8q, *a8r, *a8t, *a9a, *a9b, *a9l, *a9m, *a9n, *a9o, *b01, *b11;
    int a1R, a2Q, a41e, a4j, a51e, a9j;
    a4 = ((const __m64  *) src);
    a3 = _mm_loadl_pi(_mm_set1_ps(0.0f), a4);
    a6 = (src + 256);
    a5 = ((const __m64  *) a6);
    a2 = _mm_loadh_pi(a3, a5);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a2);
    a01 = (src + 512);
    a9 = ((const __m64  *) a01);
    a8 = _mm_loadl_pi(_mm_set1_ps(0.0f), a9);
    a21 = (src + 768);
    a11 = ((const __m64  *) a21);
    a7 = _mm_loadh_pi(a8, a11);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a7);
    a61 = (src + 1024);
    a51 = ((const __m64  *) a61);
    a41 = _mm_loadl_pi(_mm_set1_ps(0.0f), a51);
    a81 = (src + 1280);
    a71 = ((const __m64  *) a81);
    a31 = _mm_loadh_pi(a41, a71);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a31);
    a22 = (src + 1536);
    a12 = ((const __m64  *) a22);
    a02 = _mm_loadl_pi(_mm_set1_ps(0.0f), a12);
    a42 = (src + 1792);
    a32 = ((const __m64  *) a42);
    a91 = _mm_loadh_pi(a02, a32);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a91);
    a82 = (src + 2048);
    a72 = ((const __m64  *) a82);
    a62 = _mm_loadl_pi(_mm_set1_ps(0.0f), a72);
    a03 = (src + 2304);
    a92 = ((const __m64  *) a03);
    a52 = _mm_loadh_pi(a62, a92);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a52);
    a43 = (src + 2560);
    a33 = ((const __m64  *) a43);
    a23 = _mm_loadl_pi(_mm_set1_ps(0.0f), a33);
    a63 = (src + 2816);
    a53 = ((const __m64  *) a63);
    a13 = _mm_loadh_pi(a23, a53);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a13);
    a04 = (src + 3072);
    a93 = ((const __m64  *) a04);
    a83 = _mm_loadl_pi(_mm_set1_ps(0.0f), a93);
    a24 = (src + 3328);
    a14 = ((const __m64  *) a24);
    a73 = _mm_loadh_pi(a83, a14);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a73);
    a64 = (src + 3584);
    a54 = ((const __m64  *) a64);
    a44 = _mm_loadl_pi(_mm_set1_ps(0.0f), a54);
    a84 = (src + 3840);
    a74 = ((const __m64  *) a84);
    a34 = _mm_loadh_pi(a44, a74);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a34);
    a94 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a94);
    a05 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a05);
    a15 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a25 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a35 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a45 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a55 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a55);
    a65 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a65);
    a75 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a75, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a85, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a95, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a06 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a06, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a16 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a16, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a26, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a36, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a46 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a46, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a76 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a56 = _mm_add_ps(a66, a76);
    s52 = _mm_sub_ps(a56, s02);
    a86 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a96 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a86, a96);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a17 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a27 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a07 = _mm_sub_ps(a17, a27);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a07);
    a47 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a37 = _mm_sub_ps(a47, s42);
    a57 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a67 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a37, a57);
    s43 = _mm_add_ps(b3, a67);
    a87 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a97 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a77 = _mm_sub_ps(a87, a97);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a77);
    a08 = _mm_sub_ps(s21, s12);
    a18 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a28 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a08, a18);
    s63 = _mm_add_ps(b5, a28);
    a48 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a58 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a38 = _mm_sub_ps(a48, a58);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a38);
    a68 = _mm_sub_ps(s41, s22);
    a78 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a88 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a68, a78);
    s83 = _mm_add_ps(b7, a88);
    a09 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a19 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a98 = _mm_sub_ps(a09, a19);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a98);
    a29 = _mm_sub_ps(s61, s32);
    a39 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a49 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a29, a39);
    s04 = _mm_add_ps(b9, a49);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a59 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a69 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a59, a69);
    a79 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a89 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a79, a89);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a99 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a0a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a99, a0a);
    a1a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a2a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a1a, a2a);
    a3a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a4a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a6a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a5a, a6a);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a9a = (src + 128);
    a8a = ((const __m64  *) a9a);
    a7a = _mm_loadl_pi(_mm_set1_ps(0.0f), a8a);
    a1b = (src + 640);
    a0b = ((const __m64  *) a1b);
    s17 = _mm_loadh_pi(a7a, a0b);
    a4b = (src + 1152);
    a3b = ((const __m64  *) a4b);
    a2b = _mm_loadl_pi(_mm_set1_ps(0.0f), a3b);
    a6b = (src + 1664);
    a5b = ((const __m64  *) a6b);
    s27 = _mm_loadh_pi(a2b, a5b);
    a9b = (src + 2176);
    a8b = ((const __m64  *) a9b);
    a7b = _mm_loadl_pi(_mm_set1_ps(0.0f), a8b);
    a1c = (src + 2688);
    a0c = ((const __m64  *) a1c);
    s37 = _mm_loadh_pi(a7b, a0c);
    a4c = (src + 3200);
    a3c = ((const __m64  *) a4c);
    a2c = _mm_loadl_pi(_mm_set1_ps(0.0f), a3c);
    a6c = (src + 3712);
    a5c = ((const __m64  *) a6c);
    s47 = _mm_loadh_pi(a2c, a5c);
    a0d = (src + 3968);
    a9c = ((const __m64  *) a0d);
    a8c = _mm_loadl_pi(_mm_set1_ps(0.0f), a9c);
    a2d = (src + 3456);
    a1d = ((const __m64  *) a2d);
    a7c = _mm_loadh_pi(a8c, a1d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7c);
    a6d = (src + 2944);
    a5d = ((const __m64  *) a6d);
    a4d = _mm_loadl_pi(_mm_set1_ps(0.0f), a5d);
    a8d = (src + 2432);
    a7d = ((const __m64  *) a8d);
    a3d = _mm_loadh_pi(a4d, a7d);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3d);
    a2e = (src + 1920);
    a1e = ((const __m64  *) a2e);
    a0e = _mm_loadl_pi(_mm_set1_ps(0.0f), a1e);
    a4e = (src + 1408);
    a3e = ((const __m64  *) a4e);
    a9d = _mm_loadh_pi(a0e, a3e);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9d);
    a8e = (src + 896);
    a7e = ((const __m64  *) a8e);
    a6e = _mm_loadl_pi(_mm_set1_ps(0.0f), a7e);
    a0f = (src + 384);
    a9e = ((const __m64  *) a0f);
    a5e = _mm_loadh_pi(a6e, a9e);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a1f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a2f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a4f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a3f, a4f);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a5f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a6f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a5f, a6f);
    a7f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a8f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a7f, a8f);
    a9f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a0g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a2g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a1g, a2g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a3g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t75);
    a4g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t85);
    s9a = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t75);
    a6g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t85);
    s0b = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t95);
    a8g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t06);
    s1b = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t95);
    a0h = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t06);
    s2b = _mm_add_ps(a9g, a0h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a1h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t16);
    a2h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t26);
    s3b = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t16);
    a4h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t26);
    s4b = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t36);
    a6h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t46);
    s5b = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t36);
    a8h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t46);
    s6b = _mm_add_ps(a7h, a8h);
    a = ((__m128  *) T);
    s7b = _mm_add_ps(s36, s9a);
    *(a) = s7b;
    s8b = _mm_sub_ps(s36, s9a);
    a9h = (a + 8);
    *(a9h) = s8b;
    s9b = _mm_sub_ps(s56, s0b);
    a0i = (a + 4);
    *(a0i) = s9b;
    s0c = _mm_add_ps(s56, s0b);
    a1i = (a + 12);
    *(a1i) = s0c;
    s1c = _mm_add_ps(s46, s3b);
    a2i = (a + 1);
    *(a2i) = s1c;
    s2c = _mm_sub_ps(s46, s3b);
    a3i = (a + 9);
    *(a3i) = s2c;
    s3c = _mm_sub_ps(s66, s4b);
    a4i = (a + 5);
    *(a4i) = s3c;
    s4c = _mm_add_ps(s66, s4b);
    a5i = (a + 13);
    *(a5i) = s4c;
    s5c = _mm_add_ps(s76, s1b);
    a6i = (a + 2);
    *(a6i) = s5c;
    s6c = _mm_sub_ps(s76, s1b);
    a7i = (a + 10);
    *(a7i) = s6c;
    s7c = _mm_sub_ps(s96, s2b);
    a8i = (a + 6);
    *(a8i) = s7c;
    s8c = _mm_add_ps(s96, s2b);
    a9i = (a + 14);
    *(a9i) = s8c;
    s9c = _mm_add_ps(s86, s5b);
    a0j = (a + 3);
    *(a0j) = s9c;
    s0d = _mm_sub_ps(s86, s5b);
    a1j = (a + 11);
    *(a1j) = s0d;
    s1d = _mm_sub_ps(s07, s6b);
    a2j = (a + 7);
    *(a2j) = s1d;
    s2d = _mm_add_ps(s07, s6b);
    a3j = (a + 15);
    *(a3j) = s2d;
    {long i; for(i = 0; i <= 62; i++) {
        a4j = (2 * i);
        b01 = (src + a4j);
        a9l = (b01 + 2);
        a8l = ((const __m64  *) a9l);
        a7l = _mm_loadl_pi(_mm_set1_ps(0.0f), a8l);
        a1m = (b01 + 258);
        a0m = ((const __m64  *) a1m);
        s3d = _mm_loadh_pi(a7l, a0m);
        a4m = (b01 + 514);
        a3m = ((const __m64  *) a4m);
        a2m = _mm_loadl_pi(_mm_set1_ps(0.0f), a3m);
        a6m = (b01 + 770);
        a5m = ((const __m64  *) a6m);
        s4d = _mm_loadh_pi(a2m, a5m);
        a9m = (b01 + 1026);
        a8m = ((const __m64  *) a9m);
        a7m = _mm_loadl_pi(_mm_set1_ps(0.0f), a8m);
        a1n = (b01 + 1282);
        a0n = ((const __m64  *) a1n);
        s5d = _mm_loadh_pi(a7m, a0n);
        a4n = (b01 + 1538);
        a3n = ((const __m64  *) a4n);
        a2n = _mm_loadl_pi(_mm_set1_ps(0.0f), a3n);
        a6n = (b01 + 1794);
        a5n = ((const __m64  *) a6n);
        s6d = _mm_loadh_pi(a2n, a5n);
        a9n = (b01 + 2050);
        a8n = ((const __m64  *) a9n);
        a7n = _mm_loadl_pi(_mm_set1_ps(0.0f), a8n);
        a1o = (b01 + 2306);
        a0o = ((const __m64  *) a1o);
        s7d = _mm_loadh_pi(a7n, a0o);
        a4o = (b01 + 2562);
        a3o = ((const __m64  *) a4o);
        a2o = _mm_loadl_pi(_mm_set1_ps(0.0f), a3o);
        a6o = (b01 + 2818);
        a5o = ((const __m64  *) a6o);
        s8d = _mm_loadh_pi(a2o, a5o);
        a9o = (b01 + 3074);
        a8o = ((const __m64  *) a9o);
        a7o = _mm_loadl_pi(_mm_set1_ps(0.0f), a8o);
        a1p = (b01 + 3330);
        a0p = ((const __m64  *) a1p);
        s9d = _mm_loadh_pi(a7o, a0p);
        a4p = (b01 + 3586);
        a3p = ((const __m64  *) a4p);
        a2p = _mm_loadl_pi(_mm_set1_ps(0.0f), a3p);
        a6p = (b01 + 3842);
        a5p = ((const __m64  *) a6p);
        s0e = _mm_loadh_pi(a2p, a5p);
        b11 = (src - a4j);
        a0q = (b11 + 4094);
        a9p = ((const __m64  *) a0q);
        a8p = _mm_loadl_pi(_mm_set1_ps(0.0f), a9p);
        a2q = (b11 + 3838);
        a1q = ((const __m64  *) a2q);
        a7p = _mm_loadh_pi(a8p, a1q);
        s1e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7p);
        a6q = (b11 + 3582);
        a5q = ((const __m64  *) a6q);
        a4q = _mm_loadl_pi(_mm_set1_ps(0.0f), a5q);
        a8q = (b11 + 3326);
        a7q = ((const __m64  *) a8q);
        a3q = _mm_loadh_pi(a4q, a7q);
        s2e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3q);
        a2r = (b11 + 3070);
        a1r = ((const __m64  *) a2r);
        a0r = _mm_loadl_pi(_mm_set1_ps(0.0f), a1r);
        a4r = (b11 + 2814);
        a3r = ((const __m64  *) a4r);
        a9q = _mm_loadh_pi(a0r, a3r);
        s3e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9q);
        a8r = (b11 + 2558);
        a7r = ((const __m64  *) a8r);
        a6r = _mm_loadl_pi(_mm_set1_ps(0.0f), a7r);
        a0s = (b11 + 2302);
        a9r = ((const __m64  *) a0s);
        a5r = _mm_loadh_pi(a6r, a9r);
        s4e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5r);
        a4s = (b11 + 2046);
        a3s = ((const __m64  *) a4s);
        a2s = _mm_loadl_pi(_mm_set1_ps(0.0f), a3s);
        a6s = (b11 + 1790);
        a5s = ((const __m64  *) a6s);
        a1s = _mm_loadh_pi(a2s, a5s);
        s5e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1s);
        a0t = (b11 + 1534);
        a9s = ((const __m64  *) a0t);
        a8s = _mm_loadl_pi(_mm_set1_ps(0.0f), a9s);
        a2t = (b11 + 1278);
        a1t = ((const __m64  *) a2t);
        a7s = _mm_loadh_pi(a8s, a1t);
        s6e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7s);
        a6t = (b11 + 1022);
        a5t = ((const __m64  *) a6t);
        a4t = _mm_loadl_pi(_mm_set1_ps(0.0f), a5t);
        a8t = (b11 + 766);
        a7t = ((const __m64  *) a8t);
        a3t = _mm_loadh_pi(a4t, a7t);
        s7e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3t);
        a2u = (b11 + 510);
        a1u = ((const __m64  *) a2u);
        a0u = _mm_loadl_pi(_mm_set1_ps(0.0f), a1u);
        a4u = (b11 + 254);
        a3u = ((const __m64  *) a4u);
        a9t = _mm_loadh_pi(a0u, a3u);
        s8e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9t);
        s9e = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(2, 0, 2, 0));
        s0f = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(3, 1, 3, 1));
        s1f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(2, 0, 2, 0));
        s2f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(3, 1, 3, 1));
        t56 = _mm_add_ps(s9e, s1f);
        t66 = _mm_add_ps(s0f, s2f);
        t76 = _mm_sub_ps(s9e, s1f);
        t86 = _mm_sub_ps(s0f, s2f);
        s3f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(2, 0, 2, 0));
        s4f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(3, 1, 3, 1));
        s5f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(2, 0, 2, 0));
        s6f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(3, 1, 3, 1));
        t96 = _mm_add_ps(s3f, s5f);
        t07 = _mm_add_ps(s4f, s6f);
        t17 = _mm_sub_ps(s3f, s5f);
        t27 = _mm_sub_ps(s4f, s6f);
        t37 = _mm_add_ps(t56, t96);
        t47 = _mm_add_ps(t66, t07);
        t57 = _mm_sub_ps(t56, t96);
        t67 = _mm_sub_ps(t66, t07);
        t77 = _mm_sub_ps(t76, t27);
        t87 = _mm_add_ps(t86, t17);
        t97 = _mm_add_ps(t76, t27);
        t08 = _mm_sub_ps(t86, t17);
        s7f = _mm_unpacklo_ps(t37, t77);
        s8f = _mm_unpackhi_ps(t37, t77);
        s9f = _mm_unpacklo_ps(t47, t87);
        s0g = _mm_unpackhi_ps(t47, t87);
        s1g = _mm_unpacklo_ps(t57, t97);
        s2g = _mm_unpackhi_ps(t57, t97);
        s3g = _mm_unpacklo_ps(t67, t08);
        s4g = _mm_unpackhi_ps(t67, t08);
        s5g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(1, 0, 1, 0));
        s6g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(3, 2, 3, 2));
        s7g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(1, 0, 1, 0));
        s8g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(3, 2, 3, 2));
        s9g = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(1, 0, 1, 0));
        s0h = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(3, 2, 3, 2));
        s1h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(1, 0, 1, 0));
        s2h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(3, 2, 3, 2));
        s3h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(2, 0, 2, 0));
        s4h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(3, 1, 3, 1));
        s5h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(2, 0, 2, 0));
        s6h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(3, 1, 3, 1));
        t18 = _mm_add_ps(s3h, s5h);
        t28 = _mm_add_ps(s4h, s6h);
        t38 = _mm_sub_ps(s3h, s5h);
        t48 = _mm_sub_ps(s4h, s6h);
        s7h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(2, 0, 2, 0));
        s8h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(3, 1, 3, 1));
        s9h = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(2, 0, 2, 0));
        s0i = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(3, 1, 3, 1));
        t58 = _mm_add_ps(s7h, s9h);
        t68 = _mm_add_ps(s8h, s0i);
        t78 = _mm_sub_ps(s7h, s9h);
        t88 = _mm_sub_ps(s8h, s0i);
        t98 = _mm_add_ps(t18, t58);
        t09 = _mm_add_ps(t28, t68);
        t19 = _mm_sub_ps(t18, t58);
        t29 = _mm_sub_ps(t28, t68);
        t39 = _mm_sub_ps(t38, t88);
        t49 = _mm_add_ps(t48, t78);
        t59 = _mm_add_ps(t38, t88);
        t69 = _mm_sub_ps(t48, t78);
        s1i = _mm_unpacklo_ps(t98, t39);
        s2i = _mm_unpackhi_ps(t98, t39);
        s3i = _mm_unpacklo_ps(t09, t49);
        s4i = _mm_unpackhi_ps(t09, t49);
        s5i = _mm_unpacklo_ps(t19, t59);
        s6i = _mm_unpackhi_ps(t19, t59);
        s7i = _mm_unpacklo_ps(t29, t69);
        s8i = _mm_unpackhi_ps(t29, t69);
        s9i = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(1, 0, 1, 0));
        s0j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(3, 2, 3, 2));
        s1j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(1, 0, 1, 0));
        s2j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(3, 2, 3, 2));
        s3j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(1, 0, 1, 0));
        s4j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(3, 2, 3, 2));
        s5j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(1, 0, 1, 0));
        s6j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(3, 2, 3, 2));
        a5u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9i);
        a6u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3j);
        s7j = _mm_sub_ps(a5u, a6u);
        a7u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s9i);
        a8u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3j);
        s8j = _mm_add_ps(a7u, a8u);
        t79 = _mm_add_ps(s5g, s7j);
        t89 = _mm_add_ps(s9g, s8j);
        t99 = _mm_sub_ps(s5g, s7j);
        t0a = _mm_sub_ps(s9g, s8j);
        a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7g);
        a0v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s1h);
        s9j = _mm_sub_ps(a9u, a0v);
        a1v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s7g);
        a2v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1h);
        s0k = _mm_add_ps(a1v, a2v);
        a3v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1j);
        a4v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s5j);
        s1k = _mm_sub_ps(a3v, a4v);
        a5v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s1j);
        a6v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5j);
        s2k = _mm_add_ps(a5v, a6v);
        t1a = _mm_add_ps(s9j, s1k);
        t2a = _mm_add_ps(s0k, s2k);
        t3a = _mm_sub_ps(s9j, s1k);
        t4a = _mm_sub_ps(s0k, s2k);
        t5a = _mm_add_ps(t79, t1a);
        t6a = _mm_add_ps(t89, t2a);
        t7a = _mm_sub_ps(t79, t1a);
        t8a = _mm_sub_ps(t89, t2a);
        t9a = _mm_sub_ps(t99, t4a);
        t0b = _mm_add_ps(t0a, t3a);
        t1b = _mm_add_ps(t99, t4a);
        t2b = _mm_sub_ps(t0a, t3a);
        a7v = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6g);
        a8v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s0h);
        s3k = _mm_sub_ps(a7v, a8v);
        a9v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s6g);
        a0w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0h);
        s4k = _mm_add_ps(a9v, a0w);
        a1w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0j);
        a2w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s4j);
        s5k = _mm_sub_ps(a1w, a2w);
        a3w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s0j);
        a4w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4j);
        s6k = _mm_add_ps(a3w, a4w);
        t3b = _mm_add_ps(s3k, s5k);
        t4b = _mm_add_ps(s4k, s6k);
        t5b = _mm_sub_ps(s3k, s5k);
        t6b = _mm_sub_ps(s4k, s6k);
        a5w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8g);
        a6w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s2h);
        s7k = _mm_sub_ps(a5w, a6w);
        a7w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s8g);
        a8w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2h);
        s8k = _mm_add_ps(a7w, a8w);
        a9w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2j);
        a0x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s6j);
        s9k = _mm_sub_ps(a9w, a0x);
        a1x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s2j);
        a2x = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6j);
        s0l = _mm_add_ps(a1x, a2x);
        t7b = _mm_add_ps(s7k, s9k);
        t8b = _mm_add_ps(s8k, s0l);
        t9b = _mm_sub_ps(s7k, s9k);
        t0c = _mm_sub_ps(s8k, s0l);
        t1c = _mm_add_ps(t3b, t7b);
        t2c = _mm_add_ps(t4b, t8b);
        t3c = _mm_sub_ps(t3b, t7b);
        t4c = _mm_sub_ps(t4b, t8b);
        a3x = _mm_sub_ps(t5b, t0c);
        a5j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3x);
        a4x = _mm_add_ps(t6b, t9b);
        a6j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4x);
        s1l = _mm_sub_ps(a5j, a6j);
        s2l = _mm_add_ps(a5j, a6j);
        a5x = _mm_add_ps(t5b, t0c);
        a7j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5x);
        a6x = _mm_sub_ps(t6b, t9b);
        a8j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6x);
        s3l = _mm_sub_ps(a7j, a8j);
        s4l = _mm_add_ps(a7j, a8j);
        t5c = _mm_add_ps(t5a, t1c);
        t6c = _mm_add_ps(t6a, t2c);
        t7c = _mm_sub_ps(t5a, t1c);
        t8c = _mm_sub_ps(t6a, t2c);
        a9j = (16 * i);
        a0k = (D30 + a9j);
        a1k = *(a0k);
        a7x = (a0k + 1);
        a2k = *(a7x);
        a8x = (a0k + 2);
        a3k = *(a8x);
        a9x = (a0k + 3);
        a4k = *(a9x);
        a0y = ((__m128  *) T);
        b21 = (a0y + a9j);
        a1y = _mm_mul_ps(a1k, t5c);
        a2y = _mm_mul_ps(a2k, t6c);
        s5l = _mm_sub_ps(a1y, a2y);
        a3y = (b21 + 16);
        *(a3y) = s5l;
        a4y = _mm_mul_ps(a2k, t5c);
        a5y = _mm_mul_ps(a1k, t6c);
        s6l = _mm_add_ps(a4y, a5y);
        a6y = (b21 + 24);
        *(a6y) = s6l;
        a7y = _mm_mul_ps(a3k, t7c);
        a8y = _mm_mul_ps(a4k, t8c);
        s7l = _mm_sub_ps(a7y, a8y);
        a9y = (b21 + 20);
        *(a9y) = s7l;
        a0z = _mm_mul_ps(a4k, t7c);
        a1z = _mm_mul_ps(a3k, t8c);
        s8l = _mm_add_ps(a0z, a1z);
        a2z = (b21 + 28);
        *(a2z) = s8l;
        t9c = _mm_add_ps(t9a, s1l);
        t0d = _mm_add_ps(t0b, s2l);
        t1d = _mm_sub_ps(t9a, s1l);
        t2d = _mm_sub_ps(t0b, s2l);
        a3z = (a0k + 4);
        a5k = *(a3z);
        a4z = (a0k + 5);
        a6k = *(a4z);
        a5z = (a0k + 6);
        a7k = *(a5z);
        a6z = (a0k + 7);
        a8k = *(a6z);
        a7z = _mm_mul_ps(a5k, t9c);
        a8z = _mm_mul_ps(a6k, t0d);
        s9l = _mm_sub_ps(a7z, a8z);
        a9z = (b21 + 17);
        *(a9z) = s9l;
        a0A = _mm_mul_ps(a6k, t9c);
        a1A = _mm_mul_ps(a5k, t0d);
        s0m = _mm_add_ps(a0A, a1A);
        a2A = (b21 + 25);
        *(a2A) = s0m;
        a3A = _mm_mul_ps(a7k, t1d);
        a4A = _mm_mul_ps(a8k, t2d);
        s1m = _mm_sub_ps(a3A, a4A);
        a5A = (b21 + 21);
        *(a5A) = s1m;
        a6A = _mm_mul_ps(a8k, t1d);
        a7A = _mm_mul_ps(a7k, t2d);
        s2m = _mm_add_ps(a6A, a7A);
        a8A = (b21 + 29);
        *(a8A) = s2m;
        t3d = _mm_sub_ps(t7a, t4c);
        t4d = _mm_add_ps(t8a, t3c);
        t5d = _mm_add_ps(t7a, t4c);
        t6d = _mm_sub_ps(t8a, t3c);
        a9A = (a0k + 8);
        a9k = *(a9A);
        a0B = (a0k + 9);
        a0l = *(a0B);
        a1B = (a0k + 10);
        a1l = *(a1B);
        a2B = (a0k + 11);
        a2l = *(a2B);
        a3B = _mm_mul_ps(a9k, t3d);
        a4B = _mm_mul_ps(a0l, t4d);
        s3m = _mm_sub_ps(a3B, a4B);
        a5B = (b21 + 18);
        *(a5B) = s3m;
        a6B = _mm_mul_ps(a0l, t3d);
        a7B = _mm_mul_ps(a9k, t4d);
        s4m = _mm_add_ps(a6B, a7B);
        a8B = (b21 + 26);
        *(a8B) = s4m;
        a9B = _mm_mul_ps(a1l, t5d);
        a0C = _mm_mul_ps(a2l, t6d);
        s5m = _mm_sub_ps(a9B, a0C);
        a1C = (b21 + 22);
        *(a1C) = s5m;
        a2C = _mm_mul_ps(a2l, t5d);
        a3C = _mm_mul_ps(a1l, t6d);
        s6m = _mm_add_ps(a2C, a3C);
        a4C = (b21 + 30);
        *(a4C) = s6m;
        t7d = _mm_add_ps(t1b, s3l);
        t8d = _mm_sub_ps(t2b, s4l);
        t9d = _mm_sub_ps(t1b, s3l);
        t0e = _mm_add_ps(t2b, s4l);
        a5C = (a0k + 12);
        a3l = *(a5C);
        a6C = (a0k + 13);
        a4l = *(a6C);
        a7C = (a0k + 14);
        a5l = *(a7C);
        a8C = (a0k + 15);
        a6l = *(a8C);
        a9C = _mm_mul_ps(a3l, t7d);
        a0D = _mm_mul_ps(a4l, t8d);
        s7m = _mm_sub_ps(a9C, a0D);
        a1D = (b21 + 19);
        *(a1D) = s7m;
        a2D = _mm_mul_ps(a4l, t7d);
        a3D = _mm_mul_ps(a3l, t8d);
        s8m = _mm_add_ps(a2D, a3D);
        a4D = (b21 + 27);
        *(a4D) = s8m;
        a5D = _mm_mul_ps(a5l, t9d);
        a6D = _mm_mul_ps(a6l, t0e);
        s9m = _mm_sub_ps(a5D, a6D);
        a7D = (b21 + 23);
        *(a7D) = s9m;
        a8D = _mm_mul_ps(a6l, t9d);
        a9D = _mm_mul_ps(a5l, t0e);
        s0n = _mm_add_ps(a8D, a9D);
        a0E = (b21 + 31);
        *(a0E) = s0n;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a7M = ((__m128  *) T);
        a1E = (a7M + i2);
        s1n = *(a1E);
        a8M = (a1E + 512);
        s2n = *(a8M);
        t1e = _mm_add_ps(s1n, s2n);
        t2e = _mm_sub_ps(s1n, s2n);
        a9M = (a1E + 8);
        s3n = *(a9M);
        a0N = (a1E + 520);
        s4n = *(a0N);
        t3e = _mm_sub_ps(s3n, s4n);
        t4e = _mm_add_ps(s3n, s4n);
        a5F = (a1E + 256);
        s5n = *(a5F);
        a6F = (a1E + 264);
        s6n = *(a6F);
        a7F = (a1E + 768);
        s7n = *(a7F);
        a8F = (a1E + 776);
        s8n = *(a8F);
        t5e = _mm_add_ps(s5n, s7n);
        t6e = _mm_sub_ps(s6n, s8n);
        a9F = _mm_sub_ps(s5n, s7n);
        a2E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9F);
        a0G = _mm_add_ps(s6n, s8n);
        a3E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0G);
        s9n = _mm_sub_ps(a2E, a3E);
        s0o = _mm_add_ps(a2E, a3E);
        t7e = _mm_add_ps(t1e, t5e);
        t8e = _mm_sub_ps(t1e, t5e);
        t9e = _mm_sub_ps(t2e, t6e);
        t0f = _mm_add_ps(t2e, t6e);
        t1f = _mm_add_ps(t3e, s9n);
        t2f = _mm_sub_ps(t3e, s9n);
        t3f = _mm_sub_ps(t4e, s0o);
        t4f = _mm_add_ps(t4e, s0o);
        a1G = (a1E + 64);
        s1o = *(a1G);
        a2G = (a1E + 72);
        s2o = *(a2G);
        a3G = (a1E + 960);
        s3o = *(a3G);
        a4G = (a1E + 968);
        s4o = *(a4G);
        t5f = _mm_add_ps(s1o, s3o);
        t6f = _mm_sub_ps(s2o, s4o);
        t7f = _mm_sub_ps(s1o, s3o);
        t8f = _mm_add_ps(s2o, s4o);
        a5G = (a1E + 576);
        s5o = *(a5G);
        a6G = (a1E + 584);
        s6o = *(a6G);
        a7G = (a1E + 448);
        s7o = *(a7G);
        a8G = (a1E + 456);
        s8o = *(a8G);
        t9f = _mm_add_ps(s5o, s7o);
        t0g = _mm_sub_ps(s6o, s8o);
        t1g = _mm_sub_ps(s5o, s7o);
        t2g = _mm_add_ps(s6o, s8o);
        t3g = _mm_add_ps(t5f, t9f);
        t4g = _mm_add_ps(t6f, t0g);
        t5g = _mm_sub_ps(t5f, t9f);
        t6g = _mm_sub_ps(t6f, t0g);
        t7g = _mm_sub_ps(t7f, t2g);
        t8g = _mm_add_ps(t8f, t1g);
        t9g = _mm_add_ps(t7f, t2g);
        t0h = _mm_sub_ps(t8f, t1g);
        a9G = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t7g);
        a0H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t8g);
        s9o = _mm_sub_ps(a9G, a0H);
        a1H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t7g);
        a2H = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t8g);
        s0p = _mm_add_ps(a1H, a2H);
        a3H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5g);
        a4H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6g);
        s1p = _mm_sub_ps(a3H, a4H);
        a5H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5g);
        a6H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6g);
        s2p = _mm_add_ps(a5H, a6H);
        a7H = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t9g);
        a8H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t0h);
        s3p = _mm_sub_ps(a7H, a8H);
        a9H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t9g);
        a0I = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t0h);
        s4p = _mm_add_ps(a9H, a0I);
        a1I = (a1E + 128);
        s5p = *(a1I);
        a2I = (a1E + 136);
        s6p = *(a2I);
        a3I = (a1E + 896);
        s7p = *(a3I);
        a4I = (a1E + 904);
        s8p = *(a4I);
        t1h = _mm_add_ps(s5p, s7p);
        t2h = _mm_sub_ps(s6p, s8p);
        t3h = _mm_sub_ps(s5p, s7p);
        t4h = _mm_add_ps(s6p, s8p);
        a5I = (a1E + 640);
        s9p = *(a5I);
        a6I = (a1E + 648);
        s0q = *(a6I);
        a7I = (a1E + 384);
        s1q = *(a7I);
        a8I = (a1E + 392);
        s2q = *(a8I);
        t5h = _mm_add_ps(s9p, s1q);
        t6h = _mm_sub_ps(s0q, s2q);
        t7h = _mm_sub_ps(s9p, s1q);
        t8h = _mm_add_ps(s0q, s2q);
        t9h = _mm_add_ps(t1h, t5h);
        t0i = _mm_add_ps(t2h, t6h);
        t1i = _mm_sub_ps(t3h, t8h);
        t2i = _mm_add_ps(t4h, t7h);
        t3i = _mm_add_ps(t3h, t8h);
        t4i = _mm_sub_ps(t4h, t7h);
        a9I = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1i);
        a0J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2i);
        s3q = _mm_sub_ps(a9I, a0J);
        a1J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1i);
        a2J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2i);
        s4q = _mm_add_ps(a1J, a2J);
        a3J = _mm_sub_ps(t1h, t5h);
        a4E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3J);
        a4J = _mm_sub_ps(t2h, t6h);
        a5E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4J);
        s5q = _mm_sub_ps(a4E, a5E);
        s6q = _mm_add_ps(a4E, a5E);
        a5J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3i);
        a6J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4i);
        s7q = _mm_sub_ps(a5J, a6J);
        a7J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3i);
        a8J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4i);
        s8q = _mm_add_ps(a7J, a8J);
        a9J = (a1E + 192);
        s9q = *(a9J);
        a0K = (a1E + 200);
        s0r = *(a0K);
        a1K = (a1E + 832);
        s1r = *(a1K);
        a2K = (a1E + 840);
        s2r = *(a2K);
        t5i = _mm_add_ps(s9q, s1r);
        t6i = _mm_sub_ps(s0r, s2r);
        t7i = _mm_sub_ps(s9q, s1r);
        t8i = _mm_add_ps(s0r, s2r);
        a3K = (a1E + 704);
        s3r = *(a3K);
        a4K = (a1E + 712);
        s4r = *(a4K);
        a5K = (a1E + 320);
        s5r = *(a5K);
        a6K = (a1E + 328);
        s6r = *(a6K);
        t9i = _mm_add_ps(s3r, s5r);
        t0j = _mm_sub_ps(s4r, s6r);
        t1j = _mm_sub_ps(s3r, s5r);
        t2j = _mm_add_ps(s4r, s6r);
        t3j = _mm_add_ps(t5i, t9i);
        t4j = _mm_add_ps(t6i, t0j);
        t5j = _mm_sub_ps(t5i, t9i);
        t6j = _mm_sub_ps(t6i, t0j);
        t7j = _mm_sub_ps(t7i, t2j);
        t8j = _mm_add_ps(t8i, t1j);
        t9j = _mm_add_ps(t7i, t2j);
        t0k = _mm_sub_ps(t8i, t1j);
        a7K = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t7j);
        a8K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t8j);
        s7r = _mm_sub_ps(a7K, a8K);
        a9K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t7j);
        a0L = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t8j);
        s8r = _mm_add_ps(a9K, a0L);
        a1L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5j);
        a2L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6j);
        s9r = _mm_sub_ps(a1L, a2L);
        a3L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5j);
        a4L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6j);
        s0s = _mm_add_ps(a3L, a4L);
        a5L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t9j);
        a6L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t0k);
        s1s = _mm_sub_ps(a5L, a6L);
        a7L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t9j);
        a8L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t0k);
        s2s = _mm_add_ps(a7L, a8L);
        t1k = _mm_add_ps(t7e, t9h);
        t2k = _mm_sub_ps(t7e, t9h);
        t3k = _mm_sub_ps(t8e, t0i);
        t4k = _mm_add_ps(t8e, t0i);
        t5k = _mm_add_ps(t3g, t3j);
        t6k = _mm_sub_ps(t4g, t4j);
        a9L = _mm_sub_ps(t3g, t3j);
        a6E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9L);
        a0M = _mm_add_ps(t4g, t4j);
        a7E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0M);
        s3s = _mm_sub_ps(a6E, a7E);
        s4s = _mm_add_ps(a6E, a7E);
        a8E = ((__m128  *) T2);
        s5s = _mm_add_ps(t1k, t5k);
        *(a8E) = s5s;
        s6s = _mm_sub_ps(t1k, t5k);
        a1N = (a8E + 16);
        *(a1N) = s6s;
        s7s = _mm_sub_ps(t2k, t6k);
        a2N = (a8E + 8);
        *(a2N) = s7s;
        s8s = _mm_add_ps(t2k, t6k);
        a3N = (a8E + 24);
        *(a3N) = s8s;
        s9s = _mm_add_ps(t3k, s3s);
        a4N = (a8E + 4);
        *(a4N) = s9s;
        s0t = _mm_sub_ps(t3k, s3s);
        a5N = (a8E + 20);
        *(a5N) = s0t;
        s1t = _mm_sub_ps(t4k, s4s);
        a6N = (a8E + 12);
        *(a6N) = s1t;
        s2t = _mm_add_ps(t4k, s4s);
        a7N = (a8E + 28);
        *(a7N) = s2t;
        t7k = _mm_add_ps(t1f, s3q);
        t8k = _mm_sub_ps(t1f, s3q);
        t9k = _mm_sub_ps(t2f, s4q);
        t0l = _mm_add_ps(t2f, s4q);
        t1l = _mm_add_ps(s9o, s7r);
        t2l = _mm_sub_ps(s0p, s8r);
        a1M = _mm_sub_ps(s9o, s7r);
        a9E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1M);
        a2M = _mm_add_ps(s0p, s8r);
        a0F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2M);
        s3t = _mm_sub_ps(a9E, a0F);
        s4t = _mm_add_ps(a9E, a0F);
        s5t = _mm_add_ps(t7k, t1l);
        a8N = (a8E + 1);
        *(a8N) = s5t;
        s6t = _mm_sub_ps(t7k, t1l);
        a9N = (a8E + 17);
        *(a9N) = s6t;
        s7t = _mm_sub_ps(t8k, t2l);
        a0O = (a8E + 9);
        *(a0O) = s7t;
        s8t = _mm_add_ps(t8k, t2l);
        a1O = (a8E + 25);
        *(a1O) = s8t;
        s9t = _mm_add_ps(t9k, s3t);
        a2O = (a8E + 5);
        *(a2O) = s9t;
        s0u = _mm_sub_ps(t9k, s3t);
        a3O = (a8E + 21);
        *(a3O) = s0u;
        s1u = _mm_sub_ps(t0l, s4t);
        a4O = (a8E + 13);
        *(a4O) = s1u;
        s2u = _mm_add_ps(t0l, s4t);
        a5O = (a8E + 29);
        *(a5O) = s2u;
        t3l = _mm_add_ps(t9e, s5q);
        t4l = _mm_sub_ps(t9e, s5q);
        t5l = _mm_sub_ps(t0f, s6q);
        t6l = _mm_add_ps(t0f, s6q);
        t7l = _mm_add_ps(s1p, s9r);
        t8l = _mm_sub_ps(s2p, s0s);
        a3M = _mm_sub_ps(s1p, s9r);
        a1F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3M);
        a4M = _mm_add_ps(s2p, s0s);
        a2F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4M);
        s3u = _mm_sub_ps(a1F, a2F);
        s4u = _mm_add_ps(a1F, a2F);
        s5u = _mm_add_ps(t3l, t7l);
        a6O = (a8E + 2);
        *(a6O) = s5u;
        s6u = _mm_sub_ps(t3l, t7l);
        a7O = (a8E + 18);
        *(a7O) = s6u;
        s7u = _mm_sub_ps(t4l, t8l);
        a8O = (a8E + 10);
        *(a8O) = s7u;
        s8u = _mm_add_ps(t4l, t8l);
        a9O = (a8E + 26);
        *(a9O) = s8u;
        s9u = _mm_add_ps(t5l, s3u);
        a0P = (a8E + 6);
        *(a0P) = s9u;
        s0v = _mm_sub_ps(t5l, s3u);
        a1P = (a8E + 22);
        *(a1P) = s0v;
        s1v = _mm_sub_ps(t6l, s4u);
        a2P = (a8E + 14);
        *(a2P) = s1v;
        s2v = _mm_add_ps(t6l, s4u);
        a3P = (a8E + 30);
        *(a3P) = s2v;
        t9l = _mm_add_ps(t3f, s7q);
        t0m = _mm_sub_ps(t3f, s7q);
        t1m = _mm_sub_ps(t4f, s8q);
        t2m = _mm_add_ps(t4f, s8q);
        t3m = _mm_add_ps(s3p, s1s);
        t4m = _mm_sub_ps(s4p, s2s);
        a5M = _mm_sub_ps(s3p, s1s);
        a3F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5M);
        a6M = _mm_add_ps(s4p, s2s);
        a4F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6M);
        s3v = _mm_sub_ps(a3F, a4F);
        s4v = _mm_add_ps(a3F, a4F);
        s5v = _mm_add_ps(t9l, t3m);
        a4P = (a8E + 3);
        *(a4P) = s5v;
        s6v = _mm_sub_ps(t9l, t3m);
        a5P = (a8E + 19);
        *(a5P) = s6v;
        s7v = _mm_sub_ps(t0m, t4m);
        a6P = (a8E + 11);
        *(a6P) = s7v;
        s8v = _mm_add_ps(t0m, t4m);
        a7P = (a8E + 27);
        *(a7P) = s8v;
        s9v = _mm_add_ps(t1m, s3v);
        a8P = (a8E + 7);
        *(a8P) = s9v;
        s0w = _mm_sub_ps(t1m, s3v);
        a9P = (a8E + 23);
        *(a9P) = s0w;
        s1w = _mm_sub_ps(t2m, s4v);
        a0Q = (a8E + 15);
        *(a0Q) = s1w;
        s2w = _mm_add_ps(t2m, s4v);
        a1Q = (a8E + 31);
        *(a1Q) = s2w;
        {long i3; for(i3 = 0; i3 <= 2; i3++) {
            a2Q = (16 * i3);
            a5U = ((__m128  *) T);
            b31 = (a5U + i2);
            b41 = (b31 + a2Q);
            a6U = (b41 + 16);
            s3w = *(a6U);
            a7U = (b41 + 24);
            s4w = *(a7U);
            b51 = (b31 - a2Q);
            a8U = (b51 + 1008);
            s5w = *(a8U);
            a9U = (b51 + 1016);
            s6w = *(a9U);
            t5m = _mm_add_ps(s3w, s5w);
            t6m = _mm_sub_ps(s4w, s6w);
            t7m = _mm_sub_ps(s3w, s5w);
            t8m = _mm_add_ps(s4w, s6w);
            a0V = (b41 + 528);
            s7w = *(a0V);
            a1V = (b41 + 536);
            s8w = *(a1V);
            a2V = (b51 + 496);
            s9w = *(a2V);
            a3V = (b51 + 504);
            s0x = *(a3V);
            t9m = _mm_add_ps(s7w, s9w);
            t0n = _mm_sub_ps(s8w, s0x);
            t1n = _mm_sub_ps(s7w, s9w);
            t2n = _mm_add_ps(s8w, s0x);
            t3n = _mm_add_ps(t5m, t9m);
            t4n = _mm_add_ps(t6m, t0n);
            t5n = _mm_sub_ps(t5m, t9m);
            t6n = _mm_sub_ps(t6m, t0n);
            t7n = _mm_sub_ps(t7m, t2n);
            t8n = _mm_add_ps(t8m, t1n);
            t9n = _mm_add_ps(t7m, t2n);
            t0o = _mm_sub_ps(t8m, t1n);
            a4V = (b41 + 144);
            s1x = *(a4V);
            a5V = (b41 + 152);
            s2x = *(a5V);
            a6V = (b51 + 880);
            s3x = *(a6V);
            a7V = (b51 + 888);
            s4x = *(a7V);
            t1o = _mm_add_ps(s1x, s3x);
            t2o = _mm_sub_ps(s2x, s4x);
            t3o = _mm_sub_ps(s1x, s3x);
            t4o = _mm_add_ps(s2x, s4x);
            a8V = (b41 + 656);
            s5x = *(a8V);
            a9V = (b41 + 664);
            s6x = *(a9V);
            a0W = (b51 + 368);
            s7x = *(a0W);
            a1W = (b51 + 376);
            s8x = *(a1W);
            t5o = _mm_add_ps(s5x, s7x);
            t6o = _mm_sub_ps(s6x, s8x);
            t7o = _mm_sub_ps(s5x, s7x);
            t8o = _mm_add_ps(s6x, s8x);
            t9o = _mm_add_ps(t1o, t5o);
            t0p = _mm_add_ps(t2o, t6o);
            a2W = _mm_sub_ps(t1o, t5o);
            a3Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2W);
            a3W = _mm_sub_ps(t2o, t6o);
            a4Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3W);
            s9x = _mm_sub_ps(a3Q, a4Q);
            s0y = _mm_add_ps(a3Q, a4Q);
            t1p = _mm_sub_ps(t3o, t8o);
            t2p = _mm_add_ps(t4o, t7o);
            t3p = _mm_add_ps(t3o, t8o);
            t4p = _mm_sub_ps(t4o, t7o);
            a4W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1p);
            a5W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2p);
            s1y = _mm_sub_ps(a4W, a5W);
            a6W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1p);
            a7W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2p);
            s2y = _mm_add_ps(a6W, a7W);
            a8W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3p);
            a9W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4p);
            s3y = _mm_sub_ps(a8W, a9W);
            a0X = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3p);
            a1X = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4p);
            s4y = _mm_add_ps(a0X, a1X);
            a2X = (b41 + 272);
            s5y = *(a2X);
            a3X = (b41 + 280);
            s6y = *(a3X);
            a4X = (b51 + 752);
            s7y = *(a4X);
            a5X = (b51 + 760);
            s8y = *(a5X);
            t5p = _mm_add_ps(s5y, s7y);
            t6p = _mm_sub_ps(s6y, s8y);
            t7p = _mm_sub_ps(s5y, s7y);
            t8p = _mm_add_ps(s6y, s8y);
            a6X = (b41 + 784);
            s9y = *(a6X);
            a7X = (b41 + 792);
            s0z = *(a7X);
            a8X = (b51 + 240);
            s1z = *(a8X);
            a9X = (b51 + 248);
            s2z = *(a9X);
            t9p = _mm_add_ps(s9y, s1z);
            t0q = _mm_sub_ps(s0z, s2z);
            t1q = _mm_sub_ps(s9y, s1z);
            t2q = _mm_add_ps(s0z, s2z);
            t3q = _mm_add_ps(t5p, t9p);
            t4q = _mm_add_ps(t6p, t0q);
            t5q = _mm_sub_ps(t5p, t9p);
            t6q = _mm_sub_ps(t6p, t0q);
            a0Y = _mm_sub_ps(t7p, t2q);
            a5Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0Y);
            a1Y = _mm_add_ps(t8p, t1q);
            a6Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1Y);
            s3z = _mm_sub_ps(a5Q, a6Q);
            s4z = _mm_add_ps(a5Q, a6Q);
            a2Y = _mm_add_ps(t7p, t2q);
            a7Q = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2Y);
            a3Y = _mm_sub_ps(t8p, t1q);
            a8Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3Y);
            s5z = _mm_sub_ps(a7Q, a8Q);
            s6z = _mm_add_ps(a7Q, a8Q);
            a4Y = (b41 + 400);
            s7z = *(a4Y);
            a5Y = (b41 + 408);
            s8z = *(a5Y);
            a6Y = (b51 + 624);
            s9z = *(a6Y);
            a7Y = (b51 + 632);
            s0A = *(a7Y);
            t7q = _mm_add_ps(s7z, s9z);
            t8q = _mm_sub_ps(s8z, s0A);
            t9q = _mm_sub_ps(s7z, s9z);
            t0r = _mm_add_ps(s8z, s0A);
            a8Y = (b41 + 912);
            s1A = *(a8Y);
            a9Y = (b41 + 920);
            s2A = *(a9Y);
            a0Z = (b51 + 112);
            s3A = *(a0Z);
            a1Z = (b51 + 120);
            s4A = *(a1Z);
            t1r = _mm_add_ps(s1A, s3A);
            t2r = _mm_sub_ps(s2A, s4A);
            t3r = _mm_sub_ps(s1A, s3A);
            t4r = _mm_add_ps(s2A, s4A);
            t5r = _mm_add_ps(t7q, t1r);
            t6r = _mm_add_ps(t8q, t2r);
            a2Z = _mm_sub_ps(t7q, t1r);
            a9Q = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2Z);
            a3Z = _mm_sub_ps(t8q, t2r);
            a0R = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3Z);
            s5A = _mm_sub_ps(a9Q, a0R);
            s6A = _mm_add_ps(a9Q, a0R);
            t7r = _mm_sub_ps(t9q, t4r);
            t8r = _mm_add_ps(t0r, t3r);
            t9r = _mm_add_ps(t9q, t4r);
            t0s = _mm_sub_ps(t0r, t3r);
            a4Z = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t7r);
            a5Z = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8r);
            s7A = _mm_sub_ps(a4Z, a5Z);
            a6Z = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t7r);
            a7Z = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t8r);
            s8A = _mm_add_ps(a6Z, a7Z);
            a8Z = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t9r);
            a9Z = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t0s);
            s9A = _mm_sub_ps(a8Z, a9Z);
            a010 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t9r);
            a110 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t0s);
            s0B = _mm_add_ps(a010, a110);
            t1s = _mm_add_ps(t3n, t3q);
            t2s = _mm_add_ps(t4n, t4q);
            t3s = _mm_sub_ps(t3n, t3q);
            t4s = _mm_sub_ps(t4n, t4q);
            t5s = _mm_add_ps(t9o, t5r);
            t6s = _mm_add_ps(t0p, t6r);
            t7s = _mm_sub_ps(t9o, t5r);
            t8s = _mm_sub_ps(t0p, t6r);
            t9s = _mm_add_ps(t1s, t5s);
            t0t = _mm_add_ps(t2s, t6s);
            t1t = _mm_sub_ps(t1s, t5s);
            t2t = _mm_sub_ps(t2s, t6s);
            t3t = _mm_sub_ps(t3s, t8s);
            t4t = _mm_add_ps(t4s, t7s);
            t5t = _mm_add_ps(t3s, t8s);
            t6t = _mm_sub_ps(t4s, t7s);
            t7t = _mm_add_ps(t7n, s3z);
            t8t = _mm_add_ps(t8n, s4z);
            t9t = _mm_sub_ps(t7n, s3z);
            t0u = _mm_sub_ps(t8n, s4z);
            t1u = _mm_add_ps(s1y, s7A);
            t2u = _mm_add_ps(s2y, s8A);
            t3u = _mm_sub_ps(s1y, s7A);
            t4u = _mm_sub_ps(s2y, s8A);
            t5u = _mm_add_ps(t7t, t1u);
            t6u = _mm_add_ps(t8t, t2u);
            t7u = _mm_sub_ps(t7t, t1u);
            t8u = _mm_sub_ps(t8t, t2u);
            t9u = _mm_sub_ps(t9t, t4u);
            t0v = _mm_add_ps(t0u, t3u);
            t1v = _mm_add_ps(t9t, t4u);
            t2v = _mm_sub_ps(t0u, t3u);
            t3v = _mm_sub_ps(t5n, t6q);
            t4v = _mm_add_ps(t6n, t5q);
            t5v = _mm_add_ps(t5n, t6q);
            t6v = _mm_sub_ps(t6n, t5q);
            t7v = _mm_add_ps(s9x, s5A);
            t8v = _mm_sub_ps(s0y, s6A);
            t9v = _mm_sub_ps(s9x, s5A);
            t0w = _mm_add_ps(s0y, s6A);
            t1w = _mm_add_ps(t3v, t7v);
            t2w = _mm_add_ps(t4v, t8v);
            t3w = _mm_sub_ps(t3v, t7v);
            t4w = _mm_sub_ps(t4v, t8v);
            t5w = _mm_sub_ps(t5v, t0w);
            t6w = _mm_add_ps(t6v, t9v);
            t7w = _mm_add_ps(t5v, t0w);
            t8w = _mm_sub_ps(t6v, t9v);
            t9w = _mm_add_ps(t9n, s5z);
            t0x = _mm_sub_ps(t0o, s6z);
            t1x = _mm_sub_ps(t9n, s5z);
            t2x = _mm_add_ps(t0o, s6z);
            t3x = _mm_add_ps(s3y, s9A);
            t4x = _mm_add_ps(s4y, s0B);
            t5x = _mm_sub_ps(s3y, s9A);
            t6x = _mm_sub_ps(s4y, s0B);
            t7x = _mm_add_ps(t9w, t3x);
            t8x = _mm_add_ps(t0x, t4x);
            t9x = _mm_sub_ps(t9w, t3x);
            t0y = _mm_sub_ps(t0x, t4x);
            t1y = _mm_sub_ps(t1x, t6x);
            t2y = _mm_add_ps(t2x, t5x);
            t3y = _mm_add_ps(t1x, t6x);
            t4y = _mm_sub_ps(t2x, t5x);
            a1R = (32 * i3);
            a2R = (D29 + a1R);
            a3R = *(a2R);
            a210 = (a2R + 1);
            a4R = *(a210);
            a310 = (a2R + 2);
            a5R = *(a310);
            a410 = (a2R + 3);
            a6R = *(a410);
            a510 = (a2R + 4);
            a7R = *(a510);
            a610 = (a2R + 5);
            a8R = *(a610);
            a710 = (a2R + 6);
            a9R = *(a710);
            a810 = (a2R + 7);
            a0S = *(a810);
            a910 = (a2R + 8);
            a1S = *(a910);
            a011 = (a2R + 9);
            a2S = *(a011);
            a111 = (a2R + 10);
            a3S = *(a111);
            a211 = (a2R + 11);
            a4S = *(a211);
            a311 = (a2R + 12);
            a5S = *(a311);
            a411 = (a2R + 13);
            a6S = *(a411);
            a511 = (a2R + 14);
            a7S = *(a511);
            a611 = (a2R + 15);
            a8S = *(a611);
            a711 = (a2R + 16);
            a9S = *(a711);
            a811 = (a2R + 17);
            a0T = *(a811);
            a911 = (a2R + 18);
            a1T = *(a911);
            a012 = (a2R + 19);
            a2T = *(a012);
            a112 = (a2R + 20);
            a3T = *(a112);
            a212 = (a2R + 21);
            a4T = *(a212);
            a312 = (a2R + 22);
            a5T = *(a312);
            a412 = (a2R + 23);
            a6T = *(a412);
            a512 = (a2R + 24);
            a7T = *(a512);
            a612 = (a2R + 25);
            a8T = *(a612);
            a712 = (a2R + 26);
            a9T = *(a712);
            a812 = (a2R + 27);
            a0U = *(a812);
            a912 = (a2R + 28);
            a1U = *(a912);
            a013 = (a2R + 29);
            a2U = *(a013);
            a113 = (a2R + 30);
            a3U = *(a113);
            a213 = (a2R + 31);
            a4U = *(a213);
            a313 = ((__m128  *) T2);
            b61 = (a313 + a1R);
            a413 = _mm_mul_ps(a3R, t9s);
            a513 = _mm_mul_ps(a4R, t0t);
            s1B = _mm_sub_ps(a413, a513);
            a613 = (b61 + 32);
            *(a613) = s1B;
            a713 = _mm_mul_ps(a4R, t9s);
            a813 = _mm_mul_ps(a3R, t0t);
            s2B = _mm_add_ps(a713, a813);
            a913 = (b61 + 48);
            *(a913) = s2B;
            a014 = _mm_mul_ps(a5R, t5u);
            a114 = _mm_mul_ps(a6R, t6u);
            s3B = _mm_sub_ps(a014, a114);
            a214 = (b61 + 33);
            *(a214) = s3B;
            a314 = _mm_mul_ps(a6R, t5u);
            a414 = _mm_mul_ps(a5R, t6u);
            s4B = _mm_add_ps(a314, a414);
            a514 = (b61 + 49);
            *(a514) = s4B;
            a614 = _mm_mul_ps(a7R, t1w);
            a714 = _mm_mul_ps(a8R, t2w);
            s5B = _mm_sub_ps(a614, a714);
            a814 = (b61 + 34);
            *(a814) = s5B;
            a914 = _mm_mul_ps(a8R, t1w);
            a015 = _mm_mul_ps(a7R, t2w);
            s6B = _mm_add_ps(a914, a015);
            a115 = (b61 + 50);
            *(a115) = s6B;
            a215 = _mm_mul_ps(a9R, t7x);
            a315 = _mm_mul_ps(a0S, t8x);
            s7B = _mm_sub_ps(a215, a315);
            a415 = (b61 + 35);
            *(a415) = s7B;
            a515 = _mm_mul_ps(a0S, t7x);
            a615 = _mm_mul_ps(a9R, t8x);
            s8B = _mm_add_ps(a515, a615);
            a715 = (b61 + 51);
            *(a715) = s8B;
            a815 = _mm_mul_ps(a1S, t3t);
            a915 = _mm_mul_ps(a2S, t4t);
            s9B = _mm_sub_ps(a815, a915);
            a016 = (b61 + 36);
            *(a016) = s9B;
            a116 = _mm_mul_ps(a2S, t3t);
            a216 = _mm_mul_ps(a1S, t4t);
            s0C = _mm_add_ps(a116, a216);
            a316 = (b61 + 52);
            *(a316) = s0C;
            a416 = _mm_mul_ps(a3S, t9u);
            a516 = _mm_mul_ps(a4S, t0v);
            s1C = _mm_sub_ps(a416, a516);
            a616 = (b61 + 37);
            *(a616) = s1C;
            a716 = _mm_mul_ps(a4S, t9u);
            a816 = _mm_mul_ps(a3S, t0v);
            s2C = _mm_add_ps(a716, a816);
            a916 = (b61 + 53);
            *(a916) = s2C;
            a017 = _mm_mul_ps(a5S, t5w);
            a117 = _mm_mul_ps(a6S, t6w);
            s3C = _mm_sub_ps(a017, a117);
            a217 = (b61 + 38);
            *(a217) = s3C;
            a317 = _mm_mul_ps(a6S, t5w);
            a417 = _mm_mul_ps(a5S, t6w);
            s4C = _mm_add_ps(a317, a417);
            a517 = (b61 + 54);
            *(a517) = s4C;
            a617 = _mm_mul_ps(a7S, t1y);
            a717 = _mm_mul_ps(a8S, t2y);
            s5C = _mm_sub_ps(a617, a717);
            a817 = (b61 + 39);
            *(a817) = s5C;
            a917 = _mm_mul_ps(a8S, t1y);
            a018 = _mm_mul_ps(a7S, t2y);
            s6C = _mm_add_ps(a917, a018);
            a118 = (b61 + 55);
            *(a118) = s6C;
            a218 = _mm_mul_ps(a9S, t1t);
            a318 = _mm_mul_ps(a0T, t2t);
            s7C = _mm_sub_ps(a218, a318);
            a418 = (b61 + 40);
            *(a418) = s7C;
            a518 = _mm_mul_ps(a0T, t1t);
            a618 = _mm_mul_ps(a9S, t2t);
            s8C = _mm_add_ps(a518, a618);
            a718 = (b61 + 56);
            *(a718) = s8C;
            a818 = _mm_mul_ps(a1T, t7u);
            a918 = _mm_mul_ps(a2T, t8u);
            s9C = _mm_sub_ps(a818, a918);
            a019 = (b61 + 41);
            *(a019) = s9C;
            a119 = _mm_mul_ps(a2T, t7u);
            a219 = _mm_mul_ps(a1T, t8u);
            s0D = _mm_add_ps(a119, a219);
            a319 = (b61 + 57);
            *(a319) = s0D;
            a419 = _mm_mul_ps(a3T, t3w);
            a519 = _mm_mul_ps(a4T, t4w);
            s1D = _mm_sub_ps(a419, a519);
            a619 = (b61 + 42);
            *(a619) = s1D;
            a719 = _mm_mul_ps(a4T, t3w);
            a819 = _mm_mul_ps(a3T, t4w);
            s2D = _mm_add_ps(a719, a819);
            a919 = (b61 + 58);
            *(a919) = s2D;
            a01a = _mm_mul_ps(a5T, t9x);
            a11a = _mm_mul_ps(a6T, t0y);
            s3D = _mm_sub_ps(a01a, a11a);
            a21a = (b61 + 43);
            *(a21a) = s3D;
            a31a = _mm_mul_ps(a6T, t9x);
            a41a = _mm_mul_ps(a5T, t0y);
            s4D = _mm_add_ps(a31a, a41a);
            a51a = (b61 + 59);
            *(a51a) = s4D;
            a61a = _mm_mul_ps(a7T, t5t);
            a71a = _mm_mul_ps(a8T, t6t);
            s5D = _mm_sub_ps(a61a, a71a);
            a81a = (b61 + 44);
            *(a81a) = s5D;
            a91a = _mm_mul_ps(a8T, t5t);
            a01b = _mm_mul_ps(a7T, t6t);
            s6D = _mm_add_ps(a91a, a01b);
            a11b = (b61 + 60);
            *(a11b) = s6D;
            a21b = _mm_mul_ps(a9T, t1v);
            a31b = _mm_mul_ps(a0U, t2v);
            s7D = _mm_sub_ps(a21b, a31b);
            a41b = (b61 + 45);
            *(a41b) = s7D;
            a51b = _mm_mul_ps(a0U, t1v);
            a61b = _mm_mul_ps(a9T, t2v);
            s8D = _mm_add_ps(a51b, a61b);
            a71b = (b61 + 61);
            *(a71b) = s8D;
            a81b = _mm_mul_ps(a1U, t7w);
            a91b = _mm_mul_ps(a2U, t8w);
            s9D = _mm_sub_ps(a81b, a91b);
            a01c = (b61 + 46);
            *(a01c) = s9D;
            a11c = _mm_mul_ps(a2U, t7w);
            a21c = _mm_mul_ps(a1U, t8w);
            s0E = _mm_add_ps(a11c, a21c);
            a31c = (b61 + 62);
            *(a31c) = s0E;
            a41c = _mm_mul_ps(a3U, t3y);
            a51c = _mm_mul_ps(a4U, t4y);
            s1E = _mm_sub_ps(a41c, a51c);
            a61c = (b61 + 47);
            *(a61c) = s1E;
            a71c = _mm_mul_ps(a4U, t3y);
            a81c = _mm_mul_ps(a3U, t4y);
            s2E = _mm_add_ps(a71c, a81c);
            a91c = (b61 + 63);
            *(a91c) = s2E;
        }}
        {long i4; for(i4 = 0; i4 <= 15; i4++) {
            a01e = ((__m128  *) T2);
            a01d = (a01e + i4);
            s3E = *(a01d);
            a11e = (a01d + 64);
            s4E = *(a11e);
            t5y = _mm_add_ps(s3E, s4E);
            t6y = _mm_sub_ps(s3E, s4E);
            a21e = (a01d + 16);
            s5E = *(a21e);
            a31e = (a01d + 80);
            s6E = *(a31e);
            t7y = _mm_sub_ps(s5E, s6E);
            t8y = _mm_add_ps(s5E, s6E);
            a41d = (a01d + 32);
            s7E = *(a41d);
            a51d = (a01d + 48);
            s8E = *(a51d);
            a61d = (a01d + 96);
            s9E = *(a61d);
            a71d = (a01d + 112);
            s0F = *(a71d);
            t9y = _mm_add_ps(s7E, s9E);
            t0z = _mm_sub_ps(s8E, s0F);
            a81d = _mm_sub_ps(s7E, s9E);
            a11d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a81d);
            a91d = _mm_add_ps(s8E, s0F);
            a21d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a91d);
            s1F = _mm_sub_ps(a11d, a21d);
            s2F = _mm_add_ps(a11d, a21d);
            a41e = (4 * i2);
            a51e = (32 * i4);
            b71 = (dst + a41e);
            a31d = (b71 + a51e);
            s3F = _mm_add_ps(t5y, t9y);
            _mm_storeu_ps(((float  *) a31d), s3F);
            s4F = _mm_sub_ps(t5y, t9y);
            a61e = (a31d + 2048);
            _mm_storeu_ps(((float  *) a61e), s4F);
            s5F = _mm_sub_ps(t6y, t0z);
            a71e = (a31d + 1024);
            _mm_storeu_ps(((float  *) a71e), s5F);
            s6F = _mm_add_ps(t6y, t0z);
            a81e = (a31d + 3072);
            _mm_storeu_ps(((float  *) a81e), s6F);
            s7F = _mm_add_ps(t7y, s1F);
            a91e = (a31d + 512);
            _mm_storeu_ps(((float  *) a91e), s7F);
            s8F = _mm_sub_ps(t7y, s1F);
            a01f = (a31d + 2560);
            _mm_storeu_ps(((float  *) a01f), s8F);
            s9F = _mm_sub_ps(t8y, s2F);
            a11f = (a31d + 1536);
            _mm_storeu_ps(((float  *) a11f), s9F);
            s0G = _mm_add_ps(t8y, s2F);
            a21f = (a31d + 3584);
            _mm_storeu_ps(((float  *) a21f), s0G);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftinv_float_4096)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftinv_float_4096_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[4096]);
     SPIRAL_ALIGNED(float T2[512]);
    __m128 a02, a05, a06, a0e, a0r, a0u, a13, a15, a16, a1s, a2, a23, a25, a26, a2b, a2c, a2m, a2n, a2o, a2p, a2s, a3
            , a31, a34, a35, a36, a3d, a3q, a3t, a41, a44, a45, a46, a4d, a4q, a4t, a52, a55, a5e, a5r, a62, a65, a6e, a6r
            , a7, a73, a75, a7a, a7b, a7c, a7l, a7m, a7n, a7o, a7p, a7s, a8, a83, a85, a8c, a8p, a8s, a91, a94, a95, a9d
            , a9q, a9t;
    __m128 a010, a014, a015, a017, a018, a01a, a01b, a07, a08, a09, a0A, a0C, a0D, a0F, a0G, a0H, a0I, a0J, a0L, a0M, a0R, a0S
            , a0T, a0U, a0X, a0Y, a0a, a0g, a0h, a0l, a0v, a0w, a0x, a0z, a110, a114, a116, a117, a119, a11a, a11c, a11d, a17, a18
            , a19, a1A, a1F, a1H, a1J, a1L, a1M, a1S, a1T, a1U, a1X, a1Y, a1a, a1f, a1g, a1h, a1k, a1l, a1v, a1w, a1x, a1y
            , a1z, a215, a216, a218, a219, a21b, a21c, a21d, a27, a28, a29, a2C, a2D, a2E, a2F, a2H, a2J, a2L, a2M, a2S, a2T, a2U
            , a2W, a2Y, a2Z, a2a, a2f, a2g, a2h, a2k, a2l, a2v, a2w, a2x, a2y, a314, a315, a317, a318, a31a, a31b, a37, a38, a39
            , a3A, a3B, a3C, a3D, a3E, a3F, a3H, a3J, a3L, a3M, a3Q, a3R, a3S, a3T, a3U, a3W, a3Y, a3Z, a3a, a3f, a3g, a3h
            , a3k, a3l, a3v, a3w, a3x, a413, a414, a416, a417, a419, a41a, a41c, a47, a48, a49, a4A, a4B, a4E, a4F, a4H, a4J, a4L
            , a4M, a4Q, a4R, a4S, a4T, a4U, a4W, a4Z, a4a, a4f, a4g, a4h, a4k, a4l, a4v, a4w, a4x, a4y, a513, a515, a516, a518
            , a519, a51b, a51c, a56, a57, a58, a59, a5D, a5E, a5H, a5J, a5L, a5M, a5Q, a5R, a5S, a5T, a5W, a5Z, a5a, a5f, a5g
            , a5h, a5j, a5k, a5l, a5u, a5v, a5w, a5x, a5y, a614, a615, a617, a618, a61a, a61b, a66, a67, a68, a69, a6A, a6B, a6D
            , a6E, a6H, a6J, a6L, a6M, a6Q, a6R, a6S, a6T, a6W, a6Z, a6a, a6f, a6g, a6h, a6j, a6k, a6l, a6u, a6v, a6w, a6x
            , a713, a714, a716, a717, a719, a71a, a71c, a76, a77, a78, a79, a7A, a7B, a7E, a7H, a7J, a7K, a7L, a7Q, a7R, a7S, a7T
            , a7W, a7Z, a7f, a7g, a7h, a7j, a7k, a7u, a7v, a7w, a7y, a7z, a813, a815, a816, a818, a819, a81b, a81c, a81d, a86, a87
            , a88, a89, a8D, a8H, a8J, a8K, a8L, a8Q, a8R, a8S, a8T, a8W, a8Z, a8f, a8g, a8h, a8j, a8k, a8u, a8v, a8w, a8y
            , a8z, a914, a915, a917, a918, a91a, a91b, a91d, a96, a97, a98, a99, a9B, a9C, a9D, a9E, a9F, a9G, a9H, a9I, a9K, a9L
            , a9Q, a9R, a9S, a9T, a9W, a9Z, a9f, a9g, a9k, a9u, a9v, a9w, b, b2, b3, b4, b5, b6, b7, b8, b9, s
            , s01, s02, s03, s04, s05, s06, s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0G, s0a, s0b, s0c, s0d, s0e, s0f
            , s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11, s12
            , s13, s14, s15, s16, s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1F, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i
            , s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24
            , s25, s26, s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2F, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k
            , s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33, s34, s35, s36
            , s37, s38, s39, s3A, s3B, s3C, s3D, s3E, s3F, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m
            , s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44, s45, s46, s47, s48
            , s49, s4A, s4B, s4C, s4D, s4E, s4F, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o
            , s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5A
            , s5B, s5C, s5D, s5E, s5F, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q
            , s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6A, s6B, s6C
            , s6D, s6E, s6F, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s
            , s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7A, s7B, s7C, s7D, s7E
            , s7F, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u
            , s7v, s7w, s7x, s7y, s7z, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8A, s8B, s8C, s8D, s8E, s8F, s8a
            , s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w
            , s8x, s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9C, s9D, s9E, s9F, s9a, s9b, s9c
            , s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y
            , s9z, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k
            , t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t12, t13, t14, t15, t16, t17
            , t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t
            , t1u, t1v, t1w, t1x, t1y, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g
            , t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t3, t31, t32, t33
            , t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p
            , t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c
            , t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y
            , t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l
            , t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t6, t61, t62, t63, t64, t65, t66, t67, t68
            , t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u
            , t6v, t6w, t6x, t6y, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h
            , t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t8, t81, t82, t83, t84
            , t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q
            , t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d
            , t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y;
    const __m64  *a0b, *a0c, *a0m, *a0n, *a0o, *a0p, *a11, *a12, *a14, *a1d, *a1e, *a1q, *a1r, *a1t, *a1u, *a32, *a33, *a3b, *a3c, *a3e, *a3m, *a3n
            , *a3o, *a3p, *a3r, *a3s, *a3u, *a4, *a5, *a51, *a53, *a54, *a5b, *a5c, *a5d, *a5m, *a5n, *a5o, *a5p, *a5q, *a5s, *a5t, *a71, *a72
            , *a74, *a7d, *a7e, *a7q, *a7r, *a7t, *a8a, *a8b, *a8l, *a8m, *a8n, *a8o, *a9, *a92, *a93, *a9c, *a9e, *a9p, *a9r, *a9s;
    __m128  *a, *a011, *a012, *a013, *a016, *a019, *a01c, *a01d, *a01e, *a01f, *a0B, *a0E, *a0K, *a0N, *a0O, *a0P, *a0Q, *a0V, *a0W, *a0Z, *a0i, *a0j
            , *a0k, *a0y, *a111, *a112, *a113, *a115, *a118, *a11b, *a11e, *a11f, *a1B, *a1C, *a1D, *a1E, *a1G, *a1I, *a1K, *a1N, *a1O, *a1P, *a1Q, *a1V
            , *a1W, *a1Z, *a1i, *a1j, *a210, *a211, *a212, *a213, *a214, *a217, *a21a, *a21e, *a21f, *a2A, *a2B, *a2G, *a2I, *a2K, *a2N, *a2O, *a2P, *a2R
            , *a2V, *a2X, *a2i, *a2j, *a2z, *a310, *a311, *a312, *a313, *a316, *a319, *a31c, *a31d, *a31e, *a3G, *a3I, *a3K, *a3N, *a3O, *a3P, *a3V, *a3X
            , *a3i, *a3j, *a3y, *a3z, *a410, *a411, *a412, *a415, *a418, *a41b, *a41d, *a41e, *a4C, *a4D, *a4G, *a4I, *a4K, *a4N, *a4O, *a4P, *a4V, *a4X
            , *a4Y, *a4i, *a4z, *a510, *a511, *a512, *a514, *a517, *a51a, *a51d, *a5A, *a5B, *a5C, *a5F, *a5G, *a5I, *a5K, *a5N, *a5O, *a5P, *a5U, *a5V
            , *a5X, *a5Y, *a5i, *a5z, *a610, *a611, *a612, *a613, *a616, *a619, *a61c, *a61d, *a61e, *a6C, *a6F, *a6G, *a6I, *a6K, *a6N, *a6O, *a6P, *a6U
            , *a6V, *a6X, *a6Y, *a6i, *a6y, *a6z, *a710, *a711, *a712, *a715, *a718, *a71b, *a71d, *a71e, *a7C, *a7D, *a7F, *a7G, *a7I, *a7M, *a7N, *a7O
            , *a7P, *a7U, *a7V, *a7X, *a7Y, *a7i, *a7x, *a810, *a811, *a812, *a814, *a817, *a81a, *a81e, *a8A, *a8B, *a8C, *a8E, *a8F, *a8G, *a8I, *a8M
            , *a8N, *a8O, *a8P, *a8U, *a8V, *a8X, *a8Y, *a8i, *a8x, *a910, *a911, *a912, *a913, *a916, *a919, *a91c, *a91e, *a9A, *a9J, *a9M, *a9N, *a9O
            , *a9P, *a9U, *a9V, *a9X, *a9Y, *a9h, *a9i, *a9x, *a9y, *a9z, *b21, *b31, *b41, *b51, *b61, *b71;
    const float  *a01, *a03, *a04, *a0d, *a0f, *a0q, *a0s, *a0t, *a1b, *a1c, *a1m, *a1n, *a1o, *a1p, *a21, *a22, *a24, *a2d, *a2e, *a2q, *a2r, *a2t
            , *a2u, *a42, *a43, *a4b, *a4c, *a4e, *a4m, *a4n, *a4o, *a4p, *a4r, *a4s, *a4u, *a6, *a61, *a63, *a64, *a6b, *a6c, *a6d, *a6m, *a6n
            , *a6o, *a6p, *a6q, *a6s, *a6t, *a81, *a82, *a84, *a8d, *a8e, *a8q, *a8r, *a8t, *a9a, *a9b, *a9l, *a9m, *a9n, *a9o, *b01, *b11;
    int a1R, a2Q, a4j, a51e, a9j;
    a4 = ((const __m64  *) src);
    a3 = _mm_loadl_pi(_mm_set1_ps(0.0f), a4);
    a6 = (src + 256);
    a5 = ((const __m64  *) a6);
    a2 = _mm_loadh_pi(a3, a5);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a2);
    a01 = (src + 512);
    a9 = ((const __m64  *) a01);
    a8 = _mm_loadl_pi(_mm_set1_ps(0.0f), a9);
    a21 = (src + 768);
    a11 = ((const __m64  *) a21);
    a7 = _mm_loadh_pi(a8, a11);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a7);
    a61 = (src + 1024);
    a51 = ((const __m64  *) a61);
    a41 = _mm_loadl_pi(_mm_set1_ps(0.0f), a51);
    a81 = (src + 1280);
    a71 = ((const __m64  *) a81);
    a31 = _mm_loadh_pi(a41, a71);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a31);
    a22 = (src + 1536);
    a12 = ((const __m64  *) a22);
    a02 = _mm_loadl_pi(_mm_set1_ps(0.0f), a12);
    a42 = (src + 1792);
    a32 = ((const __m64  *) a42);
    a91 = _mm_loadh_pi(a02, a32);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a91);
    a82 = (src + 2048);
    a72 = ((const __m64  *) a82);
    a62 = _mm_loadl_pi(_mm_set1_ps(0.0f), a72);
    a03 = (src + 2304);
    a92 = ((const __m64  *) a03);
    a52 = _mm_loadh_pi(a62, a92);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a52);
    a43 = (src + 2560);
    a33 = ((const __m64  *) a43);
    a23 = _mm_loadl_pi(_mm_set1_ps(0.0f), a33);
    a63 = (src + 2816);
    a53 = ((const __m64  *) a63);
    a13 = _mm_loadh_pi(a23, a53);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a13);
    a04 = (src + 3072);
    a93 = ((const __m64  *) a04);
    a83 = _mm_loadl_pi(_mm_set1_ps(0.0f), a93);
    a24 = (src + 3328);
    a14 = ((const __m64  *) a24);
    a73 = _mm_loadh_pi(a83, a14);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a73);
    a64 = (src + 3584);
    a54 = ((const __m64  *) a64);
    a44 = _mm_loadl_pi(_mm_set1_ps(0.0f), a54);
    a84 = (src + 3840);
    a74 = ((const __m64  *) a84);
    a34 = _mm_loadh_pi(a44, a74);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a34);
    a94 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a94);
    a05 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a05);
    a15 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a25 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a35 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a45 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a55 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a55);
    a65 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a65);
    a75 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a75, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a85, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a95, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a06 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a06, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a16 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a16, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a26, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a36, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a46 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a46, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a76 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a56 = _mm_add_ps(a66, a76);
    s52 = _mm_sub_ps(a56, s02);
    a86 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a96 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a86, a96);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a17 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a27 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a07 = _mm_sub_ps(a17, a27);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a07);
    a47 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a37 = _mm_sub_ps(a47, s42);
    a57 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a67 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a37, a57);
    s43 = _mm_add_ps(b3, a67);
    a87 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a97 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a77 = _mm_sub_ps(a87, a97);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a77);
    a08 = _mm_sub_ps(s21, s12);
    a18 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a28 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a08, a18);
    s63 = _mm_add_ps(b5, a28);
    a48 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a58 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a38 = _mm_sub_ps(a48, a58);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a38);
    a68 = _mm_sub_ps(s41, s22);
    a78 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a88 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a68, a78);
    s83 = _mm_add_ps(b7, a88);
    a09 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a19 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a98 = _mm_sub_ps(a09, a19);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a98);
    a29 = _mm_sub_ps(s61, s32);
    a39 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a49 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a29, a39);
    s04 = _mm_add_ps(b9, a49);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a59 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a69 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a59, a69);
    a79 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a89 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a79, a89);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a99 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a0a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a99, a0a);
    a1a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a2a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a1a, a2a);
    a3a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a4a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a6a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a5a, a6a);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a9a = (src + 128);
    a8a = ((const __m64  *) a9a);
    a7a = _mm_loadl_pi(_mm_set1_ps(0.0f), a8a);
    a1b = (src + 640);
    a0b = ((const __m64  *) a1b);
    s17 = _mm_loadh_pi(a7a, a0b);
    a4b = (src + 1152);
    a3b = ((const __m64  *) a4b);
    a2b = _mm_loadl_pi(_mm_set1_ps(0.0f), a3b);
    a6b = (src + 1664);
    a5b = ((const __m64  *) a6b);
    s27 = _mm_loadh_pi(a2b, a5b);
    a9b = (src + 2176);
    a8b = ((const __m64  *) a9b);
    a7b = _mm_loadl_pi(_mm_set1_ps(0.0f), a8b);
    a1c = (src + 2688);
    a0c = ((const __m64  *) a1c);
    s37 = _mm_loadh_pi(a7b, a0c);
    a4c = (src + 3200);
    a3c = ((const __m64  *) a4c);
    a2c = _mm_loadl_pi(_mm_set1_ps(0.0f), a3c);
    a6c = (src + 3712);
    a5c = ((const __m64  *) a6c);
    s47 = _mm_loadh_pi(a2c, a5c);
    a0d = (src + 3968);
    a9c = ((const __m64  *) a0d);
    a8c = _mm_loadl_pi(_mm_set1_ps(0.0f), a9c);
    a2d = (src + 3456);
    a1d = ((const __m64  *) a2d);
    a7c = _mm_loadh_pi(a8c, a1d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7c);
    a6d = (src + 2944);
    a5d = ((const __m64  *) a6d);
    a4d = _mm_loadl_pi(_mm_set1_ps(0.0f), a5d);
    a8d = (src + 2432);
    a7d = ((const __m64  *) a8d);
    a3d = _mm_loadh_pi(a4d, a7d);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3d);
    a2e = (src + 1920);
    a1e = ((const __m64  *) a2e);
    a0e = _mm_loadl_pi(_mm_set1_ps(0.0f), a1e);
    a4e = (src + 1408);
    a3e = ((const __m64  *) a4e);
    a9d = _mm_loadh_pi(a0e, a3e);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9d);
    a8e = (src + 896);
    a7e = ((const __m64  *) a8e);
    a6e = _mm_loadl_pi(_mm_set1_ps(0.0f), a7e);
    a0f = (src + 384);
    a9e = ((const __m64  *) a0f);
    a5e = _mm_loadh_pi(a6e, a9e);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a1f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a2f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a4f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a3f, a4f);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a5f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a6f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a5f, a6f);
    a7f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a8f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a7f, a8f);
    a9f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a0g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a2g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a1g, a2g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a3g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t75);
    a4g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t85);
    s9a = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t75);
    a6g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t85);
    s0b = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t95);
    a8g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t06);
    s1b = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t95);
    a0h = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t06);
    s2b = _mm_add_ps(a9g, a0h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a1h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t16);
    a2h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t26);
    s3b = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t16);
    a4h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t26);
    s4b = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t36);
    a6h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t46);
    s5b = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t36);
    a8h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t46);
    s6b = _mm_add_ps(a7h, a8h);
    a = ((__m128  *) T);
    s7b = _mm_add_ps(s36, s9a);
    *(a) = s7b;
    s8b = _mm_sub_ps(s36, s9a);
    a9h = (a + 8);
    *(a9h) = s8b;
    s9b = _mm_sub_ps(s56, s0b);
    a0i = (a + 4);
    *(a0i) = s9b;
    s0c = _mm_add_ps(s56, s0b);
    a1i = (a + 12);
    *(a1i) = s0c;
    s1c = _mm_add_ps(s46, s3b);
    a2i = (a + 1);
    *(a2i) = s1c;
    s2c = _mm_sub_ps(s46, s3b);
    a3i = (a + 9);
    *(a3i) = s2c;
    s3c = _mm_sub_ps(s66, s4b);
    a4i = (a + 5);
    *(a4i) = s3c;
    s4c = _mm_add_ps(s66, s4b);
    a5i = (a + 13);
    *(a5i) = s4c;
    s5c = _mm_add_ps(s76, s1b);
    a6i = (a + 2);
    *(a6i) = s5c;
    s6c = _mm_sub_ps(s76, s1b);
    a7i = (a + 10);
    *(a7i) = s6c;
    s7c = _mm_sub_ps(s96, s2b);
    a8i = (a + 6);
    *(a8i) = s7c;
    s8c = _mm_add_ps(s96, s2b);
    a9i = (a + 14);
    *(a9i) = s8c;
    s9c = _mm_add_ps(s86, s5b);
    a0j = (a + 3);
    *(a0j) = s9c;
    s0d = _mm_sub_ps(s86, s5b);
    a1j = (a + 11);
    *(a1j) = s0d;
    s1d = _mm_sub_ps(s07, s6b);
    a2j = (a + 7);
    *(a2j) = s1d;
    s2d = _mm_add_ps(s07, s6b);
    a3j = (a + 15);
    *(a3j) = s2d;
    {long i; for(i = 0; i <= 62; i++) {
        a4j = (2 * i);
        b01 = (src + a4j);
        a9l = (b01 + 2);
        a8l = ((const __m64  *) a9l);
        a7l = _mm_loadl_pi(_mm_set1_ps(0.0f), a8l);
        a1m = (b01 + 258);
        a0m = ((const __m64  *) a1m);
        s3d = _mm_loadh_pi(a7l, a0m);
        a4m = (b01 + 514);
        a3m = ((const __m64  *) a4m);
        a2m = _mm_loadl_pi(_mm_set1_ps(0.0f), a3m);
        a6m = (b01 + 770);
        a5m = ((const __m64  *) a6m);
        s4d = _mm_loadh_pi(a2m, a5m);
        a9m = (b01 + 1026);
        a8m = ((const __m64  *) a9m);
        a7m = _mm_loadl_pi(_mm_set1_ps(0.0f), a8m);
        a1n = (b01 + 1282);
        a0n = ((const __m64  *) a1n);
        s5d = _mm_loadh_pi(a7m, a0n);
        a4n = (b01 + 1538);
        a3n = ((const __m64  *) a4n);
        a2n = _mm_loadl_pi(_mm_set1_ps(0.0f), a3n);
        a6n = (b01 + 1794);
        a5n = ((const __m64  *) a6n);
        s6d = _mm_loadh_pi(a2n, a5n);
        a9n = (b01 + 2050);
        a8n = ((const __m64  *) a9n);
        a7n = _mm_loadl_pi(_mm_set1_ps(0.0f), a8n);
        a1o = (b01 + 2306);
        a0o = ((const __m64  *) a1o);
        s7d = _mm_loadh_pi(a7n, a0o);
        a4o = (b01 + 2562);
        a3o = ((const __m64  *) a4o);
        a2o = _mm_loadl_pi(_mm_set1_ps(0.0f), a3o);
        a6o = (b01 + 2818);
        a5o = ((const __m64  *) a6o);
        s8d = _mm_loadh_pi(a2o, a5o);
        a9o = (b01 + 3074);
        a8o = ((const __m64  *) a9o);
        a7o = _mm_loadl_pi(_mm_set1_ps(0.0f), a8o);
        a1p = (b01 + 3330);
        a0p = ((const __m64  *) a1p);
        s9d = _mm_loadh_pi(a7o, a0p);
        a4p = (b01 + 3586);
        a3p = ((const __m64  *) a4p);
        a2p = _mm_loadl_pi(_mm_set1_ps(0.0f), a3p);
        a6p = (b01 + 3842);
        a5p = ((const __m64  *) a6p);
        s0e = _mm_loadh_pi(a2p, a5p);
        b11 = (src - a4j);
        a0q = (b11 + 4094);
        a9p = ((const __m64  *) a0q);
        a8p = _mm_loadl_pi(_mm_set1_ps(0.0f), a9p);
        a2q = (b11 + 3838);
        a1q = ((const __m64  *) a2q);
        a7p = _mm_loadh_pi(a8p, a1q);
        s1e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7p);
        a6q = (b11 + 3582);
        a5q = ((const __m64  *) a6q);
        a4q = _mm_loadl_pi(_mm_set1_ps(0.0f), a5q);
        a8q = (b11 + 3326);
        a7q = ((const __m64  *) a8q);
        a3q = _mm_loadh_pi(a4q, a7q);
        s2e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3q);
        a2r = (b11 + 3070);
        a1r = ((const __m64  *) a2r);
        a0r = _mm_loadl_pi(_mm_set1_ps(0.0f), a1r);
        a4r = (b11 + 2814);
        a3r = ((const __m64  *) a4r);
        a9q = _mm_loadh_pi(a0r, a3r);
        s3e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9q);
        a8r = (b11 + 2558);
        a7r = ((const __m64  *) a8r);
        a6r = _mm_loadl_pi(_mm_set1_ps(0.0f), a7r);
        a0s = (b11 + 2302);
        a9r = ((const __m64  *) a0s);
        a5r = _mm_loadh_pi(a6r, a9r);
        s4e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5r);
        a4s = (b11 + 2046);
        a3s = ((const __m64  *) a4s);
        a2s = _mm_loadl_pi(_mm_set1_ps(0.0f), a3s);
        a6s = (b11 + 1790);
        a5s = ((const __m64  *) a6s);
        a1s = _mm_loadh_pi(a2s, a5s);
        s5e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1s);
        a0t = (b11 + 1534);
        a9s = ((const __m64  *) a0t);
        a8s = _mm_loadl_pi(_mm_set1_ps(0.0f), a9s);
        a2t = (b11 + 1278);
        a1t = ((const __m64  *) a2t);
        a7s = _mm_loadh_pi(a8s, a1t);
        s6e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7s);
        a6t = (b11 + 1022);
        a5t = ((const __m64  *) a6t);
        a4t = _mm_loadl_pi(_mm_set1_ps(0.0f), a5t);
        a8t = (b11 + 766);
        a7t = ((const __m64  *) a8t);
        a3t = _mm_loadh_pi(a4t, a7t);
        s7e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3t);
        a2u = (b11 + 510);
        a1u = ((const __m64  *) a2u);
        a0u = _mm_loadl_pi(_mm_set1_ps(0.0f), a1u);
        a4u = (b11 + 254);
        a3u = ((const __m64  *) a4u);
        a9t = _mm_loadh_pi(a0u, a3u);
        s8e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9t);
        s9e = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(2, 0, 2, 0));
        s0f = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(3, 1, 3, 1));
        s1f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(2, 0, 2, 0));
        s2f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(3, 1, 3, 1));
        t56 = _mm_add_ps(s9e, s1f);
        t66 = _mm_add_ps(s0f, s2f);
        t76 = _mm_sub_ps(s9e, s1f);
        t86 = _mm_sub_ps(s0f, s2f);
        s3f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(2, 0, 2, 0));
        s4f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(3, 1, 3, 1));
        s5f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(2, 0, 2, 0));
        s6f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(3, 1, 3, 1));
        t96 = _mm_add_ps(s3f, s5f);
        t07 = _mm_add_ps(s4f, s6f);
        t17 = _mm_sub_ps(s3f, s5f);
        t27 = _mm_sub_ps(s4f, s6f);
        t37 = _mm_add_ps(t56, t96);
        t47 = _mm_add_ps(t66, t07);
        t57 = _mm_sub_ps(t56, t96);
        t67 = _mm_sub_ps(t66, t07);
        t77 = _mm_sub_ps(t76, t27);
        t87 = _mm_add_ps(t86, t17);
        t97 = _mm_add_ps(t76, t27);
        t08 = _mm_sub_ps(t86, t17);
        s7f = _mm_unpacklo_ps(t37, t77);
        s8f = _mm_unpackhi_ps(t37, t77);
        s9f = _mm_unpacklo_ps(t47, t87);
        s0g = _mm_unpackhi_ps(t47, t87);
        s1g = _mm_unpacklo_ps(t57, t97);
        s2g = _mm_unpackhi_ps(t57, t97);
        s3g = _mm_unpacklo_ps(t67, t08);
        s4g = _mm_unpackhi_ps(t67, t08);
        s5g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(1, 0, 1, 0));
        s6g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(3, 2, 3, 2));
        s7g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(1, 0, 1, 0));
        s8g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(3, 2, 3, 2));
        s9g = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(1, 0, 1, 0));
        s0h = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(3, 2, 3, 2));
        s1h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(1, 0, 1, 0));
        s2h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(3, 2, 3, 2));
        s3h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(2, 0, 2, 0));
        s4h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(3, 1, 3, 1));
        s5h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(2, 0, 2, 0));
        s6h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(3, 1, 3, 1));
        t18 = _mm_add_ps(s3h, s5h);
        t28 = _mm_add_ps(s4h, s6h);
        t38 = _mm_sub_ps(s3h, s5h);
        t48 = _mm_sub_ps(s4h, s6h);
        s7h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(2, 0, 2, 0));
        s8h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(3, 1, 3, 1));
        s9h = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(2, 0, 2, 0));
        s0i = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(3, 1, 3, 1));
        t58 = _mm_add_ps(s7h, s9h);
        t68 = _mm_add_ps(s8h, s0i);
        t78 = _mm_sub_ps(s7h, s9h);
        t88 = _mm_sub_ps(s8h, s0i);
        t98 = _mm_add_ps(t18, t58);
        t09 = _mm_add_ps(t28, t68);
        t19 = _mm_sub_ps(t18, t58);
        t29 = _mm_sub_ps(t28, t68);
        t39 = _mm_sub_ps(t38, t88);
        t49 = _mm_add_ps(t48, t78);
        t59 = _mm_add_ps(t38, t88);
        t69 = _mm_sub_ps(t48, t78);
        s1i = _mm_unpacklo_ps(t98, t39);
        s2i = _mm_unpackhi_ps(t98, t39);
        s3i = _mm_unpacklo_ps(t09, t49);
        s4i = _mm_unpackhi_ps(t09, t49);
        s5i = _mm_unpacklo_ps(t19, t59);
        s6i = _mm_unpackhi_ps(t19, t59);
        s7i = _mm_unpacklo_ps(t29, t69);
        s8i = _mm_unpackhi_ps(t29, t69);
        s9i = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(1, 0, 1, 0));
        s0j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(3, 2, 3, 2));
        s1j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(1, 0, 1, 0));
        s2j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(3, 2, 3, 2));
        s3j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(1, 0, 1, 0));
        s4j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(3, 2, 3, 2));
        s5j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(1, 0, 1, 0));
        s6j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(3, 2, 3, 2));
        a5u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9i);
        a6u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3j);
        s7j = _mm_sub_ps(a5u, a6u);
        a7u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s9i);
        a8u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3j);
        s8j = _mm_add_ps(a7u, a8u);
        t79 = _mm_add_ps(s5g, s7j);
        t89 = _mm_add_ps(s9g, s8j);
        t99 = _mm_sub_ps(s5g, s7j);
        t0a = _mm_sub_ps(s9g, s8j);
        a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7g);
        a0v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s1h);
        s9j = _mm_sub_ps(a9u, a0v);
        a1v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s7g);
        a2v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1h);
        s0k = _mm_add_ps(a1v, a2v);
        a3v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1j);
        a4v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s5j);
        s1k = _mm_sub_ps(a3v, a4v);
        a5v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s1j);
        a6v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5j);
        s2k = _mm_add_ps(a5v, a6v);
        t1a = _mm_add_ps(s9j, s1k);
        t2a = _mm_add_ps(s0k, s2k);
        t3a = _mm_sub_ps(s9j, s1k);
        t4a = _mm_sub_ps(s0k, s2k);
        t5a = _mm_add_ps(t79, t1a);
        t6a = _mm_add_ps(t89, t2a);
        t7a = _mm_sub_ps(t79, t1a);
        t8a = _mm_sub_ps(t89, t2a);
        t9a = _mm_sub_ps(t99, t4a);
        t0b = _mm_add_ps(t0a, t3a);
        t1b = _mm_add_ps(t99, t4a);
        t2b = _mm_sub_ps(t0a, t3a);
        a7v = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6g);
        a8v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s0h);
        s3k = _mm_sub_ps(a7v, a8v);
        a9v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s6g);
        a0w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0h);
        s4k = _mm_add_ps(a9v, a0w);
        a1w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0j);
        a2w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s4j);
        s5k = _mm_sub_ps(a1w, a2w);
        a3w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s0j);
        a4w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4j);
        s6k = _mm_add_ps(a3w, a4w);
        t3b = _mm_add_ps(s3k, s5k);
        t4b = _mm_add_ps(s4k, s6k);
        t5b = _mm_sub_ps(s3k, s5k);
        t6b = _mm_sub_ps(s4k, s6k);
        a5w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8g);
        a6w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s2h);
        s7k = _mm_sub_ps(a5w, a6w);
        a7w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s8g);
        a8w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2h);
        s8k = _mm_add_ps(a7w, a8w);
        a9w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2j);
        a0x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s6j);
        s9k = _mm_sub_ps(a9w, a0x);
        a1x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s2j);
        a2x = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6j);
        s0l = _mm_add_ps(a1x, a2x);
        t7b = _mm_add_ps(s7k, s9k);
        t8b = _mm_add_ps(s8k, s0l);
        t9b = _mm_sub_ps(s7k, s9k);
        t0c = _mm_sub_ps(s8k, s0l);
        t1c = _mm_add_ps(t3b, t7b);
        t2c = _mm_add_ps(t4b, t8b);
        t3c = _mm_sub_ps(t3b, t7b);
        t4c = _mm_sub_ps(t4b, t8b);
        a3x = _mm_sub_ps(t5b, t0c);
        a5j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3x);
        a4x = _mm_add_ps(t6b, t9b);
        a6j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4x);
        s1l = _mm_sub_ps(a5j, a6j);
        s2l = _mm_add_ps(a5j, a6j);
        a5x = _mm_add_ps(t5b, t0c);
        a7j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5x);
        a6x = _mm_sub_ps(t6b, t9b);
        a8j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6x);
        s3l = _mm_sub_ps(a7j, a8j);
        s4l = _mm_add_ps(a7j, a8j);
        t5c = _mm_add_ps(t5a, t1c);
        t6c = _mm_add_ps(t6a, t2c);
        t7c = _mm_sub_ps(t5a, t1c);
        t8c = _mm_sub_ps(t6a, t2c);
        a9j = (16 * i);
        a0k = (D32 + a9j);
        a1k = *(a0k);
        a7x = (a0k + 1);
        a2k = *(a7x);
        a8x = (a0k + 2);
        a3k = *(a8x);
        a9x = (a0k + 3);
        a4k = *(a9x);
        a0y = ((__m128  *) T);
        b21 = (a0y + a9j);
        a1y = _mm_mul_ps(a1k, t5c);
        a2y = _mm_mul_ps(a2k, t6c);
        s5l = _mm_sub_ps(a1y, a2y);
        a3y = (b21 + 16);
        *(a3y) = s5l;
        a4y = _mm_mul_ps(a2k, t5c);
        a5y = _mm_mul_ps(a1k, t6c);
        s6l = _mm_add_ps(a4y, a5y);
        a6y = (b21 + 24);
        *(a6y) = s6l;
        a7y = _mm_mul_ps(a3k, t7c);
        a8y = _mm_mul_ps(a4k, t8c);
        s7l = _mm_sub_ps(a7y, a8y);
        a9y = (b21 + 20);
        *(a9y) = s7l;
        a0z = _mm_mul_ps(a4k, t7c);
        a1z = _mm_mul_ps(a3k, t8c);
        s8l = _mm_add_ps(a0z, a1z);
        a2z = (b21 + 28);
        *(a2z) = s8l;
        t9c = _mm_add_ps(t9a, s1l);
        t0d = _mm_add_ps(t0b, s2l);
        t1d = _mm_sub_ps(t9a, s1l);
        t2d = _mm_sub_ps(t0b, s2l);
        a3z = (a0k + 4);
        a5k = *(a3z);
        a4z = (a0k + 5);
        a6k = *(a4z);
        a5z = (a0k + 6);
        a7k = *(a5z);
        a6z = (a0k + 7);
        a8k = *(a6z);
        a7z = _mm_mul_ps(a5k, t9c);
        a8z = _mm_mul_ps(a6k, t0d);
        s9l = _mm_sub_ps(a7z, a8z);
        a9z = (b21 + 17);
        *(a9z) = s9l;
        a0A = _mm_mul_ps(a6k, t9c);
        a1A = _mm_mul_ps(a5k, t0d);
        s0m = _mm_add_ps(a0A, a1A);
        a2A = (b21 + 25);
        *(a2A) = s0m;
        a3A = _mm_mul_ps(a7k, t1d);
        a4A = _mm_mul_ps(a8k, t2d);
        s1m = _mm_sub_ps(a3A, a4A);
        a5A = (b21 + 21);
        *(a5A) = s1m;
        a6A = _mm_mul_ps(a8k, t1d);
        a7A = _mm_mul_ps(a7k, t2d);
        s2m = _mm_add_ps(a6A, a7A);
        a8A = (b21 + 29);
        *(a8A) = s2m;
        t3d = _mm_sub_ps(t7a, t4c);
        t4d = _mm_add_ps(t8a, t3c);
        t5d = _mm_add_ps(t7a, t4c);
        t6d = _mm_sub_ps(t8a, t3c);
        a9A = (a0k + 8);
        a9k = *(a9A);
        a0B = (a0k + 9);
        a0l = *(a0B);
        a1B = (a0k + 10);
        a1l = *(a1B);
        a2B = (a0k + 11);
        a2l = *(a2B);
        a3B = _mm_mul_ps(a9k, t3d);
        a4B = _mm_mul_ps(a0l, t4d);
        s3m = _mm_sub_ps(a3B, a4B);
        a5B = (b21 + 18);
        *(a5B) = s3m;
        a6B = _mm_mul_ps(a0l, t3d);
        a7B = _mm_mul_ps(a9k, t4d);
        s4m = _mm_add_ps(a6B, a7B);
        a8B = (b21 + 26);
        *(a8B) = s4m;
        a9B = _mm_mul_ps(a1l, t5d);
        a0C = _mm_mul_ps(a2l, t6d);
        s5m = _mm_sub_ps(a9B, a0C);
        a1C = (b21 + 22);
        *(a1C) = s5m;
        a2C = _mm_mul_ps(a2l, t5d);
        a3C = _mm_mul_ps(a1l, t6d);
        s6m = _mm_add_ps(a2C, a3C);
        a4C = (b21 + 30);
        *(a4C) = s6m;
        t7d = _mm_add_ps(t1b, s3l);
        t8d = _mm_sub_ps(t2b, s4l);
        t9d = _mm_sub_ps(t1b, s3l);
        t0e = _mm_add_ps(t2b, s4l);
        a5C = (a0k + 12);
        a3l = *(a5C);
        a6C = (a0k + 13);
        a4l = *(a6C);
        a7C = (a0k + 14);
        a5l = *(a7C);
        a8C = (a0k + 15);
        a6l = *(a8C);
        a9C = _mm_mul_ps(a3l, t7d);
        a0D = _mm_mul_ps(a4l, t8d);
        s7m = _mm_sub_ps(a9C, a0D);
        a1D = (b21 + 19);
        *(a1D) = s7m;
        a2D = _mm_mul_ps(a4l, t7d);
        a3D = _mm_mul_ps(a3l, t8d);
        s8m = _mm_add_ps(a2D, a3D);
        a4D = (b21 + 27);
        *(a4D) = s8m;
        a5D = _mm_mul_ps(a5l, t9d);
        a6D = _mm_mul_ps(a6l, t0e);
        s9m = _mm_sub_ps(a5D, a6D);
        a7D = (b21 + 23);
        *(a7D) = s9m;
        a8D = _mm_mul_ps(a6l, t9d);
        a9D = _mm_mul_ps(a5l, t0e);
        s0n = _mm_add_ps(a8D, a9D);
        a0E = (b21 + 31);
        *(a0E) = s0n;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a7M = ((__m128  *) T);
        a1E = (a7M + i2);
        s1n = *(a1E);
        a8M = (a1E + 512);
        s2n = *(a8M);
        t1e = _mm_add_ps(s1n, s2n);
        t2e = _mm_sub_ps(s1n, s2n);
        a9M = (a1E + 8);
        s3n = *(a9M);
        a0N = (a1E + 520);
        s4n = *(a0N);
        t3e = _mm_sub_ps(s3n, s4n);
        t4e = _mm_add_ps(s3n, s4n);
        a5F = (a1E + 256);
        s5n = *(a5F);
        a6F = (a1E + 264);
        s6n = *(a6F);
        a7F = (a1E + 768);
        s7n = *(a7F);
        a8F = (a1E + 776);
        s8n = *(a8F);
        t5e = _mm_add_ps(s5n, s7n);
        t6e = _mm_sub_ps(s6n, s8n);
        a9F = _mm_sub_ps(s5n, s7n);
        a2E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9F);
        a0G = _mm_add_ps(s6n, s8n);
        a3E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0G);
        s9n = _mm_sub_ps(a2E, a3E);
        s0o = _mm_add_ps(a2E, a3E);
        t7e = _mm_add_ps(t1e, t5e);
        t8e = _mm_sub_ps(t1e, t5e);
        t9e = _mm_sub_ps(t2e, t6e);
        t0f = _mm_add_ps(t2e, t6e);
        t1f = _mm_add_ps(t3e, s9n);
        t2f = _mm_sub_ps(t3e, s9n);
        t3f = _mm_sub_ps(t4e, s0o);
        t4f = _mm_add_ps(t4e, s0o);
        a1G = (a1E + 64);
        s1o = *(a1G);
        a2G = (a1E + 72);
        s2o = *(a2G);
        a3G = (a1E + 960);
        s3o = *(a3G);
        a4G = (a1E + 968);
        s4o = *(a4G);
        t5f = _mm_add_ps(s1o, s3o);
        t6f = _mm_sub_ps(s2o, s4o);
        t7f = _mm_sub_ps(s1o, s3o);
        t8f = _mm_add_ps(s2o, s4o);
        a5G = (a1E + 576);
        s5o = *(a5G);
        a6G = (a1E + 584);
        s6o = *(a6G);
        a7G = (a1E + 448);
        s7o = *(a7G);
        a8G = (a1E + 456);
        s8o = *(a8G);
        t9f = _mm_add_ps(s5o, s7o);
        t0g = _mm_sub_ps(s6o, s8o);
        t1g = _mm_sub_ps(s5o, s7o);
        t2g = _mm_add_ps(s6o, s8o);
        t3g = _mm_add_ps(t5f, t9f);
        t4g = _mm_add_ps(t6f, t0g);
        t5g = _mm_sub_ps(t5f, t9f);
        t6g = _mm_sub_ps(t6f, t0g);
        t7g = _mm_sub_ps(t7f, t2g);
        t8g = _mm_add_ps(t8f, t1g);
        t9g = _mm_add_ps(t7f, t2g);
        t0h = _mm_sub_ps(t8f, t1g);
        a9G = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t7g);
        a0H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t8g);
        s9o = _mm_sub_ps(a9G, a0H);
        a1H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t7g);
        a2H = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t8g);
        s0p = _mm_add_ps(a1H, a2H);
        a3H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5g);
        a4H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6g);
        s1p = _mm_sub_ps(a3H, a4H);
        a5H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5g);
        a6H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6g);
        s2p = _mm_add_ps(a5H, a6H);
        a7H = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t9g);
        a8H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t0h);
        s3p = _mm_sub_ps(a7H, a8H);
        a9H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t9g);
        a0I = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t0h);
        s4p = _mm_add_ps(a9H, a0I);
        a1I = (a1E + 128);
        s5p = *(a1I);
        a2I = (a1E + 136);
        s6p = *(a2I);
        a3I = (a1E + 896);
        s7p = *(a3I);
        a4I = (a1E + 904);
        s8p = *(a4I);
        t1h = _mm_add_ps(s5p, s7p);
        t2h = _mm_sub_ps(s6p, s8p);
        t3h = _mm_sub_ps(s5p, s7p);
        t4h = _mm_add_ps(s6p, s8p);
        a5I = (a1E + 640);
        s9p = *(a5I);
        a6I = (a1E + 648);
        s0q = *(a6I);
        a7I = (a1E + 384);
        s1q = *(a7I);
        a8I = (a1E + 392);
        s2q = *(a8I);
        t5h = _mm_add_ps(s9p, s1q);
        t6h = _mm_sub_ps(s0q, s2q);
        t7h = _mm_sub_ps(s9p, s1q);
        t8h = _mm_add_ps(s0q, s2q);
        t9h = _mm_add_ps(t1h, t5h);
        t0i = _mm_add_ps(t2h, t6h);
        t1i = _mm_sub_ps(t3h, t8h);
        t2i = _mm_add_ps(t4h, t7h);
        t3i = _mm_add_ps(t3h, t8h);
        t4i = _mm_sub_ps(t4h, t7h);
        a9I = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1i);
        a0J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2i);
        s3q = _mm_sub_ps(a9I, a0J);
        a1J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1i);
        a2J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2i);
        s4q = _mm_add_ps(a1J, a2J);
        a3J = _mm_sub_ps(t1h, t5h);
        a4E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3J);
        a4J = _mm_sub_ps(t2h, t6h);
        a5E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4J);
        s5q = _mm_sub_ps(a4E, a5E);
        s6q = _mm_add_ps(a4E, a5E);
        a5J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3i);
        a6J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4i);
        s7q = _mm_sub_ps(a5J, a6J);
        a7J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3i);
        a8J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4i);
        s8q = _mm_add_ps(a7J, a8J);
        a9J = (a1E + 192);
        s9q = *(a9J);
        a0K = (a1E + 200);
        s0r = *(a0K);
        a1K = (a1E + 832);
        s1r = *(a1K);
        a2K = (a1E + 840);
        s2r = *(a2K);
        t5i = _mm_add_ps(s9q, s1r);
        t6i = _mm_sub_ps(s0r, s2r);
        t7i = _mm_sub_ps(s9q, s1r);
        t8i = _mm_add_ps(s0r, s2r);
        a3K = (a1E + 704);
        s3r = *(a3K);
        a4K = (a1E + 712);
        s4r = *(a4K);
        a5K = (a1E + 320);
        s5r = *(a5K);
        a6K = (a1E + 328);
        s6r = *(a6K);
        t9i = _mm_add_ps(s3r, s5r);
        t0j = _mm_sub_ps(s4r, s6r);
        t1j = _mm_sub_ps(s3r, s5r);
        t2j = _mm_add_ps(s4r, s6r);
        t3j = _mm_add_ps(t5i, t9i);
        t4j = _mm_add_ps(t6i, t0j);
        t5j = _mm_sub_ps(t5i, t9i);
        t6j = _mm_sub_ps(t6i, t0j);
        t7j = _mm_sub_ps(t7i, t2j);
        t8j = _mm_add_ps(t8i, t1j);
        t9j = _mm_add_ps(t7i, t2j);
        t0k = _mm_sub_ps(t8i, t1j);
        a7K = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t7j);
        a8K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t8j);
        s7r = _mm_sub_ps(a7K, a8K);
        a9K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t7j);
        a0L = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t8j);
        s8r = _mm_add_ps(a9K, a0L);
        a1L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5j);
        a2L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6j);
        s9r = _mm_sub_ps(a1L, a2L);
        a3L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5j);
        a4L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6j);
        s0s = _mm_add_ps(a3L, a4L);
        a5L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t9j);
        a6L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t0k);
        s1s = _mm_sub_ps(a5L, a6L);
        a7L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t9j);
        a8L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t0k);
        s2s = _mm_add_ps(a7L, a8L);
        t1k = _mm_add_ps(t7e, t9h);
        t2k = _mm_sub_ps(t7e, t9h);
        t3k = _mm_sub_ps(t8e, t0i);
        t4k = _mm_add_ps(t8e, t0i);
        t5k = _mm_add_ps(t3g, t3j);
        t6k = _mm_sub_ps(t4g, t4j);
        a9L = _mm_sub_ps(t3g, t3j);
        a6E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9L);
        a0M = _mm_add_ps(t4g, t4j);
        a7E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0M);
        s3s = _mm_sub_ps(a6E, a7E);
        s4s = _mm_add_ps(a6E, a7E);
        a8E = ((__m128  *) T2);
        s5s = _mm_add_ps(t1k, t5k);
        *(a8E) = s5s;
        s6s = _mm_sub_ps(t1k, t5k);
        a1N = (a8E + 16);
        *(a1N) = s6s;
        s7s = _mm_sub_ps(t2k, t6k);
        a2N = (a8E + 8);
        *(a2N) = s7s;
        s8s = _mm_add_ps(t2k, t6k);
        a3N = (a8E + 24);
        *(a3N) = s8s;
        s9s = _mm_add_ps(t3k, s3s);
        a4N = (a8E + 4);
        *(a4N) = s9s;
        s0t = _mm_sub_ps(t3k, s3s);
        a5N = (a8E + 20);
        *(a5N) = s0t;
        s1t = _mm_sub_ps(t4k, s4s);
        a6N = (a8E + 12);
        *(a6N) = s1t;
        s2t = _mm_add_ps(t4k, s4s);
        a7N = (a8E + 28);
        *(a7N) = s2t;
        t7k = _mm_add_ps(t1f, s3q);
        t8k = _mm_sub_ps(t1f, s3q);
        t9k = _mm_sub_ps(t2f, s4q);
        t0l = _mm_add_ps(t2f, s4q);
        t1l = _mm_add_ps(s9o, s7r);
        t2l = _mm_sub_ps(s0p, s8r);
        a1M = _mm_sub_ps(s9o, s7r);
        a9E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1M);
        a2M = _mm_add_ps(s0p, s8r);
        a0F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2M);
        s3t = _mm_sub_ps(a9E, a0F);
        s4t = _mm_add_ps(a9E, a0F);
        s5t = _mm_add_ps(t7k, t1l);
        a8N = (a8E + 1);
        *(a8N) = s5t;
        s6t = _mm_sub_ps(t7k, t1l);
        a9N = (a8E + 17);
        *(a9N) = s6t;
        s7t = _mm_sub_ps(t8k, t2l);
        a0O = (a8E + 9);
        *(a0O) = s7t;
        s8t = _mm_add_ps(t8k, t2l);
        a1O = (a8E + 25);
        *(a1O) = s8t;
        s9t = _mm_add_ps(t9k, s3t);
        a2O = (a8E + 5);
        *(a2O) = s9t;
        s0u = _mm_sub_ps(t9k, s3t);
        a3O = (a8E + 21);
        *(a3O) = s0u;
        s1u = _mm_sub_ps(t0l, s4t);
        a4O = (a8E + 13);
        *(a4O) = s1u;
        s2u = _mm_add_ps(t0l, s4t);
        a5O = (a8E + 29);
        *(a5O) = s2u;
        t3l = _mm_add_ps(t9e, s5q);
        t4l = _mm_sub_ps(t9e, s5q);
        t5l = _mm_sub_ps(t0f, s6q);
        t6l = _mm_add_ps(t0f, s6q);
        t7l = _mm_add_ps(s1p, s9r);
        t8l = _mm_sub_ps(s2p, s0s);
        a3M = _mm_sub_ps(s1p, s9r);
        a1F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3M);
        a4M = _mm_add_ps(s2p, s0s);
        a2F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4M);
        s3u = _mm_sub_ps(a1F, a2F);
        s4u = _mm_add_ps(a1F, a2F);
        s5u = _mm_add_ps(t3l, t7l);
        a6O = (a8E + 2);
        *(a6O) = s5u;
        s6u = _mm_sub_ps(t3l, t7l);
        a7O = (a8E + 18);
        *(a7O) = s6u;
        s7u = _mm_sub_ps(t4l, t8l);
        a8O = (a8E + 10);
        *(a8O) = s7u;
        s8u = _mm_add_ps(t4l, t8l);
        a9O = (a8E + 26);
        *(a9O) = s8u;
        s9u = _mm_add_ps(t5l, s3u);
        a0P = (a8E + 6);
        *(a0P) = s9u;
        s0v = _mm_sub_ps(t5l, s3u);
        a1P = (a8E + 22);
        *(a1P) = s0v;
        s1v = _mm_sub_ps(t6l, s4u);
        a2P = (a8E + 14);
        *(a2P) = s1v;
        s2v = _mm_add_ps(t6l, s4u);
        a3P = (a8E + 30);
        *(a3P) = s2v;
        t9l = _mm_add_ps(t3f, s7q);
        t0m = _mm_sub_ps(t3f, s7q);
        t1m = _mm_sub_ps(t4f, s8q);
        t2m = _mm_add_ps(t4f, s8q);
        t3m = _mm_add_ps(s3p, s1s);
        t4m = _mm_sub_ps(s4p, s2s);
        a5M = _mm_sub_ps(s3p, s1s);
        a3F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5M);
        a6M = _mm_add_ps(s4p, s2s);
        a4F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6M);
        s3v = _mm_sub_ps(a3F, a4F);
        s4v = _mm_add_ps(a3F, a4F);
        s5v = _mm_add_ps(t9l, t3m);
        a4P = (a8E + 3);
        *(a4P) = s5v;
        s6v = _mm_sub_ps(t9l, t3m);
        a5P = (a8E + 19);
        *(a5P) = s6v;
        s7v = _mm_sub_ps(t0m, t4m);
        a6P = (a8E + 11);
        *(a6P) = s7v;
        s8v = _mm_add_ps(t0m, t4m);
        a7P = (a8E + 27);
        *(a7P) = s8v;
        s9v = _mm_add_ps(t1m, s3v);
        a8P = (a8E + 7);
        *(a8P) = s9v;
        s0w = _mm_sub_ps(t1m, s3v);
        a9P = (a8E + 23);
        *(a9P) = s0w;
        s1w = _mm_sub_ps(t2m, s4v);
        a0Q = (a8E + 15);
        *(a0Q) = s1w;
        s2w = _mm_add_ps(t2m, s4v);
        a1Q = (a8E + 31);
        *(a1Q) = s2w;
        {long i3; for(i3 = 0; i3 <= 2; i3++) {
            a2Q = (16 * i3);
            a5U = ((__m128  *) T);
            b31 = (a5U + i2);
            b41 = (b31 + a2Q);
            a6U = (b41 + 16);
            s3w = *(a6U);
            a7U = (b41 + 24);
            s4w = *(a7U);
            b51 = (b31 - a2Q);
            a8U = (b51 + 1008);
            s5w = *(a8U);
            a9U = (b51 + 1016);
            s6w = *(a9U);
            t5m = _mm_add_ps(s3w, s5w);
            t6m = _mm_sub_ps(s4w, s6w);
            t7m = _mm_sub_ps(s3w, s5w);
            t8m = _mm_add_ps(s4w, s6w);
            a0V = (b41 + 528);
            s7w = *(a0V);
            a1V = (b41 + 536);
            s8w = *(a1V);
            a2V = (b51 + 496);
            s9w = *(a2V);
            a3V = (b51 + 504);
            s0x = *(a3V);
            t9m = _mm_add_ps(s7w, s9w);
            t0n = _mm_sub_ps(s8w, s0x);
            t1n = _mm_sub_ps(s7w, s9w);
            t2n = _mm_add_ps(s8w, s0x);
            t3n = _mm_add_ps(t5m, t9m);
            t4n = _mm_add_ps(t6m, t0n);
            t5n = _mm_sub_ps(t5m, t9m);
            t6n = _mm_sub_ps(t6m, t0n);
            t7n = _mm_sub_ps(t7m, t2n);
            t8n = _mm_add_ps(t8m, t1n);
            t9n = _mm_add_ps(t7m, t2n);
            t0o = _mm_sub_ps(t8m, t1n);
            a4V = (b41 + 144);
            s1x = *(a4V);
            a5V = (b41 + 152);
            s2x = *(a5V);
            a6V = (b51 + 880);
            s3x = *(a6V);
            a7V = (b51 + 888);
            s4x = *(a7V);
            t1o = _mm_add_ps(s1x, s3x);
            t2o = _mm_sub_ps(s2x, s4x);
            t3o = _mm_sub_ps(s1x, s3x);
            t4o = _mm_add_ps(s2x, s4x);
            a8V = (b41 + 656);
            s5x = *(a8V);
            a9V = (b41 + 664);
            s6x = *(a9V);
            a0W = (b51 + 368);
            s7x = *(a0W);
            a1W = (b51 + 376);
            s8x = *(a1W);
            t5o = _mm_add_ps(s5x, s7x);
            t6o = _mm_sub_ps(s6x, s8x);
            t7o = _mm_sub_ps(s5x, s7x);
            t8o = _mm_add_ps(s6x, s8x);
            t9o = _mm_add_ps(t1o, t5o);
            t0p = _mm_add_ps(t2o, t6o);
            a2W = _mm_sub_ps(t1o, t5o);
            a3Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2W);
            a3W = _mm_sub_ps(t2o, t6o);
            a4Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3W);
            s9x = _mm_sub_ps(a3Q, a4Q);
            s0y = _mm_add_ps(a3Q, a4Q);
            t1p = _mm_sub_ps(t3o, t8o);
            t2p = _mm_add_ps(t4o, t7o);
            t3p = _mm_add_ps(t3o, t8o);
            t4p = _mm_sub_ps(t4o, t7o);
            a4W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1p);
            a5W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2p);
            s1y = _mm_sub_ps(a4W, a5W);
            a6W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1p);
            a7W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2p);
            s2y = _mm_add_ps(a6W, a7W);
            a8W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3p);
            a9W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4p);
            s3y = _mm_sub_ps(a8W, a9W);
            a0X = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3p);
            a1X = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4p);
            s4y = _mm_add_ps(a0X, a1X);
            a2X = (b41 + 272);
            s5y = *(a2X);
            a3X = (b41 + 280);
            s6y = *(a3X);
            a4X = (b51 + 752);
            s7y = *(a4X);
            a5X = (b51 + 760);
            s8y = *(a5X);
            t5p = _mm_add_ps(s5y, s7y);
            t6p = _mm_sub_ps(s6y, s8y);
            t7p = _mm_sub_ps(s5y, s7y);
            t8p = _mm_add_ps(s6y, s8y);
            a6X = (b41 + 784);
            s9y = *(a6X);
            a7X = (b41 + 792);
            s0z = *(a7X);
            a8X = (b51 + 240);
            s1z = *(a8X);
            a9X = (b51 + 248);
            s2z = *(a9X);
            t9p = _mm_add_ps(s9y, s1z);
            t0q = _mm_sub_ps(s0z, s2z);
            t1q = _mm_sub_ps(s9y, s1z);
            t2q = _mm_add_ps(s0z, s2z);
            t3q = _mm_add_ps(t5p, t9p);
            t4q = _mm_add_ps(t6p, t0q);
            t5q = _mm_sub_ps(t5p, t9p);
            t6q = _mm_sub_ps(t6p, t0q);
            a0Y = _mm_sub_ps(t7p, t2q);
            a5Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0Y);
            a1Y = _mm_add_ps(t8p, t1q);
            a6Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1Y);
            s3z = _mm_sub_ps(a5Q, a6Q);
            s4z = _mm_add_ps(a5Q, a6Q);
            a2Y = _mm_add_ps(t7p, t2q);
            a7Q = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2Y);
            a3Y = _mm_sub_ps(t8p, t1q);
            a8Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3Y);
            s5z = _mm_sub_ps(a7Q, a8Q);
            s6z = _mm_add_ps(a7Q, a8Q);
            a4Y = (b41 + 400);
            s7z = *(a4Y);
            a5Y = (b41 + 408);
            s8z = *(a5Y);
            a6Y = (b51 + 624);
            s9z = *(a6Y);
            a7Y = (b51 + 632);
            s0A = *(a7Y);
            t7q = _mm_add_ps(s7z, s9z);
            t8q = _mm_sub_ps(s8z, s0A);
            t9q = _mm_sub_ps(s7z, s9z);
            t0r = _mm_add_ps(s8z, s0A);
            a8Y = (b41 + 912);
            s1A = *(a8Y);
            a9Y = (b41 + 920);
            s2A = *(a9Y);
            a0Z = (b51 + 112);
            s3A = *(a0Z);
            a1Z = (b51 + 120);
            s4A = *(a1Z);
            t1r = _mm_add_ps(s1A, s3A);
            t2r = _mm_sub_ps(s2A, s4A);
            t3r = _mm_sub_ps(s1A, s3A);
            t4r = _mm_add_ps(s2A, s4A);
            t5r = _mm_add_ps(t7q, t1r);
            t6r = _mm_add_ps(t8q, t2r);
            a2Z = _mm_sub_ps(t7q, t1r);
            a9Q = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2Z);
            a3Z = _mm_sub_ps(t8q, t2r);
            a0R = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3Z);
            s5A = _mm_sub_ps(a9Q, a0R);
            s6A = _mm_add_ps(a9Q, a0R);
            t7r = _mm_sub_ps(t9q, t4r);
            t8r = _mm_add_ps(t0r, t3r);
            t9r = _mm_add_ps(t9q, t4r);
            t0s = _mm_sub_ps(t0r, t3r);
            a4Z = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t7r);
            a5Z = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8r);
            s7A = _mm_sub_ps(a4Z, a5Z);
            a6Z = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t7r);
            a7Z = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t8r);
            s8A = _mm_add_ps(a6Z, a7Z);
            a8Z = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t9r);
            a9Z = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t0s);
            s9A = _mm_sub_ps(a8Z, a9Z);
            a010 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t9r);
            a110 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t0s);
            s0B = _mm_add_ps(a010, a110);
            t1s = _mm_add_ps(t3n, t3q);
            t2s = _mm_add_ps(t4n, t4q);
            t3s = _mm_sub_ps(t3n, t3q);
            t4s = _mm_sub_ps(t4n, t4q);
            t5s = _mm_add_ps(t9o, t5r);
            t6s = _mm_add_ps(t0p, t6r);
            t7s = _mm_sub_ps(t9o, t5r);
            t8s = _mm_sub_ps(t0p, t6r);
            t9s = _mm_add_ps(t1s, t5s);
            t0t = _mm_add_ps(t2s, t6s);
            t1t = _mm_sub_ps(t1s, t5s);
            t2t = _mm_sub_ps(t2s, t6s);
            t3t = _mm_sub_ps(t3s, t8s);
            t4t = _mm_add_ps(t4s, t7s);
            t5t = _mm_add_ps(t3s, t8s);
            t6t = _mm_sub_ps(t4s, t7s);
            t7t = _mm_add_ps(t7n, s3z);
            t8t = _mm_add_ps(t8n, s4z);
            t9t = _mm_sub_ps(t7n, s3z);
            t0u = _mm_sub_ps(t8n, s4z);
            t1u = _mm_add_ps(s1y, s7A);
            t2u = _mm_add_ps(s2y, s8A);
            t3u = _mm_sub_ps(s1y, s7A);
            t4u = _mm_sub_ps(s2y, s8A);
            t5u = _mm_add_ps(t7t, t1u);
            t6u = _mm_add_ps(t8t, t2u);
            t7u = _mm_sub_ps(t7t, t1u);
            t8u = _mm_sub_ps(t8t, t2u);
            t9u = _mm_sub_ps(t9t, t4u);
            t0v = _mm_add_ps(t0u, t3u);
            t1v = _mm_add_ps(t9t, t4u);
            t2v = _mm_sub_ps(t0u, t3u);
            t3v = _mm_sub_ps(t5n, t6q);
            t4v = _mm_add_ps(t6n, t5q);
            t5v = _mm_add_ps(t5n, t6q);
            t6v = _mm_sub_ps(t6n, t5q);
            t7v = _mm_add_ps(s9x, s5A);
            t8v = _mm_sub_ps(s0y, s6A);
            t9v = _mm_sub_ps(s9x, s5A);
            t0w = _mm_add_ps(s0y, s6A);
            t1w = _mm_add_ps(t3v, t7v);
            t2w = _mm_add_ps(t4v, t8v);
            t3w = _mm_sub_ps(t3v, t7v);
            t4w = _mm_sub_ps(t4v, t8v);
            t5w = _mm_sub_ps(t5v, t0w);
            t6w = _mm_add_ps(t6v, t9v);
            t7w = _mm_add_ps(t5v, t0w);
            t8w = _mm_sub_ps(t6v, t9v);
            t9w = _mm_add_ps(t9n, s5z);
            t0x = _mm_sub_ps(t0o, s6z);
            t1x = _mm_sub_ps(t9n, s5z);
            t2x = _mm_add_ps(t0o, s6z);
            t3x = _mm_add_ps(s3y, s9A);
            t4x = _mm_add_ps(s4y, s0B);
            t5x = _mm_sub_ps(s3y, s9A);
            t6x = _mm_sub_ps(s4y, s0B);
            t7x = _mm_add_ps(t9w, t3x);
            t8x = _mm_add_ps(t0x, t4x);
            t9x = _mm_sub_ps(t9w, t3x);
            t0y = _mm_sub_ps(t0x, t4x);
            t1y = _mm_sub_ps(t1x, t6x);
            t2y = _mm_add_ps(t2x, t5x);
            t3y = _mm_add_ps(t1x, t6x);
            t4y = _mm_sub_ps(t2x, t5x);
            a1R = (32 * i3);
            a2R = (D31 + a1R);
            a3R = *(a2R);
            a210 = (a2R + 1);
            a4R = *(a210);
            a310 = (a2R + 2);
            a5R = *(a310);
            a410 = (a2R + 3);
            a6R = *(a410);
            a510 = (a2R + 4);
            a7R = *(a510);
            a610 = (a2R + 5);
            a8R = *(a610);
            a710 = (a2R + 6);
            a9R = *(a710);
            a810 = (a2R + 7);
            a0S = *(a810);
            a910 = (a2R + 8);
            a1S = *(a910);
            a011 = (a2R + 9);
            a2S = *(a011);
            a111 = (a2R + 10);
            a3S = *(a111);
            a211 = (a2R + 11);
            a4S = *(a211);
            a311 = (a2R + 12);
            a5S = *(a311);
            a411 = (a2R + 13);
            a6S = *(a411);
            a511 = (a2R + 14);
            a7S = *(a511);
            a611 = (a2R + 15);
            a8S = *(a611);
            a711 = (a2R + 16);
            a9S = *(a711);
            a811 = (a2R + 17);
            a0T = *(a811);
            a911 = (a2R + 18);
            a1T = *(a911);
            a012 = (a2R + 19);
            a2T = *(a012);
            a112 = (a2R + 20);
            a3T = *(a112);
            a212 = (a2R + 21);
            a4T = *(a212);
            a312 = (a2R + 22);
            a5T = *(a312);
            a412 = (a2R + 23);
            a6T = *(a412);
            a512 = (a2R + 24);
            a7T = *(a512);
            a612 = (a2R + 25);
            a8T = *(a612);
            a712 = (a2R + 26);
            a9T = *(a712);
            a812 = (a2R + 27);
            a0U = *(a812);
            a912 = (a2R + 28);
            a1U = *(a912);
            a013 = (a2R + 29);
            a2U = *(a013);
            a113 = (a2R + 30);
            a3U = *(a113);
            a213 = (a2R + 31);
            a4U = *(a213);
            a313 = ((__m128  *) T2);
            b61 = (a313 + a1R);
            a413 = _mm_mul_ps(a3R, t9s);
            a513 = _mm_mul_ps(a4R, t0t);
            s1B = _mm_sub_ps(a413, a513);
            a613 = (b61 + 32);
            *(a613) = s1B;
            a713 = _mm_mul_ps(a4R, t9s);
            a813 = _mm_mul_ps(a3R, t0t);
            s2B = _mm_add_ps(a713, a813);
            a913 = (b61 + 48);
            *(a913) = s2B;
            a014 = _mm_mul_ps(a5R, t5u);
            a114 = _mm_mul_ps(a6R, t6u);
            s3B = _mm_sub_ps(a014, a114);
            a214 = (b61 + 33);
            *(a214) = s3B;
            a314 = _mm_mul_ps(a6R, t5u);
            a414 = _mm_mul_ps(a5R, t6u);
            s4B = _mm_add_ps(a314, a414);
            a514 = (b61 + 49);
            *(a514) = s4B;
            a614 = _mm_mul_ps(a7R, t1w);
            a714 = _mm_mul_ps(a8R, t2w);
            s5B = _mm_sub_ps(a614, a714);
            a814 = (b61 + 34);
            *(a814) = s5B;
            a914 = _mm_mul_ps(a8R, t1w);
            a015 = _mm_mul_ps(a7R, t2w);
            s6B = _mm_add_ps(a914, a015);
            a115 = (b61 + 50);
            *(a115) = s6B;
            a215 = _mm_mul_ps(a9R, t7x);
            a315 = _mm_mul_ps(a0S, t8x);
            s7B = _mm_sub_ps(a215, a315);
            a415 = (b61 + 35);
            *(a415) = s7B;
            a515 = _mm_mul_ps(a0S, t7x);
            a615 = _mm_mul_ps(a9R, t8x);
            s8B = _mm_add_ps(a515, a615);
            a715 = (b61 + 51);
            *(a715) = s8B;
            a815 = _mm_mul_ps(a1S, t3t);
            a915 = _mm_mul_ps(a2S, t4t);
            s9B = _mm_sub_ps(a815, a915);
            a016 = (b61 + 36);
            *(a016) = s9B;
            a116 = _mm_mul_ps(a2S, t3t);
            a216 = _mm_mul_ps(a1S, t4t);
            s0C = _mm_add_ps(a116, a216);
            a316 = (b61 + 52);
            *(a316) = s0C;
            a416 = _mm_mul_ps(a3S, t9u);
            a516 = _mm_mul_ps(a4S, t0v);
            s1C = _mm_sub_ps(a416, a516);
            a616 = (b61 + 37);
            *(a616) = s1C;
            a716 = _mm_mul_ps(a4S, t9u);
            a816 = _mm_mul_ps(a3S, t0v);
            s2C = _mm_add_ps(a716, a816);
            a916 = (b61 + 53);
            *(a916) = s2C;
            a017 = _mm_mul_ps(a5S, t5w);
            a117 = _mm_mul_ps(a6S, t6w);
            s3C = _mm_sub_ps(a017, a117);
            a217 = (b61 + 38);
            *(a217) = s3C;
            a317 = _mm_mul_ps(a6S, t5w);
            a417 = _mm_mul_ps(a5S, t6w);
            s4C = _mm_add_ps(a317, a417);
            a517 = (b61 + 54);
            *(a517) = s4C;
            a617 = _mm_mul_ps(a7S, t1y);
            a717 = _mm_mul_ps(a8S, t2y);
            s5C = _mm_sub_ps(a617, a717);
            a817 = (b61 + 39);
            *(a817) = s5C;
            a917 = _mm_mul_ps(a8S, t1y);
            a018 = _mm_mul_ps(a7S, t2y);
            s6C = _mm_add_ps(a917, a018);
            a118 = (b61 + 55);
            *(a118) = s6C;
            a218 = _mm_mul_ps(a9S, t1t);
            a318 = _mm_mul_ps(a0T, t2t);
            s7C = _mm_sub_ps(a218, a318);
            a418 = (b61 + 40);
            *(a418) = s7C;
            a518 = _mm_mul_ps(a0T, t1t);
            a618 = _mm_mul_ps(a9S, t2t);
            s8C = _mm_add_ps(a518, a618);
            a718 = (b61 + 56);
            *(a718) = s8C;
            a818 = _mm_mul_ps(a1T, t7u);
            a918 = _mm_mul_ps(a2T, t8u);
            s9C = _mm_sub_ps(a818, a918);
            a019 = (b61 + 41);
            *(a019) = s9C;
            a119 = _mm_mul_ps(a2T, t7u);
            a219 = _mm_mul_ps(a1T, t8u);
            s0D = _mm_add_ps(a119, a219);
            a319 = (b61 + 57);
            *(a319) = s0D;
            a419 = _mm_mul_ps(a3T, t3w);
            a519 = _mm_mul_ps(a4T, t4w);
            s1D = _mm_sub_ps(a419, a519);
            a619 = (b61 + 42);
            *(a619) = s1D;
            a719 = _mm_mul_ps(a4T, t3w);
            a819 = _mm_mul_ps(a3T, t4w);
            s2D = _mm_add_ps(a719, a819);
            a919 = (b61 + 58);
            *(a919) = s2D;
            a01a = _mm_mul_ps(a5T, t9x);
            a11a = _mm_mul_ps(a6T, t0y);
            s3D = _mm_sub_ps(a01a, a11a);
            a21a = (b61 + 43);
            *(a21a) = s3D;
            a31a = _mm_mul_ps(a6T, t9x);
            a41a = _mm_mul_ps(a5T, t0y);
            s4D = _mm_add_ps(a31a, a41a);
            a51a = (b61 + 59);
            *(a51a) = s4D;
            a61a = _mm_mul_ps(a7T, t5t);
            a71a = _mm_mul_ps(a8T, t6t);
            s5D = _mm_sub_ps(a61a, a71a);
            a81a = (b61 + 44);
            *(a81a) = s5D;
            a91a = _mm_mul_ps(a8T, t5t);
            a01b = _mm_mul_ps(a7T, t6t);
            s6D = _mm_add_ps(a91a, a01b);
            a11b = (b61 + 60);
            *(a11b) = s6D;
            a21b = _mm_mul_ps(a9T, t1v);
            a31b = _mm_mul_ps(a0U, t2v);
            s7D = _mm_sub_ps(a21b, a31b);
            a41b = (b61 + 45);
            *(a41b) = s7D;
            a51b = _mm_mul_ps(a0U, t1v);
            a61b = _mm_mul_ps(a9T, t2v);
            s8D = _mm_add_ps(a51b, a61b);
            a71b = (b61 + 61);
            *(a71b) = s8D;
            a81b = _mm_mul_ps(a1U, t7w);
            a91b = _mm_mul_ps(a2U, t8w);
            s9D = _mm_sub_ps(a81b, a91b);
            a01c = (b61 + 46);
            *(a01c) = s9D;
            a11c = _mm_mul_ps(a2U, t7w);
            a21c = _mm_mul_ps(a1U, t8w);
            s0E = _mm_add_ps(a11c, a21c);
            a31c = (b61 + 62);
            *(a31c) = s0E;
            a41c = _mm_mul_ps(a3U, t3y);
            a51c = _mm_mul_ps(a4U, t4y);
            s1E = _mm_sub_ps(a41c, a51c);
            a61c = (b61 + 47);
            *(a61c) = s1E;
            a71c = _mm_mul_ps(a4U, t3y);
            a81c = _mm_mul_ps(a3U, t4y);
            s2E = _mm_add_ps(a71c, a81c);
            a91c = (b61 + 63);
            *(a91c) = s2E;
        }}
        {long i4; for(i4 = 0; i4 <= 15; i4++) {
            a01e = ((__m128  *) T2);
            a01d = (a01e + i4);
            s3E = *(a01d);
            a11e = (a01d + 64);
            s4E = *(a11e);
            t5y = _mm_add_ps(s3E, s4E);
            t6y = _mm_sub_ps(s3E, s4E);
            a21e = (a01d + 16);
            s5E = *(a21e);
            a31e = (a01d + 80);
            s6E = *(a31e);
            t7y = _mm_sub_ps(s5E, s6E);
            t8y = _mm_add_ps(s5E, s6E);
            a41d = (a01d + 32);
            s7E = *(a41d);
            a51d = (a01d + 48);
            s8E = *(a51d);
            a61d = (a01d + 96);
            s9E = *(a61d);
            a71d = (a01d + 112);
            s0F = *(a71d);
            t9y = _mm_add_ps(s7E, s9E);
            t0z = _mm_sub_ps(s8E, s0F);
            a81d = _mm_sub_ps(s7E, s9E);
            a11d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a81d);
            a91d = _mm_add_ps(s8E, s0F);
            a21d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a91d);
            s1F = _mm_sub_ps(a11d, a21d);
            s2F = _mm_add_ps(a11d, a21d);
            a41e = ((__m128  *) dst);
            a51e = (8 * i4);
            b71 = (a41e + i2);
            a31d = (b71 + a51e);
            s3F = _mm_add_ps(t5y, t9y);
            *(a31d) = s3F;
            s4F = _mm_sub_ps(t5y, t9y);
            a61e = (a31d + 512);
            *(a61e) = s4F;
            s5F = _mm_sub_ps(t6y, t0z);
            a71e = (a31d + 256);
            *(a71e) = s5F;
            s6F = _mm_add_ps(t6y, t0z);
            a81e = (a31d + 768);
            *(a81e) = s6F;
            s7F = _mm_add_ps(t7y, s1F);
            a91e = (a31d + 128);
            *(a91e) = s7F;
            s8F = _mm_sub_ps(t7y, s1F);
            a01f = (a31d + 640);
            *(a01f) = s8F;
            s9F = _mm_sub_ps(t8y, s2F);
            a11f = (a31d + 384);
            *(a11f) = s9F;
            s0G = _mm_add_ps(t8y, s2F);
            a21f = (a31d + 896);
            *(a21f) = s0G;
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_rfftinv_float_8192_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[8192]);
     SPIRAL_ALIGNED(float T2[1024]);
    __m128 a02, a05, a06, a0e, a0r, a0u, a13, a15, a16, a1s, a2, a23, a25, a26, a2b, a2c, a2m, a2n, a2o, a2p, a2s, a3
            , a31, a34, a35, a36, a3d, a3q, a3t, a41, a44, a45, a46, a4d, a4q, a4t, a52, a55, a5e, a5r, a62, a65, a6e, a6r
            , a7, a73, a75, a7a, a7b, a7c, a7l, a7m, a7n, a7o, a7p, a7s, a8, a83, a85, a8c, a8p, a8s, a91, a94, a95, a9d
            , a9q, a9t;
    __m128 a010, a014, a015, a017, a018, a01a, a01b, a01f, a01g, a07, a08, a09, a0A, a0C, a0D, a0F, a0G, a0H, a0I, a0J, a0L, a0M
            , a0R, a0S, a0T, a0U, a0X, a0Y, a0a, a0g, a0h, a0l, a0v, a0w, a0x, a0z, a110, a114, a116, a117, a119, a11a, a11c, a11d
            , a11f, a11g, a17, a18, a19, a1A, a1F, a1H, a1J, a1L, a1M, a1S, a1T, a1U, a1X, a1Y, a1a, a1f, a1g, a1h, a1k, a1l
            , a1v, a1w, a1x, a1y, a1z, a215, a216, a218, a219, a21b, a21c, a21d, a21e, a21g, a27, a28, a29, a2C, a2D, a2E, a2F, a2H
            , a2J, a2L, a2M, a2S, a2T, a2U, a2W, a2Y, a2Z, a2a, a2f, a2g, a2h, a2k, a2l, a2v, a2w, a2x, a2y, a314, a315, a317
            , a318, a31a, a31b, a31d, a31e, a31g, a37, a38, a39, a3A, a3B, a3C, a3D, a3E, a3F, a3H, a3J, a3L, a3M, a3Q, a3R, a3S
            , a3T, a3U, a3W, a3Y, a3Z, a3a, a3f, a3g, a3h, a3k, a3l, a3v, a3w, a3x, a413, a414, a416, a417, a419, a41a, a41c, a41d
            , a41e, a47, a48, a49, a4A, a4B, a4E, a4F, a4H, a4J, a4L, a4M, a4Q, a4R, a4S, a4T, a4U, a4W, a4Z, a4a, a4f, a4g
            , a4h, a4k, a4l, a4v, a4w, a4x, a4y, a513, a515, a516, a518, a519, a51b, a51c, a51e, a56, a57, a58, a59, a5D, a5E, a5H
            , a5J, a5L, a5M, a5Q, a5R, a5S, a5T, a5W, a5Z, a5a, a5f, a5g, a5h, a5j, a5k, a5l, a5u, a5v, a5w, a5x, a5y, a614
            , a615, a617, a618, a61a, a61b, a61d, a61f, a66, a67, a68, a69, a6A, a6B, a6D, a6E, a6H, a6J, a6L, a6M, a6Q, a6R, a6S
            , a6T, a6W, a6Z, a6a, a6f, a6g, a6h, a6j, a6k, a6l, a6u, a6v, a6w, a6x, a713, a714, a716, a717, a719, a71a, a71c, a71d
            , a71f, a76, a77, a78, a79, a7A, a7B, a7E, a7H, a7J, a7K, a7L, a7Q, a7R, a7S, a7T, a7W, a7Z, a7f, a7g, a7h, a7j
            , a7k, a7u, a7v, a7w, a7y, a7z, a813, a815, a816, a818, a819, a81b, a81c, a81f, a86, a87, a88, a89, a8D, a8H, a8J, a8K
            , a8L, a8Q, a8R, a8S, a8T, a8W, a8Z, a8f, a8g, a8h, a8j, a8k, a8u, a8v, a8w, a8y, a8z, a914, a915, a917, a918, a91a
            , a91b, a91f, a96, a97, a98, a99, a9B, a9C, a9D, a9E, a9F, a9G, a9H, a9I, a9K, a9L, a9Q, a9R, a9S, a9T, a9W, a9Z
            , a9f, a9g, a9k, a9u, a9v, a9w, b, b2, b3, b4, b5, b6, b7, b8, b9, s, s01, s02, s03, s04, s05, s06
            , s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0G, s0H, s0I, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j
            , s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11, s12, s13, s14, s15, s16
            , s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1F, s1G, s1H, s1I, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j
            , s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24, s25
            , s26, s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2F, s2G, s2H, s2I, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i
            , s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33, s34
            , s35, s36, s37, s38, s39, s3A, s3B, s3C, s3D, s3E, s3F, s3G, s3H, s3I, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h
            , s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43
            , s44, s45, s46, s47, s48, s49, s4A, s4B, s4C, s4D, s4E, s4F, s4G, s4H, s4I, s4a, s4b, s4c, s4d, s4e, s4f, s4g
            , s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51, s52
            , s53, s54, s55, s56, s57, s58, s59, s5A, s5B, s5C, s5D, s5E, s5F, s5G, s5H, s5a, s5b, s5c, s5d, s5e, s5f, s5g
            , s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62
            , s63, s64, s65, s66, s67, s68, s69, s6A, s6B, s6C, s6D, s6E, s6F, s6G, s6H, s6a, s6b, s6c, s6d, s6e, s6f, s6g
            , s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72
            , s73, s74, s75, s76, s77, s78, s79, s7A, s7B, s7C, s7D, s7E, s7F, s7G, s7H, s7a, s7b, s7c, s7d, s7e, s7f, s7g
            , s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y, s7z, s8, s81, s82
            , s83, s84, s85, s86, s87, s88, s89, s8A, s8B, s8C, s8D, s8E, s8F, s8G, s8H, s8a, s8b, s8c, s8d, s8e, s8f, s8g
            , s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x, s8y, s8z, s9, s91, s92
            , s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9C, s9D, s9E, s9F, s9G, s9H, s9a, s9b, s9c, s9d, s9e, s9f, s9g
            , s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y, s9z, t, t01, t02
            , t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m
            , t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t12, t13, t14, t15, t16, t17, t18, t19
            , t1A, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u
            , t1v, t1w, t1x, t1y, t1z, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2a, t2b, t2c, t2d, t2e, t2f
            , t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31
            , t32, t33, t34, t35, t36, t37, t38, t39, t3A, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m
            , t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t42, t43, t44, t45, t46, t47, t48
            , t49, t4A, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t
            , t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5a, t5b, t5c, t5d, t5e
            , t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z, t6
            , t61, t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l
            , t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y, t6z, t7, t71, t72, t73, t74, t75, t76, t77
            , t78, t79, t7A, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s
            , t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8a, t8b, t8c, t8d
            , t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z
            , t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k
            , t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    const __m64  *a0b, *a0c, *a0m, *a0n, *a0o, *a0p, *a11, *a12, *a14, *a1d, *a1e, *a1q, *a1r, *a1t, *a1u, *a32, *a33, *a3b, *a3c, *a3e, *a3m, *a3n
            , *a3o, *a3p, *a3r, *a3s, *a3u, *a4, *a5, *a51, *a53, *a54, *a5b, *a5c, *a5d, *a5m, *a5n, *a5o, *a5p, *a5q, *a5s, *a5t, *a71, *a72
            , *a74, *a7d, *a7e, *a7q, *a7r, *a7t, *a8a, *a8b, *a8l, *a8m, *a8n, *a8o, *a9, *a92, *a93, *a9c, *a9e, *a9p, *a9r, *a9s;
    __m128  *a, *a011, *a012, *a013, *a016, *a019, *a01c, *a01d, *a01e, *a0B, *a0E, *a0K, *a0N, *a0O, *a0P, *a0Q, *a0V, *a0W, *a0Z, *a0i, *a0j, *a0k
            , *a0y, *a111, *a112, *a113, *a115, *a118, *a11b, *a11e, *a1B, *a1C, *a1D, *a1E, *a1G, *a1I, *a1K, *a1N, *a1O, *a1P, *a1Q, *a1V, *a1W, *a1Z
            , *a1i, *a1j, *a210, *a211, *a212, *a213, *a214, *a217, *a21a, *a21f, *a2A, *a2B, *a2G, *a2I, *a2K, *a2N, *a2O, *a2P, *a2R, *a2V, *a2X, *a2i
            , *a2j, *a2z, *a310, *a311, *a312, *a313, *a316, *a319, *a31c, *a31f, *a3G, *a3I, *a3K, *a3N, *a3O, *a3P, *a3V, *a3X, *a3i, *a3j, *a3y, *a3z
            , *a410, *a411, *a412, *a415, *a418, *a41b, *a41f, *a41g, *a4C, *a4D, *a4G, *a4I, *a4K, *a4N, *a4O, *a4P, *a4V, *a4X, *a4Y, *a4i, *a4z, *a510
            , *a511, *a512, *a514, *a517, *a51a, *a51f, *a51g, *a5A, *a5B, *a5C, *a5F, *a5G, *a5I, *a5K, *a5N, *a5O, *a5P, *a5U, *a5V, *a5X, *a5Y, *a5i
            , *a5z, *a610, *a611, *a612, *a613, *a616, *a619, *a61c, *a61e, *a61g, *a6C, *a6F, *a6G, *a6I, *a6K, *a6N, *a6O, *a6P, *a6U, *a6V, *a6X, *a6Y
            , *a6i, *a6y, *a6z, *a710, *a711, *a712, *a715, *a718, *a71b, *a71e, *a71g, *a7C, *a7D, *a7F, *a7G, *a7I, *a7M, *a7N, *a7O, *a7P, *a7U, *a7V
            , *a7X, *a7Y, *a7i, *a7x, *a810, *a811, *a812, *a814, *a817, *a81a, *a81d, *a81e, *a8A, *a8B, *a8C, *a8E, *a8F, *a8G, *a8I, *a8M, *a8N, *a8O
            , *a8P, *a8U, *a8V, *a8X, *a8Y, *a8i, *a8x, *a910, *a911, *a912, *a913, *a916, *a919, *a91c, *a91d, *a91e, *a9A, *a9J, *a9M, *a9N, *a9O, *a9P
            , *a9U, *a9V, *a9X, *a9Y, *a9h, *a9i, *a9x, *a9y, *a9z, *b21, *b31, *b41, *b51, *b61;
    float  *a01h, *a01i, *a11h, *a11i, *a21h, *a21i, *a31h, *a31i, *a41h, *a41i, *a51d, *a51h, *a61h, *a71h, *a81h, *a91h, *b71;
    const float  *a01, *a03, *a04, *a0d, *a0f, *a0q, *a0s, *a0t, *a1b, *a1c, *a1m, *a1n, *a1o, *a1p, *a21, *a22, *a24, *a2d, *a2e, *a2q, *a2r, *a2t
            , *a2u, *a42, *a43, *a4b, *a4c, *a4e, *a4m, *a4n, *a4o, *a4p, *a4r, *a4s, *a4u, *a6, *a61, *a63, *a64, *a6b, *a6c, *a6d, *a6m, *a6n
            , *a6o, *a6p, *a6q, *a6s, *a6t, *a81, *a82, *a84, *a8d, *a8e, *a8q, *a8r, *a8t, *a9a, *a9b, *a9l, *a9m, *a9n, *a9o, *b01, *b11;
    int a1R, a2Q, a4j, a81g, a91g, a9j;
    a4 = ((const __m64  *) src);
    a3 = _mm_loadl_pi(_mm_set1_ps(0.0f), a4);
    a6 = (src + 512);
    a5 = ((const __m64  *) a6);
    a2 = _mm_loadh_pi(a3, a5);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a2);
    a01 = (src + 1024);
    a9 = ((const __m64  *) a01);
    a8 = _mm_loadl_pi(_mm_set1_ps(0.0f), a9);
    a21 = (src + 1536);
    a11 = ((const __m64  *) a21);
    a7 = _mm_loadh_pi(a8, a11);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a7);
    a61 = (src + 2048);
    a51 = ((const __m64  *) a61);
    a41 = _mm_loadl_pi(_mm_set1_ps(0.0f), a51);
    a81 = (src + 2560);
    a71 = ((const __m64  *) a81);
    a31 = _mm_loadh_pi(a41, a71);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a31);
    a22 = (src + 3072);
    a12 = ((const __m64  *) a22);
    a02 = _mm_loadl_pi(_mm_set1_ps(0.0f), a12);
    a42 = (src + 3584);
    a32 = ((const __m64  *) a42);
    a91 = _mm_loadh_pi(a02, a32);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a91);
    a82 = (src + 4096);
    a72 = ((const __m64  *) a82);
    a62 = _mm_loadl_pi(_mm_set1_ps(0.0f), a72);
    a03 = (src + 4608);
    a92 = ((const __m64  *) a03);
    a52 = _mm_loadh_pi(a62, a92);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a52);
    a43 = (src + 5120);
    a33 = ((const __m64  *) a43);
    a23 = _mm_loadl_pi(_mm_set1_ps(0.0f), a33);
    a63 = (src + 5632);
    a53 = ((const __m64  *) a63);
    a13 = _mm_loadh_pi(a23, a53);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a13);
    a04 = (src + 6144);
    a93 = ((const __m64  *) a04);
    a83 = _mm_loadl_pi(_mm_set1_ps(0.0f), a93);
    a24 = (src + 6656);
    a14 = ((const __m64  *) a24);
    a73 = _mm_loadh_pi(a83, a14);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a73);
    a64 = (src + 7168);
    a54 = ((const __m64  *) a64);
    a44 = _mm_loadl_pi(_mm_set1_ps(0.0f), a54);
    a84 = (src + 7680);
    a74 = ((const __m64  *) a84);
    a34 = _mm_loadh_pi(a44, a74);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a34);
    a94 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a94);
    a05 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a05);
    a15 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a25 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a35 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a45 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a55 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a55);
    a65 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a65);
    a75 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a75, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a85, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a95, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a06 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a06, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a16 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a16, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a26, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a36, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a46 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a46, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a76 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a56 = _mm_add_ps(a66, a76);
    s52 = _mm_sub_ps(a56, s02);
    a86 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a96 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a86, a96);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a17 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a27 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a07 = _mm_sub_ps(a17, a27);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a07);
    a47 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a37 = _mm_sub_ps(a47, s42);
    a57 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a67 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a37, a57);
    s43 = _mm_add_ps(b3, a67);
    a87 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a97 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a77 = _mm_sub_ps(a87, a97);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a77);
    a08 = _mm_sub_ps(s21, s12);
    a18 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a28 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a08, a18);
    s63 = _mm_add_ps(b5, a28);
    a48 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a58 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a38 = _mm_sub_ps(a48, a58);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a38);
    a68 = _mm_sub_ps(s41, s22);
    a78 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a88 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a68, a78);
    s83 = _mm_add_ps(b7, a88);
    a09 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a19 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a98 = _mm_sub_ps(a09, a19);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a98);
    a29 = _mm_sub_ps(s61, s32);
    a39 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a49 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a29, a39);
    s04 = _mm_add_ps(b9, a49);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a59 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a69 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a59, a69);
    a79 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a89 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a79, a89);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a99 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a0a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a99, a0a);
    a1a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a2a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a1a, a2a);
    a3a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a4a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a6a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a5a, a6a);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a9a = (src + 256);
    a8a = ((const __m64  *) a9a);
    a7a = _mm_loadl_pi(_mm_set1_ps(0.0f), a8a);
    a1b = (src + 1280);
    a0b = ((const __m64  *) a1b);
    s17 = _mm_loadh_pi(a7a, a0b);
    a4b = (src + 2304);
    a3b = ((const __m64  *) a4b);
    a2b = _mm_loadl_pi(_mm_set1_ps(0.0f), a3b);
    a6b = (src + 3328);
    a5b = ((const __m64  *) a6b);
    s27 = _mm_loadh_pi(a2b, a5b);
    a9b = (src + 4352);
    a8b = ((const __m64  *) a9b);
    a7b = _mm_loadl_pi(_mm_set1_ps(0.0f), a8b);
    a1c = (src + 5376);
    a0c = ((const __m64  *) a1c);
    s37 = _mm_loadh_pi(a7b, a0c);
    a4c = (src + 6400);
    a3c = ((const __m64  *) a4c);
    a2c = _mm_loadl_pi(_mm_set1_ps(0.0f), a3c);
    a6c = (src + 7424);
    a5c = ((const __m64  *) a6c);
    s47 = _mm_loadh_pi(a2c, a5c);
    a0d = (src + 7936);
    a9c = ((const __m64  *) a0d);
    a8c = _mm_loadl_pi(_mm_set1_ps(0.0f), a9c);
    a2d = (src + 6912);
    a1d = ((const __m64  *) a2d);
    a7c = _mm_loadh_pi(a8c, a1d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7c);
    a6d = (src + 5888);
    a5d = ((const __m64  *) a6d);
    a4d = _mm_loadl_pi(_mm_set1_ps(0.0f), a5d);
    a8d = (src + 4864);
    a7d = ((const __m64  *) a8d);
    a3d = _mm_loadh_pi(a4d, a7d);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3d);
    a2e = (src + 3840);
    a1e = ((const __m64  *) a2e);
    a0e = _mm_loadl_pi(_mm_set1_ps(0.0f), a1e);
    a4e = (src + 2816);
    a3e = ((const __m64  *) a4e);
    a9d = _mm_loadh_pi(a0e, a3e);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9d);
    a8e = (src + 1792);
    a7e = ((const __m64  *) a8e);
    a6e = _mm_loadl_pi(_mm_set1_ps(0.0f), a7e);
    a0f = (src + 768);
    a9e = ((const __m64  *) a0f);
    a5e = _mm_loadh_pi(a6e, a9e);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a1f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a2f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a4f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a3f, a4f);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a5f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a6f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a5f, a6f);
    a7f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a8f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a7f, a8f);
    a9f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a0g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a2g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a1g, a2g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a3g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t75);
    a4g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t85);
    s9a = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t75);
    a6g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t85);
    s0b = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t95);
    a8g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t06);
    s1b = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t95);
    a0h = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t06);
    s2b = _mm_add_ps(a9g, a0h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a1h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t16);
    a2h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t26);
    s3b = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t16);
    a4h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t26);
    s4b = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t36);
    a6h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t46);
    s5b = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t36);
    a8h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t46);
    s6b = _mm_add_ps(a7h, a8h);
    a = ((__m128  *) T);
    s7b = _mm_add_ps(s36, s9a);
    *(a) = s7b;
    s8b = _mm_sub_ps(s36, s9a);
    a9h = (a + 8);
    *(a9h) = s8b;
    s9b = _mm_sub_ps(s56, s0b);
    a0i = (a + 4);
    *(a0i) = s9b;
    s0c = _mm_add_ps(s56, s0b);
    a1i = (a + 12);
    *(a1i) = s0c;
    s1c = _mm_add_ps(s46, s3b);
    a2i = (a + 1);
    *(a2i) = s1c;
    s2c = _mm_sub_ps(s46, s3b);
    a3i = (a + 9);
    *(a3i) = s2c;
    s3c = _mm_sub_ps(s66, s4b);
    a4i = (a + 5);
    *(a4i) = s3c;
    s4c = _mm_add_ps(s66, s4b);
    a5i = (a + 13);
    *(a5i) = s4c;
    s5c = _mm_add_ps(s76, s1b);
    a6i = (a + 2);
    *(a6i) = s5c;
    s6c = _mm_sub_ps(s76, s1b);
    a7i = (a + 10);
    *(a7i) = s6c;
    s7c = _mm_sub_ps(s96, s2b);
    a8i = (a + 6);
    *(a8i) = s7c;
    s8c = _mm_add_ps(s96, s2b);
    a9i = (a + 14);
    *(a9i) = s8c;
    s9c = _mm_add_ps(s86, s5b);
    a0j = (a + 3);
    *(a0j) = s9c;
    s0d = _mm_sub_ps(s86, s5b);
    a1j = (a + 11);
    *(a1j) = s0d;
    s1d = _mm_sub_ps(s07, s6b);
    a2j = (a + 7);
    *(a2j) = s1d;
    s2d = _mm_add_ps(s07, s6b);
    a3j = (a + 15);
    *(a3j) = s2d;
    {long i; for(i = 0; i <= 126; i++) {
        a4j = (2 * i);
        b01 = (src + a4j);
        a9l = (b01 + 2);
        a8l = ((const __m64  *) a9l);
        a7l = _mm_loadl_pi(_mm_set1_ps(0.0f), a8l);
        a1m = (b01 + 514);
        a0m = ((const __m64  *) a1m);
        s3d = _mm_loadh_pi(a7l, a0m);
        a4m = (b01 + 1026);
        a3m = ((const __m64  *) a4m);
        a2m = _mm_loadl_pi(_mm_set1_ps(0.0f), a3m);
        a6m = (b01 + 1538);
        a5m = ((const __m64  *) a6m);
        s4d = _mm_loadh_pi(a2m, a5m);
        a9m = (b01 + 2050);
        a8m = ((const __m64  *) a9m);
        a7m = _mm_loadl_pi(_mm_set1_ps(0.0f), a8m);
        a1n = (b01 + 2562);
        a0n = ((const __m64  *) a1n);
        s5d = _mm_loadh_pi(a7m, a0n);
        a4n = (b01 + 3074);
        a3n = ((const __m64  *) a4n);
        a2n = _mm_loadl_pi(_mm_set1_ps(0.0f), a3n);
        a6n = (b01 + 3586);
        a5n = ((const __m64  *) a6n);
        s6d = _mm_loadh_pi(a2n, a5n);
        a9n = (b01 + 4098);
        a8n = ((const __m64  *) a9n);
        a7n = _mm_loadl_pi(_mm_set1_ps(0.0f), a8n);
        a1o = (b01 + 4610);
        a0o = ((const __m64  *) a1o);
        s7d = _mm_loadh_pi(a7n, a0o);
        a4o = (b01 + 5122);
        a3o = ((const __m64  *) a4o);
        a2o = _mm_loadl_pi(_mm_set1_ps(0.0f), a3o);
        a6o = (b01 + 5634);
        a5o = ((const __m64  *) a6o);
        s8d = _mm_loadh_pi(a2o, a5o);
        a9o = (b01 + 6146);
        a8o = ((const __m64  *) a9o);
        a7o = _mm_loadl_pi(_mm_set1_ps(0.0f), a8o);
        a1p = (b01 + 6658);
        a0p = ((const __m64  *) a1p);
        s9d = _mm_loadh_pi(a7o, a0p);
        a4p = (b01 + 7170);
        a3p = ((const __m64  *) a4p);
        a2p = _mm_loadl_pi(_mm_set1_ps(0.0f), a3p);
        a6p = (b01 + 7682);
        a5p = ((const __m64  *) a6p);
        s0e = _mm_loadh_pi(a2p, a5p);
        b11 = (src - a4j);
        a0q = (b11 + 8190);
        a9p = ((const __m64  *) a0q);
        a8p = _mm_loadl_pi(_mm_set1_ps(0.0f), a9p);
        a2q = (b11 + 7678);
        a1q = ((const __m64  *) a2q);
        a7p = _mm_loadh_pi(a8p, a1q);
        s1e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7p);
        a6q = (b11 + 7166);
        a5q = ((const __m64  *) a6q);
        a4q = _mm_loadl_pi(_mm_set1_ps(0.0f), a5q);
        a8q = (b11 + 6654);
        a7q = ((const __m64  *) a8q);
        a3q = _mm_loadh_pi(a4q, a7q);
        s2e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3q);
        a2r = (b11 + 6142);
        a1r = ((const __m64  *) a2r);
        a0r = _mm_loadl_pi(_mm_set1_ps(0.0f), a1r);
        a4r = (b11 + 5630);
        a3r = ((const __m64  *) a4r);
        a9q = _mm_loadh_pi(a0r, a3r);
        s3e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9q);
        a8r = (b11 + 5118);
        a7r = ((const __m64  *) a8r);
        a6r = _mm_loadl_pi(_mm_set1_ps(0.0f), a7r);
        a0s = (b11 + 4606);
        a9r = ((const __m64  *) a0s);
        a5r = _mm_loadh_pi(a6r, a9r);
        s4e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5r);
        a4s = (b11 + 4094);
        a3s = ((const __m64  *) a4s);
        a2s = _mm_loadl_pi(_mm_set1_ps(0.0f), a3s);
        a6s = (b11 + 3582);
        a5s = ((const __m64  *) a6s);
        a1s = _mm_loadh_pi(a2s, a5s);
        s5e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1s);
        a0t = (b11 + 3070);
        a9s = ((const __m64  *) a0t);
        a8s = _mm_loadl_pi(_mm_set1_ps(0.0f), a9s);
        a2t = (b11 + 2558);
        a1t = ((const __m64  *) a2t);
        a7s = _mm_loadh_pi(a8s, a1t);
        s6e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7s);
        a6t = (b11 + 2046);
        a5t = ((const __m64  *) a6t);
        a4t = _mm_loadl_pi(_mm_set1_ps(0.0f), a5t);
        a8t = (b11 + 1534);
        a7t = ((const __m64  *) a8t);
        a3t = _mm_loadh_pi(a4t, a7t);
        s7e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3t);
        a2u = (b11 + 1022);
        a1u = ((const __m64  *) a2u);
        a0u = _mm_loadl_pi(_mm_set1_ps(0.0f), a1u);
        a4u = (b11 + 510);
        a3u = ((const __m64  *) a4u);
        a9t = _mm_loadh_pi(a0u, a3u);
        s8e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9t);
        s9e = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(2, 0, 2, 0));
        s0f = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(3, 1, 3, 1));
        s1f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(2, 0, 2, 0));
        s2f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(3, 1, 3, 1));
        t56 = _mm_add_ps(s9e, s1f);
        t66 = _mm_add_ps(s0f, s2f);
        t76 = _mm_sub_ps(s9e, s1f);
        t86 = _mm_sub_ps(s0f, s2f);
        s3f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(2, 0, 2, 0));
        s4f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(3, 1, 3, 1));
        s5f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(2, 0, 2, 0));
        s6f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(3, 1, 3, 1));
        t96 = _mm_add_ps(s3f, s5f);
        t07 = _mm_add_ps(s4f, s6f);
        t17 = _mm_sub_ps(s3f, s5f);
        t27 = _mm_sub_ps(s4f, s6f);
        t37 = _mm_add_ps(t56, t96);
        t47 = _mm_add_ps(t66, t07);
        t57 = _mm_sub_ps(t56, t96);
        t67 = _mm_sub_ps(t66, t07);
        t77 = _mm_sub_ps(t76, t27);
        t87 = _mm_add_ps(t86, t17);
        t97 = _mm_add_ps(t76, t27);
        t08 = _mm_sub_ps(t86, t17);
        s7f = _mm_unpacklo_ps(t37, t77);
        s8f = _mm_unpackhi_ps(t37, t77);
        s9f = _mm_unpacklo_ps(t47, t87);
        s0g = _mm_unpackhi_ps(t47, t87);
        s1g = _mm_unpacklo_ps(t57, t97);
        s2g = _mm_unpackhi_ps(t57, t97);
        s3g = _mm_unpacklo_ps(t67, t08);
        s4g = _mm_unpackhi_ps(t67, t08);
        s5g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(1, 0, 1, 0));
        s6g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(3, 2, 3, 2));
        s7g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(1, 0, 1, 0));
        s8g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(3, 2, 3, 2));
        s9g = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(1, 0, 1, 0));
        s0h = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(3, 2, 3, 2));
        s1h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(1, 0, 1, 0));
        s2h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(3, 2, 3, 2));
        s3h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(2, 0, 2, 0));
        s4h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(3, 1, 3, 1));
        s5h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(2, 0, 2, 0));
        s6h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(3, 1, 3, 1));
        t18 = _mm_add_ps(s3h, s5h);
        t28 = _mm_add_ps(s4h, s6h);
        t38 = _mm_sub_ps(s3h, s5h);
        t48 = _mm_sub_ps(s4h, s6h);
        s7h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(2, 0, 2, 0));
        s8h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(3, 1, 3, 1));
        s9h = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(2, 0, 2, 0));
        s0i = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(3, 1, 3, 1));
        t58 = _mm_add_ps(s7h, s9h);
        t68 = _mm_add_ps(s8h, s0i);
        t78 = _mm_sub_ps(s7h, s9h);
        t88 = _mm_sub_ps(s8h, s0i);
        t98 = _mm_add_ps(t18, t58);
        t09 = _mm_add_ps(t28, t68);
        t19 = _mm_sub_ps(t18, t58);
        t29 = _mm_sub_ps(t28, t68);
        t39 = _mm_sub_ps(t38, t88);
        t49 = _mm_add_ps(t48, t78);
        t59 = _mm_add_ps(t38, t88);
        t69 = _mm_sub_ps(t48, t78);
        s1i = _mm_unpacklo_ps(t98, t39);
        s2i = _mm_unpackhi_ps(t98, t39);
        s3i = _mm_unpacklo_ps(t09, t49);
        s4i = _mm_unpackhi_ps(t09, t49);
        s5i = _mm_unpacklo_ps(t19, t59);
        s6i = _mm_unpackhi_ps(t19, t59);
        s7i = _mm_unpacklo_ps(t29, t69);
        s8i = _mm_unpackhi_ps(t29, t69);
        s9i = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(1, 0, 1, 0));
        s0j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(3, 2, 3, 2));
        s1j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(1, 0, 1, 0));
        s2j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(3, 2, 3, 2));
        s3j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(1, 0, 1, 0));
        s4j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(3, 2, 3, 2));
        s5j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(1, 0, 1, 0));
        s6j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(3, 2, 3, 2));
        a5u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9i);
        a6u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3j);
        s7j = _mm_sub_ps(a5u, a6u);
        a7u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s9i);
        a8u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3j);
        s8j = _mm_add_ps(a7u, a8u);
        t79 = _mm_add_ps(s5g, s7j);
        t89 = _mm_add_ps(s9g, s8j);
        t99 = _mm_sub_ps(s5g, s7j);
        t0a = _mm_sub_ps(s9g, s8j);
        a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7g);
        a0v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s1h);
        s9j = _mm_sub_ps(a9u, a0v);
        a1v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s7g);
        a2v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1h);
        s0k = _mm_add_ps(a1v, a2v);
        a3v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1j);
        a4v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s5j);
        s1k = _mm_sub_ps(a3v, a4v);
        a5v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s1j);
        a6v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5j);
        s2k = _mm_add_ps(a5v, a6v);
        t1a = _mm_add_ps(s9j, s1k);
        t2a = _mm_add_ps(s0k, s2k);
        t3a = _mm_sub_ps(s9j, s1k);
        t4a = _mm_sub_ps(s0k, s2k);
        t5a = _mm_add_ps(t79, t1a);
        t6a = _mm_add_ps(t89, t2a);
        t7a = _mm_sub_ps(t79, t1a);
        t8a = _mm_sub_ps(t89, t2a);
        t9a = _mm_sub_ps(t99, t4a);
        t0b = _mm_add_ps(t0a, t3a);
        t1b = _mm_add_ps(t99, t4a);
        t2b = _mm_sub_ps(t0a, t3a);
        a7v = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6g);
        a8v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s0h);
        s3k = _mm_sub_ps(a7v, a8v);
        a9v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s6g);
        a0w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0h);
        s4k = _mm_add_ps(a9v, a0w);
        a1w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0j);
        a2w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s4j);
        s5k = _mm_sub_ps(a1w, a2w);
        a3w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s0j);
        a4w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4j);
        s6k = _mm_add_ps(a3w, a4w);
        t3b = _mm_add_ps(s3k, s5k);
        t4b = _mm_add_ps(s4k, s6k);
        t5b = _mm_sub_ps(s3k, s5k);
        t6b = _mm_sub_ps(s4k, s6k);
        a5w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8g);
        a6w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s2h);
        s7k = _mm_sub_ps(a5w, a6w);
        a7w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s8g);
        a8w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2h);
        s8k = _mm_add_ps(a7w, a8w);
        a9w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2j);
        a0x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s6j);
        s9k = _mm_sub_ps(a9w, a0x);
        a1x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s2j);
        a2x = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6j);
        s0l = _mm_add_ps(a1x, a2x);
        t7b = _mm_add_ps(s7k, s9k);
        t8b = _mm_add_ps(s8k, s0l);
        t9b = _mm_sub_ps(s7k, s9k);
        t0c = _mm_sub_ps(s8k, s0l);
        t1c = _mm_add_ps(t3b, t7b);
        t2c = _mm_add_ps(t4b, t8b);
        t3c = _mm_sub_ps(t3b, t7b);
        t4c = _mm_sub_ps(t4b, t8b);
        a3x = _mm_sub_ps(t5b, t0c);
        a5j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3x);
        a4x = _mm_add_ps(t6b, t9b);
        a6j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4x);
        s1l = _mm_sub_ps(a5j, a6j);
        s2l = _mm_add_ps(a5j, a6j);
        a5x = _mm_add_ps(t5b, t0c);
        a7j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5x);
        a6x = _mm_sub_ps(t6b, t9b);
        a8j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6x);
        s3l = _mm_sub_ps(a7j, a8j);
        s4l = _mm_add_ps(a7j, a8j);
        t5c = _mm_add_ps(t5a, t1c);
        t6c = _mm_add_ps(t6a, t2c);
        t7c = _mm_sub_ps(t5a, t1c);
        t8c = _mm_sub_ps(t6a, t2c);
        a9j = (16 * i);
        a0k = (D34 + a9j);
        a1k = *(a0k);
        a7x = (a0k + 1);
        a2k = *(a7x);
        a8x = (a0k + 2);
        a3k = *(a8x);
        a9x = (a0k + 3);
        a4k = *(a9x);
        a0y = ((__m128  *) T);
        b21 = (a0y + a9j);
        a1y = _mm_mul_ps(a1k, t5c);
        a2y = _mm_mul_ps(a2k, t6c);
        s5l = _mm_sub_ps(a1y, a2y);
        a3y = (b21 + 16);
        *(a3y) = s5l;
        a4y = _mm_mul_ps(a2k, t5c);
        a5y = _mm_mul_ps(a1k, t6c);
        s6l = _mm_add_ps(a4y, a5y);
        a6y = (b21 + 24);
        *(a6y) = s6l;
        a7y = _mm_mul_ps(a3k, t7c);
        a8y = _mm_mul_ps(a4k, t8c);
        s7l = _mm_sub_ps(a7y, a8y);
        a9y = (b21 + 20);
        *(a9y) = s7l;
        a0z = _mm_mul_ps(a4k, t7c);
        a1z = _mm_mul_ps(a3k, t8c);
        s8l = _mm_add_ps(a0z, a1z);
        a2z = (b21 + 28);
        *(a2z) = s8l;
        t9c = _mm_add_ps(t9a, s1l);
        t0d = _mm_add_ps(t0b, s2l);
        t1d = _mm_sub_ps(t9a, s1l);
        t2d = _mm_sub_ps(t0b, s2l);
        a3z = (a0k + 4);
        a5k = *(a3z);
        a4z = (a0k + 5);
        a6k = *(a4z);
        a5z = (a0k + 6);
        a7k = *(a5z);
        a6z = (a0k + 7);
        a8k = *(a6z);
        a7z = _mm_mul_ps(a5k, t9c);
        a8z = _mm_mul_ps(a6k, t0d);
        s9l = _mm_sub_ps(a7z, a8z);
        a9z = (b21 + 17);
        *(a9z) = s9l;
        a0A = _mm_mul_ps(a6k, t9c);
        a1A = _mm_mul_ps(a5k, t0d);
        s0m = _mm_add_ps(a0A, a1A);
        a2A = (b21 + 25);
        *(a2A) = s0m;
        a3A = _mm_mul_ps(a7k, t1d);
        a4A = _mm_mul_ps(a8k, t2d);
        s1m = _mm_sub_ps(a3A, a4A);
        a5A = (b21 + 21);
        *(a5A) = s1m;
        a6A = _mm_mul_ps(a8k, t1d);
        a7A = _mm_mul_ps(a7k, t2d);
        s2m = _mm_add_ps(a6A, a7A);
        a8A = (b21 + 29);
        *(a8A) = s2m;
        t3d = _mm_sub_ps(t7a, t4c);
        t4d = _mm_add_ps(t8a, t3c);
        t5d = _mm_add_ps(t7a, t4c);
        t6d = _mm_sub_ps(t8a, t3c);
        a9A = (a0k + 8);
        a9k = *(a9A);
        a0B = (a0k + 9);
        a0l = *(a0B);
        a1B = (a0k + 10);
        a1l = *(a1B);
        a2B = (a0k + 11);
        a2l = *(a2B);
        a3B = _mm_mul_ps(a9k, t3d);
        a4B = _mm_mul_ps(a0l, t4d);
        s3m = _mm_sub_ps(a3B, a4B);
        a5B = (b21 + 18);
        *(a5B) = s3m;
        a6B = _mm_mul_ps(a0l, t3d);
        a7B = _mm_mul_ps(a9k, t4d);
        s4m = _mm_add_ps(a6B, a7B);
        a8B = (b21 + 26);
        *(a8B) = s4m;
        a9B = _mm_mul_ps(a1l, t5d);
        a0C = _mm_mul_ps(a2l, t6d);
        s5m = _mm_sub_ps(a9B, a0C);
        a1C = (b21 + 22);
        *(a1C) = s5m;
        a2C = _mm_mul_ps(a2l, t5d);
        a3C = _mm_mul_ps(a1l, t6d);
        s6m = _mm_add_ps(a2C, a3C);
        a4C = (b21 + 30);
        *(a4C) = s6m;
        t7d = _mm_add_ps(t1b, s3l);
        t8d = _mm_sub_ps(t2b, s4l);
        t9d = _mm_sub_ps(t1b, s3l);
        t0e = _mm_add_ps(t2b, s4l);
        a5C = (a0k + 12);
        a3l = *(a5C);
        a6C = (a0k + 13);
        a4l = *(a6C);
        a7C = (a0k + 14);
        a5l = *(a7C);
        a8C = (a0k + 15);
        a6l = *(a8C);
        a9C = _mm_mul_ps(a3l, t7d);
        a0D = _mm_mul_ps(a4l, t8d);
        s7m = _mm_sub_ps(a9C, a0D);
        a1D = (b21 + 19);
        *(a1D) = s7m;
        a2D = _mm_mul_ps(a4l, t7d);
        a3D = _mm_mul_ps(a3l, t8d);
        s8m = _mm_add_ps(a2D, a3D);
        a4D = (b21 + 27);
        *(a4D) = s8m;
        a5D = _mm_mul_ps(a5l, t9d);
        a6D = _mm_mul_ps(a6l, t0e);
        s9m = _mm_sub_ps(a5D, a6D);
        a7D = (b21 + 23);
        *(a7D) = s9m;
        a8D = _mm_mul_ps(a6l, t9d);
        a9D = _mm_mul_ps(a5l, t0e);
        s0n = _mm_add_ps(a8D, a9D);
        a0E = (b21 + 31);
        *(a0E) = s0n;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a7M = ((__m128  *) T);
        a1E = (a7M + i2);
        s1n = *(a1E);
        a8M = (a1E + 1024);
        s2n = *(a8M);
        t1e = _mm_add_ps(s1n, s2n);
        t2e = _mm_sub_ps(s1n, s2n);
        a9M = (a1E + 8);
        s3n = *(a9M);
        a0N = (a1E + 1032);
        s4n = *(a0N);
        t3e = _mm_sub_ps(s3n, s4n);
        t4e = _mm_add_ps(s3n, s4n);
        a5F = (a1E + 512);
        s5n = *(a5F);
        a6F = (a1E + 520);
        s6n = *(a6F);
        a7F = (a1E + 1536);
        s7n = *(a7F);
        a8F = (a1E + 1544);
        s8n = *(a8F);
        t5e = _mm_add_ps(s5n, s7n);
        t6e = _mm_sub_ps(s6n, s8n);
        a9F = _mm_sub_ps(s5n, s7n);
        a2E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9F);
        a0G = _mm_add_ps(s6n, s8n);
        a3E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0G);
        s9n = _mm_sub_ps(a2E, a3E);
        s0o = _mm_add_ps(a2E, a3E);
        t7e = _mm_add_ps(t1e, t5e);
        t8e = _mm_sub_ps(t1e, t5e);
        t9e = _mm_sub_ps(t2e, t6e);
        t0f = _mm_add_ps(t2e, t6e);
        t1f = _mm_add_ps(t3e, s9n);
        t2f = _mm_sub_ps(t3e, s9n);
        t3f = _mm_sub_ps(t4e, s0o);
        t4f = _mm_add_ps(t4e, s0o);
        a1G = (a1E + 128);
        s1o = *(a1G);
        a2G = (a1E + 136);
        s2o = *(a2G);
        a3G = (a1E + 1920);
        s3o = *(a3G);
        a4G = (a1E + 1928);
        s4o = *(a4G);
        t5f = _mm_add_ps(s1o, s3o);
        t6f = _mm_sub_ps(s2o, s4o);
        t7f = _mm_sub_ps(s1o, s3o);
        t8f = _mm_add_ps(s2o, s4o);
        a5G = (a1E + 1152);
        s5o = *(a5G);
        a6G = (a1E + 1160);
        s6o = *(a6G);
        a7G = (a1E + 896);
        s7o = *(a7G);
        a8G = (a1E + 904);
        s8o = *(a8G);
        t9f = _mm_add_ps(s5o, s7o);
        t0g = _mm_sub_ps(s6o, s8o);
        t1g = _mm_sub_ps(s5o, s7o);
        t2g = _mm_add_ps(s6o, s8o);
        t3g = _mm_add_ps(t5f, t9f);
        t4g = _mm_add_ps(t6f, t0g);
        t5g = _mm_sub_ps(t5f, t9f);
        t6g = _mm_sub_ps(t6f, t0g);
        t7g = _mm_sub_ps(t7f, t2g);
        t8g = _mm_add_ps(t8f, t1g);
        t9g = _mm_add_ps(t7f, t2g);
        t0h = _mm_sub_ps(t8f, t1g);
        a9G = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t7g);
        a0H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t8g);
        s9o = _mm_sub_ps(a9G, a0H);
        a1H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t7g);
        a2H = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t8g);
        s0p = _mm_add_ps(a1H, a2H);
        a3H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5g);
        a4H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6g);
        s1p = _mm_sub_ps(a3H, a4H);
        a5H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5g);
        a6H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6g);
        s2p = _mm_add_ps(a5H, a6H);
        a7H = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t9g);
        a8H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t0h);
        s3p = _mm_sub_ps(a7H, a8H);
        a9H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t9g);
        a0I = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t0h);
        s4p = _mm_add_ps(a9H, a0I);
        a1I = (a1E + 256);
        s5p = *(a1I);
        a2I = (a1E + 264);
        s6p = *(a2I);
        a3I = (a1E + 1792);
        s7p = *(a3I);
        a4I = (a1E + 1800);
        s8p = *(a4I);
        t1h = _mm_add_ps(s5p, s7p);
        t2h = _mm_sub_ps(s6p, s8p);
        t3h = _mm_sub_ps(s5p, s7p);
        t4h = _mm_add_ps(s6p, s8p);
        a5I = (a1E + 1280);
        s9p = *(a5I);
        a6I = (a1E + 1288);
        s0q = *(a6I);
        a7I = (a1E + 768);
        s1q = *(a7I);
        a8I = (a1E + 776);
        s2q = *(a8I);
        t5h = _mm_add_ps(s9p, s1q);
        t6h = _mm_sub_ps(s0q, s2q);
        t7h = _mm_sub_ps(s9p, s1q);
        t8h = _mm_add_ps(s0q, s2q);
        t9h = _mm_add_ps(t1h, t5h);
        t0i = _mm_add_ps(t2h, t6h);
        t1i = _mm_sub_ps(t3h, t8h);
        t2i = _mm_add_ps(t4h, t7h);
        t3i = _mm_add_ps(t3h, t8h);
        t4i = _mm_sub_ps(t4h, t7h);
        a9I = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1i);
        a0J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2i);
        s3q = _mm_sub_ps(a9I, a0J);
        a1J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1i);
        a2J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2i);
        s4q = _mm_add_ps(a1J, a2J);
        a3J = _mm_sub_ps(t1h, t5h);
        a4E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3J);
        a4J = _mm_sub_ps(t2h, t6h);
        a5E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4J);
        s5q = _mm_sub_ps(a4E, a5E);
        s6q = _mm_add_ps(a4E, a5E);
        a5J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3i);
        a6J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4i);
        s7q = _mm_sub_ps(a5J, a6J);
        a7J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3i);
        a8J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4i);
        s8q = _mm_add_ps(a7J, a8J);
        a9J = (a1E + 384);
        s9q = *(a9J);
        a0K = (a1E + 392);
        s0r = *(a0K);
        a1K = (a1E + 1664);
        s1r = *(a1K);
        a2K = (a1E + 1672);
        s2r = *(a2K);
        t5i = _mm_add_ps(s9q, s1r);
        t6i = _mm_sub_ps(s0r, s2r);
        t7i = _mm_sub_ps(s9q, s1r);
        t8i = _mm_add_ps(s0r, s2r);
        a3K = (a1E + 1408);
        s3r = *(a3K);
        a4K = (a1E + 1416);
        s4r = *(a4K);
        a5K = (a1E + 640);
        s5r = *(a5K);
        a6K = (a1E + 648);
        s6r = *(a6K);
        t9i = _mm_add_ps(s3r, s5r);
        t0j = _mm_sub_ps(s4r, s6r);
        t1j = _mm_sub_ps(s3r, s5r);
        t2j = _mm_add_ps(s4r, s6r);
        t3j = _mm_add_ps(t5i, t9i);
        t4j = _mm_add_ps(t6i, t0j);
        t5j = _mm_sub_ps(t5i, t9i);
        t6j = _mm_sub_ps(t6i, t0j);
        t7j = _mm_sub_ps(t7i, t2j);
        t8j = _mm_add_ps(t8i, t1j);
        t9j = _mm_add_ps(t7i, t2j);
        t0k = _mm_sub_ps(t8i, t1j);
        a7K = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t7j);
        a8K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t8j);
        s7r = _mm_sub_ps(a7K, a8K);
        a9K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t7j);
        a0L = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t8j);
        s8r = _mm_add_ps(a9K, a0L);
        a1L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5j);
        a2L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6j);
        s9r = _mm_sub_ps(a1L, a2L);
        a3L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5j);
        a4L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6j);
        s0s = _mm_add_ps(a3L, a4L);
        a5L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t9j);
        a6L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t0k);
        s1s = _mm_sub_ps(a5L, a6L);
        a7L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t9j);
        a8L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t0k);
        s2s = _mm_add_ps(a7L, a8L);
        t1k = _mm_add_ps(t7e, t9h);
        t2k = _mm_sub_ps(t7e, t9h);
        t3k = _mm_sub_ps(t8e, t0i);
        t4k = _mm_add_ps(t8e, t0i);
        t5k = _mm_add_ps(t3g, t3j);
        t6k = _mm_sub_ps(t4g, t4j);
        a9L = _mm_sub_ps(t3g, t3j);
        a6E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9L);
        a0M = _mm_add_ps(t4g, t4j);
        a7E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0M);
        s3s = _mm_sub_ps(a6E, a7E);
        s4s = _mm_add_ps(a6E, a7E);
        a8E = ((__m128  *) T2);
        s5s = _mm_add_ps(t1k, t5k);
        *(a8E) = s5s;
        s6s = _mm_sub_ps(t1k, t5k);
        a1N = (a8E + 16);
        *(a1N) = s6s;
        s7s = _mm_sub_ps(t2k, t6k);
        a2N = (a8E + 8);
        *(a2N) = s7s;
        s8s = _mm_add_ps(t2k, t6k);
        a3N = (a8E + 24);
        *(a3N) = s8s;
        s9s = _mm_add_ps(t3k, s3s);
        a4N = (a8E + 4);
        *(a4N) = s9s;
        s0t = _mm_sub_ps(t3k, s3s);
        a5N = (a8E + 20);
        *(a5N) = s0t;
        s1t = _mm_sub_ps(t4k, s4s);
        a6N = (a8E + 12);
        *(a6N) = s1t;
        s2t = _mm_add_ps(t4k, s4s);
        a7N = (a8E + 28);
        *(a7N) = s2t;
        t7k = _mm_add_ps(t1f, s3q);
        t8k = _mm_sub_ps(t1f, s3q);
        t9k = _mm_sub_ps(t2f, s4q);
        t0l = _mm_add_ps(t2f, s4q);
        t1l = _mm_add_ps(s9o, s7r);
        t2l = _mm_sub_ps(s0p, s8r);
        a1M = _mm_sub_ps(s9o, s7r);
        a9E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1M);
        a2M = _mm_add_ps(s0p, s8r);
        a0F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2M);
        s3t = _mm_sub_ps(a9E, a0F);
        s4t = _mm_add_ps(a9E, a0F);
        s5t = _mm_add_ps(t7k, t1l);
        a8N = (a8E + 1);
        *(a8N) = s5t;
        s6t = _mm_sub_ps(t7k, t1l);
        a9N = (a8E + 17);
        *(a9N) = s6t;
        s7t = _mm_sub_ps(t8k, t2l);
        a0O = (a8E + 9);
        *(a0O) = s7t;
        s8t = _mm_add_ps(t8k, t2l);
        a1O = (a8E + 25);
        *(a1O) = s8t;
        s9t = _mm_add_ps(t9k, s3t);
        a2O = (a8E + 5);
        *(a2O) = s9t;
        s0u = _mm_sub_ps(t9k, s3t);
        a3O = (a8E + 21);
        *(a3O) = s0u;
        s1u = _mm_sub_ps(t0l, s4t);
        a4O = (a8E + 13);
        *(a4O) = s1u;
        s2u = _mm_add_ps(t0l, s4t);
        a5O = (a8E + 29);
        *(a5O) = s2u;
        t3l = _mm_add_ps(t9e, s5q);
        t4l = _mm_sub_ps(t9e, s5q);
        t5l = _mm_sub_ps(t0f, s6q);
        t6l = _mm_add_ps(t0f, s6q);
        t7l = _mm_add_ps(s1p, s9r);
        t8l = _mm_sub_ps(s2p, s0s);
        a3M = _mm_sub_ps(s1p, s9r);
        a1F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3M);
        a4M = _mm_add_ps(s2p, s0s);
        a2F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4M);
        s3u = _mm_sub_ps(a1F, a2F);
        s4u = _mm_add_ps(a1F, a2F);
        s5u = _mm_add_ps(t3l, t7l);
        a6O = (a8E + 2);
        *(a6O) = s5u;
        s6u = _mm_sub_ps(t3l, t7l);
        a7O = (a8E + 18);
        *(a7O) = s6u;
        s7u = _mm_sub_ps(t4l, t8l);
        a8O = (a8E + 10);
        *(a8O) = s7u;
        s8u = _mm_add_ps(t4l, t8l);
        a9O = (a8E + 26);
        *(a9O) = s8u;
        s9u = _mm_add_ps(t5l, s3u);
        a0P = (a8E + 6);
        *(a0P) = s9u;
        s0v = _mm_sub_ps(t5l, s3u);
        a1P = (a8E + 22);
        *(a1P) = s0v;
        s1v = _mm_sub_ps(t6l, s4u);
        a2P = (a8E + 14);
        *(a2P) = s1v;
        s2v = _mm_add_ps(t6l, s4u);
        a3P = (a8E + 30);
        *(a3P) = s2v;
        t9l = _mm_add_ps(t3f, s7q);
        t0m = _mm_sub_ps(t3f, s7q);
        t1m = _mm_sub_ps(t4f, s8q);
        t2m = _mm_add_ps(t4f, s8q);
        t3m = _mm_add_ps(s3p, s1s);
        t4m = _mm_sub_ps(s4p, s2s);
        a5M = _mm_sub_ps(s3p, s1s);
        a3F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5M);
        a6M = _mm_add_ps(s4p, s2s);
        a4F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6M);
        s3v = _mm_sub_ps(a3F, a4F);
        s4v = _mm_add_ps(a3F, a4F);
        s5v = _mm_add_ps(t9l, t3m);
        a4P = (a8E + 3);
        *(a4P) = s5v;
        s6v = _mm_sub_ps(t9l, t3m);
        a5P = (a8E + 19);
        *(a5P) = s6v;
        s7v = _mm_sub_ps(t0m, t4m);
        a6P = (a8E + 11);
        *(a6P) = s7v;
        s8v = _mm_add_ps(t0m, t4m);
        a7P = (a8E + 27);
        *(a7P) = s8v;
        s9v = _mm_add_ps(t1m, s3v);
        a8P = (a8E + 7);
        *(a8P) = s9v;
        s0w = _mm_sub_ps(t1m, s3v);
        a9P = (a8E + 23);
        *(a9P) = s0w;
        s1w = _mm_sub_ps(t2m, s4v);
        a0Q = (a8E + 15);
        *(a0Q) = s1w;
        s2w = _mm_add_ps(t2m, s4v);
        a1Q = (a8E + 31);
        *(a1Q) = s2w;
        {long i3; for(i3 = 0; i3 <= 6; i3++) {
            a2Q = (16 * i3);
            a5U = ((__m128  *) T);
            b31 = (a5U + i2);
            b41 = (b31 + a2Q);
            a6U = (b41 + 16);
            s3w = *(a6U);
            a7U = (b41 + 24);
            s4w = *(a7U);
            b51 = (b31 - a2Q);
            a8U = (b51 + 2032);
            s5w = *(a8U);
            a9U = (b51 + 2040);
            s6w = *(a9U);
            t5m = _mm_add_ps(s3w, s5w);
            t6m = _mm_sub_ps(s4w, s6w);
            t7m = _mm_sub_ps(s3w, s5w);
            t8m = _mm_add_ps(s4w, s6w);
            a0V = (b41 + 1040);
            s7w = *(a0V);
            a1V = (b41 + 1048);
            s8w = *(a1V);
            a2V = (b51 + 1008);
            s9w = *(a2V);
            a3V = (b51 + 1016);
            s0x = *(a3V);
            t9m = _mm_add_ps(s7w, s9w);
            t0n = _mm_sub_ps(s8w, s0x);
            t1n = _mm_sub_ps(s7w, s9w);
            t2n = _mm_add_ps(s8w, s0x);
            t3n = _mm_add_ps(t5m, t9m);
            t4n = _mm_add_ps(t6m, t0n);
            t5n = _mm_sub_ps(t5m, t9m);
            t6n = _mm_sub_ps(t6m, t0n);
            t7n = _mm_sub_ps(t7m, t2n);
            t8n = _mm_add_ps(t8m, t1n);
            t9n = _mm_add_ps(t7m, t2n);
            t0o = _mm_sub_ps(t8m, t1n);
            a4V = (b41 + 272);
            s1x = *(a4V);
            a5V = (b41 + 280);
            s2x = *(a5V);
            a6V = (b51 + 1776);
            s3x = *(a6V);
            a7V = (b51 + 1784);
            s4x = *(a7V);
            t1o = _mm_add_ps(s1x, s3x);
            t2o = _mm_sub_ps(s2x, s4x);
            t3o = _mm_sub_ps(s1x, s3x);
            t4o = _mm_add_ps(s2x, s4x);
            a8V = (b41 + 1296);
            s5x = *(a8V);
            a9V = (b41 + 1304);
            s6x = *(a9V);
            a0W = (b51 + 752);
            s7x = *(a0W);
            a1W = (b51 + 760);
            s8x = *(a1W);
            t5o = _mm_add_ps(s5x, s7x);
            t6o = _mm_sub_ps(s6x, s8x);
            t7o = _mm_sub_ps(s5x, s7x);
            t8o = _mm_add_ps(s6x, s8x);
            t9o = _mm_add_ps(t1o, t5o);
            t0p = _mm_add_ps(t2o, t6o);
            a2W = _mm_sub_ps(t1o, t5o);
            a3Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2W);
            a3W = _mm_sub_ps(t2o, t6o);
            a4Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3W);
            s9x = _mm_sub_ps(a3Q, a4Q);
            s0y = _mm_add_ps(a3Q, a4Q);
            t1p = _mm_sub_ps(t3o, t8o);
            t2p = _mm_add_ps(t4o, t7o);
            t3p = _mm_add_ps(t3o, t8o);
            t4p = _mm_sub_ps(t4o, t7o);
            a4W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1p);
            a5W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2p);
            s1y = _mm_sub_ps(a4W, a5W);
            a6W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1p);
            a7W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2p);
            s2y = _mm_add_ps(a6W, a7W);
            a8W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3p);
            a9W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4p);
            s3y = _mm_sub_ps(a8W, a9W);
            a0X = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3p);
            a1X = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4p);
            s4y = _mm_add_ps(a0X, a1X);
            a2X = (b41 + 528);
            s5y = *(a2X);
            a3X = (b41 + 536);
            s6y = *(a3X);
            a4X = (b51 + 1520);
            s7y = *(a4X);
            a5X = (b51 + 1528);
            s8y = *(a5X);
            t5p = _mm_add_ps(s5y, s7y);
            t6p = _mm_sub_ps(s6y, s8y);
            t7p = _mm_sub_ps(s5y, s7y);
            t8p = _mm_add_ps(s6y, s8y);
            a6X = (b41 + 1552);
            s9y = *(a6X);
            a7X = (b41 + 1560);
            s0z = *(a7X);
            a8X = (b51 + 496);
            s1z = *(a8X);
            a9X = (b51 + 504);
            s2z = *(a9X);
            t9p = _mm_add_ps(s9y, s1z);
            t0q = _mm_sub_ps(s0z, s2z);
            t1q = _mm_sub_ps(s9y, s1z);
            t2q = _mm_add_ps(s0z, s2z);
            t3q = _mm_add_ps(t5p, t9p);
            t4q = _mm_add_ps(t6p, t0q);
            t5q = _mm_sub_ps(t5p, t9p);
            t6q = _mm_sub_ps(t6p, t0q);
            a0Y = _mm_sub_ps(t7p, t2q);
            a5Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0Y);
            a1Y = _mm_add_ps(t8p, t1q);
            a6Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1Y);
            s3z = _mm_sub_ps(a5Q, a6Q);
            s4z = _mm_add_ps(a5Q, a6Q);
            a2Y = _mm_add_ps(t7p, t2q);
            a7Q = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2Y);
            a3Y = _mm_sub_ps(t8p, t1q);
            a8Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3Y);
            s5z = _mm_sub_ps(a7Q, a8Q);
            s6z = _mm_add_ps(a7Q, a8Q);
            a4Y = (b41 + 784);
            s7z = *(a4Y);
            a5Y = (b41 + 792);
            s8z = *(a5Y);
            a6Y = (b51 + 1264);
            s9z = *(a6Y);
            a7Y = (b51 + 1272);
            s0A = *(a7Y);
            t7q = _mm_add_ps(s7z, s9z);
            t8q = _mm_sub_ps(s8z, s0A);
            t9q = _mm_sub_ps(s7z, s9z);
            t0r = _mm_add_ps(s8z, s0A);
            a8Y = (b41 + 1808);
            s1A = *(a8Y);
            a9Y = (b41 + 1816);
            s2A = *(a9Y);
            a0Z = (b51 + 240);
            s3A = *(a0Z);
            a1Z = (b51 + 248);
            s4A = *(a1Z);
            t1r = _mm_add_ps(s1A, s3A);
            t2r = _mm_sub_ps(s2A, s4A);
            t3r = _mm_sub_ps(s1A, s3A);
            t4r = _mm_add_ps(s2A, s4A);
            t5r = _mm_add_ps(t7q, t1r);
            t6r = _mm_add_ps(t8q, t2r);
            a2Z = _mm_sub_ps(t7q, t1r);
            a9Q = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2Z);
            a3Z = _mm_sub_ps(t8q, t2r);
            a0R = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3Z);
            s5A = _mm_sub_ps(a9Q, a0R);
            s6A = _mm_add_ps(a9Q, a0R);
            t7r = _mm_sub_ps(t9q, t4r);
            t8r = _mm_add_ps(t0r, t3r);
            t9r = _mm_add_ps(t9q, t4r);
            t0s = _mm_sub_ps(t0r, t3r);
            a4Z = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t7r);
            a5Z = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8r);
            s7A = _mm_sub_ps(a4Z, a5Z);
            a6Z = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t7r);
            a7Z = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t8r);
            s8A = _mm_add_ps(a6Z, a7Z);
            a8Z = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t9r);
            a9Z = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t0s);
            s9A = _mm_sub_ps(a8Z, a9Z);
            a010 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t9r);
            a110 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t0s);
            s0B = _mm_add_ps(a010, a110);
            t1s = _mm_add_ps(t3n, t3q);
            t2s = _mm_add_ps(t4n, t4q);
            t3s = _mm_sub_ps(t3n, t3q);
            t4s = _mm_sub_ps(t4n, t4q);
            t5s = _mm_add_ps(t9o, t5r);
            t6s = _mm_add_ps(t0p, t6r);
            t7s = _mm_sub_ps(t9o, t5r);
            t8s = _mm_sub_ps(t0p, t6r);
            t9s = _mm_add_ps(t1s, t5s);
            t0t = _mm_add_ps(t2s, t6s);
            t1t = _mm_sub_ps(t1s, t5s);
            t2t = _mm_sub_ps(t2s, t6s);
            t3t = _mm_sub_ps(t3s, t8s);
            t4t = _mm_add_ps(t4s, t7s);
            t5t = _mm_add_ps(t3s, t8s);
            t6t = _mm_sub_ps(t4s, t7s);
            t7t = _mm_add_ps(t7n, s3z);
            t8t = _mm_add_ps(t8n, s4z);
            t9t = _mm_sub_ps(t7n, s3z);
            t0u = _mm_sub_ps(t8n, s4z);
            t1u = _mm_add_ps(s1y, s7A);
            t2u = _mm_add_ps(s2y, s8A);
            t3u = _mm_sub_ps(s1y, s7A);
            t4u = _mm_sub_ps(s2y, s8A);
            t5u = _mm_add_ps(t7t, t1u);
            t6u = _mm_add_ps(t8t, t2u);
            t7u = _mm_sub_ps(t7t, t1u);
            t8u = _mm_sub_ps(t8t, t2u);
            t9u = _mm_sub_ps(t9t, t4u);
            t0v = _mm_add_ps(t0u, t3u);
            t1v = _mm_add_ps(t9t, t4u);
            t2v = _mm_sub_ps(t0u, t3u);
            t3v = _mm_sub_ps(t5n, t6q);
            t4v = _mm_add_ps(t6n, t5q);
            t5v = _mm_add_ps(t5n, t6q);
            t6v = _mm_sub_ps(t6n, t5q);
            t7v = _mm_add_ps(s9x, s5A);
            t8v = _mm_sub_ps(s0y, s6A);
            t9v = _mm_sub_ps(s9x, s5A);
            t0w = _mm_add_ps(s0y, s6A);
            t1w = _mm_add_ps(t3v, t7v);
            t2w = _mm_add_ps(t4v, t8v);
            t3w = _mm_sub_ps(t3v, t7v);
            t4w = _mm_sub_ps(t4v, t8v);
            t5w = _mm_sub_ps(t5v, t0w);
            t6w = _mm_add_ps(t6v, t9v);
            t7w = _mm_add_ps(t5v, t0w);
            t8w = _mm_sub_ps(t6v, t9v);
            t9w = _mm_add_ps(t9n, s5z);
            t0x = _mm_sub_ps(t0o, s6z);
            t1x = _mm_sub_ps(t9n, s5z);
            t2x = _mm_add_ps(t0o, s6z);
            t3x = _mm_add_ps(s3y, s9A);
            t4x = _mm_add_ps(s4y, s0B);
            t5x = _mm_sub_ps(s3y, s9A);
            t6x = _mm_sub_ps(s4y, s0B);
            t7x = _mm_add_ps(t9w, t3x);
            t8x = _mm_add_ps(t0x, t4x);
            t9x = _mm_sub_ps(t9w, t3x);
            t0y = _mm_sub_ps(t0x, t4x);
            t1y = _mm_sub_ps(t1x, t6x);
            t2y = _mm_add_ps(t2x, t5x);
            t3y = _mm_add_ps(t1x, t6x);
            t4y = _mm_sub_ps(t2x, t5x);
            a1R = (32 * i3);
            a2R = (D33 + a1R);
            a3R = *(a2R);
            a210 = (a2R + 1);
            a4R = *(a210);
            a310 = (a2R + 2);
            a5R = *(a310);
            a410 = (a2R + 3);
            a6R = *(a410);
            a510 = (a2R + 4);
            a7R = *(a510);
            a610 = (a2R + 5);
            a8R = *(a610);
            a710 = (a2R + 6);
            a9R = *(a710);
            a810 = (a2R + 7);
            a0S = *(a810);
            a910 = (a2R + 8);
            a1S = *(a910);
            a011 = (a2R + 9);
            a2S = *(a011);
            a111 = (a2R + 10);
            a3S = *(a111);
            a211 = (a2R + 11);
            a4S = *(a211);
            a311 = (a2R + 12);
            a5S = *(a311);
            a411 = (a2R + 13);
            a6S = *(a411);
            a511 = (a2R + 14);
            a7S = *(a511);
            a611 = (a2R + 15);
            a8S = *(a611);
            a711 = (a2R + 16);
            a9S = *(a711);
            a811 = (a2R + 17);
            a0T = *(a811);
            a911 = (a2R + 18);
            a1T = *(a911);
            a012 = (a2R + 19);
            a2T = *(a012);
            a112 = (a2R + 20);
            a3T = *(a112);
            a212 = (a2R + 21);
            a4T = *(a212);
            a312 = (a2R + 22);
            a5T = *(a312);
            a412 = (a2R + 23);
            a6T = *(a412);
            a512 = (a2R + 24);
            a7T = *(a512);
            a612 = (a2R + 25);
            a8T = *(a612);
            a712 = (a2R + 26);
            a9T = *(a712);
            a812 = (a2R + 27);
            a0U = *(a812);
            a912 = (a2R + 28);
            a1U = *(a912);
            a013 = (a2R + 29);
            a2U = *(a013);
            a113 = (a2R + 30);
            a3U = *(a113);
            a213 = (a2R + 31);
            a4U = *(a213);
            a313 = ((__m128  *) T2);
            b61 = (a313 + a1R);
            a413 = _mm_mul_ps(a3R, t9s);
            a513 = _mm_mul_ps(a4R, t0t);
            s1B = _mm_sub_ps(a413, a513);
            a613 = (b61 + 32);
            *(a613) = s1B;
            a713 = _mm_mul_ps(a4R, t9s);
            a813 = _mm_mul_ps(a3R, t0t);
            s2B = _mm_add_ps(a713, a813);
            a913 = (b61 + 48);
            *(a913) = s2B;
            a014 = _mm_mul_ps(a5R, t5u);
            a114 = _mm_mul_ps(a6R, t6u);
            s3B = _mm_sub_ps(a014, a114);
            a214 = (b61 + 33);
            *(a214) = s3B;
            a314 = _mm_mul_ps(a6R, t5u);
            a414 = _mm_mul_ps(a5R, t6u);
            s4B = _mm_add_ps(a314, a414);
            a514 = (b61 + 49);
            *(a514) = s4B;
            a614 = _mm_mul_ps(a7R, t1w);
            a714 = _mm_mul_ps(a8R, t2w);
            s5B = _mm_sub_ps(a614, a714);
            a814 = (b61 + 34);
            *(a814) = s5B;
            a914 = _mm_mul_ps(a8R, t1w);
            a015 = _mm_mul_ps(a7R, t2w);
            s6B = _mm_add_ps(a914, a015);
            a115 = (b61 + 50);
            *(a115) = s6B;
            a215 = _mm_mul_ps(a9R, t7x);
            a315 = _mm_mul_ps(a0S, t8x);
            s7B = _mm_sub_ps(a215, a315);
            a415 = (b61 + 35);
            *(a415) = s7B;
            a515 = _mm_mul_ps(a0S, t7x);
            a615 = _mm_mul_ps(a9R, t8x);
            s8B = _mm_add_ps(a515, a615);
            a715 = (b61 + 51);
            *(a715) = s8B;
            a815 = _mm_mul_ps(a1S, t3t);
            a915 = _mm_mul_ps(a2S, t4t);
            s9B = _mm_sub_ps(a815, a915);
            a016 = (b61 + 36);
            *(a016) = s9B;
            a116 = _mm_mul_ps(a2S, t3t);
            a216 = _mm_mul_ps(a1S, t4t);
            s0C = _mm_add_ps(a116, a216);
            a316 = (b61 + 52);
            *(a316) = s0C;
            a416 = _mm_mul_ps(a3S, t9u);
            a516 = _mm_mul_ps(a4S, t0v);
            s1C = _mm_sub_ps(a416, a516);
            a616 = (b61 + 37);
            *(a616) = s1C;
            a716 = _mm_mul_ps(a4S, t9u);
            a816 = _mm_mul_ps(a3S, t0v);
            s2C = _mm_add_ps(a716, a816);
            a916 = (b61 + 53);
            *(a916) = s2C;
            a017 = _mm_mul_ps(a5S, t5w);
            a117 = _mm_mul_ps(a6S, t6w);
            s3C = _mm_sub_ps(a017, a117);
            a217 = (b61 + 38);
            *(a217) = s3C;
            a317 = _mm_mul_ps(a6S, t5w);
            a417 = _mm_mul_ps(a5S, t6w);
            s4C = _mm_add_ps(a317, a417);
            a517 = (b61 + 54);
            *(a517) = s4C;
            a617 = _mm_mul_ps(a7S, t1y);
            a717 = _mm_mul_ps(a8S, t2y);
            s5C = _mm_sub_ps(a617, a717);
            a817 = (b61 + 39);
            *(a817) = s5C;
            a917 = _mm_mul_ps(a8S, t1y);
            a018 = _mm_mul_ps(a7S, t2y);
            s6C = _mm_add_ps(a917, a018);
            a118 = (b61 + 55);
            *(a118) = s6C;
            a218 = _mm_mul_ps(a9S, t1t);
            a318 = _mm_mul_ps(a0T, t2t);
            s7C = _mm_sub_ps(a218, a318);
            a418 = (b61 + 40);
            *(a418) = s7C;
            a518 = _mm_mul_ps(a0T, t1t);
            a618 = _mm_mul_ps(a9S, t2t);
            s8C = _mm_add_ps(a518, a618);
            a718 = (b61 + 56);
            *(a718) = s8C;
            a818 = _mm_mul_ps(a1T, t7u);
            a918 = _mm_mul_ps(a2T, t8u);
            s9C = _mm_sub_ps(a818, a918);
            a019 = (b61 + 41);
            *(a019) = s9C;
            a119 = _mm_mul_ps(a2T, t7u);
            a219 = _mm_mul_ps(a1T, t8u);
            s0D = _mm_add_ps(a119, a219);
            a319 = (b61 + 57);
            *(a319) = s0D;
            a419 = _mm_mul_ps(a3T, t3w);
            a519 = _mm_mul_ps(a4T, t4w);
            s1D = _mm_sub_ps(a419, a519);
            a619 = (b61 + 42);
            *(a619) = s1D;
            a719 = _mm_mul_ps(a4T, t3w);
            a819 = _mm_mul_ps(a3T, t4w);
            s2D = _mm_add_ps(a719, a819);
            a919 = (b61 + 58);
            *(a919) = s2D;
            a01a = _mm_mul_ps(a5T, t9x);
            a11a = _mm_mul_ps(a6T, t0y);
            s3D = _mm_sub_ps(a01a, a11a);
            a21a = (b61 + 43);
            *(a21a) = s3D;
            a31a = _mm_mul_ps(a6T, t9x);
            a41a = _mm_mul_ps(a5T, t0y);
            s4D = _mm_add_ps(a31a, a41a);
            a51a = (b61 + 59);
            *(a51a) = s4D;
            a61a = _mm_mul_ps(a7T, t5t);
            a71a = _mm_mul_ps(a8T, t6t);
            s5D = _mm_sub_ps(a61a, a71a);
            a81a = (b61 + 44);
            *(a81a) = s5D;
            a91a = _mm_mul_ps(a8T, t5t);
            a01b = _mm_mul_ps(a7T, t6t);
            s6D = _mm_add_ps(a91a, a01b);
            a11b = (b61 + 60);
            *(a11b) = s6D;
            a21b = _mm_mul_ps(a9T, t1v);
            a31b = _mm_mul_ps(a0U, t2v);
            s7D = _mm_sub_ps(a21b, a31b);
            a41b = (b61 + 45);
            *(a41b) = s7D;
            a51b = _mm_mul_ps(a0U, t1v);
            a61b = _mm_mul_ps(a9T, t2v);
            s8D = _mm_add_ps(a51b, a61b);
            a71b = (b61 + 61);
            *(a71b) = s8D;
            a81b = _mm_mul_ps(a1U, t7w);
            a91b = _mm_mul_ps(a2U, t8w);
            s9D = _mm_sub_ps(a81b, a91b);
            a01c = (b61 + 46);
            *(a01c) = s9D;
            a11c = _mm_mul_ps(a2U, t7w);
            a21c = _mm_mul_ps(a1U, t8w);
            s0E = _mm_add_ps(a11c, a21c);
            a31c = (b61 + 62);
            *(a31c) = s0E;
            a41c = _mm_mul_ps(a3U, t3y);
            a51c = _mm_mul_ps(a4U, t4y);
            s1E = _mm_sub_ps(a41c, a51c);
            a61c = (b61 + 47);
            *(a61c) = s1E;
            a71c = _mm_mul_ps(a4U, t3y);
            a81c = _mm_mul_ps(a3U, t4y);
            s2E = _mm_add_ps(a71c, a81c);
            a91c = (b61 + 63);
            *(a91c) = s2E;
        }}
        {long i4; for(i4 = 0; i4 <= 15; i4++) {
            a41g = ((__m128  *) T2);
            a01d = (a41g + i4);
            s3E = *(a01d);
            a51g = (a01d + 128);
            s4E = *(a51g);
            t5y = _mm_add_ps(s3E, s4E);
            t6y = _mm_sub_ps(s3E, s4E);
            a61g = (a01d + 16);
            s5E = *(a61g);
            a71g = (a01d + 144);
            s6E = *(a71g);
            t7y = _mm_sub_ps(s5E, s6E);
            t8y = _mm_add_ps(s5E, s6E);
            a81d = (a01d + 32);
            s7E = *(a81d);
            a91d = (a01d + 48);
            s8E = *(a91d);
            a01e = (a01d + 224);
            s9E = *(a01e);
            a11e = (a01d + 240);
            s0F = *(a11e);
            t9y = _mm_add_ps(s7E, s9E);
            t0z = _mm_sub_ps(s8E, s0F);
            t1z = _mm_sub_ps(s7E, s9E);
            t2z = _mm_add_ps(s8E, s0F);
            a21e = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1z);
            a31e = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2z);
            s1F = _mm_sub_ps(a21e, a31e);
            a41e = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1z);
            a51e = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2z);
            s2F = _mm_add_ps(a41e, a51e);
            a61e = (a01d + 64);
            s3F = *(a61e);
            a71e = (a01d + 80);
            s4F = *(a71e);
            a81e = (a01d + 192);
            s5F = *(a81e);
            a91e = (a01d + 208);
            s6F = *(a91e);
            t3z = _mm_add_ps(s3F, s5F);
            t4z = _mm_sub_ps(s4F, s6F);
            a01f = _mm_sub_ps(s3F, s5F);
            a11d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a01f);
            a11f = _mm_add_ps(s4F, s6F);
            a21d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a11f);
            s7F = _mm_sub_ps(a11d, a21d);
            s8F = _mm_add_ps(a11d, a21d);
            a21f = (a01d + 96);
            s9F = *(a21f);
            a31f = (a01d + 112);
            s0G = *(a31f);
            a41f = (a01d + 160);
            s1G = *(a41f);
            a51f = (a01d + 176);
            s2G = *(a51f);
            t5z = _mm_add_ps(s9F, s1G);
            t6z = _mm_sub_ps(s0G, s2G);
            t7z = _mm_sub_ps(s9F, s1G);
            t8z = _mm_add_ps(s0G, s2G);
            a61f = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t7z);
            a71f = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8z);
            s3G = _mm_sub_ps(a61f, a71f);
            a81f = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t7z);
            a91f = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t8z);
            s4G = _mm_add_ps(a81f, a91f);
            t9z = _mm_add_ps(t5y, t3z);
            t0A = _mm_sub_ps(t5y, t3z);
            t1A = _mm_sub_ps(t6y, t4z);
            t2A = _mm_add_ps(t6y, t4z);
            t3A = _mm_add_ps(t9y, t5z);
            t4A = _mm_sub_ps(t0z, t6z);
            a01g = _mm_sub_ps(t9y, t5z);
            a31d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a01g);
            a11g = _mm_add_ps(t0z, t6z);
            a41d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a11g);
            s5G = _mm_sub_ps(a31d, a41d);
            s6G = _mm_add_ps(a31d, a41d);
            a81g = (4 * i2);
            a91g = (32 * i4);
            b71 = (dst + a81g);
            a51d = (b71 + a91g);
            s7G = _mm_add_ps(t9z, t3A);
            _mm_storeu_ps(((float  *) a51d), s7G);
            s8G = _mm_sub_ps(t9z, t3A);
            a01h = (a51d + 4096);
            _mm_storeu_ps(((float  *) a01h), s8G);
            s9G = _mm_sub_ps(t0A, t4A);
            a11h = (a51d + 2048);
            _mm_storeu_ps(((float  *) a11h), s9G);
            s0H = _mm_add_ps(t0A, t4A);
            a21h = (a51d + 6144);
            _mm_storeu_ps(((float  *) a21h), s0H);
            s1H = _mm_add_ps(t1A, s5G);
            a31h = (a51d + 1024);
            _mm_storeu_ps(((float  *) a31h), s1H);
            s2H = _mm_sub_ps(t1A, s5G);
            a41h = (a51d + 5120);
            _mm_storeu_ps(((float  *) a41h), s2H);
            s3H = _mm_sub_ps(t2A, s6G);
            a51h = (a51d + 3072);
            _mm_storeu_ps(((float  *) a51h), s3H);
            s4H = _mm_add_ps(t2A, s6G);
            a61h = (a51d + 7168);
            _mm_storeu_ps(((float  *) a61h), s4H);
            t5A = _mm_add_ps(t7y, s7F);
            t6A = _mm_sub_ps(t7y, s7F);
            t7A = _mm_sub_ps(t8y, s8F);
            t8A = _mm_add_ps(t8y, s8F);
            t9A = _mm_add_ps(s1F, s3G);
            t0B = _mm_sub_ps(s2F, s4G);
            a21g = _mm_sub_ps(s1F, s3G);
            a61d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a21g);
            a31g = _mm_add_ps(s2F, s4G);
            a71d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a31g);
            s5H = _mm_sub_ps(a61d, a71d);
            s6H = _mm_add_ps(a61d, a71d);
            s7H = _mm_add_ps(t5A, t9A);
            a71h = (a51d + 512);
            _mm_storeu_ps(((float  *) a71h), s7H);
            s8H = _mm_sub_ps(t5A, t9A);
            a81h = (a51d + 4608);
            _mm_storeu_ps(((float  *) a81h), s8H);
            s9H = _mm_sub_ps(t6A, t0B);
            a91h = (a51d + 2560);
            _mm_storeu_ps(((float  *) a91h), s9H);
            s0I = _mm_add_ps(t6A, t0B);
            a01i = (a51d + 6656);
            _mm_storeu_ps(((float  *) a01i), s0I);
            s1I = _mm_add_ps(t7A, s5H);
            a11i = (a51d + 1536);
            _mm_storeu_ps(((float  *) a11i), s1I);
            s2I = _mm_sub_ps(t7A, s5H);
            a21i = (a51d + 5632);
            _mm_storeu_ps(((float  *) a21i), s2I);
            s3I = _mm_sub_ps(t8A, s6H);
            a31i = (a51d + 3584);
            _mm_storeu_ps(((float  *) a31i), s3I);
            s4I = _mm_add_ps(t8A, s6H);
            a41i = (a51d + 7680);
            _mm_storeu_ps(((float  *) a41i), s4I);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_rfftinv_float_8192)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
    	return spiral_rfftinv_float_8192_unaligned(pSrc, pDst);
    else {
    const float  *src = (const float *)pSrc; 
    float        *dst = (float *)pDst;
    
    { SPIRAL_ALIGNED(float T[8192]);
     SPIRAL_ALIGNED(float T2[1024]);
    __m128 a02, a05, a06, a0e, a0r, a0u, a13, a15, a16, a1s, a2, a23, a25, a26, a2b, a2c, a2m, a2n, a2o, a2p, a2s, a3
            , a31, a34, a35, a36, a3d, a3q, a3t, a41, a44, a45, a46, a4d, a4q, a4t, a52, a55, a5e, a5r, a62, a65, a6e, a6r
            , a7, a73, a75, a7a, a7b, a7c, a7l, a7m, a7n, a7o, a7p, a7s, a8, a83, a85, a8c, a8p, a8s, a91, a94, a95, a9d
            , a9q, a9t;
    __m128 a010, a014, a015, a017, a018, a01a, a01b, a01f, a01g, a07, a08, a09, a0A, a0C, a0D, a0F, a0G, a0H, a0I, a0J, a0L, a0M
            , a0R, a0S, a0T, a0U, a0X, a0Y, a0a, a0g, a0h, a0l, a0v, a0w, a0x, a0z, a110, a114, a116, a117, a119, a11a, a11c, a11d
            , a11f, a11g, a17, a18, a19, a1A, a1F, a1H, a1J, a1L, a1M, a1S, a1T, a1U, a1X, a1Y, a1a, a1f, a1g, a1h, a1k, a1l
            , a1v, a1w, a1x, a1y, a1z, a215, a216, a218, a219, a21b, a21c, a21d, a21e, a21g, a27, a28, a29, a2C, a2D, a2E, a2F, a2H
            , a2J, a2L, a2M, a2S, a2T, a2U, a2W, a2Y, a2Z, a2a, a2f, a2g, a2h, a2k, a2l, a2v, a2w, a2x, a2y, a314, a315, a317
            , a318, a31a, a31b, a31d, a31e, a31g, a37, a38, a39, a3A, a3B, a3C, a3D, a3E, a3F, a3H, a3J, a3L, a3M, a3Q, a3R, a3S
            , a3T, a3U, a3W, a3Y, a3Z, a3a, a3f, a3g, a3h, a3k, a3l, a3v, a3w, a3x, a413, a414, a416, a417, a419, a41a, a41c, a41d
            , a41e, a47, a48, a49, a4A, a4B, a4E, a4F, a4H, a4J, a4L, a4M, a4Q, a4R, a4S, a4T, a4U, a4W, a4Z, a4a, a4f, a4g
            , a4h, a4k, a4l, a4v, a4w, a4x, a4y, a513, a515, a516, a518, a519, a51b, a51c, a51e, a56, a57, a58, a59, a5D, a5E, a5H
            , a5J, a5L, a5M, a5Q, a5R, a5S, a5T, a5W, a5Z, a5a, a5f, a5g, a5h, a5j, a5k, a5l, a5u, a5v, a5w, a5x, a5y, a614
            , a615, a617, a618, a61a, a61b, a61d, a61f, a66, a67, a68, a69, a6A, a6B, a6D, a6E, a6H, a6J, a6L, a6M, a6Q, a6R, a6S
            , a6T, a6W, a6Z, a6a, a6f, a6g, a6h, a6j, a6k, a6l, a6u, a6v, a6w, a6x, a713, a714, a716, a717, a719, a71a, a71c, a71d
            , a71f, a76, a77, a78, a79, a7A, a7B, a7E, a7H, a7J, a7K, a7L, a7Q, a7R, a7S, a7T, a7W, a7Z, a7f, a7g, a7h, a7j
            , a7k, a7u, a7v, a7w, a7y, a7z, a813, a815, a816, a818, a819, a81b, a81c, a81f, a86, a87, a88, a89, a8D, a8H, a8J, a8K
            , a8L, a8Q, a8R, a8S, a8T, a8W, a8Z, a8f, a8g, a8h, a8j, a8k, a8u, a8v, a8w, a8y, a8z, a914, a915, a917, a918, a91a
            , a91b, a91f, a96, a97, a98, a99, a9B, a9C, a9D, a9E, a9F, a9G, a9H, a9I, a9K, a9L, a9Q, a9R, a9S, a9T, a9W, a9Z
            , a9f, a9g, a9k, a9u, a9v, a9w, b, b2, b3, b4, b5, b6, b7, b8, b9, s, s01, s02, s03, s04, s05, s06
            , s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0G, s0H, s0I, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j
            , s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11, s12, s13, s14, s15, s16
            , s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1F, s1G, s1H, s1I, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j
            , s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24, s25
            , s26, s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2F, s2G, s2H, s2I, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i
            , s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33, s34
            , s35, s36, s37, s38, s39, s3A, s3B, s3C, s3D, s3E, s3F, s3G, s3H, s3I, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h
            , s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43
            , s44, s45, s46, s47, s48, s49, s4A, s4B, s4C, s4D, s4E, s4F, s4G, s4H, s4I, s4a, s4b, s4c, s4d, s4e, s4f, s4g
            , s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51, s52
            , s53, s54, s55, s56, s57, s58, s59, s5A, s5B, s5C, s5D, s5E, s5F, s5G, s5H, s5a, s5b, s5c, s5d, s5e, s5f, s5g
            , s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62
            , s63, s64, s65, s66, s67, s68, s69, s6A, s6B, s6C, s6D, s6E, s6F, s6G, s6H, s6a, s6b, s6c, s6d, s6e, s6f, s6g
            , s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72
            , s73, s74, s75, s76, s77, s78, s79, s7A, s7B, s7C, s7D, s7E, s7F, s7G, s7H, s7a, s7b, s7c, s7d, s7e, s7f, s7g
            , s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y, s7z, s8, s81, s82
            , s83, s84, s85, s86, s87, s88, s89, s8A, s8B, s8C, s8D, s8E, s8F, s8G, s8H, s8a, s8b, s8c, s8d, s8e, s8f, s8g
            , s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x, s8y, s8z, s9, s91, s92
            , s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9C, s9D, s9E, s9F, s9G, s9H, s9a, s9b, s9c, s9d, s9e, s9f, s9g
            , s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y, s9z, t, t01, t02
            , t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m
            , t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t12, t13, t14, t15, t16, t17, t18, t19
            , t1A, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u
            , t1v, t1w, t1x, t1y, t1z, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2a, t2b, t2c, t2d, t2e, t2f
            , t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31
            , t32, t33, t34, t35, t36, t37, t38, t39, t3A, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m
            , t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t42, t43, t44, t45, t46, t47, t48
            , t49, t4A, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t
            , t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5a, t5b, t5c, t5d, t5e
            , t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z, t6
            , t61, t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l
            , t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y, t6z, t7, t71, t72, t73, t74, t75, t76, t77
            , t78, t79, t7A, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s
            , t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8a, t8b, t8c, t8d
            , t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z
            , t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k
            , t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    const __m64  *a0b, *a0c, *a0m, *a0n, *a0o, *a0p, *a11, *a12, *a14, *a1d, *a1e, *a1q, *a1r, *a1t, *a1u, *a32, *a33, *a3b, *a3c, *a3e, *a3m, *a3n
            , *a3o, *a3p, *a3r, *a3s, *a3u, *a4, *a5, *a51, *a53, *a54, *a5b, *a5c, *a5d, *a5m, *a5n, *a5o, *a5p, *a5q, *a5s, *a5t, *a71, *a72
            , *a74, *a7d, *a7e, *a7q, *a7r, *a7t, *a8a, *a8b, *a8l, *a8m, *a8n, *a8o, *a9, *a92, *a93, *a9c, *a9e, *a9p, *a9r, *a9s;
    __m128  *a, *a011, *a012, *a013, *a016, *a019, *a01c, *a01d, *a01e, *a01h, *a01i, *a0B, *a0E, *a0K, *a0N, *a0O, *a0P, *a0Q, *a0V, *a0W, *a0Z, *a0i
            , *a0j, *a0k, *a0y, *a111, *a112, *a113, *a115, *a118, *a11b, *a11e, *a11h, *a11i, *a1B, *a1C, *a1D, *a1E, *a1G, *a1I, *a1K, *a1N, *a1O, *a1P
            , *a1Q, *a1V, *a1W, *a1Z, *a1i, *a1j, *a210, *a211, *a212, *a213, *a214, *a217, *a21a, *a21f, *a21h, *a21i, *a2A, *a2B, *a2G, *a2I, *a2K, *a2N
            , *a2O, *a2P, *a2R, *a2V, *a2X, *a2i, *a2j, *a2z, *a310, *a311, *a312, *a313, *a316, *a319, *a31c, *a31f, *a31h, *a31i, *a3G, *a3I, *a3K, *a3N
            , *a3O, *a3P, *a3V, *a3X, *a3i, *a3j, *a3y, *a3z, *a410, *a411, *a412, *a415, *a418, *a41b, *a41f, *a41g, *a41h, *a41i, *a4C, *a4D, *a4G, *a4I
            , *a4K, *a4N, *a4O, *a4P, *a4V, *a4X, *a4Y, *a4i, *a4z, *a510, *a511, *a512, *a514, *a517, *a51a, *a51d, *a51f, *a51g, *a51h, *a5A, *a5B, *a5C
            , *a5F, *a5G, *a5I, *a5K, *a5N, *a5O, *a5P, *a5U, *a5V, *a5X, *a5Y, *a5i, *a5z, *a610, *a611, *a612, *a613, *a616, *a619, *a61c, *a61e, *a61g
            , *a61h, *a6C, *a6F, *a6G, *a6I, *a6K, *a6N, *a6O, *a6P, *a6U, *a6V, *a6X, *a6Y, *a6i, *a6y, *a6z, *a710, *a711, *a712, *a715, *a718, *a71b
            , *a71e, *a71g, *a71h, *a7C, *a7D, *a7F, *a7G, *a7I, *a7M, *a7N, *a7O, *a7P, *a7U, *a7V, *a7X, *a7Y, *a7i, *a7x, *a810, *a811, *a812, *a814
            , *a817, *a81a, *a81d, *a81e, *a81g, *a81h, *a8A, *a8B, *a8C, *a8E, *a8F, *a8G, *a8I, *a8M, *a8N, *a8O, *a8P, *a8U, *a8V, *a8X, *a8Y, *a8i
            , *a8x, *a910, *a911, *a912, *a913, *a916, *a919, *a91c, *a91d, *a91e, *a91h, *a9A, *a9J, *a9M, *a9N, *a9O, *a9P, *a9U, *a9V, *a9X, *a9Y, *a9h
            , *a9i, *a9x, *a9y, *a9z, *b21, *b31, *b41, *b51, *b61, *b71;
    const float  *a01, *a03, *a04, *a0d, *a0f, *a0q, *a0s, *a0t, *a1b, *a1c, *a1m, *a1n, *a1o, *a1p, *a21, *a22, *a24, *a2d, *a2e, *a2q, *a2r, *a2t
            , *a2u, *a42, *a43, *a4b, *a4c, *a4e, *a4m, *a4n, *a4o, *a4p, *a4r, *a4s, *a4u, *a6, *a61, *a63, *a64, *a6b, *a6c, *a6d, *a6m, *a6n
            , *a6o, *a6p, *a6q, *a6s, *a6t, *a81, *a82, *a84, *a8d, *a8e, *a8q, *a8r, *a8t, *a9a, *a9b, *a9l, *a9m, *a9n, *a9o, *b01, *b11;
    int a1R, a2Q, a4j, a91g, a9j;
    a4 = ((const __m64  *) src);
    a3 = _mm_loadl_pi(_mm_set1_ps(0.0f), a4);
    a6 = (src + 512);
    a5 = ((const __m64  *) a6);
    a2 = _mm_loadh_pi(a3, a5);
    s = _mm_mul_ps(_mm_set_ps(2.0f, 2.0f, 1.0f, 1.0f), a2);
    a01 = (src + 1024);
    a9 = ((const __m64  *) a01);
    a8 = _mm_loadl_pi(_mm_set1_ps(0.0f), a9);
    a21 = (src + 1536);
    a11 = ((const __m64  *) a21);
    a7 = _mm_loadh_pi(a8, a11);
    s2 = _mm_mul_ps(_mm_set1_ps(2.0f), a7);
    a61 = (src + 2048);
    a51 = ((const __m64  *) a61);
    a41 = _mm_loadl_pi(_mm_set1_ps(0.0f), a51);
    a81 = (src + 2560);
    a71 = ((const __m64  *) a81);
    a31 = _mm_loadh_pi(a41, a71);
    s3 = _mm_mul_ps(_mm_set1_ps(2.0f), a31);
    a22 = (src + 3072);
    a12 = ((const __m64  *) a22);
    a02 = _mm_loadl_pi(_mm_set1_ps(0.0f), a12);
    a42 = (src + 3584);
    a32 = ((const __m64  *) a42);
    a91 = _mm_loadh_pi(a02, a32);
    s4 = _mm_mul_ps(_mm_set1_ps(2.0f), a91);
    a82 = (src + 4096);
    a72 = ((const __m64  *) a82);
    a62 = _mm_loadl_pi(_mm_set1_ps(0.0f), a72);
    a03 = (src + 4608);
    a92 = ((const __m64  *) a03);
    a52 = _mm_loadh_pi(a62, a92);
    s5 = _mm_mul_ps(_mm_set1_ps(2.0f), a52);
    a43 = (src + 5120);
    a33 = ((const __m64  *) a43);
    a23 = _mm_loadl_pi(_mm_set1_ps(0.0f), a33);
    a63 = (src + 5632);
    a53 = ((const __m64  *) a63);
    a13 = _mm_loadh_pi(a23, a53);
    s6 = _mm_mul_ps(_mm_set1_ps(2.0f), a13);
    a04 = (src + 6144);
    a93 = ((const __m64  *) a04);
    a83 = _mm_loadl_pi(_mm_set1_ps(0.0f), a93);
    a24 = (src + 6656);
    a14 = ((const __m64  *) a24);
    a73 = _mm_loadh_pi(a83, a14);
    s7 = _mm_mul_ps(_mm_set1_ps(2.0f), a73);
    a64 = (src + 7168);
    a54 = ((const __m64  *) a64);
    a44 = _mm_loadl_pi(_mm_set1_ps(0.0f), a54);
    a84 = (src + 7680);
    a74 = ((const __m64  *) a84);
    a34 = _mm_loadh_pi(a44, a74);
    s8 = _mm_mul_ps(_mm_set1_ps(2.0f), a34);
    a94 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s9 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a94);
    a05 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s01 = _mm_mul_ps(_mm_set_ps(0.5f, 0.5f, 0.5f, 1.0f), a05);
    a15 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(2, 0, 2, 0));
    s11 = _mm_mul_ps(_mm_set1_ps(0.5f), a15);
    a25 = _mm_shuffle_ps(s3, s4, _MM_SHUFFLE(3, 1, 3, 1));
    s21 = _mm_mul_ps(_mm_set1_ps(0.5f), a25);
    a35 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s31 = _mm_mul_ps(_mm_set1_ps(0.5f), a35);
    a45 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    s41 = _mm_mul_ps(_mm_set1_ps(0.5f), a45);
    a55 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(2, 0, 2, 0));
    s51 = _mm_mul_ps(_mm_set1_ps(0.5f), a55);
    a65 = _mm_shuffle_ps(s7, s8, _MM_SHUFFLE(3, 1, 3, 1));
    s61 = _mm_mul_ps(_mm_set1_ps(0.5f), a65);
    a75 = _mm_shuffle_ps(s51, s31, _MM_SHUFFLE(3, 2, 1, 0));
    s71 = _mm_shuffle_ps(a75, s31, _MM_SHUFFLE(1, 2, 3, 0));
    a85 = _mm_shuffle_ps(s31, s11, _MM_SHUFFLE(3, 2, 1, 0));
    s81 = _mm_shuffle_ps(a85, s11, _MM_SHUFFLE(1, 2, 3, 0));
    a95 = _mm_shuffle_ps(s11, s9, _MM_SHUFFLE(3, 2, 1, 0));
    s91 = _mm_shuffle_ps(a95, s9, _MM_SHUFFLE(1, 2, 3, 0));
    a06 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s51, _MM_SHUFFLE(3, 2, 1, 0));
    s02 = _mm_shuffle_ps(a06, s51, _MM_SHUFFLE(1, 2, 3, 0));
    a16 = _mm_shuffle_ps(s61, s41, _MM_SHUFFLE(3, 2, 1, 0));
    s12 = _mm_shuffle_ps(a16, s41, _MM_SHUFFLE(1, 2, 3, 0));
    a26 = _mm_shuffle_ps(s41, s21, _MM_SHUFFLE(3, 2, 1, 0));
    s22 = _mm_shuffle_ps(a26, s21, _MM_SHUFFLE(1, 2, 3, 0));
    a36 = _mm_shuffle_ps(s21, s01, _MM_SHUFFLE(3, 2, 1, 0));
    s32 = _mm_shuffle_ps(a36, s01, _MM_SHUFFLE(1, 2, 3, 0));
    a46 = _mm_shuffle_ps(_mm_set1_ps(0.0f), s61, _MM_SHUFFLE(3, 2, 1, 0));
    s42 = _mm_shuffle_ps(a46, s61, _MM_SHUFFLE(1, 2, 3, 0));
    a66 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s9);
    a76 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s01);
    a56 = _mm_add_ps(a66, a76);
    s52 = _mm_sub_ps(a56, s02);
    a86 = _mm_mul_ps(_mm_set_ps(0.0f, 0.0f, 0.0f, 1.0f), s9);
    a96 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, 0.0f), s01);
    b = _mm_add_ps(a86, a96);
    s62 = _mm_add_ps(b, s42);
    s72 = _mm_sub_ps(s11, s71);
    s82 = _mm_add_ps(s21, s12);
    s92 = _mm_sub_ps(s31, s81);
    s03 = _mm_add_ps(s41, s22);
    s13 = _mm_sub_ps(s51, s91);
    s23 = _mm_add_ps(s61, s32);
    a17 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s52);
    a27 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s62);
    a07 = _mm_sub_ps(a17, a27);
    b2 = _mm_add_ps(s9, s02);
    s33 = _mm_add_ps(b2, a07);
    a47 = _mm_mul_ps(_mm_set_ps(1.0f, 1.0f, 1.0f, (-1.0f)), s01);
    a37 = _mm_sub_ps(a47, s42);
    a57 = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 0.0f), s52);
    a67 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 1.0f), s62);
    b3 = _mm_add_ps(a37, a57);
    s43 = _mm_add_ps(b3, a67);
    a87 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s72);
    a97 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s82);
    a77 = _mm_sub_ps(a87, a97);
    b4 = _mm_add_ps(s11, s71);
    s53 = _mm_add_ps(b4, a77);
    a08 = _mm_sub_ps(s21, s12);
    a18 = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.38268343236508978f, 0.55557023301960218f, 0.70710678118654757f), s72);
    a28 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s82);
    b5 = _mm_add_ps(a08, a18);
    s63 = _mm_add_ps(b5, a28);
    a48 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s92);
    a58 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s03);
    a38 = _mm_sub_ps(a48, a58);
    b6 = _mm_add_ps(s31, s81);
    s73 = _mm_add_ps(b6, a38);
    a68 = _mm_sub_ps(s41, s22);
    a78 = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.38268343236508978f), (-0.19509032201612828f), 0.0f), s92);
    a88 = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), (-0.92387953251128674f), (-0.98078528040323043f), (-1.0f)), s03);
    b7 = _mm_add_ps(a68, a78);
    s83 = _mm_add_ps(b7, a88);
    a09 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s13);
    a19 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s23);
    a98 = _mm_sub_ps(a09, a19);
    b8 = _mm_add_ps(s51, s91);
    s93 = _mm_add_ps(b8, a98);
    a29 = _mm_sub_ps(s61, s32);
    a39 = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.92387953251128674f), (-0.83146961230254524f), (-0.70710678118654757f)), s13);
    a49 = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), (-0.38268343236508978f), (-0.55557023301960218f), (-0.70710678118654757f)), s23);
    b9 = _mm_add_ps(a29, a39);
    s04 = _mm_add_ps(b9, a49);
    t = _mm_add_ps(s33, s73);
    t2 = _mm_add_ps(s43, s83);
    t3 = _mm_sub_ps(s33, s73);
    t4 = _mm_sub_ps(s43, s83);
    t5 = _mm_add_ps(s53, s93);
    t6 = _mm_add_ps(s63, s04);
    t7 = _mm_sub_ps(s53, s93);
    t8 = _mm_sub_ps(s63, s04);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s14 = _mm_unpacklo_ps(t9, t31);
    s24 = _mm_unpackhi_ps(t9, t31);
    s34 = _mm_unpacklo_ps(t01, t41);
    s44 = _mm_unpackhi_ps(t01, t41);
    s54 = _mm_unpacklo_ps(t11, t51);
    s64 = _mm_unpackhi_ps(t11, t51);
    s74 = _mm_unpacklo_ps(t21, t61);
    s84 = _mm_unpackhi_ps(t21, t61);
    s94 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(1, 0, 1, 0));
    s05 = _mm_shuffle_ps(s14, s54, _MM_SHUFFLE(3, 2, 3, 2));
    s15 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(1, 0, 1, 0));
    s25 = _mm_shuffle_ps(s24, s64, _MM_SHUFFLE(3, 2, 3, 2));
    s35 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(1, 0, 1, 0));
    s45 = _mm_shuffle_ps(s34, s74, _MM_SHUFFLE(3, 2, 3, 2));
    s55 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(1, 0, 1, 0));
    s65 = _mm_shuffle_ps(s44, s84, _MM_SHUFFLE(3, 2, 3, 2));
    a59 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s15);
    a69 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s55);
    s75 = _mm_sub_ps(a59, a69);
    a79 = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s15);
    a89 = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s55);
    s85 = _mm_add_ps(a79, a89);
    t71 = _mm_add_ps(s94, s75);
    t81 = _mm_add_ps(s35, s85);
    t91 = _mm_sub_ps(s94, s75);
    t02 = _mm_sub_ps(s35, s85);
    a99 = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s05);
    a0a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s45);
    s95 = _mm_sub_ps(a99, a0a);
    a1a = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s05);
    a2a = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s45);
    s06 = _mm_add_ps(a1a, a2a);
    a3a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s25);
    a4a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s65);
    s16 = _mm_sub_ps(a3a, a4a);
    a5a = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s25);
    a6a = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s65);
    s26 = _mm_add_ps(a5a, a6a);
    t12 = _mm_add_ps(s95, s16);
    t22 = _mm_add_ps(s06, s26);
    t32 = _mm_sub_ps(s95, s16);
    t42 = _mm_sub_ps(s06, s26);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s36 = _mm_unpacklo_ps(t52, t62);
    s46 = _mm_unpackhi_ps(t52, t62);
    s56 = _mm_unpacklo_ps(t72, t82);
    s66 = _mm_unpackhi_ps(t72, t82);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s76 = _mm_unpacklo_ps(t92, t03);
    s86 = _mm_unpackhi_ps(t92, t03);
    s96 = _mm_unpacklo_ps(t13, t23);
    s07 = _mm_unpackhi_ps(t13, t23);
    a9a = (src + 256);
    a8a = ((const __m64  *) a9a);
    a7a = _mm_loadl_pi(_mm_set1_ps(0.0f), a8a);
    a1b = (src + 1280);
    a0b = ((const __m64  *) a1b);
    s17 = _mm_loadh_pi(a7a, a0b);
    a4b = (src + 2304);
    a3b = ((const __m64  *) a4b);
    a2b = _mm_loadl_pi(_mm_set1_ps(0.0f), a3b);
    a6b = (src + 3328);
    a5b = ((const __m64  *) a6b);
    s27 = _mm_loadh_pi(a2b, a5b);
    a9b = (src + 4352);
    a8b = ((const __m64  *) a9b);
    a7b = _mm_loadl_pi(_mm_set1_ps(0.0f), a8b);
    a1c = (src + 5376);
    a0c = ((const __m64  *) a1c);
    s37 = _mm_loadh_pi(a7b, a0c);
    a4c = (src + 6400);
    a3c = ((const __m64  *) a4c);
    a2c = _mm_loadl_pi(_mm_set1_ps(0.0f), a3c);
    a6c = (src + 7424);
    a5c = ((const __m64  *) a6c);
    s47 = _mm_loadh_pi(a2c, a5c);
    a0d = (src + 7936);
    a9c = ((const __m64  *) a0d);
    a8c = _mm_loadl_pi(_mm_set1_ps(0.0f), a9c);
    a2d = (src + 6912);
    a1d = ((const __m64  *) a2d);
    a7c = _mm_loadh_pi(a8c, a1d);
    s57 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7c);
    a6d = (src + 5888);
    a5d = ((const __m64  *) a6d);
    a4d = _mm_loadl_pi(_mm_set1_ps(0.0f), a5d);
    a8d = (src + 4864);
    a7d = ((const __m64  *) a8d);
    a3d = _mm_loadh_pi(a4d, a7d);
    s67 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3d);
    a2e = (src + 3840);
    a1e = ((const __m64  *) a2e);
    a0e = _mm_loadl_pi(_mm_set1_ps(0.0f), a1e);
    a4e = (src + 2816);
    a3e = ((const __m64  *) a4e);
    a9d = _mm_loadh_pi(a0e, a3e);
    s77 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9d);
    a8e = (src + 1792);
    a7e = ((const __m64  *) a8e);
    a6e = _mm_loadl_pi(_mm_set1_ps(0.0f), a7e);
    a0f = (src + 768);
    a9e = ((const __m64  *) a0f);
    a5e = _mm_loadh_pi(a6e, a9e);
    s87 = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5e);
    s97 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(2, 0, 2, 0));
    s08 = _mm_shuffle_ps(s17, s27, _MM_SHUFFLE(3, 1, 3, 1));
    s18 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(2, 0, 2, 0));
    s28 = _mm_shuffle_ps(s57, s67, _MM_SHUFFLE(3, 1, 3, 1));
    t33 = _mm_add_ps(s97, s18);
    t43 = _mm_add_ps(s08, s28);
    t53 = _mm_sub_ps(s97, s18);
    t63 = _mm_sub_ps(s08, s28);
    s38 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(2, 0, 2, 0));
    s48 = _mm_shuffle_ps(s37, s47, _MM_SHUFFLE(3, 1, 3, 1));
    s58 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(2, 0, 2, 0));
    s68 = _mm_shuffle_ps(s77, s87, _MM_SHUFFLE(3, 1, 3, 1));
    t73 = _mm_add_ps(s38, s58);
    t83 = _mm_add_ps(s48, s68);
    t93 = _mm_sub_ps(s38, s58);
    t04 = _mm_sub_ps(s48, s68);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s78 = _mm_unpacklo_ps(t14, t54);
    s88 = _mm_unpackhi_ps(t14, t54);
    s98 = _mm_unpacklo_ps(t24, t64);
    s09 = _mm_unpackhi_ps(t24, t64);
    s19 = _mm_unpacklo_ps(t34, t74);
    s29 = _mm_unpackhi_ps(t34, t74);
    s39 = _mm_unpacklo_ps(t44, t84);
    s49 = _mm_unpackhi_ps(t44, t84);
    s59 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(1, 0, 1, 0));
    s69 = _mm_shuffle_ps(s78, s19, _MM_SHUFFLE(3, 2, 3, 2));
    s79 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(1, 0, 1, 0));
    s89 = _mm_shuffle_ps(s88, s29, _MM_SHUFFLE(3, 2, 3, 2));
    s99 = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(1, 0, 1, 0));
    s0a = _mm_shuffle_ps(s98, s39, _MM_SHUFFLE(3, 2, 3, 2));
    s1a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(1, 0, 1, 0));
    s2a = _mm_shuffle_ps(s09, s49, _MM_SHUFFLE(3, 2, 3, 2));
    a1f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s79);
    a2f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s1a);
    s3a = _mm_sub_ps(a1f, a2f);
    a3f = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s79);
    a4f = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s1a);
    s4a = _mm_add_ps(a3f, a4f);
    t94 = _mm_add_ps(s59, s3a);
    t05 = _mm_add_ps(s99, s4a);
    t15 = _mm_sub_ps(s59, s3a);
    t25 = _mm_sub_ps(s99, s4a);
    a5f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s69);
    a6f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s0a);
    s5a = _mm_sub_ps(a5f, a6f);
    a7f = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s69);
    a8f = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s0a);
    s6a = _mm_add_ps(a7f, a8f);
    a9f = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s89);
    a0g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s2a);
    s7a = _mm_sub_ps(a9f, a0g);
    a1g = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s89);
    a2g = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s2a);
    s8a = _mm_add_ps(a1g, a2g);
    t35 = _mm_add_ps(s5a, s7a);
    t45 = _mm_add_ps(s6a, s8a);
    t55 = _mm_sub_ps(s5a, s7a);
    t65 = _mm_sub_ps(s6a, s8a);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a3g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t75);
    a4g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t85);
    s9a = _mm_sub_ps(a3g, a4g);
    a5g = _mm_mul_ps(_mm_set_ps(0.58056935450892477f, 0.39018064403225655f, 0.19603428065912121f, 0.0f), t75);
    a6g = _mm_mul_ps(_mm_set_ps(1.9138806714644176f, 1.9615705608064609f, 1.9903694533443939f, 2.0f), t85);
    s0b = _mm_add_ps(a5g, a6g);
    a7g = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t95);
    a8g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t06);
    s1b = _mm_sub_ps(a7g, a8g);
    a9g = _mm_mul_ps(_mm_set_ps(1.7638425286967101f, 1.6629392246050905f, 1.546020906725474f, 1.4142135623730951f), t95);
    a0h = _mm_mul_ps(_mm_set_ps(0.94279347365199528f, 1.1111404660392044f, 1.268786568327291f, 1.4142135623730951f), t06);
    s2b = _mm_add_ps(a9g, a0h);
    t16 = _mm_sub_ps(t15, t65);
    t26 = _mm_add_ps(t25, t55);
    t36 = _mm_add_ps(t15, t65);
    t46 = _mm_sub_ps(t25, t55);
    a1h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t16);
    a2h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t26);
    s3b = _mm_sub_ps(a1h, a2h);
    a3h = _mm_mul_ps(_mm_set_ps(1.268786568327291f, 1.1111404660392044f, 0.94279347365199528f, 0.76536686473017956f), t16);
    a4h = _mm_mul_ps(_mm_set_ps(1.546020906725474f, 1.6629392246050905f, 1.7638425286967101f, 1.8477590650225735f), t26);
    s4b = _mm_add_ps(a3h, a4h);
    a5h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t36);
    a6h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t46);
    s5b = _mm_sub_ps(a5h, a6h);
    a7h = _mm_mul_ps(_mm_set_ps(1.9903694533443939f, 1.9615705608064609f, 1.9138806714644176f, 1.8477590650225735f), t36);
    a8h = _mm_mul_ps(_mm_set_ps(0.19603428065912121f, 0.39018064403225655f, 0.58056935450892477f, 0.76536686473017956f), t46);
    s6b = _mm_add_ps(a7h, a8h);
    a = ((__m128  *) T);
    s7b = _mm_add_ps(s36, s9a);
    *(a) = s7b;
    s8b = _mm_sub_ps(s36, s9a);
    a9h = (a + 8);
    *(a9h) = s8b;
    s9b = _mm_sub_ps(s56, s0b);
    a0i = (a + 4);
    *(a0i) = s9b;
    s0c = _mm_add_ps(s56, s0b);
    a1i = (a + 12);
    *(a1i) = s0c;
    s1c = _mm_add_ps(s46, s3b);
    a2i = (a + 1);
    *(a2i) = s1c;
    s2c = _mm_sub_ps(s46, s3b);
    a3i = (a + 9);
    *(a3i) = s2c;
    s3c = _mm_sub_ps(s66, s4b);
    a4i = (a + 5);
    *(a4i) = s3c;
    s4c = _mm_add_ps(s66, s4b);
    a5i = (a + 13);
    *(a5i) = s4c;
    s5c = _mm_add_ps(s76, s1b);
    a6i = (a + 2);
    *(a6i) = s5c;
    s6c = _mm_sub_ps(s76, s1b);
    a7i = (a + 10);
    *(a7i) = s6c;
    s7c = _mm_sub_ps(s96, s2b);
    a8i = (a + 6);
    *(a8i) = s7c;
    s8c = _mm_add_ps(s96, s2b);
    a9i = (a + 14);
    *(a9i) = s8c;
    s9c = _mm_add_ps(s86, s5b);
    a0j = (a + 3);
    *(a0j) = s9c;
    s0d = _mm_sub_ps(s86, s5b);
    a1j = (a + 11);
    *(a1j) = s0d;
    s1d = _mm_sub_ps(s07, s6b);
    a2j = (a + 7);
    *(a2j) = s1d;
    s2d = _mm_add_ps(s07, s6b);
    a3j = (a + 15);
    *(a3j) = s2d;
    {long i; for(i = 0; i <= 126; i++) {
        a4j = (2 * i);
        b01 = (src + a4j);
        a9l = (b01 + 2);
        a8l = ((const __m64  *) a9l);
        a7l = _mm_loadl_pi(_mm_set1_ps(0.0f), a8l);
        a1m = (b01 + 514);
        a0m = ((const __m64  *) a1m);
        s3d = _mm_loadh_pi(a7l, a0m);
        a4m = (b01 + 1026);
        a3m = ((const __m64  *) a4m);
        a2m = _mm_loadl_pi(_mm_set1_ps(0.0f), a3m);
        a6m = (b01 + 1538);
        a5m = ((const __m64  *) a6m);
        s4d = _mm_loadh_pi(a2m, a5m);
        a9m = (b01 + 2050);
        a8m = ((const __m64  *) a9m);
        a7m = _mm_loadl_pi(_mm_set1_ps(0.0f), a8m);
        a1n = (b01 + 2562);
        a0n = ((const __m64  *) a1n);
        s5d = _mm_loadh_pi(a7m, a0n);
        a4n = (b01 + 3074);
        a3n = ((const __m64  *) a4n);
        a2n = _mm_loadl_pi(_mm_set1_ps(0.0f), a3n);
        a6n = (b01 + 3586);
        a5n = ((const __m64  *) a6n);
        s6d = _mm_loadh_pi(a2n, a5n);
        a9n = (b01 + 4098);
        a8n = ((const __m64  *) a9n);
        a7n = _mm_loadl_pi(_mm_set1_ps(0.0f), a8n);
        a1o = (b01 + 4610);
        a0o = ((const __m64  *) a1o);
        s7d = _mm_loadh_pi(a7n, a0o);
        a4o = (b01 + 5122);
        a3o = ((const __m64  *) a4o);
        a2o = _mm_loadl_pi(_mm_set1_ps(0.0f), a3o);
        a6o = (b01 + 5634);
        a5o = ((const __m64  *) a6o);
        s8d = _mm_loadh_pi(a2o, a5o);
        a9o = (b01 + 6146);
        a8o = ((const __m64  *) a9o);
        a7o = _mm_loadl_pi(_mm_set1_ps(0.0f), a8o);
        a1p = (b01 + 6658);
        a0p = ((const __m64  *) a1p);
        s9d = _mm_loadh_pi(a7o, a0p);
        a4p = (b01 + 7170);
        a3p = ((const __m64  *) a4p);
        a2p = _mm_loadl_pi(_mm_set1_ps(0.0f), a3p);
        a6p = (b01 + 7682);
        a5p = ((const __m64  *) a6p);
        s0e = _mm_loadh_pi(a2p, a5p);
        b11 = (src - a4j);
        a0q = (b11 + 8190);
        a9p = ((const __m64  *) a0q);
        a8p = _mm_loadl_pi(_mm_set1_ps(0.0f), a9p);
        a2q = (b11 + 7678);
        a1q = ((const __m64  *) a2q);
        a7p = _mm_loadh_pi(a8p, a1q);
        s1e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7p);
        a6q = (b11 + 7166);
        a5q = ((const __m64  *) a6q);
        a4q = _mm_loadl_pi(_mm_set1_ps(0.0f), a5q);
        a8q = (b11 + 6654);
        a7q = ((const __m64  *) a8q);
        a3q = _mm_loadh_pi(a4q, a7q);
        s2e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3q);
        a2r = (b11 + 6142);
        a1r = ((const __m64  *) a2r);
        a0r = _mm_loadl_pi(_mm_set1_ps(0.0f), a1r);
        a4r = (b11 + 5630);
        a3r = ((const __m64  *) a4r);
        a9q = _mm_loadh_pi(a0r, a3r);
        s3e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9q);
        a8r = (b11 + 5118);
        a7r = ((const __m64  *) a8r);
        a6r = _mm_loadl_pi(_mm_set1_ps(0.0f), a7r);
        a0s = (b11 + 4606);
        a9r = ((const __m64  *) a0s);
        a5r = _mm_loadh_pi(a6r, a9r);
        s4e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a5r);
        a4s = (b11 + 4094);
        a3s = ((const __m64  *) a4s);
        a2s = _mm_loadl_pi(_mm_set1_ps(0.0f), a3s);
        a6s = (b11 + 3582);
        a5s = ((const __m64  *) a6s);
        a1s = _mm_loadh_pi(a2s, a5s);
        s5e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a1s);
        a0t = (b11 + 3070);
        a9s = ((const __m64  *) a0t);
        a8s = _mm_loadl_pi(_mm_set1_ps(0.0f), a9s);
        a2t = (b11 + 2558);
        a1t = ((const __m64  *) a2t);
        a7s = _mm_loadh_pi(a8s, a1t);
        s6e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a7s);
        a6t = (b11 + 2046);
        a5t = ((const __m64  *) a6t);
        a4t = _mm_loadl_pi(_mm_set1_ps(0.0f), a5t);
        a8t = (b11 + 1534);
        a7t = ((const __m64  *) a8t);
        a3t = _mm_loadh_pi(a4t, a7t);
        s7e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a3t);
        a2u = (b11 + 1022);
        a1u = ((const __m64  *) a2u);
        a0u = _mm_loadl_pi(_mm_set1_ps(0.0f), a1u);
        a4u = (b11 + 510);
        a3u = ((const __m64  *) a4u);
        a9t = _mm_loadh_pi(a0u, a3u);
        s8e = _mm_mul_ps(_mm_set_ps((-1.0f), 1.0f, (-1.0f), 1.0f), a9t);
        s9e = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(2, 0, 2, 0));
        s0f = _mm_shuffle_ps(s3d, s4d, _MM_SHUFFLE(3, 1, 3, 1));
        s1f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(2, 0, 2, 0));
        s2f = _mm_shuffle_ps(s1e, s2e, _MM_SHUFFLE(3, 1, 3, 1));
        t56 = _mm_add_ps(s9e, s1f);
        t66 = _mm_add_ps(s0f, s2f);
        t76 = _mm_sub_ps(s9e, s1f);
        t86 = _mm_sub_ps(s0f, s2f);
        s3f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(2, 0, 2, 0));
        s4f = _mm_shuffle_ps(s7d, s8d, _MM_SHUFFLE(3, 1, 3, 1));
        s5f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(2, 0, 2, 0));
        s6f = _mm_shuffle_ps(s5e, s6e, _MM_SHUFFLE(3, 1, 3, 1));
        t96 = _mm_add_ps(s3f, s5f);
        t07 = _mm_add_ps(s4f, s6f);
        t17 = _mm_sub_ps(s3f, s5f);
        t27 = _mm_sub_ps(s4f, s6f);
        t37 = _mm_add_ps(t56, t96);
        t47 = _mm_add_ps(t66, t07);
        t57 = _mm_sub_ps(t56, t96);
        t67 = _mm_sub_ps(t66, t07);
        t77 = _mm_sub_ps(t76, t27);
        t87 = _mm_add_ps(t86, t17);
        t97 = _mm_add_ps(t76, t27);
        t08 = _mm_sub_ps(t86, t17);
        s7f = _mm_unpacklo_ps(t37, t77);
        s8f = _mm_unpackhi_ps(t37, t77);
        s9f = _mm_unpacklo_ps(t47, t87);
        s0g = _mm_unpackhi_ps(t47, t87);
        s1g = _mm_unpacklo_ps(t57, t97);
        s2g = _mm_unpackhi_ps(t57, t97);
        s3g = _mm_unpacklo_ps(t67, t08);
        s4g = _mm_unpackhi_ps(t67, t08);
        s5g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(1, 0, 1, 0));
        s6g = _mm_shuffle_ps(s7f, s1g, _MM_SHUFFLE(3, 2, 3, 2));
        s7g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(1, 0, 1, 0));
        s8g = _mm_shuffle_ps(s8f, s2g, _MM_SHUFFLE(3, 2, 3, 2));
        s9g = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(1, 0, 1, 0));
        s0h = _mm_shuffle_ps(s9f, s3g, _MM_SHUFFLE(3, 2, 3, 2));
        s1h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(1, 0, 1, 0));
        s2h = _mm_shuffle_ps(s0g, s4g, _MM_SHUFFLE(3, 2, 3, 2));
        s3h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(2, 0, 2, 0));
        s4h = _mm_shuffle_ps(s5d, s6d, _MM_SHUFFLE(3, 1, 3, 1));
        s5h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(2, 0, 2, 0));
        s6h = _mm_shuffle_ps(s3e, s4e, _MM_SHUFFLE(3, 1, 3, 1));
        t18 = _mm_add_ps(s3h, s5h);
        t28 = _mm_add_ps(s4h, s6h);
        t38 = _mm_sub_ps(s3h, s5h);
        t48 = _mm_sub_ps(s4h, s6h);
        s7h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(2, 0, 2, 0));
        s8h = _mm_shuffle_ps(s9d, s0e, _MM_SHUFFLE(3, 1, 3, 1));
        s9h = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(2, 0, 2, 0));
        s0i = _mm_shuffle_ps(s7e, s8e, _MM_SHUFFLE(3, 1, 3, 1));
        t58 = _mm_add_ps(s7h, s9h);
        t68 = _mm_add_ps(s8h, s0i);
        t78 = _mm_sub_ps(s7h, s9h);
        t88 = _mm_sub_ps(s8h, s0i);
        t98 = _mm_add_ps(t18, t58);
        t09 = _mm_add_ps(t28, t68);
        t19 = _mm_sub_ps(t18, t58);
        t29 = _mm_sub_ps(t28, t68);
        t39 = _mm_sub_ps(t38, t88);
        t49 = _mm_add_ps(t48, t78);
        t59 = _mm_add_ps(t38, t88);
        t69 = _mm_sub_ps(t48, t78);
        s1i = _mm_unpacklo_ps(t98, t39);
        s2i = _mm_unpackhi_ps(t98, t39);
        s3i = _mm_unpacklo_ps(t09, t49);
        s4i = _mm_unpackhi_ps(t09, t49);
        s5i = _mm_unpacklo_ps(t19, t59);
        s6i = _mm_unpackhi_ps(t19, t59);
        s7i = _mm_unpacklo_ps(t29, t69);
        s8i = _mm_unpackhi_ps(t29, t69);
        s9i = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(1, 0, 1, 0));
        s0j = _mm_shuffle_ps(s1i, s5i, _MM_SHUFFLE(3, 2, 3, 2));
        s1j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(1, 0, 1, 0));
        s2j = _mm_shuffle_ps(s2i, s6i, _MM_SHUFFLE(3, 2, 3, 2));
        s3j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(1, 0, 1, 0));
        s4j = _mm_shuffle_ps(s3i, s7i, _MM_SHUFFLE(3, 2, 3, 2));
        s5j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(1, 0, 1, 0));
        s6j = _mm_shuffle_ps(s4i, s8i, _MM_SHUFFLE(3, 2, 3, 2));
        a5u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s9i);
        a6u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s3j);
        s7j = _mm_sub_ps(a5u, a6u);
        a7u = _mm_mul_ps(_mm_set_ps(0.70710678118654757f, 1.0f, 0.70710678118654757f, 0.0f), s9i);
        a8u = _mm_mul_ps(_mm_set_ps((-0.70710678118654757f), 0.0f, 0.70710678118654757f, 1.0f), s3j);
        s8j = _mm_add_ps(a7u, a8u);
        t79 = _mm_add_ps(s5g, s7j);
        t89 = _mm_add_ps(s9g, s8j);
        t99 = _mm_sub_ps(s5g, s7j);
        t0a = _mm_sub_ps(s9g, s8j);
        a9u = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s7g);
        a0v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s1h);
        s9j = _mm_sub_ps(a9u, a0v);
        a1v = _mm_mul_ps(_mm_set_ps(0.92387953251128674f, 0.70710678118654757f, 0.38268343236508978f, 0.0f), s7g);
        a2v = _mm_mul_ps(_mm_set_ps(0.38268343236508978f, 0.70710678118654757f, 0.92387953251128674f, 1.0f), s1h);
        s0k = _mm_add_ps(a1v, a2v);
        a3v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s1j);
        a4v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s5j);
        s1k = _mm_sub_ps(a3v, a4v);
        a5v = _mm_mul_ps(_mm_set_ps((-0.38268343236508978f), 0.70710678118654757f, 0.92387953251128674f, 0.0f), s1j);
        a6v = _mm_mul_ps(_mm_set_ps((-0.92387953251128674f), (-0.70710678118654757f), 0.38268343236508978f, 1.0f), s5j);
        s2k = _mm_add_ps(a5v, a6v);
        t1a = _mm_add_ps(s9j, s1k);
        t2a = _mm_add_ps(s0k, s2k);
        t3a = _mm_sub_ps(s9j, s1k);
        t4a = _mm_sub_ps(s0k, s2k);
        t5a = _mm_add_ps(t79, t1a);
        t6a = _mm_add_ps(t89, t2a);
        t7a = _mm_sub_ps(t79, t1a);
        t8a = _mm_sub_ps(t89, t2a);
        t9a = _mm_sub_ps(t99, t4a);
        t0b = _mm_add_ps(t0a, t3a);
        t1b = _mm_add_ps(t99, t4a);
        t2b = _mm_sub_ps(t0a, t3a);
        a7v = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s6g);
        a8v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s0h);
        s3k = _mm_sub_ps(a7v, a8v);
        a9v = _mm_mul_ps(_mm_set_ps(0.55557023301960218f, 0.38268343236508978f, 0.19509032201612828f, 0.0f), s6g);
        a0w = _mm_mul_ps(_mm_set_ps(0.83146961230254524f, 0.92387953251128674f, 0.98078528040323043f, 1.0f), s0h);
        s4k = _mm_add_ps(a9v, a0w);
        a1w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s0j);
        a2w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s4j);
        s5k = _mm_sub_ps(a1w, a2w);
        a3w = _mm_mul_ps(_mm_set_ps(0.19509032201612828f, 0.92387953251128674f, 0.83146961230254524f, 0.0f), s0j);
        a4w = _mm_mul_ps(_mm_set_ps((-0.98078528040323043f), (-0.38268343236508978f), 0.55557023301960218f, 1.0f), s4j);
        s6k = _mm_add_ps(a3w, a4w);
        t3b = _mm_add_ps(s3k, s5k);
        t4b = _mm_add_ps(s4k, s6k);
        t5b = _mm_sub_ps(s3k, s5k);
        t6b = _mm_sub_ps(s4k, s6k);
        a5w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s8g);
        a6w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s2h);
        s7k = _mm_sub_ps(a5w, a6w);
        a7w = _mm_mul_ps(_mm_set_ps(0.98078528040323043f, 0.92387953251128674f, 0.55557023301960218f, 0.0f), s8g);
        a8w = _mm_mul_ps(_mm_set_ps((-0.19509032201612828f), 0.38268343236508978f, 0.83146961230254524f, 1.0f), s2h);
        s8k = _mm_add_ps(a7w, a8w);
        a9w = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s2j);
        a0x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s6j);
        s9k = _mm_sub_ps(a9w, a0x);
        a1x = _mm_mul_ps(_mm_set_ps((-0.83146961230254524f), 0.38268343236508978f, 0.98078528040323043f, 0.0f), s2j);
        a2x = _mm_mul_ps(_mm_set_ps((-0.55557023301960218f), (-0.92387953251128674f), 0.19509032201612828f, 1.0f), s6j);
        s0l = _mm_add_ps(a1x, a2x);
        t7b = _mm_add_ps(s7k, s9k);
        t8b = _mm_add_ps(s8k, s0l);
        t9b = _mm_sub_ps(s7k, s9k);
        t0c = _mm_sub_ps(s8k, s0l);
        t1c = _mm_add_ps(t3b, t7b);
        t2c = _mm_add_ps(t4b, t8b);
        t3c = _mm_sub_ps(t3b, t7b);
        t4c = _mm_sub_ps(t4b, t8b);
        a3x = _mm_sub_ps(t5b, t0c);
        a5j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3x);
        a4x = _mm_add_ps(t6b, t9b);
        a6j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4x);
        s1l = _mm_sub_ps(a5j, a6j);
        s2l = _mm_add_ps(a5j, a6j);
        a5x = _mm_add_ps(t5b, t0c);
        a7j = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a5x);
        a6x = _mm_sub_ps(t6b, t9b);
        a8j = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6x);
        s3l = _mm_sub_ps(a7j, a8j);
        s4l = _mm_add_ps(a7j, a8j);
        t5c = _mm_add_ps(t5a, t1c);
        t6c = _mm_add_ps(t6a, t2c);
        t7c = _mm_sub_ps(t5a, t1c);
        t8c = _mm_sub_ps(t6a, t2c);
        a9j = (16 * i);
        a0k = (D36 + a9j);
        a1k = *(a0k);
        a7x = (a0k + 1);
        a2k = *(a7x);
        a8x = (a0k + 2);
        a3k = *(a8x);
        a9x = (a0k + 3);
        a4k = *(a9x);
        a0y = ((__m128  *) T);
        b21 = (a0y + a9j);
        a1y = _mm_mul_ps(a1k, t5c);
        a2y = _mm_mul_ps(a2k, t6c);
        s5l = _mm_sub_ps(a1y, a2y);
        a3y = (b21 + 16);
        *(a3y) = s5l;
        a4y = _mm_mul_ps(a2k, t5c);
        a5y = _mm_mul_ps(a1k, t6c);
        s6l = _mm_add_ps(a4y, a5y);
        a6y = (b21 + 24);
        *(a6y) = s6l;
        a7y = _mm_mul_ps(a3k, t7c);
        a8y = _mm_mul_ps(a4k, t8c);
        s7l = _mm_sub_ps(a7y, a8y);
        a9y = (b21 + 20);
        *(a9y) = s7l;
        a0z = _mm_mul_ps(a4k, t7c);
        a1z = _mm_mul_ps(a3k, t8c);
        s8l = _mm_add_ps(a0z, a1z);
        a2z = (b21 + 28);
        *(a2z) = s8l;
        t9c = _mm_add_ps(t9a, s1l);
        t0d = _mm_add_ps(t0b, s2l);
        t1d = _mm_sub_ps(t9a, s1l);
        t2d = _mm_sub_ps(t0b, s2l);
        a3z = (a0k + 4);
        a5k = *(a3z);
        a4z = (a0k + 5);
        a6k = *(a4z);
        a5z = (a0k + 6);
        a7k = *(a5z);
        a6z = (a0k + 7);
        a8k = *(a6z);
        a7z = _mm_mul_ps(a5k, t9c);
        a8z = _mm_mul_ps(a6k, t0d);
        s9l = _mm_sub_ps(a7z, a8z);
        a9z = (b21 + 17);
        *(a9z) = s9l;
        a0A = _mm_mul_ps(a6k, t9c);
        a1A = _mm_mul_ps(a5k, t0d);
        s0m = _mm_add_ps(a0A, a1A);
        a2A = (b21 + 25);
        *(a2A) = s0m;
        a3A = _mm_mul_ps(a7k, t1d);
        a4A = _mm_mul_ps(a8k, t2d);
        s1m = _mm_sub_ps(a3A, a4A);
        a5A = (b21 + 21);
        *(a5A) = s1m;
        a6A = _mm_mul_ps(a8k, t1d);
        a7A = _mm_mul_ps(a7k, t2d);
        s2m = _mm_add_ps(a6A, a7A);
        a8A = (b21 + 29);
        *(a8A) = s2m;
        t3d = _mm_sub_ps(t7a, t4c);
        t4d = _mm_add_ps(t8a, t3c);
        t5d = _mm_add_ps(t7a, t4c);
        t6d = _mm_sub_ps(t8a, t3c);
        a9A = (a0k + 8);
        a9k = *(a9A);
        a0B = (a0k + 9);
        a0l = *(a0B);
        a1B = (a0k + 10);
        a1l = *(a1B);
        a2B = (a0k + 11);
        a2l = *(a2B);
        a3B = _mm_mul_ps(a9k, t3d);
        a4B = _mm_mul_ps(a0l, t4d);
        s3m = _mm_sub_ps(a3B, a4B);
        a5B = (b21 + 18);
        *(a5B) = s3m;
        a6B = _mm_mul_ps(a0l, t3d);
        a7B = _mm_mul_ps(a9k, t4d);
        s4m = _mm_add_ps(a6B, a7B);
        a8B = (b21 + 26);
        *(a8B) = s4m;
        a9B = _mm_mul_ps(a1l, t5d);
        a0C = _mm_mul_ps(a2l, t6d);
        s5m = _mm_sub_ps(a9B, a0C);
        a1C = (b21 + 22);
        *(a1C) = s5m;
        a2C = _mm_mul_ps(a2l, t5d);
        a3C = _mm_mul_ps(a1l, t6d);
        s6m = _mm_add_ps(a2C, a3C);
        a4C = (b21 + 30);
        *(a4C) = s6m;
        t7d = _mm_add_ps(t1b, s3l);
        t8d = _mm_sub_ps(t2b, s4l);
        t9d = _mm_sub_ps(t1b, s3l);
        t0e = _mm_add_ps(t2b, s4l);
        a5C = (a0k + 12);
        a3l = *(a5C);
        a6C = (a0k + 13);
        a4l = *(a6C);
        a7C = (a0k + 14);
        a5l = *(a7C);
        a8C = (a0k + 15);
        a6l = *(a8C);
        a9C = _mm_mul_ps(a3l, t7d);
        a0D = _mm_mul_ps(a4l, t8d);
        s7m = _mm_sub_ps(a9C, a0D);
        a1D = (b21 + 19);
        *(a1D) = s7m;
        a2D = _mm_mul_ps(a4l, t7d);
        a3D = _mm_mul_ps(a3l, t8d);
        s8m = _mm_add_ps(a2D, a3D);
        a4D = (b21 + 27);
        *(a4D) = s8m;
        a5D = _mm_mul_ps(a5l, t9d);
        a6D = _mm_mul_ps(a6l, t0e);
        s9m = _mm_sub_ps(a5D, a6D);
        a7D = (b21 + 23);
        *(a7D) = s9m;
        a8D = _mm_mul_ps(a6l, t9d);
        a9D = _mm_mul_ps(a5l, t0e);
        s0n = _mm_add_ps(a8D, a9D);
        a0E = (b21 + 31);
        *(a0E) = s0n;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a7M = ((__m128  *) T);
        a1E = (a7M + i2);
        s1n = *(a1E);
        a8M = (a1E + 1024);
        s2n = *(a8M);
        t1e = _mm_add_ps(s1n, s2n);
        t2e = _mm_sub_ps(s1n, s2n);
        a9M = (a1E + 8);
        s3n = *(a9M);
        a0N = (a1E + 1032);
        s4n = *(a0N);
        t3e = _mm_sub_ps(s3n, s4n);
        t4e = _mm_add_ps(s3n, s4n);
        a5F = (a1E + 512);
        s5n = *(a5F);
        a6F = (a1E + 520);
        s6n = *(a6F);
        a7F = (a1E + 1536);
        s7n = *(a7F);
        a8F = (a1E + 1544);
        s8n = *(a8F);
        t5e = _mm_add_ps(s5n, s7n);
        t6e = _mm_sub_ps(s6n, s8n);
        a9F = _mm_sub_ps(s5n, s7n);
        a2E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9F);
        a0G = _mm_add_ps(s6n, s8n);
        a3E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0G);
        s9n = _mm_sub_ps(a2E, a3E);
        s0o = _mm_add_ps(a2E, a3E);
        t7e = _mm_add_ps(t1e, t5e);
        t8e = _mm_sub_ps(t1e, t5e);
        t9e = _mm_sub_ps(t2e, t6e);
        t0f = _mm_add_ps(t2e, t6e);
        t1f = _mm_add_ps(t3e, s9n);
        t2f = _mm_sub_ps(t3e, s9n);
        t3f = _mm_sub_ps(t4e, s0o);
        t4f = _mm_add_ps(t4e, s0o);
        a1G = (a1E + 128);
        s1o = *(a1G);
        a2G = (a1E + 136);
        s2o = *(a2G);
        a3G = (a1E + 1920);
        s3o = *(a3G);
        a4G = (a1E + 1928);
        s4o = *(a4G);
        t5f = _mm_add_ps(s1o, s3o);
        t6f = _mm_sub_ps(s2o, s4o);
        t7f = _mm_sub_ps(s1o, s3o);
        t8f = _mm_add_ps(s2o, s4o);
        a5G = (a1E + 1152);
        s5o = *(a5G);
        a6G = (a1E + 1160);
        s6o = *(a6G);
        a7G = (a1E + 896);
        s7o = *(a7G);
        a8G = (a1E + 904);
        s8o = *(a8G);
        t9f = _mm_add_ps(s5o, s7o);
        t0g = _mm_sub_ps(s6o, s8o);
        t1g = _mm_sub_ps(s5o, s7o);
        t2g = _mm_add_ps(s6o, s8o);
        t3g = _mm_add_ps(t5f, t9f);
        t4g = _mm_add_ps(t6f, t0g);
        t5g = _mm_sub_ps(t5f, t9f);
        t6g = _mm_sub_ps(t6f, t0g);
        t7g = _mm_sub_ps(t7f, t2g);
        t8g = _mm_add_ps(t8f, t1g);
        t9g = _mm_add_ps(t7f, t2g);
        t0h = _mm_sub_ps(t8f, t1g);
        a9G = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t7g);
        a0H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t8g);
        s9o = _mm_sub_ps(a9G, a0H);
        a1H = _mm_mul_ps(_mm_set1_ps(0.19509032201612828f), t7g);
        a2H = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t8g);
        s0p = _mm_add_ps(a1H, a2H);
        a3H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5g);
        a4H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6g);
        s1p = _mm_sub_ps(a3H, a4H);
        a5H = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5g);
        a6H = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6g);
        s2p = _mm_add_ps(a5H, a6H);
        a7H = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t9g);
        a8H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t0h);
        s3p = _mm_sub_ps(a7H, a8H);
        a9H = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t9g);
        a0I = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t0h);
        s4p = _mm_add_ps(a9H, a0I);
        a1I = (a1E + 256);
        s5p = *(a1I);
        a2I = (a1E + 264);
        s6p = *(a2I);
        a3I = (a1E + 1792);
        s7p = *(a3I);
        a4I = (a1E + 1800);
        s8p = *(a4I);
        t1h = _mm_add_ps(s5p, s7p);
        t2h = _mm_sub_ps(s6p, s8p);
        t3h = _mm_sub_ps(s5p, s7p);
        t4h = _mm_add_ps(s6p, s8p);
        a5I = (a1E + 1280);
        s9p = *(a5I);
        a6I = (a1E + 1288);
        s0q = *(a6I);
        a7I = (a1E + 768);
        s1q = *(a7I);
        a8I = (a1E + 776);
        s2q = *(a8I);
        t5h = _mm_add_ps(s9p, s1q);
        t6h = _mm_sub_ps(s0q, s2q);
        t7h = _mm_sub_ps(s9p, s1q);
        t8h = _mm_add_ps(s0q, s2q);
        t9h = _mm_add_ps(t1h, t5h);
        t0i = _mm_add_ps(t2h, t6h);
        t1i = _mm_sub_ps(t3h, t8h);
        t2i = _mm_add_ps(t4h, t7h);
        t3i = _mm_add_ps(t3h, t8h);
        t4i = _mm_sub_ps(t4h, t7h);
        a9I = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1i);
        a0J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2i);
        s3q = _mm_sub_ps(a9I, a0J);
        a1J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1i);
        a2J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2i);
        s4q = _mm_add_ps(a1J, a2J);
        a3J = _mm_sub_ps(t1h, t5h);
        a4E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3J);
        a4J = _mm_sub_ps(t2h, t6h);
        a5E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4J);
        s5q = _mm_sub_ps(a4E, a5E);
        s6q = _mm_add_ps(a4E, a5E);
        a5J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3i);
        a6J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4i);
        s7q = _mm_sub_ps(a5J, a6J);
        a7J = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3i);
        a8J = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4i);
        s8q = _mm_add_ps(a7J, a8J);
        a9J = (a1E + 384);
        s9q = *(a9J);
        a0K = (a1E + 392);
        s0r = *(a0K);
        a1K = (a1E + 1664);
        s1r = *(a1K);
        a2K = (a1E + 1672);
        s2r = *(a2K);
        t5i = _mm_add_ps(s9q, s1r);
        t6i = _mm_sub_ps(s0r, s2r);
        t7i = _mm_sub_ps(s9q, s1r);
        t8i = _mm_add_ps(s0r, s2r);
        a3K = (a1E + 1408);
        s3r = *(a3K);
        a4K = (a1E + 1416);
        s4r = *(a4K);
        a5K = (a1E + 640);
        s5r = *(a5K);
        a6K = (a1E + 648);
        s6r = *(a6K);
        t9i = _mm_add_ps(s3r, s5r);
        t0j = _mm_sub_ps(s4r, s6r);
        t1j = _mm_sub_ps(s3r, s5r);
        t2j = _mm_add_ps(s4r, s6r);
        t3j = _mm_add_ps(t5i, t9i);
        t4j = _mm_add_ps(t6i, t0j);
        t5j = _mm_sub_ps(t5i, t9i);
        t6j = _mm_sub_ps(t6i, t0j);
        t7j = _mm_sub_ps(t7i, t2j);
        t8j = _mm_add_ps(t8i, t1j);
        t9j = _mm_add_ps(t7i, t2j);
        t0k = _mm_sub_ps(t8i, t1j);
        a7K = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t7j);
        a8K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t8j);
        s7r = _mm_sub_ps(a7K, a8K);
        a9K = _mm_mul_ps(_mm_set1_ps(0.55557023301960218f), t7j);
        a0L = _mm_mul_ps(_mm_set1_ps(0.83146961230254524f), t8j);
        s8r = _mm_add_ps(a9K, a0L);
        a1L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t5j);
        a2L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t6j);
        s9r = _mm_sub_ps(a1L, a2L);
        a3L = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t5j);
        a4L = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t6j);
        s0s = _mm_add_ps(a3L, a4L);
        a5L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t9j);
        a6L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t0k);
        s1s = _mm_sub_ps(a5L, a6L);
        a7L = _mm_mul_ps(_mm_set1_ps(0.98078528040323043f), t9j);
        a8L = _mm_mul_ps(_mm_set1_ps((-0.19509032201612828f)), t0k);
        s2s = _mm_add_ps(a7L, a8L);
        t1k = _mm_add_ps(t7e, t9h);
        t2k = _mm_sub_ps(t7e, t9h);
        t3k = _mm_sub_ps(t8e, t0i);
        t4k = _mm_add_ps(t8e, t0i);
        t5k = _mm_add_ps(t3g, t3j);
        t6k = _mm_sub_ps(t4g, t4j);
        a9L = _mm_sub_ps(t3g, t3j);
        a6E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a9L);
        a0M = _mm_add_ps(t4g, t4j);
        a7E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0M);
        s3s = _mm_sub_ps(a6E, a7E);
        s4s = _mm_add_ps(a6E, a7E);
        a8E = ((__m128  *) T2);
        s5s = _mm_add_ps(t1k, t5k);
        *(a8E) = s5s;
        s6s = _mm_sub_ps(t1k, t5k);
        a1N = (a8E + 16);
        *(a1N) = s6s;
        s7s = _mm_sub_ps(t2k, t6k);
        a2N = (a8E + 8);
        *(a2N) = s7s;
        s8s = _mm_add_ps(t2k, t6k);
        a3N = (a8E + 24);
        *(a3N) = s8s;
        s9s = _mm_add_ps(t3k, s3s);
        a4N = (a8E + 4);
        *(a4N) = s9s;
        s0t = _mm_sub_ps(t3k, s3s);
        a5N = (a8E + 20);
        *(a5N) = s0t;
        s1t = _mm_sub_ps(t4k, s4s);
        a6N = (a8E + 12);
        *(a6N) = s1t;
        s2t = _mm_add_ps(t4k, s4s);
        a7N = (a8E + 28);
        *(a7N) = s2t;
        t7k = _mm_add_ps(t1f, s3q);
        t8k = _mm_sub_ps(t1f, s3q);
        t9k = _mm_sub_ps(t2f, s4q);
        t0l = _mm_add_ps(t2f, s4q);
        t1l = _mm_add_ps(s9o, s7r);
        t2l = _mm_sub_ps(s0p, s8r);
        a1M = _mm_sub_ps(s9o, s7r);
        a9E = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1M);
        a2M = _mm_add_ps(s0p, s8r);
        a0F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2M);
        s3t = _mm_sub_ps(a9E, a0F);
        s4t = _mm_add_ps(a9E, a0F);
        s5t = _mm_add_ps(t7k, t1l);
        a8N = (a8E + 1);
        *(a8N) = s5t;
        s6t = _mm_sub_ps(t7k, t1l);
        a9N = (a8E + 17);
        *(a9N) = s6t;
        s7t = _mm_sub_ps(t8k, t2l);
        a0O = (a8E + 9);
        *(a0O) = s7t;
        s8t = _mm_add_ps(t8k, t2l);
        a1O = (a8E + 25);
        *(a1O) = s8t;
        s9t = _mm_add_ps(t9k, s3t);
        a2O = (a8E + 5);
        *(a2O) = s9t;
        s0u = _mm_sub_ps(t9k, s3t);
        a3O = (a8E + 21);
        *(a3O) = s0u;
        s1u = _mm_sub_ps(t0l, s4t);
        a4O = (a8E + 13);
        *(a4O) = s1u;
        s2u = _mm_add_ps(t0l, s4t);
        a5O = (a8E + 29);
        *(a5O) = s2u;
        t3l = _mm_add_ps(t9e, s5q);
        t4l = _mm_sub_ps(t9e, s5q);
        t5l = _mm_sub_ps(t0f, s6q);
        t6l = _mm_add_ps(t0f, s6q);
        t7l = _mm_add_ps(s1p, s9r);
        t8l = _mm_sub_ps(s2p, s0s);
        a3M = _mm_sub_ps(s1p, s9r);
        a1F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3M);
        a4M = _mm_add_ps(s2p, s0s);
        a2F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a4M);
        s3u = _mm_sub_ps(a1F, a2F);
        s4u = _mm_add_ps(a1F, a2F);
        s5u = _mm_add_ps(t3l, t7l);
        a6O = (a8E + 2);
        *(a6O) = s5u;
        s6u = _mm_sub_ps(t3l, t7l);
        a7O = (a8E + 18);
        *(a7O) = s6u;
        s7u = _mm_sub_ps(t4l, t8l);
        a8O = (a8E + 10);
        *(a8O) = s7u;
        s8u = _mm_add_ps(t4l, t8l);
        a9O = (a8E + 26);
        *(a9O) = s8u;
        s9u = _mm_add_ps(t5l, s3u);
        a0P = (a8E + 6);
        *(a0P) = s9u;
        s0v = _mm_sub_ps(t5l, s3u);
        a1P = (a8E + 22);
        *(a1P) = s0v;
        s1v = _mm_sub_ps(t6l, s4u);
        a2P = (a8E + 14);
        *(a2P) = s1v;
        s2v = _mm_add_ps(t6l, s4u);
        a3P = (a8E + 30);
        *(a3P) = s2v;
        t9l = _mm_add_ps(t3f, s7q);
        t0m = _mm_sub_ps(t3f, s7q);
        t1m = _mm_sub_ps(t4f, s8q);
        t2m = _mm_add_ps(t4f, s8q);
        t3m = _mm_add_ps(s3p, s1s);
        t4m = _mm_sub_ps(s4p, s2s);
        a5M = _mm_sub_ps(s3p, s1s);
        a3F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a5M);
        a6M = _mm_add_ps(s4p, s2s);
        a4F = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a6M);
        s3v = _mm_sub_ps(a3F, a4F);
        s4v = _mm_add_ps(a3F, a4F);
        s5v = _mm_add_ps(t9l, t3m);
        a4P = (a8E + 3);
        *(a4P) = s5v;
        s6v = _mm_sub_ps(t9l, t3m);
        a5P = (a8E + 19);
        *(a5P) = s6v;
        s7v = _mm_sub_ps(t0m, t4m);
        a6P = (a8E + 11);
        *(a6P) = s7v;
        s8v = _mm_add_ps(t0m, t4m);
        a7P = (a8E + 27);
        *(a7P) = s8v;
        s9v = _mm_add_ps(t1m, s3v);
        a8P = (a8E + 7);
        *(a8P) = s9v;
        s0w = _mm_sub_ps(t1m, s3v);
        a9P = (a8E + 23);
        *(a9P) = s0w;
        s1w = _mm_sub_ps(t2m, s4v);
        a0Q = (a8E + 15);
        *(a0Q) = s1w;
        s2w = _mm_add_ps(t2m, s4v);
        a1Q = (a8E + 31);
        *(a1Q) = s2w;
        {long i3; for(i3 = 0; i3 <= 6; i3++) {
            a2Q = (16 * i3);
            a5U = ((__m128  *) T);
            b31 = (a5U + i2);
            b41 = (b31 + a2Q);
            a6U = (b41 + 16);
            s3w = *(a6U);
            a7U = (b41 + 24);
            s4w = *(a7U);
            b51 = (b31 - a2Q);
            a8U = (b51 + 2032);
            s5w = *(a8U);
            a9U = (b51 + 2040);
            s6w = *(a9U);
            t5m = _mm_add_ps(s3w, s5w);
            t6m = _mm_sub_ps(s4w, s6w);
            t7m = _mm_sub_ps(s3w, s5w);
            t8m = _mm_add_ps(s4w, s6w);
            a0V = (b41 + 1040);
            s7w = *(a0V);
            a1V = (b41 + 1048);
            s8w = *(a1V);
            a2V = (b51 + 1008);
            s9w = *(a2V);
            a3V = (b51 + 1016);
            s0x = *(a3V);
            t9m = _mm_add_ps(s7w, s9w);
            t0n = _mm_sub_ps(s8w, s0x);
            t1n = _mm_sub_ps(s7w, s9w);
            t2n = _mm_add_ps(s8w, s0x);
            t3n = _mm_add_ps(t5m, t9m);
            t4n = _mm_add_ps(t6m, t0n);
            t5n = _mm_sub_ps(t5m, t9m);
            t6n = _mm_sub_ps(t6m, t0n);
            t7n = _mm_sub_ps(t7m, t2n);
            t8n = _mm_add_ps(t8m, t1n);
            t9n = _mm_add_ps(t7m, t2n);
            t0o = _mm_sub_ps(t8m, t1n);
            a4V = (b41 + 272);
            s1x = *(a4V);
            a5V = (b41 + 280);
            s2x = *(a5V);
            a6V = (b51 + 1776);
            s3x = *(a6V);
            a7V = (b51 + 1784);
            s4x = *(a7V);
            t1o = _mm_add_ps(s1x, s3x);
            t2o = _mm_sub_ps(s2x, s4x);
            t3o = _mm_sub_ps(s1x, s3x);
            t4o = _mm_add_ps(s2x, s4x);
            a8V = (b41 + 1296);
            s5x = *(a8V);
            a9V = (b41 + 1304);
            s6x = *(a9V);
            a0W = (b51 + 752);
            s7x = *(a0W);
            a1W = (b51 + 760);
            s8x = *(a1W);
            t5o = _mm_add_ps(s5x, s7x);
            t6o = _mm_sub_ps(s6x, s8x);
            t7o = _mm_sub_ps(s5x, s7x);
            t8o = _mm_add_ps(s6x, s8x);
            t9o = _mm_add_ps(t1o, t5o);
            t0p = _mm_add_ps(t2o, t6o);
            a2W = _mm_sub_ps(t1o, t5o);
            a3Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a2W);
            a3W = _mm_sub_ps(t2o, t6o);
            a4Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3W);
            s9x = _mm_sub_ps(a3Q, a4Q);
            s0y = _mm_add_ps(a3Q, a4Q);
            t1p = _mm_sub_ps(t3o, t8o);
            t2p = _mm_add_ps(t4o, t7o);
            t3p = _mm_add_ps(t3o, t8o);
            t4p = _mm_sub_ps(t4o, t7o);
            a4W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1p);
            a5W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2p);
            s1y = _mm_sub_ps(a4W, a5W);
            a6W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1p);
            a7W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2p);
            s2y = _mm_add_ps(a6W, a7W);
            a8W = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t3p);
            a9W = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t4p);
            s3y = _mm_sub_ps(a8W, a9W);
            a0X = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t3p);
            a1X = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t4p);
            s4y = _mm_add_ps(a0X, a1X);
            a2X = (b41 + 528);
            s5y = *(a2X);
            a3X = (b41 + 536);
            s6y = *(a3X);
            a4X = (b51 + 1520);
            s7y = *(a4X);
            a5X = (b51 + 1528);
            s8y = *(a5X);
            t5p = _mm_add_ps(s5y, s7y);
            t6p = _mm_sub_ps(s6y, s8y);
            t7p = _mm_sub_ps(s5y, s7y);
            t8p = _mm_add_ps(s6y, s8y);
            a6X = (b41 + 1552);
            s9y = *(a6X);
            a7X = (b41 + 1560);
            s0z = *(a7X);
            a8X = (b51 + 496);
            s1z = *(a8X);
            a9X = (b51 + 504);
            s2z = *(a9X);
            t9p = _mm_add_ps(s9y, s1z);
            t0q = _mm_sub_ps(s0z, s2z);
            t1q = _mm_sub_ps(s9y, s1z);
            t2q = _mm_add_ps(s0z, s2z);
            t3q = _mm_add_ps(t5p, t9p);
            t4q = _mm_add_ps(t6p, t0q);
            t5q = _mm_sub_ps(t5p, t9p);
            t6q = _mm_sub_ps(t6p, t0q);
            a0Y = _mm_sub_ps(t7p, t2q);
            a5Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a0Y);
            a1Y = _mm_add_ps(t8p, t1q);
            a6Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a1Y);
            s3z = _mm_sub_ps(a5Q, a6Q);
            s4z = _mm_add_ps(a5Q, a6Q);
            a2Y = _mm_add_ps(t7p, t2q);
            a7Q = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2Y);
            a3Y = _mm_sub_ps(t8p, t1q);
            a8Q = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3Y);
            s5z = _mm_sub_ps(a7Q, a8Q);
            s6z = _mm_add_ps(a7Q, a8Q);
            a4Y = (b41 + 784);
            s7z = *(a4Y);
            a5Y = (b41 + 792);
            s8z = *(a5Y);
            a6Y = (b51 + 1264);
            s9z = *(a6Y);
            a7Y = (b51 + 1272);
            s0A = *(a7Y);
            t7q = _mm_add_ps(s7z, s9z);
            t8q = _mm_sub_ps(s8z, s0A);
            t9q = _mm_sub_ps(s7z, s9z);
            t0r = _mm_add_ps(s8z, s0A);
            a8Y = (b41 + 1808);
            s1A = *(a8Y);
            a9Y = (b41 + 1816);
            s2A = *(a9Y);
            a0Z = (b51 + 240);
            s3A = *(a0Z);
            a1Z = (b51 + 248);
            s4A = *(a1Z);
            t1r = _mm_add_ps(s1A, s3A);
            t2r = _mm_sub_ps(s2A, s4A);
            t3r = _mm_sub_ps(s1A, s3A);
            t4r = _mm_add_ps(s2A, s4A);
            t5r = _mm_add_ps(t7q, t1r);
            t6r = _mm_add_ps(t8q, t2r);
            a2Z = _mm_sub_ps(t7q, t1r);
            a9Q = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757f)), a2Z);
            a3Z = _mm_sub_ps(t8q, t2r);
            a0R = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a3Z);
            s5A = _mm_sub_ps(a9Q, a0R);
            s6A = _mm_add_ps(a9Q, a0R);
            t7r = _mm_sub_ps(t9q, t4r);
            t8r = _mm_add_ps(t0r, t3r);
            t9r = _mm_add_ps(t9q, t4r);
            t0s = _mm_sub_ps(t0r, t3r);
            a4Z = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t7r);
            a5Z = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8r);
            s7A = _mm_sub_ps(a4Z, a5Z);
            a6Z = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t7r);
            a7Z = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t8r);
            s8A = _mm_add_ps(a6Z, a7Z);
            a8Z = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t9r);
            a9Z = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t0s);
            s9A = _mm_sub_ps(a8Z, a9Z);
            a010 = _mm_mul_ps(_mm_set1_ps((-0.38268343236508978f)), t9r);
            a110 = _mm_mul_ps(_mm_set1_ps((-0.92387953251128674f)), t0s);
            s0B = _mm_add_ps(a010, a110);
            t1s = _mm_add_ps(t3n, t3q);
            t2s = _mm_add_ps(t4n, t4q);
            t3s = _mm_sub_ps(t3n, t3q);
            t4s = _mm_sub_ps(t4n, t4q);
            t5s = _mm_add_ps(t9o, t5r);
            t6s = _mm_add_ps(t0p, t6r);
            t7s = _mm_sub_ps(t9o, t5r);
            t8s = _mm_sub_ps(t0p, t6r);
            t9s = _mm_add_ps(t1s, t5s);
            t0t = _mm_add_ps(t2s, t6s);
            t1t = _mm_sub_ps(t1s, t5s);
            t2t = _mm_sub_ps(t2s, t6s);
            t3t = _mm_sub_ps(t3s, t8s);
            t4t = _mm_add_ps(t4s, t7s);
            t5t = _mm_add_ps(t3s, t8s);
            t6t = _mm_sub_ps(t4s, t7s);
            t7t = _mm_add_ps(t7n, s3z);
            t8t = _mm_add_ps(t8n, s4z);
            t9t = _mm_sub_ps(t7n, s3z);
            t0u = _mm_sub_ps(t8n, s4z);
            t1u = _mm_add_ps(s1y, s7A);
            t2u = _mm_add_ps(s2y, s8A);
            t3u = _mm_sub_ps(s1y, s7A);
            t4u = _mm_sub_ps(s2y, s8A);
            t5u = _mm_add_ps(t7t, t1u);
            t6u = _mm_add_ps(t8t, t2u);
            t7u = _mm_sub_ps(t7t, t1u);
            t8u = _mm_sub_ps(t8t, t2u);
            t9u = _mm_sub_ps(t9t, t4u);
            t0v = _mm_add_ps(t0u, t3u);
            t1v = _mm_add_ps(t9t, t4u);
            t2v = _mm_sub_ps(t0u, t3u);
            t3v = _mm_sub_ps(t5n, t6q);
            t4v = _mm_add_ps(t6n, t5q);
            t5v = _mm_add_ps(t5n, t6q);
            t6v = _mm_sub_ps(t6n, t5q);
            t7v = _mm_add_ps(s9x, s5A);
            t8v = _mm_sub_ps(s0y, s6A);
            t9v = _mm_sub_ps(s9x, s5A);
            t0w = _mm_add_ps(s0y, s6A);
            t1w = _mm_add_ps(t3v, t7v);
            t2w = _mm_add_ps(t4v, t8v);
            t3w = _mm_sub_ps(t3v, t7v);
            t4w = _mm_sub_ps(t4v, t8v);
            t5w = _mm_sub_ps(t5v, t0w);
            t6w = _mm_add_ps(t6v, t9v);
            t7w = _mm_add_ps(t5v, t0w);
            t8w = _mm_sub_ps(t6v, t9v);
            t9w = _mm_add_ps(t9n, s5z);
            t0x = _mm_sub_ps(t0o, s6z);
            t1x = _mm_sub_ps(t9n, s5z);
            t2x = _mm_add_ps(t0o, s6z);
            t3x = _mm_add_ps(s3y, s9A);
            t4x = _mm_add_ps(s4y, s0B);
            t5x = _mm_sub_ps(s3y, s9A);
            t6x = _mm_sub_ps(s4y, s0B);
            t7x = _mm_add_ps(t9w, t3x);
            t8x = _mm_add_ps(t0x, t4x);
            t9x = _mm_sub_ps(t9w, t3x);
            t0y = _mm_sub_ps(t0x, t4x);
            t1y = _mm_sub_ps(t1x, t6x);
            t2y = _mm_add_ps(t2x, t5x);
            t3y = _mm_add_ps(t1x, t6x);
            t4y = _mm_sub_ps(t2x, t5x);
            a1R = (32 * i3);
            a2R = (D35 + a1R);
            a3R = *(a2R);
            a210 = (a2R + 1);
            a4R = *(a210);
            a310 = (a2R + 2);
            a5R = *(a310);
            a410 = (a2R + 3);
            a6R = *(a410);
            a510 = (a2R + 4);
            a7R = *(a510);
            a610 = (a2R + 5);
            a8R = *(a610);
            a710 = (a2R + 6);
            a9R = *(a710);
            a810 = (a2R + 7);
            a0S = *(a810);
            a910 = (a2R + 8);
            a1S = *(a910);
            a011 = (a2R + 9);
            a2S = *(a011);
            a111 = (a2R + 10);
            a3S = *(a111);
            a211 = (a2R + 11);
            a4S = *(a211);
            a311 = (a2R + 12);
            a5S = *(a311);
            a411 = (a2R + 13);
            a6S = *(a411);
            a511 = (a2R + 14);
            a7S = *(a511);
            a611 = (a2R + 15);
            a8S = *(a611);
            a711 = (a2R + 16);
            a9S = *(a711);
            a811 = (a2R + 17);
            a0T = *(a811);
            a911 = (a2R + 18);
            a1T = *(a911);
            a012 = (a2R + 19);
            a2T = *(a012);
            a112 = (a2R + 20);
            a3T = *(a112);
            a212 = (a2R + 21);
            a4T = *(a212);
            a312 = (a2R + 22);
            a5T = *(a312);
            a412 = (a2R + 23);
            a6T = *(a412);
            a512 = (a2R + 24);
            a7T = *(a512);
            a612 = (a2R + 25);
            a8T = *(a612);
            a712 = (a2R + 26);
            a9T = *(a712);
            a812 = (a2R + 27);
            a0U = *(a812);
            a912 = (a2R + 28);
            a1U = *(a912);
            a013 = (a2R + 29);
            a2U = *(a013);
            a113 = (a2R + 30);
            a3U = *(a113);
            a213 = (a2R + 31);
            a4U = *(a213);
            a313 = ((__m128  *) T2);
            b61 = (a313 + a1R);
            a413 = _mm_mul_ps(a3R, t9s);
            a513 = _mm_mul_ps(a4R, t0t);
            s1B = _mm_sub_ps(a413, a513);
            a613 = (b61 + 32);
            *(a613) = s1B;
            a713 = _mm_mul_ps(a4R, t9s);
            a813 = _mm_mul_ps(a3R, t0t);
            s2B = _mm_add_ps(a713, a813);
            a913 = (b61 + 48);
            *(a913) = s2B;
            a014 = _mm_mul_ps(a5R, t5u);
            a114 = _mm_mul_ps(a6R, t6u);
            s3B = _mm_sub_ps(a014, a114);
            a214 = (b61 + 33);
            *(a214) = s3B;
            a314 = _mm_mul_ps(a6R, t5u);
            a414 = _mm_mul_ps(a5R, t6u);
            s4B = _mm_add_ps(a314, a414);
            a514 = (b61 + 49);
            *(a514) = s4B;
            a614 = _mm_mul_ps(a7R, t1w);
            a714 = _mm_mul_ps(a8R, t2w);
            s5B = _mm_sub_ps(a614, a714);
            a814 = (b61 + 34);
            *(a814) = s5B;
            a914 = _mm_mul_ps(a8R, t1w);
            a015 = _mm_mul_ps(a7R, t2w);
            s6B = _mm_add_ps(a914, a015);
            a115 = (b61 + 50);
            *(a115) = s6B;
            a215 = _mm_mul_ps(a9R, t7x);
            a315 = _mm_mul_ps(a0S, t8x);
            s7B = _mm_sub_ps(a215, a315);
            a415 = (b61 + 35);
            *(a415) = s7B;
            a515 = _mm_mul_ps(a0S, t7x);
            a615 = _mm_mul_ps(a9R, t8x);
            s8B = _mm_add_ps(a515, a615);
            a715 = (b61 + 51);
            *(a715) = s8B;
            a815 = _mm_mul_ps(a1S, t3t);
            a915 = _mm_mul_ps(a2S, t4t);
            s9B = _mm_sub_ps(a815, a915);
            a016 = (b61 + 36);
            *(a016) = s9B;
            a116 = _mm_mul_ps(a2S, t3t);
            a216 = _mm_mul_ps(a1S, t4t);
            s0C = _mm_add_ps(a116, a216);
            a316 = (b61 + 52);
            *(a316) = s0C;
            a416 = _mm_mul_ps(a3S, t9u);
            a516 = _mm_mul_ps(a4S, t0v);
            s1C = _mm_sub_ps(a416, a516);
            a616 = (b61 + 37);
            *(a616) = s1C;
            a716 = _mm_mul_ps(a4S, t9u);
            a816 = _mm_mul_ps(a3S, t0v);
            s2C = _mm_add_ps(a716, a816);
            a916 = (b61 + 53);
            *(a916) = s2C;
            a017 = _mm_mul_ps(a5S, t5w);
            a117 = _mm_mul_ps(a6S, t6w);
            s3C = _mm_sub_ps(a017, a117);
            a217 = (b61 + 38);
            *(a217) = s3C;
            a317 = _mm_mul_ps(a6S, t5w);
            a417 = _mm_mul_ps(a5S, t6w);
            s4C = _mm_add_ps(a317, a417);
            a517 = (b61 + 54);
            *(a517) = s4C;
            a617 = _mm_mul_ps(a7S, t1y);
            a717 = _mm_mul_ps(a8S, t2y);
            s5C = _mm_sub_ps(a617, a717);
            a817 = (b61 + 39);
            *(a817) = s5C;
            a917 = _mm_mul_ps(a8S, t1y);
            a018 = _mm_mul_ps(a7S, t2y);
            s6C = _mm_add_ps(a917, a018);
            a118 = (b61 + 55);
            *(a118) = s6C;
            a218 = _mm_mul_ps(a9S, t1t);
            a318 = _mm_mul_ps(a0T, t2t);
            s7C = _mm_sub_ps(a218, a318);
            a418 = (b61 + 40);
            *(a418) = s7C;
            a518 = _mm_mul_ps(a0T, t1t);
            a618 = _mm_mul_ps(a9S, t2t);
            s8C = _mm_add_ps(a518, a618);
            a718 = (b61 + 56);
            *(a718) = s8C;
            a818 = _mm_mul_ps(a1T, t7u);
            a918 = _mm_mul_ps(a2T, t8u);
            s9C = _mm_sub_ps(a818, a918);
            a019 = (b61 + 41);
            *(a019) = s9C;
            a119 = _mm_mul_ps(a2T, t7u);
            a219 = _mm_mul_ps(a1T, t8u);
            s0D = _mm_add_ps(a119, a219);
            a319 = (b61 + 57);
            *(a319) = s0D;
            a419 = _mm_mul_ps(a3T, t3w);
            a519 = _mm_mul_ps(a4T, t4w);
            s1D = _mm_sub_ps(a419, a519);
            a619 = (b61 + 42);
            *(a619) = s1D;
            a719 = _mm_mul_ps(a4T, t3w);
            a819 = _mm_mul_ps(a3T, t4w);
            s2D = _mm_add_ps(a719, a819);
            a919 = (b61 + 58);
            *(a919) = s2D;
            a01a = _mm_mul_ps(a5T, t9x);
            a11a = _mm_mul_ps(a6T, t0y);
            s3D = _mm_sub_ps(a01a, a11a);
            a21a = (b61 + 43);
            *(a21a) = s3D;
            a31a = _mm_mul_ps(a6T, t9x);
            a41a = _mm_mul_ps(a5T, t0y);
            s4D = _mm_add_ps(a31a, a41a);
            a51a = (b61 + 59);
            *(a51a) = s4D;
            a61a = _mm_mul_ps(a7T, t5t);
            a71a = _mm_mul_ps(a8T, t6t);
            s5D = _mm_sub_ps(a61a, a71a);
            a81a = (b61 + 44);
            *(a81a) = s5D;
            a91a = _mm_mul_ps(a8T, t5t);
            a01b = _mm_mul_ps(a7T, t6t);
            s6D = _mm_add_ps(a91a, a01b);
            a11b = (b61 + 60);
            *(a11b) = s6D;
            a21b = _mm_mul_ps(a9T, t1v);
            a31b = _mm_mul_ps(a0U, t2v);
            s7D = _mm_sub_ps(a21b, a31b);
            a41b = (b61 + 45);
            *(a41b) = s7D;
            a51b = _mm_mul_ps(a0U, t1v);
            a61b = _mm_mul_ps(a9T, t2v);
            s8D = _mm_add_ps(a51b, a61b);
            a71b = (b61 + 61);
            *(a71b) = s8D;
            a81b = _mm_mul_ps(a1U, t7w);
            a91b = _mm_mul_ps(a2U, t8w);
            s9D = _mm_sub_ps(a81b, a91b);
            a01c = (b61 + 46);
            *(a01c) = s9D;
            a11c = _mm_mul_ps(a2U, t7w);
            a21c = _mm_mul_ps(a1U, t8w);
            s0E = _mm_add_ps(a11c, a21c);
            a31c = (b61 + 62);
            *(a31c) = s0E;
            a41c = _mm_mul_ps(a3U, t3y);
            a51c = _mm_mul_ps(a4U, t4y);
            s1E = _mm_sub_ps(a41c, a51c);
            a61c = (b61 + 47);
            *(a61c) = s1E;
            a71c = _mm_mul_ps(a4U, t3y);
            a81c = _mm_mul_ps(a3U, t4y);
            s2E = _mm_add_ps(a71c, a81c);
            a91c = (b61 + 63);
            *(a91c) = s2E;
        }}
        {long i4; for(i4 = 0; i4 <= 15; i4++) {
            a41g = ((__m128  *) T2);
            a01d = (a41g + i4);
            s3E = *(a01d);
            a51g = (a01d + 128);
            s4E = *(a51g);
            t5y = _mm_add_ps(s3E, s4E);
            t6y = _mm_sub_ps(s3E, s4E);
            a61g = (a01d + 16);
            s5E = *(a61g);
            a71g = (a01d + 144);
            s6E = *(a71g);
            t7y = _mm_sub_ps(s5E, s6E);
            t8y = _mm_add_ps(s5E, s6E);
            a81d = (a01d + 32);
            s7E = *(a81d);
            a91d = (a01d + 48);
            s8E = *(a91d);
            a01e = (a01d + 224);
            s9E = *(a01e);
            a11e = (a01d + 240);
            s0F = *(a11e);
            t9y = _mm_add_ps(s7E, s9E);
            t0z = _mm_sub_ps(s8E, s0F);
            t1z = _mm_sub_ps(s7E, s9E);
            t2z = _mm_add_ps(s8E, s0F);
            a21e = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t1z);
            a31e = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t2z);
            s1F = _mm_sub_ps(a21e, a31e);
            a41e = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t1z);
            a51e = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t2z);
            s2F = _mm_add_ps(a41e, a51e);
            a61e = (a01d + 64);
            s3F = *(a61e);
            a71e = (a01d + 80);
            s4F = *(a71e);
            a81e = (a01d + 192);
            s5F = *(a81e);
            a91e = (a01d + 208);
            s6F = *(a91e);
            t3z = _mm_add_ps(s3F, s5F);
            t4z = _mm_sub_ps(s4F, s6F);
            a01f = _mm_sub_ps(s3F, s5F);
            a11d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a01f);
            a11f = _mm_add_ps(s4F, s6F);
            a21d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a11f);
            s7F = _mm_sub_ps(a11d, a21d);
            s8F = _mm_add_ps(a11d, a21d);
            a21f = (a01d + 96);
            s9F = *(a21f);
            a31f = (a01d + 112);
            s0G = *(a31f);
            a41f = (a01d + 160);
            s1G = *(a41f);
            a51f = (a01d + 176);
            s2G = *(a51f);
            t5z = _mm_add_ps(s9F, s1G);
            t6z = _mm_sub_ps(s0G, s2G);
            t7z = _mm_sub_ps(s9F, s1G);
            t8z = _mm_add_ps(s0G, s2G);
            a61f = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t7z);
            a71f = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t8z);
            s3G = _mm_sub_ps(a61f, a71f);
            a81f = _mm_mul_ps(_mm_set1_ps(0.92387953251128674f), t7z);
            a91f = _mm_mul_ps(_mm_set1_ps(0.38268343236508978f), t8z);
            s4G = _mm_add_ps(a81f, a91f);
            t9z = _mm_add_ps(t5y, t3z);
            t0A = _mm_sub_ps(t5y, t3z);
            t1A = _mm_sub_ps(t6y, t4z);
            t2A = _mm_add_ps(t6y, t4z);
            t3A = _mm_add_ps(t9y, t5z);
            t4A = _mm_sub_ps(t0z, t6z);
            a01g = _mm_sub_ps(t9y, t5z);
            a31d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a01g);
            a11g = _mm_add_ps(t0z, t6z);
            a41d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a11g);
            s5G = _mm_sub_ps(a31d, a41d);
            s6G = _mm_add_ps(a31d, a41d);
            a81g = ((__m128  *) dst);
            a91g = (8 * i4);
            b71 = (a81g + i2);
            a51d = (b71 + a91g);
            s7G = _mm_add_ps(t9z, t3A);
            *(a51d) = s7G;
            s8G = _mm_sub_ps(t9z, t3A);
            a01h = (a51d + 1024);
            *(a01h) = s8G;
            s9G = _mm_sub_ps(t0A, t4A);
            a11h = (a51d + 512);
            *(a11h) = s9G;
            s0H = _mm_add_ps(t0A, t4A);
            a21h = (a51d + 1536);
            *(a21h) = s0H;
            s1H = _mm_add_ps(t1A, s5G);
            a31h = (a51d + 256);
            *(a31h) = s1H;
            s2H = _mm_sub_ps(t1A, s5G);
            a41h = (a51d + 1280);
            *(a41h) = s2H;
            s3H = _mm_sub_ps(t2A, s6G);
            a51h = (a51d + 768);
            *(a51h) = s3H;
            s4H = _mm_add_ps(t2A, s6G);
            a61h = (a51d + 1792);
            *(a61h) = s4H;
            t5A = _mm_add_ps(t7y, s7F);
            t6A = _mm_sub_ps(t7y, s7F);
            t7A = _mm_sub_ps(t8y, s8F);
            t8A = _mm_add_ps(t8y, s8F);
            t9A = _mm_add_ps(s1F, s3G);
            t0B = _mm_sub_ps(s2F, s4G);
            a21g = _mm_sub_ps(s1F, s3G);
            a61d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a21g);
            a31g = _mm_add_ps(s2F, s4G);
            a71d = _mm_mul_ps(_mm_set1_ps(0.70710678118654757f), a31g);
            s5H = _mm_sub_ps(a61d, a71d);
            s6H = _mm_add_ps(a61d, a71d);
            s7H = _mm_add_ps(t5A, t9A);
            a71h = (a51d + 128);
            *(a71h) = s7H;
            s8H = _mm_sub_ps(t5A, t9A);
            a81h = (a51d + 1152);
            *(a81h) = s8H;
            s9H = _mm_sub_ps(t6A, t0B);
            a91h = (a51d + 640);
            *(a91h) = s9H;
            s0I = _mm_add_ps(t6A, t0B);
            a01i = (a51d + 1664);
            *(a01i) = s0I;
            s1I = _mm_add_ps(t7A, s5H);
            a11i = (a51d + 384);
            *(a11i) = s1I;
            s2I = _mm_sub_ps(t7A, s5H);
            a21i = (a51d + 1408);
            *(a21i) = s2I;
            s3I = _mm_sub_ps(t8A, s6H);
            a31i = (a51d + 896);
            *(a31i) = s3I;
            s4I = _mm_add_ps(t8A, s6H);
            a41i = (a51d + 1920);
            *(a41i) = s4I;
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

